Summary: Library for reading RAW files obtained from digital photo cameras
Summary(ja): デジタルカメラから取り込んだ RAW ファイルを読むためのライブラリ
Name: LibRaw
Version: 0.11.3
Release: 1%{?_dist_release}
License: LGPLv2 or CDDL or LibRaw Software License
Group: System Environment/Libraries
URL: http://www.libraw.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Source0: http://www.libraw.org/data/LibRaw-%{version}.tar.gz

# Configuration support. Patch sent upstream
Patch0: %{name}-0.11.3-configure.patch

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

LibRaw is based on the source codes of the dcraw utility, where part of
drawbacks have already been eliminated and part will be fixed in future.

%package devel
Summary: LibRaw development libraries
Summary(ja): LibRaw の開発ライブラリ
Group: Development/Libraries
License: LGPLv2 or CDDL o LibRaw Software License
%description devel
LibRaw development libraries

This package contains static libraries that applications can use to build
against libraw. LibRaw does not provide dynamic libraries.

%prep
%setup -q -n %{name}-%{version}

%patch0 -p1 -b .configure
#%patch1 -p1 -b .configure-optflags
#%patch2 -p1 -b .configure-default-cflags

%build
# This is not the autotools generated configure script
CFLAGS="%{optflags}" sh configure -P %{_prefix}
make %{?_smp_mflags} library

%install
rm -rf %{buildroot}
cp -pr doc manual

# The source tree has these with execute permissions for some reason
chmod 644 LICENSE.CDDL LICENSE.LGPL LICENSE.LibRaw.pdf

# The Libraries
make install-library DESTDIR=%{buildroot} LIBDIR=%{_lib}

%files devel
%defattr(-,root,root,-)

%doc LICENSE.CDDL LICENSE.LibRaw.pdf LICENSE.LGPL COPYRIGHT Changelog.txt Changelog.rus
%doc manual
%doc samples

%dir %{_includedir}/libraw
%{_includedir}/libraw/*.h
%{_libdir}/libraw.a
%{_libdir}/libraw_r.a

%changelog
* Mon Dec 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.11.3-1
- new upstream release
- added License: LibRaw Software License
- dropt patch1,2
- replaced patch0 by Fedora development patch

* Tue Sep 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.10.0-1
- new upstream release

* Wed Jul 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.1-1
- initial build for VineSeed

* Fri Jun 04 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-1
- New package
