Summary:	SDL graphics drawing primitives and other support functions
Summary(ja): 	SDLの基本的な描画機能とその他の機能を提供するライブラリ
Name:		SDL_gfx
Version:	2.0.22
Release: 	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.gz
License:	LGPL
Group:		System Environment/Libraries
URL:		http://www.ferzkopp.net/joomla/

BuildRequires:	SDL-devel >= 1.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%define all_x86 i386 i586 i686 athlon


%description
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces.

The current components of the SDL_gfx library are:

   * Graphic Primitives (SDL_gfxPrimitves.h)
   * Rotozoomer (SDL_rotozoom.h)
   * Framerate control (SDL_framerate.h)
%ifarch %{all_x86}
   * MMX image filters (SDL_imageFilter.h)
%endif

The library is backwards compatible to the above mentioned code. Its
is written in plain C and can be used in C++ code.


%description -l ja
SDL_gfx は SDL_gfxPrimitives コードから発展したライブラリであり、線や
円、ポリゴンの描画を行う基本的な機能と、SDL サーフェースの回転・拡大
・縮小を行う SDL_rotozoom を提供します。

現在の SDL_gfx ライブラリに含まれているのは:

   * 基本的な画像の描画 (SDL_gfxPrimitves.h)
   * SDL サーフェースの回転、拡大、縮小 (SDL_rotozoom.h)
   * フレームレート制御 (SDL_framerate.h)
%ifarch %{all_x86}
   * MMX イメージフィルタ (SDL_imageFilter.h)
%endif

このライブラリは先に述べたコードとの後方互換性を持っています。この
ライブラリは C 言語で記述されており、C++ からでも使用できます。

#-----------------------------------------------------------------------------

%package devel
Summary:	Libraries and includes to develop SDL_gfx programs
Summary(ja):	SDL_gfx 用の開発ライブラリおよびヘッダファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package includes the files needed for developing and compiling
applications which use the SDL_gfx  library.

You should install the SDL_gfx-devel package if you would like to
develop applications based on SDL_gfx.

%description devel -l ja
このパッケージは SDL_gfx ライブラリを使用するアプリケーションを開発
するのに必要なライブラリやヘッダファイルを含んでいます。

SDL_gfx をベースにしたアプリケーションを開発するなら、このパッケージ
をインストールしてください。

#-----------------------------------------------------------------------------

%package demos
Summary:	SDL_gfx demo programs
Summary(ja):	SDL_gfx デモプログラム
Group:		Applications/Other
Requires:	%{name} = %{version}
AutoReqProv: no

%description demos
SDL_gfx demo applications and source code.
It is necessary to compile to run demo applications.

%description demos -l ja
SDL_gfx のデモアプリケーションとソースコードです。
デモアプリケーションを実行するには自分でコンパイルする必要があります。

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
./autogen.sh
%ifarch %{all_x86}
./configure
%else
./configure --disable-mmx
%endif
%__make


%install
%__rm -rf $RPM_BUILD_ROOT
%makeinstall

%__install -d $RPM_BUILD_ROOT/%{_datadir}/SDL_gfx-demos
%__install -m755 %{_builddir}/%{name}-%{version}/Test/* $RPM_BUILD_ROOT/%{_datadir}/SDL_gfx-demos

rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%clean
%__rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README*
%doc Docs/
%{_libdir}/libSDL_gfx.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/SDL_gfx.pc
%{_libdir}/libSDL_gfx.so
%{_includedir}/SDL/*

%files demos
%defattr(-,root,root)
%{_datadir}/SDL_gfx-demos


%changelog
* Mon Sep 20 2010 IWAI, Masaharu <iwai@alib.jp> 2.0.22-1
- new upstream release
- add pkg-config file in devel package
- remove *.a
- move *.so file: main to devel

* Sat Sep 20 2008 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 2.0.17-1
- new upstream release
- applied new versioning policy
- spec in UTF-8

* Mon Jan 15 2007 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 2.0.15-0vl1
- new upstream release
- added %post and %postun section

* Mon Jun 26 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.0.13-1vl2
- rebuild to correct version mismatch.(1vl1 already exist in Vine Plus/3.0)
- change SDL_gfx-demos Group to Applications/Other.
- add SDL_gfx-demos description.

* Wed Aug 24 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.13-0vl2
- disable MMX on non-x86 archtecture

* Sat May 14 2005 kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.0.13-0vl1
- initial build for VineSeed Plus.
