Summary: Simple DirectMedia Layer - Sample Image Loading Library
Name: SDL_image
Version: 1.2.10
Release: 1%{?_dist_release}
Source0: http://www.libsdl.org/projects/SDL_image/release/%{name}-%{version}.tar.gz
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: SDL-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: autoconf automake libtool
BuildRequires: sane
#BuildRequires: XOrg-devel

%description
This is a simple library to load images of various formats as SDL surfaces.
This library supports BMP, PPM, PCX, GIF, JPEG, PNG, and TIFF formats.

%description -l ja
これはSDLにて様々な画像フォーマットを扱うライブラリです。
このライブラリはBMP, PPM, PCX, GIF, JPEG, PNG, TIFF形式をサポートします。

%package devel
Summary: Libraries, includes and more to develop SDL applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: SDL-devel

%description devel
This is a simple library to load images of various formats as SDL surfaces.
This library supports BMP, PPM, PCX, GIF, JPEG, PNG, and TIFF formats.

%description devel -l ja
これはSDLにて様々な画像フォーマットを扱うライブラリです。
このライブラリはBMP, PPM, PCX, GIF, JPEG, PNG, TIFF形式をサポートします。


%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

#install showimage 
%__mkdir_p $RPM_BUILD_ROOT%{_bindir}
/bin/sh ./libtool  --mode=install /usr/bin/install -c showimage \
$RPM_BUILD_ROOT%{_bindir}

rm $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_bindir}/showimage*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/SDL_image.pc
%{_includedir}/SDL/

%changelog
* Mon Sep 20 2010 IWAI, Masaharu <iwai@alib.jp> 1.2.10-1
- new upstream release
- add pkg-config file in devel package
- remove *.a

* Sat Sep 20 2008 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 1.2.6-1
- new upstream release
- applied new versioning policy
- spec in UTF-8

* Mon Mar 12 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.2.5-0vl2
- add BuildRequires: libtiff-devel

* Mon Jan 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.5-0vl1
- new upstream release
- added %post and %postun section

* Sat Mar 19 2005 Satoshi MACHINO <machino@vinelinux.org> 1.2.4-0vl1
- new upstream release

* Wed Jan 19 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 1.2.3-0vl6
- rebuilt as -0vl6, release number should be greater than VinePlus/3.1
- added BuildRequires: XOrg-devel

* Sun Oct 24 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.2.3-0vl4
- rebuilt without linking libasound.so.2 (ppc only fix)

* Wed May 05 2004 Satoshi MACHINO <machino@vinelinux.org> 1.2.3-0vl3
- added japanese description
- built by SDL-1.2.7

* Sun May 11 2003 Satoshi MACHINO <machino@vinelinux.org> 1.2.3-0vl2
- fixed typo in spec

* Wed May 07 2003 Satoshi MACHINO <machino@vinelinux.org> 1.2.3-0vl1
- New upstream version (SDL_image-1.2.3)
- Used rpmmacros

* Thu Apr 30 2002 Satoshi MACHINO <machino@vinelinux.org> 1.2.2-0vl1
- updated SDL_image-1.2.2

* Wed Jan 19 2000 Sam Lantinga 
- converted to get package information from configure
* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file


