Summary: modern terminal emulator for Xfce
Summary(ja): Xfce用のターミナルエミュレータ
Name: Terminal
Version: 0.2.12
Release: 1%{?_dist_release}
Source0: http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
#Patch0: Terminal-docmake.patch
#Patch1: Terminal-usage.patch
License: GPL
Group: User Interface/Desktops
URL: http://www.os-cillation.com/article.php?sid=40

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libexo-devel >= 0.3.2
BuildRequires: libxfcegui4-devel >= 4.6.0
BuildRequires: libxfce4util-devel >= 4.6.0
BuildRequires: gtk2-devel
BuildRequires: vte-devel >= 0.11.11
BuildRequires: startup-notification-devel
BuildRequires: dbus-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
Terminal is a modern terminal emulator for the Unix/Linux desktop - primarly for
the Xfce desktop environment. We developed it because we saw the need for a
lightweight and easy to use terminal emulator in the Xfce desktop environment,
that doesn't require the user to install the GNOME plattform, but still provides
a worthy alternative to the GNOME terminal emulator.

%description -l ja
TerminalはUnix/Linuxデスクトップ用、第一にXfce用のターミナルエミュレータです。
Xfceデスクトップ環境で動き、GNOMEプラットフォームを必要とせず、しかし十分に
GNOMEターミナルエミュレータの代替たりうる、軽量で使いやすいターミナルエミュ
レータというニーズに応えて開発されました。

%prep
%setup -q
#patch0 -p1
#patch1 -p1

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -rf docs_to_install
mv $RPM_BUILD_ROOT%{_docdir}/Terminal docs_to_install

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%doc docs_to_install/*
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/stock/navigation/*.png
%{_datadir}/icons/hicolor/48x48/apps/Terminal.png
%{_datadir}/icons/hicolor/scalable/apps/Terminal.svg
%{_datadir}/pixmaps/terminal.xpm
%{_localedir}/*/LC_MESSAGES/Terminal.mo
%{_datadir}/applications/Terminal.desktop
%{_mandir}/man1/Terminal.1*
%{_bindir}/Terminal
%{_bindir}/terminal
%{_libexecdir}/TerminalHelp

%changelog
* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.12-1
- new upstream release

* Sun Oct 05 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.8-1vl5
- applied new versioning policy, spec in utf-8

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.8-0vl2
- new upstream release.
- revise Patch0 (Terminal-docmake.patch) for ja docs.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.6-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.6-0vl1
- new upstream version
- revise Patch0 (Terminal-docmake.patch) for ja docs.
- drop Patch1 (Terminal-usage.patch)
- add %{_datadir}/icons/hicolor/*/stock/navigation/*.png in files section.
- update icon-cache in %post and %postun.

* Sun Mar 12 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.2.4-0vl5
- rebuild with dbus-0.61-0vl1
- add /usr/bin/terminal to %%files

* Sat Jul 16 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.2.4-0vl4
- rebuild with D-BUS (dbus-devel)
- commented all Requires that is detected by *.so dependency

* Thu May 19 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.2.4-0vl3
- add Patch1 http://bugs.os-cillation.de/attachment.cgi?id=25

* Fri Apr 22 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.2.4-0vl2
- rebuild for VineSeed

* Sun Apr 17 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.2.4-0vl1
- initial build for Vine Linux
