Summary: 	modern file manager
Summary(ja): 	近代的なファイルマネージャ
Name: 		Thunar
Version: 	1.0.2
Release: 	1%{?_dist_release}
License:	GPLv2 and LGPLv2
URL: 		http://www.xfce.org/
Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libexo-devel >= 0.3.100
BuildRequires:  glib2-devel >= 2.12.0
BuildRequires: 	gtk2-devel >= 2.10.0
BuildRequires:  libxfce4util-devel >= 4.6.0
BuildRequires:  libpng-devel >= 1.2.0
BuildRequires:  dbus-glib-devel >= 0.34
BuildRequires:  GConf2-devel >= 2.4.0
BuildRequires:  startup-notification-devel >= 0.4
BuildRequires:  freetype2-devel
BuildRequires:  gamin-devel >= 0.1.0
BuildRequires:  hal-devel >= 0.5.0
BuildRequires:  libexif-devel >= 0.6.0
BuildRequires:  pcre-devel >= 6.0
BuildRequires:  xfce4-panel-devel >= 4.3.90

Obsoletes:      xffm

%description
Thunar is a modern file manager for the Unix/Linux desktop, aiming to be
easy-to-use and fast.

%package devel
Summary: Development headers for Thunar
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libexo-devel >= 0.3.100
Requires: gtk2-devel >= 2.10.0
Requires: pkgconfig

%description devel
This package includes the header files you will need to build
plugins for Thunar.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -rf docs_to_include
mkdir -p docs_to_include
mv $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/* docs_to_include
#cp AUTHORS COPYING COPYING.LIB ChangeLog FAQ HACKING NEWS README THANKS TODO $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}

%find_lang %{name}

## remove unuse files
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/thunarx-1/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post 
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig

%postun 
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog FAQ NEWS README THANKS
%doc docs_to_include/*
%{_sysconfdir}/xdg/Thunar
%{_bindir}/*
%{_libdir}/lib*.so.*
%dir %{_libdir}/thunarx-1
%{_libdir}/thunarx-1/*.so
%{_libexecdir}/*
%{_datadir}/Thunar
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/icon-theme.cache
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/stock/navigation/*
%{_datadir}/pixmaps/Thunar
%{_datadir}/thumbnailers
%{_datadir}/xfce4/panel-plugins/thunar-tpa.desktop
%{_mandir}/man1/Thunar*

%files devel
%defattr(-,root,root)
%{_includedir}/thunar-vfs-1
%{_includedir}/thunarx-1
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/thunar-vfs
%{_datadir}/gtk-doc/html/thunarx

%changelog
* Sun May 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0.2-1
- new upstream release
- built with new toolchain

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0.1-1
- new upstream release
- split devel subpackage

* Mon Sep 29 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.9.0-3
- add BuildRequires: xfce4-panel
  (needed to build thunar-tpa.desktop)

* Thu Sep 25 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.0-2vl5
- added BuildRequires: libexo-devel, dbus-glib-devel, hal-devel

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 0.9.0-1vl5
- applied new versioning policy
- removed *.la

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 0.9.0-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 0.8.0-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 0.8.0-0vl1
- initial release

