%define fontname junicode
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name:             TrueType-%{fontname}
Summary:          Junicode is a Unicode font for medievalists
Summary(ja):      中世研究家のためのフォント Junicode
Version:          0.6.17
Release:          1%{?_dist_release}
License:          GPL
Group:            User Interface/X
URL:              http://junicode.sourceforge.net/

Source0:          %{fontname}-0-6-17.zip

BuildRequires: unzip
BuildRoot:        %{_tmppath}/%{name}-%{version}-root
BuildArch:        noarch
Requires: TrueType-%{fontname}-doc

%description
A font family especially for medieval scholars,
but containing an extensive enough selection of
Unicode characters to be widely useful.

%description -l ja
特に中世を学ぶ者のためのフォントファミリですが、
すこぶる有用たりうるに十分なユニコードキャラクタの品揃えを含んでいます。

このパッケージは Junicode フォントのメタパッケージです。
Bold・Regular・Italic の3書体をインストールします。

%package bold
Summary: Junicode bold font
Summary(ja): Junicode bold フォント
Group: User Interface/X
Requires: TrueType-%{fontname}-doc

%description bold
This package includes Junicode bold fonts.

%description -l ja bold
このパッケージには Junicode bold フォントが含まれています。

- Junicode-Bold


%package regular
Summary: Junicode regular font
Summary(ja): junicode regular フォント
Group: User Interface/X
Requires: TrueType-%{fontname}-doc

%description regular
This package Junicode regular fonts.

%description -l ja regular
このパッケージには Junicode regular フォントが含まれています。

- Junicode-Regular


%package italic
Summary: Junicode Italic font
Summary(ja): Junicode Italic フォント
Group: User Interface/X
Requires: TrueType-%{fontname}-doc

%description italic
This package includes Junicode Italic fonts.

%description -l ja italic
このパッケージには Junicode Italic フォントが含まれています。

- Junicode-BoldItalic
- Junicode-Italic

%package doc
Summary: Junicode font Document
Summary(ja): Junicode フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Junicode font
includes enduser license.

%description -l ja doc
このパッケージには Junicode フォントのライセンスを含む
ドキュメント類が含まれています。

%prep
%setup -q -n %{fontname}
mv doc/*.* .
mv fonts/*.ttf .

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post bold
%__font_install_post %{_fontdir}

%post regular
%__font_install_post %{_fontdir}

%post italic
%__font_install_post %{_fontdir}


%postun bold
%__font_install_postun %{_fontdir}

%postun regular
%__font_install_postun %{_fontdir}

%postun italic
%__font_install_postun %{_fontdir}

%files

%files bold
%{_fontdir}/*-Bold.ttf

%files regular
%{_fontdir}/*-Regular.ttf

%files italic
%{_fontdir}/*-BoldItalic.ttf
%{_fontdir}/*-Italic.ttf

%files doc
%doc *.pdf *.tex
%{_fontdir}/*.ttf

%changelog
* Sat Jan 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.17-1
- initial build for VineSeed (again)
