%define fontname linux-libertine
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Linux libertine TrueType font
Summary(ja): Linux libertine TrueType フォント
Version: 4.7.5
Release: 1%{?_dist_release}
License: GPLv2+ and OFL
Group: User Interface/X
URL: http://sourceforge.net/projects/linuxlibertine/
Source0: LinLibertineFont-%{version}-2.tgz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: TrueType-%{fontname}-bold >= %{version}
Requires: TrueType-%{fontname}-regular >= %{version}
Requires: TrueType-%{fontname}-italic >= %{version}
Requires: TrueType-%{fontname}-doc

%description
The Linux Libertine Open Fonts are TrueType font family for practical
use in documents. They were created to provide a free alternative to
proprietary standard fonts such as Times New Roman.

%description -l ja
The Linux Libertine Open Fonts は文書に使用する実用的な
TrueType フォントファミリです。
これらのフォントは Times New Roman のようなプロプライエタリな
スタンダードフォントの代替品を無料で提供するために作成されました。

このパッケージは Linux libertine フォントのメタパッケージです。
Bold・Regular・Italic の3書体をインストールします。

%package bold
Summary: Linux libertine bold font
Summary(ja): Linux libertine bold フォント
Group: User Interface/X
Requires: TrueType-%{fontname}-doc

%description bold
This package includes Linux libertine bold fonts.

%description -l ja bold
このパッケージには Linux libertine bold フォントが含まれています。

- Biolinum_Bd
- LinLibertine_Bd

%package regular
Summary: Linux libertine regular font
Summary(ja): Linux libertine regular フォント
Group: User Interface/X
Requires: TrueType-%{fontname}-doc

%description regular
This package includes Linux libertine regular fonts.

%description -l ja regular
このパッケージには Linux libertine regular フォントが含まれています。

- Biolinum_Re
- LinLibertine_Re
- LinLibertineC_Re
- LinLibertine_C
- LinBiolinum_Kb

%package italic
Summary: Linux libertine italic font
Summary(ja): Linux libertine italic フォント
Group: User Interface/X
Requires: TrueType-%{fontname}-doc

%description italic
This package includes Linux libertine italic fonts.

%description -l ja italic
このパッケージには Linux libertine italic フォントが含まれています。

- LinLibertine_BI
- LinLibertine_It
- LinBiolinum_Sl

%package doc
Summary: Linux libertine TrueType font document
Summary(ja): Linux libertine TrueType フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Linux libertine TrueType font
includes enduser license.

%description -l ja doc
このパッケージには Linux libertine TrueType フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -n LinLibertine
cd Fonts
mv *.ttf ../

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post bold
%__font_install_post %{_fontdir}

%post regular
%__font_install_post %{_fontdir}

%post italic
%__font_install_post %{_fontdir}


%postun bold
%__font_install_postun %{_fontdir}

%postun regular
%__font_install_postun %{_fontdir}

%postun italic
%__font_install_postun %{_fontdir}

%files

%files bold
%{_fontdir}/*_Bd-*.ttf

%files regular
%{_fontdir}/*_Re-*.ttf
%{_fontdir}/LinLibertine_C-4.0.4.ttf
%{_fontdir}/LinBiolinum_Kb-0.5.4.ttf

%files italic
%{_fontdir}/*_It-*.ttf
%{_fontdir}/*_BI-*.ttf
%{_fontdir}/LinBiolinum_Sl-0.4.9.ttf

%files doc
%doc *.txt

%changelog
* Sat Jan 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 4.7.5-1
- new upstream release
- added Requires: TrueType-linux-libertine-{bold, regular, italic}
- included new font

* Sat Jan 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 4.4.1-1
- initial build for VineSeed
