%define fontname motoya-l
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Motoya L font
Summary(ja): モトヤ L フォント
Version: 1.00
Release: 1%{?_dist_release}
License: apache License
Group: User Interface/X
URL: http://android.git.kernel.org/?p=platform/frameworks/base.git;a=tree;f=data/fonts
Source0: motoya-l-font-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: %{name}-cedar %{name}-maruberi %{name}-doc

%description
Motoya L font is lightweight and specialisation font
for mobile device.

This package is Meta-package to install Motoya L Cedar
and Motoya L Maruberi.

%description -l ja
モトヤ L フォントは、携帯機器に特化した軽量フォントです。

このパッケージはモトヤLシーダ・モトヤLマルベリを
インストールするためのメタパッケージです。

%package cedar
Summary: Motoya L Cedar font
Summary(ja): モトヤ L シーダフォント
Group: User Interface/X
Requires: %{name}-doc

%description cedar
This package include Motoya L Cedar font.

%description -l ja cedar
このパッケージにはモトヤ L シーダフォントが含まれています。

%package maruberi
Summary: Motoya L maruberi font
Summary(ja): モトヤ L マルベリフォント
Group: User Interface/X
Requires: %{name}-doc

%description maruberi
This package include Motoya L Maruberi font.

%description -l ja maruberi
このパッケージにはモトヤ L マルベリフォントが含まれています。

%package doc
Summary: Motoya L font Documents
Summary(ja): モトヤ L フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Motoya L font
includes enduser license.

%description -l ja doc
このパッケージにはモトヤ L フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -qn motoya-l-font-%{version}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post cedar
%__font_install_post %{_fontdir}

%post maruberi
%__font_install_post %{_fontdir}

%postun cedar
%__font_install_postun %{_fontdir}

%postun maruberi
%__font_install_postun %{_fontdir}

%files

%files cedar
%{_fontdir}/MTLc3m.ttf

%files maruberi
%{_fontdir}/MTLmr3m.ttf

%files doc
%doc MODULE_LICENSE_APACHE2 NOTICE README.txt

%changelog
* Mon Sep 27 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.00-1
- initial build for VineSeed
