%define fontname sil-charis
%define archivename %{name}-%{version}
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name:  TrueType-%{fontname}
Summary:  smart Unicode font family for Roman or Cyrillic-based writing systems
Summary(ja):  ラテン語或いはキリル文字ベースの表記のためのスマートな Unicode フォントファミリ
Version:  4.106
Release:  1%{?_dist_release}
License:  OFL
Group:  User Interface/X
URL: http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=CharisSILfont
Source:  CharisSIL%{version}.zip

BuildRequires: unzip
BuildArch: noarch

Requires: TrueType-%{fontname}-regular >= %{version}
Requires: TrueType-%{fontname}-italic >= %{version}
Requires: TrueType-%{fontname}-bold >= %{version}
Requires: TrueType-%{fontname}-doc >= %{version}
BuildRoot:  %{_tmppath}/%{name}-%{version}-root


%description
Charis SIL is serif fonts what provides glyphs for a wide range
of Latin and Cyrillic characters.

This package is Meta-package of Charis SIL fonts, install regular,
bold, and italic families.

%description -l ja
Charis SIL はラテン文字とキリル文字の広範なグリフを提供する
セリフ体のフォントです。

このパッケージは Charis SIL フォントのメタパッケージです。
regular・bold・italic の3書体をインストールします。

%package regular
Summary: Charis SIL regular Fonts
Summary(ja): Charis SIL regular フォント
Group: User Interface/X
Requires: %{name}-doc

%description regular
This package includes Charis SIL regular fonts.

%description -l ja regular
このパッケージには Charis SIL regular フォントが含まれています。


%package bold
Summary: Charis SIL bold Fonts
Summary(ja): Charis SIL bold フォント
Group: User Interface/X
Requires: %{name}-doc

%description bold
This package includes Charis SIL bold TrueType fonts.

%description -l ja bold
このパッケージには Charis SIL bold フォントが含まれています。


%package italic
Summary: Charis SIL italic Fonts
Summary(ja): Charis SIL italic フォント
Group: User Interface/X
Requires: %{name}-doc

%description italic
This package includes Charis SIL italic fonts.

%description -l ja italic
このパッケージには Charis SIL italic フォントが含まれています。


%package doc
Summary: Charis SIL Font Documents
Summary(ja): Charis SIL フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Charis SIL fonts includes enduser
license.

%description -l ja doc
このパッケージには Charis SIL フォントのライセンスを含むドキュメント類が含まれています。


%prep
%setup -q -n CharisSIL

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post regular
%__font_install_post %{_fontdir}

%post bold
%__font_install_post %{_fontdir}

%post italic
%__font_install_post %{_fontdir}


%postun regular
%__font_install_postun %{_fontdir}

%postun bold
%__font_install_postun %{_fontdir}

%postun italic
%__font_install_postun %{_fontdir}

%files

%files regular
%{_fontdir}/CharisSILR.ttf

%files bold
%{_fontdir}/CharisSILB.ttf

%files italic
%{_fontdir}/CharisSILI.ttf
%{_fontdir}/CharisSILBI.ttf

%files doc
%doc FONTLOG.txt OFL.txt OFL-FAQ.txt README.txt

%changelog
* Sat May 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 4.106-1
- initial build for VineSeed
