%define version 2.34
%define release 1%{?_dist_release}
%define vlgothic_date 20101218
%define ttfjp_version 6.0

%define fontdir %{_datadir}/fonts/%{name}/
%define texmf %{_datadir}/texmf
%define mapdir %{texmf}/fonts/map/dvipdfmx

Summary: VLGothic font family - Free Japanese True Type Font
Summary(ja): VLゴシックフォントファミリ - フリーの日本語 True Type フォント
Name: TrueType-vlgothic
Version: %{version}
Release: %{release}

License: BSD style
Group: User Interface/X
Url: http://dicey.org/vlgothic/

Source: %{name}.tar.bz2

# VLGothic Font Family
Source1: VLGothic-%{vlgothic_date}.tar.bz2

Source10: 59-vlgothic.conf
Source20: cidfmap.ja.vlgothic

Distribution: Vine Linux
Vendor: Project Vine

BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires(post): mktcapdir >= 0.5.4
Requires(post): fontconfig, xorg-x11-font-utils
Requires(post): vutils >= 2.0.2
Provides: TrueTypeFonts_jp = %{ttfjp_version}
Obsoletes: TrueTypeFonts_jp < 4.1
Obsoletes: TrueType-kochi <= 4.4.1
Obsoletes: TrueType-sazanami < 3.0
BuildRequires: rpm >= 4.4.2.3-7

%description
VLGothic font family - Free Japanese True Type Font
- VL PGothic
- VL Gothic

%description -l ja
このパッケージには以下のフリーの日本語 True Type フォントが含まれています。
- VL Pゴシック (M+ 1C Regular および さざなみゴシック をベースに
  Project Vine が改良をおこなったフォント。)
- VLゴシック (M+ 1M Regular および さざなみゴシック をベースに
  Project Vine が改良をおこなったフォント。)

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -n %{name} -a 1
mv VLGothic/*.ttf .

%install

mkdir -p $RPM_BUILD_ROOT/%{fontdir}
install -m664 *.ttfconf *.ttf $RPM_BUILD_ROOT/%{fontdir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/fonts/conf.{avail,d}
install -m664 %{SOURCE10} $RPM_BUILD_ROOT/%{_sysconfdir}/fonts/conf.avail/
for i in $RPM_BUILD_ROOT/%{_sysconfdir}/fonts/conf.avail/*.conf
do
  ln -sf ../conf.avail/$(basename $i) $RPM_BUILD_ROOT/%{_sysconfdir}/fonts/conf.d/
done

# install ghostscript8 cidfmap 
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ghostscript/conf.d
install -m644 %{SOURCE20} $RPM_BUILD_ROOT%{_datadir}/ghostscript/conf.d

# add fontpath.d symlinks
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d
ln -sf /usr/share/fonts/%{name} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/

%post
%__font_install_post %{fontdir}

%postun
%__font_install_postun %{fontdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc VLGothic/*
%{fontdir}/*
%{_sysconfdir}/fonts/conf.avail/*.conf
%{_sysconfdir}/X11/fontpath.d/%{name}
%config(missingok,noreplace) %{_sysconfdir}/fonts/conf.d/*.conf
%config %{_datadir}/ghostscript/conf.d/cidfmap.ja.vlgothic

%changelog
* Sat Dec 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.34-1
- update to 20101218
  - update M+ part
  - update VLkanji glyphs

* Fri Oct 22 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.33-1
- update to 20101022
  - update VLkanji glyphs

* Tue Oct 12 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32-1
- update to 20101012
  - update M+ part
  - update VLkanji glyphs

* Wed Aug 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.31-1
- update to 20100818
  - update M+ part
  - fixed font height and line gap (fixed size of Ascent/Descent)

* Fri Apr 16 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.30-1
- update to 20100416
  - update M+ part
  - fix glyph width of VOICED (SEMI-)SOUND MARK

* Tue Jan 26 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.29-1
- update to 20100126
  - update VL kanji glyphs
  - add new special sign charactors
  - change glyph width of "MINUS SIGN"

* Mon Dec 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.28-1
- update to 20091214
  - update VL kanji glyphs

* Fri Dec 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.27-1
- update to 20091211
  - update VL kanji glyphs

* Tue Dec 08 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26-1
- update to 20091208
  - update M+ part
  - update VL kanji glyphs

* Wed Dec 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.25-1
- update to 20091202
  - update VL kanji glyphs

* Fri Nov 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24-1
- update to 20091127
  - update VL kanji glyphs

* Wed Nov 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.23-1
- update to 20091118
  - update M+ part

* Sun Aug 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22-1
- add fontpath.d symlink

* Tue Aug 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.21-1
- update to 20090811
  - update VL kanji glyphs

* Mon Aug 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20-1
- update to 20090810
  - update VL kanji glyphs

* Thu Aug 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.19-1
- update to 20090806
  - update VL kanji glyphs
  - update M+ part
  - adjust CJK ambiguous width of VL Gothic

* Fri Jul 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18-1
- update to 20090710
  - update VL kanji glyphs
  - update M+ part

* Fri Jul 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.17-1
- update to 20090703
  - update VL kanji glyphs
  - update M+ part

* Fri Jun 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16-1
- update to 20090612
  - update VL kanji glyphs
  - update M+ part

* Wed Apr 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.15-1
- update VLGothic to 20090422
  - fix GSUB vert table for vertical glyphs
  - add VL kanji glyph

* Thu Apr 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14-2
- really update VLGothic to 20090421..

* Thu Apr 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14-1
- update VLGotihc to 20090421
  - update VL kanji glyphs
  - update M+ part
- use new rpm macros

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13-1
- remove Require/Requires(post): TrueType-base

* Wed Feb 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12-1
- update VLGothic to 20090204
  - update VL kanji glyphs
  - update M+ part
- use update-defaultfont (vutils>=2.0.2)

* Thu Jan 08 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11-1
- update VLGothic to 20090108
  - update VL kanji glyphs
  - update vine.map and exec updmap-sys on %%post/%%postun
  
* Wed Dec 03 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10-1
- update VLGothic to 20081203
  - update VL kanji glyphs
  - add some full width special sign charactors
  - fix font metrics

* Mon Nov 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9-1
- update VLGothic to 20081124
  - update VL kanji glyphs
  - update M+ part (add more latin glyphs)
  - change font metrics
    - set negative value for ascend/descend to descrease line gap

* Wed Oct 29 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8-1
- update VLGothic to 20081029
  - update VL kanji glyphs
  - update M+ part (add more latin glyphs)
  - fix embolden problem

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7-1
- add gs8 cidfmap for vlgothic

* Mon Sep 08 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6-1
- update VLGothic to 20080908
  - update VL kanji glyphs
  - add M+ latin glyphs to VLPGothic

* Tue Jun 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5-1
- update VLGothic to 20080610
  - update VL kanji glyphs
  - update M+ part

* Tue Jun 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4-1
- update VLGothic to 20080610
  - update VL kanji glyphs
  - update M+ part

* Tue Jun 03 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3-1
- update VLGothic to 20080603
  - update VL kanji glyphs

* Sun Jun 01 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2-1
- update VLGothic to 20080601
  - update M+ part

* Mon May 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-1
- update VLGothic to 20080429
- add 59-vlgothic.conf to set hinting configuration

* Mon Apr 21 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-1
- build for xorg-x11-7.3
  - change font location to %%{_datadir}/fonts/%{name}
  - require fontconfig and xorg-x11-font-utils

* Sun Apr 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10-1
- update VLGothic to 20080420
  - update M+ part
  - add [aiueo]macron charactor

* Thu Mar 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9-1
- update VLGothic to 20080327
  - update M+ part

* Sat Dec 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8-0vl1
- update VLGothic to 20071215
  - update M+ part
  - update VL kanji/latin extended/special sign charactor

* Tue Oct 31 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.7-0vl1
- update VLGothic to new replaced archive.

* Tue Oct 31 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6-0vl1
- update VLGothic to 20071031
  - update M+ part
  - update VL kanji glyphs

* Mon Oct 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl1
- update VLGothic to 20071015
  - update M+ part
  - update VL kanji glyphs

* Sat Oct 06 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4-0vl1
- update VLGothic to 20071006
  - update M+ part
  - update VL kanji glyphs, hankaku-kana glyphs

* Sat Sep 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3-0vl1
- update VLGothic to 20070929
  - update VL kanji glyphs

* Mon Sep 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2-0vl2
- Obsoletes: TrueType-sazanami < 3.0

* Mon Sep 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2-0vl1
- update VLGothic to 20070924
  - update M+ part and some kanji glyphs

* Sat Sep 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-0vl1
- update VLGothic to 20070915
  - update M+ part and some kanji glyphs

* Thu Sep 13 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- split VLGothic from TrueType-sazanami

* Sat Sep 01 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10-0vl1
- update VLGothic to 20070901
  - update some kanji glyphs

* Thu Aug 30 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9-0vl1
- update VLGothic to 20070830
  - update M+1C/M+1M to CVS head
  - update some kanji glyphs

* Mon Jul 31 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8-0vl1
- update VLGothic to 20070731
  - update M+1C/M+1M to CVS head
  - add new glyphs to VL-PGothic/VL-Gothic
    - add Roman Numeral Glyphs (some part of Number Forms)
    - update some glyphs

* Mon May 07 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7-0vl1
- update VLGothic to 20070507
  - add new glyphs to VL-Gothic
    - add ISO8859-1 Glyphs (Latin-1 Supplement)
    - add ISO8859-15 Glyphs (some part of Latin Extended-A)

* Sun May 06 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6-0vl1
- update VLGothic to 20070506
  - add new glyphs to VL-PGothic
    - add ISO8859-1 Glyphs (Latin-1 Supplement)
    - add ISO8859-15 Glyphs (some part of Latin Extended-A)

* Thu May 03 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5-0vl1
- update VLGothic to 20070503
  - update M+1C/1M to CVS head

* Wed Mar 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4-0vl1
- update VLGothic to 20070328
  - update M+1C/1M to CVS head
  - fix embolden problem on freetype-2.2

* Sat Mar 17 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3-0vl1
- update VLGothic to 20070317
  - update M+1C/1M to CVS head
    - include M+ Kanji glyphs
  - update some glyphs
  - add some special sign characters
  - fix broken glyphs

* Mon Jan 01 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2-0vl1
- update VLGothic to 20070101
  - fix embolden problem on freetype-2.2

* Sun Dec 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-0vl1
- update VLGothic to 20061231
  - update M+1C/M+1M to cvs head 20061231
  - update kanji glyphs
- update Sazanami to 20040629-vl-20061231
  - fix broken glyphs of sazanami-mincho

* Sat Oct 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl1
- bump up version to 2.0
- update VLGothic to 20061026
  - update greek letter glyphs
  - split license information file from README.
  - add english version of license.

* Sat Oct 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.29-0vl1
- update VLGothic to 20061021

* Fri Oct 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.28-0vl1
- update VLGothic to 20061020 (<BTS:221>)
  - update M+1C/M+1M to TESTFILGHT012
  - update some glyphs
  - fix outline direction
  - remove overlap path

* Thu Oct 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.27-0vl1
- update VLGothic to 20061005 (<BTS:221>)
  - update some glyphs
  - fix outline direction
  - remove overlap path

* Sat Sep 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.26-0vl1
- update VLGothic to 20060930 (<BTS:221>)
  - fix outline direction
  - remove overlap path

* Fri Sep 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.25-0vl1
- update VLGothic to 20060929
  - update some glyphs
  - fix outline direction
  - remove overlap path

* Mon Sep 25 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.24-0vl1
- update VLGothic to 20060925
  - update some glyphs
  - add minimum gsub table for vertical writing

* Thu Sep 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.23-0vl1
- update VLGothic to 20060921
  - update few glyphs
  - update M+1C/M+1M to cvs head 2006/09/21

* Wed Sep 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.22-0vl1
- update VLGothic to 20060913
  - update some glyphs
  - fix half width space

* Mon Sep 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.21-0vl1
- update VLGothic to 20060911
  - update M+1C/M+1M to cvs head 2006/09/11
- use VL-PGothic for -alias-gothic-p- (legacy core font)

* Thu Aug 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.20-0vl1
- update VLGothic to 20060831
  - add VL-Gothic-Regular.ttf for 
  - use M+1C for VLPGothic instead of M+1P

* Mon Aug 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.19-0vl1
- fix sazanami.ttfconf

* Tue Aug 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.18-0vl1
- change the fontname to VLPGothic
- update VLPGothic
- TODO:
  - split VLGothic family to new package.
  - add M+1M based VLGothic for monospace font. 

* Wed Aug 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.17-0vl1
- update M+1P+Sazanami.ttf
  - refine more glyphs

* Wed Aug 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.16-0vl1
- update M+1P+Sazanami.ttf
  - refine more glyphs
  - add some glyphs for windows compatibility
- update sazanami.ttfconf
  - add -fake-kochi gothic-, -fake-kochi mincho- without TTCap
    for Flash Plugin. (<BTS:0100>)

* Fri Aug 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.15-0vl1
- update M+1P+Sazanami.ttf
  - refine more glyphs
  - add new full-width alphabets and numeric letters based on M+1P

* Mon Jul 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.14-0vl1
- update M+1P+Sazanami.ttf
  - refine more glyphs

* Sun Jul 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.13-0vl1
- update M+1P+Sazanami.ttf
  - refine more glyphs
  - redesign greek letter based on M+ 1P fonts

* Thu Jul 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.12-0vl1
- update M+1P+Sazanami.ttf
  - refine more glyphs

* Sun Jul 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.11-0vl1
- update M+1P+Sazanami.ttf
  - refine more glyphs

* Fri Jul 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10-0vl1
- update M+1P+Sazanami.ttf
  - refine more glyphs
  - fix encoding

* Thu Jul 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9-0vl1
- update M+1P+Sazanami.ttf
  - refine more glyphs
  - fix outline direction (fix corruption on emboldening)

* Wed Jul 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8-0vl1
- update M+1P+Sazanami.ttf
  - refine more glyphs
  - fix broken glyph
  - refine greek letters

* Tue Jul 18 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.7-0vl1
- update M+1P+Sazanami.ttf
  - refine more glyphs
  - TODO: should rename the fontname?

* Sun Jul 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6-0vl1
- update M+1P+Sazanami.ttf
  - fix outline direction (fix corruption of some glyphs)
  - refine more glyphs

* Wed Jul 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl1
- update M+1P+Sazanami.ttf
  - refine some glyphs.. (modified 200 or more)
- update sazanami.ttfconf to use M+1P+Sazanami for alias-{sans,gothic}-p

* Mon Jul 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4-0vl1
- update M+1P+Sazanami.ttf
  - refine some glyphs.. (modified 100 or more)

* Mon Jul 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3-0vl1
- update M+1P-Sazanami.ttf
  - fix corruption of some glyphs
  - refine some glyphs to make it more usable..

* Thu May 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2-0vl1
- add M+1P+Sazanami.ttf (Mplus 1P Font + Sazanami Gothic)

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-0vl1
- new upstream release

* Wed Jun 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- initial build for Vine Linux based on TrueType-kochi-subst package
- Provides TrueType-kochi, TrueTypeFonts_jp
- include Kochi-{mincho,gothic}.ttf symlinks for compatibility
