%define pkg_version 1.12.0
%define pkg_release 1%{?_dist_release}

Summary:	An interactive Python accessibility explorer for the GNOME desktop.
Summary(ja):	GNOME デスクトップ用 Python アクセシビリティエクスプローラ
Name:		accerciser
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/accerciser/1.12/%{name}-%{version}.tar.bz2
License:	BSD
Group:		Desktop/Accessibility 
URL:		http://live.gnome.org/Accerciser

Requires:	gnome-python-libwnck >= 2.14
Requires:	gnome-python-rsvg >= 2.14
Requires:	at-spi-python
Requires:	pygtk2 >= 2.8
Requires:	python >= 2.4
Requires:	pygtk2-libglade >= 2.8
Requires:	at-spi >= 1.7
Requires:	gnome-python >= 2.12
Requires:	glib2 >= 2.26.0

Requires(post):	desktop-file-utils
Requires(postun):	desktop-file-utils

BuildRequires:	python-devel >= 2.4
BuildRequires:	pygtk2-devel >= 2.8
BuildRequires:	at-spi-devel >= 1.7
BuildRequires:	gnome-python-devel >= 2.12
BuildRequires:	glib2-devel >= 2.26.0
BuildRequires:	GConf2-devel
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	docbook-dtds

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Accerciser is an interactive Python accessibility explorer for the GNOME
desktop. It uses AT-SPI to inspect and control widgets, allowing you to check
if an application is providing correct information to assistive technologies
and automated test frameworks. Accerciser has a simple plugin framework which
you can use to create custom views of accessibility information.


%prep
%setup -q


%build
%configure  --disable-scrollkeeper --without-pyreqs
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/accerciser.schemas > /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database & > /dev/null || :

%preun
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database & > /dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/accerciser.schemas > /dev/null ||:



%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/accerciser
%{_prefix}/lib/python?.?/site-packages/accerciser
%{_datadir}/applications/accerciser.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/accerciser/*
%{_datadir}/gnome/help/accerciser/*
%{_datadir}/omf/accerciser/*
%{_datadir}/locale/*/*/accerciser*
%{_mandir}/man1/accerciser.1.gz
%{_sysconfdir}/gconf/schemas/accerciser.schemas


%changelog
* Sun Oct 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- initial build for Vine Linux

