# --define nosrc:1 ... to make nosrc package
Summary: Advanced Linux Sound Architecture (ALSA) Library
Summary(ja): Advanced Linux Sound Architecture (ALSA) ライブラリ
Name: alsa-lib
Version: 1.0.23
Release: 2%{?_dist_release}
License: LGPLv2+
Group: System Environment/Libraries
Source: ftp://ftp.alsa-project.org/pub/lib/alsa-lib-%{version}.tar.bz2
Patch2:  alsa-lib-1.0.14-glibc-open.patch
Patch3:  alsa-lib-pulse-default.patch
Patch4:  alsa-lib-1.0.16-no-dox-date.patch
Patch10: alsa-lib-1.0.15-dmix-not-use-audio-group.patch

%{?nosrc:NoSource:     0}
URL: http://www.alsa-project.org/
%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: doxygen
#BuildRequires: python-devel
%define make_doc %(which doxygen &> /dev/null && echo 1 || echo 0)

#BuildRequires: alsa-driver >= 0.9
#Requires: alsa-driver >= 0.9
#Provides: libasound-%{version}.so

Vendor: Project Vine
Distribution: Vine Linux
Packager: shaolin

%description
Advanced Linux Sound Architecture (ALSA) - Library

Features
========
* general
  - modularized architecture with support for 2.0 and latest 2.1 kernels
  - support for versioned and exported symbols
  - full proc filesystem support - /proc/sound
* ISA soundcards
  - support for 128k ISA DMA buffer
* mixer
  - new enhanced API for applications
  - support for unlimited number of channels
  - volume can be set in three ways (percentual (0-100), exact and decibel)
  - support for mute (and hardware mute if hardware supports it)
  - support for mixer events
    - this allows two or more applications to be synchronized
* digital audio (PCM)
  - new enhanced API for applications
  - full real duplex support
  - full duplex support for SoundBlaster 16/AWE soundcards
  - digital audio data for playback and record should be read back using
    proc filesystem
* OSS/Lite compatibility
  - full mixer compatibity
  - full PCM (/dev/dsp) compatibility

%description -l ja
Advanced Linux Sound Architecture (ALSA) - ライブラリ

仕様
========
* 総合
  - 2.0以降のカーネル用にモジュール化された構造
  - バージョンとシンボル群の出力をサポート
  - procファイルシステムの完全なサポート - /proc/sound
* ISAサウンドカード
  - 128K ISA DMAバッファのサポート
* ミキサー
  - アプリケーション用に拡張された新しいAPI
  - 無制限のチャンネル数をサポート
  - 3通りの音量調整 (パーセント (0-100)、厳密 そして デシベル)
  - 消音時のサポート (及び、ハードウェアが対応していればハードウェアによる消音のサポート)
  - ミキサーによる制御をサポート
    - this allows two or more applications to be synchronized
* デジタルオーディオ (PCM)
  - アプリケーション用に拡張された新しいAPI
  - 完全な二重化通信をサポート
  - SoundBlaster 16/AWE用の完全な二重化通信をサポート
  - proc filesystemを用いたデジタル音声の再生と録音
* OSS/Lite互換性
  - ミキサーとの完全互換
  - PCMとの完全互換 (/dev/dsp)


%package -n compat32-%{name}
Summary: Advanced Linux Sound Architecture (ALSA) Library
Summary(ja): Advanced Linux Sound Architecture (ALSA) ライブラリ
Group: System Environment/Libraries
Requires: alsa-lib = %{version}

%description -n compat32-%{name}
Advanced Linux Sound Architecture (ALSA) - Library

Features
========
* general
  - modularized architecture with support for 2.0 and latest 2.1 kernels
  - support for versioned and exported symbols
  - full proc filesystem support - /proc/sound
* ISA soundcards
  - support for 128k ISA DMA buffer
* mixer
  - new enhanced API for applications
  - support for unlimited number of channels
  - volume can be set in three ways (percentual (0-100), exact and decibel)
  - support for mute (and hardware mute if hardware supports it)
  - support for mixer events
    - this allows two or more applications to be synchronized
* digital audio (PCM)
  - new enhanced API for applications
  - full real duplex support
  - full duplex support for SoundBlaster 16/AWE soundcards
  - digital audio data for playback and record should be read back using
    proc filesystem
* OSS/Lite compatibility
  - full mixer compatibity
  - full PCM (/dev/dsp) compatibility


%description -n compat32-%{name} -l ja
Advanced Linux Sound Architecture (ALSA) - ライブラリ

仕様
========
* 総合
  - 2.0以降のカーネル用にモジュール化された構造
  - バージョンとシンボル群の出力をサポート
  - procファイルシステムの完全なサポート - /proc/sound
* ISAサウンドカード
  - 128K ISA DMAバッファのサポート
* ミキサー
  - アプリケーション用に拡張された新しいAPI
  - 無制限のチャンネル数をサポート
  - 3通りの音量調整 (パーセント (0-100)、厳密 そして デシベル)
  - 消音時のサポート (及び、ハードウェアが対応していればハードウェアによる消音のサポート)
  - ミキサーによる制御をサポート
    - this allows two or more applications to be synchronized
* デジタルオーディオ (PCM)
  - アプリケーション用に拡張された新しいAPI
  - 完全な二重化通信をサポート
  - SoundBlaster 16/AWE用の完全な二重化通信をサポート
  - proc filesystemを用いたデジタル音声の再生と録音
* OSS/Lite互換性
  - ミキサーとの完全互換
  - PCMとの完全互換 (/dev/dsp)


%package devel
Summary: Development files for alsa-lib
Summary(ja): alsa-lib の開発用ファイル
Group: Development/Libraries
Requires: alsa-lib = %{version}

%description devel
alsa-lib-devel package includes thje static libraries and  header files.

%description -l ja devel
alsa-lib-develパッケージは静的ライブラリとヘッダファイルを含んでいます。


%package -n compat32-%{name}-devel
Summary: Development files for alsa-lib
Summary(ja): alsa-lib の開発用ファイル
Group: Development/Libraries
Requires: %{name}-devel    = %{version}
Requires: compat32-%{name} = %{version}

%description -n compat32-%{name}-devel
alsa-lib-devel package includes thje static libraries and  header files.

%description -n compat32-%{name}-devel -l ja
alsa-lib-develパッケージは静的ライブラリとヘッダファイルを含んでいます。


%prep
%setup -q
%patch2 -p1 -b .glibc-open
%patch3 -p1 -b .pulse-default
%patch4 -p1 -b .no-dox-date
#%patch5 -p1 -b .softvolmute
#%patch6 -p1 -b .clamprrfw
#%patch7 -p1 -b .fixtype
#%patch8 -p1 -b .fixreturnrrfw
%patch10 -p1

%build
%configure --disable-python
make %{?_smp_mflags}

%if %make_doc
 make doc
%endif

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/alsa-lib/smixer/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc [A-Z][^a]* doc/R* doc/*.txt
%{_libdir}/lib*.so.*
%dir %{_libdir}/alsa-lib
%{_libdir}/alsa-lib/smixer/*.so
%{_datadir}/alsa/*
%{_bindir}/aserver

%files devel
%defattr(-, root, root)
%if %make_doc
  %doc doc/doxygen/html
%endif
%{_libdir}/lib*.so
%{_includedir}/alsa
%{_includedir}/sys/asoundlib.h
%{_libdir}/pkgconfig/alsa.pc
%{_datadir}/aclocal/alsa.m4

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%{_libdir}/lib*.so.*
%dir %{_libdir}/alsa-lib
%{_libdir}/alsa-lib/smixer/*.so

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/alsa.pc
%endif


%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.23-2
- rebuild with rpm-4.8.1 for pkg-config file

* Fri May 28 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.0.23-1
- new upstream release

* Tue Jan 12 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0.22-2
- added --disable-python
- added %%post and %%postun section

* Wed Dec 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0.22-1
- new upstream release
- added BR: python-devel

* Thu Oct  8 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.0.21a-1
- new upstream release

* Sun Jun 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.20-1
- new upstream release

* Wed Feb 18 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.0.19-1
- new upstream release
- drop Patch5/6/7/8 since they are already merged into upstream

* Mon Sep 01 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.17-1
- new upstream release
- add patches from upstream to better support pulseaudio
- add hook to /etc/alsa/default-pluse.conf
- disable static libs

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.16-1vl5
- new upstream release

* Sun Oct 21 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.15-0vl1
- new upstream release
- updated Patch10

* Sat Sep 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.12-0vl2
- add Patch10 (not to use audio group for dmix)

* Thu Aug 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.12-0vl1
- new upstream release

* Sat Aug 05 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.0.10-0vl5
- removed unnecessary branch statement

* Tue Jun 27 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.10-0vl4
- add BuildRequires: doxygen again

* Mon Mar 13 2006 NAKAMURA Kenta <kenta@c.csce.kyushu-u.ac.jp> 1.0.10-0vl3
- added compat32-* packages for x86_64 architecture support

* Sat Mar 11 2006 Shu KONNO <owa@bg.wakwak.com> 1.0.10-0vl2
- unused libtool at make
- rebuilt for x86_64 architecture

* Sat Dec 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.10-0vl1
- new upstream release

* Sat Jun 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.9-0vl2
- add Japanese summary and description (thanks to Masa Takahashi)

* Fri Jun 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.9-0vl1
- new upstream release

* Mon Apr 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.8-0vl1
- new upstream version
- remove Requires: alsa-driver
- split development files to alsa-lib-devel

* Wed Aug 04 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.5-0vl1
- New upstream version alsa-lib-1.0.5)

* Sat May 29 2004 IWAI, Masaharu <iwai@alib.jp> 1.0.4-0vl2
- rebuild for VineSeed
- merged spec file from 1.0.4-0vl2.13

* Mon Apr 26 2004 Masaki Shinomiya <shino@pos.to> 1.0.4-0vl1
- new upstream release

* Sat Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.2-0vl2
- rebuild for VineSeed

* Thu Feb 12 2004 Masaki Shinomiya <shino@pos.to> 1.0.2-0vl1
- new upstream release
- not buildrequire alsa-driver
- make doc if doxygen installed

* Fri Feb 15 2002 Toru Sagami <sagami@vinelinux.org> 0.5.10b-0vl2
- rebuilt on current environment

* Tue Mar 27 2001 Satoshi MACHINO <machino@vinelinux.org> 0.5.10b-0vl1
- updated 0.5.10b and build kernel-2.2.18-0vl13

* Sun Jan 14 2001 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 0.5.10-0vl2
- use better macros and makeinstall

* Thu Dec 07 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 0.5.10
- removed Provides: libasound-0.5.5.so

* Tue Jun 20 2000 Toru Sagami <czs14350@nifty.ne.jp>
- import to Vine 0.5.8-0vl1 from 0.5.8-0k1
- BuildRequires: alsa-driver >= 0.5.5

* Tue Jun  5 2000 AYUHANA Tomonori <l@kondara.org>
- Version up 0.5.7 -> 0.5.8
- add -q at %setup
- use %%configure

* Thu Apr  9 2000 Toru Hoshina <t@kondara.org>
- Version up 0.5.6 -> 0.5.7

* Wed Mar 15 2000 Daiki Matsuda <dyky@kondara.org>
- Version up 0.5.5 -> 0.5.6
- Provides libasound-0.5.5.so for compatiblity

* Thu Mar  2 2000 Toru Hoshina <t@kondara.org>
- Version up 0.5.4 -> 0.5.5

* Sun Feb 28 2000 Toru Hoshina <t@kondara.org>
- Version up 0.4.1e -> 0.5.4

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon May 28 1998 Helge Jensen <slog@slog.dk>

- Made SPEC file
