Summary: maintain symbolic links determining default commands (from Debian dpkg utilities)
Summary(ja): コマンドのシンボリックリンクを管理する (Debian dpkg ユーティリティーより)
Name: alternatives
Version: 0.1.10.18
Release: 1%{?_dist_release}
License: GPL
Group: System Environment/Base
# source archive is generated from Debian dpkg-1.10.18
Source0: alternatives-%{version}.tar.bz2
Source1: update-alternatives.ja.8
Patch0: alternatives-0.1.10.18-rpm.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: perl

Distribution: Vine Linux
Vendor: Project Vine
Packager: Shoji Matsumoto <shom@vinelinux.org>


%description
maintain symbolic links determining default commands (from Debian dpkg utilities)

%description -l ja
コマンドのシンボリックリンクを管理する (Debian dpkg ユーティリティーより)


%prep
%setup
%patch -p0

%build
pushd utils
gcc -o enoent enoent.c
strip enoent
popd

sed -e 's!@RPMDIR@!/var/lib/rpm!g' \
    -e 's!@SYSCONFDIR@!%{_sysconfdir}!g' \
    -e 's/dpkg/rpm/g' \
    scripts/update-alternatives.pl \
    > update-alternatives

sed -e 's!@RPMDIR@!/var/lib/rpm!g' \
    scripts/update-alternatives.8 \
    > scripts/update-alternatives.8.rpm
mv scripts/update-alternatives{.8.rpm,.8}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
install -m 755 update-alternatives %{buildroot}/sbin/update-alternatives

mkdir -p %{buildroot}/%{_mandir}/man8
install -m644 scripts/update-alternatives.8 %{buildroot}/%{_mandir}/man8/

mkdir -p %{buildroot}/%{_mandir}/ja/man8
install -m644 %{SOURCE1} %{buildroot}/%{_mandir}/ja/man8/update-alternatives.8

mkdir -p %{buildroot}/var/lib/rpm/alternatives
install -m 755 utils/enoent %{buildroot}/var/lib/rpm/enoent

mkdir -p %{buildroot}/%{_sysconfdir}/alternatives

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root)
%doc COPYING
/sbin/update-alternatives
%{_sysconfdir}/alternatives
%{_mandir}/man8/*
%{_mandir}/ja/man8/*
/var/lib/rpm/alternatives
/var/lib/rpm/enoent

%changelog 
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.1.10.18-1vl5
- applied new versioning policy, spec in utf-8

* Wed Sep 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.10.18-0vl2
- rebuild to add gpg sign

* Tue Dec 02 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.10.18-0vl1
- resync with upstream version

* Sat Aug 23 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.9.17-0vl5
- rebuild and changed docdir to /usr/share/doc
- s/Copyright/License/

* Sun Oct  6 2002 Jun Nishii <jun@vinelinux.org>
- added Japanese man page by Toshiyasu KOJIMA [vine-users:041367]

* Sat Mar 16 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.9.17-0vl3
- add PreReq: perl for install time problem.

* Sun Sep 09 2001 Toru Sagami <sagami@vinelinux.org>
- 0.1.9.17-0vl2: fixed path(es) in man page
- use /var/lib, instead of %%{_localstatedir} (current rpm has wrong macros)

* Sat Sep 09 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.1.9.17-0vl1
- Oops the spec was in JIS. Fixed.

* Wed Sep 06 2001 Shoji Matsumoto <shom@vinelinux.org>
- create

