Name: apt-listchanges
Version: 1.49
Release: 9%{?_dist_release}
Summary: Display new changelog entries from RPM packages
URL: http://packages.debian.org/unstable/utils/apt-listchanges.html
Source0: http://ftp.debian.org/debian/dists/woody/main/source/utils/%{name}_%{version}.tar.gz
Source1: %{name}.1
Source2: %{name}.conf
Source3: 20listchanges
Source4: apt-listchanges-ja.po
Patch0: %{name}-%{version}-rpm.patch
Patch1: %{name}-%{version}-pager.patch
Patch2: %{name}-%{version}-noconfirm.patch
Patch3: %{name}-vine.patch
License: GPL
Group: Applications/Administration
PreReq: grep, textutils
Requires: perl >= 5.6, perl-gettext, rpmver, apt >= 0.5.4.cnc.9
BuildPreReq: gettext
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
apt-listchanges is a tool to show what has been changed in a new version
of a package, as compared to the version currently installed on the system.
It does this by extracting the relevant entries from the changelog found
in the package specfile.

It can be run on several .rpm archives at a time to get a list of all of the
changes that would be effected by installing or upgrading a group of packages.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
mv %{name}.in %{name}
%patch2 -p0
%patch3 -p0
cp %{SOURCE4} po/ja.po

%build
cd po/
/usr/bin/msgfmt --statistics -o ja.mo ja.po

%install
install -D -m755 %{name} %{buildroot}/%{_bindir}/%{name}
install -D -m644 %{_sourcedir}/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m644 %{_sourcedir}/%{name}.conf %{buildroot}%{_sysconfdir}/apt/listchanges.conf
install -D -m644 %{_sourcedir}/20listchanges %{buildroot}%{_sysconfdir}/apt/apt.conf.d/20listchanges
install -D -m644 po/ja.mo %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES/apt-listchanges.mo

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc TODO
%config(noreplace) %{_sysconfdir}/apt/listchanges.conf
%{_sysconfdir}/apt/apt.conf.d/20listchanges
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/locale/ja/LC_MESSAGES/apt-listchanges.mo

%changelog
* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 1.49-9vl5
- applied new versioning policy

* Fri Aug 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.49-8vl8
- rebuilt with new apt
- changed Group to Applications/Administration 

* Tue Oct  7 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.49-8vl7
- rebuild to remove dependancy at i386

* Thu Nov 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.49-8vl6
- fixed typo in 20listchanges

* Thu Nov 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.49-8vl5
- fixed apt-listchange to work --apt option.
- reverse 20listchange to use --apt option.

* Thu Nov 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.49-8vl4
- modifie 20listchanges.

* Tue Nov 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.49-8vl3
- add ja.po for a few translation

* Tue Nov 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.49-8vl2
- modified apt.conf.d/20listchanges to do not use --apt option.
  apt-listchanges rpm version does not work with the option. [FIXME]

* Tue Nov 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.49-8vl1
- build for Vine Linux
- use /etc/apt/apt.conf.d/

* Fri Jun 28 2002 Paulo Car Pereira de Andrade <pcpa@conectiva.com.br>
+ apt-listchanges-1.49-8cl
- Command line option --noconfirm was being overriden by the configuration
  file. Changed perl script file to only set the $confirm variable based on
  the configuration file value if the variable is not yet initialized.

* Thu Jun 27 2002 Paulo Car Pereira de Andrade <pcpa@conectiva.com.br>
+ apt-listchanges-1.49-7cl
- Changed the configuration file option "apt-mode-confirm" from "yes" to "no".
  Note that it will default to "no" in a new install, for upgrades the
  configuration file will be created as /etc/apt/listchanges.conf.rpmnew.
- The specfile was changed to call apt-listchanges with the --noconfirm
  option.
  Closes: #6083 (synaptic n deveria chamar apt-listchanges)

* Fri Jun 14 2002 Claudio Matsuoka <claudio@conectiva.com>
+ apt-listchanges-1.49-6cl
- updated perl dependencies

* Thu Jun 28 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-listchanges-1.49-5cl
- don't use -x to test for a sensible pager (closes: #4014)

* Fri Jun 22 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-listchanges-1.49-4cl
- updated man page
- changed references to .deb packages to .rpm packages (closes: #3836)

* Wed Jun 13 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-listchanges-1.49-3cl
- dependency workaround: added grep, textutils to the list of package
  predependencies (closes: #3623)

* Thu May 31 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-listchanges-1.49-2cl
- new upstream release (closes: #3218, #3234)

* Fri Dec 15 2000 Claudio Matsuoka <claudio@conectiva.com>
+ apt-listchanges-1.15-2cl
- forced epoch 0 when epoch is not set (for rpmver)

* Wed Dec 13 2000 Claudio Matsuoka <claudio@conectiva.com>
+ apt-listchanges-1.15-1cl
- new upstream release: 1.15
  * All interactive frontends now have the option of asking the user
    whether or not to continue, in a way appropriate for the selected
    frontend.  Right now, this is a simple text prompt for all of them.
    (Closes: #78552)
  * Configuration file moved to /etc/apt/listchanges.conf
  * Renamed debconf variables to suit their actual use (which turned out
    to be different from their intended one).  This will cause all
    questions to get asked again, but since there is a new question to ask
    anyway, nobody should mind too much.
  * Some support for the new apt (0.4), which gives us a lot more information
    in the pipeline in addition to the .deb filenames.  This means that we
    won't have to read the status file anymore.  There is also a newer and
    better way to configure our hook into apt, but we can't use it until
    there is a new released version of apt to Depend on.
- more descriptive configuration file
- 'apt-mode-' removed from configuration variables
- relaxed configuration variable regexp matching

* Thu Dec  7 2000 Claudio Matsuoka <claudio@conectiva.com>
+ apt-listchanges-1.14-4cl
- fixed multiple package changelog bug
- added header with package name and version
- changed default frontend to newt

* Wed Dec  6 2000 Claudio Matsuoka <claudio@conectiva.com>
- added %%{_sysconfdir}/apt/apt.conf handling (from debian/postinst)
- added perl-Newt dependency

* Tue Dec  5 2000 Claudio Matsuoka <claudio@conectiva.com>
- package created
