Summary:	A Free, Cross-Platform Digital Audio Editor
Summary(ja): 	フリーでクロスプラットフォームなオーディオエディタ
Name:		audacity
Version:	1.3.12
Release: 	1.beta1%{?_dist_release}
Source0:	%{name}-minsrc-%{version}-beta.tar.bz2
License:	GPL
Group:		Applications/Multimedia
URL:		http://audacity.sourceforge.net/

BuildRequires:	wx-gtk2-devel
#BuildRequires:	libmad-devel
BuildRequires:	libsndfile-devel, libogg-devel
BuildRequires:	flac-devel, libid3tag-devel, expat-devel
BuildRequires:	libsamplerate-devel, libvorbis-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
Audacity is a free, easy-to-use audio editor and recorder for 
Windows, Mac OS X, GNU/Linux, and other operating systems. 
You can use Audacity to:

    * Record live audio.
    * Convert tapes and records into digital recordings or CDs.
    * Edit Ogg Vorbis, MP3, and WAV sound files.
    * Cut, copy, splice, and mix sounds together.
    * Change the speed or pitch of a recording.
    * And more! See the complete list on official web page.

%description -l ja
Audacityは、Windows、Mac OS X、GNU/Linux、その他のオペレーティング
システム上で動作する、フリーで使いやすいオーディオエディタ兼レコー
ダーです。あなたはAudacityを次のように使うことができます。

    * 生の音を録音。
    * テープやレコードの音をデジタルレコーディング又はCDの音に変換。
    * Ogg Vorbis、MP3、 WAVサウンドファイルの編集。
    * 切り取り、コピー、分割、そして音をミックス。
    * 録音した音のスピードやピッチを変化させます。
    * その他いろいろ。詳細はウェブページをご覧ください。


%prep
%setup -q -n %{name}-src-%{version}-beta


%build
%configure --without-libmad \
           --without-ffmpeg
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# remove duplicated documents.
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_datadir}/doc/audacity/LICENSE.txt
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_datadir}/doc/audacity/README.txt

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc LICENSE.txt README.txt
%{_bindir}/audacity
%{_datadir}/audacity
%{_datadir}/applications/audacity.desktop
%{_datadir}/icons/hicolor/16x16/apps/audacity.png
%{_datadir}/icons/hicolor/22x22/apps/audacity.png
%{_datadir}/icons/hicolor/24x24/apps/audacity.png
%{_datadir}/icons/hicolor/32x32/apps/audacity.png
%{_datadir}/icons/hicolor/48x48/apps/audacity.png
%{_datadir}/icons/hicolor/scalable/apps/audacity.svg
%{_datadir}/mime/packages/audacity.xml
%{_datadir}/pixmaps/audacity.xpm
%{_datadir}/pixmaps/audacity16.xpm
%{_datadir}/pixmaps/audacity32.xpm
%{_datadir}/pixmaps/gnome-mime-application-x-audacity-project.xpm
%{_mandir}/man1/audacity.1*

%changelog
* Thu May 20 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.3.12-1.beta1
- new upstream release
- spec in utf-8
- add configure option --without-libmad & --without-ffmpeg (nonfree)
- drop BuildRequires: libmad-devel (nonfree)
- add BuildRequires: expat-devel, libsamplerate-devel, libvorbis-devel

* Wed Jan  2 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3.4-0vl0.0beta1
- new upstream release.
- build with wx-gtk2-2.8.6.
- drop patch0.

* Tue May 29 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3.3-0vl0.0beta1
- initial build for Vine Linux
