%define pythonlib %(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(0)')
%define _localstatedir %{_var}

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:        Local network service discovery 
Summary(ja):	ローカルネットワークサービス検出システム
Name:           avahi
Version:        0.6.25
Release: 	4%{?_dist_release}
Group:          System Environment/Base
License:        LGPL
URL:            http://avahi.org

Source0:        %{name}-%{version}.tar.gz
Patch10:	avahi-0.6.25-vine.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  gtk2-devel, qt-devel, libglade2-devel, glib2-devel
BuildRequires:  qt4-devel
BuildRequires:  libdaemon-devel >= 0.12
BuildRequires:  libcap-devel, dbus-devel, expat-devel
BuildRequires:  python, dbus-python, gdbm-devel, pygtk2, libmng-devel
BuildRequires:  xorg-x11-devel, mesa-libGL-devel
Requires:       dbus, libdaemon, expat, python, dbus-python, libcap
Requires(post): initscripts, chkconfig >= 1.3.34
Obsoletes:	howl, howl-libs

Vendor: Project Vine
Distribution: Vine Linux

%description
Avahi is a system which facilitates service discovery on
a local network -- this means that you can plug your laptop or
computer into a network and instantly be able to view other people who
you can chat with, find printers to print to or find files being
shared. This kind of technology is already found in MacOS X (branded
'Rendezvous', 'Bonjour' and sometimes 'ZeroConf') and is very
convenient.

%package tools
Summary: Tools for mDNS browsing and publishing
Group: System Environment/Base
Requires: %{name} = %{version}, gtk2, pygtk2, libglade2, pygtk2-libglade, gdbm

%description tools
Tools that use avahi to browse and publish mDNS services and hosts.

%package ui
Summary: UI libraries for avahi
Summary(ja): avahi 用 UI ライブラリ
Group: System Environment/Libraries
Requires: %{name} = %{version}
Requires: gtk2

%description ui
Libraries for easy use of avahi from gtk applications.

%package ui-devel
Summary: Libraries and header files for avahi ui development
Group: Development/Libraries
Requires: %{name}-devel = %{version}
Requires: %{name}-ui = %{version}
Requires: gtk2-devel

%description ui-devel
The avahi-ui-devel package contains the header files and libraries
necessary for developing programs using avahi with gtk+.

%package glib
Summary: Glib libraries for avahi
Summary(ja): avahi 用 glib ライブラリ
Group: System Environment/Libraries
Requires: %{name} = %{version}
Requires: glib2

%description glib
Libraries for easy use of avahi from glib applications.

%package glib-devel
Summary: Libraries and header files for avahi glib development
Group: Development/Libraries
Requires: %{name}-devel = %{version}
Requires: %{name}-glib = %{version}
Requires: glib2-devel

%description glib-devel
The avahi-glib-devel package contains the header files and libraries
necessary for developing programs using avahi with glib.

%package gobject
Summary: GObject library for Avahi
Summary(ja): Avahi 用 GObject ライブラリ
Group: System Environment/Base
Requires: glib2
Requires: %{name}-glib = %{version}-%{release}

%description gobject
This library contains a GObject wrapper for the Avahi API

%package gobject-devel
Summary: Libraries and header files for Avahi GObject development
Summary(ja): Avahi GObject 開発用ライブラリとヘッダファイル
Group: Development/Libraries
Requires: %{name}-gobject = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-glib-devel = %{version}-%{release}

%description gobject-devel
The avahi-gobject-devel package contains the header files and libraries
necessary for developing programs using avahi-gobject.

%package qt3
Summary: Qt3 libraries for avahi
Summary(ja): avahi 用 Qt3 ライブラリ
Group: System Environment/Libraries
Requires: %{name} = %{version}
Requires: qt

%description qt3
Libraries for easy use of avahi from Qt3 applications.

%package qt3-devel
Summary: Libraries and header files for avahi Qt3 development
Group: Development/Libraries
Requires: %{name}-devel = %{version}
Requires: %{name}-qt3 = %{version}
Requires: qt-devel

%description qt3-devel
The avahi-qt3-devel package contains the header files and libraries
necessary for developing programs using avahi with Qt3.

%package qt4
Summary: Qt4 libraries for avahi
Summary(ja): avahi 用 Qt4 ライブラリ
Group: System Environment/Base
Requires: %{name} = %{version}-%{release}

%description qt4
Libraries for easy use of avahi from Qt4 applications.

%package qt4-devel
Summary: Libraries and header files for avahi Qt4 development
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-qt4 = %{version}-%{release}
Requires: qt4-devel

%description qt4-devel
Th avahi-qt4-devel package contains the header files and libraries
necessary for developing programs using avahi with Qt4.

%package devel
Summary: Libraries and header files for avahi development
Group: Development/Libraries
Requires: %{name} = %{version}
Obsoletes: howl-devel

%description devel
The avahi-devel package contains the header files and libraries
necessary for developing programs using avahi.

# compat32
%package -n compat32-%{name}
Summary:        Local network service discovery 
Summary(ja):	ローカルネットワークサービス検出システム
Group:          System Environment/Base
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
Avahi is a system which facilitates service discovery on
a local network -- this means that you can plug your laptop or
computer into a network and instantly be able to view other people who
you can chat with, find printers to print to or find files being
shared. This kind of technology is already found in MacOS X (branded
'Rendezvous', 'Bonjour' and sometimes 'ZeroConf') and is very
convenient.

%package -n compat32-%{name}-ui
Summary: UI libraries for avahi
Summary(ja): avahi 用 UI ライブラリ
Group: System Environment/Libraries
Requires: %{name}-ui = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-gtk2

%description -n compat32-%{name}-ui
Libraries for easy use of avahi from gtk applications.

%package -n compat32-%{name}-ui-devel
Summary: Libraries and header files for avahi ui development
Group: Development/Libraries
Requires: %{name}-ui-devel = %{version}-%{release}
Requires: compat32-%{name}-devel = %{version}-%{release}
Requires: compat32-%{name}-ui = %{version}-%{release}
Requires: compat32-gtk2-devel

%description -n compat32-%{name}-ui-devel
The avahi-ui-devel package contains the header files and libraries
necessary for developing programs using avahi with gtk+.

%package -n compat32-%{name}-glib
Summary: Glib libraries for avahi
Summary(ja): avahi 用 glib ライブラリ
Group: System Environment/Libraries
Requires: %{name}-glib = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-glib2

%description -n compat32-%{name}-glib
Libraries for easy use of avahi from glib applications.

%package -n compat32-%{name}-glib-devel
Summary: Libraries and header files for avahi glib development
Group: Development/Libraries
Requires: %{name}-glib-devel = %{version}-%{release}
Requires: compat32-%{name}-devel = %{version}-%{release}
Requires: compat32-%{name}-glib = %{version}-%{release}
Requires: compat32-glib2-devel

%description -n compat32-%{name}-glib-devel
The avahi-glib-devel package contains the header files and libraries
necessary for developing programs using avahi with glib.

%package -n compat32-%{name}-gobject
Summary: GObject library for Avahi
Summary(ja): Avahi 用 GObject ライブラリ
Group: System Environment/Base
Requires: %{name}-gobject = %{version}-%{release}
Requires: compat32-glib2
Requires: compat32-%{name}-glib = %{version}-%{release}

%description -n compat32-%{name}-gobject
This library contains a GObject wrapper for the Avahi API

%package -n compat32-%{name}-gobject-devel
Summary: Libraries and header files for Avahi GObject development
Summary(ja): Avahi GObject 開発用ライブラリとヘッダファイル
Group: Development/Libraries
Requires: %{name}-gobject-devel = %{version}-%{release}
Requires: compat32-%{name}-gobject = %{version}-%{release}
Requires: compat32-%{name}-devel = %{version}-%{release}
Requires: compat32-%{name}-glib-devel = %{version}-%{release}

%description -n compat32-%{name}-gobject-devel
The avahi-gobject-devel package contains the header files and libraries
necessary for developing programs using avahi-gobject.

%package -n compat32-%{name}-qt3
Summary: Qt3 libraries for avahi
Summary(ja): avahi 用 Qt3 ライブラリ
Group: System Environment/Libraries
Requires: %{name}-qt3 = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-qt

%description -n compat32-%{name}-qt3
Libraries for easy use of avahi from Qt3 applications.

%package -n compat32-%{name}-qt3-devel
Summary: Libraries and header files for avahi Qt3 development
Group: Development/Libraries
Requires: %{name}-qt3-devel = %{version}-%{release}
Requires: compat32-%{name}-devel = %{version}-%{release}
Requires: compat32-%{name}-qt3 = %{version}-%{release}
Requires: compat32-qt-devel

%description -n compat32-%{name}-qt3-devel
The avahi-qt3-devel package contains the header files and libraries
necessary for developing programs using avahi with Qt3.

%package -n compat32-%{name}-qt4
Summary: Qt4 libraries for avahi
Summary(ja): avahi 用 Qt4 ライブラリ
Group: System Environment/Base
Requires: %{name}-qt4 = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-qt4
Libraries for easy use of avahi from Qt4 applications.

%package -n compat32-%{name}-qt4-devel
Summary: Libraries and header files for avahi Qt4 development
Group: Development/Libraries
Requires: %{name}-qt4-devel = %{version}-%{release}
Requires: compat32-%{name}-devel = %{version}-%{release}
Requires: compat32-%{name}-qt4 = %{version}-%{release}
Requires: compat32-qt4-devel

%description -n compat32-%{name}-qt4-devel
Th avahi-qt4-devel package contains the header files and libraries
necessary for developing programs using avahi with Qt4.

%package -n compat32-%{name}-devel
Summary: Libraries and header files for avahi development
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-devel
The avahi-devel package contains the header files and libraries
necessary for developing programs using avahi.

%define avahi_user_uid 70

%prep
%setup -q
%patch10 -p1 -b .vine

%build
autoreconf -i

%configure --with-distro=vine \
  --disable-monodoc --without-python-twisted \
  --with-avahi-user=avahi --with-avahi-group=avahi \
  --enable-compat-howl --enable-compat-libdns_sd \
  --with-avahi-priv-access-group=avahi \
  --with-autoipd-user=avahi-autoipd \
  --with-autoipd-group=avahi-autoipd \
  --disable-mono

%__make -C avahi-python clean
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

# remove example 
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/avahi/services/ssh.service

# remove desktop file for avahi-discover
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/avahi-discover.desktop

# create /var/run/avahi-daemon to ensure correct selinux policy for it:
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/avahi-daemon

# remove the documentation directory - let \%doc handle it:
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# remove avahi-bookmarks - unusable without python-twisted,
# which has been judged dangerous and is removed from the 
# Fedora Core distribution:
rm -f $RPM_BUILD_ROOT/%{_bindir}/avahi-bookmarks $RPM_BUILD_ROOT/%{_mandir}/man1/avahi-bookmarks*
#
# move initscripts into /etc/rc.d/init.d :
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d
mv $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/* $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d
rm -rf $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/*
#
# Make /etc/avahi/etc/localtime owned by avahi:
mkdir -p $RPM_BUILD_ROOT/etc/avahi/etc
touch $RPM_BUILD_ROOT/etc/avahi/etc/localtime
:;

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Add the "avahi" group
/usr/sbin/groupadd -f -r avahi
# Add the "avahi" user
/usr/sbin/useradd -g avahi -c 'Avahi daemon' -u %{avahi_user_uid} \
	-s /sbin/nologin -r -d '/' avahi 2> /dev/null || :

%post
/sbin/ldconfig
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig >/dev/null 2>&1 || :
/sbin/chkconfig --add avahi-daemon >/dev/null 2>&1 ||:
/sbin/chkconfig avahi-daemon resetpriorities >/dev/null 2>&1 ||:
/sbin/chkconfig --add avahi-dnsconfd >/dev/null 2>&1 ||:
/sbin/chkconfig avahi-dnsconfd resetpriorities >/dev/null 2>&1 ||:
if [ "$1" -eq 1 ]; then
   if [ -s /etc/localtime ]; then
	cp -fp /etc/localtime /etc/avahi/etc/localtime || :;
   fi
fi

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
   /sbin/service avahi-daemon condrestart >/dev/null 2>&1
   /sbin/service avahi-dnsconfd condrestart >/dev/null 2>&1
fi
      
%preun
if [ "$1" -eq 0 ]; then
    /sbin/service avahi-daemon stop > /dev/null 2>&1
    /sbin/chkconfig --del avahi-daemon
    /sbin/service avahi-dnsconfd stop >/dev/null 2>&1
    /sbin/chkconfig --del avahi-dnsconfd
fi

%post ui -p /sbin/ldconfig

%postun ui -p /sbin/ldconfig

%post glib -p /sbin/ldconfig

%postun glib -p /sbin/ldconfig

%post qt3 -p /sbin/ldconfig

%postun qt3 -p /sbin/ldconfig

%post qt4 -p /sbin/ldconfig

%postun qt4 -p /sbin/ldconfig

%post gobject -p /sbin/ldconfig

%postun gobject -p /sbin/ldconfig

# compat32
%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%post -n compat32-%{name}-ui -p /sbin/ldconfig

%postun -n compat32-%{name}-ui -p /sbin/ldconfig

%post -n compat32-%{name}-glib -p /sbin/ldconfig

%postun -n compat32-%{name}-glib -p /sbin/ldconfig

%post -n compat32-%{name}-qt3 -p /sbin/ldconfig

%postun -n compat32-%{name}-qt3 -p /sbin/ldconfig

%post -n compat32-%{name}-qt4 -p /sbin/ldconfig

%postun -n compat32-%{name}-qt4 -p /sbin/ldconfig

%post -n compat32-%{name}-gobject -p /sbin/ldconfig

%postun -n compat32-%{name}-gobject -p /sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%doc docs/* avahi-daemon/example.service avahi-daemon/ssh.service
%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/*
%dir %{_sysconfdir}/avahi
%dir %{_sysconfdir}/avahi/etc
%ghost %{_sysconfdir}/avahi/etc/localtime
%{_sysconfdir}/avahi/hosts
%dir %{_sysconfdir}/avahi/services
%dir %{_localstatedir}/run/avahi-daemon
%config %{_sysconfdir}/avahi/avahi-autoipd.action
%config %{_sysconfdir}/avahi/avahi-daemon.conf
%config %{_sysconfdir}/avahi/avahi-dnsconfd.action
%config %{_sysconfdir}/avahi/services/*
%config %{_sysconfdir}/dbus-1/system.d/avahi-dbus.conf
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/libavahi-common.so.*
%attr(755,root,root) %{_libdir}/libavahi-core.so.*
%attr(755,root,root) %{_libdir}/libavahi-client.so.*
%attr(755,root,root) %{_libdir}/libhowl.so.*
%attr(755,root,root) %{_libdir}/libdns_sd.so.*
%attr(755,root,root) %{_datadir}/avahi
%{_datadir}/locale/*
%{_libdir}/avahi
%exclude %{_datadir}/avahi/interfaces
%{_mandir}/man5/*
%{_mandir}/man8/*

%files tools
%defattr(0755, root, root, 0755)
%{_bindir}/*
%{pythonlib}/*
%attr(0644,root,root) %{_mandir}/man1/*
%{_datadir}/avahi/interfaces/
%{_datadir}/applications/*

%files devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-common.so
%attr(755,root,root) %{_libdir}/libavahi-core.so
%attr(755,root,root) %{_libdir}/libavahi-client.so
%attr(755,root,root) %{_libdir}/libhowl.so
%attr(755,root,root) %{_libdir}/libdns_sd.so
%{_includedir}/avahi-client
%{_includedir}/avahi-common
%{_includedir}/avahi-core
%{_includedir}/avahi-compat-howl
%{_includedir}/avahi-compat-libdns_sd
%{_libdir}/pkgconfig/avahi-core.pc
%{_libdir}/pkgconfig/avahi-client.pc
%{_libdir}/pkgconfig/avahi-compat-howl.pc
%{_libdir}/pkgconfig/avahi-compat-libdns_sd.pc

%files ui
%defattr(0755, root, root, 0755)
%{_libdir}/libavahi-ui.so.*

%files ui-devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-ui.so
%{_includedir}/avahi-ui
%{_libdir}/pkgconfig/avahi-ui.pc

%files glib
%defattr(0755, root, root, 0755)
%{_libdir}/libavahi-glib.so.*

%files glib-devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-glib.so
%{_includedir}/avahi-glib
%{_libdir}/pkgconfig/avahi-glib.pc

%files gobject
%defattr(0755, root, root, 0755)
%{_libdir}/libavahi-gobject.so.*

%files gobject-devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-gobject.so
%{_includedir}/avahi-gobject
%{_libdir}/pkgconfig/avahi-gobject.pc

%files qt3
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-qt3.so.*

%files qt3-devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-qt3.so
%{_includedir}/avahi-qt3
%{_libdir}/pkgconfig/avahi-qt3.pc

%files qt4
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-qt4.so.*

%files qt4-devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-qt4.so
%{_includedir}/avahi-qt4/
%{_libdir}/pkgconfig/avahi-qt4.pc

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_libdir}/libavahi-common.so.*
%attr(755,root,root) %{_libdir}/libavahi-core.so.*
%attr(755,root,root) %{_libdir}/libavahi-client.so.*
%attr(755,root,root) %{_libdir}/libhowl.so.*
%attr(755,root,root) %{_libdir}/libdns_sd.so.*
%{_libdir}/avahi

%files -n compat32-%{name}-devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-common.so
%attr(755,root,root) %{_libdir}/libavahi-core.so
%attr(755,root,root) %{_libdir}/libavahi-client.so
%attr(755,root,root) %{_libdir}/libhowl.so
%attr(755,root,root) %{_libdir}/libdns_sd.so
%{_libdir}/pkgconfig/avahi-core.pc
%{_libdir}/pkgconfig/avahi-client.pc
%{_libdir}/pkgconfig/avahi-compat-howl.pc
%{_libdir}/pkgconfig/avahi-compat-libdns_sd.pc

%files -n compat32-%{name}-ui
%defattr(0755, root, root, 0755)
%{_libdir}/libavahi-ui.so.*

%files -n compat32-%{name}-ui-devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-ui.so
%{_libdir}/pkgconfig/avahi-ui.pc

%files -n compat32-%{name}-glib
%defattr(0755, root, root, 0755)
%{_libdir}/libavahi-glib.so.*

%files -n compat32-%{name}-glib-devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-glib.so
%{_libdir}/pkgconfig/avahi-glib.pc

%files -n compat32-%{name}-gobject
%defattr(0755, root, root, 0755)
%{_libdir}/libavahi-gobject.so.*

%files -n compat32-%{name}-gobject-devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-gobject.so
%{_libdir}/pkgconfig/avahi-gobject.pc

%files -n compat32-%{name}-qt3
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-qt3.so.*

%files -n compat32-%{name}-qt3-devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-qt3.so
%{_libdir}/pkgconfig/avahi-qt3.pc

%files -n compat32-%{name}-qt4
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-qt4.so.*

%files -n compat32-%{name}-qt4-devel
%defattr(0644, root, root, 0755)
%attr(755,root,root) %{_libdir}/libavahi-qt4.so
%{_libdir}/pkgconfig/avahi-qt4.pc
%endif

%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.25-4
- rebuild with rpm-4.8.1 for pkg-config file

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.6.25-3
- rebuilt with gcc-4.4.3-3 on ppc

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.6.25-2
- rebuilt with python-2.6.4

* Sat Sep 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.25-1
- new upstream release
- update vine patch
  - startup avahi-daemon earlier

* Mon Jul 13 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.6.24-2
- added qt4 subpackage
- added compat32 package for x86_64 arch support

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.24-1
- new upstream release

* Fri Jan 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.6.23-2
- fixed %%pre: add the "avahi" user to the "avahi" group

* Mon Sep 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.23-1
- new upstream release

* Thu Jul 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.22-1
- new upstream release
- add gobject, gobject-devel sub package
- enable avahi-autoipd

* Wed Jul 23 2008 Shu KONNO <owa@bg.wakwak.com> 0.6.20-1vl5
- built with python-2.5.2
- s/automake-1.9/automake/
- fixed python library path
- applied new versioning policy

* Wed Feb 20 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.6.20-0vl2
- rebuild with expat-2.0.1

* Mon Jul 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.20-0vl1
- new upstream release

* Thu May 10 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.18-0vl2
- rebuild with new environment/toolchain

* Tue May 08 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.18-0vl1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.17-0vl2
- require new chkconfig to reset initscript priorities

* Thu Apr 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.17-0vl1
- new upstream release

* Fri Jan 12 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.6.13-0vl3
- add patch110 for fix CVE-2006-6870
- add Vendor/Distribution Tag

* Wed Dec 27 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.13-0vl2
- rebuilt for VineSeed

* Thu Dec 07 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.6.13-0vl1.1
- add patch100 for fix CVE-2006-5461
- add BuildRequires:  XOrg-gl-devel tag

* Thu Sep 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.13-0vl1
- new upstream release
- refine %%post scripts
- add condrestart daemon in %%postun

* Mon May 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.10-0vl1
- new upstream release

* Thu Mar 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.9-0vl2
- move /var/lib/run/avahi-daemon to /var/run

* Sun Mar 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.9-0vl1
- initial build for Vine Linux based on FC package
- add Patch10 to support Vine Linux

* Thu Feb 23 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.8-1
- Upgrade to upstream version 0.6.8
- fix bug 182462: +Requires(post): initscripts, chkconfig, ldconfig

* Fri Feb 17 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.7-1
- Upgrade to upstream version 0.6.7

* Fri Feb 17 2006 Karsten Hopp <karsten@redhat.de> - 0.6.6-4
- BuildRequires pygtk2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.6.6-3.1
- bump again for double-long bug on ppc(64)

* Fri Feb 10 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.6-3
- rebuild for new gcc (again)
- further fix for bug 178746: fix avahi-dnsconfd initscript 

* Tue Feb 07 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.6-2
- rebuild for new gcc, glibc, glibc-kernheaders

* Wed Feb 01 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.6-1
- fix bug 179448: mis-alignment of input cmsghdr msg->msg_control buffer on ia64
- Upgrade to 0.6.6

* Thu Jan 26 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.5-1
- Upgrade to upstream version 0.6.5
- Make /etc/avahi/etc and /etc/avahi/etc/localtime owned by avahi
  package; copy system localtime into chroot in post

* Mon Jan 23 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.4-4
- fix bug 178689: copy localtime to chroot
- fix bug 178784: fix avahi-dnsconfd initscript 

* Fri Jan 20 2006 Peter Jones <pjones@redhat.com> - 0.6.4-3
- fix subsystem locking in the initscript

* Thu Jan 19 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.4-2
- fix bug 178127: fully localize the initscript

* Mon Jan 16 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.4-1
- Upgrade to upstream version 0.6.4

* Thu Jan 12 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.3-2
- fix bug 177610: Enable mono support with new avahi-sharp package
- fix bug 177609: add gdbm / gdbm-devel Requires for avahi-browse

* Mon Jan 09 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.3-1
- Upgrade to upstream version 0.6.3
- fix bug 177148: initscript start should not fail if avahi-daemon running
 
* Thu Dec 22 2005 Jason Vas Dias <jvdias@redhat.com> - 0.6.1-3
- move initscripts from /etc/init.d to /etc/rc.d/init.d

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 09 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6.1-2
- fix bug 175352: Do not chkconfig --add avahi-daemon 
  if user has already configured it

* Wed Dec 07 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6.1-1
- Upgrade to 0.6.1

* Mon Dec 05 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6-6
- fix bug 174799 - fix .spec file \%files permissions

* Fri Dec 02 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6-5
- python-twisted has been removed from the FC-5 distribution - disable its use

* Thu Dec 01 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6-4
- Rebuild for dbus-0.6 - remove use of DBUS_NAME_FLAG_PROHIBIT_REPLACEMENT

* Wed Nov 30 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6-3
- fix bug 172047 - tools should require python-twisted
- fix bug 173985 - docs directory permissions

* Mon Nov 21 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6-1
- Upgrade to upstream version 0.6 - now provides 'avahi-howl-compat'
  libraries / includes.

* Mon Nov 14 2005 Jason Vas Dias<jvdias@redhat.com> - 0.5.2-7
- fix bug 172034: fix ownership of /var/run/avahi-daemon/
- fix bug 172772: .spec file improvements from matthias@rpmforge.net
 
* Mon Oct 31 2005 Jason Vas Dias<jvdias@redhat.com> - 0.5.2-6
- put back avahi-devel Obsoletes: howl-devel

* Mon Oct 31 2005 Alexander Larsson <alexl@redhat.com> - 0.5.2-5
- Obsoletes howl, howl-libs, as we want to get rid of them on updates
- No provides yet, as the howl compat library is in Avahi 0.6.0.

* Sun Oct 30 2005 Florian La Roche <laroche@redhat.com>
- disable the Obsoletes: howl until the transition is complete

* Fri Oct 28 2005 Jason Vas Dias<jvdias@redhat.com> - 0.5.2-3
- change initscript to start avahi-daemon AFTER messagebus

* Wed Oct 26 2005 Karsten Hopp <karsten@redhat.de> 0.5.2-2
- add buildrequires dbus-python

* Fri Oct 21 2005 Alexander Larsson <alexl@redhat.com> - 0.5.2-1
- Initial package
