%define pkg_version 0.3.7
%define pkg_release 1%{?_dist_release}

Summary:	File Transfer Client
Summary(ja):	ファイル転送クライアント
Name:		bareftp
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://www.bareftp.org/release/%{name}-%{version}.tar.gz
License:	GPL
Group:		Applications/Internet 
URL:		http://www.bareftp.org/ 

Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

BuildRequires:	mono-devel >= 2.0
BuildRequires:	gtk-sharp2 >= 2.12
BuildRequires:	gnome-sharp2 >= 2.20
BuildRequires:	gconf-sharp2 >= 2.20
BuildRequires:	gnome-keyring-sharp-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
bareFTP is a file transfer client supporting the FTP, FTP over SSL/TLS (FTPS) and 
SSH File Transfer Protocol (SFTP). It is written in C#, targeting the Mono framework
and the GNOME desktop environment. bareFTP is free and open source software released
under the terms of the GPL license.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
umask 022
update-mime-database %{_datadir}/mime & > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor & > /dev/null || :
update-desktop-database -q & > /dev/null || :

%postun
update-mime-database %{_datadir}/mime & > /dev/null || :
update-desktop-database -q & > /dev/null || :

if [ $1 -eq 0 ]; then
	touch --no-create %{_datadir}/icons/hicolor & > /dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor & > /dev/null
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/bareftp
%{_libdir}/bareftp/*
%{_datadir}/applications/bareftp.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/bareftp.1.gz


%changelog
* Fri Dec 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.7-1
- new upstream release

* Tue Nov 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.6-1
- new upstream release

* Sat Jun 05 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.4-1
- initial build for Vine Linux

