%define version 0.17
%define release 15%{?_dist_release}
%define	_snapshot	-pre20000412

Summary: A server process which provides boot information to diskless clients.
Summary(ja): ディスクレスクライアントに起動情報を提供するサーバプロセス
Name: bootparamd
Version: %{version}
Release: %{release}
License: BSD
Group: System Environment/Daemons
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit-devel/netkit-bootparamd-%{version}%{_snapshot}.tar.gz
Source1: bootparamd.init
Patch: bootparamd-manpage-63567.patch
#Prereq: /sbin/chkconfig /sbin/init.d
Prereq: /sbin/chkconfig
Requires: portmap
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
The bootparamd process provides bootparamd, a server process which
provides the information needed by diskless clients in order for them
to successfully boot.  Bootparamd looks first in /etc/bootparams for an
entry for that particular client; if a local bootparams file doesn't
exist, it looks at the appropriate Network Information Service (NIS)
map.  Some network boot loaders (notably Sun's) rely on special boot
server code on the server, in addition to the RARP and TFTP servers.
This bootparamd server process is compatible with SunOS bootparam clients
and servers which need that boot server code.

You should install bootparamd if you need to provide boot information to
diskless clients on your network.

%description -l ja
bootparamd はディスクレスクライアントが正しく起動する為の情報を
提供するサーバプロセスです．bootparamd は最初に /etc/bootparams を
見て特定のクライアントの情報を探します．/etc/bootparams がなければ
NIS (Network Information Service) のマップを探します．
ネットワークブートローダの中には (特に Sun のものが) RARP や TFTP
サーバに加えて特別なブートサーバを必要とします．この bootparamd サーバは
SunOS の bootparam クライアント/サーバと互換性があります．

ネットワーク上のディスクレスクライアントに起動情報を提供する必要が
ある場合は bootparamd パッケージをインストールして下さい．


%prep
%setup -q -n netkit-bootparamd-%{version}%{_snapshot}
%patch -p1

%build
sh configure --with-c-compiler=gcc
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS) -D_BSD_SOURCE,;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG
make


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man{1,8}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_initdir}

make INSTALLROOT=%{buildroot} install
install -m 755 $RPM_SOURCE_DIR/bootparamd.init %{buildroot}%{_initdir}/bootparamd


%clean
rm -rf %{buildroot}


%post
/sbin/chkconfig --add bootparamd


%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del bootparamd
fi


%files
%defattr(-,root,root)
%{_sbindir}/rpc.bootparamd
%{_bindir}/callbootd
%{_mandir}/man8/rpc.bootparamd.*
%{_mandir}/man8/bootparamd.*
%config %{_initdir}/bootparamd


%changelog
* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 0.17-15vl5
- applied new versioning policy, spec in utf-8

* Thu Jul  3 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-14vl1
- based on Redhat Rawhide 0.17-14
- rebuild with new toolchains
- s/Copyright/License/

* Wed Jan 10 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.17-5vl3
- use better macros (%%{_initdir})
- added Japanese summary and description
- rebuilt with newer %%{_mandir} definition

* Tue Dec 12 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.17-5vl2
- remove /etc/init.d from PreReq

* Sun Nov 19 2000 Satoshi MACHINO <machino@vinelinux.org> 0.17-5vl1
- build on Vine Linux with gcc-2.95.3

* Sat Aug 05 2000 Bill Nottingham <notting@redhat.com>
- condrestart fixes

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript
 
* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- FHS packaging
- 0.17

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- gzipped man pages

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- *sigh*.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initrscript munging

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- removed triggerpostun.

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Thu Jan 08 1998 Erik Troan <ewt@redhat.com>
- updated initscript to include functions
- fixed 'stop' action of initscript
- added requirement for portmap

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added an initscript

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
