%define libname libbtparse

Name:             btparse
Version:          0.35
Release:          1%{?_dist_release}
Summary:          Tool for parsing and processing BibTeX data files
Summary(ja):      BibTeX ファイルを解析処理するツール
License:          GPL
Distribution:     Vine Linux
Group:            Applications/Publishing
Source:           %{name}-%{version}.tar.gz
URL:              http://search.cpan.org/dist/btparse/
BuildRoot:        %{_tmppath}/%{name}-%{version}-root

## BuildRequires:       
## Requires:       

%description
btparse is a C library for parsing and processing BibTeX files. It provides a
lexical scanner and LR parser (constructed by PCCTS), both of which are
efficient and offer good error detection and recovery; a set of functions for
traversing the AST (abstract syntax tree) generated by the parser; and utility
functions for manipulating strings according to BibTeX conventions. (Note that
nothing in the library assumes that you're using BibTeX files for their
original purpose of bibliographic data for scholarly publications; you could
use the file format for any conceivable purpose that fits it. However, there is
some code in the library that is really only appropriate for use with strings
meant to be processed in the same way that BibTeX itself does. This is all
entirely optional, though.)

Note that the interface provided by btparse, while complete, is fairly
low-level. If you have more sophisticated needs, you might be interested my
Text::BibTeX module for Perl 5 (available on CPAN).

%description -l ja
BibTeXファイルを解析処理するツールです．

%package -n %{libname}
Summary:        C library for parsing and processing BibTeX data files
Summary(ja):    BibTeX ファイルを解析処理する C ライブラリ
Group:          System Environment/Libraries

%description -n %{libname}
btparse is a C library for parsing and processing BibTeX files. It provides a
lexical scanner and LR parser (constructed by PCCTS), both of which are
efficient and offer good error detection and recovery; a set of functions for
traversing the AST (abstract syntax tree) generated by the parser; and utility
functions for manipulating strings according to BibTeX conventions. (Note that
nothing in the library assumes that you're using BibTeX files for their
original purpose of bibliographic data for scholarly publications; you could
use the file format for any conceivable purpose that fits it. However, there is
some code in the library that is really only appropriate for use with strings
meant to be processed in the same way that BibTeX itself does. This is all
entirely optional, though.)

Note that the interface provided by btparse, while complete, is fairly
low-level. If you have more sophisticated needs, you might be interested my
Text::BibTeX module for Perl 5 (available on CPAN).

%description -l ja
BibTeX ファイルを解析処理する C ライブラリです．

%package -n %{libname}-devel
Summary:        Headers for developing programs that will use %{name}
Summary(ja):    %{name} のヘッダファイル
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep

%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%{__install} -d -m 755 %{buildroot}%{_datadir}/%{name}
%{__install} -m 644 tests/data/* %{buildroot}%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL README TODO
%{_bindir}/*

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/lib*.a
%exclude %{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/*/*
%{_datadir}/%{name}
# %{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 0.35-1vl5
- applied new versioning policy, spec in utf-8
- excluded *.la

* Tue Nov 28 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.35-0vl1
- new upstream release
- updated URL

* Wed Jun  7 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.34-0vl2
- rebuilt for VineSeed(plus)
- changed Group

* Mon Oct 31 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux3.2

