%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:   CherryTree - note taking application
Summary(ja): CherryTree - ノート作成アプリケーション
Name:	   cherrytree
Version:   0.18.1
Release:   1%{?_dist_release}
License:   GPLv2+
Group:     Applications/Productivity
URL:	   http://www.giuspen.com/cherrytree/
Source0:   %{name}-%{version}.tar.gz
#Patch0: setup.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

BuildRequires:  gettext
BuildRequires:  python
BuildRequires:  python-devel
Requires:  cairo
Requires:  pango
Requires:  python
Requires:  pygtk2
Requires:  gtksourceview2
Requires:  pygtksourceview

#Obsoletes: %name < %version

%description
A hierarchical note taking application, featuring rich text and syntax highlighting.
Features:
- rich text (foreground color, background color and bold)
- syntax highlighting (only when the rich text is disabled in the current node)
- find a node, find in current node, find in all nodes
- replace in node names, replace in current node, replace in all nodes
- iteration of the latest find, iteration of the latest replace

%description -l ja
階層型ノートの作成アプリケーションで、リッチテキストや構文の強調表示を備えています。
特長：
- リッチテキスト（前景色、背景色、太字）
- 構文の強調表示（現在のノードではリッチテキストの場合だけ無効）
- ノードの検出、現在のノードからの検索、すべてのノードからの検索
- ノードの名前の置換、現在のノードで置換、すべてのノードで置換
- 最新の検索・置換の繰り返し

%prep
%setup -q
#%patch0 -p1
#chmod +x setup.py

sed -i 's|Comment=Hierarchical Note Taking|Comment=Hierarchical Note Taking\nComment[ja]=階層型ノートの作成|g' \
       linux/cherrytree.desktop

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --prefix=$RPM_BUILD_ROOT%{_prefix}

desktop-file-install --vendor="" \
            --add-category="Utility" \
            --dir %{buildroot}%_datadir/applications \
		  %{buildroot}%_datadir/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database %{_datadir}/applications
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc license
%{_bindir}/%{name}
%{_datadir}/application-registry/
%{_datadir}/applications/
%{_datadir}/%{name}
%{_datadir}/icons/
%{_datadir}/mime/packages/
%{_datadir}/mime-info/
%{python_sitelib}/*


%changelog
* Sun Jan 2 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.18.1-1
- new upstream release
- used python macro

* Sat Dec 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.17.1-1
- new upstream release

* Thu Dec 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.16-1
- new upstream release
- dropt Patch0

* Sat Oct 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.15-1
- new upstream release
- deleted unnecessary code in patch0

* Mon Sep 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.14.2-1
- new upstream release

* Wed Sep 15 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.14.1-1
- new upstream release
- recreated patch0

* Thu Sep 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.14-1
- new upstream release

* Fri Aug 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.13-1
- new upstream release

* Tue Jul 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.12-1
- new upstream release

* Tue Jul 6 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.11-1
- new upstream release
- changed URL
- added patch0 to work around install error
- dropt BuildRequires: ImageMagick
- added BuildRequires: python, python-devel
- modified install process
  - use setup.py in source
  - modified %%files
  - changed category to 'Utility'

* Sun Jun 6 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.10-1
- new upstream release
- added Requires: cairo, pango

* Tue May 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9.6-1
- new upstream release

* Sat Mar 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9.3-1
- new upstream release
- applied new naming policy to spec

* Sun Mar 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9.2-1
- new upstream release
- added BuildRequires: ImageMagick

* Wed Feb 17 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9.1-1
- new upstream release

* Mon Feb 15 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9-1
- new upstream release

* Sat Feb 6 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.3-2
- rebuilt with python-2.6.4

* Thu Jan 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.8.3-1
- new upstream release

* Thu Jan 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.8.2-1
- new upstream release

* Wed Dec 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.8.1-1
- new upstream release

* Fri Dec 18 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.8-1
- initial build for Vine Linux

* Sun Dec 13 2009 slick50 <lxgator@gmail.com> 0.7.1-1pclos2010
- 0.7.1

* Sat Dec 12 2009 slick50 <lxgator@gmail.com> 0.7-1pclos2010
- 0.7

* Tue Dec 08 2009 slick50 <lxgator@gmail.com> 0.6.3-1pclos2010
- 0.6.3

* Fri Dec 05 2009 slick50 <lxgator@gmail.com> 0.6.2-1pclos2010
- 0.6.2

* Thu Nov 26 2009 slick50 <lxgator@gmail.com> 0.6-1pclos2010
- 0.6

* Fri Nov 20 2009 slick50 <lxgator@gmail.com> 0.5.1-1pclos2010
- 0.5.1

* Thu Nov 19 2009 slick50 <lxgator@gmail.com> 0.5-1pclos2010
- 0.5

* Thu Nov 12 2009 slick50 <lxgator@gmail.com> 0.4-1pclos2010
- 0.4

* Thu Nov 05 2009 slick50 <lxgator@gmail.com> 0.3-1pclos2010
- 0.3

* Fri Oct 30 2009 slick50 <lxgator@gmail.com> 0.2-1pclos2010
- 0.2

* Fri Oct 16 2009 Texstar <texstar at gmail.com> 0.1-2pclos2010
- add missing dependency gnome-python-gtksourceview

* Wed Oct 14 2009 slick50 <lxgator@gmail.com> 0.1-1pclos2010
- initial pkg

