Summary: A C++ port of Lucene
Name: clucene-core
Version: 0.9.21b
Release: 2%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.bz2
URL: http://sourceforge.net/projects/clucene

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: doxygen

%description
CLucene is a C++ port of Lucene.
It is a high-performance, full-featured text search
engine written in C++. CLucene is faster than lucene
as it is written in C++.

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains header files needed for developing with clucene

%prep
%setup -q 

%build
%configure --disable-static
make
make doxygen

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc doc/html/*
%{_includedir}/CLucene.h
%{_includedir}/CLucene
%{_libdir}/CLucene/clucene-config.h
%{_libdir}/*.so

%changelog
* Mon Oct 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.21b-2
- run make check at %%check

* Tue Dec  9 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.21b-1
- new upstream release

* Sat Mar 29 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.20-1
- fix release

* Mon Nov 19 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.20-0vl2
- stop moving clucene-config.h from %%{_libdir}/CLucene

* Thu Oct 11 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.20-0vl1
- new upstream release

* Sat Jul 28 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.19-0vl1
- new upstream release

* Mon May 14 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.16a-0vl1
- initial release
