%define		clutter_gst_version 1.0
%define		clutter_gst_release 2%{?_dist_release}

Name:           clutter-gst
Version:        %{clutter_gst_version}.0
Release:        %{clutter_gst_release}
Summary:        ClutterMedia interface to GStreamer

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.clutter-project.org
Source0:        http://www.clutter-project.org/sources/%{name}/1.0/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  clutter-devel gstreamer-plugins-base-devel gstreamer-devel 

%description
This package contains a video texture actor and an audio player object for
use with clutter

%package devel
Summary:        Clutter-gst development environment
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       clutter-devel gstreamer-devel gstreamer-plugins-base-devel

%description devel
Header files and libraries for building a extension library for the
clutter-gst

%prep
%setup -q

%build
# enable-introspection1no is 1.0.0 only
%configure --enable-introspection=no
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%exclude %{_libdir}/libclutter-gst-%{clutter_gst_version}.la
%{_libdir}/libclutter-gst-%{clutter_gst_version}.so.0
%{_libdir}/libclutter-gst-%{clutter_gst_version}.so.0.*
%{_datadir}/gtk-doc/html/clutter-gst

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/*
%{_libdir}/pkgconfig/clutter-gst-%{clutter_gst_version}.pc
%{_libdir}/libclutter-gst-%{clutter_gst_version}.so

%changelog
* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Wed Mar 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-1
- new upstream release

* Sat Jan 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.0-1
- build for Vine Linux


* Wed Jul 29 2009 Bastien Nocera <bnocera@redhat.com> 0.10.0-1
- Update to 0.10.0

* Sat Jul 25 2009 Bastien Nocera <bnocera@redhat.com> 0.9.0-1
- Update to 0.9.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Fri Jan 23 2009 Allisson Azevedo <allisson@gmail.com> 0.8.0-3
- Rebuild

* Fri Sep 12 2008 Allisson Azevedo <allisson@gmail.com> 0.8.0-2
- Rebuild against new gstreamer-devel

* Sat Sep  6 2008 Allisson Azevedo <allisson@gmail.com> 0.8.0-1
- Update to 0.8.0

* Fri Feb 22 2008 Allisson Azevedo <allisson@gmail.com> 0.6.1-1
- Update to 0.6.1

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-2
- Autorebuild for GCC 4.3

* Mon Sep  3 2007 Allisson Azevedo <allisson@gmail.com> 0.4.0-1
- Update to 0.4.0

* Sun May 13 2007 Allisson Azevedo <allisson@gmail.com> 0.1.1-2
- INSTALL removed from docs
- fix make install for keeping timestamps
- changed license for LGPL
- Fix requires/buildrequires

* Fri Apr 13 2007 Allisson Azevedo <allisson@gmail.com> 0.1.1-1
- Initial RPM release
