Summary:        CPUFreq utilities
Summary(ja):    CPUFreq 用のユーティリティ
Name:           cpufrequtils
Version:        007
Release:	1%{?_dist_release}
Group:          System Environment/Base
License:        GPLv2

Source:         %{name}-%{version}.tar.bz2
Patch0:         disable-gsic.patch

Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  sysfsutils-devel
ExclusiveArch:  %{ix86} x86_64 ppc ppc64

%description
cpufreq-utils contains several utilities that can be used to control
the cpufreq interface provided by the kernel on hardware that
supports CPU frequency scaling.

%prep
%setup -q
%patch0 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"
%ifarch %{ix86}
cd debug/i386
make CFLAGS="$RPM_OPT_FLAGS"
%endif
%ifarch x86_64
cd debug/x86_64
make CFLAGS="$RPM_OPT_FLAGS"
%endif
cd ..

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} \
     mandir=%{_mandir} bindir=%{_bindir} \
     includedir=%{_includedir} libdir=%{_libdir} \
     install
%find_lang cpufrequtils

%ifarch %{ix86}
cd debug/i386
install centrino-decode %{buildroot}%{_bindir}/centrino-decode
install dump_psb %{buildroot}%{_bindir}/dump_psb
install powernow-k8-decode %{buildroot}%{_bindir}/powernow-k8-decode
cd ../..
%endif
%ifarch x86_64
cd debug/x86_64
install powernow-k8-decode %{buildroot}%{_bindir}/powernow-k8-decode
cd ../..
%endif

chmod -R a-s %{buildroot}

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT;

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f cpufrequtils.lang
%defattr(-,root,root,0755)
%{_includedir}/cpufreq.h
#%{_libdir}/libcpufreq.la
%{_libdir}/libcpufreq.so*
%{_libdir}/libcpufreq.a
%{_bindir}/cpufreq-aperf
%{_bindir}/cpufreq-info
%{_bindir}/cpufreq-set
%ifarch %{ix86}
%{_bindir}/centrino-decode
%{_bindir}/dump_psb
%endif
%ifarch %{ix86} x86_64
%{_bindir}/powernow-k8-decode
%endif
%{_mandir}/*/*


%changelog
* Sun Apr 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 007-1
- new upstream release

* Mon Sep 22 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 005-1
- new upstream release

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 002-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Sun Jul 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 002-0vl1
- initial build for Vine Linux

* Tue Jul 11 2006 Karsten Hopp <karsten@redhat.de>
- buildrequire libsysfs-devel

* Wed Jul  9 2006 Dave Jones <davej@redhat.com>
- Rebuild against new libsysfs

* Wed Jun  7 2006 Dave Jones <davej@redhat.com>
- Upstream -002 release.

* Sat Feb 11 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Mon Dec 19 2005 Dave Jones <davej@redhat.com>
- New upstream 0.4 release.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Jul 31 2005 Florian La Roche <laroche@redhat.com>
- package all files

* Mon May  9 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.3

* Fri Apr 22 2005 Matthias Saou <http://freshrpms.net/> 0.2-2
- Major spec file cleanup. (#155731)
- Use %%find_lang macro.
- Add missing sysfsutils-devel build requirement.

* Fri Apr 15 2005 Florian La Roche <laroche@redhat.com>
- remove empty preun script

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4.

* Sun Feb 27 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.2

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Rebuild with -D_FORTIFY_SOURCE=2

* Sat Dec  4 2004 Dave Jones <davej@redhat.com>
- Initial packaging

