Name:           dar
Summary:        Disk ARchive: Backup directory tree and files
Summary(ja):    ディスクアーカイブ: ディレクトリツリーとファイルをバックアップ
Version:        2.3.10
Release:        1%{?_dist_release}

Group:          Applications/Archiving
License:        GPLv2+
URL:            http://dar.linux.free.fr/

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  openssl-devel
BuildRequires:  libattr-devel
BuildRequires:  e2fsprogs-devel

Requires:       par2cmdline

%description
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extented attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.

%package -n libdar
Summary:    Library providing support for the DAR API
Group:      System Environment/Libraries

%description -n libdar
Common library code for DAR.

%package -n libdar-devel
Summary:    Development files for libdar
Group:      Development/Libraries
Requires:   libdar = %{version}-%{release}

%description -n libdar-devel
This package contains the header files and libraries for developing
programs that use the DAR API (libdar).

%prep
%setup -q

%build
%configure --disable-build-html --disable-dar-static --disable-static

# Remove Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT html
make install DESTDIR=$RPM_BUILD_ROOT

# Remove the libtool archive files
#rm -rf $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/
rm -f  $RPM_BUILD_ROOT/%{_libdir}/*.la

# Delete the sample files that we can't seem to disable
rm -rf $RPM_BUILD_ROOT/%{_datadir}/dar/

# Rename the documentation directory so it makes more sense after installation.
cp -a doc html
# Remove the doc makefiles so they don't get installed along with the other files.
rm -f html/Makefile*
rm -f html/*/Makefile*
# Sample scripts should not be executable
chmod 0644 html/samples/*

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post   -n libdar -p /sbin/ldconfig

%postun -n libdar -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc html/ AUTHORS ChangeLog COPYING LICENSING_EXCEPTION_FOR_OPENSSL
%doc NEWS README THANKS TODO
%{_bindir}/dar
%{_bindir}/dar_cp
%{_bindir}/dar_manager
%{_bindir}/dar_slave
%{_bindir}/dar_xform
%{_mandir}/man1/*

%files -n libdar
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n libdar-devel
%defattr(-,root,root,-)
%{_includedir}/dar/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Oct 10 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.3.10-1
- Initial build for VineLinux

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.3.8-5
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> 2.3.8-2
- rebuild with new openssl

* Mon Aug 04 2008 Marcin Garski <mgarski[AT]post.pl> 2.3.8-1
- Update to 2.3.8 (#434519, #438953)
- Own dar's include directory
- Remove Rpath
- Update BR's

* Tue Jul 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.3.6-5
- fix license tag

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.3.6-4
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Chris Petersen <rpm@forevermore.net>                  2.3.6-3
- Add openssl requirement

* Sun Nov 18 2007 Chris Petersen <rpm@forevermore.net>                  2.3.6-2
- failed "make tag"

* Sun Nov 18 2007 Chris Petersen <rpm@forevermore.net>                  2.3.6-1
- Update to 2.3.6

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.3.4-2
- Rebuild for selinux ppc32 issue.

* Tue Jul 03 2007 Chris Petersen <rpm@forevermore.net>                  2.3.4-1
- Update to 2.3.4

* Mon May 28 2007 Chris Petersen <rpm@forevermore.net>                  2.3.3-1
- Update to 2.3.3
- Remove man.dar.patch, which was added upstream

* Wed Nov 15 2006 Chris Petersen <rpm@forevermore.net>                  2.3.1-4
- Change the main summary -- this is no longer a "collection of scripts"

* Tue Nov 14 2006 Chris Petersen <rpm@forevermore.net>                  2.3.1-3
- Fix/standardize Requires/Provides for libdar and libdar-devel
- Remove redundant zlib-devel (covered by openssl-devel)
- Update README.Fedora with my name/date, as requested in the ticket
- Add a patch to fix a funky character in man/dar.1

* Fri Nov 04 2006 Chris Petersen <rpm@forevermore.net>                  2.3.1-2
- Add README.Fedora explaining why we do not include static binaries (upstream's request)
- Add libdar-static-devel subpackage to hold the *.a files
- Disable static subpackages by default, enabled via "--with static" for those who want to compile them

* Thu May 11 2006 Chris Petersen <rpm@forevermore.net>                  2.3.1-1
- Initial package, compiled from half a dozen third party packages

