# Basic Information
Name:		dconf
Version:	0.5.1
Release:	1%{?_dist_release}
License:	LGPL
Group:		System Environment/Base
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	dconf is a low-level configuration system.
Summary(ja):	dconfは、低レベル設定システムです。

# Dependency
Requires:	glib2
Requires:	gtk2
Requires:	libgee
Requires:	libxml2

BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgee-devel
BuildRequires:	libxml2-devel

%description
dconf is a low-level configuration system. Its main purpose is to provide
a backend to GSettings on platforms that don't already have configuration
storage systems. 

%description -l ja
dconfは、低レベル設定システムです。その主要な目的は、まだ設定保存システムを
有していないプラットフォーム上にGSettingsのバックエンドを提供することです。

%package devel
Summary:	Headers for developing programs that will use %{name}
Summary(ja):	%{name} の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	gtk2-devel
Requires:	libgee-devel
Requires:	libxml2-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags} INTROSPECTION_SCANNER='/usr/bin/g-ir-scanner --identifier-prefix=DConf'

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

#%%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


#%%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc COPYING NEWS
%{_bindir}/dconf
%{_bindir}/dconf-editor
%{_libdir}/gio/modules/libdconfsettings.so
%{_libdir}/girepository-1.0/dconf-1.0.typelib
%{_libdir}/libdconf.so.*
%{_libexecdir}/dconf-service
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_datadir}/dbus-1/system-services/ca.desrt.dconf.service

%files devel
%defattr(-, root, root, -)
%{_includedir}/dconf/
%{_libdir}/libdconf.so
%{_libdir}/pkgconfig/dconf.pc
%{_datadir}/gtk-doc/html/dconf/
%{_datadir}/gir-1.0/dconf-1.0.gir
%{_datadir}/vala/vapi/dconf.deps
%{_datadir}/vala/vapi/dconf.vapi

%changelog
* Sun Oct 17 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.5.1-1
- new package. 

