Summary:        Backup utility that use duplicity as the backend
Summary(ja):    バックエンドとして duplicity を使うバックアップユーティリティ
Name:           deja-dup
Version:        16.1.1
Release:	1%{?_dist_release}
Group:          Applications/Archiving
License:        GPLv3
URL:		https://launchpad.net/deja-dup
Source0:	%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	GConf2-devel
BuildRequires:	cairo-devel
BuildRequires:	desktop-file-utils
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext >= 0.17
BuildRequires:	gtk2-devel >= 2.18
BuildRequires:	glib2-devel >= 2.20
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	gnome-keyring-devel
BuildRequires:	intltool >= 0.40
BuildRequires:	libnotify-devel
BuildRequires:	nautilus-devel
BuildRequires:	pango-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig >= 0.90
BuildRequires:	vala-devel >= 0.9.2
BuildRequires:	unique-devel

Requires: duplicity yelp
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Déjà Dup is a simple backup program.
It hides the complexity of doing backups the 'right way'
(encrypted, off-site, and regular) and uses duplicity as the backend.

%description -l ja
Déjà Dup はシンプルなバックアッププログラムです。
バックアップ作業の複雑性を覆い隠して適切な方法（暗号化、オフサイト、通常）で
行い、バックエンドとして duplicity を使用します。

%prep
%setup -q

%build
%configure --disable-static --disable-schemas-install

%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -f %{buildroot}/%{_libdir}/nautilus/extensions-2.0/*.la

desktop-file-install --vendor ""			\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor ""			\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}-preferences.desktop

%find_lang %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files -f %{name}.lang
%defattr(-,root,root,- )
%doc ABOUT-NLS AUTHORS COPYING NEWS
%{_sysconfdir}/gconf/
%{_sysconfdir}/xdg/autostart/
%{_bindir}/%{name}*
%{_libdir}/%{name}/
%{_libdir}/nautilus
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/help
%{_datadir}/icons/hicolor/
#%{_datadir}/omf/
%{_mandir}/*

%changelog
* Sun Dec 5 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 16.1.1-1
- new upstream release

* Thu Oct 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 16.0-1
- new upstream release
- changed BuildRequires: vala-devel >= 0.9.2
- added deja-dup-preferences.desktop

* Tue Jun 9 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 14.2-1
- new upstream release

* Fri May 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 14.1-1
- initial build for VineSeed
