#TODO: GraphicsMagick

%define with_GraphicsMagick 0

Name:           dvdauthor
Summary:        Command line DVD authoring tool
Summary(ja):    コマンドライン DVD 作成ツール
Version:        0.6.18
Release:        2%{?_dist_release}

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://dvdauthor.sourceforge.net/
Source0:        http://downloads.sourceforge.net/dvdauthor/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libdvdread-devel >= 0.9.4-4
BuildRequires:  libpng-devel
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  libxml2-devel >= 2.6.0
BuildRequires:  fribidi-devel
BuildRequires:  freetype2-devel
%if %{with_GraphicsMagick}
BuildRequires:  GraphicsMagick-devel
%else
BuildRequires:  ImageMagick-devel
%endif

%description
dvdauthor is a program that will generate a DVD movie from a valid
mpeg2 stream that should play when you put it in a DVD player.


%prep
%setup -q -n %{name}

# Adapt to changed header location in libdvdread 4.1.3.  *sigh*
if [ -d %{_includedir}/libdvdread ] ; then
    sed -i -e 's|<dvdread/|<libdvdread/|g' src/dvdunauthor.c src/dvduncompile.h
fi


%build
%if %{with_GraphicsMagick}
export MAGICKCONFIG=/bin/true # disable ImageMagick
export LDFLAGS="$LDFLAGS -Wl,--as-needed" # avoid *Magick-config linkage bloat
%endif

%configure \
    --disable-rpath \
    --disable-dependency-tracking

%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT


%clean
%__rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{_bindir}/dvdauthor
%{_bindir}/dvddirdel
%{_bindir}/dvdunauthor
%{_bindir}/mpeg2desc
%{_bindir}/spumux
%{_bindir}/spuunmux
%{_datadir}/dvdauthor/
%{_mandir}/man1/dvdauthor.1*
%{_mandir}/man1/dvddirdel.1*
%{_mandir}/man1/dvdunauthor.1*
%{_mandir}/man1/mpeg2desc.1*
%{_mandir}/man1/spumux.1*
%{_mandir}/man1/spuunmux.1*


%changelog
* Sun Oct  3 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.18-2
- rebuilt with ImageMagick-6.6.4.8

* Thu Apr 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.18-1
- new upstream release
- rebuilt with new toolchain and ImageMagick 6.6.1.5

* Fri Feb  6 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.14-2
- rebuilt with ImageMagick 6.4.9-2
- added Japanese summary

* Sat Jan 24 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.6.14-1
- intial build based on Fedora development package

* Tue Jul  8 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.6.14-6
- Fix build with changed libdvdread 4.1.3 header location.

* Wed Feb 13 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.6.14-5
- Build with GraphicsMagick, drop all build time conditionals (#245155).
- Patch to differentiate ImageMagick vs GraphicsMagick at build time, don't
  rely on GM's IM compat things installed, fix RGBA treatment with GM.
- Avoid linkage bloat from GraphicsMagick-config --libs.

* Wed Feb 13 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.6.14-4
- Add build time conditional for GraphicsMagick, disabled by default (#432651).
- Get rid of need for BuildConflicts.

* Fri Nov 16 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.6.14-3
- Rebuild.

* Tue Aug 14 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.6.14-2
- License: GPLv2+

* Sat Feb 24 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.6.14-1
- 0.6.14.

* Wed Jan 17 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.6.13-1
- 0.6.13.

* Mon Jan  8 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.6.12-1
- 0.6.12.

* Sun Jan  7 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.6.11-9
- First FE build (#219103).

* Thu Oct 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.6.11-8
- Build without ImageMagick by default due to dependency bloat (#212478).
- Prune pre-2006 changelog entries.

* Fri Oct 06 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.6.11-7
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sun Sep 24 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.6.11-6
- Rebuild.

* Sun Jul  9 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.6.11-5
- Rebuild for new ImageMagick (#1087).

* Thu Mar 16 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.6.11-4
- Remove -ldl hacks, BR fixed libdvdread-devel.
