Summary: A plain ASCII to PostScript converter.
Name: enscript
Version: 1.6.1
Release: 28%{?_dist_release}
License: GPL
Group: Applications/Publishing
Source0: ftp://ftp.gnu.org/pub/gnu/enscript-%{version}.tar.gz
Patch0: enscript-1.6.1-config.patch
Patch2: enscript-1.6.1-tmp.patch
Patch3: enscript-1.6.1-locale.patch
URL: http://people.ssh.fi/mtr/genscript/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: flex, libtool, automake, autoconf
Requires: perl

%description
GNU enscript is a free replacement for Adobe's Enscript
program. Enscript converts ASCII files to PostScript(TM) and spools
generated PostScript output to the specified printer or saves it to a
file. Enscript can be extended to handle different output media and
includes many options for customizing printouts.

%description -l ja
GNU enscriptはAdobe's Enscriptに代わるフリーなプログラムです。
EnscriptはASCIIファイルをPostScript(TM)に変換して、
特定のプリンタに作成したPostScriptファイルをスプールしたり、
ファイルに保存することができます。
Enscriptは異なる出力メディアを扱えるように拡張されており、
プリント出力をカスタマイズするための多くのオプションを含んでいます。

%prep
%setup -q
%patch0 -p1 -b .config
%patch2 -p1 -b .tmp
%patch3 -p1 -b .locale

%build
%configure 


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/locale/{de,es,fi,fr,nl,sl}/LC_MESSAGES
make DESTDIR=%{buildroot} install

%find_lang %name

# XXX note doubled %% in sed script below.
(cd %{buildroot};find .%{_datadir}/enscript/*) | \
	sed -e 's,^\.,,' | sed -e 's,*font.map,%%config &,' > share.list

( cd %{buildroot}
  ln .%{_prefix}/bin/enscript .%{_prefix}/bin/nenscript
)

cat %{name}.lang >> share.list

%clean
rm -rf %{buildroot}

%files -f share.list
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/enscript
%config(noreplace) %{_sysconfdir}/enscript.cfg

%doc AUTHORS ChangeLog FAQ.html NEWS README README.ESCAPES THANKS TODO 

%changelog
* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 1.6.1-28vl5
- applied new versioning policy, spec in utf-8

* Sun Jul 11 2004 Satoshi MACHINO <machino@vinelinux.org> 1.6.1-27vl1
- build for VineLinux
- added BuildPrereq and Requires
- added japanese description

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Nov  3 2003 Tim Waugh <twaugh@redhat.com>
- Removed mail patch.  It was included to be more compatible with an
  lpr we no longer ship.  Fixes bug #108762.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-20
- Fix URL (bug #65278).

* Wed Apr  3 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-19
- Fix license (bug #62573).

* Mon Mar 18 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-18
- Fix locale issues (bug #61294).

* Mon Feb 04 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-17
- Rebuild in new environment.

* Mon Jan 14 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-16.2
- Use tmpfile instead of tmpnam or tempnam (bug #57704).
- Built for Red Hat Linux 7.x.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 1.6.1-16
- automated rebuild

* Wed Dec 19 2001 Tim Waugh <twaugh@redhat.com> 1.6.1-15
- Own %{_datadir}/enscript directory (bug #56974).

* Mon Jun 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.6.1-14
- add optional mail paramater, closing bug #17750
- patch from marques@cs.cornell.edu

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Feb 27 2001 Trond Eivind GlomsrÅ <teg@redhat.com>
- langify

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- marked /usr/share/enscript/font.map as a config file

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added documentation to the RPM

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.
- include i18n locales.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Nov 11 1998 Preston Brown <pbrown@redhat.com>
- translations ripped out, slight cleanup to build section.

* Mon Nov 09 1998 Preston Brown <pbrown@redhat.com>
- initial build of GNU enscript to replace nenscript.
