Name:		epdfview
Version:	0.1.7
Release:	4%{?_dist_release}
Summary:	Lightweight PDF document viewer
Summary(ja):	軽量な PDF ドキュメントビューア

Group:		Applications/Publishing
License:	GPLv2+
URL:		http://trac.emma-soft.com/epdfview
Source0:	http://trac.emma-soft.com/epdfview/chrome/site/releases/%{name}-%{version}.tar.bz2
Patch1:		epdfview-0.1.7-fix-mouse-scroll.patch
Patch2:		03_nonexisting-file.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	poppler-devel
BuildRequires:	gtk2-devel glib2-devel cups-devel
BuildRequires:	bison cppunit-devel
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf automake libtool gettext

%description
ePDFView is a lightweight PDF document viewer using Poppler and GTK+ libraries.
The aim of ePDFView is to make a simple PDF document viewer, in the lines of
Evince but without using the Gnome libraries.

%description -l ja
ePDFView は Poppler と GTK+ ライブラリを用いた軽量な PDF ドキュメントビューアです。
ePDFView の狙いは Evince の流れをくみつつも Gnome ライブラリを使用することなく
シンプルな PDF ドキュメントビューアを作成することにあります。

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--vendor=vine \
	--delete-original \
	--remove-category Office \
	--add-category Graphics \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

install -dm 755 %{buildroot}/%{_datadir}/pixmaps
pushd %{buildroot}/%{_datadir}/pixmaps
ln -s ../%{name}/pixmaps/icon_epdfview-48.png .
popd

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc AUTHORS COPYING README NEWS THANKS
%{_datadir}/applications/*%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/ui
%{_datadir}/pixmaps/icon_epdfview-48.png

%changelog
* Wed Oct 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.7-4
- rebuild with poppler-0.14.2

* Sun Sep 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.7-3
- added Patch2 from Debian
- added BuildRequires:	bison, cppunit-devel

* Thu Sep 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.7-2
- added Patch1 from Mandriva to fix mouse scroll

* Sat Aug 22 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.7-1
- initial build for Vine 5

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 26 2009 Michal Schmidt <mschmidt@redhat.com> - 0.1.7-1
- Upstream release 0.1.7.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-8.20081217svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 17 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-7.20081217svn
- Add icon.

* Wed Dec 17 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-6.20081217svn
- Rebased to current svn snapshot.
- Fixes bz476575 "epdfview crashes on print pdf".  

* Fri Nov 28 2008 Caolán McNamara <caolanm@redhat.com> - 0.1.6-5
- rebuild for dependencies

* Fri Aug 31 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-4
- Fix build with the new RPM.

* Fri Mar 21 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-3
- Rebuild with new poppler.

* Fri Feb 15 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-2
- Use standard scriptlets for updating desktop-database.
- Conditional buildreqs to build on F8 too.
- Preserve timestamps of unmodified files.

* Wed Feb 13 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-1
- Initial Fedora package.
