%define tcl_major 8.4
%define thread_major 2.5
%define majorver 5.43

Summary: A Tcl/Tk development environment: expect 
Summary(ja): Tcl/Tk 開発環境: expect
Name: expect
Version: %{majorver}.0
Release: 3%{?_dist_release}
Group: Development/Languages
URL: http://expect.nist.gov/
License: BSD
Source0: http://expect.nist.gov/src/%{name}-%{version}.tar.gz
Patch0: expect-5.32.2-random.patch
Patch6: expect-5.38.0-spawn-43310.patch
Patch8: expect-5.32.2-setpgrp.patch
Patch10: expect-5.38.0-lib-spec.patch
Patch11: expect-5.39.0-libdir.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: tcl >= %{tcl_major}
BuildRequires: thread >= %{thread_major}
BuildRequires: autoconf213

%description -n expect
Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%package devel
Summary: Development files for expect library.
Group: Development/Libraries
Requires: expect = %{version}-%{release}
Obsoletes: expect <= 5.43-0vl4

%description devel
This package contains development files for the expect library.

%package -n expectk
Summary: expectk and some scripts
Group: Development/Languages
Requires: expect = %{version}-%{release}
Obsoletes: expect <= 5.43-0vl4

%description -n expectk
This package contains expectk and some scripts that use it.

%prep
%setup -q -n %{name}-%{majorver}
%patch0 -p1 -b .random
%patch6 -p2 -b .spawn
%patch8 -p2 -b .pgrp
%patch10 -p1 -b .libspec
%patch11 -p1 -b .libdir

# patch10 touch configure.in
autoconf-2.13

%build
%configure --enable-64bit \
	--with-tcl=%{_libdir} --with-tk=%{_libdir} \
	--with-tclinclude=%{_includedir}/tcl-private/generic \
	--with-tkinclude=%{_includedir}/tk-private/generic \
	--enable-shared --enable-threads --with-x=yes --enable-gcc
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}
make INSTALL_ROOT=%{buildroot} install

# for linking with -lexpect
ln -s libexpect%{majorver}.so "$RPM_BUILD_ROOT"%{_libdir}/libexpect.so

# remove cryptdir/decryptdir, as Linux has no crypt command (bug 6668).
rm -f "$RPM_BUILD_ROOT"%{_bindir}/{cryptdir,decryptdir}
rm -f "$RPM_BUILD_ROOT"%{_mandir}/man1/{cryptdir,decryptdir}.1*
rm -f "$RPM_BUILD_ROOT"%{_bindir}/autopasswd

%post -p /sbin/ldconfig -n expect

%postun -p /sbin/ldconfig -n expect

%clean
rm -rf $RPM_BUILD_ROOT

%files
%%defattr(-,root,root)
%doc FAQ HISTORY NEWS README
%{_bindir}/expect
%{_bindir}/autoexpect
%{_bindir}/dislocate
%{_bindir}/ftp-rfc
%{_bindir}/kibitz
%{_bindir}/lpunlock
%{_bindir}/mkpasswd
%{_bindir}/passmass
%{_bindir}/rftp
%{_bindir}/rlogin-cwd
%{_bindir}/timed-read
%{_bindir}/timed-run
%{_bindir}/unbuffer
%{_bindir}/weather
%{_bindir}/xkibitz
%dir %{_libdir}/expect%{majorver}
%{_libdir}/expect%{majorver}/pkgIndex.tcl
%{_libdir}/libexpect%{majorver}.so
%{_mandir}/man1/autoexpect.1.gz
%{_mandir}/man1/dislocate.1.gz
%{_mandir}/man1/expect.1.gz
%{_mandir}/man1/kibitz.1.gz
%{_mandir}/man1/mkpasswd.1.gz
%{_mandir}/man1/passmass.1.gz
%{_mandir}/man1/tknewsbiff.1.gz
%{_mandir}/man1/unbuffer.1.gz
%{_mandir}/man1/xkibitz.1.gz

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/expect%{majorver}/libexpect%{majorver}.a
%exclude %{_libdir}/libexpect%{majorver}.a
%{_libdir}/libexpect.so
%{_mandir}/man3/libexpect.3*
%{_includedir}/*

%files -n expectk
%defattr(-,root,root,-)
%{_bindir}/expectk
%{_bindir}/multixterm
%{_bindir}/tknewsbiff
%{_bindir}/tkpasswd
%{_bindir}/xpstat
%{_mandir}/man1/expectk.1*
%{_mandir}/man1/multixterm.1*
%{_mandir}/man1/tknewsbiff.1*


%changelog
* Tue Jun 29 2010 Shu KONNO <owa@bg.wakwak.com> 5.43-3
- rebuilt with tcl/tk-8.4.19-2

* Tue May 18 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.43-2
- rebuilt with new toolchain
- changed devel Group to Development/Libraries

* Sun Jul 27 2008 Shu KONNO <owa@bg.wakwak.com> 5.43-1vl5
- applied new versioning policy and spec in utf-8

* Sun Feb 17 2008 Shu KONNO <owa@bg.wakwak.com> 5.43-0vl6
- rebuilt with tcl/tk-8.4.18

* Fri Nov 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 5.43-0vl5
- split to expect-devel and expectk sub package.
- add libexpect.so to expect-devel (<BTS:wishes:0136>)

* Tue Oct 09 2007 Shu KONNO <owa@bg.wakwak.com> 5.43-0vl4
- rebuilt with tcl/tk-8.4.16

* Wed Jun 13 2007 Shu KONNO <owa@bg.wakwak.com> 5.43-0vl3
- rebuilt with new toolchain

* Sun Jan 29 2006 Shu KONNO <owa@bg.wakwak.com> 5.43-0vl2
- rebuild for tcl/tk-8.4.12
- added --enable-64bit to configure's option

* Fri Sep 09 2005 Shu KONNO <owa@bg.wakwak.com> 5.43-0vl1
- updated expect to 5.43.0
- dropped expect-5.39.0-64bit-82547.patch (for fixed)
- dropped expect-5.32.2-kibitz.patch (for fixed)
- dropped expect-5.38.0-autopasswd-9917.patch (for fixed)
- rebuilt with tcl/tk 8.4.11

* Wed Jun 30 2004 Shu KONNO <owa@bg.wakwak.com> 5.39-95vl2
- rebuild for tcl/tk-8.4.6

* Mon Jan 12 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 5.39-95vl1
- update based on fedora

* Mon Mar 31 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 8.4.2-0vl1
- update based on BitWalk's tcltk-8.4.2-83bw and RawHide tcltk-8.3.5-89

* Thu Nov 15 2001 Kazuhusa TAKEI <takei@linux.or.jp> 8.0.5_jp-10vl3
- splite source package
- add include files

* Sun Jul 15 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 8.0.5_jp-10vl2
- expand some macros.. (FIXME)

* Sat Jul 14 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 8.0.5_jp-10vl1
- use %configure macros
- add Patch 47,50

* Thu May 31 2001 <sagami@vinelinux.org>
- 8.0.5_jp-10
- unexpand old %%{configure}, new one causes build failure
- fixed missing libtkx.so libtclx.so symlink in /usr/lib
- install manpages into %%{_mandir} and mode 644

* Wed Jul 19 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 8.0.5_jp-9
- modified %install section to handle compressed man pages
- fixed /usr/lib/tk8.0jp/demos.jp/images symlink

* Sun Jul  2 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- changed default fonts

* Tue Jan 25 2000 Jun Nishii <jun@vinelinux.org>
- added defattr

* Mon Jan 24 2000 Jun Nishii <jun@vinelinux.org>
- added some symlinks, such as libtcl8.0.so.
- obsoletes version number using _jp, now 8.0.5-31vl1

* Wed Jan 5 2000 Norihito Ohmori <nono@vinelinux.org>
- Apply Tcl/Tk 8.0 Japanese Patch 1.7

* Tue Nov 30 1999 Jakub Jelinek <jakub@redhat.com>
- fix tclX symlinks.
- compile on systems where SIGPWR == SIGLOST.

* Sat May  1 1999 Jeff Johnson <jbj@redhat.com>
- update tcl/tk to 8.0.5.
- avoid "containing" in Tix (#2332).

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- use /usr/bin/write in kibitz (#1320).
- use cirrus.sprl.umich.edu in weather (#1926).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 28)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- whoops, exec-prefix for itcl was set to '/foo', changed to '/usr'.

* Tue Feb 16 1999 Jeff Johnson <jbj@redhat.com>
- expect does unaligned access on alpha (#989)
- upgrade tcl/tk/tclX to 8.0.4
- upgrade expect to 5.28.
- add itcl 3.0.1

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to allow building on the arm
- build for glibc 2.1
- strip binaries

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update tcl/tk/tclX to 8.0.3, expect is updated also.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- expect: mkpasswd needs delay before sending password (problem #576)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- fixed expect binaries exec permissions

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to Tix 4.1.0.006
- updated version numbers of tcl/tk to relflect includsion of p2

* Wed Mar 25 1998 Cristian Gafton <gafton@redhat.com>
- updated tcl/tk to patch level 2
- updated tclX to 8.0.2

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- fixed filelist for tix... replacing path to the expect binary in scripts
  was leaving junk files around.

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- added patch to remove libieee test in configure.in for tcl and tk.
  Shoudln't be needed anymore for glibc systems, but this isn't the "proper" 
  solution for all systems
- fixed src urls

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- removed version numbers from descriptions

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to tcl/tk 8.0 and related versions of packages

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- fixed dangling tclx/tkx symlinks
