%define __libtoolize :
Summary: A utility for determining file types.
Summary(ja): ファイルの種類を判別するユーティリティー
Name: file
Version: 4.21
Release: 3%{?_dist_release}
License: Distributable
Group: Applications/System
URL:	http://www.darwinsys.com/file/

Source: ftp://ftp.astron.com/pub/file/%{name}-%{version}.tar.gz
Source1: magic.mime
# Source for Vine
Source6: printer-j.magic2

Patch1: file-4.19-debian.patch
Patch3: file-4.21-magic.patch
Patch5: file-4.13-fsdump.patch
Patch6: file-4.13-quick.patch
Patch8: file-4.15-berkeley.patch
Patch12: file-4.16-xen.patch
Patch16: file-4.21-oracle.patch
Patch17: file-4.17-clamav.patch
Patch20: file-4.17-bash.patch
Patch21: file-4.19-ELF.patch
Patch22: file-4.19-ooffice.patch
patch23: file-4.21-core_from.patch
patch24: file-4.21-msoffice.patch

# Vine patch
Patch100: file-4.21-jtext.patch
Patch110: file-4.21-vinemagic.patch
Patch120: file-4.09-vinenames.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: automake, autoconf, zlib-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.

%description -l ja
ファイルコマンドは、ファイルに含まれるデータの種類によって各ファイルが
どのようなファイルかを判定するために使います。file は ELF バイナリ、シ
ステムライブラリ、RPM パッケージ、そして様々なグラフィックフォーマット
を含む、多くの異なるファイルの種類を見分けることができます。

file コマンドは大変役に立つユーティリティーなので、必ずインストールして
ください。

%prep
%setup -q

%patch1 -p1 -b .debian
%patch3 -p1 -b .magic
%patch5 -p1 -b .fsdump
%patch6 -p1 -b .quick
%patch8 -p1 -b .berkeley
%patch12 -p1 -b .xen
%patch16 -p1 -b .oracle
%patch17 -p1 -b .clamav
%patch20 -p1 -b .bash
%patch21 -p1 -b .ELF
%patch22 -p1 -b .ooffice
%patch23 -p1 -b .core_from
%patch24 -p1 -b .msoffice

%patch100 -p1 -b .vinejtext
%patch110 -p1 -b .vinemagic
%patch120 -p1 -b .vinenames

cp -p %{SOURCE6} ./magic/Magdir/printer-j

%build
autoreconf
CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
%configure --enable-fsect-man5
make LIBTOOL=/usr/bin/libtool

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man5
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/misc

make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool
ln -s file/magic ${RPM_BUILD_ROOT}%{_datadir}/magic
ln -s file/magic.mime ${RPM_BUILD_ROOT}%{_datadir}/magic.mime

ln -s ../magic ${RPM_BUILD_ROOT}%{_datadir}/misc/magic 

{ cd ${RPM_BUILD_ROOT}
  strip .%{_bindir}/file
  cp %SOURCE1 .%{_datadir}/magic.mime
}
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc LEGAL.NOTICE README
%{_bindir}/*
%{_libdir}/libmagic.so.*
%{_datadir}/file/*
%{_datadir}/magic*
%{_datadir}/misc/*
%{_mandir}/man[15]/*

%{_includedir}/magic.h
%{_libdir}/libmagic.a
%{_libdir}/libmagic.so
%{_mandir}/man3/*


%changelog
* Mon Sep 27 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.21-3
- rebuils with rpm-4.8.1
- add environment variable LIBTOOL for make command

* Fri Sep 26 2008 Shu KONNO <owa@bg.wakwak.com> 4.21-2
- spec in utf-8
- removed *.la

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.21-1
- applied new versioning policy

* Tue Dec 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.21-0vl1
- new upstream release
- import debian/fedora patches
- drop obsolete vine magic.

* Thu Jun 14 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.09-0vl3
- rebuild for VineSeed with new tool chain

* Thu May 31 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.09-0vl2.2
- add patch110 for fix CVE-2007-2799
- add zlib-devel to BuildPreReq tag

* Mon Mar 26 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.09-0vl2.1
- add patch100 for fix CVE-2007-1536

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.09-0vl2
- changed Group to Applications/System

* Sun Apr 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 4.09-0vl1
- new upstream release
- update vine patches

* Wed Sep 10 2003 Tomoya TAKA <taka@vinelinux.org> 4.03-0vl2
- update Patch10, use 'size_t' in src/jcode.[ch]

* Tue Sep 09 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.03-0vl1
- update to 4.03
- update Patch0, 1, 10 for 4.03
- s/Copyright/License/

* Mon May 12 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.02-1vl1
- update to 4.02
- update Vine patches for 4.02

* Sun Mar  9 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 3.41-0vl1
- new upstream release
  - fixed security bug (http://www.idefense.com/advisory/03.04.03.txt)
- remove unneeded patches.
- update Vine patches for 3.41

* Mon Apr  1 2002 Jun Nishii <jun@vinelinux.org> 3.37-0vl2
- added NPDL2 data [Vine:02348]

* Fri Feb 08 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 3.37-0vl1
- update to 3.37

* Sun Jul 15 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 3.35-0vl3
- disable some entries in elf for problems on big-endian archs

* Wed Jun  6 2001 Jun Nishii <jun@vinelinux.org>
- file-3.35-0vl1
- ver.up
- added %doc

* Thu Jan 11 2001 Jun Nishii <jun@vinelinux.org>
- file-3.33-1vl4
- more fix and clean up jtext patch (file-3.33-vinejtext.patch)

* Thu Jan 11 2001 Jun Nishii <jun@vinelinux.org>
- file-3.33-1vl3
- fix again jtext patch (file-3.33-vinejtext.patch)
- added file-3.33-vinenames.patch to avoid miss-judgement

* Wed Jan 10 2001 Jun Nishii <jun@vinelinux.org>
- file-3.33-1vl2
- update jtext patch (file-3.33-vinejtext.patch)

* Mon Jan  8 2001 Jun Nishii <jun@vinelinux.org>
- file-3.33-1vl1
- modify description-ja and spec

* Sun Jul 09 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- file-3.28-2vl2
- fixed %files section to handle compressed man pages

* Tue Jun 13 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- marged RH 3.28-2 and Vine 3.27-3vl3

* Wed Feb 16 2000 Cristian Gafton <gafton@redhat.com>
- add ia64 patch from rth

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages
- update to 3.28

* Mon Sep 6 1999 Norihito Ohmori <ohmori@flatout.org>
- Japanese Text detection bug fix. (by Toru Hoshina <hoshina@best.com>)

* Fri Aug 27 1999 Norihito Ohmori <ohmori@flatout.org>
- patch  dues not apply bug.

* Wed Aug 26 1999 Norihito Ohmori <ohmori@flatout.org>
- not need kcc (Thanks for Toru Hoshina <hoshina@best.com>)
- ASCII data and Shift JIS data detected in Japanese Text Detection bug fix.

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- identify ELF stripped files correctly (#4665).
- use SPARC (not sparc) consistently throughout (#4665).
- add entries for MS Office files (#4665).

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- diddle magic so that *.tfm files are identified correctly.

* Tue Jul  6 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.27.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- experimental support for realmedia files added

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binary.

* Fri Nov 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- add SPARC V9 magic.

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.26.

* Mon Aug 24 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.25.
- detect gimp XCF versions.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 3.24
- buildrooted

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Erik Troan <ewt@redhat.com>
- Fixed problems caused by 64 bit time_t.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Improved recognition of Linux kernel images.
