Summary: The basic directory layout for a Linux system.
Summary(ja): Linux システム用の基本ディレクトリ配置
Name: filesystem
Version: 2.4
Release: 1%{?_dist_release}
License: Public Domain
Group: System Environment/Base
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prereq: setup
BuildArchitectures: noarch

%description
The filesystem package is one of the basic packages that is installed on
a Vine Linux system.  Filesystem  contains the basic directory layout
for a Linux operating system, including the correct permissions for the
directories.

%prep

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT

mkdir -p mnt/{floppy,cdrom} \
	bin boot \
	etc/{X11/{applnk,sysconfig,serverconfig,starthere},opt,xinetd.d,skel,sysconfig,pki,fonts/conf.d} \
	home lib/modules {lib,lib64}/tls media mnt opt proc root sbin selinux srv sys tmp initrd\
	usr/{bin,etc,games,include,{lib,lib64}/{games,gcc-lib,tls,X11},lib/{games,gcc-lib,locale,X11},libexec,local/{bin,etc,games,lib,lib64,sbin,src,share/{applications,man/man{1,2,3,4,5,6,7,8,9,n,1x,2x,3x,4x,5x,6x,7x,8x,9x},info},libexec,include,},sbin,share/{applications,desktop-directories,doc,dict,empty,games,gnome,icons,info,man/man{1,2,3,4,5,6,7,8,9,n,1x,2x,3x,4x,5x,6x,7x,8x,9x},mime-info,misc,omf,pixmaps,themes,xsessions},src} \
        var/{empty,lib/{games,misc,rpm},state/misc,local,lock/subsys,log,nis,preserve,run,spool/{mail,lpd},tmp,db,cache,opt,games,yp}

ln -snf ../var/tmp usr/tmp
ln -snf spool/mail var/mail

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
%dir /
/bin
/boot
/etc
/home
/lib
/lib64
/media
%dir /mnt
%ghost %config(missingok) %verify(not size md5 mode user link rdev group mtime) /mnt/cdrom
%ghost %config(missingok) %verify(not size md5 mode user link rdev group mtime) /mnt/floppy
%dir /opt
%attr(555,root,root) /proc
%attr(750,root,root) /root
/sbin
/selinux
/srv
/sys
/initrd
%attr(1777,root,root) /tmp
%dir /usr
/usr/[^s]*
/usr/sbin
%dir /usr/share
/usr/share/applications
/usr/share/desktop-directories
/usr/share/doc
/usr/share/dict
%attr(555,root,root) %dir /usr/share/empty
/usr/share/games
/usr/share/gnome
/usr/share/icons
/usr/share/info
/usr/share/man
/usr/share/mime-info
/usr/share/misc
/usr/share/omf
/usr/share/pixmaps
/usr/share/themes
/usr/share/xsessions
/usr/src
%dir /var
/var/db
/var/lib
/var/local
%dir %attr(0775,root,lock) /var/lock
%attr(755,root,root) /var/lock/subsys
/var/cache
/var/empty
/var/log
/var/mail
/var/nis
/var/opt
/var/preserve
/var/run
%dir /var/spool
%attr(755,root,root) /var/spool/lpd
%attr(775,root,mail) /var/spool/mail
%attr(1777,root,root) /var/tmp
/var/yp
%dir /var/state
/var/state/misc

%changelog
* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4-1
- new versioning policy

* Sun Jan 13 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4-0vl1
- remove /usr/X11R6 heirarchy
- remove /usr/{lib,bin}/X11 symlinks
- add /usr/{lib,bin}/X11 as direcotries

* Wed Mar 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3-0vl1
- add lib64 directory
- use License: instead of Copyright:

* Fri Jun 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl1
- update to current directory layout.
  - remove old style directory (/usr/doc ...)
  - add /sys and ...

* Fri Mar 29 2002 Jun Nishii <jun@vinelinux.org> 1.3.5-1vl2
- added /initrd

* Mon Aug 28 1999 Preston Brown <pbrown@redhat.com>
- added /opt, /var/state, /var/cache for FHS compliance (#3966)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- don't carry X11R6.1 as directory on sparc.
- /var/tmp/build root (#811)

* Wed Jan 13 1999 Preston Brown <pbrown@redhat.com>
- font directory didn't belong, which I previously misunderstood.  removed.

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- /usr/share/fonts/default added.

* Fri Oct  9 1998 Bill Nottingham <notting@redhat.com>
- put /mnt/cdrom back in

* Wed Oct  7 1998 Bill Nottingham <notting@redhat.com>
- Changed /root to 0750

* Wed Aug 05 1998 Erik Troan <ewt@redhat.com>
- added /var/db
- set attributes in the spec file; don't depend on the ones in the cpio
  archive
- use a tarball instead of a cpioball

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Wed Jul 09 1997 Erik Troan <ewt@redhat.com>
- added /

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Changed /proc to 555
- Removed /var/spool/mqueue (which is owned by sendmail)
