## do not include minor version number in MOZILLA_FIVE_HOME
%global ffmajor 3.6
%global geckomajor 1.9.2
%global ffminor 13
%global ffversion %{ffmajor}.%{ffminor}
%define ffdir %{_libdir}/firefox-%{ffmajor}
%define tarballdir mozilla-1.9.2

%define build_vine6 0
%define build_vine5 0

# current firefox3 doesn't build on Vine Linux 4.x or older.
%if "%{?_dist_release}" == "vl6"
%define build_vine6 1
%define build_vine5 1
%endif
%if "%{?_dist_release}" == "vl5"
%define build_vine5 1
%endif

%define ffrelease 1%{?_dist_release}

%define desktop_file_utils_version 0.6
%define nspr_version 3.8.6
%define nss_version 3.12.3
%define gecko_version %{geckomajor}.%{ffminor}

ExclusiveArch: i386 i586 i686 x86_64 ia64 ppc s390 s390x

Summary:        Fx3.6 for Vine Linux
Summary(ja):	Fx3.6 for Vine Linux
Name:           firefox
Version:        %{ffversion}
Release:        %{ffrelease}
URL:            http://www.mozilla.org/projects/firefox/
License:        MPL/LGPL
Group:          Applications/Internet
Source0:        firefox-%{version}.source.tar.bz2

Source220:       mozconfig-firefox36-vine5
Source230:       mozconfig-firefox36-vine6

Source11:       firefox-vine-default-bookmarks.html
Source12:       firefox-vine-default-prefs.js
Source21:       firefox.vine.sh.in
Source22:       firefox.png
Source23:       fx36-about.png
Source25:       firefox.desktop
Source26:       firefox-safe-mode.desktop
Source30:       firefox.1
Source50:       firefox-xremote-client.sh.in
Source55:       firefox-rebuild-databases.pl.vine.in
Source100:      find-external-requires

# locale sources
%define MOZ_BUILD_LOCALES "ja"
Source1000:     firefox-%{ffversion}-ja.tar.bz2
Source1010:     firefox-3.6-unofficial-branding-fx.tar.bz2

#
Source2000:     firefox-searchplugins-3.0-ja.tar.bz2

# upstream patch

# build patches
Patch1:         firefox-2.0-link-layout.patch

# customization patches
Patch26:	firefox-1.5-default-a4-paper.patch

## Vine patch
# http://bugzilla.mozilla.org/show_bug.cgi?id=179248
Patch1000:      firefox-3.6.2-sjisalias.patch

# vine customization patch
Patch2000:      firefox-3.6-vine.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libpng-devel, libjpeg-devel
BuildRequires:  zlib-devel, zip
BuildRequires:  libIDL-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	libgnome-devel
BuildRequires:  pango-devel
%if %{build_vine6}
BuildRequires:  libnotify-devel
%endif
%if %{build_vine5}
BuildRequires:  nspr-devel >= %{nspr_version}
BuildRequires:  nss-devel >= %{nss_version}
BuildRequires:  gecko-devel = %{gecko_version}
BuildRequires:	libXt-devel
BuildRequires:	libXrender-devel
BuildRequires:  startup-notification-devel
%endif
BuildRequires:  autoconf213
BuildRequires:  freetype2-devel

Requires:       desktop-file-utils >= %{desktop_file_utils_version}
%if %{build_vine5}
Requires:	nspr >= %{nspr_version}
Requires:	nss >= %{nss_version}
Requires:       gecko-libs >= %{gecko_version}
%endif

Obsoletes:      phoenix, mozilla-firebird, MozillaFirebird
Obsoletes:      firefox3
Provides:       webclient

#AutoProv: 0
%define _use_internal_dependency_generator 0
%define __find_requires %{SOURCE100}

%description
Fx3.6 is an open-source web browser based on mozilla technology.
This is unofficial build of firefox browser.

#---------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version} -c -b 1000 -b 1010
cd %{tarballdir}

%patch1 -p1 -b .link-layout

%patch26 -p1

#
%patch1000 -p0
%patch2000 -p1

%{__rm} -f .mozconfig

%{__cp} %{SOURCE230} .mozconfig
%if %build_vine5
%{__cp} -f %{SOURCE220} .mozconfig
%endif

%if %build_vine5
echo "ac_add_options --with-libxul-sdk=`pkg-config --variable=sdkdir libxul`" >> .mozconfig
%endif

# update searchplugins
%{__tar} xjvf %{SOURCE2000} -C ../l10n/ja/browser/

# setup unofficial branding logos
%{__cp} %{SOURCE23} browser/branding/unofficial/content/about.png
#%{__cp} browser/branding/unofficial/content/*.png browser/base/branding/
%{__cp} ../l10n/ja/browser/branding/unofficial/brand.* browser/branding/unofficial/locales/en-US/


#---------------------------------------------------------------------

%build
cd %{tarballdir}
autoconf-2.13

#MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %__sed -e 's/-O2/-Os/' -e 's/-Wall//')
MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %__sed -e 's/-Wall//')
export RPM_OPT_FLAGS=$MOZ_OPT_FLAGS
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
#export MOZ_APP_DISPLAYNAME="Firefox Community Edition"
export MOZ_APP_DISPLAYNAME="Fx for Vine Linux"

%ifarch ppc ppc64 s390 s390x
%define moz_mflags -j1
%else
%define moz_mflags %{?_smp_mflags}
%endif

export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

export LDFLAGS="-Wl,-rpath,%{ffdir}"
export MAKE="gmake %{moz_mflags}"
%__make -f client.mk configure
%__make -f client.mk build

# build locales
LOCALEDIRS=`find . -print | grep 'locales/Makefile$' | \
            sed -e 's|\./\(.*\)/locales/.*|\1|g'`
for dir in $LOCALEDIRS
do
  for lang in %{MOZ_BUILD_LOCALES} ; do
    make -C $dir/locales AB_CD=$lang
  done
done

#---------------------------------------------------------------------

%install
cd %{tarballdir}
%{__rm} -rf $RPM_BUILD_ROOT

#cd xpinstall/packager/
#%{__make} MOZILLA_BIN="\$(DIST)/bin/firefox-bin" STRIP=/bin/true
#cd -

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/applications}

if [ "%{version}" != "%{ffmajor}" ]; then
  %{__mv} $RPM_BUILD_ROOT%{_libdir}/firefox-%{version} $RPM_BUILD_ROOT%{ffdir}
fi

# install icons
%{__install} -p -D %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/pixmaps/firefox.png

for desktopfiles in %{SOURCE25} %{SOURCE26}
do
  desktop-file-install --vendor vine \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category Application \
    --add-category Network \
    $desktopfiles
done

# set up the firefox start script
%{__rm} -rf $RPM_BUILD_ROOT%{_bindir}/firefox
%{__cat} %{SOURCE21} | %{__sed} -e 's,FIREFOX_VERSION,%{ffmajor},g' > \
  $RPM_BUILD_ROOT%{_bindir}/firefox
%{__chmod} 755 $RPM_BUILD_ROOT%{_bindir}/firefox

# set up our default preferences
%{__cat} %{SOURCE12} | sed -e 's,FIREFOX_RPM_VR,%{version}-%{release},g' > vine-default-prefs
%{__cat} vine-default-prefs >> $RPM_BUILD_ROOT/%{ffdir}/defaults/preferences/firefox.js
%{__rm} vine-default-prefs

# set up our default bookmarks
%{__install} -p -D -m 664 %{SOURCE11} $RPM_BUILD_ROOT%{ffdir}/defaults/profile/US/bookmarks.html
%{__install} -p -D -m 664 %{SOURCE11} $RPM_BUILD_ROOT%{ffdir}/defaults/profile/bookmarks.html

%{__cat} %{SOURCE50} | sed -e 's,FFDIR,%{ffdir},g' -e 's,LIBDIR,%{_libdir},g' > \
  $RPM_BUILD_ROOT%{ffdir}/firefox-xremote-client

%{__chmod} 755 $RPM_BUILD_ROOT%{ffdir}/firefox-xremote-client
%{__install} -p -D -m 664 %{SOURCE30} $RPM_BUILD_ROOT%{_mandir}/man1/firefox.1
%{__cat} %{SOURCE55} | sed -e 's,FFDIR,%{ffdir},g' > \
  $RPM_BUILD_ROOT/%{ffdir}/firefox-rebuild-databases.pl
%{__chmod} 755 $RPM_BUILD_ROOT/%{ffdir}/firefox-rebuild-databases.pl

%{__rm} -f $RPM_BUILD_ROOT%{ffdir}/firefox-config

cd $RPM_BUILD_ROOT%{ffdir}/chrome
find . -maxdepth 1 -mindepth 1 -name "*" -type d -exec %{__rm} -rf {} \;
cd -

# install locales
for lang in %{MOZ_BUILD_LOCALES} ; do
  %{__install} -p -D -m 664 dist/bin/chrome/$lang.{jar,manifest} $RPM_BUILD_ROOT%{ffdir}/chrome/
done

# another bug fixed by looking at the debian package
%{__mkdir_p} $RPM_BUILD_ROOT%{ffdir}/chrome/icons/default/
for i in default16.png default32.png default48.png
do
  %{__cp} -f browser/branding/unofficial/$i $RPM_BUILD_ROOT%{ffdir}/chrome/icons/default/
done
for i in default16.png default32.png default48.png document.png \
         mozicon128.png
do
  %{__cp} -f browser/branding/unofficial/$i $RPM_BUILD_ROOT%{ffdir}/icons/
done

		
# own mozilla plugin dir (#135050)
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

# ghost files
touch $RPM_BUILD_ROOT%{ffdir}/components/compreg.dat
touch $RPM_BUILD_ROOT%{ffdir}/components/xpti.dat


#---------------------------------------------------------------------

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post
update-desktop-database %{_datadir}/applications >& /dev/null ||:

umask 022
%{ffdir}/firefox-rebuild-databases.pl || :

# create extensions directory
HOME=/root %{ffdir}/firefox -register ||:

%postun
update-desktop-database %{_datadir}/applications>& /dev/null ||:
umask 022
# was this an upgrade?
if [ $1 -gt 1 ]; then
 %{ffdir}/firefox-rebuild-databases.pl ||:
fi

%preun
# is it a final removal?
if [ $1 -eq 0 ]; then
  %{__rm} -rf %{ffdir}/components
  %{__rm} -rf %{ffdir}/extensions
fi

%files
%defattr(-,root,root,-)
%{_bindir}/firefox
%{_mandir}/man1/*
%{_datadir}/applications/vine-%{name}.desktop
%{_datadir}/applications/vine-%{name}-safe-mode.desktop
%{_datadir}/pixmaps/firefox.png
%{ffdir}
%{_libdir}/mozilla

%ghost %{ffdir}/components/compreg.dat
%ghost %{ffdir}/components/xpti.dat

#---------------------------------------------------------------------

%changelog
* Sat Jan 08 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.13-1
- update to 3.6.13

* Thu Oct 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.11-1
- update to 3.6.11

* Tue Sep 14 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.9-1
- update to 3.6.9

* Mon Jul 26 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.8-1
- update to 3.6.8

* Wed Jul 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.7-1
- update to 3.6.7

* Wed Jun 23 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.4-1
- update to 3.6.4

* Sat Apr 03 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.3-1
- update to 3.6.3

* Fri Apr 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.2-1
- update to 3.6.2

* Thu Jan 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6-2
- remove version number from browsername.
- rebuild with xulrunner-1.9.2-3

* Thu Jan 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6-1
- update to 3.6

* Sat Jan 09 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.7-2
- update desktop files

* Fri Jan 08 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.7-1
- new upstream release
- move to unofficial build from community build.
  - change about dialog.

* Sat Nov 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.5-1
- new upstream release

* Sat Aug 08 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.2-3
- rebuild again with xulrunner-1.9.1.2-2

* Fri Aug 07 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.2-2
- rebuild with xulrunner-1.9.1.2-2

* Wed Aug 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.2-1
- new upstream release

* Fri Jul 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.1-2
- remove MimeType entry from firefox-safe-mode.desktop (<BTS:0735>)
- add default{32,48}.png to %%{ffdir}/chrome/icons/default (<BTS:0733>)

* Sun Jul 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.1-1
- new upstream release
- add BR: libXt-devel, startup-notification-devel

* Wed Jul 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-3
- enable-system-cairo

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-2
- add Patch3010 to fix releasenotes urls

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-1
- update to firefox 3.5 release

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-0.1.rc3
- update to firefox-3.5rc3

* Fri Jun 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.11-1
- new upstream release

* Wed May 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.10-4
- rebuild to fix broken package..

* Tue May 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.10-3
- add Obsoletes: firefox3

* Tue Apr 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.10-2
- new upstream release

* Sun Apr 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.9-2
- build with gecko-libs (xulrunner)
- update firefox startup script (/usr/bin/firefox)

* Wed Apr 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.9-1
- new upstream release
- build with nspr-4.7.4, nss-3.12.3
- set FLASH_FORCE_PULSEAUDIO if PA server is running.

* Sat Mar 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.8-1
- new upstream release
- update default bookmarks

* Thu Mar 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.7-1
- new upstream release

* Mon Feb 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.6-2
- modify mozconfig
  - remove --enable-xft
  - remove --enable-system-cairo, add --disable-system-cairo

* Wed Feb 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.6-1
- new upstream release

* Sat Dec 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.5-1
- new upstream release

* Sat Nov 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.4-1
- new upstream release

* Thu Oct 02 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.3-2
- add Patch30 to remove EULA

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.3-1
- new upstream release

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.2-2
- disable dbus.

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.2-1
- new upstream release

* Thu Jul 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.1-1
- new upstream release

* Wed Jul 02 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-2
- rebuild with nss-3.12, nspr-4.7.1
- use unofficial branding
- change brand*Name to "Firefox Community Edition - Gran Paradiso"

* Sun Jun 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-1
- new upstream release

* Sat Apr 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0.14-1
- new upstream release

* Wed Mar 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.13-1
- new upstream release

* Tue Feb 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.12-0vl3
- new upstream release

* Sat Dec 01 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.11-0vl3
- new upstream release

* Tue Nov 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.10-0vl3
- new upstream release

* Fri Oct 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.9-0vl3
- new upstream release

* Fri Oct 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.8-0vl3
- new upstream release
- build with nspr-4.6.7
- update default bookmarks

* Tue Jul 31 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.6-0vl3
- new upstream release

* Thu Jul 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.5-0vl3
- new upstream release

* Tue Jun 12 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.4-0vl9
- fix pkgconfig file for x86_64 [VineSeed-x86_64:00333]
- require ns{pr,s}-devel instead of ns{pr,s} for firefox-devel

* Sat Jun 02 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.4-0vl6
- fix exclude condition of firefox-{nss,nspr}.pc (<BTS:532>)

* Thu May 31 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.4-0vl3
- update to firefox-2.0.0.4
- remove Patch1020 which is merged in upstream

* Sun May 20 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.0.3-0vl5
- added Patch1020 for workaround gcc visibility hidden bugs

* Sat May 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.3-0vl4
- add build options to build with external nss/nspr libraries
    ac_add_options --with-system-nspr
    ac_add_options --with-system-nss
- remove firefox-{nspr,nss}.pc from %%files devel

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.3-0vl3
- rebuild with new environment/toolchain
- update ja locale

* Wed Mar 21 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.3-0vl2
- new upstream release

* Sat Feb 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.2-0vl2
- new upstream release

* Sat Jan 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.1-0vl6
- remove typeaheadfind and venkman extention.

* Fri Jan 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.1-0vl4
- add build options for FireBug (<BTS:wishes:9>)
  --enable-jsd, --enable-extention=default,typeaheadfind,venkman

* Thu Dec 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.1-0vl2
- update to firefox-2.0.0.1

* Mon Nov 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl6
- add Patch10 to fix Bug358798
- fix idl install path (<BTS:401>)

* Sat Oct 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl4
- update vine default settings
  - use Firefox for UA string instead of BonEcho
  - add vendor/vendorSub to UA string
  - disable spell check by default
  - enable smooth scroll by default

* Tue Oct 24 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl2
- update to firefox-2.0 final

* Mon Oct 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl0.rc3
- update to firefox-2.0rc3
- drop unneeded patches.

* Mon Oct 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.7-0vl4
- change Summary, desktopfiles
  - use Firefox Community Edition, instead of Firefox.

* Fri Sep 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.7-0vl2
- new upstream release

* Thu Aug 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.6-0vl2
- new upstream release
- -safe-mode option (VinePlus:03026)
  - add Patch1010
    - add -safe-mode option in Usage(--help).
  - add firefox-safe-mode.desktop

* Wed Jul 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.5-0vl2
- new upstream release
- update default bookmarks

* Tue Jun 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.4-0vl4
- copy nss headers

* Fri Jun 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.4-0vl2
- new upstream release

* Wed May 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.3-0vl2
- new upstream release

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.2-0vl4
- use firefox-1.5 for MOZILLA_FIVE_HOME instead of firefox-1.5.0.2
  - applications using gtkmozembed of firefox become unaffected to
    firefox's minor version changes.

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.2-0vl2
- new upstream release

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl6
- clean up spec file ( remove unneeded %%ghost file ... )

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl4
- fix missing default theme in theme changer

* Thu Mar 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl3
- add upstream patches (100,101,102)
- update default bookmarks
- build en-US locale
- disable pango rendering by default
  (workaround fix slow rendering in some page)

* Thu Feb 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl2
- new upstream release

* Thu Jan 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl4
- fix libnssckbi broken symlink problem (BUG:8)

* Thu Dec 29 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl3
- add devel subpackage for gtkembedmoz

* Thu Dec 29 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl2
- re-enable ja locale
- fix crash bug with COMPOSITE enabled X server
  - add patch to /usr/bin/firefox

* Wed Nov 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl1
- new upstream release

* Sat Sep 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.7-0vl2
- update to firefox-1.0.7

* Tue Sep 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl10
- modified mozconfig to use RPM_OPT_FLAGS

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl8
- add Patch110 to fix crash with gtk-2.7 (fixed in upstream)

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl6
- rebuild with pango-1.9.1
- add pango-cairo patch

* Sat Jul 23 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl4
- update Patch25 to enable extension update feature
  (disabled in preferences by default)

* Wed Jul 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl2
- new upstream release

* Thu Jul 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.5-0vl2
- new upstream release

* Sat May 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-0vl6
- add more pango rendering patch from FC-devel.
- add IM candidate window position patch.

* Fri May 13 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-0vl4
- fix wrong condition branching in spec file.

* Fri May 13 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-0vl2
- new upstream release
- drop obsolete patch{103,104}

* Sat Apr 16 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.3-0vl1
- new upstream release

* Mon Mar 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.2-0vl1
- new upstream release

* Tue Mar 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl6
- clean up spec file
  - drop own pixmap file (use included one)
  - fix up file permissions

* Tue Mar 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl4
- remove "new-window" option from openurl in /usr/bin/firefox

* Tue Mar 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl2
- readd patch31,32 for pango rendering fix.

* Mon Mar 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl0
- rebuild for Vine Linux 3.1 (VinePlus)

* Mon Mar 07 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl1
- new upstream release
- merge some patches from fedora
- include ja-JP langpack only.
- add Japanese translation for mozilla-firefox.desktop
- disable gnomeui, gnomestripe patch
- disable mozilla official branding.

* Mon Jan 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- initial build for Vine Linux
- based on fedora package, add Vine patch from Mozilla package.

* Tue Dec 28 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-8
- Add upstream langpacks

* Sat Dec 25 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-7
- Make sure we get a URL passed in to firefox (#138861)
- Mark some generated files as ghost (#136015)

* Wed Dec 15 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-6
- Don't have downloads "disappear" when downloading to desktop (#139015)
- Add RPM version to the useragent
- BuildRequires pango-devel

* Sat Dec 11 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-5
- Fix spacing in textareas when using pango for rendering
- Enable pango rendering by default.
- Enable smooth scrolling by default

* Fri Dec  3 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-4
- Add StartupWMClass patch from Damian Christey (#135830)
- Use system colors by default (#137810)
- Re-add s390(x)

* Sat Nov 20 2004 Christopher Blizzard <blizzard@redhat.com> 0:1.0-3
- Add patch that uses pango for selection.

* Fri Nov 12 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-2
- Fix livemarks icon issue. (#138989)

* Tue Nov  8 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-1
- Firefox 1.0

* Thu Nov  4 2004 Christopher Aillon <caillon@redhat.com> 0:0.99-1.0RC1.3
- Add support for GNOME stock icons. (bmo #233461)

* Sat Oct 30 2004 Warren Togami <wtogami@redhat.com> 0:0.99-1.0RC1.2
- #136330 BR freetype-devel with conditions
- #135050 firefox should own mozilla plugin dir

* Sat Oct 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.99-1.0RC1.1
- Update to firefox-rc1
- Add patch for s390(x)

* Tue Oct 26 2004 Christopher Aillon <caillon@redhat.com>
- Fix LD_LIBRARY_PATH at startup (Steve Knodle)

* Fri Oct 22 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.21
- Prevent inlining of stack direction detection (#135255)

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.20
- More file chooser fixes:
    Pop up a confirmation dialog before overwriting files (#134648)
    Allow saving as complete once again
- Fix for upstream 263263.

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.18
- Fix for upstream 262689.

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com 0:0.10.1-1.0PR1.16
- Update pango patch to one that defaults to off

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0:0.10.1-1.0PR1.15
- Fix problem where default apps aren't showing up in the download
  dialog (#136261)
- Fix default height being larger than the available area, cherry picked
  from upstream

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0:0.10.1-1.0PR1.13
- Actually turn on pango in the mozconfig

* Sat Oct 16 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.12
- Disable the default application checks. (#133713)
- Disable the software update feature. (#136017)

* Wed Oct 13 2004 Christopher Blizzard <blizzard@redhat.com>
- Use pango for rendering

* Tue Oct 12 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.10
- Fix for 64 bit crash at startup (b.m.o #256603)

* Fri Oct  8 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.9
- Fix compile issues (#134914)
- Add patch to fix button focus issues (#133507)
- Add patches to fix tab focus stealing issue (b.m.o #124750)

* Fri Oct  1 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.8
- Update to 0.10.1
- Fix tab switching keybindings (#133504)

* Fri Oct  1 2004 Bill Nottingham <notting@redhat.com> 0:0.10.0-1.0PR1.7
- filter out library Provides: and internal Requires:

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.6
- Prereq desktop-file-utils >= 0.9

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.5
- Add clipboard access prevention patch.

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.4
- Add the xul mime type to the .desktop file

* Tue Sep 28 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.3
- Backport the GTK+ file chooser.
- Update desktop database after uninstall.

* Mon Sep 27 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.2
- Change the vendor to mozilla not fedora
- Build with --disable-strip so debuginfo packages work (#133738)
- Add pkgconfig patch (bmo #261090)

* Fri Sep 24 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.1
- Add a BR for desktop-file-utils
- Update default configuration options to use the firefox mozconfig (#132916)
- Use Red Hat bookmarks (#133262)
- Update default homepage (#132721)
- Fix JS math on AMD64 (#133226)
- Build with MOZILLA_OFICIAL (#132917)

* Tue Sep 14 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.0
- Update to 1.0PR1
- Update man page references to say Firefox instead of Firebird
- Remove gcc34 and extensions patch; they are now upstream
- Update desktop database
- Minor tweaks to the .desktop file

* Fri Sep 03 2004 Christopher Aillon <caillon@redhat.com> 0:0.9.3-8
- Fixup .desktop entry Name, GenericName, and Comment (#131602)
- Add MimeType desktop entry (patch from jrb@redhat.com)
- Build with --disable-xprint

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com> 0:0.9.3-7
- rawhide import
- fedora.us #1765 NetBSD's freetype 2.1.8 compat patch

* Sun Aug 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.6
- and mng support is disabled again as it seams that there is
  no real mng support in the code

* Sat Aug 28 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.5
- remove ldconfig from scriptlets (bug #1846 comment #40)
- reenabled mng support (bug #1971)
- removed --enable-strip to let rpm to the stripping (bug #1971)
- honor system settings in firefox.sh (bug #1971)
- setting umask 022 in scriptlets (bug #1962)

* Sat Aug 07 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.4
- copy the icon to the right place(TM)

* Fri Aug 06 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.3
- readded the xpm removed in 0:0.9.2-0.fdr.5

* Thu Aug 05 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.2
- added mozilla-1.7-psfonts.patch from rawhide mozilla

* Thu Aug 05 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.1
- updated to 0.9.3
- removed following from .mozconfig:
    ac_add_options --with-system-mng
    ac_add_options --enable-xprint
    ac_add_options --disable-dtd-debug
    ac_add_options --disable-freetype2
    ac_add_options --enable-strip-libs
    ac_add_options --enable-reorder
    ac_add_options --enable-mathml
    ac_add_options --without-system-nspr

* Tue Aug 03 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.5
- applied parts of the patch from Matthias Saou (bug #1846)
- delete empty directories in %%{ffdir}/chrome
- more cosmetic changes to the spec file

* Wed Jul 14 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.4
- mozilla-default-plugin-less-annoying.patch readded

* Tue Jul 13 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.3
- added krb5-devel as build requirement

* Tue Jul 13 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.2
- added patch from bugzilla.mozilla.org (bug #247846)
- removed Xvfb hack

* Fri Jul 09 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.1
- updated to 0.9.2

* Mon Jul 05 2004 Warren Togami <wtogami@redhat.com> 0:0.9.1-0.fdr.3
- mharris suggestion for backwards compatibilty with Xvfb hack

* Tue Jun 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.1-0.fdr.2
- added massive hack from the debian package to create the
  extension directory

* Tue Jun 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.1-0.fdr.1
- updated to 0.9.1

* Wed Jun 17 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.4
- remove extensions patch
- add post hack to create extensions
- enable negotiateauth extension
- copy icon to browser/app/default.xpm
- --enable-official-branding

* Wed Jun 17 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.3
- extensions patch

* Wed Jun 16 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.2
- added gnome-vfs2-devel as BuildRequires
- added gcc-3.4 patch 

* Wed Jun 16 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.1
- updated to 0.9
- dropped x86_64 patches
- dropped xremote patches

* Wed May 26 2004 Adrian Reber <adrian@lisas.de> 0:0.8-0.fdr.13
- remove unused files: mozilla-config

* Sun May 23 2004 David Hill <djh[at]ii.net> 0:0.8-0.fdr.12
- update mozconfig (fixes bug #1443)
- installation directory includes version number

* Mon May 10 2004 Justin M. Forbes <64bit_fedora@comcast.net> 0:0.8-0.fdr.11
- merge x86_64 release 10 with fedora.us release 10 bump release to 11

* Mon Apr 19 2004 Justin M. Forbes <64bit_fedora@comcast.net> 0:0.8-0.fdr.10
- rebuild for FC2
- change Source71 to properly replace Source7 for maintainability

* Sun Apr 18 2004 Warren Togami <wtogami@redhat.com> 0:0.8-0.fdr.10
- 3rd xremote patch
- test -Os rather than -O2

* Sun Apr 18 2004 Gene Czarcinski <gene@czarc.net>
- more x86_64 fixes
- fix firefix-xremote-client for x86_64 (similar to what is done for
  firefox.sh.in)

* Sat Apr 03 2004 Warren Togami <wtogami@redhat.com> 0:0.8-0.fdr.9
- xremote patch for thunderbird integration #1113
- back out ugly hack from /usr/bin/firefox
- correct default bookmarks

* Wed Feb 25 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.7
- readded the new firefox icons

* Sat Feb 21 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.6
- removed new firefox icons

* Wed Feb 18 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.5
- nothing

* Thu Feb 12 2004 Gene Czarcinski <czar@acm.org>
- update for x86_64 ... usr mozilla-1.6 patches
- change "firefox-i*" to "firefox-*" in above stuff

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.4
- another icon changed

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.3
- startup script modified

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.2
- new firefox icon
- more s/firebird/firefox/

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.1
- new version: 0.8
- new name: firefox

* Sun Oct 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.2
- s/0.6.1/0.7/
- changed user-app-dir back to .phoenix as .mozilla-firebird
  is not working as expected
- manpage now also available as MozillaFirebird.1

* Thu Oct 16 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.1
- updated to 0.7
- provides webclient
- run regxpcom and regchrome after installation and removal
- added a man page from the debian package
- changed user-app-dir from .phoenix to .mozilla-firebird

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.2
- now with mozilla-default-plugin-less-annoying.patch; see bug #586

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.1
- updated to 0.6.1
- changed buildrequires for XFree86-devel from 0:4.3.0 to 0:4.2.1 
  it should now also build on RH80

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.5.rh90
- enabled the type ahead extension: bug #484

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.4.rh90
- renamed it again back to MozillaFirbird
- added libmng-devel to BuildRequires
- startup homepage is now www.fedora.us
- improved the startup script to use the unix remote protocol 
  to open a new window

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.3.rh90
- new icon from http://iconpacks.mozdev.org/phoenix/iconshots/flame48true.png
- now using gtk2 as toolkit
- renamed again back to mozilla-firebird (I like it better)
- Provides: MozillaFirebird for compatibility with previous releases
- changed default bookmarks.html to contain links to www.fedora.us

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.2.rh90
- renamed package to MozillaFirebird and all files with the old name
- enabled mng, mathml, xinerama support
- now honouring RPM_OPT_FLAGS

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.1.rh90
- updated to 0.6

* Thu May 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.1.cvs20030501.rh90
- Updated to CVS.
- Renamed to mozilla-firebird.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030409.rh90
- Updated to CVS.
- Removed hard-coded library path.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030402.rh90
- Changed Prereq to Requires.
- Changed BuildRequires to gtk+-devel (instead of file).
- Recompressed source with bzip2.
- Removed post.

* Tue Apr 02 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030402.rh90
- Added desktop-file-utils to BuildRequires.
- Changed category to X-Fedora-Extra.
- Updated to CVS.

* Sun Mar 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030328.rh90
- Added Epoch:0.
- Added libgtk-1.2.so.0 to the BuildRequires

* Fri Mar 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030328.rh90
- Updated to latest CVS.
- Moved phoenix startup script into its own file

* Wed Mar 26 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030326.rh90
- Updated to latest CVS.
- Changed release to 9 vs 8.1.
- Added cvs script.
- added encoding to desktop file.

* Sun Mar 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030323.rh81
- Updated to latest CVS.
- added release specification XFree86-devel Build Requirement.
- changed chmod to %attr

* Fri Mar 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030317.rh81
- Fixed naming scheme.
- Fixed .desktop file.

* Mon Mar 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030317.1
- Updated to CVS.

* Fri Mar 14 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.2
- General Tweaking.

* Thu Mar 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.1
- Updated CVS.
- Modified mozconfig.

* Sun Mar 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030309.1
- Initial RPM release.
