Summary(ja): GNU バージョンの awk テキスト処理ユーティリティー
Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 3.1.3
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Text

Source0: ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}.tar.bz2
Source1: ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}-ps.tar.gz
Patch3: gawk-3.1.3-fix1.patch
Patch4: gawk-3.1.3-fix2.patch
Patch5: gawk-3.1.3-fix3.patch
Patch6: gawk-3.1.3-fix4.patch
Patch7: gawk-3.1.3-fix5.patch
Patch8: gawk-3.1.3-getpgrp_void.patch
Patch9: gawk-3.1.0-shutup.patch

Source10: gawk-3.1.3-ja.po
Patch10: gawk-3.1.3-ja.patch

Prereq: /sbin/install-info
Requires: mktemp
Buildroot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.


%description -l ja
gawk パッケージは GNU バージョンの、テキスト処理ユーティリティー awk 
を含んでいます。awk は素早く、簡単にパターンマッチングと整形処理を行う
ためのプログラミング

テキスト処理ユーティティーが必要なら、gawk パッケージをインストールし
てください。gawk はLinux 上でテキスト処理を行う標準的なツールです。

%prep
%setup -q -b 1 -n gawk-%{version}
%patch3 -p1 -b .fix1
%patch4 -p0 -b .fix2
%patch5 -p1 -b .fix3
%patch6 -p1 -b .fix4
%patch7 -p1 -b .fix5
%patch8 -p1 -b .getpgrp_void
%patch9 -p1 -b .shutup
%patch10 -p0 -b .ja
cp -f %{SOURCE10} po/ja.po

%build
%configure --bindir=/bin
make
(cd po; make update-po; make)

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=${RPM_BUILD_ROOT}/bin \
	libexecdir=${RPM_BUILD_ROOT}%{_libexecdir}/awk \
	datadir=${RPM_BUILD_ROOT}%{_datadir}/awk

mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -sf gawk.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/awk.1.gz
ln -sf ../../bin/gawk $RPM_BUILD_ROOT%{_bindir}/awk
ln -sf ../../bin/gawk $RPM_BUILD_ROOT%{_bindir}/gawk
rm -f $RPM_BUILD_ROOT/bin/{,p}gawk-%{version}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
mv -f $RPM_BUILD_ROOT%{_datadir}/awk/locale $RPM_BUILD_ROOT%{_datadir}/locale

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/gawk.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/gawk.info.gz %{_infodir}/dir
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING FUTURES INSTALL LIMITATIONS NEWS README
%doc POSIX.STD README_d doc/gawk.ps doc/awkcard.ps
/bin/*
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/gawk.info*
%{_infodir}/gawkinet.info*
%{_libexecdir}/awk
%{_datadir}/awk

%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 3.1.3-1vl5
- applied new versioning policy, spec in utf-8

* Thu Mar 09 2006 Shu KONNO <owa@bg.wakwak.com> 3.1.3-0vl3
- fixed missing list in %%doc
- rebuilt for x86_64 architecture support

* Tue May 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.3-0vl2
- readd patch9 to disable warning

* Wed May  5 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.3-0vl1
- new upstream release
- import patches from fedora package.
- add patch10 to add ja in LINGUAS
- add ja.po

* Tue May 13 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1.2-3vl1
- synced with Rawhide 3.1.2-3

* Wed Feb 20 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.6-2vl2
- fixed typo

* Thu May 31 2001 <sagami@vinelinux.org>
- 3.0.6-2vl1: follow up with RH 3.0.6-2
- gawk-3.0.6 + mb1.15

* Mon Aug  7 2000 Jun Nishii <jun@vinelinux.org>
- 3.0.4-2vl1
- follow up with RHL62
- use brp

* Sun Jan  9 2000 Jun Nishii <jun@vinelinux.org>
- 3.0.4-1vl1
- change version-release for Vine Linux 2.0
- bzip2 sources

* Wed Sep 29 1999 Norihito Ohmori <nono@kondara.org>
- add Multibyte Patch.

* Wed Jun 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.4.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- make sure all binaries are stripped

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Feb 19 1999 Jeff Johnson <jbj@redhat.com>
- Install info pages (#1242).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- don't package /usr/info/dir

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.0.3
- added documentation and buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

