%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:     A library for manipulating GIF format image files.
Summary(ja): GIF 形式の画像ファイルを扱うライブラリ
Name: giflib
Version: 4.1.6
Release: 3%{_dist_release}
License: MIT
URL: http://sourceforge.net/projects/giflib/
Source: http://jaist.dl.sourceforge.net/sourceforge/giflib/%{name}-%{version}.tar.bz2
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Obsoletes: libungif < 4.1.6-1
Provides:  libungif = %{version}-%{release}


%description
The giflib package contains a shared library of functions for
loading and saving GIF format image files. It is API and ABI compatible
with libungif, the library which supported uncompressed GIFs while the
Unisys LZW patent was in effect.

Install the giflib package if you need to write programs that use GIF files.
You should also install the giflib-utils package if you need some simple
utilities to manipulate GIFs.

%description -l ja
giflib パッケージには GIF 形式の画像ファイルを読み書きするために必要な
共有ライブラリが収録されています。この giflib は、Unisys LZW 特許が有効で
あった時期に、非圧縮形式の GIF ファイルを扱うために使われていたライブラリで
ある libungif と API / ABI 互換性があります。

GIF ファイルを扱うプログラムを作成される場合は giflib パッケージを
インストールして下さい。また、GIF ファイルを操作する簡単なユーティリティが
必要な場合には giflib-utils パッケージも一緒にインストールする必要があります。


%package devel
Summary: Development tools for programs which will use the giflib library.
Summary(ja): giflib ライブラリを使うプログラム用開発ツール
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: libungif-devel < 4.1.6-1
Provides:  libungif-devel = %{version}-%{release}

%description devel
This package contains the static libraries, header files and
documentation necessary for development of programs that will use the
giflib library to load and save GIF format image files.

You should install this package if you need to develop programs which
will use libungif library functions.  You'll also need to install the
giflib package.

%description devel -l ja
このパッケージには giflib ライブラリを使って GIF 形式の画像ファイルを
読み書きするプログラムの開発に必要なスタティックライブラリ、ヘッダファイル
そしてドキュメントが収められています。

giflib ライブラリ関数を使うプログラム開発を行う場合は
このパッケージをインストールする必要があります。
giflib パッケージも同時にインストールして下さい。


%package utils
Summary: Programs for manipulating GIF format image files.
Summary(ja): GIF 形式の画像ファイルを扱うプログラム
Group: Applications/Graphics
Requires: %{name} = %{version}-%{release}
Obsoletes: libungif-progs < 4.1.6-1

%description utils
The giflib-utils package contains various programs for manipulating
GIF format image files.

Install this package if you need to manipulate GIF format image files.
You'll also need to install the giflib package.

%description utils -l ja
giflib-utils パッケージには GIF 形式の画像ファイルを扱う
様々なプログラムが収められています。

GIF 形式の画像ファイルを扱う必要があるならこのパッケージを
インストールして下さい。giflib パッケージも同時にインストールする
必要があります。


## to build compat32 for x86_64 architecture support
%package -n compat32-%{name}
Summary:     A library for manipulating GIF format image files.
Summary(ja): GIF 形式の画像ファイルを扱うライブラリ
Group: System Environment/Libraries
Obsoletes: compat32-libungif <= %{version}-%{release}
Provides: compat32-libungif = %{version}-%{release}

%description -n compat32-%{name}
The giflib package contains a shared library of functions for
loading and saving GIF format image files. It is API and ABI compatible
with libungif, the library which supported uncompressed GIFs while the
Unisys LZW patent was in effect.

Install the giflib package if you need to write programs that use GIF files.
You should also install the giflib-utils package if you need some simple
utilities to manipulate GIFs.


%package -n compat32-%{name}-devel
Summary: Development tools for programs which will use the giflib library.
Summary(ja): giflib ライブラリを使うプログラム用開発ツール
Group: Development/Libraries
Obsoletes: compat32-libungif-devel < 4.1.6-1
Provides: compat32-libungif-devel = %{version}-%{release}

%description -n compat32-%{name}-devel
This package contains the static libraries, header files and
documentation necessary for development of programs that will use the
giflib library to load and save GIF format image files.

You should install this package if you need to develop programs which
will use giflib library functions.  You'll also need to install the
giflib package.


%prep
%setup -q -n %{name}-%{version}


%build
%configure
make all

MAJOR=`echo '%{version}' | sed 's/\([0-9]\+\)\..*/\1/'`
%{__cc} $RPM_OPT_FLAGS -shared -Wl,-soname,libungif.so.$MAJOR -Llib/.libs -lgif -o libungif.so.%{version}


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
install -m 0755 -p libungif.so.%{version} $RPM_BUILD_ROOT%{_libdir}
ln -sf libungif.so.%{version} ${RPM_BUILD_ROOT}%{_libdir}/libungif.so.4
ln -sf libungif.so.4 ${RPM_BUILD_ROOT}%{_libdir}/libungif.so

chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so*
chmod 644 $RPM_BUILD_ROOT%{_libdir}/*.a
chmod 644 COPYING README NEWS ONEWS
chmod 644 ChangeLog TODO BUGS AUTHORS
chmod 644 doc/* util/giffiltr.c util/gifspnge.c

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.{a,la}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%if %{build_compat32}
%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc COPYING README NEWS ONEWS
%doc ChangeLog TODO BUGS AUTHORS
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc doc/* util/giffiltr.c util/gifspnge.c
%{_libdir}/lib*.so
%{_includedir}/*.h

%files utils
%defattr(-,root,root)
%{_bindir}/*

## to build compat32 for x86_64 architecture support
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%endif


%changelog
* Sat Feb 13 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1.6-3
- rebuild with new environment
- remove static lib

* Thu Aug 20 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1.6-2
- Obsolete specific version of libungif

* Sun Jan 11 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 4.1.6-1
- switch from the obsoleted libungif to the ongoing giflib
  due to LZW's patent expiration which happend a few years ago

* Fri Sep 26 2008 Shu KONNO <owa@bg.wakwak.com> 4.1.4-2vl5
- removed *.la
- spec in utf-8

* Sat Apr 19 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.1.4-1vl5
- applied new versioning policy
- updated URL

* Sun Feb 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.1.4-0vl1
- new upstream release

* Sat Sep 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.1.3-3vl3
- changed libungif-progs Group to Applications/Graphics

* Wed Feb 15 2006 Shu KONNO <owa@bg.wakwak.com> 4.1.3-3vl2
- added compat32-* packages for x86_64 architecture support

* Tue May 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.1.3-3vl1 
- new upstream release
- not generate libungif.so.3* any more
- fixed spec file based on 4.1.3-3 from Fedora development
- s/Copyright/License/
- updated URL

* Fri Dec 13 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.1.0-13vl1 
- based on 4.1.0-13 from Rawhide 
  - Clean up spec file
  - Fix build with current auto* tools

* Sat Jul 14 2001 <sagami@vinelinux.org>
- 4.1.0-9vl1
- follow up with 4.1.0-9 which has a fix to build against new libtool

* Mon Feb 19 2001 Jun Nishii <jun@vinelinux.org>
- 4.1.0-7vl2
- build with netpbm

* Fri Jan 12 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 4.1.0-7vl1
- based on 4.1.0-7 from Rawhide
- added Japanese summary and description

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Make the subpackages require the base package (Bug #14697)
- update URL
- add fixes from the homepage

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS adjustments (release 5)

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com> 4.1.0-4
- Add giflibcvs-small2crash.patch, which changes lib/dgif_lib.c to be
  whatever is currently in the libungif CVS, thus fixing bug number 9315.

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- strip libraries
- update URL
- some specfile tweaks

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Mar 14 1999 Preston Brown <pbrown@redhat.com>
- include libungif 4.1.0 as standard library, with 3.1.0 backwards compat.

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- call libtoolize to make sure it will build on the arm

* Sat Oct 31 1998 Jeff Johnson <jbj@redhat.com>
- package for RH 5.2.

* Mon Sep 14 1998 Arne Coucheron <arneco@online.no>
  [3.1.0-3]
- major cleanups and changes to the spec file

* Mon Sep 7 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.0 (which incorporates the patches in 3.0-4)
- Updated Source: and URL: to reflect change in directories/pages.

* Tue May 26 1998 Dick Porter <dick@cymru.net>
- Fixed some "warning: cast to pointer from integer of different size" on Alpha

* Tue May 5 1998 Marc Ewing <marc@redhat.com>
- Made it obsolete giflib and provide libgif.so and giflib (previous
  giflib packages were built incorrectly and packages built against
  it require libgif.so but work fine with this package)
- cleaned buildroot
- Removed Toshio as packager so he doesn't get yelled at when Red Hat
  breaks it :-)

* Fri Apr 24 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Initial revision of libungif, a giflib derivative modified to not use LZW
  compression.
