%define pkg_version 0.7.7
%define pkg_release 1%{?_dist_release}

Summary:     Javascript binding for GNOME
Name:        gjs
Version:     %{pkg_version}
Release:     %{pkg_release}
Source0:     http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.7/%{name}-%{version}.tar.bz2
License:     MPL1.1/LGPLv2+/GPLv2+
Group:       User Interface/Desktops
URL:         http://live.gnome.org/GnomeShell

Requires(post,postun): scrollkeeper >= 0.1.4
Requires(post,pre,preun): GConf2 >= 2.14
BuildRequires: pkgconfig
BuildRequires: gtk2-devel
BuildRequires: clutter-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gnome-menus-devel
BuildRequires: libSM-devel
BuildRequires: libffi-devel
BuildRequires: GConf2-devel
BuildRequires: startup-notification-devel
BuildRequires: gnome-doc-utils
BuildRequires: desktop-file-utils
BuildRequires: xulrunner-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
GNOME Shell is the defining technology of the GNOME 3 desktop user experience. It provides core interface functions like switching to windows and launching applications. GNOME Shell takes advantage of the capabilities of modern graphics hardware and introduces innovative user interface concepts to provide a delightful and easy to use experience. 


%package devel
Summary:     Development files of the gjs library.
Group:       Development/Libraries

Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gtk-doc

%description devel
Development files of the gjs library.


%prep
%setup -q


%build
%configure --disable-static
%{__make} %{?_smp_mflags} 


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/gjs*
%{_libdir}/lib*.so.*
%{_libdir}/gjs-1.0/*
%{_datadir}/gjs-1.0/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gjs-1.0
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/doc/*


%changelog
* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.7-1
- new upstream release

* Thu Oct 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.4-1
- new upstream release
- remove BuildRequires: mutter-devel

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-1
- new upstream release
- fix typo

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5-1
- initial build for Vine Linux

