%define	helpdir	glade3

Version: 3.6.7
Release: 4%{?_dist_release}

Summary: A user interface builder for the GTK+ toolkit and GNOME
Summary(ja): GTK+ツールキット及びGNOME向けのユーザインターフェースビルダー
Name: glade3
License: GPL
Group: Applications/Development
URL: http://glade.gnome.org/
Source0: http://ftp.gnome.org/pub/GNOME/sources/glade3/3.6/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.14.0
BuildRequires: libxml2-devel >= 2.4.0 
BuildRequires: libbonoboui-devel
BuildRequires: libgnomeui-devel
BuildRequires: libSM-devel
#BuildRequires(install): desktop-file-utils
BuildRequires: gnome-doc-utils

Requires: gtk2 >= 2.14.0
Requires: libxml2 >= 2.4.0 
Requires: libbonoboui
Requires: libgnomeui
Requires: devhelp
Prereq: scrollkeeper

Vendor: Project Vine
Distribution: Vine Linux

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the Gtk+ toolkit and the GNOME desktop environment.
The user interfaces designed in Glade are stored in XML format,
enabling easy integration with external tools.
In particular libglade can load the XML files and create the interfaces
at runtime. The DTD for the XML files is included with libglade, and is
also at http://glade.gnome.org/glade-2.0.dtd.
Other tools are available which can turn the XML files into source code
in languages such as C++, Perl and Python.

%description -l ja
Gladeは、GTK+ツールキットやGNOME向けのユーザインターフェースを素早く簡単に開
発する事が可能なRADツールです。
Gladeでデザインされたユーザインターフェースは外部ツールに用意に統合可能なXML
フォーマットで保存されます。
特にlibgladeは、XMLファイルを読み込み、ランタイムにインターフェースを生成す
ることが出来ます。このXMLファイルのDTDは、libgladeに含まれており、
http://glade.gnome.org/glade-2.0.dtdにもあります。
このXMLファイルをC++、PerlやPythonといった言語のソースコードに変換する他のツー
ルも利用可能です。

%package devel
Summary:	the Glade UI Builder core library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk2-devel >= 2.12.0
Requires:	libxml2-devel >= 2.4.0 
Requires:	libbonoboui-devel
Requires:	libgnomeui-devel

%description devel
the Glade UI Builder core library to integrate Glade into your application
and integrate your custom (GTK+ based) widget toolkit into the Glade
UI Builder.

%prep
%setup -q
pushd src
## change gnome help directory
mv glade-window.c glade-window.c.orig
sed "s|GLADE_GNOMEHELPDIR, \"glade\"|GLADE_GNOMEHELPDIR, \"%{helpdir}\"|" \
	glade-window.c.orig > glade-window.c
popd


%build
%configure --disable-scrollkeeper --disable-static
%__make %{_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#desktop-file-install \
#	--vendor gnome \
#	--delete-original \
#	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
#	$RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT%{_libdir}/glade3/modules/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libgladeui-1.la

## change gnome help directory
mv $RPM_BUILD_ROOT%{_datadir}/gnome/help/glade $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{helpdir}
mv $RPM_BUILD_ROOT%{_datadir}/omf/glade $RPM_BUILD_ROOT%{_datadir}/omf/%{helpdir}
pushd $RPM_BUILD_ROOT%{_datadir}/omf/%{helpdir}
files=`ls *.omf`
for omf in $files; do
	mv $omf $omf.orig
	sed "s|help/glade/|help/%{helpdir}/|g" $omf.orig > $omf
	rm $omf.orig
done
popd
      
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update -p /var/lib/scrollkeeper -o %{_datadir}/omf/%{helpdir}
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
scrollkeeper-update > /dev/null 2>&1 || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/glade-3
%{_libdir}/libgladeui-1.so.*
%{_libdir}/glade3/modules/*.so
%{_datadir}/applications/*
%{_datadir}/glade3
%{_datadir}/gtk-doc/html/gladeui
%{_datadir}/gnome/help/%{helpdir}
%{_datadir}/icons/hicolor/*/apps/glade-3.png
%{_datadir}/icons/hicolor/scalable/apps/glade-3.svg
%{_datadir}/omf/%{helpdir}

%files	devel
%defattr(-,root,root)
%{_includedir}/libgladeui-1.0/gladeui/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgladeui-1.so

%changelog
* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.7-4
- rebuild with rpm-4.8.1 for pkg-config file
- add BuildRequires: libSM-devel

* Fri Nov 06 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.6.7-3
- add gnome-doc-utils to BR
- comment out desktop-file-install

* Tue Nov 03 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.6.7-2
- rebuild with gtk2-2.18.2

* Sat Aug 01 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.6.7-1
- new upstream release
- care ld and icon cache
- define helpdir

* Sun May 17 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6.3-1
- new upstream release
- spec in utf-8 (fixed)

* Fri May 01 2009 Shu KONNO <owa@bg.wakwak.com> 3.6.2-2
- spec in utf-8

* Sun Apr 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6.2-1
- new upstream release

* Sat Jul 26 2008 Shu KONNO <owa@bg.wakwak.com> 3.5.2-1
- new upstream version.

* Tue May 13 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.4.5-1
- new upstream version.
- update Requires.
- update description.

* Tue May 13 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.4.1-2vl5
- use macro for release

* Fri May 09 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.4.1-1vl5
- apply new virsioning policy.
- remove *.la

* Fri Jan 04 2008 Shu KONNO <owa@bg.wakwak.com> 3.4.1-0vl
- new upstream version
- added Requires: devhelp
- added Prereq: scrollkeeper
- added disable-scrollkeeper to configure
- added scrollkeeper-update in %%post and %%postun sections
- changed gnome help directory temporarily

* Sun Dec 17 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.0.3-0vl
- build for VineSeed 

