%define ver 2.4

Summary:	A C++ interface for glib library.
Summary(ja):	glib ライブラリの C++ インターフェイス
Name:		glibmm
Version:	2.25.5
Release:	1%{?_dist_release}
License:	LGPL
Group:		System Environment/Libraries
URL:		http://www.gtkmm.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glibmm/2.25/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:       glib2 >= 2.26.0
Requires:       libsigc++ >= 2.0.0
BuildRequires:	glib2-devel >= 2.26.0
BuildRequires:  libsigc++-devel >= 2.0.0
BuildRequires:  m4

%description
glibmm is a set of C++ bindings for glib, including cross-platform APIs such
as a std::string-like UTF8 string class, string utility methods, such as a
text encoding converter API, file access, and threads.

%package devel
Summary:	Development files for %{name}.
Summary(ja):	%{name} の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.26.0
Requires:       libsigc++-devel >= 2.0.0
Requires:       perl 

%description devel
This package contains the libraries, include files and other resources
needed to develop applications using %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#mkdir -p docs-to-install
#cp -pr $RPM_BUILD_ROOT%{_datadir}/doc/glibmm-%{ver}/* docs-to-install
#rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/glibmm-%{ver}

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation, put everything under gtk-doc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/glibmm-%{ver}
mv ${RPM_BUILD_ROOT}%{_docdir}/glibmm-%{ver}/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/glibmm-%{ver}/

# Fix devhelp relative path 
sed -i 's:doc/glibmm-%{ver}:gtk-doc/html/glibmm-%{ver}:g' $RPM_BUILD_ROOT%{_datadir}/devhelp/books/glibmm-%{ver}/glibmm-%{ver}.devhelp2

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libgiomm*.so.*
%{_libdir}/libglibmm*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/giomm-%{ver}
%{_libdir}/glibmm-%{ver}
#{_libdir}/libgiomm*.a
%{_libdir}/libgiomm*.so
#{_libdir}/libglibmm*.a
%{_libdir}/libglibmm*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%{_datadir}/glibmm-%{ver}
%{_datadir}/gtk-doc/html/*
%{_datadir}/devhelp/books/glibmm-%{ver}

%changelog
* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.25.5-1
- new upstream release

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.24.2-2
- build with rpm-4.8.1-1 for pkg-config file

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.2-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.0-1
- new upstream release

* Sun Sep 27 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1
- new upstream release

* Fri Mar 20 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.0-1
- new upstream release

* Fri Jan 16 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.18.1-1
- new upstream release

* Thu Oct  2 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-2
- added --disable-static option to %%configure
- Fix Source URL typo

* Mon Sep 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-1
- new upstream release
- spec in UTF-8

* Sat Jul 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.4-1vl5
- new upstream release

* Sat Apr 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.1-1vl5
- new upstream release
- devel documents are installed into gtk-doc dir

* Sun Jan 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.2-0vl1
- new upstream release

* Sun Sep 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.0-0vl1
- new upstream release

* Sun Sep 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.10-0vl2
- rebuilt for VinePlus/4.x

* Wed Aug 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.10-0vl1
- new upstream release
- rebuilt with glib-2.14.0

* Sat May 19 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.12.9-0vl2
- rebuild with new environment/toolchain.

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.9-0vl1
- new upstream release

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.8-0vl2
- rebuild with new environment/toolchain

* Sat Apr 28 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.8-0vl1
- new upstream release

* Mon Jan  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.4-0vl1
- new upstream release

* Sun Sep 24 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.1-0vl2
- new upstream release

* Sat Aug 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.0-0vl1
- new upstream release
- rebuilt with glib2-2.12.2

* Sat May 20 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.3-0vl1
- new upstream release

* Mon May 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.2-0vl1
- new upstream release

* Tue Apr 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.1-0vl1
- new upstream release

* Mon Mar 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.0-0vl1
- new upstream release

* Sat Feb  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.4-0vl1
- new upstream release

* Sat Nov 19 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-0vl1
- new upstream release

* Tue Sep 20 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.0-0vl1
- new upstream release
- added Requires: glib2-devel, libsigc++-devel to devel package

* Sat Jul 30 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.1-0vl2
- rebuild with libsigc++-2.0.15
- fixed document location in devel package

* Mon Mar 21 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.1-0vl1
- new upstream

* Sat Feb 26 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.7-0vl1
- new upstream

* Sun Nov 14 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.5-0vl1
- rebuild for Vine Linux
- added Japanese summary

* Sun Jun 20 2004 Marcin Garski <garski@poczta.onet.pl> 2.4.3-1.fc2
- Updated to version 2.4.3

* Sat Jun 05 2004 Marcin Garski <garski@poczta.onet.pl> 2.4.2-1.fc2
- Initial specfile
