%define pyver %(python -c 'import sys;print(sys.version[0:3])')

# libzvt is in Extras but not Core
%define buildzvt 0

Summary: The sources for the PyGNOME Python extension module.
Name: gnome-python
Version: 2.28.1
Release: 3%{?_dist_release}
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python/2.28/gnome-python-%{version}.tar.bz2
License: LGPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: pygtk2-devel >= 2.14.0
BuildRequires: python-devel >= 2.5
BuildRequires: pyorbit-devel >= 2.24.0
BuildRequires: pygobject-devel >= 2.17.0
BuildRequires: libbonobo-devel >= 2.24.1
BuildRequires: libbonoboui-devel >= 2.24.1
BuildRequires: libgnome-devel >= 2.26.0
BuildRequires: gnome-vfs2-devel >= 2.24.0
BuildRequires: GConf2-devel >= 2.26.0
BuildRequires: libgnomeui-devel >= 2.8.0
BuildRequires: libSM-devel
%if %{buildzvt}
BuildRequires: libzvt-devel >= 2.0.2
%endif
## needed for automake/autoconf to work right with multilib python
#BuildRequires: automake >= 1.9.6, libtool, autoconf

#Obsoletes: gnome-python-applet
Obsoletes: gnome-python-bonobo
Obsoletes: gnome-python-canvas
Obsoletes: gnome-python-gconf
#Obsoletes: gnome-python-gnomeprint
Obsoletes: gnome-python-gnomevfs
#Obsoletes: gnome-python-gtkhtml2
Obsoletes: gnome-python-nautilus
%if %{buildzvt}
Obsoletes: gnome-python-zvt
%endif

Requires: pyorbit >= 2.24.0
Requires: pygtk2 >= 2.14.1

%description
The gnome-python package contains the source packages for the Python
bindings for GNOME called PyGNOME.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package devel
Summary: Development files for building add-on libraries
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gnome-vfs2-devel >= 2.24.0
Requires: pkgconfig
Requires: python-devel >= %{pyver}

%description devel
This package contains files required to build wrappers for GNOME add-on
libraries so that they interoperate with gnome-python.

%prep
%setup -q -n gnome-python-%{version}

%build
# libtoolize --force
# aclocal && automake && autoconf
#export PYTHON=/usr/bin/python%{pyver}
#CFLAGS="$RPM_OPT_FLAGS -L/usr/lib/python%{pyver}/config" \
#	./configure --prefix=%{_prefix}
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README examples 
%{_libdir}/gnome-vfs-2.0/modules/libpythonmethod.so
%{_libdir}/python?.?/site-packages/gtk-2.0/bonobo
%{_libdir}/python?.?/site-packages/gtk-2.0/gconf.so
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome
%{_libdir}/python?.?/site-packages/gtk-2.0/gnomecanvas.so
%{_libdir}/python?.?/site-packages/gtk-2.0/gnomevfs
%if %{buildzvt}
%{_libdir}/python?.?/site-packages/gtk-2.0/zvt.so
%endif
%{_datadir}/pygtk/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gnome-python-2.0
%{_libdir}/pkgconfig/gnome-python-2.0.pc
%{_datadir}/gtk-doc/html/pygnomevfs

## old versions did not have .pyc and .pyo files in their file list
## remove them now, or bad things will now happen because of the new
## paths.  This trigger must remain until upgrading from RHL 8.0 is no 
## longer supported.
#%triggerun bonobo -- gnome-python-bonobo < 1.99.14-5
#rm -f /usr/lib/python%{pyver}/site-packages/bonobo/__init__.{pyc,pyo}

%changelog
* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-3
- rebuild with rpm-4.8.1 for pkg-config file
- add BuildRequires: libSM-devel

* Sat Jun 05 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.28.1-2
- add BuildRequires: libgnomeui-devel >= 2.8.0

* Fri Apr 09 2010 Shu KONNO <owa@bg.wakwak.com> 2.28.1-1
- new upstream release
- dropt "Obsoletes: gnome-python-gtkhtml2" (provided by gnome-python-extras)

* Tue Feb 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.28.0-2
- rebuild for python-2.6

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release

* Sun Apr 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release
- add Requires: pygtk2, pyorbit

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Sat Oct 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.3-1
- new upstream release

* Sat Jul 19 2008 Shu KONNO <owa@bg.wakwak.com> 2.22.0-2vl5
- rebuilt with python-2.5

* Wed Mar 26 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- split devel package

* Wed Jan  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1-0vl1
- new upstream release

* Sat Jul  7 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.2-0vl1
- new upstream release

* Mon May  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.4-0vl1
- new upstream release 2.12.4

* Thu Oct 13 2005 Shu KONNO <owa@bg.wakwak.com> 2.12.1-0vl1
- new upstream release 2.12.1
- obsolete all sub-packages

* Sat Jun 11 2005 Shu KONNO <owa@bg.wakwak.com> 2.10.0-0vl2
- dropped "Obsoletes: gnome-python-applet, -capplet, -nautilus,
  -gtkhtml2, -gnomeprint" because they moved to gnome-python-extras srpm

* Mon Apr 04 2005 Shu KONNO <owa@bg.wakwak.com> 2.10.0-0vl1
- new upstream release 2.10.0
- rebuilt with python 2.4.1
- dropped gnome-python-applet
- dropped gnome-python-capplet
- dropped gnome-python-nautilus
- dropped gnome-python-gtkhtml2
- dropped gnome-python-gnomeprint
  see also ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python-extras

* Mon Dec 27 2004 Kazuhisa TAKEI <takei@vinelinux.org> 2.6.2-0vl3
- fixed BuildRequires/Requires for pyorbit's version

* Mon Dec 27 2004 Kazuhisa TAKEI <takei@vinelinux.org> 2.6.2-0vl1
- new upstream release

* Thu Jun 17 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.2-0vl1
- new upstream release

* Sat Apr 17 2004 Shu KONNO <owa@bg.wakwak.com> 2.0.0-2vl2
- rebuild with python-2.3.3-0vl1

* Sat Apr 10 2004 Shu KONNO <owa@bg.wakwak.com> 2.0.0-2vl1.1
- rebuild with python-2.3.3-0vl0.3 (for TestPkg)

* Sat Jan 17 2004 Tomoya TAKA <taka@vinelinux.org> 2.0.0-2vl1
- sync with Fedora 2.0.0-2
  * Thu Oct  2 2003 Matt Wilson <msw@redhat.com> 2.0.0-2
  - fix segv in gnome.ui.About() (#104396)
- rebuild with new toolchain and pyorbit
- s/Copyright/License/

* Fri Sep 12 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.0-1vl1
- build for Vine Linux

* Thu Sep  4 2003 Jeremy Katz <katzj@redhat.com> 2.0.0-1
- 2.0.0

* Wed Aug 20 2003 Jeremy Katz <katzj@redhat.com> 1.99.16-1
- update to 1.99.16
- add gnomeprint subpackage
- don't double include the gnome-vfs module (#102074)

* Tue Aug  5 2003 Elliot Lee <sopwith@redhat.com> 1.99.14-7
- Fix libtool

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb  6 2003 Matt Wilson <msw@redhat.com> 1.99.14-5
- added a trigger to remove left-over bonobo .pyc and .pyo files (#79652)

* Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 1.99.14-4
- rebuilt against new python

* Tue Jan 28 2003 Jeremy Katz <katzj@redhat.com> 1.99.14-3
- libdir-ify

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 27 2002 Jeremy Katz <katzj@redhat.com> 1.99.14-1
- update to 1.99.14

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.99.13
- add gnomevfs subpackage

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- use %%configure

* Wed Oct 30 2002 Matt Wilson <msw@redhat.com>
- add gnome-python-2.0.pc to file list

* Wed Aug 28 2002 Matt Wilson <msw@redhat.com>
- bind gnome_client_set_*_command

* Wed Aug 28 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Aug 20 2002 Matt Wilson <msw@redhat.com>
- obsolete pygtk-applet (#69830)

* Thu Aug  1 2002 Jonathan Blandford <jrb@redhat.com>
- make the GnomeDruid's fields accessible from python

* Tue Jul 30 2002 Matt Wilson <msw@redhat.com>
- official 1.99.11 release

* Thu May 30 2002 Matt Wilson <msw@redhat.com>
- s/Gconf/GConf/

* Thu May 30 2002 Jeremy Katz <katzj@redhat.com>
- add gtkhtml2 and gconf subpackages

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- add some defattrs

* Fri May 24 2002 Matt Wilson <msw@redhat.com>
- added bonobo, nautilus subpackages.  re-enabled applet subpackage

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com>
- subpackages will need __init__ included in them

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- doesn't obsolete pygnome - it can be installed side-by-side
- added _gnomemodule.so to base package filelist

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- added __init__ files to gnome-python main package

* Mon Oct  8 2001 Matt Wilson <msw@redhat.com>
- new gnome-python package based on old pygtk package.
