Summary:        GNOME User Documentation
Summary(ja):    GNOME ユーザドキュメント
Name:           gnome-user-docs
Version:        2.32.0
Release:        3%{?_dist_release}
License:        FDL
Source:         gnome-user-docs-%{version}.tar.bz2
Source1:	gnome2-user-guide.ja.po
Group:          Applications/Documentation

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  gnome-doc-utils
BuildRequires:  gettext, pkgconfig
BuildRequires:  docbook-dtds
BuildRequires:  which
Obsoletes:      gnome-users-guide
Requires(post,postun): scrollkeeper >= 0.3.10

%description
This package contains end user documentation for the GNOME desktop 
environment.

%description -l ja
このパッケージには GNOME デスクトップ環境のエンドユーザドキュメントが
含まれています。

%package l10n
Summary: Localized documentations for %{name}
Summary(ja): %{name} の各国語ドキュメント
Group: Applications/Documentation
Requires: %{name} = %{version}

%description l10n
This package contains localized documentation for GNOME
desktop environment. (except for English and Japanese)

%description -l ja l10n
このパッケージには GNOME デスクトップ環境の各国語のエンドユーザ
ドキュメントが含まれています。(英語および日本語以外の言語)

%prep
%setup -q
cp %{SOURCE1} gnome2-user-guide/ja/ja.po

%build
%configure --disable-scrollkeeper
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean 
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 || :
exit 0

%post l10n
scrollkeeper-update > /dev/null 2>&1 || :
exit 0

%postun
scrollkeeper-update > /dev/null 2>&1 || :
exit 0

%postun l10n
scrollkeeper-update > /dev/null 2>&1 || :
exit 0

%files
%defattr(-, root, root)
%{_datadir}/gnome/help/*/C
%{_datadir}/gnome/help/*/ja
%{_datadir}/omf/*/*-C.omf
%{_datadir}/omf/*/*-ja.omf

%files l10n
%defattr(-, root, root)
%{_datadir}/gnome
%{_datadir}/omf
%exclude %{_datadir}/gnome/help/*/C
%exclude %{_datadir}/gnome/help/*/ja
%exclude %{_datadir}/omf/*/*-C.omf
%exclude %{_datadir}/omf/*/*-ja.omf


%changelog
* Sat Nov 06 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.32.0-3
- update translation of gnome2-user-guide.

* Fri Nov 05 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.32.0-2
- update translation of gnome2-user-guide.

* Tue Oct 05 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- add BuildRequires: docbook-dtds

* Sat May 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Wed Mar 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release

* Sat Nov 28 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.0-1
- new upstream release

* Wed Apr 08 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- split l10n docs to -l10n subpackage (except for C and ja)

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.2-0vl1
- new upstream release

* Wed Sep 13 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.14.2-0vl2
- change Group to Applications/Documentation. <BTS:VineLinux:163>

* Mon May 08 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.2-0vl1
- new upstream release
- added BuildRequires: gnome-doc-utils

* Wed Mar 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.1.1-0vl1
- new upstream release

* Fri Nov 26 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-0vl1
- new upstream release, dropped SOURCE2
- added Japanese summary and description

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Thu May 15 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.6-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.4-0vl1
- new upstream release
- build for Vine Linux

* Mon Dec 16 2002 Havoc Pennington <hp@redhat.com>
- add introduction-to-gnome.xml from CVS so the XML won't be broken

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 2.0.1-1
- update to 2.0.1

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0 stable release
- clean up uninstalled file warnings
- blow build root at start of install

* Mon Jun 24 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.93, should fix #67207

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Havoc Pennington <hp@redhat.com>
- prereq scrollkeeper

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- upgrade to gnome 2 docs
- clean up the spec file a bit

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild


* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Moved to red hat build system

* Thu Feb 22 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- de-uglification, and fixed the macros.

* Mon Nov 27 2000 Kenny Graunke <kwg@teleport.com>
- Initial cut
