Summary: The GNOME Volume Manager
Summary(ja): GNOME ボリュームマネージャ
Name: gnome-volume-manager
Version: 2.24.1
Release: 1%{?_dist_release}
License: GPL
Group: Applications/System

Source0: gnome-volume-manager-%{version}.tar.bz2
Source1: magicdev-wrapper
Source2: gthumb-import
Source3: gnome-cdda-handler
Source4: cdda-url-handler.schemas

Patch2: gnome-volume-manager-2.17.0-add-console-user-check.patch 
Patch3: gnome-volume-manager-2.15.0-check-screensaver.patch

# vine default
Patch10: gnome-volume-manager-1.5.14-vine.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui-devel, libglade2-devel
BuildRequires: hal-devel >= 0.5
BuildRequires: dbus-devel >= 0.60
BuildRequires: dbus-glib-devel >= 0.60
BuildRequires: libnotify-devel
BuildRequires: desktop-file-utils
BuildRequires: libSM-devel
Requires: gnome-mime-data
Requires: control-center >= 2.0
Requires: dbus >= 0.60
Requires: hal
Requires: gthumb
Requires: gnome-media
Requires(post,pre,preun): GConf2

Obsoletes: magicdev
Provides: magicdev
Obsoletes: murasaki-usb-mount

%description
The GNOME Volume Manager monitors volume-related events and responds with
user-specified policy.  The GNOME Volume Manager can automount hot-plugged
drives, automount inserted removable media, autorun programs, automatically
play audio CDs and video DVDs, and automatically import photos from a digital
camera.  The GNOME Volume Manager does this entirely in user-space and without
polling.

The GNOME Voume Manager sits at the top end of a larger picture that aims to
integrate the Linux system from the kernel on up through the desktop and its
applications.

%prep
%setup -q
%patch2 -p1 -b .add-console-user-check
#patch3 -p0 -b .screensaver
#%patch10 -p1 -b .vine

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --delete-original --vendor=gnome  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=HardwareSettings               \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-volume-properties.desktop

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/magicdev
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/gthumb-import
install -d $RPM_BUILD_ROOT%{_libexecdir}/
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_libexecdir}/gnome-cdda-handler
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/cdda-url-handler.schemas

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-volume-manager.schemas cdda-url-handler.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="gnome-volume-manager.schemas cdda-url-handler.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
  done
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="gnome-volume-manager.schemas cdda-url-handler.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
  done
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/gnome-volume-properties.desktop
%{_datadir}/gnome-volume-manager
#{_datadir}/gnome/autostart/gnome-volume-manager.desktop
%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/xdg/autostart/gnome-volume-manager.desktop
%{_libexecdir}/gnome-cdda-handler
%{_libexecdir}/gnome-volume-manager

%changelog
* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.1-1
- new upstream release
- add BuildRequires: libSM-devel
- drop Patch10

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Thu Jul 03 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.5-1vl5
- new upstream release

* Sun Apr 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release
- added %%pre and %%preun section

* Sun Jan 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-0vl1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.17.0-0vl1
- new upstream release

* Sat Oct 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.15-0vl3
- update Patch0 to add "--unique" to gnome-cd option (<BTS:294>)

* Wed Oct 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.15-0vl2
- update Patch10 to fix audio cd settings. (<BTS:236>)

* Sat Mar 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.15-0vl1
- new upstream release

* Fri Mar 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.14-0vl2
- add Patch10 to change default settings for Vine Linux

* Mon Mar 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.14-0vl1
- new upstream release

* Thu Oct 06 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.2-0vl1
- new upstream release

* Wed Jul 13 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.2-0vl2
- Obosletes murasaki-usb-mount

* Mon Jul 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.2-0vl1
- new upstream release

* Thu Mar 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-0vl1
- initial build for Vine Linux based on FC package.
- new upstream release
- drop all fc patches

* Mon Mar 07 2005 John (J5) Palmieri <johnp@redhat.com> - 1.1.3-3
- Fixed up hal-api patch

* Fri Feb 25 2005 John (J5) Palmieri <johnp@redhat.com> - 1.1.3-2
- Reenable BuildPrereq for hal-devel

* Wed Feb 23 2005 John (J5) Palmieri <johnp@redhat.com> - 1.1.3-1
- Update to upstream version
- add patch to update to the new hal-0.5.0 API
- took out locking patch as it was added upstream
- took out policy-after-explicit-mount-only patch as it was added
  upstream
- removed %{_datadir}/control-center-2.0/capplets/* glob
- added %{_datadir}/applications/gnome-volume-properties.desktop 

* Mon Oct 18 2004 John (J5) Palmieri <johnp@redhat.com> - 1.1.0-5
- Merged the photo-defaults patch with a new rh-defaults patch
- Shut off autorun by default as it is a security concern and we
  currently don't have any use for it
- Added policy-after-explicit-mount-only patch which fixes problems
  such as a user mounting a removable drive from the command line
  and a Nautilus window pops up, and two Nautilus windows popping 
  up in browser mode when a device is mounted through Nautilus.

* Fri Oct 08 2004 John (J5) Palmieri <johnp@redhat.com> - 1.1.0-4
- exclude building on s390 and s390x

* Wed Oct 06 2004 John (J5) Palmieri <johnp@redhat.com> - 1.1.0-3
- Added gnome-cdda-handler and associated schema to cause the
  cdda url handler to use the values in g-v-m's gconf key for
  audio cd's.  This causes the g-v-m selected application for 
  audio cd's to launch when double clicking on an audio cd icon
  in Nautilus.

* Thu Sep 30 2004 John (J5) Palmieri <johnp@redhat.com>
- Added patch to add the dbus-glib-lowlevel.h header

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com>
- Update to upstream version 1.1.0
- Fix requirement for gnome-cd to be the gnome-media package

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com>
- Add locking patch

* Fri Sep 17 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to upstream 1.0.2
- Readd patches I took out by accident
- Add a requirement for gthumb and gnome-cd

* Mon Sep 13 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to upstream 1.0

* Fri Sep 03 2004 John (J5) Palmieri <johnp@redhat.com>
- gthumb-import now checks to see if there is a DCIM directory
  and open up to that directory if so 

* Wed Sep 01 2004 Davidz Zeuthen <davidz@redhat.com>
- Fix a few issues to keep up with hal

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to upstream release 0.9.10
- Add gthumb-import wrapper to import photos correctly
- Add patch to set gthumb-import as the default photo importer
- Add patch to put desktop file in the X-Red-Hat-Base Catagory
- Fixes RH Bug 130866

* Fri Aug 20 2004 John (J5) Palmieri <johnp@redhat.com>
- Added Provides: magicdev to fix conflict

* Tue Aug 17 2004 David Zeuthen <davidz@redhat.com>
- Update to upstream release 0.9.9
- Apply mount-unmount patch

* Mon Jul 26 2004 Ray Strode <rstrode@redhat.com>
- Add magicdev compatibility wrapper script and obsolete magicdev.

* Thu May 27 2004 John (J5) Palmieri <johnp@redhat.com>
- Upstream CVS 

* Wed May 05 2004 John (J5) Palmieri <johnp@redhat.com>
- Made sure GConf Schemas are installed

* Tue Apr 20 2004 John (J5) Palmieri <johnp@redhat.com>
- initial packaging of 0.9.2

