Summary:        A tool to configure pointing devices
Summary(ja):    ポインティングデバイスを設定するためのツール

Name:           gpointing-device-settings
Version:        1.3.1
Release:        1%{?_dist_release}
License:        LGPLv3+
Group:          Applications/System
Url:            http://live.gnome.org/GPointingDeviceSettings

Source:         %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  GConf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  gnome-settings-daemon-devel
Requires(post): GConf2

%description
This application can be used to configure pointing devices like trackpoints
or touchpads, that are commonly used on laptops.


%package devel
Summary:        A tool to configure pointing devices
License:        LGPLv3+
Group:          Development/Libraries
Requires:       %{name} = %{version}, GConf2-devel, gtk2-devel

%description devel
This application can be used to configure pointing devices like trackpoints
or touchpads, that are commonly used on laptops.

This package contains all necessary include files and libraries needed
to develop modules for gpointing-device-settings.


%prep
%setup -q

%build
%configure --disable-static

%install
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-2.0/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
      

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
  SCHEMAS="gpointing-device-settings_gnome_settings_daemon.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule \
     %{_sysconfdir}/gconf/schemas/$S > /dev/null
  done
fi

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
SCHEMAS="gpointing-device-settings_gnome_settings_daemon.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule \
   %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
  SCHEMAS="gpointing-device-settings_gnome_settings_daemon.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule \
     %{_sysconfdir}/gconf/schemas/$S > /dev/null
  done
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING MAINTAINERS NEWS TODO
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_libdir}/gnome-settings-daemon-2.0/*.so
%{_libdir}/gnome-settings-daemon-2.0/*.gnome-settings-plugin
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gpointing-device-settings
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jun 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.1-1
- initial build for Vine Linux

