%define mono_dir %(/usr/bin/monodir)
%define _name gtk-sharp
Name: gtk-sharp2
Version: 2.12.10
Release: 4%{?_dist_release}
Summary: GTK+ bindings for Mono
Summary(ja): Mono 用 GTK+ バインディング
Group: System Environment/Libraries
License: LGPL
URL: http://gtk-sharp.sf.net
Source: http://ftp.gnome.org/pub/gnome/sources/%{_name}/2.12/%{_name}-%{version}.tar.bz2
Patch1: gtk-sharp2-vtelibs.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: mono-devel
BuildRequires: monodoc
BuildRequires: glib2-devel >= 2.12.0
BuildRequires: pango-devel
BuildRequires: atk-devel
BuildRequires: gtk2-devel >= 2.12.0
BuildRequires: libglade2-devel
BuildRequires: automake, libtool
# Mono only availible on these:
ExclusiveArch: %{ix86} x86_64 ppc ia64 armv4l sparc s390 s390x

%description
This package provides a library that allows you to build
fully native graphical GNOME applications using Mono. Gtk#
is a binding to GTK+, the cross platform user interface
toolkit used in GNOME. It includes bindings for Gtk, Atk,
Pango, Gdk, libgnome, libgnomeui and libgnomecanvas. Gtk#
2.4.x binds GTK+ 2.4.

%package gapi
Group:        Development/Languages
Summary:      Glib and GObject C source parser and C generator for the creation and maintenance of managed bindings for Mono and .NET
Requires:     perl-XML-LibXML-Common perl-XML-LibXML perl-XML-SAX

%description gapi
This package provides developer tools for the creation and
maintainance of managed bindings to native libraries which utilize
glib and GObject. Some examples of libraries currently bound using
the GAPI tools and found in Gtk# include Gtk, Atk, Pango, Gdk,
libgnome, libgnomeui and libgnomecanvas.


%prep
%setup -q -n %{_name}-%{version}

%if 0
%patch1 -p1 -b .vte 
## need to re-automake for gtk-sharp2-vtelibs.patch
aclocal-1.7
libtoolize --force
automake-1.7 --add-missing
autoconf
%endif


%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gtk-sharp /gacdir %{_prefix}/lib /root ${RPM_BUILD_ROOT}%{_prefix}/lib"

## remove unused files
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.a
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

mv $RPM_BUILD_ROOT%{mono_dir}/gtk-sharp $RPM_BUILD_ROOT%{mono_dir}/gtk-sharp-2.0


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_libdir}/libatksharpglue-2.so
%{_libdir}/libgdksharpglue-2.so
%{_libdir}/libgladesharpglue-2.so
%{_libdir}/libglibsharpglue-2.so
%{_libdir}/libgtksharpglue-2.so
%{_libdir}/libpangosharpglue-2.so
%{_libdir}/pkgconfig/*-sharp-2.0.pc
%{_libdir}/pkgconfig/gtk-dotnet-2.0.pc
%dir %{_prefix}/lib/gtk-sharp-2.0
%{mono_dir}/gac/atk-sharp
%{mono_dir}/gac/gdk-sharp
%{mono_dir}/gac/glade-sharp
%{mono_dir}/gac/glib-sharp
%{mono_dir}/gac/gtk-dotnet
%{mono_dir}/gac/gtk-sharp
%{mono_dir}/gac/pango-sharp
%{mono_dir}/gac/policy.2.10.*
%{mono_dir}/gac/policy.2.4.*
%{mono_dir}/gac/policy.2.6.*
%{mono_dir}/gac/policy.2.8.*
%{mono_dir}/gtk-sharp-2.0
%{_prefix}/lib/monodoc/sources/gtk-sharp-docs.*

%files gapi
%defattr(-,root,root,-)
%{_bindir}/gapi2-codegen
%{_bindir}/gapi2-fixup
%{_bindir}/gapi2-parser
%{_prefix}/lib/gtk-sharp-2.0/gapi-fixup.exe
%{_prefix}/lib/gtk-sharp-2.0/gapi-parser.exe
%{_prefix}/lib/gtk-sharp-2.0/gapi_codegen.exe
%{_prefix}/lib/gtk-sharp-2.0/gapi2xml.pl
%{_prefix}/lib/gtk-sharp-2.0/gapi_pp.pl
%{_libdir}/pkgconfig/gapi-2.0.pc
%{_prefix}/share/gapi-2.0

%changelog
* Fri Oct 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.12.10-4
- rebuilt with mono-2.8

* Wed Sep 22 2010 IWAI, Masaharu <iwai@alib.jp> 2.12.10-3
- build with rpm-4.8.1-1 for pkg-config file

* Wed Apr 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.10-2
- updated build dependencies

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.12.10-1
- updated gtk-sharp to 2.12.10

* Sun Dec 27 2009 Shu KONNO <owa@bg.wakwak.com> 2.12.9-2
- rebuilt with mono-2.6.1

* Wed Jul 08 2009 Shu KONNO <owa@bg.wakwak.com> 2.12.9-1
- updated gtk-sharp to 2.12.9
- built with latest rpm to update mono-dependencies

* Sun Apr 05 2009 Shu KONNO <owa@bg.wakwak.com> 2.12.8-1vl5
- updated gtk-sharp to 2.12.8

* Mon Dec 29 2008 Shu KONNO <owa@bg.wakwak.com> 2.12.5-1vl5
- updated gtk-sharp to 2.12.5

* Wed Sep 17 2008 Shu KONNO <owa@bg.wakwak.com> 2.12.3-1vl5
- updated gtk-sharp to 2.12.3
- dropt gtk-sharp2-vtelibs.patch
- built with mono-2.0

* Wed Aug 27 2008 Shu KONNO <owa@bg.wakwak.com> 2.8.2-2vl5
- applied new versioning policy, spec in utf-8
- use automake-1.7

* Sun Apr  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.8.2-1vl1
- rebuilt for Vine Linux

* Fri Mar  3 2006 Christopher Aillon <caillon@redhat.com> - 2.8.2-1
- Update to 2.8.2 to fix an issue with marshalling on x86-64

* Fri Feb 10 2006 Christopher Aillon <caillon@redhat.com> - 2.8.1-1
- Update to 2.8.1

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.8.0-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 2.8.0-1
- Update to 2.8.0

* Thu Jan 19 2006 Alexander Larsson <alexl@redhat.com> 2.4.0-3
- Mono now builds on s390x

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 2.4.0-2
- Fix vte build

* Tue Nov 15 2005 Alexander Larsson <alexl@redhat.com> - 2.4.0-1
- Initial version
