Summary: Tools for reading and writing Macintosh HFS volumes.
Summary(ja): Macintosh HFS ボリュームの読み書きを行うツール
Name: hfsutils
Version: 3.2.6  
Release: 8%{?_dist_release}
Group: Applications/System
License: GPL
Source: ftp://ftp.mars.org/pub/hfs/%{name}-%{version}.tar.gz 
Patch0: hfsutils-3.2.6-errno.patch
Patch1: hfsutils-3.2.6-largefile.patch

## Vine Source(s)/Patch(es)
Source100: hfsutils-man-ja.tar.gz
Patch100: hfsutils-3.2.6-Makefile.patch

URL: http://www.mars.org/home/rob/proj/hfs/ 
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: tcl
BuildRequires: tcl tk

%package devel
Summary: A C library for reading and writing Macintosh HFS volumes.
Summary(ja): Macintosh HFS ボリュームの読み書きを行う為の C ライブラリ
Group: Development/Libraries

%package x11
Summary: A Tk-based front end for browsing and copying files on Macintosh HFS volumes.
Summary(ja): Macintosh HFS ボリュームアクセス用 Tk フロントエンド
Group: Applications/System
Requires: tcl tk
Obsoletes: xhfs


%description
HFS (Hierarchical File System) is the native volume format found on
modern Macintosh computers.  Hfsutils provides utilities for accessing
HFS volumes from Linux and UNIX systems.  Hfsutils contains several
command-line programs which are comparable to mtools.

%description -l ja
HFS (Hierarchical File System) は Macintosh コンピュータ用の
ボリュームフォーマットです．hfsutils は Linux や UNIX から
この HFS ボリュームにアクセスする為のツールを提供します．
mtools と互換性のあるコマンドラインプログラムを含んでいます．


%description devel
The hfsutils-devel package provides a C library for low-level access
to Macintosh volumes. HFS (Hierarchical File System) is the native
volume format found on modern Macintosh computers.  The C library can
be linked with other programs to allow them to manipulate Macintosh
files in their native format.  Other HFS accessing utilities, which
are comparable to mtools, are included in the hfsutils package.

%description devel -l ja
hfsutils-devel パッケージは Macintosh ボリュームへの低レベル
アクセスの為の C ライブラリを提供します．HFS (Hierarchical
File System) は Macintosh コンピュータ用のボリュームフォーマット
です．C ライブラリはリンク可能で，いろいろなプログラムから
Macintosh ボリューム上のファイルへのアクセスが可能になります．
mtools と互換性のあるいろいろなユーティリティは hfsutils パッケージに
納められています．


%description x11
The hfsutils-x11 package includes a Tk-based front end for browsing
and copying files, and a Tcl package and interface for scriptable access
to volumes.  A C library for low-level access to volumes is included in the
hfsutils-devel package.

%description x11 -l ja
hfsutils-x11 パッケージには、Macintosh HFS ボリュームにアクセスするための
Tk ベースのフロントエンドが収録されています。


%prep
%setup -q -a 100
%patch0 -p1
%patch1 -p0


%build
%{configure} --with-tcl=%{_libdir}  --with-tk=%{_libdir}
make
make hfsck/hfsck


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
make	BINDEST=$RPM_BUILD_ROOT%{_bindir} \
	LIBDEST=$RPM_BUILD_ROOT%{_libdir} \
	INCDEST=$RPM_BUILD_ROOT%{_includedir} \
	MANDEST=$RPM_BUILD_ROOT%{_mandir} \
	install install_lib
install -m0755 hfsck/hfsck $RPM_BUILD_ROOT/%{_bindir}
ln -sf hfsck $RPM_BUILD_ROOT/%{_bindir}/fsck.hfs

# install Japanese man pages
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/ja/man1
install -m 644 hfsutils-man-ja/* ${RPM_BUILD_ROOT}%{_mandir}/ja/man1/.

gzip -9nvf ${RPM_BUILD_ROOT}%{_mandir}/man1/*
gzip -9nvf ${RPM_BUILD_ROOT}%{_mandir}/ja/man1/*

find $RPM_BUILD_ROOT -type f -or -type l | \
        sed -e "s|$RPM_BUILD_ROOT||" |
        grep -v 'xhfs' | \
        grep -v '%{_includedir}' | \
        grep -v '%{_libdir}' > hfsutils.filelist


%clean
rm -rf $RPM_BUILD_ROOT


%files -f hfsutils.filelist
%defattr(-,root,root)
%doc CHANGES COPYING COPYRIGHT CREDITS INSTALL README TODO

%files x11
%defattr(-,root,root)
%{_bindir}/xhfs
%{_mandir}/man1/xhfs.1.*
%{_mandir}/ja/man1/xhfs.1.*

%files devel
%defattr(-,root,root)
%{_libdir}/libhfs.a
%{_libdir}/librsrc.a
%{_includedir}/hfs.h
%{_includedir}/rsrc.h

%changelog
* Sun Jul 27 2008 Shu KONNO <owa@bg.wakwak.com> 3.2.6-8vl5
- applied new versioning policy and spec in utf-8

* Mon May 21 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.6-7vl3
- rebuilt with new toolchain

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.2.6-7vl2
- changed Group to Applications/System

* Thu Aug 31 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.6-7vl1
- import errno/largefile patches into 3.2.6-3vl6

* Wed Mar 2 2005 David Woodhouse <dwmw2@redhat.com> 3.2.6-7
- Rebuild with gcc 4

* Sun Feb 20 2005 David Woodhouse <dwmw2@redhat.com> 3.2.6-6
- Handle files larger than 2GiB
- Include hfsck

* Mon Feb 14 2005 David Woodhouse <dwmw2@redhat.com> 3.2.6-5
- s/Copyright:/License:/ (sic)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 3.2.6-4
- rebuilt

* Mon Apr 19 2004 David Woodhouse  <dwmw2@redhat.com> 3.2.6-3
- BuildRequires tk-devel

* Sun Apr 11 2004 David Woodhouse  <dwmw2@redhat.com> 3.2.6-2.1
- Adjust configure invocation to find tcl in %%{_libdir}

* Sun Apr 11 2004 David Woodhouse  <dwmw2@redhat.com> 3.2.6-2
- Require tcl

* Fri Apr 09 2004 David Woodhouse  <dwmw2@redhat.com> 3.2.6-1
- Fix BuildRequires, include errno.h in tclhfs.c, use %%{configure}

* Wed Oct 02 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- Anubis rebuild

* Fri Mar 30 2001 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- split xhfs into its own package

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- gzip manpages, strip binaries

* Thu Jul 15 1999 Tim Powers <timp@redhat.com>
- added %defattr
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Thu Aug 20 1998 Michael Maher <mike@redhat.com>
- built package 

