Name: hwdata
Summary: Hardware identification and configuration data
Summary(ja): ハードウエアの識別・設定情報データ
Version: 0.225
Release: 3%{?_dist_release}
License: GPL/MIT
Group: System Environment/Base
Source: %{name}-%{version}.tar.bz2
Source1: pci.ids.20090602
Patch1: %{name}-0.225-vine.patch

BuildArch: noarch
Conflicts: Xconfigurator < 4.9.42
Conflicts: kernel-pcmcia-cs
Conflicts: kudzu < 1.1.86
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
hwdata contains various hardware identification and configuration data,
such as the pci.ids database, the X.Org X11 Cards and MonitorsDb databases.

%description -l ja
hwdata には、様々なハードウエアの識別や設定情報が含まれています。
たとえば、pci.ids データベースや X.Org X11 のカードとモニターのデータ
ベースを提供しています。
以前は Xconfiguratorやkudzuがそれぞれ提供していたハードウエアに
関するデータベースをまとめたものが hwdata パッケージになります。

%prep

%setup -q
%patch1 -p1 -b .vine

cp -f %{SOURCE1} pci.ids

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE COPYING
%dir %{_datadir}/hwdata
%config(noreplace) %{_sysconfdir}/modprobe.d/blacklist.conf
%config %{_datadir}/hwdata/*

%changelog
* Sun Jun 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.225-3
- add eepro100 to blacklist again.
- update pci.ids

* Mon May 04 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.225-2
- set BuildArch to noarch again, since arch-dependent patch doesn't
  exist anymore

* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.225-1
- new upstream release
  - update {pci,usb,oui}.ids
  - rename blacklist to blacklist.conf

* Sat Mar 07 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.222-1
- new upstream release

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.146.28-1vl5
- applied new versioning policy, spec in utf-8

* Fri Dec 21 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.146.28-0vl1
- update Patch100 for ppc

* Thu Dec 20 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.27-0vl1
- update pcitable/Cards
  - use vesa for Intel GM965

* Wed Dec 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.26-0vl1
- update pcitable
  - add forcedeth-0.62 device ids
- update pcitable/Cards
  - use vesa for Radeon Xpress 1100 IGP

* Thu Nov 22 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.25-0vl1
- update pcitable
  - add sata_nv device ids (MCP61)

* Wed Nov 07 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.24-0vl1
- import 0.146.23-0vl2 changes to cvs
  * Wed Nov 07 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.146.23-0vl2
  - update Patch100 for ppc

* Wed Nov 07 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.23-0vl1
- update pcitable
  - add bnx2 driver
  - add atl1 driver

* Tue Nov 06 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.22-0vl1
- add eepro100 to blacklist (<BTS:497>)

* Tue Nov 06 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.21-0vl1
- update pcitable
  - add e1000e device ids

* Sat Nov 03 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.20-0vl1
- update pcitable
  - add more device infomation for 2.6.16-0vl76.14

* Sat Nov 03 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.19-0vl1
- update pci.ids
- update Cards and pcitables
  - add intel/radeonhd/via driver
- update MonitorsDB

* Thu Dec 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.18-0vl1
- update pci.ids
  - long device information may cause kudzu/pciutils crash
    (this should be fixed in pci.ids handling codes)
- update MonitorsDB
  - add some Sony displays
- update blacklist
  - add ivtv

* Thu Nov 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.17-0vl1
- update pcitable
  - fix LSILogic Fusion MPT device entries

* Mon Nov 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.16-0vl1
- update pcitable and Cards
  - update NVIDIA GeForce/Quadro entries

* Sun Oct 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.15-0vl1
- update blacklist
  - add r8169 (We prefer r1000 driver)

* Fri Oct 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.14-0vl1
- update pcitable
  - add new pciids for e1000, e100, sky2, skge, tg3, 8139too, cciss

* Wed Oct 25 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.13-0vl1
- update Cards
  - fix typo
  - disable DDC for Intel 8xx/9xx by default.

* Wed Oct 25 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.12-0vl1
- update MonitorsDB
  - add Toshiba dynabook SS S30 monitor
- update Cards
  - add Option "DDC" "off" for Intel 945

* Sat Oct 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.11-0vl1
- update pcitable
  - use megaraid instead of megaraid_mbox for some older cards
  - use r1000 for Realtek Gigabit ethernet cards

* Mon Oct 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.10-0vl1
- update MonitoreDB (<BTS:244>)
  - add Iiyama monitors
- update inf2mondb.py from upstream

* Sat Oct 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.9-0vl1
- update MonitorsDB (<BTS:244>)
  - add Sharp monitors
  - add TOTOKU monitors

* Sat Sep 30 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.146.8-0vl2
- update Patch100 for ppc

* Sat Sep 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.8-0vl1
- update hwdata to add radeon pciids (X700,X800,X850,XPRESS200..)

* Sat Sep 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.7-0vl1
- update MonitorsDB
- update pcitable to add newer devices for r8169

* Thu Sep 14 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.146.6-0vl2
- modify Patch100 for ppc (place Apple monitors first on ppc)

* Sat Sep 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.6-0vl1
- update MonitorsDB

* Sat Sep 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.5-0vl1
- update pcitable, Cards

* Fri Sep 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.4-0vl1
- update pci.ids
- update pcitable to add newer GeForce cards.

* Wed Sep 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.3-0vl1
- add more Generic LCD Panels to MonitorsDB

* Sat Sep 02 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.146.2-0vl2
- reorder Apple displays for convenience

* Sat Sep 02 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.146.2-0vl1
- now the rpm is not noarch
- add Patch100 for ppc (most ati/radeon neees UseFBDev)

* Sun Aug 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146.1-0vl1
- move blacklist to /etc/modprobe.d
- TODO: change versioning scheme before 4.0 release.

* Sun Aug 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.146-0vl1
- hwdata is now maintained on vinelinux.org cvs.
  - update for new kudzu
  - merge changes from RHEL package.
  - update blacklist, MonitorsDB, pcitable

* Mon Sep 12 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl15
- update pcitable

* Mon Sep  5 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl14
- update pcitable for new sk98lin driver

* Sat Sep  3 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl13
- update pcitable

* Thu Sep  1 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl12
- update pcitable

* Wed Aug 31 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl11
- update pcitable, Cards
  - add 915GM/945G to use i810 driver
  - add more tg3 entries

* Tue Aug 23 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl10
- update pcitable

* Mon Aug 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl9
- update Cards, pcitable, pci.ids

* Thu Aug 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl8
- update MonitorsDB

* Fri Aug 12 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl7
- update Cards, pci.ids, pcitable, MonitorsDB
  (TODO: update upgradelist for kernel-2.6)

* Wed Jan 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl6
- update Cards and pcitable for XOrg-6.8.1

* Wed Jan 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl5
- update pcitable to fix typo (via82cxx_audio -> via82cxxx_audio)
- add more Apple displays to MonitorsDB

* Thu Oct 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl4
- update pcitable to add new broadcom tg3 cards and ati radeon cards.

* Sun Aug 01 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl3
- update pcitable/Cards to add VIA CLE266/VT7205
- update pci.ids

* Tue Jul 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl2
- small update vine patch

* Tue Jul 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.123-0vl1
- merged with new upstream
- update vine patch

* Thu May  6 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.118-0vl1
- merged with new upstream release
- update vine patch
- TODO: libata driver should be added in pcitable

* Sun Feb 22 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.107-0vl1
- merged with new upstream release

* Tue Nov  5 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.47-1vl2
- oops, Vine specific patches are not applied..

* Tue Nov  5 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.47-1vl1
- initial package for Vine Linux.
- add Patch0-4 to sync with Vine Linux's pci/card/monitor database.
- see also Xconfigurator/kudzu package for past changelogs.

* Thu Sep  5 2002 Bill Nottingham <notting@redhat.com> 0.47-1
- pci.ids updates
- add msw's wireless card

* Tue Sep  3 2002 Jeremy Katz <katzj@redhat.com> 0.46-1
- Card entries in pcitable need matching in Cards

* Sun Sep  1 2002 Mike A. Harris <mharris@redhat.com> 0.45-1
- Update G450 entry in Cards

* Tue Aug 13 2002 Bill Nottingham <notting@redhat.com> 0.44-1
- fix some of the Dell entries
- add cardbus controller id (#71198)
- add audigy mapping
- add NEC monitor (#71320)

* Tue Aug 13 2002 Preston Brown <pbrown@redhat.com> 0.43-1
- pci.id for SMC wireless PCI card (#67346)

* Sat Aug 10 2002 Mike A. Harris <mharris@redhat.com> 0.42-1
- Change default driver for old S3 based "Miro" card for bug (#70743)

* Fri Aug  9 2002 Preston Brown <pbrown@redhat.com> 0.41-1
- fix tabs in pci.ids
- Change pci ids for the PowerEdge 4 series again...

* Tue Aug  6 2002 Preston Brown <pbrown@redhat.com> 0.39-1
- Dell PERC and SCSI pci.id additions

* Tue Aug  6 2002 Mike A. Harris <mharris@redhat.com> 0.38-1
- Removed and/or invalid entries from Cards database BLOCKER (#70802)

* Mon Aug  5 2002 Mike A. Harris <mharris@redhat.com> 0.37-1
- Changed Matrox G450 driver default options to fix bug (#66697)
- Corrected S3 Trio64V2 bug in Cards file (#66492)

* Tue Jul 30 2002 Bill Nottingham <notting@redhat.com> 0.36-1
- tweaks for Dell Remote Assisstant cards (#60376)

* Thu Jul 26 2002 Mike A. Harris <mharris@redhat.com> 0.35-1
- Updated Cards db for CT69000
- Various ATI cleanups and additions to Cards and pcitable
- Updated S3 Trio3D to default to "vesa" driver (#59956)

* Tue Jul 23 2002 Bill Nottingham <notting@redhat.com> 0.33-1
- Eizo monitor updates (#56080, <triad@df.lth.se>)
- pci.ids updates, corresponding pcitable updates
- pcilint for pcitable 

* Fri Jun 28 2002 Bill Nottingham <notting@redhat.com> 0.32-1
- switch de4x5 back to tulip

* Mon Jun 24 2002 Mike A. Harris <mharris@redhat.com> 0.31-1
- Modified ATI entries in pcitable to be able to autodetect the FireGL 8700
  and FireGL 8800 which both have the same ID, but different subdevice ID's.
  Added entries to Cards database for the 8700/8800 as well.

* Tue May 28 2002 Mike A. Harris <mharris@redhat.com> 0.30-1
- Reconfigured Cards database to default to XFree86 4.x for ALL video
  hardware, since 3.3.6 support is being removed.  Video cards not
  supported natively by 4.x will be changed to use the vesa or vga
  driver, or completely removed as unsupported.

* Tue Apr 17 2002 Michael Fulbright <msf@redhat.com> 0.14-1
- another megaraid variant

* Mon Apr 15 2002 Michael Fulbright <msf@redhat.com> 0.13-1
- fix monitor entry for Dell 1600X Laptop Display Panel

* Fri Apr 12 2002 Bill Nottingham <notting@redhat.com> 0.13-1
- more aacraid

* Tue Apr  9 2002 Bill Nottingham <notting@redhat.com> 0.12-1
- another 3ware, another megaraid

* Fri Apr  5 2002 Mike A. Harris <mharris@redhat.com> 0.11-1
- Added commented out line for some Radeon 7500 cards to Cards database.

* Tue Apr  2 2002 Mike A. Harris <mharris@redhat.com> 0.10-1
- Fixed i830 entry to use driver "i810" not "i830" which doesn't exist

* Mon Apr  1 2002 Bill Nottingham <notting@redhat.com> 0.9-1
- fix rebuild (#62459)
- SuperSavage ids (#62101)
- updates from pci.ids

* Mon Mar 18 2002 Bill Nottingham <notting@redhat.com> 0.8-2
- fix errant space (#61363)

* Thu Mar 14 2002 Bill Nottingham <notting@redhat.com> 0.8-1
- nVidia updates

* Wed Mar 13 2002 Bill Nottingham <notting@redhat.com> 0.7-1
- lots of pcitable updates

* Tue Mar  5 2002 Mike A. Harris <mharris@redhat.com> 0.6-1
- Updated Cards database

* Mon Mar  4 2002 Mike A. Harris <mharris@redhat.com> 0.5-1
- Built new package with updated database files for rawhide.

* Fri Feb 22 2002 Bill Nottingham <notting@redhat.com> 0.3-1
- return of XFree86-3.3.x

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com> 0.1-1
- initial build
