%define name	irqbalance
%define version	0.55
%define release	1%{?_dist_release}

Summary:	Daemon to balance irq's across multiple CPUs/Cores.
Summary(ja):	複数の CPU 間で IRQ をバランスさせるためのデーモン
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:        GPL/OSL
Group:		System Environment/Base
URL:            http://www.irqbalance.org/
Source0:        %{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-%{version}-svn19.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	glib2-devel

%description
Daemon to balance irq's across multiple CPUs on systems with
the 2.4 or 2.6 kernel. Only useful on SMP systems.

%prep
%setup -q
%patch0 -p1

%build
%__make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install irqbalance $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig}
install %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/irqbalance
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/irqbalance
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install irqbalance.1 %{buildroot}%{_mandir}/man1/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add irqbalance
/sbin/service irqbalance condrestart

%preun
if [ $1 = 0 ]; then
    /sbin/service irqbalance stop > /dev/null 2>&1
    /sbin/chkconfig --del irqbalance
fi


%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%{_sbindir}/*
%{_mandir}/*/*



%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.55-1vl5
- applied new versioning policy, spec in utf-8

* Sun Dec 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.55-0vl1
- update to irqbalance 0.55 from www.irqbalance.org
- add patch0 from svn trunk(rev.19)

* Sat Dec 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.13-0vl2
- update irqbalance.init
  - do not start irqbalance on non-SMP system.
  - do not "killproc" if irqbalance is not running.

* Thu Nov 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.13-0vl1
- new upstream release
- change Group to System Environment/Base
- add manpage

* Mon Jan 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.12-0vl1
- new upstream release

* Sun Aug 29 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.09-0vl1
- initial build for Vine Linux

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.09-1mdk
- 0.09

* Tue Sep 09 2003 Marcel Pol <mpol@gmx.net> 0.06-1mdk
- initial mandrake contrib
Patch2: irqbalance-norebalance-zeroints.patch
Patch3: irqbalance-classes.patch
Patch4: irqbalance-oneshot.patch
