%define name	isomaster
%define version	1.3.5
%define release	1%{?_dist_release}

Summary:	An easy to use graphical CD image editor
Summary(ja): 	使いやすい GUI の CD イメージエディタ 
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	isomaster-ja.po
#Source2:	isomaster-ja.mo
Source3:	isomaster.desktop.vine
Patch1:		isomaster-1.3.5-optflags.patch
License:	GPL
Group:		Applications/Accessories
URL:		http://littlesvr.ca/isomaster/

BuildRequires:	gtk2-devel, gettext
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka

%description
ISO Master is an open-source, easy to use, graphical CD image
editor for Linux and BSD. Basically you can use this program
to extract files from an ISO, add files to an ISO, and create
bootable ISOs - all in a graphical user interface. It can 
open ISO, NRG, and some MDF files but can only save as ISO.

%description -l ja
ISO Masgete は Linux と BSD 向けのオープンソースで使いやすい
グラフィカルな CD イメージエディタです。


%prep
%setup -q
%patch1 -p1 -b .optflags

%build
make PREFIX=%{_prefix} OPTFLAGS="%{optflags}"


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix}

%{__mkdir} -p ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES
msgfmt %{SOURCE1} -o ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES/isomaster.mo
%{__cp} -f %{SOURCE3} ${RPM_BUILD_ROOT}/%{_datadir}/applications/isomaster.desktop

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGELOG.TXT CREDITS.TXT LICENCE.TXT README.TXT TODO.TXT
%{_bindir}/isomaster
%{_datadir}/isomaster
%{_datadir}/applications/isomaster.desktop
%{_mandir}/man1/isomaster.1*

%changelog
* Sun May 24 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3.5-1
- new upstream release
- update Patch1 (isomaster-1.3.5-optflags.patch)
- update Source1 (japanese message catalog)
- update Source3 (isomaster.desktop.vine)
- update japanese description
- drop Source2 and compile message catalog at %%install section

* Sun Sep 28 2008 Shu KONNO <owa@bg.wakwak.com> 1.0-1vl5
- applied new versioning policy, spec in utf-8

* Mon Jul 16 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0-0vl1
- initial build for Vine Linux.
