Summary: Microcode for the Intel PRO/Wireless 3945 Driver
Summary(ja): Intel PRO/Wireless 3945 ドライバ用マイクロコード
Name: iwlwifi-3945-ucode
Version: 15.28.2.8
Release: 1%{?_dist_release}
License: distributable, no modification permitted
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/?p=iwlwifi
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
Source1: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-15.28.1.8.tgz
Source2: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-2.14.4.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-3945.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 3945ABG
Network Connection Adapter driver for Linux (iwlwifi) to be able to
operate on your system.

On adapter initialization, and at varying times during the uptime of 
the adapter, the microcode is loaded into the RAM on the network 
adapter.  The microcode provides the low level MAC features including 
radio control and high precision timing events (backoff, transmit, 
etc.) while also providing varying levels of packet filtering which can 
be used to keep the host from having to handle packets that are not of 
interest given the current operating mode of the device.

%prep
%setup -q -a 1 -a 2

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p -m0644 *.ucode %{buildroot}/lib/firmware/
install -p -m0644 */*.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE* README*
/lib/firmware/*

%changelog
* Tue Dec 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 15.28.2.8-1
- new upstream release
- add 15.28.2.8 (iwlwifi-3945-2.ucode)
- add 15.28.1.8 (iwlwifi-3945-1.ucode)
- keep 2.14.1.5 (iwlwifi-3945.ucode)

* Fri May 16 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1.5-1
- initial build for Vine Linux

* Tue Jul 31 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.1.5-4
- Update to 2.14.1.5.

* Thu Jun 28 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.4-3
- Update to 2.14.4.

* Mon May 28 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.3-1
- Update to 2.14.3.

* Tue Feb 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.1-1
- Initial build.
