%define name jam
%define version 2.5
%define release 1%{?_dist_release}

Summary: Program construction tool, similar to make
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.perforce.com/pub/jam/%{name}-%{version}.tar
License: Distributable
Group: Development/Tools
URL: http://www.perforce.com/jam/jam.html

#Requires: byacc
BuildRequires: byacc
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Jam is a program construction tool, like make.

Jam recursively builds target files from source files,
using dependency information and updating actions expressed in
the Jambase file, which is written in jam's own interpreted
language.  The default Jambase is compiled into jam and
provides a boilerplate for common use, relying on a user-provide
file "Jamfile" to enumerate actual targets and sources.

The Jambase is described in the Jambase
Reference and the document Using Jamfiles and Jambase.

# '

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS" CCFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{_bindir}
install -m0755 bin.linux*/jam ${RPM_BUILD_ROOT}/%{_bindir}
install -m0755 bin.linux*/mkjambase ${RPM_BUILD_ROOT}/%{_bindir}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README RELNOTES *.html
%{_bindir}/jam
%{_bindir}/mkjambase

%changelog
* Sun Sep 28 2008 Shu KONNO <owa@bg.wakwak.com> 2.5-1vl5
- applied new versioning policy

* Mon Sep 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.5-0vl2
- rebuild for VineSeed

* Mon Sep 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.5-0vl1
- initial build for Vine Linux 4.1

* Fri Jun 24 2005 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.5-0vlmp1
- initial build for Vine Linux 3.2

# end of file
