%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Name:        jasper
Version:     1.900.1
Release:     7%{?_dist_release}
Summary:     implementation of the JPEG-2000 standard, Part 1
URL:         http://www.ece.uvic.ca/~mdadams/jasper/
License:     Modified BSD (see LICENSE)
Group:       System Environment/Libraries
Source:      %{name}-%{version}.zip
# Security fixes
Patch100:    jasper-1.900.1_CVE-2007-2721.patch

BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildRequires: libjpeg-devel unzip
BuildRequires: freeglut-devel
Requires:    %{name}-libs = %{version}-%{release}


Vendor:       Project Vine
Distribution: Vine Linux

%description
JasPer is a collection of software (i.e., a library and application 
programs) for the coding and manipulation of images.  This software 
can handle image data in a variety of formats.  One such format 
supported by JasPer is the JPEG-2000 format defined in ISO/IEC 15444-1.

%package devel
Summary:     Include Files and Documentation for jasper
Group:       Development/Libraries
Requires:    %{name}-libs = %{version}-%{release}
Requires:    libjpeg-devel

%description devel
This package contains libjasper, a library implementing the JPEG-2000
image compression standard Part 1.

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries

%description libs
This package contains runtime libraries for JasPer.

# compat32
%package -n compat32-%{name}-devel
Summary:     Include Files and Documentation for jasper
Group:       Development/Libraries
Requires:    %{name}-libs = %{version}-%{release}
Requires:    compat32-libjpeg-devel

%description -n compat32-%{name}-devel
This package contains libjasper, a library implementing the JPEG-2000
image compression standard Part 1.

%package -n compat32-%{name}-libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries

%description -n compat32-%{name}-libs
This package contains runtime libraries for JasPer.


%prep
%setup -T -c %{name}-%{version}
cd ..
unzip %{SOURCE0}
cd %{name}-%{version}

# security fixes
%patch100 -p1 -b .CVE-2007-2721

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} \
            --enable-shared --disable-static
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove .la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post -n compat32-%{name}-libs -p /sbin/ldconfig

%postun -n compat32-%{name}-libs -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog INSTALL LICENSE NEWS README doc
%{_bindir}/*
%{_mandir}/man1/*

%files libs
%defattr(-,root,root)
%{_libdir}/libjasper*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/jasper
%{_libdir}/libjasper*.so

# compat32
%if %{build_compat32}
%files -n compat32-%{name}-libs
%defattr(-,root,root)
%{_libdir}/libjasper*.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/libjasper*.so
%endif

%changelog
* Sat May 02 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.900.1-7
- added compat32 subpackage for x86_64 arch support.

* Sat Sep 06 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.900.1-6
- splited out runtime library to sub package
- enable opengl again, add BuildRequires: freeglut-devel

* Wed Jun 25 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.900.1-5
- remove .la
- add --disable-static to configure option

* Sun Jun 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.900.1-0vl4
- added Patch0 from VinePlus/4.0
  * Thu Jun 21 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.900.1-0vl2.1
  - add patch100 for fix CVE-2007-2721
  - add Vendor/Distributin Tag

* Fri May 25 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.900.1-0vl3
- remove BuildPrereq: freeglut-devel and Requires freeglut
- add --disable-opengl to configure option

* Fri Mar 16 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.900.1-0vl2
- add BuildPreReq: unzip (used in the %%pre section)

* Thu Mar 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.900.1-0vl1
- new upstream release

* Tue Jan 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.900.0-0vl1
- new upstream release
- changed Group to System Environment/Libraries
- added --mandir=%{_mandir}
- added %post and %postun section

* Thu Sep 07 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.701.0-0vl3
- added --libdir=%{_libdir} configure option

* Tue Sep  5 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.701.0-0vl2
- build with freeglut
- change BuildPrereq and Requires

* Tue Dec 14 2004 Satoshi MACHINO <machino@vinelinux.org> 1.701.0-0vl1
- new upstream version (jasper-1.701.0)

* Sat Nov 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.700.5-0vl2
- rebuild for VineSeedPlus

* Sat Nov 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.700.5-0vl1
- source upgrade
- change spec to build for VineLinux

* Fri Oct 25 2002 Alexander D. Karaivanov <adk@medical-insight.com>
- spec file created
