Name      : jfsutils
Version   : 1.1.14
Release   : 1%{?_dist_release}
Group     : Applications/Administration
Packager  : kenta

Summary    : IBM JFS utility programs
Summary(ja): IBMが開発したJournaled File System (JFS) 用ユーティリティ群

License   : GPL
URL       : http://jfs.sourceforge.net/

Buildroot : %{_tmppath}/%{name}-%{version}
Source    : http://jfs.sourceforge.net/project/pub/%{name}-%{version}.tar.gz

BuildPreReq: e2fsprogs-devel

%description
Utilities for managing IBM's Journaled File System (JFS) under Linux.  The
following utilities are available: jfs_fsck - initiate replay of the JFS
transaction log, and check and repair a JFS formatted device. jfs_fscklog -
extract a log from the JFS fsck workspace into a file and/or display it.
jfs_logdump - dump a JFS formatted device's journal log. jfs_mkfs - create
a JFS formatted partition. jfs_tune - adjust tunable parameters of the JFS
file system. jfs_debugfs - shell-type JFS file system editor.

%description -l ja
jfsutils は IBM が開発した Linux版 Journaled File System (JFS) の管理ユー
ティリティ群であり、次のユーティリティが含まれています。
jfs_fsck: JFSのトランザクション・ログのリプレイを初期化し、JFSフォーマット
          のデバイスのチェックや修復を行います。
jfs_fscklog: jfs_fsck の作業領域からログを抽出し、ファイルや画面に出力します。
jfs_logdump: JFSフォーマットのデバイスからジャーナル・ログをダンプします。
jfs_mkfs: JFSフォーマットのパーティションを作成します。
jfs_tune: JFSフォーマットのファイルシステムに関するいくつかのパラメータを
          調整することが出来ます。
jfs_debugfs: 対話型の JFS用ファイルシステム・エディタです。


%prep
%setup -q

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --mandir=%{_mandir}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%{_syssbindir}/*
%{_mandir}/*/*

%changelog
* Sat May 30 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.14-1
- new upstream release

* Tue Jul 22 2008 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.13-1
- new upstream release
- spec in UTF-8
- new versioning policy

* Sun Oct 07 2007 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.12-0vl1
- new upstream release

* Thu Nov 23 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.11-0vl2
- add Japanese Summaries and descriptions

* Fri Sep 22 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.11-0vl1
- new upstream release

* Fri Mar 10 2006 NAKAMURA Kenta <kenta@c.csce.kyushu-u.ac.jp> 1.1.10-1vl1
- initial release
