%define rel 20100315
%define jman 0.5.%{rel}

Summary: Japanese manual pages
Summary(ja): 日本語マニュアル・ページ集
Name: jman_pages
Version: %{jman}
Release: 1%{?_dist_release}
Source0: http://www.linux.or.jp/JM/man-pages-ja-%{rel}.tar.gz
Source1: installman.sh.vine
License: distributable
Group: Applications/Documentation
URL: http://www.linux.or.jp/JM/
Obsoletes: xjman_pages
Requires: man
BuildArch: noarch
BuildRequires: man gzip perl
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, inagaki

%description
Japanese Manual Pages by JM-Project (Japanese Manual Project)
See http://www.linux.or.jp/JM/ for detail.

  Section 1 = User Commands
  Section 2 = System Calls and error numbers
  Section 3 = Functions in the C libraries
  Section 4 = Device drivers (special Files) (ex. hd, sd)
  Section 5 = File Formats
  Section 6 = Games and other diversions
  Section 7 = Miscellaneous topics (ex. nroff, ascii)
  Section 8 = System maintenance and operation commands

Sometimes the content can differ from Texinfo manual or roff manual
in English. So if unsure reading Japanese manual, please see
%{_defaultdocdir}/%{name}-%{version}/translation_list/ and try other formats.


%description -l ja
JM-Project (Japanese Manual Project) による, 日本語マニュアル・ページです. 
JM-Projectについては, http://www.linux.or.jp/JM/ を御覧ください. 

各章の構成は英語版と同じく以下のようになっています。

  第 1 章 = ユーザーコマンド
  第 2 章 = システムコール
  第 3 章 = C 言語ライブラリ
  第 4 章 = スペシャルファイル (例: hd, sd)
  第 5 章 = ファイルフォーマットとプロトコル (例: wtmp, /etc/passwd, nfs)
  第 6 章 = ゲーム
  第 7 章 = 約束事, マクロパッケージなど (例: nroff, ascii)
  第 8 章 = システム管理

なお、日本語版マニュアルが、英語版マニュアルや Texinfo 形式のマニュアルに
追従できていない場合があります。

%{_defaultdocdir}/%{name}-%{version}/translation_list/ 以下にインストールされる翻訳
進行状況リストを見て、適宜他の形式のマニュアルの原文に当たってください。


%prep
%setup -q -n man-pages-ja-%{rel}
cp %{SOURCE1} installman.sh

%build
### convert encodings ###
pushd manual
for i in */man?/* ; do
    mv $i $i.tmp
    iconv -f euc-jp -t utf-8 $i.tmp -o $i
    rm $i.tmp
done
popd

%install
rm -rf $RPM_BUILD_ROOT

### install jman pages ###
make DESTDIR=$RPM_BUILD_ROOT install

### copy translation_lists for installation ###
rm -rf translation_list
mkdir -p translation_list
pushd manual
for i in */translation_list ; do
    j=`echo $i | cut -d/ -f1`
    cp -p $i ../translation_list/$j
done
popd

# remove conflict files
# shadow-utils, cdparanoia, man
for i in \
   man1/chage.1 man1/gpasswd.1 man1/newgrp.1 \
   man1/sg.1 man5/faillog.5 man5/login.defs.5 \
   man5/shadow.5 man8/adduser.8 man8/chpasswd.8 \
   man8/faillog.8 man8/groupadd.8 man8/groupdel.8 \
   man8/groupmod.8 man8/grpck.8 man8/grpconv.8 \
   man8/grpunconv.8 man8/lastlog.8 man8/newusers.8 \
   man8/pwck.8 man8/pwconv.8 man8/pwunconv.8 \
   man8/useradd.8 man8/userdel.8 man8/usermod.8 \
   man8/vipw.8 man8/vigr.8 \
   man1/cdparanoia.1 \
   man1/apropos.1 man1/man.1 man1/whatis.1
do
  rm $RPM_BUILD_ROOT%{_mandir}/ja/$i*
done

### make database ###
# copy makewhatis to exec by a non-root user
sed 's@/var/cache/man/whatis@%{buildroot}/usr/share/man/ja/whatis@g' \
	< /usr/sbin/makewhatis > makewhatis
sh ./makewhatis $RPM_BUILD_ROOT%{_mandir}/ja/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README translation_list
%{_mandir}/ja

%changelog
* Tue Apr 13 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.20100315-1
- remove conflict files (vipw.8,vigr.8)
- change version numbering

* Sat Apr  3 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20100315
- source as of 20100315
- updated SOURCE1
- converted encodings to UTF-8

* Sun Jul 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5-20090715vl5
- source as of 20090715
- move jman to %%{_mandir}/ja
- remove conflict files

* Sat Oct 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20081015vl5
- source as of 20081015

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.5-20080315vl5
- applied new versioning policy, spec in utf-8

* Sun Mar 16 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20080315vl1
- source as of 20080315

* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20070815vl1
- source as of 20070815

* Thu Oct 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20061015vl1
- source as of 20061015

* Wed Sep 13 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5-20060715vl2
- change Group to Applications/Documentation. <BTS:VineLinux:163>

* Wed Jul 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20060715vl1
- source as of 20060715

* Mon Jan 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20060115vl1
- source as of 20060115

* Mon Sep 19 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20050915vl1
- source as of 20050915

* Wed Jun 15 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20050615vl1
- source as of 20050615

* Wed Feb 16 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20050215vl1
- source as of 20050215

* Fri Sep 17 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20040915vl1
- source as of 20040915
- add BuildRequires: gzip, perl

* Wed Jun 16 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20040615vl1
- source as of 20040615

* Wed May 12 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20040415vl1
- source as of 20040415

* Sun Dec 21 2003 IWAI, Masaharu <iwai@alib.jp> 0.5-20031215vl1
- source as of 20031215
- add crontab-0days.patch (Patch0)

* Wed Oct 15 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20031015vl1
- source as of 20031015

* Wed Apr 16 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20030415vl1
- source as of 20030415

* Tue Feb 18 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20030217vl1
- source as of 20030217

* Thu Sep 22 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20020915vl1
- source as of 20020915
- add translation_list to %doc
- updated description

* Thu Sep 05 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20020828vl1
- source as of 20020828

* Fri May 31 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-20020515vl1
- source as of 20020515

* Tue Jan 15 2002 Toru Sagami <sagami@vinelinux.org> 0.5-20020115vl1
- source as of 20020115

* Sat Nov 17 2001 Toru Sagami <sagami@vinelinux.org>
- 0.5-20011215

* Sat Nov 17 2001 Toru Sagami <sagami@vinelinux.org>
- 0.5-20011115: a bit modified to fit with current makewhatis

* Fri Aug 17 2001 <sagami@vinelinux.org>
- 0.5-20010815

* Sun Jul 15 2001 <sagami@vinelinux.org>
- 0.5-20010715

* Tue Apr 17 2001 sagami@vinelinux.org
- 0.5-20010415

* Tue Sep  5 2000 Jun Nishii <jun@vinelinux.org>
- 0.5-20000815

* Thu Jul 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added makewhatis patch.

* Wed Jul 13 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 20000615.
- added configure patch to create install script easily.
- move man directory from /usr/share/man  to /usr/share/jman.

* Tue Apr 18 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 20000415.
- move man directory from ja_JP.ujis to ja.

* Wed Mar 17 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- renew the installman.sh

* Wed Mar 15 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- build man-20000315

* Mon Dec 20 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
- build man-19991215
- Modified installman.sh, and %install to enable you to rebuild.

* Wed Nov 11 1999 Jun Nishii <jun@flatout.org>
- build man-991015
- remove xjman (merged to XFree86)

* Mon Sep 27 1999 Jun Nishii <jun@flatout.org>
- build with good-whatis

* Fri Apr 23 1999 Jun Nishii <jun@flatout.org>
- added bug fixed man pages
- move to /usr/share/man

* Thu Mar 4 1999 Jun Nishii <jun@flatout.org>
- added a message in summary, take a little time for installation

* Thu Mar 4 1999 Jun Nishii <jun@flatout.org>
- merged some bug fixed manuals
- added rpm.8 rpm2cpio.8 (thanks Mr.Kanda)

* Sat Jan 2 1999 Jun Nishii <jun@flatout.org>
- updated to 0.4

* Wed Nov 11 1998 Jun Nishii <jun@flatout.org>
- use -p for makewhatis

* Tue Oct 06 1998 Jun Nishii <jun@flatout.org>
- first release

