Summary: Internet whois/nicname client.
Summary(ja): whois クライアント
Name: jwhois
Version: 4.0
Release: 2%{?_dist_release}
URL: http://www.gnu.org/software/jwhois/
Source: ftp://ftp.gnu.org/gnu/jwhois/jwhois-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/jwhois/jwhois-%{version}.tar.gz.sig

# newest jwhois.conf can be obtained from:
# http://savannah.gnu.org/cgi-bin/viewcvs/jwhois/jwhois/example/jwhois.conf
Source10: jwhois.conf

Patch0: jwhois-4.0-connect.patch
Patch1: jwhois-4.0-ipv6match.patch

License: GPL
Group: Applications/Internet
Buildroot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: fwhois, whois
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
A whois client that accepts both traditional and finger-style queries.


%prep
%setup -q
%patch0 -p1 -b .connect
%patch1 -p1 -b .ipv6match

%build
%configure --without-cache
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
%makeinstall

# Force compression of the info page so that the %%post knows its name.
#gzip $RPM_BUILD_ROOT/%{_infodir}/*.info*
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
%find_lang jwhois

# Make "whois" jwhois.
ln -sf jwhois $RPM_BUILD_ROOT/%{_bindir}/whois
echo .so man1/jwhois.1 > $RPM_BUILD_ROOT/%{_mandir}/man1/whois.1

# install newest jwhois.conf
install -m 644 %{SOURCE10} ${RPM_BUILD_ROOT}/etc/jwhois.conf


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/*/man1/jwhois.1*
%{_infodir}/jwhois.info.gz
%config(noreplace) %{_sysconfdir}/jwhois.conf


%post
/sbin/install-info %{_infodir}/jwhois.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/jwhois.info.gz %{_infodir}/dir
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT


%changelog
* Sun May 17 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.0-2
- spec in UTF-8

* Mon Apr 21 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0-1
- update jwhois.conf from cvs head
- add patch[01] from fedora development
  - Fix matching of cidr-ipv6 network addressed (patch1)
  - Fix connections to IPv4 servers (patch0)

* Wed Oct 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.0-0vl1
- new upstream release
- added Japanese summary

* Sun Nov 13 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.2.3-0vl1
- upstream release
- update jwhois.conf (Source10)

* Thu Jan 23 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.0-4vl2
- added Source10 (in sync with .org transition)

* Thu Jan 23 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.0-4vl1
- based on 3.2.0-4 from Rawhide and built for Vine Linux

* Thu Dec 12 2002 Karsten Hopp <karsten@redhat.de>
- Requires(post,preun) doesn't seem to work properly

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- require install-info

* Thu Nov 14 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.0-2
- don't bail out of %%install if make install doesn't create an info top node

* Mon Sep 30 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.0-1
- initial package
