%define origver 0.1.5-p2

Summary:        A cross-platform build environment
Summary(ja):    クロスプラットフォームビルド環境

Name:           kBuild
Version:        0.1.5p2
Release:        1%{?_dist_release}

Group:          Development/Tools
License:        BSD and GPLv2+
# most tools are from NetBSD, some are from FreeBSD,
# and make and sed are from GNU
URL:            http://svn.netlabs.org/kbuild
Source0:        ftp://ftp.netlabs.org/pub/kbuild/%{name}-%{origver}-src.tar.gz
Patch0:         kBuild-0.1.3-escape.patch
Patch1:         kBuild-0.1.5-dprintf.patch
Patch2:         kBuild-0.1.5-pthread.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  byacc libacl-devel flex 
BuildRequires:  autoconf automake gettext-devel cvs


%description
This is a GNU make fork with a set of scripts to simplify
complex tasks and portable versions of various UNIX tools to
ensure cross-platform portability.

It is used mainly to build VirtualBox OSE packages for RPM Fusion
repository.


%prep
%setup -q -n %{name}-%{origver}
%patch0 -p1 -b .escape
%patch1 -p1 -b .dprintf
%patch2 -p1 -b .pthreads

# Remove prebuilt stuff
rm -rf kBuild/bin/*


%build
%define bootstrap_mflags %{_smp_mflags} \\\
        CFLAGS="%{optflags}"            \\\
        KBUILD_VERBOSE=2

%define mflags %{bootstrap_mflags}      \\\
        NIX_INSTALL_DIR=%{_prefix}      \\\
        BUILD_TYPE=release              \\\
        MY_INST_MODE=0644               \\\
        MY_INST_BIN_MODE=0755

# The bootstrap would probably not be needed if we depended on ourselves,
# yet it is not guarranteed that new versions are compilable with older
# kmk versions, so with this we are on a safer side
kBuild/env.sh --full make -f bootstrap.gmk %{bootstrap_mflags}

kBuild/env.sh kmk %{mflags} rebuild


%install
rm -rf $RPM_BUILD_ROOT
export KBUILD_VERBOSE=2
kBuild/env.sh kmk %{mflags} PATH_INS=$RPM_BUILD_ROOT install
# These are included later in files section
rm -r $RPM_BUILD_ROOT%{_docdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/*
%doc COPYING ChangeLog
%doc kBuild/doc/COPYING-FDL-1.3 kBuild/doc/QuickReference*


%changelog
* Sun Apr 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.5p2-1
- update to 0.1.5-p2
- add patch2 to fix build

* Fri May 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.5-1
- initial build for Vine Linux

* Mon Apr 13 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.1.5-4
- Fix typoes (Robert P. J. Day, #495393)
- Comment out the colliding dprintf

* Sun Mar 1 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.1.5-3
- Fix up BRs

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.1.5-1
- Update to new upstream release

* Tue Dec 30 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.1.5-0.1.20081106svn
- Update to build VirtualBox OSE 2.1.0

* Fri Sep 19 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.1.4-1
- New upstream release

* Thu Aug 28 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.1.3-2
- Add gettext-devel to BRs for autopoint

* Sun Aug 17 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.1.3-1
- New upstream version
- Install into FHS hierarchy
- Honour optflags
- No need to be arch specific

* Tue Oct 30 2007 Till Maas <opensource till name> - 0.1.0-0.3.20070627svn
- add support for x86_64
- add BR: autoconf, automake

* Wed Jun 27 2007 Till Maas <opensource till name> - 0.1.0-0.2.20070627svn
- Update to a new version
- just copy the bin files to %%{_libexecdir}, kmk install does not work

* Sun Feb 18 2007 Till Maas <opensource till name> - 0.1.0-0.1.20070218svn
- Initial spec for fedora extras
