%define beta 0

# Compile only atlantikdesigner
%define donotcompilelist doc kaddressbook-plugins kate kfile-plugins kicker-applets knewsticker-scripts konq-plugins ksig noatun-plugins renamedlgplugins

Name: kdeaddons
Summary: K Desktop Environment - Plugins
Summary(ja): K デスクトップ環境 3 - プラグイン
Version: 3.5.10
%if %{beta}
Release: 1%{beta}%{?_dist_release}
%else
Release: 1%{?_dist_release}
%endif
%if %{beta}
Source: ftp://ftp.kde.org/pub/kde/unstable/%{version}-%{beta}/src/%{name}-%{version}-%{beta}.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
%endif
URL: http://www.kde.org/
Group: Applications/Other
License: GPL

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kdelibs3-devel >= %{version}
BuildRequires: kdegames3-devel >= %{version}
BuildRequires: libxml2-devel >= 2.6.0
BuildRequires: libxslt-devel >= 1.0.18
BuildRequires: zlib-devel libjpeg-devel libpng-devel gettext
Requires: kdelibs3 >= %{version}
Requires: kdegames3 >= %{version}

%description
Plugins for some KDE applications.
This package only includes a game board designer for Atlantik.

%prep
%setup -q
sed -i -e 's/-lkdegames//g' atlantikdesigner/designer/Makefile.in

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export DO_NOT_COMPILE="%{donotcompilelist}"

%configure \
    --with-qt-libraries=$QTDIR/lib \
    --includedir=%{_includedir}/kde \
    --disable-rpath \
    --enable-new-ldflags \
    --disable-debug --disable-warnings \
    --disable-dependency-tracking --enable-final

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export DO_NOT_COMPILE="%{donotcompilelist}"
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT

#post -p /sbin/ldconfig

#postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING-DOCS atlantikdesigner/TODO
%{_bindir}/atlantikdesigner
%{_datadir}/apps/atlantikdesigner/
%{_datadir}/icons/hicolor/*/*/atlantikdesigner*
%{_datadir}/applications/kde/atlantikdesigner.desktop

%changelog
* Sun Mar 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-1
- updated to 3.5.10, only including atlantikdesigner
- built with new toolchain

* Sun May 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy
- added BR: kdebase-devel
- changed Group to Applications/Other

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release

* Tue Aug 21 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl3
- rebuild with flac-1.2.0

* Wed Jul  4 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- rebuild for VineSeed

* Sat Jun 30 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release

* Sun Oct 22 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.5-0vl3
- added --with-qt-libraries and --enable-libsuffix option

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Fri Jun  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Fri Jun  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Thu Nov 24 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Tue Nov 15 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- initial release for VineSeed
