Name: kdeartwork
Summary: Additional artwork (themes, sound themes, ...) for KDE
Version: 4.5.0
Release: 1%{?_dist_release}

License: GPLv2
Group: User Interface/Desktops
URL: http://www.kde.org/
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdeartwork-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: xscreensaver-extras
#BuildRequires: xscreensaver-gl-extras
Requires: kdebase-workspace >= %{version}

Obsoletes: kdeartwork4 < %{version}-%{release}
Provides:  kdeartwork4 = %{version}-%{release}

%if %{name} != kdeartwork
Conflicts: kdeartwork3
Conflicts: kdeartwork-locolor
Conflicts: kdeartwork-kworldclock
%else
Obsoletes: kdeartwork-locolor
Obsoletes: kdeartwork-kworldclock
%endif

%description
Additional artwork (themes, sound themes, ...) for KDE

%package -n nuvola-icon-theme
Summary: Nuvola icon theme
Summary(ja): Nuvola アイコンテーマ
Group: User Interface/Desktops
Requires(post): gtk2
Requires(postun): gtk2

%description -n nuvola-icon-theme
%{summary}.

%package screensavers
Summary: Additional screensavers for KDE
Group: User Interface/Desktops
Requires: xscreensaver-base
Requires: xscreensaver-extras
#Requires: xscreensaver-gl-extras
Requires: kdebase-workspace >= %{version}
%if %{name} != kdeartwork
Conflicts: kdeartwork-screensavers
%endif

%description screensavers
Additional screensavers for KDE.

%package wallpapers
Summary: Additional wallpapers
Group: User Interface/Desktops
%if %{name} != kdeartwork
Conflicts: kdeartwork-wallpapers
%endif

%description wallpapers
%{summary}.

%package sounds
Summary: Additional sounds
Group: User Interface/Desktops

%description sounds
%{summary}.


%prep
%setup -q -n kdeartwork-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
unset QTDIR || : ; . /etc/profile.d/qt4.sh
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT


%post -n nuvola-icon-theme
touch --no-create %{_datadir}/icons/nuvola &> /dev/null || :

%posttrans -n nuvola-icon-theme
gtk-update-icon-cache %{_datadir}/icons/nuvola-icon-theme &> /dev/null || :

%postun -n nuvola-icon-theme
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/nuvola &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/nuvola &> /dev/null || :
fi

%files
%defattr(-,root,root)
%doc COPYING README
%{_datadir}/kde4/apps/aurorae/*
%{_datadir}/kde4/apps/kstyle/*
%{_datadir}/kde4/apps/color-schemes/*.colors
%{_datadir}/kde4/apps/desktoptheme/*
%{_datadir}/emoticons/*
%{_libdir}/kde4/*.so
%{_libdir}/kde4/plugins/styles/*.so

%files -n nuvola-icon-theme
%defattr(-,root,root,-)
%{_datadir}/icons/nuvola

%files screensavers
%defattr(-,root,root)
%{_bindir}/*.kss
%{_bindir}/kxs*
%{_datadir}/kde4/apps/kfiresaver
%{_datadir}/kde4/apps/kscreensaver
%{_datadir}/kde4/services/ScreenSavers/*.desktop

%files sounds
%defattr(-,root,root)
%{_datadir}/sounds/*

%files wallpapers
%defattr(-,root,root)
%{_datadir}/wallpapers/*


%changelog
* Tue Aug 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.0-1
- new upstream release

* Mon Jul 12 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.5-3
- added more Conflicts: kdeartwork-locolor, kdeartwork-kworldclock

* Sun Jul 11 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.5-2
- added Requires: kdebase-workspace
- added Conflicts: kdeartwork3

* Sun Jul  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.5-1
- new upstream release

* Fri May  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.3-1
- new upstream release

* Wed Apr 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-1
- new upstream release

* Sun Mar  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.1-1
- new upstream release

* Tue Mar  2 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.0-1
- new upstream release
- built with new toolchain

* Wed Nov 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.3-1
- new upstream release

* Sun Oct 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-1
- new upstream release

* Mon Sep  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.1-1
- new upstream release
- used %%cmake macro

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.0-1
- new upstream release

* Sun May 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release

* Tue Jul 10 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl3
- rebuild for VineSeed

* Fri Jul 06 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.5.7-0vl2
- add BuildRequires: xscreensaver

* Wed May 23 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release

* Mon Jan 22 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.6-0vl1
- new upstream release

* Sat Oct 14 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.5-0vl3
- added --with-qt-libraries and --enable-libsuffix option

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Tue Jul 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Tue Jul 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Tue May 30 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Tue May 30 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Mon Mar 20 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Mon Mar 20 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl2
- rebuild for VineSeed

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Tue Nov 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Mon Nov 14 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release

* Mon Oct 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release

* Tue Sep 20 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release

* Fri Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl2
- rebuild for VineSeed

* Fri Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl1
- new upstream release

* Thu Jun 30 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl2
- build for VineSeed
- add --disable-rpath to configure option

* Mon Jun  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release
- use %%{?_smp_mflags} for make option
- add --with-xinerama to configure option

* Wed Mar 16 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl2
- rebuild for VineSeed

* Fri Mar 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- new upstream release

* Fri Mar  4 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl0.rc1
- new upstream release (3.4.0-rc1)
- update %%files

* Mon Feb  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.92-0vl1
- new upstream release

* Thu Jan 27 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.91-0vl1
- new upstream release
- update %%files

* Sat Dec 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl2
- rebuild for VineSeed

* Sat Dec 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- source upgrade
- build for Vine Linux 3.1

* Wed Oct 13 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade

* Thu Sep 23 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.0-0vl1
- source upgrade
- remove BuildPrereq: glibc-devel gcc-c++ libstdc++ autoconf automake
- update %%files

* Tue Aug 10 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl2
- rebuild with qt32

* Sun Jun  6 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- source upgrade
- remove lines about vine26

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade

* Tue Mar  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade

* Wed Feb  4 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.0-0vl1
- source upgrade
- add --enable-final to configure option

* Sat Jan 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl2
- rebuild for VineSeedPlus

* Sat Jan 10 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl1
- source upgrade
- build for VinePlus/2.6
- (VinePlus/2.6) BuildPrereq: autoconf258

* Mon Dec 22 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl3
- build for VineSeed with new toolchain and qt-3.2.3

* Sun Oct 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0.26vl2
- rebuild with qt-3.2.1-0.26vl3

* Sun Oct 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl2
- rebuild with qt-3.2.1-0vl3

* Thu Sep 18 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl1
- source upgrade
- build with gcc-3.2.3

* Fri Jul 18 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl1
- source upgrade

* Sat Jun 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl2
- change spec to build with g++-2.95.3

* Sat May 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade
- built with libpng >= 1.2.5 when %{vine26} is set to 0 (ie VineSeedPlus)

* Fri Mar 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl1
- source upgrade

* Tue Feb 18 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl2
- change spec to build both VineSeed and Vine2.5/2.6

* Fri Jan 31 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl1
- source upgrade to 3.1-stable

* Thu Jan 23 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc7vl2
- rebuild

* Mon Jan 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc7vl1
- source upgrade to 3.1rc7
- stop using objprelink2, it does not work with gcc3
- force Themes install

* Sun Dec 29 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.5a-0vl1
- source upgrade

* Sat Oct 19 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl2
- objprelink2 support only ix86 (add %ifarch %{ix86} ... )

* Sun Oct 13 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl1
- source upgrade
- BuildPrereq: autoconf253 objprelink2

* Mon Aug 26 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl1
- source upgrade

* Fri Jul  5 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.2-0vl1
- source upgrade

* Fri Jun  7 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.1-0vl1
- source update to 3.0.1

* Wed Apr 10 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl2
- source update to 3.0

* Sat Mar 23 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl1
- merged with rawhide 3.0-0.cvs20020129.2
- source update to cvs-20020329
- add BuildPrereq: autoconf252 automake15
- There is Vine's previous changes, hacked for Vine 
 -- Sun Mar 17 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.2-0vl1
  - update to 2.2.2
  - objprelink (i386 only)
 -- Thu Dec  6 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl1
  - Change BuildRequires and Requires
  - Build for VineSeed

* Thu Jan 31 2002 Bernhard Rossenkraenzer <bero@redhat.com> 3.0-0.cvs20020129.2
- Remove KBlankscreen, it's in kdebase

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020108.1
- Add missing files

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020107.1
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update
