Name: kdeedu
Summary: Educational/Edutainment applications for KDE
Summary(ja): KDE 向け教育・教養アプリケーション集
Version: 4.5.1
Release: 1%{?_dist_release}

License: GPLv2
Group: Applications/Edutainment
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdeedu-%{version}.tar.bz2

## upstream patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: attica-devel
# Kig can optionally use Boost.Python for Python scripting
BuildRequires: libboost-devel libboost-python
# CFITSIO Library is needed by KStars for many INDI drivers & for KStars FITS Viewer.
BuildRequires: cfitsio-devel
BuildRequires: xplanet
BuildRequires: libindi-devel >= 0.6.1
BuildRequires: libnova-devel
BuildRequires: libqalculate-devel
BuildRequires: openbabel-devel >= 2.2.0-0.4.b5
BuildRequires: eigen2-devel >= 2.0.3
BuildRequires: gpsd-devel
BuildRequires: desktop-file-utils
BuildRequires: gsl-devel
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: plasma-devel >= %{version}
BuildRequires: libspectre-devel
BuildRequires: libusb-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: ocaml
BuildRequires: facile
BuildRequires: python-devel python
BuildRequires: readline-devel
#BuildRequires: R-devel
BuildRequires: avogadro-devel

Requires: %{name}-libs = %{version}-%{release}

# split pkgs, (temporary?) upgrade path -- Rex
#Requires: %{name}-kstars = %{version}-%{release}
#Requires: %{name}-marble = %{version}-%{release}
#Requires: %{name}-math = %{version}-%{release}

Obsoletes: kdeedu4 < %{version}-%{release}
Provides:  kdeedu4 = %{version}-%{release}
Conflicts: kdeedu3

%description
Educational/Edutainment applications for KDE.

What it is
----------
* blinken: Simon Says Game
* kalzium: A periodic table of the elements
* kanagram: Anagram game
* kgeography: Learn geography
* khangman: Hangman Game
* kiten: Japanese Reference/Study Tool
* klettres: French alphabet tutor
* ktouch: Learn and practice touch typing
* kturtle: Logo Programming Environment
* kwordquiz: Flashcard and vocabulary learning
* parley: Vocabulary Trainer
* step: Interactive physical simulator

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries

%description libs
%{summary}.

%package devel
Summary: Development files for kdeedu
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: %{name}-marble-libs = %{version}-%{release}
Requires: %{name}-math-libs = %{version}-%{release}
Requires:  kdelibs4-devel
Obsoletes: kdeedu4-devel < %{version}-%{release}
Provides:  kdeedu4-devel = %{version}-%{release}

%description devel
Header files for developing applications using kdeedu.

%package kstars
Summary: Desktop Planetarium
Group: Applications/Edutainment
Requires: %{name}-libs = %{version}-%{release}
Provides: kdeedu4-kstars = %{version}-%{release}

%description kstars
%{summary}.

%package marble
Summary: A World Atlas
Group: Applications/Edutainment
Requires: %{name}-marble-libs = %{version}-%{release}
Conflicts: kdeedu < 4.2.0
Obsoletes: marble < 0.5.1-1
Provides:  kdeedu4-marble = %{version}-%{release}
Provides:  marble = 0.7-%{release}

%description marble
%{summary}.

%package marble-libs
Summary: Runtime libraries for marble 
Group:   System Environment/Libraries
#Requires: %{name}-marble = %{version}-%{release}

%description marble-libs
%{summary}.

%package math
Summary: Math applications
Group: Applications/Edutainment
# http://bugzilla.redhat.com/371121
Obsoletes: kalgebra < 0.7-7
Provides:  kalgebra = 0.7-7
Provides:  kdeedu4-math = %{version}-%{release}
Requires: %{name}-math-libs = %{version}-%{release}

%description math
Educational/Edutainment Math applications:
* cantor: Frontend for math applications
* kalgebra: MathML-based graph calculator
* kbruch: Exercise Fractions and Percentages
* kig: Interactive Geometry
* kmplot: Mathematical Function Plotter
* rocs: Graph Theory IDE

%package math-cantor-R
Summary: R backend for Cantor
Group: Applications/Edutainment
Requires: %{name}-math%{?_isa} = %{version}-%{release}

%description math-cantor-R
%{summary}, which is part of kdeedu-math.

%package math-libs
Summary: Runtime libraries for %{name}-math
Group:   System Environment/Libraries

%description math-libs
%{summary}.



%prep
%setup -q -n kdeedu-%{version}
#patch51 -p1 -b .cantor_part_desktop_fix.patch

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
unset QTDIR || : ; . /etc/profile.d/qt4.sh
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

# #unpackaged files
# omit stuff for which there isn't a clear public API
rm -f $RPM_BUILD_ROOT%{_libdir}/lib{SatLib,analitza,analitzagui,avogadro-kalzium,cantorlibs,compoundviewer,htmesh,sbigudrv}.{a,so}
# oxygen-icon-theme conflict
rm -fv $RPM_BUILD_ROOT%{_datadir}/icons/oxygen/22x22/actions/pointer.png

# omit dustismo roman font
rm -f $RPM_BUILD_ROOT%{_datadir}/kde4/apps/khangman/fonts/Dustismo_Roman.ttf
# omit domestic manners font
rm -f $RPM_BUILD_ROOT%{_datadir}/kde4/apps/khangman/fonts/Domestic_Manners.ttf
# omit steve font
rm -f $RPM_BUILD_ROOT%{_datadir}/kde4/apps/blinken/fonts/steve.ttf
# omit copies of python-(mwclient,simplejson)
rm -rf $RPM_BUILD_ROOT%{_datadir}/kde4/apps/parley/plugins/mwclient


%clean
rm -rf $RPM_BUILD_ROOT 

%check
for f in $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop ; do
  desktop-file-validate $f
done


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post kstars
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans kstars
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun kstars
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

%post marble
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans marble
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun marble
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

%post marble-libs -p /sbin/ldconfig

%postun marble-libs -p /sbin/ldconfig

%post math
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans math
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun math
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

%post math-libs -p /sbin/ldconfig

%postun math-libs -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/blinken
%{_bindir}/kalzium
%{_bindir}/kanagram
%{_bindir}/kgeography
%{_bindir}/khangman
%{_bindir}/kiten
%{_bindir}/kitengen
%{_bindir}/kitenradselect
%{_bindir}/klettres
%{_bindir}/ktouch
%{_bindir}/kturtle
%{_bindir}/kwordquiz
%{_bindir}/parley
%{_bindir}/step
%{_bindir}/tilecreator
%{_libdir}/kde4/*Calculator.so
%{_libdir}/kde4/plasma_applet_parley.so
%{_libdir}/kde4/plasma_engine_parley.so
%{_libdir}/kde4/plasma_applet_didyouknow.so
%{_libdir}/kde4/plasma_engine_kalzium.so
# kalzium
#{_libdir}/avogadro-kalzium
%{_datadir}/kde4/apps/desktoptheme
%{_datadir}/kde4/apps/blinken
%{_datadir}/kde4/apps/kalzium
%{_datadir}/kde4/apps/kanagram
%{_datadir}/kde4/apps/kgeography
%{_datadir}/kde4/apps/khangman
%{_datadir}/kde4/apps/kiten
%{_datadir}/kde4/apps/kitenradselect
%{_datadir}/kde4/apps/klettres
%{_datadir}/kde4/apps/ktouch
%{_datadir}/kde4/apps/kturtle
%{_datadir}/kde4/apps/kvtml
%{_datadir}/kde4/apps/kwordquiz
%{_datadir}/kde4/apps/parley
%{_datadir}/kde4/apps/step
%{_datadir}/kde4/services/*Calculator.desktop
%{_datadir}/kde4/services/plasma-dataengine-parley.desktop
%{_datadir}/kde4/services/plasma_parley.desktop
%{_datadir}/kde4/services/plasma-dataengine-kalzium.desktop
%{_datadir}/kde4/services/plasma_didyouknow.desktop
%{_datadir}/applications/kde4/blinken.desktop
%{_datadir}/applications/kde4/kalzium.desktop
%{_datadir}/applications/kde4/kanagram.desktop
%{_datadir}/applications/kde4/kgeography.desktop
%{_datadir}/applications/kde4/khangman.desktop
%{_datadir}/applications/kde4/kiten.desktop
%{_datadir}/applications/kde4/klettres.desktop
%{_datadir}/applications/kde4/ktouch.desktop
%{_datadir}/applications/kde4/kturtle.desktop
%{_datadir}/applications/kde4/kwordquiz.desktop
%{_datadir}/applications/kde4/parley.desktop
%{_datadir}/applications/kde4/step.desktop
%{_datadir}/config.kcfg/blinken.kcfg
%{_datadir}/config.kcfg/documentsettings.kcfg
%{_datadir}/config.kcfg/kalzium.kcfg
%{_datadir}/config.kcfg/kanagram.kcfg
%{_datadir}/config.kcfg/kgeography.kcfg
%{_datadir}/config.kcfg/khangman.kcfg
%{_datadir}/config.kcfg/kiten.kcfg
%{_datadir}/config.kcfg/klettres.kcfg
%{_datadir}/config.kcfg/ktouch.kcfg
%{_datadir}/config.kcfg/kwordquiz.kcfg
%{_datadir}/config.kcfg/languagesettings.kcfg
%{_datadir}/config.kcfg/parley.kcfg
%{_datadir}/config.kcfg/step.kcfg
%{_datadir}/config/kalzium.knsrc
%{_datadir}/config/kanagram.knsrc
%{_datadir}/config/khangman.knsrc
%{_datadir}/config/klettres.knsrc
%{_datadir}/config/kturtle.knsrc
%{_datadir}/config/kwordquiz.knsrc
%{_datadir}/config/parley.knsrc
%{_datadir}/config/parley-themes.knsrc
%{_datadir}/config/step.knsrc
%doc %{_docdir}/HTML/en/blinken
%doc %{_docdir}/HTML/en/kalzium
%doc %{_docdir}/HTML/en/kanagram
%doc %{_docdir}/HTML/en/kgeography
%doc %{_docdir}/HTML/en/khangman
%doc %{_docdir}/HTML/en/kiten
%doc %{_docdir}/HTML/en/klettres
%doc %{_docdir}/HTML/en/ktouch
%doc %{_docdir}/HTML/en/kturtle
%doc %{_docdir}/HTML/en/kwordquiz
%doc %{_docdir}/HTML/en/parley
%exclude %doc %{_docdir}/HTML/en/step
%{_datadir}/icons/hicolor/*/*/blinken.*
%{_datadir}/icons/hicolor/*/*/kalzium.*
%{_datadir}/icons/hicolor/*/*/kanagram.*
%{_datadir}/icons/hicolor/*/*/kgeography.*
%{_datadir}/icons/hicolor/*/*/khangman.*
%{_datadir}/icons/hicolor/*/*/kiten.*
%{_datadir}/icons/hicolor/*/*/klettres.*
%{_datadir}/icons/hicolor/*/*/ktouch.*
%{_datadir}/icons/hicolor/*/*/kturtle.*
%{_datadir}/icons/hicolor/*/*/kwordquiz.*
%{_datadir}/icons/hicolor/*/*/parley*.*
%{_datadir}/icons/hicolor/*/*/step.*
%{_datadir}/icons/oxygen/*/*/*
%{_mandir}/man1/kalzium.*
%{_mandir}/man1/ktouch.*
%{_mandir}/man6/khangman.*

%files libs
%defattr(-,root,root)
%doc COPYING README
%{_datadir}/kde4/apps/libkdeedu
#{_libdir}/libavogadro-kalzium.so.*
%{_libdir}/libcompoundviewer.so.*
%{_libdir}/libkdeeduui.so.*
%{_libdir}/libkeduvocdocument.so.*
%{_libdir}/libkiten.so.*
%{_libdir}/libscience.so.*
# needed here for multilib'd runtime
#{_libdir}/kde4/plugins/designer/kalziumuiwidgets.so

%files devel
%defattr(-,root,root)
%{_includedir}/kde4/libkdeedu
%{_includedir}/kde4/libkiten
%{_includedir}/kde4/rocs
%{_includedir}/marble
%{_libdir}/libkdeedu*.so
%{_libdir}/libkeduvocdocument.so
%{_libdir}/libkiten.so
%{_libdir}/libmarble*.so
%{_libdir}/librocslib.so
%{_libdir}/libscience.so
%{_datadir}/kde4/apps/cmake/modules

%files kstars
%defattr(-,root,root,-)
%{_bindir}/kstars
%{_datadir}/applications/kde4/kstars.desktop
%{_datadir}/config.kcfg/kstars.kcfg
%{_datadir}/config/kstars.knsrc
%doc %{_docdir}/HTML/en/kstars
%{_datadir}/kde4/apps/kstars
%{_datadir}/icons/hicolor/*/*/kstars.*
%{_libdir}/libSatLib.so.*

%files marble
%defattr(-,root,root,-)
%{_bindir}/marble
%{_bindir}/geodatatest
%{_datadir}/kde4/apps/marble
%{_datadir}/kde4/apps/marble_part
%{_datadir}/applications/kde4/marble.desktop
%{_datadir}/config.kcfg/marble.kcfg
%{_datadir}/kde4/services/marble_part.desktop
%doc %{_docdir}/HTML/en/marble/
%{_libdir}/kde4/plugins/marble
%{_datadir}/icons/hicolor/*/*/marble.*
# worldclock links against libmarblewidget, include here
%{_libdir}/kde4/plasma_applet_worldclock.so
%{_datadir}/kde4/services/plasma-applet-kworldclock.desktop

%files marble-libs
%defattr(-,root,root,-)
%{_libdir}/libmarble*.so.*
%{_libdir}/kde4/libmarble_part.so

%files math
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/calgebra
%{_bindir}/cantor
%{_bindir}/kalgebra
%{_bindir}/kbruch
%{_bindir}/kig
%{_bindir}/kmplot
%{_bindir}/pykig.*
%{_bindir}/rocs
%{_libdir}/kde4/cantor_*.so
%{_libdir}/kde4/libcantorpart.so
%{_libdir}/kde4/kigpart.*
%{_libdir}/kde4/libkmplotpart.*
%{_libdir}/kde4/plasma_applet_kalgebra.so
%{_libdir}/kde4/rocs_*.so
%{_datadir}/applications/kde4/cantor.desktop
%{_datadir}/applications/kde4/kalgebra.desktop
%{_datadir}/applications/kde4/kbruch.desktop
%{_datadir}/applications/kde4/kig.desktop
%{_datadir}/applications/kde4/kmplot.desktop
%{_datadir}/applications/kde4/rocs.desktop
%{_datadir}/config.kcfg/cantor.kcfg
%{_datadir}/config.kcfg/cantor_libs.kcfg
%{_datadir}/config.kcfg/kbruch.kcfg
%{_datadir}/config.kcfg/kmplot.kcfg
%{_datadir}/config.kcfg/maximabackend.kcfg
%{_datadir}/config.kcfg/rocs.kcfg
%{_datadir}/config.kcfg/sagebackend.kcfg
%{_datadir}/config/cantor.knsrc
#{_datadir}/config/cantor_r.knsrc
%{_datadir}/config/cantor_kalgebra.knsrc
%{_datadir}/config/cantor_maxima.knsrc
%{_datadir}/config/cantor_sage.knsrc
%{_datadir}/dbus-1/interfaces/org.kde.kmplot.*
%doc %{_docdir}/HTML/en/cantor/
%doc %{_docdir}/HTML/en/kalgebra/
%doc %{_docdir}/HTML/en/kbruch/
%doc %{_docdir}/HTML/en/kig/
%doc %{_docdir}/HTML/en/kmplot/
%doc %{_docdir}/HTML/en/rocs/
%{_datadir}/icons/hicolor/*/*/cantor.*
%{_datadir}/icons/hicolor/*/*/kalgebra.*
%{_datadir}/icons/hicolor/*/*/kbruch.*
%{_datadir}/icons/hicolor/*/*/kig.*
%{_datadir}/icons/hicolor/*/*/kmplot.*
%{_datadir}/icons/hicolor/*/*/maximabackend.*
%{_datadir}/icons/hicolor/*/*/rocs*.*
%{_datadir}/icons/hicolor/*/*/sagebackend.*
%{_datadir}/icons/hicolor/*/*/application-x-kig.*
%{_datadir}/kde4/apps/cantor
%{_datadir}/kde4/apps/cantorpart
%{_datadir}/kde4/apps/katepart/syntax/*.xml
%{_datadir}/kde4/apps/kbruch
%{_datadir}/kde4/apps/kig
%{_datadir}/kde4/apps/kmplot
%{_datadir}/kde4/apps/rocs
%{_datadir}/kde4/services/cantor
#{_datadir}/kde4/services/cantor_part.desktop
%{_datadir}/kde4/services/kalgebraplasmoid.desktop
%{_datadir}/kde4/services/kig_part.desktop
%{_datadir}/kde4/services/kmplot_part.desktop
%{_datadir}/kde4/services/rocs_*.desktop
%{_datadir}/kde4/servicetypes/cantor_*.desktop
%{_datadir}/kde4/servicetypes/Rocs*.desktop
%{_mandir}/man1/kbruch.*
%{_mandir}/man1/kig.*
%{_mandir}/man1/kmplot.*

#%files math-cantor-R
#%defattr(-,root,root,-)
#%{_bindir}/cantor_rserver
#%{_libdir}/kde4/cantor_rbackend.so
#%{_datadir}/config.kcfg/rserver.kcfg
#{_datadir}/config/cantor_r.knsrc
%{_datadir}/icons/hicolor/*/*/rbackend.*
#%{_datadir}/kde4/services/cantor/rbackend.desktop

%files math-libs
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/libanalitza.so.*
%{_libdir}/libanalitzagui.so.*
%{_libdir}/libcantorlibs.so.*
%{_libdir}/libcantor_config.so
%{_libdir}/librocslib.so.*


%changelog
* Sat Sep 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.1-1
- rebuilt with libqalcurate-0.9.7

* Sat Aug 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.0-1
- new upstream release
- added BR: avogadro-devel

* Wed Jul  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.5-1
- new upstream release
- added Conflicts: kdeedu3

* Fri May  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.3-1
- new upstream release

* Sat Mar 13 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.1-1
- new upstream release
- built with new toolchain

* Wed Nov 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.3-1
- new upstream release

* Tue Oct 27 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-2
- just +1 release number (4.3.2-1vl5 was broken in putting)

* Sun Oct 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-1
- new upstream release

* Sat Sep  5 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.1-1
- new upstream release
- used %cmake macro
- added BR: eigen2-devel

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.0-1
- new upstream release
- split libs, kstars, marble, marble-libs and math sub-packages

* Sun May 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy

* Sat Nov 24 2007 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.8-0vl3
- added --with-qt-libraries configure option

* Thu Oct 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Thu Oct 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release

* Wed Jun 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- rebuild for VineSeed

* Sat May 26 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release

* Mon Jan 22 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.6-0vl1
- new upstream release

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Sat Sep 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.4-0vl3
- changed Group to Applications/Edutainment

* Tue Aug  1 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Tue Aug  1 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Tue May 30 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Tue May 30 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release
- update description

* Tue Jan 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl2
- rebuild for VineSeed

* Tue Jan 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release
- add BuildPrereq: ocaml facile

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Tue Nov 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Mon Nov 14 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release
- delete Patch10

* Fri Nov 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl3
- add Patch0

* Wed Oct 19 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.4.92-0vl2
- added Patch10 (some kstars/apogee files includes sys/io.h,
  but sys/io.h is NOT available on many archtectures but ix86)

* Mon Oct 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release
- delete all patches

* Tue Sep 20 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release
- delete Patch0
- add Patch0 - Patch2

* Thu Aug 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl2
- rebuild for VineSeed

* Thu Aug 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl1
- new upstream release
- add Patch0 (http://www.kde.org/info/security/advisory-20050815-1.txt)

* Thu Jun 30 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl2
- build for VineSeed
- add --disable-rpath to configure option

* Mon Jun  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release
- use %%{?_smp_mflags} for make option

* Sat Mar 19 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl2
- rebuild for VineSeed

* Sat Mar 12 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- new upstream release

* Fri Mar  4 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl0.rc1
- new upstream release (3.4.0-rc1)
- remove patch0

* Thu Feb 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl4
- rebuild for VineSeed

* Thu Feb 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl3
- add Patch0 (CAN-2005-0011)

* Sat Dec 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl2
- rebuild for VineSeed

* Sat Dec 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- source upgrade
- build for Vine Linux 3.1

* Thu Oct 14 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade
- update %%files

* Wed Aug 11 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl2
- rebuild with qt32

* Tue Jun 15 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- source upgrade
- remove lines about vine26

* Sat Apr  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade

* Tue Mar  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade

* Sat Jan 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl2
- rebuild for VineSeedPlus

* Sun Jan 11 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl1
- source upgrade
- build for VinePlus/2.6
- (VinePlus/2.6) BuildPrereq: autoconf258

* Sun Dec 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl3
- build for VineSeed with new toolchain and qt-3.2.3

* Sun Nov  2 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0.26vl2
- rebuild with qt-3.2.1-0.26vl3

* Sun Oct 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl2
- rebuild with qt-3.2.1-0vl3

* Thu Sep 18 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl1
- build with gcc-3.2.3

* Mon Sep 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0.26vl1
- source upgrade
- BuildPrereq: qt-devel >= 3.2.1 arts-devel >= 1:1.1.4

* Sat Aug  2 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0.26vl1
- rebuild for Vine2.6

* Mon Jul 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl1
- source upgrade
- change spec to build with gcc295
- change make option for SMP and add script

* Sat May 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade
- add BuildPrereq: zlib-devel libjpeg-devel libpng-devel
- built with libpng >= 1.2.5 when %{vine26} is set to 0 (ie VineSeedPlus)
- add BuildPrereq: arts-devel >= 1:1.1.2 kdelibs-devel >= %{version}
- delete BuildPrereq: kdebase-devel >= %{version}

* Sun Apr 13 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl1
- source upgrade
- remove patch
- change spec to make monolithic package only
- change spec to build both VineSeed and Vine2.5/2.6
- revised description and files section

* Sat Oct 19 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl2
- objprelink2 support only ix86 (add %ifarch %{ix86} ... )

* Mon Oct 14 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl1
- source upgrade
- BuildPrereq: autoconf253 objprelink2
- fix %files for .desktop files

* Tue Jul 23 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.2-1vl1
- add BuildPrereq: autoconf252 automake15
- add %define monolithic 1
- add objprelink option (i386 only)
- delete BuildPrereq: desktop-file-utils

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
