Name: kdenetwork
Summary: KDE Network Applications
Summary(ja): KDE ネットワークアプリケーション集
Version: 4.5.1
Release: 1%{?_dist_release}

Group: Applications/Internet
License: GPLv2
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdenetwork-%{version}.tar.bz2
Source1: krdc-icons.tar.bz2
Source2: kppp.pamd

## upstream me!  -- Rex :)
Patch1: kdenetwork-4.2.98-kdrc-icon.patch
# rhbz#540433 - KPPP is unable to add DNS entries to /etc/resolv.conf
Patch2: kdenetwork-4.3.3-resolv-conf-path.patch

## security patches
# rhbz#591966 -  CVE-2010-1000 CVE-2010-1511 kdenetwork: improper sanitization 
# of metalink attribute for downloading files
#Patch100: kdenetwork-4.4.3-cve-2010-1000_1511.patch

# Vine patches
Patch1000: kdenetwork-3.5.8-kopete-fs.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: alsa-lib-devel
BuildRequires: expat-devel
BuildRequires: glib2-devel
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: libboost-devel
BuildRequires: libgadu-devel >= 1.8.0
BuildRequires: libidn-devel
BuildRequires: libjpeg-devel
BuildRequires: libktorrent-devel
BuildRequires: libmsn-devel >= 4.0-0.beta2
BuildRequires: libotr-devel
BuildRequires: libv4l-devel
BuildRequires: libvncserver-devel
BuildRequires: libxslt-devel libxml2-devel
BuildRequires: libXtst-devel
BuildRequires: meanwhile-devel
BuildRequires: ortp-devel
BuildRequires: qca2-devel
BuildRequires: plasma-devel >= %{version}
BuildRequires: qimageblitz-devel
BuildRequires: soprano-devel >= 2.0.97
BuildRequires: speex-devel
BuildRequires: sqlite3-devel
BuildRequires: strigi-devel
BuildRequires: xmms-devel

Requires: kdepimlibs >= %{version}
Requires: %{name}-libs = %{version}-%{release}

Obsoletes: kdenetwork4 < %{version}-%{release}
Provides: kdenetwork4 = %{version}-%{release}

Obsoletes: kopete <= 0.8.0
Provides: kopete

Conflicts: kdenetwork3

%description
Networking applications for KDE 4, including:
* kget: downloader manager
* kopete: chat client
* krdc: a client for Desktop Sharing and other VNC servers
* krfb: Desktop Sharing server, allow others to access your desktop via VNC

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries

%description libs
%{summary}.

%package devel
Summary: Development files for kdenetwork
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs4-devel

%description devel
Development files for kdenetwork. Install kdenetwork-devel if you wish
to develop or compile KDE networking applications.

%package -n kppp
Summary: Modem dialer and ppp frontend for KDE 4
Summary(ja): KDE 用 ダイアルアップアプリケーション
Group: Applications/Internet
Requires: %{name}-libs = %{version}-%{release}
Requires: ppp
Obsoletes: kppp4 < %{version}-%{release}
Provides:  kppp4 = %{version}-%{release}

%description -n kppp
KPPP is a dialer and front end for pppd. It allows for interactive 
script generation and network setup. It will automate the dialing in 
process to your ISP while letting you conveniently monitor the 
entire process.

Once connected KPPP will provide a rich set of statistics and keep 
track of the time spent online for you.


%prep
%setup -q -n kdenetwork-%{version} -a 1
%patch1 -p1 -b .icon
%patch2 -p1 -b .resolv-conf-path
#patch100 -p0 -b .cve-2010-1000_1511

# Vine patches
%patch1000 -p1 -b .kopete

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
unset QTDIR || : ; . /etc/profile.d/qt4.sh
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    -DMOZPLUGIN_INSTALL_DIR=%{_libdir}/mozilla/plugins \
    -DLIBGADU_INCLUDE_DIR=%{_includedir} \
    -DLIBGADU_LIBRARIES=%{_libdir}/libgadu.so \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/kppp

# Run kppp through consolehelper
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/kppp $RPM_BUILD_ROOT%{_sbindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/kppp
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
cat >$RPM_BUILD_ROOT/etc/security/console.apps/kppp <<EOF
USER=root
PROGRAM=%{_sbindir}/kppp
SESSION=true
EOF

# move devel symlinks
mkdir -p $RPM_BUILD_ROOT%{_libdir}/kde4/devel
pushd $RPM_BUILD_ROOT%{_libdir}
for i in lib*.so
do
  case "$i" in
# conflicts with kdenetwork3
    libkopete.so | libkopete_oscar.so | libkopete_videodevice.so)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_bindir}/*
%exclude %{_bindir}/kppp*
%{_datadir}/kde4/apps/dolphinpart/kpartplugins/kget_plug_in.rc
%{_datadir}/kde4/apps/kconf_update/*
%{_datadir}/kde4/apps/kget
%{_datadir}/kde4/apps/khtml/kpartplugins/kget_plug_in.rc
%{_datadir}/kde4/apps/kopete*
%{_datadir}/kde4/apps/krfb
%{_datadir}/kde4/apps/krdc
%{_datadir}/kde4/apps/remoteview
#{_datadir}/kde4/apps/desktoptheme/default/widgets/kget.svg
%{_datadir}/config/kopeterc
%{_datadir}/applications/kde4/*
%exclude %{_datadir}/applications/kde4/*ppp*.desktop
%{_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/dbus-1/services/*
%{_datadir}/kde4/services/*
%{_datadir}/kde4/servicetypes/*
%{_datadir}/sounds/*
%doc %{_docdir}/HTML/en/*
%exclude %{_datadir}/doc/HTML/en/kppp
%{_datadir}/icons/hicolor/*/*/*
%exclude %{_datadir}/icons/hicolor/*/apps/kppp*
%{_datadir}/icons/oxygen/*/*/*
%{_libdir}/kde4/*.so
%{_libdir}/mozilla/plugins/skypebuttons.so

%files libs
%defattr(-,root,root,-)
%{_libdir}/libqgroupwise.so
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/kde4/kopete
%{_includedir}/kde4/krdc
%{_libdir}/lib*.so
%{_libdir}/kde4/devel/lib*.so
%exclude %{_libdir}/libqgroupwise.so

%files -n kppp
%defattr(-,root,root)
%doc %{_datadir}/doc/HTML/en/kppp
%config /etc/security/console.apps/kppp
%config /etc/pam.d/kppp
%{_bindir}/kppp*
%{_sbindir}/kppp
%{_datadir}/applications/kde4/*ppp*
%{_datadir}/kde4/apps/kppp
%{_datadir}/icons/hicolor/*/apps/kppp*

%changelog
* Tue Aug 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.0-1
- new upstream release

* Sun Jul  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.5-1
- new upstream release
- added Conflicts: kdenetwork3

* Tue Jun 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.3-3
- added BR: libXtst-devel

* Mon May 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.3-2
- security fixes: CVE-2010-1000, CVE-2010-1511 (#591966)

* Fri May  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.3-1
- new upstream release

* Wed Apr 28 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-2
- rebuilt with libmsn-4.1

* Wed Apr 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-1
- new upstream release

* Sun Mar  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.1-1
- new upstream release

* Sat Mar  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.0-1
- new upstream release
- built with new toolchain

* Wed Nov 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.3-1
- new upstream release

* Sun Oct 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-1
- new upstream release

* Sat Sep  5 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.1-1
- new upstream release

* Mon May 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy, spec in UTF-8
- added Patch0

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release

* Mon Jun 25 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- rebuild for VineSeed

* Sat May 26 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release
- add BuildPrereq: speex-devel

* Tue Jan 23 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.6-0vl1
- new upstream release
- remove BuildPrereq: xmms-devel and Requires: xmms

* Fri Nov 17 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.5-0vl3
- added --with-qt-libraries and --enable-libsuffix option
- updated kppp.pamd

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Wed May 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Wed May 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release

* Mon Mar 20 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl3
- rebuild with wireless-tools-28-0vl0.pre15.1

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl2
- rebuild for VineSeed

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Thu Nov 24 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Mon Nov 14 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release

* Mon Oct 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release
- delete all patches

* Tue Sep 20 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release
- add Patch0 - Patch1

* Mon Jul 25 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl2
- rebuild for VineSeed

* Mon Jul 25 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl1
- new upstream release
- remove Patch0

* Thu Jul 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl4
- rebuild for VineSeed

* Thu Jul 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl3
- add Patch0 (CAN-2005-1852)

* Mon Jul  4 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl2
- build for VineSeed
- add --disable-rpath to configure option

* Mon Jun  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release
- use %%{?_smp_mflags} for make option

* Wed Mar 16 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl2
- rebuild for VineSeed

* Wed Mar 16 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- new upstream release
- update %%files

* Thu Jan 27 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.91-0vl1
- new upstream release
- add BuildPrereq: xmms-devel and Requires: xmms

* Wed Dec 29 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl2
- rebuild for VineSeed

* Wed Dec 29 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- source upgrade
- build for Vine Linux 3.1

* Sun Oct 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade
- update %%files

* Tue Aug 10 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl2
- rebuild with qt32

* Sun Jun  6 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- source upgrade
- remove lines about vine26

* Thu May 20 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl2
- move %%{_libdir}/*.so to kdenetwork package

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade
- add URL: http://www.kde.org

* Sat Mar 27 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl2
- rebuild with openssl-0.9.7d

* Tue Mar  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade
- add Obsoletes: kopete <= 0.8.0 and Provides: kopete
- add BuildPrereq: wireless-tools-devel
- add Requires: wireless-toolss-tools-devel
- add Requires: wireless-tools

* Sat Jan 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl2
- rebuild for VineSeedPlus

* Sun Jan 11 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl1
- source upgrade
- build for VinePlus/2.6
- (VinePlus/2.6) BuildPrereq: autoconf258

* Sun Dec 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl3
- build for VineSeed with new toolchain and qt-3.2.3

* Sun Nov  2 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0.26vl2
- rebuild with qt-3.2.1-0.26vl3

* Sun Oct 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl2
- rebuild with qt-3.2.1-0vl3

* Sat Sep 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl1
- build with gcc-3.2.3

* Mon Sep 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0.26vl1
- source upgrade
- BuildPrereq: qt-devel >= 3.2.1 arts-devel >= 1:1.1.4

* Sat Aug  2 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0.26vl1
- rebuild for Vine2.6

* Mon Jul 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl1
- source upgrade
- change spec to build with gcc295
- change make option for SMP and add script

* Tue Jun 24 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl2
- change spec to build with g++-2.95.3

* Sat May 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade
- remove Patch800 (included in this source)
- add BuildPrereq: zlib-devel libjpeg-devel libpng-devel
- built with libpng >= 1.2.5 when %{vine26} is set to 0 (ie VineSeedPlus)

* Fri Apr  4 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl1
- source upgrade
- add patch800

* Sat Mar  1 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl1
- source upgrade
- add BuildPrereq: arts >= 1:1.1
- remove Patch0
- disable all patches
- change spec to make monolithic package only
- Obsoletes: kdenetwork-libs

* Sun Nov 17 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl3
- add Patch0 (security patch)
- add export PATH=`pwd`:$PATH to %build and %install section

* Sat Oct 19 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl2
- objprelink2 support only ix86 (add %ifarch %{ix86} ... )

* Sun Oct 13 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl1
- source upgrade
- BuildPrereq: autoconf253 objprelink2

* Mon Aug 26 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp 3.0.3-0vl1
- source upgrade

* Tue Jul 16 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.2-0vl2
- add Patch801 from kde.gr.jp [Kdeveloper:02384]

* Sun Jul 14 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.2-0vl1
- source upgrade

* Wed May  1 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl2
- source update to 3.0
- add configure option `--with-xinerama --enable-final'
- add Requires
- remove knewsticker
- add Patch800 (from kde.gr.jp) and Patch900

* Sun Mar 31 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl1
- merged with rawhide 3.0.0-0.cvs20020306.1
- source update to cvs-20020329
- add BuildPrereq: autoconf252 automake15
- add %define monolithic 1
- There is Vine's previous changes, hacked for Vine 
 -- Sun Mar 17 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.2-0vl1
  - update to 2.2.2
  - update Japanese patches (Patch1 to 5)
 -- Wed Nov 28 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl1
  - build for Vine Seed
  - add Japanese patches (Patch2 to 6)

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Rename subpackages

* Thu Jan 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.2
- Rebuild with new kdelibs

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.1
- Update

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020108.1
- Update
- Integrate ktalk stuff with xinetd

* Tue Dec 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011218.1
- Update
- Split into subpackages

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Add build dependencies
- Work around ia64 breakages

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010513.1
- Update to CVS
- clean up specfile
- Use %%post -p and %%postun -p

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Than Ngo <than@redhat.com>
- update 2.1
- fix dangling symlinks

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Limit CPU usage to 2 CPUs to make asok happy

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't require perl, not everyone using ksirc is also using
  ksirc perl scripting...

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (needed because of kdelibs change)
- Obsolete kdenetwork2 (from 7.0 preview)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing PAM file, fix group

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to HEAD 

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS (fix kmail segfault with empty identity)

* Tue Oct 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up consolehelper config

* Mon Oct 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current KDE_2_0_BRANCH (this should fix up knode)
- Run kppp through consolehelper (Bug #20021)
- Split of kppp and kppplog to a separate package, kdenetwork-ppp
  (RFE #20022)

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable keystone for now (compiler problem)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with glibc-2.1.92-14 and gcc-2.96-40

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete ktalk (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Mon Oct 25 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
