Summary: KDE Photo Album 
Summary(ja): KDE フォトアルバム 
Name:	 kphotoalbum
Version: 4.1.1
Release: 2%{?_dist_release}

License: GPLv2+
Group:   Applications/Multimedia 
URL:	 http://kphotoalbum.org/
Source0:  http://kphotoalbum.org/data/download/kphotoalbum-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: exiv2-devel
BuildRequires: gettext
# marble integration
%define marble_version 4.3.0
BuildRequires: kdeedu-devel >= %{marble_version} 
BuildRequires: kdelibs4-devel
BuildRequires: kdegraphics-devel >= 4.3.0
#BuildRequires: libkdcraw-devel >= 0.4.0
#BuildRequires: libkexiv2-devel >= 0.5.0
#BuildRequires: libkipi-devel >= 0.3.0
BuildRequires: soprano-devel

%global kde4_version %((kde4-config --version 2>/dev/null || echo "KDE 4.2.0") | grep ^KDE | cut -d' ' -f2)

Requires: kdelibs4 >= %{kde4_version}
Requires: kdeedu-marble >= %{marble_version}

%description
A photo album tool. Focuses on three key points:
  * It must be easy to describe a number of images at a time. 
  * It must be easy to search for images. 
  * It must be easy to browse and View the images.

%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
unset QTDIR || : ; . /etc/profile.d/qt4.sh
%{cmake} \
    -DCMAKE_BUILD_TYPE=release \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} 
#--with-kde

HTML_DIR=$(kde4-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT${HTML_DIR} ]; then
for lang_dir in $RPM_BUILD_ROOT${HTML_DIR}/* ; do
  if [ -d ${lang_dir} ]; then
    lang=$(basename ${lang_dir})
    echo "%lang(${lang}) ${HTML_DIR}/${lang}/%{name}/" >> %{name}.lang
  fi
done
fi

%check
for dt_file in %{buildroot}%{_datadir}/applications/kde4/*.desktop ; do
  desktop-file-validate $dt_file 
done


%clean
rm -rf %{buildroot} 


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{_bindir}/kphotoalbum
%{_datadir}/kde4/apps/kphotoalbum/
%{_datadir}/applications/kde4/kphotoalbum.desktop
%{_datadir}/applications/kde4/kphotoalbum-import.desktop
%{_datadir}/config/*rc
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Wed May 05 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.1.1-2
- rebuilt with exiv2-0.19

* Sat Nov 28 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.1.1-1
- initial build for Vine Linux

* Sun Oct 25 2009 Rex Dieter <rdieter@fedoraproject.org> 4.1-1
- kphotoalbum-4.1

* Wed Jul 29 2009 Rex Dieter <rdieter@fedoraproject.org> 4.0.2-1
- kphotoalbum-4.0.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.0.1-1
- kphotoalbum-4.0.1

* Tue May 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.0-1
- kphotoalbum-4.0 (final)

* Mon Mar 09 2009 Rex Dieter <rdieter@fedoraproject.org> -  3.2-0.10.20090308
- kphotoalbum-20090308 snapshot

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-0.9.20090211svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 3.2-0.8.20090211svn
- kphotoalbum-2009-02-11 snapshot
- enable marble integration

* Mon Dec 22 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.2-0.7.20081007svn
- BR: libkipi-devel >= 0.3.0

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.2-0.6.20081007svn 
- respin (exiv2)

* Tue Dec 03 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.5.20081007svn
- respin (kdegraphics)
- BR: soprano-devel

* Wed Oct 29 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.4.20081007svn
- respin (kdegraphics)

* Mon Oct 06 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.2-0.3.20081007svn
- new snapshot (20081007svn)
- use create_tarball.rb (includes translations)
- build against latest kdegraphics
- fix typos in description

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.2.20080929svn
- respin against newer kdegraphics
- kphotoalbum-20080929svn snapshot

* Sat Aug 02 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.1.20080802svn
- kphotoalbum-20080802svn snapshot

* Wed Jun 25 2008 Rex Dieter <rdieter@fedoraproject.org> 3.1.1-3 
- respin for exiv2

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 3.1.1-2
- respin

* Tue Mar 18 2008 Rex Dieter <rdieter@fedoraproject.org> 3.1.1-1
- kphotoalbum-3.1.1

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.1.0-2
- Autorebuild for GCC 4.3

* Sat Nov 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.1.0-1
- kphotoalbum-3.1.0

* Tue Nov 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-7
- respin for exiv2-0.16

* Sun Aug 26 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-6
- desktop file patch (make MimeType=... end with ;)

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-5
- fix %%check

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-3
- specfile cosmetics
- respin (BuildID)

* Sat Aug 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-2
- License: GPLv2+

* Thu Apr 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-1
- kphotoalbum-3.0.2

* Wed Apr 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.1-1
- kphotoalbum-3.0.1

* Sun Dec 31 2006 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0-1
- kphotoalbum-3.0

* Tue Nov 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-7
- BR: exiv2-devel >= 0.12

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-6
- respin
- drop deprecated Provides: kimdaba

* Tue Sep 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-5
- BR: exiv2-devel >= 0.11

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-4
- fc6 respin

* Sat Jun 03 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-3
- respin against exiv2-0.10

* Thu May 18 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-2
- (temporarily) add Provides: kimdaba = %%version

* Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-1
- renamed kphotoalbum

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-6
- relative symlinks
- simplify configure

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-4
- --add-category Application

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-3
- %%doc: COPYING
- Req(post,postun): update-desktop-database
- gtk-update-icon-cache
- remove unused crud (kde-redhat bits)
- Group: Applications/Multimedia
- drop %%{?debug_package} conditionals

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-2
- icon/mime spec

* Tue May 3 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-1
- real-deal 2.1 release (including -i18n bits)

* Mon May 2 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-0
- 2.1 (pre) release

* Mon Nov 15 2004 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.fdr.1
- 2.0

* Fri Feb 27 2004 Rex Dieter <rexdieter at sf.net> 0:1.1-0.fdr.0
- first try

