Name: kuickshow
Summary: a very fast and comfortable imageviewer for KDE
Version: 0.9.1
Release: 1%{?_dist_release}

Group: Applications/Graphics
License: GPLv2+
URL: http://kuickshow.sourceforge.net/

Source0: ftp://ftp.kde.org/pub/kde/stable/4.4.0/src/extragear/%{name}-%{version}-kde4.4.0.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: imlib-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
 KuickShow is an image browser/viewer with a nice filebrowser to select 
images to be shown, slideshow support and the ability to display the 
following image formats: jpg, gif, tiff, png, bmp, psd, xpm, xbm, pbm 
and eim. Images can be displayed either in their own window, as large 
as the image, or fullscreen (which shrinks images too large to display). 
KuickShow also has a slideshow mode.

%prep
%setup -q -n %{name}-%{version}-kde4.4.0

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

mkdir -p %{_target_platform}
pushd %{_target_platform}
unset QTDIR || : ; . /etc/profile.d/qt4.sh
%{cmake} \
    -DCMAKE_BUILD_TYPE=release \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast -C %{_target_platform} DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} 

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kuickshow.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor ||:

%postun
if [ $1 -eq 0 ] ; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
    update-desktop-database -q %{_datadir}/applications > /dev/null 2>&1 ||:
fi

%posttrans
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database -q %{_datadir}/applications > /dev/null 2>&1 ||:


%files -f %{name}.lang
%defattr(-,root,root,755) 
%{_bindir}/kuickshow
%{_libdir}/libkdeinit4_*.so
%{_datadir}/applications/kde4/*.desktop
%{_datadir}/kde4/apps/kuickshow/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/doc/HTML/*/kuickshow/

%changelog
* Fri Jul 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.9.1-1
- initial build for Vine Linux
