Summary: A utility which lists open files on a Linux/UNIX system.
Summary(ja): 開かれているファイルの一覧を表示するツール
Name: lsof
Version: 4.78
Release: 9%{?_dist_release}
License: Distributable
Group: Applications/System
Distribution: Vine Linux

# lsof contains licensed code that we cannot ship.  Therefore we use
# upstream2downstream.sh script to remove the code before shipping it.
#
# The script you can found in CVS or download from:
# http://cvs.fedoraproject.org/viewcvs/rpms/lsof/devel/upstream2downstream.sh
#
%define lsofrh lsof_4.78C-rh
Source0: %{lsofrh}.tar.bz2
URL: ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Patch1: lsof_4.78C-threads.patch
Patch2: lsof_4.78C-inode.patch
Patch3: lsof_4.78C-selinux.patch

%description
Lsof stands for LiSt Open Files, and it does just that: it lists
information about files that are open by the processes running on a
UNIX system.

%description -l ja
Lsof は UNIX 特有の診断ツールです。その名前は LiSt Open Files を意味し、
文字通りの動作 (開かれているファイルの一覧を表示) をします。
このプログラムは、システムで現在動作しているプロセスによって開かれている
全てのファイルに関する情報を表示します。

%prep
%setup -q -n %{lsofrh}
# 184338 - allow lsof access nptl threads
%patch1 -p1
# 243976 - mmap'd files with large inode numbers confuse lsof
%patch2 -p1
# 280651 - lsof prints entries in multiple lines when SElinux is disabled
%patch3 -p1

%build
LSOF_VSTR=2.6.23 LINUX_BASE=/proc ./Configure -n linux

make DEBUG="$RPM_OPT_FLAGS" %{?_smp_mflags}

#LSOF_VERS=24018 LSOF_VSTR=2.4.18 LINUX_BASE=/proc \
#	./Configure -n linux

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
install -p -m 0755 lsof ${RPM_BUILD_ROOT}%{_prefix}/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -p lsof.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc 00*
%attr(0755,root,root) %{_sbindir}/lsof
%{_mandir}/man*/*

%changelog
* Sun Apr 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.78-9
- changed Group to Applicaions/System

* Fri Oct 03 2008 Shu KONNO <owa@bg.wakwak.com> 4.78-8vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.78-7vl2
- rebuilt for VineSeed

* Mon Oct 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.78-7vl1
- rebuilt for VinePlus/4.0
- s/Copyright/License/
- based on Fedora Core 

* Fri Jan 21 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp>
- 4.73-1vl1
- based on Fedora Core 3

* Mon Dec 13 2004 Karel Zak <kzak@redhat.com> 4.73-1
- update to 4.73
- remove lsof_4.72-sock.patch, already in the upstream code

* Fri Jul 30 2004 Jakub Jelinek <jakub@redhat.com> 4.72-1
- update to 4.72
- use st_dev/st_ino comparison for sockets by name if possible
  (#126419)

* Fri Jul 18 2003 Jakub Jelinek <jakub@redhat.com> 4.68-1
- update to 4.68 (#99064)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 4.63-3
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jun 21 2002 Jakub Jelinek <jakub@redhat.com> 4.63-1
- update to 4.63 (#66333).

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Sep  7 2000 Jeff Johnson <jbj@redhat.com>
- update to 4.51.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change to root:root perms

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Wed Dec 22 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.47.

* Tue Aug  3 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.45.

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.44.

* Fri May 14 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 4.43 with sparc64 tweak (#2803)

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 4.42 (security fix)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- turn off setgid kmem "just in case".

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- buffer overflow patch.
- upgrade to 4.40.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- update to "official" 4.39 release.

* Wed Dec 16 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.39B (linux) with internal kernel src.

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.39A (linux)

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.37

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.36

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 4.35.
- rewrap for RH 5.2.

* Mon Jun 29 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [4.34-1]
- New version
- Spec rewriten to use %{name} and %{version} macros
- Removed old log enteries

* Tue Apr 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Built under RH5
- %install was changed
