Summary: Live syncing (mirroring) daemon
Summary(ja): リアルタイム同期(ミラーリング)デーモン
Name: lsyncd
Version: 1.39
Release: 1%{?_dist_release}

License: GPL
Group: Applications/Internet
URL: http://code.google.com/p/lsyncd/ 

Source: lsyncd-%{version}.tar.gz
Source1: lsyncd.init

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libxml2-devel
Requires: rsync
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
Lsyncd uses rsync to synchronize local directories with a remote machine running rsyncd. 
Lsyncd watches multiple directories trees through inotify. The first step after adding
the watches is to rsync all directories with the remote host, and then sync single file 
by collecting the inotify events. So lsyncd is a light-weight live mirror solution that
should be easy to install and use while blending well with your system. See lsyncd --help 
for detailed command line options.

%prep
%setup

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
%{__install} -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/lsyncd

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --add lsyncd

%preun
if [ "$1" = "0" ]; then
    /sbin/service lsyncd stop >/dev/null 2>&1
    /sbin/chkconfig --del lsyncd
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service lsyncd condrestart >/dev/null 2>&1
fi

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog NEWS TODO lsyncd.conf.xml
%{_sysconfdir}/rc.d/init.d/lsyncd
%{_bindir}/lsyncd
%{_mandir}/man1/lsyncd.1*
%{_mandir}/man5/lsyncd.conf.xml.5*
      
%changelog
* Sun Oct 31 2010 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.39-1
- new upstream release

* Thu Aug 05 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.34-1
- initial build for Vine Linux
