%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: X.Org X11 libXss runtime library
Summary(ja): X.Org X11 libXss ランタイムライブラリ
Name: libXScrnSaver
Version: 1.2.1
Release: 1%{?_dist_release}
License: MIT/X11
Group: System Environment/Libraries
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig
BuildRequires: xorg-x11-proto-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
Obsoletes: XFree86-libs, XOrg-libs

%description
X.Org X11 libXss runtime library

%package devel
Summary: X.Org X11 libXScrnSaver development package
Summary(ja): X.Org X11 libXScrnSaver 開発パッケージ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires(pre): xorg-x11-filesystem
Requires: xorg-x11-proto-devel
Requires: libX11-devel
Requires: libXext-devel
Obsoletes: XFree86-devel, XOrg-devel

%description devel
X.Org X11 libXss development package

# compat32
%package -n compat32-%{name}
Summary: X.Org X11 libXss runtime library
Summary(ja): X.Org X11 libXss ランタイムライブラリ
Group: System Environment/Libraries

%description -n compat32-%{name}
X.Org X11 libXss runtime library

%package -n compat32-%{name}-devel
Summary: X.Org X11 libXss development package
Summary(ja): X.Org X11 libXss 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-libX11-devel, compat32-libXext-devel

%description -n compat32-%{name}-devel
X.Org X11 libXss development package

%prep
%setup -q

# Disable static library creation by default.
%define with_static 0

%build
# FIXME: XScrnSaver.c:429: warning: dereferencing type-punned pointer will break strict-aliasing rules
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README ChangeLog
%{_libdir}/libXss.so.1
%{_libdir}/libXss.so.1.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/extensions/*.h
%if %{with_static}
%{_libdir}/libXss.a
%endif
%{_libdir}/libXss.so
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/xscrnsaver.pc
%{_mandir}/man3/*.3*

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libXss.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%{_libdir}/libXss.so
%{_libdir}/pkgconfig/xscrnsaver.pc
%endif

%changelog
* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-3
- rebuild with rpm-4.8.1 for pkg-config file

* Thu Nov 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-2
- add scrnsaver.h

* Wed Nov 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-1
- new upstream release

* Mon Aug 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.3-2
- add compat32 package for x86_64 arch support

* Sat Jul 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.3-1
- new upstream release

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.2-1
- new versioning policy

* Thu Jan 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.2-0vl1
- initial build for Vine Linux

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 1.1.2-3
- Rebuild for build id

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> 1.1.2-2
- Don't install INSTALL

* Fri Jan 05 2007 Adam Jackson <ajax@redhat.com> 1.1.2-1
- Update to 1.1.2

* Mon Nov 20 2006 Adam Jackson <ajax@redhat.com> 1.1.1-1
- Update to 1.1.1

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.1.0-3.1
- rebuild

* Wed Jun 07 2006 Mike A. Harris <mharris@redhat.com> 1.1.0-3
- Update build dep to "xorg-x11-proto-devel >= 7.0-9" for scrnsaverproto 1.1
- Added "Requires: xorg-x11-proto-devel >= 7.0-9" to devel package, to match
  what is listed as required in xscrnsaver.pc

* Mon Jun 05 2006 Mike A. Harris <mharris@redhat.com> 1.1.0-2
- Added "BuildRequires: pkgconfig" for (#193424)
- Replace "makeinstall" with "make install DESTDIR=..."
- Remove package ownership of mandir/libdir/etc.

* Fri May 12 2006 Adam Jackson <ajackson@redhat.com> 1.1.0-1
- Update to 1.1.0, new Suspend request.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated libXScrnSaver to version 1.0.1 from X11R7.0

* Mon Jan 16 2006 Mike A. Harris <mharris@redhat.com> 1.0.0-2
- Added "Requires: libX11-devel, libXext-devel" to work around bug (#176674).

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated libXScrnSaver to version 1.0.0 from X11R7 RC4

* Tue Dec 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.3-1
- Updated libXScrnSaver to version 0.99.3 from X11R7 RC3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3", to ensure
  that /usr/lib/X11 and /usr/include/X11 pre-exist.
- Removed 'x' suffix from manpage directories to match RC3 upstream.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-4
- Changed 'Conflicts: XFree86-devel, xorg-x11-devel' to 'Obsoletes'
- Changed 'Conflicts: XFree86-libs, xorg-x11-libs' to 'Obsoletes'

* Wed Nov 2 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-3
- Actually spell RPM_OPT_FLAGS correctly this time.

* Mon Oct 31 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Build with -fno-strict-aliasing to work around possible pointer aliasing
  issue

* Mon Oct 24 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Updated libXScrnSaver to version 0.99.2 from X11R7 RC1
- Updated file manifest to find manpages in "man3x"

* Mon Oct  3 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Updated to new upstream libXScrnSaver-0.99.1 which changes the .so name back
  to libXss, but keeps the inconsistent package name.  This may change again
  in the future.

* Thu Sep 29 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-3
- Renamed package to remove xorg-x11 from the name due to unanimous decision
  between developers.
- Use Fedora Extras style BuildRoot tag.
- Disable static library creation by default.
- Add missing defattr to devel subpackage
- Add missing documentation files to doc macro

* Tue Aug 23 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-2
- Renamed package to prepend "xorg-x11" to the name for consistency with
  the rest of the X11R7 packages.
- Added "Requires: %%{name} = %%{version}-%%{release}" dependency to devel
  subpackage to ensure the devel package matches the installed shared libs.
- Added virtual "Provides: lib<name>" and "Provides: lib<name>-devel" to
  allow applications to use implementation agnostic dependencies.
- Added post/postun scripts which call ldconfig.
- Added Conflicts with XFree86-libs and xorg-x11-libs to runtime package,
  and Conflicts with XFree86-devel and xorg-x11-devel to devel package.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial build.
