Name:          libarchive
Summary:       A library for handling streaming archive formats 
Version:       2.8.4
Release:       2%{?_dist_release}

Group:         System Environment/Libraries
License:       BSD
URL:           http://code.google.com/p/libarchive/

Source0:       http://libarchive.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: xz-devel
BuildRequires: sharutils

%description
Libarchive is a programming library that can create and read several different 
streaming archive formats, including most popular tar variants, several cpio 
formats, and both BSD and GNU ar variants. It can also write shar archives and 
read ISO9660 CDROM images and ZIP archives.

%package       devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --disable-bsdtar --disable-bsdcpio
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#iconv -f latin1 -t utf-8 < NEWS > NEWS.utf8; cp NEWS.utf8 NEWS
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name cpio.5 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name mtree.5 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name tar.5 -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/*
%{_mandir}/*/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.4-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Sep  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.4-1
- new upstream release

* Wed Apr 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.3-1
- new upstream release
- built with new toolchain

* Wed Apr  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.0-1
- new upstream release

* Wed Apr  2 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.14-1vl5
- Build for Vine Linux

* Wed Mar 18 2008 Tomas Bzatek <tbzatek@redhat.com> 2.4.14-1
- Initial packaging
