Name:             libdap
Version:          3.8.2
Release:          1%{?_dist_release}
Summary:          The C++ DAP2 library from OPeNDAP
Summary(ja):      OPeNDAP の C++ DAP2 ライブラリ
License:          LGPL
Group:            System Environment/Libraries
Source:           %{name}-%{version}.tar.gz
URL:              http://www.opendap.org/ 

BuildRoot:        %{_tmppath}/%{name}-%{version}-root
BuildRequires:    curl-devel >= 7.10.6 libxml2-devel >= 2.5.7  
Requires:         curl libxml2

Distribution:     Vine Linux
Vendor:           Project Vine

%description
The libdap++ library contains an implementation of DAP2. This package
contains the library, dap-config, getdap and deflate. The script dap-config
simplifies using the library in other projects. The getdap utility is a
simple command-line tool to read from DAP2 servers. It is built using the
library and demonstrates simple uses of it. The deflate utility is used by
the library when it returns compressed responses.

%description -l ja
libdap++は、DAP2実行ライブラリとユーティリティプログラム（dep-config、
getdap、deflate）を含む

%package devel
Summary:          Static libraries and header files from libdap
Summary(ja):      libdapの静的ライブラリとヘッダファイル
Group:            Development/Libraries
Requires:         %{name} = %{version}-%{release}
Requires:         pkgconfig automake
Requires:         curl-devel >= 7.10.6
Requires:         libxml2-devel >= 2.5.7

%description devel
This package contains all the files needed to develop applications that
will use libdap.

%description devel -l ja 
libdapを利用するために必要な開発ファイル

%prep
%setup -q 

%build
%configure
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root) 
%doc README NEWS COPYING COPYRIGHT_URI README.AIS README.dodsrc
%doc COPYRIGHT_W3C
%{_bindir}/getdap 
%{_sbindir}/deflate
%{_libdir}/libdap.so.*
%{_libdir}/libdapclient.so.*
%{_libdir}/libdapserver.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libdap.a
%{_libdir}/libdap.so
%{_libdir}/libdapclient.so
%{_libdir}/libdapclient.a
%{_libdir}/libdapserver.so
%{_libdir}/libdapserver.a
%{_bindir}/dap-config
%{_bindir}/dap-config-pkgconfig
%{_includedir}/libdap
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jan 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.8.2-1
- new upstream release
- applied new versioning policy
- spec in UTF-8

* Wed Mar  7 2007 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Initial package
