
Summary: Library for client-server games
Name: libggz
Version: 0.0.14.1
Release: 2%{_dist_release}

License: LGPLv2+
Group: System Environment/Libraries
URL: http://www.ggzgamingzone.org/

Source: http://ftp.belnet.be/packages/ggzgamingzone/ggz/%{version}/libggz-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: libgcrypt-devel
## tls support: openssl (l)gpl compat?  not sure, use gnutls for now -- Rex 
#BuildRequires: openssl-devel
BuildRequires: gnutls-devel

%description
GGZ (which is a recursive acronym for GGZ Gaming Zone) develops libraries,
games and game-related applications for client-server online gaming. Player
rankings, game spectators, AI players and a chat bot are part of this effort.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q


%build
%configure \
  --disable-debug \
  --disable-static \
  --with-gcrypt \
  --with-tls=GnuTLS

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

rm -f %{buildroot}/%{_libdir}/*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libggz.so.*

%files devel
%{_includedir}/ggz*.h
%{_libdir}/libggz.so
%{_mandir}/man3/ggz*


%changelog
* Sat Jan 17 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.0.14.1-2
- rebuild with gnutls-2.6.3

* Sun Apr 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.14.1-1
- initial build for Vine Linux

* Sun Feb 17 2008 Rex Dieter <rdieter@fedoraproject.org> 0.0.14.1-1
- ggz 0.0.14.1

* Fri Feb 08 2008 Rex Dieter <rdieter@fedoraproject.org> 0.0.14-3 
- respin (gcc43)

* Thu Sep 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.0.14-2
- cleanup

* Wed Sep  5 2007 Dries Verachtert <dries@ulyssis.org> - 0.0.14-1
- Updated to release 0.0.14.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 0.0.12-1.2
- Rebuild for Fedora Core 5.

* Sat Dec 03 2005 Dries Verachtert <dries@ulyssis.org> - 0.0.12-1
- Initial package.
