Summary:        A keyboard configuration library
Summary(ja):	キーボード設定ライブラリ
Name:           libgnomekbd
Version:       	2.32.0
Release:        1%{?_dist_release}
Group:          System Environment/Libraries
License:        LGPL
URL:            http://gswitchit.sourceforce.net
Source0:        http://ftp.gnome.org/pub/gnome/sources/libgnomekbd/2.32/libgnomekbd-%{version}.tar.bz2
# https://bugzilla.gnome.org/show_bug.cgi?id=615077
Patch1: libgnomekbd-2.30.0-fix-invalid-value-in-schema.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  dbus-devel >= 1.0
BuildRequires:  dbus-glib >= 0.73
BuildRequires:  GConf2-devel >= 2.26.0
BuildRequires:  gtk2-devel >= 2.16.0
BuildRequires:  libgnome-devel >= 2.26.0
BuildRequires:  libxklavier-devel >= 5.0
BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  gettext

Requires(pre): GConf2
Requires(post): GConf2 gtk2
Requires(preun): GConf2
Requires(postun): gtk2

%description
The libgnomekbd package contains a GNOME library which manages
keyboard configuration and offers various widgets related to 
keyboard configuration.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libxklavier-devel >= 5.0
Requires:       libgnome-devel >= 2.24.0
Requires:       pkgconfig

%description    devel
The libgnomekbd-devel package contains libraries and header files for
developing applications that use libgnomekbd.


%prep
%setup -q
## %patch1 -p1

%build
%configure --disable-static --disable-schemas-install --enable-compile-warnings=no
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/gkbd-indicator-plugins-capplet.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard_xkb.schemas >& /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :

%posttrans
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard_xkb.schemas >& /dev/null || :
fi


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard_xkb.schemas >& /dev/null || :
fi


%postun 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB
%{_libdir}/*.so.*
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/gkbd-indicator-plugins-capplet
%{_datadir}/applications/gnome-gkbd-indicator-plugins-capplet.desktop
%{_datadir}/libgnomekbd
#{_datadir}/icons/hicolor/48x48/apps/gkbd-indicator-plugins-capplet.png

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- remove BuildRequires: libgnomeui-devel

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release
- drop Patch1

* Sat Apr 17 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.30.0-2
- remove old Patches
- add Patch1 to fix invalid default value in schema
  https://bugzilla.gnome.org/show_bug.cgi?id=615077

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- fix BuildRequires: libxklavier-devel >= 5.0

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release
- remove BR: libglade2-devel

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sun Mar 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Thu Dec 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.0-0vl1
- new upstream release

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- initial build for Vine Linux

* Tue Mar 13 2007 Matthias Clasen <mclasen@redhat.com> - 2.18.0-1
- Update to 2.18.0

* Wed Jan 24 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.2-2
- Port former control-center patches to improve keyboard drawing

* Tue Nov  7 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.2-1
- Update to 2.17.2

* Tue Nov  7 2006 Matthias Clasen <mclasen@redhat.com> - 0.1-4
- Fix up Requires

* Thu Nov  2 2006 Matthias Clasen <mclasen@redhat.com> - 0.1-3
- Don't use --Werror

* Sat Oct 28 2006 Matthias Clasen <mclasen@redhat.com> - 0.1-2
- Fix a memory allocation error

* Sat Oct 28 2006 Matthias Clasen <mclasen@redhat.com> - 0.1-1
- Initial release
