%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
Summary:	common error codes for GnuPG related projects
Summary(ja):	GnuPG 関連プロジェクトで共通のエラーコード
Name:		libgpg-error
Version:	1.9
Release:	1%{?_dist_release}
URL:		ftp://ftp.gnupg.org/gcrypt/libgpg-error/
Source0:	ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2.sig
Group:		System Environment/Libraries
License:	LGPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux

%description
This is a library that defines common error values for all GnuPG
components. Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package devel
Summary:	Development files for the %{name} package
Summary(ja):	%{name} パッケージの開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future. This package
contains files necessary to develop applications using libgpg-error.

%package -n compat32-%{name}
Summary:	common error codes for GnuPG related projects
Summary(ja):	GnuPG 関連プロジェクトで共通のエラーコード
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n compat32-%{name}
This is a library that defines common error values for all GnuPG
components. Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package -n compat32-%{name}-devel
Summary:	Development files for the %{name} package
Summary(ja):	%{name} パッケージの開発用ファイル
Group:		Development/Libraries
Requires:	compat32-%{name} = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description -n compat32-%{name}-devel
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future. This package
contains files necessary to develop applications using libgpg-error.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_datadir}/common-lisp

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING COPYING.LIB AUTHORS README INSTALL NEWS ChangeLog
%{_bindir}/gpg-error
%{_libdir}/libgpg-error.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/gpg-error-config
%{_libdir}/libgpg-error.so
%{_includedir}/gpg-error.h
%{_datadir}/aclocal/gpg-error.m4

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/libgpg-error.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/libgpg-error.so
%endif

%changelog
* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.9-1
- new upstream release

* Thu Apr 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.7-1
- new upstream release
- added --disable-static to %%configure
- built with new toolchain

* Sat Jun 27 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.6-3
- added compat32 package for x86_64 arch support

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6-2
- spec in utf-8
- remove static lib

* Tue Mar 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6-1vl5
- new upstream release
- used _dist_release macro

* Fri Mar 09 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4-0vl1
- new upstream release
- add Vendor/Distribution tag

* Sun Apr 09 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3-0vl1
- new upstream release

* Tue Nov 30 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- initial build for Vine Linux

* Tue Aug 31 2004 Bill Nottingham <notting@redhat.com> - 1.0-1
- update to 1.0

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 0.7-1
- adapt upstream specfile
