Summary: Library for accessing weather information
Summary(ja): 天気予報情報にアクセスするライブラリ
Name: libgweather
Version: 2.30.3
Release: 1%{?_dist_release}
URL: http://www.gnome.org/
License: GPL 
Group: System Environment/Libraries
Source0: http://ftp.gnome.org/pub/GNOME/sources/libgweather/2.30/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: libsoup-devel
Requires(post,pre,preun): GConf2

%description

libgweather is a library to access weather information from online
services for numerous locations.

%description -l ja

libgweather はオンラインサービス上にある世界中の天気予報情報に
アクセスするためのライブラリです。


%package l10n
Summary: Localized xml files for %{name}
Summary(ja): %{name} の多言語データ
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description l10n
This package contains localized xml files for libgweather.
(except for English and Japanese)

%description -l ja l10n
このパッケージには libgweather 用の各種言語の xml ファイルが
含まれています。(英語および日本語以外の言語)


%package devel
Summary: Libraries and headers for libgweather
Summary(ja): libgweather 用ライブラリとヘッダ
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: gtk2-devel
Requires: GConf2-devel
Requires: libsoup-devel

%description devel

Libraries and headers for libgweather.

%description devel -l ja

libgweather 用ライブラリとヘッダ


%prep
%setup -q


%build
%configure --disable-schemas-install
# do NOT use smp flag
make


%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}

%find_lang %{name} 


%clean
rm -rf $RPM_BUILD_ROOT


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gweather.schemas \
    > /dev/null || :
/sbin/ldconfig


%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gweather.schemas \
    > /dev/null || :
fi


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gweather.schemas \
    > /dev/null || :
fi


%postun -p /sbin/ldconfig

  
%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_libdir}/lib*.so.*
%dir %{_datadir}/libgweather
%{_datadir}/libgweather/Locations.xml
%{_datadir}/libgweather/Locations.ja.xml
%{_datadir}/libgweather/locations.dtd
%{_datadir}/icons/gnome/*/status/weather-*


%files l10n
%defattr(-,root,root)
%{_datadir}/libgweather/*.xml
%exclude %{_datadir}/libgweather/Locations.xml
%exclude %{_datadir}/libgweather/Locations.ja.xml
%exclude %{_datadir}/libgweather/locations.dtd


%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/libgweather


%changelog
* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.3-1
- new upstream release

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release
- removed BR: gnome-vfs2-devel
- added BR: libsoup-devel

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2.1-1
- new upstream release

* Wed Apr 08 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-2
- split l10n xml files to -l10n subpackage.

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- remove static libs

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3-1
- new upstream release

* Sun Oct 26 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.1-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Wed Jul 30 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.22.3-1
- new upstream release
- added Japanese summary and description, in UTF-8

* Sun Jun  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release

* Sat Apr 19 2008 NAKAMURA Kenta <kenta@vinelinux.org> 2.22.1.2-2
- dropped %%{_smp_mflags} from make option

* Thu Apr 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1.2-1vl5
- new upstream release

* Wed Apr  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1.1-1vl5
- new upstream release

* Sun Mar 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- initial package for Vine Linux
