Name:		libical
Version:	0.44
Release:	2%{?_dist_release}
Summary:	Reference implementation of the iCalendar data type and serialization format
Summary(pl):	Implementacja formatu iCalendar

Group:		System Environment/Libraries
License:	LGPLv2 or MPLv1.1
URL:		http://freeassociation.sourceforge.net/

Source0:	http://downloads.sourceforge.net/freeassociation/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.43-implicit-pointer-conversion.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	flex

Vendor: Project Vine
Distribution: Vine Linux
Packager: babasaki, daisuke


#----------------------------------------------------------------------------
%description
Reference implementation of the iCalendar data type and serialization format
used in dozens of calendaring and scheduling products.

%description -l pl
Implementacja formatu iCalendar, używana w wielu kalendarzach i
planerach/planistach.

#----------------------------------------------------------------------------
%package devel
Summary:	Development files for libical
Summary(pl):	Pliki deweloperskie dla libical
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libical-devel package contains libraries and header files for developing 
applications that use libical.

%description devel -l pl
libical-devel zawiera biblioteki i pliki niezbędne do tworzenia aplikacji
korzystających z libical.

#----------------------------------------------------------------------------
%prep
%setup -q
## %patch0 -p1

%build
%configure --disable-static -enable-cxx --enable-reentrant

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%check
# make check
# Fails on x86_64 and ppc64.

#----------------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------------
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc LICENSE
%doc NEWS
%doc README
%doc THANKS
%doc TODO
%{_libdir}/%{name}.so.*
%{_libdir}/%{name}_cxx.so.*
%{_libdir}/libicalss.so.*
%{_libdir}/libicalss_cxx.so.*
%{_libdir}/libicalvcal.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/UsingLibical.txt
%{_includedir}/ical.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}_cxx.so
%{_libdir}/libicalss.so
%{_libdir}/libicalss_cxx.so
%{_libdir}/libicalvcal.so
%{_libdir}/pkgconfig/libical.pc

%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h

%changelog
* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.44-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.44-1
- new upstream release
- drop Patch0

* Fri May 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.43-2
- remove comment line after %%postun
- add Vendor/Distribution/Packager tags

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.43-1
- new upstream release
- add pkgconfig file to -devel subpackage.
- move libicalvcal headers to /usr/include/libical (patch1,2)
- add patch0 to fix implicit pointer conversion from Debian. Fixes Debian BTS
  bug #511598.

* Mon Oct 27 2008 Seiichirou Babasaki - 0.32-2
- Import libical - Packager: Babasaki
- Updated specfile

* Tue Sep 03 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.32-1
- Version bump to 0.32.
- Parallel build problems fixed.

* Sun Jul 27 2008 Jeff Perry <jeffperry_fedora@sourcesink.com> - 0.31-3
- Added 'BuildRequires: bison byacc flex'.

* Sun Jul 27 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.31-2
- Fixed linkage problems and disabled parallel build till upstream accepts fix.

* Thu Jul 17 2008 Jeff Perry <jeffperry_fedora@sourcesink.com> - 0.31-1
- Version bump to 0.31.

* Thu Jul 17 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.30-4
- Changed value of License according to Fedora licensing guidelines.
- Enabled reentrant system calls and C++ bindings.
- Omitted unused direct shared library dependencies.
- Added ChangeLog, COPYING, LICENSE, NEWS and README to doc and dropped
  examples.

* Wed Apr 02 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.30-3
- Source URL... Fixed

* Wed Apr 02 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.30-2
- Removed untrue note about libical's homepage (to get rid of eventuall mess)

* Sat Feb 23 2008 David Nielsen <gnomeuser@gmail.com> - 0.30-1
- Switch to freeassociation libical
- bump to 0.30

* Sat Feb 09 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-5
- Mass rebuild for new GCC... Done

* Sat Jan 19 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-4
- Licence... Fixed

* Fri Jan 18 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-3
- Files section... Fixed

* Thu Jan 17 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-2
- Source... Changed
- Debug information in libical main package... Excluded
- Non-numbered .so files in libical main package... Moved
- libical-devel documentation... Added

* Mon Dec 24 2007 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-1
- Initial release
