Name:          libimobiledevice
Version:       1.0.4
Release:       1%{?_dist_release}
Summary:       Library for connecting to mobile devices
Summary(ja):   モバイルデバイスに接続するためのライブラリ

Group:         System Environment/Libraries
License:       LGPLv2+
URL:           http://matt.colyer.name/projects/iphone-linux/

Source0:       http://cloud.github.com/downloads/MattColyer/libiphone/%{name}-%{version}.tar.bz2
Patch0:        libimobiledevice-fixdso.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libxml2-devel
BuildRequires: libusb1-devel
BuildRequires: libtasn1-devel
BuildRequires: libplist-devel
BuildRequires: glib2-devel
BuildRequires: gnutls-devel
BuildRequires: python-devel
BuildRequires: swig
BuildRequires: usbmuxd-devel

Provides: libiphone = %{version}
Obsoletes: libiphone < 0.9.7 

%description
libimobiledevice is a library for connecting to mobile devices including phones 
and music players

%package devel
Summary: Development package for libimobiledevice
Summary(ja): libimobiledevice の開発用パッケージ
Group: Development/Libraries
Requires: libimobiledevice = %{version}-%{release}
Requires: libplist-devel >= 0.12
Requires: usbmuxd-devel >= 0.1.0
Requires: glib2-devel >= 2.14.1
Requires: gnutls-devel >= 1.6.3
Requires: libtasn1-devel >= 1.1
Requires: pkgconfig
Provides: libiphone-devel = %{version}
Obsoletes: libiphone-devel < 0.9.7 

%description devel
Files for development with libimobiledevice.

%package python
Summary: Python bindings for libimobiledevice
Summary(ja): libimobiledevice の Python バインディング
Group: Development/Libraries
Requires: libimobiledevice = %{version}-%{release}
Requires: pkgconfig
Provides: libiphone-python = %{version}
Obsoletes: libiphone-python < 0.9.7 

%description python
Python bindings for libimobiledevice.

%prep
%setup -q
%patch0 -p1 -b .fixdso

# Fix dir permissions on html docs
chmod +x docs/html

%build
%configure --disable-static
# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LESSER README
%doc %{_datadir}/man/man1/idevice*
%{_bindir}/idevice*
%{_libdir}/libimobiledevice.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/html/
%{_libdir}/pkgconfig/libimobiledevice-1.0.pc
%{_libdir}/libimobiledevice.so
%{_includedir}/libimobiledevice/

%files python
%defattr(-,root,root,-)
%{python_sitearch}/imobiledevice/

%changelog
* Tue Dec 28 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-1
- new upstream release

* Thu Sep 30 2010 Shu KONNO <owa@bg.wakwak.com> 1.0.2-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Jun 26 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.2-1
- new upstream release

* Sat May 22 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.0-2
- updated devel package Requires

* Thu Apr 29 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-1
- initial build for Vine Linux

* Sun Mar 21 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.0-1
- New upstream stable 1.0.0 release

* Mon Feb 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.7-3
- Add patch to fix DSO linking. Fixes bug 565084

* Wed Feb  3 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.7-2
- Package review updates, add developer docs

* Wed Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.7-1
- New package for new library name. Update to 0.9.7

* Sun Jan 24 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.6-1
- Update to 0.9.6 release

* Sat Jan  9 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.5-3
- Updated to the new python sysarch spec file reqs

* Tue Dec 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.5-2
- Update python bindings

* Sat Dec 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.5-1
- Update to 0.9.5 release for new usbmuxd/libplist 1.0.0 final

* Sat Dec 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.4-3
- Rebuild for libplist .so bump

* Wed Oct 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.4-2
- Update from libusb to libusb1

* Wed Oct 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.4-1
- Update to 0.9.4 release for new usbmuxd 1.0.0-rc1

* Mon Aug 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.3-1
- Update to 0.9.3 release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.1-2
- Add new build reqs

* Tue May 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.1-1
- Update to official 0.9.1 release

* Fri Apr 03 2009 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-11.20090325git443edc8
- Update to latest master version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-10.20090103git5cde554
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-9.git5cde554
- Add back gnutls version patch

* Sat Jan 3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-8.git5cde554
- Upload bzipped source file

* Sat Jan 3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-7.git5cde554
- New git snapshot

* Mon Dec 5 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-6.git8c3a01e
- Fix devel dependency 

* Mon Dec 5 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-5.git8c3a01e
- Fix gnutls check for new rawhide version

* Mon Dec 5 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-4.git8c3a01e
- Rebuild for pkgconfig

* Tue Dec 2 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-3.git8c3a01e
- Fix git file generation

* Mon Dec 1 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-2.git8c3a01e
- Updates for package review

* Sat Nov 29 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-1
- Initial package
