Summary: A library for accessing MusicBrainz servers
Summary(ja): MusicBrainz サーバにアクセスするためのライブラリ
Name: libmusicbrainz
Version: 2.1.5
Release: 2%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
URL: http://musicbrainz.org/
Source0: http://ftp.musicbrainz.org/pub/musicbrainz/libmusicbrainz-%{version}.tar.gz
Patch0: libmusicbrainz-2.1.5-glibc-headers.patch
BuildRequires: gcc-c++
BuildRequires: expat-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package devel
Summary: Headers for developing programs that will use libmusicbrainz
Group:      Development/Libraries
Requires:  %{name} = %{version}-%{release}
Requires:  libstdc++34-devel
Obsoletes: musicbrainz-devel

%description   devel
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%prep
%setup -q
%patch0 -p0 -b .glibc-headers

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

# remove unneeded files
%__rm -f %{buildroot}%{_libdir}/*.la

%clean
%__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO INSTALL
%{_libdir}/*.so.*
#{_libdir}/*.a

%files devel
%defattr(-,root,root,-)
%{_includedir}/musicbrainz
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Oct 02 2010 Shu KONNO <owa@bg.wakwak.com> 2.1.5-2
- rebuilt with rpm-4.8.1 for pkg-config
- added libmusicbrainz-2.1.5-glibc-headers.patch

* Sun Jan 10 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.5-1
- new upstream release
- added --disable-static to %%configure
- added %%post and %%postun section

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.1.4-1vl5
- applied new versioning policy

* Thu Feb 21 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.1.4-0vl4
- rebuild with expat-2.0.1

* Thu May 24 2007 NAKAMURA Kenta <kenta@vinelinux.org> 2.1.4-0vl3
- removed BuildRequires: libstdc++3-devel

* Thu May 17 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl2
- rebuild with new environment/toolchain

* Sun Oct 15 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.4-0vl1
- [SECURITY] upstream release
  - multiple buffer overflows (CVE-2006-4197)
- add BuildRequires: expat-devel

* Thu Feb 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.2-0vl1
- upstream release

* Sat Mar 05 2005 Satoshi MACHINO <machino@vinelinux.org> 2.1.1-0vl1
- Initial build.
