Summary: A C++ API to the PostgreSQL database management system.
Summary(ja): PostgreSQL の C++ API
Name: libpqxx
Version: 2.6.9
Release: 3%{?_dist_release}
License: LGPL
Group: Development/Libraries
Source: ftp://gborg.postgresql.org/pub/libpqxx/stable/libpqxx-%{version}.tar.gz
Patch0: libpqxx-2.6.9-glibc-headers.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://pqxx.tk/
BuildPrereq: postgresql-devel
Requires: postgresql-libs

%description
What libpqxx brings you is effective use of templates to reduce the 
inconvenience of dealing with type conversions; of standard C++ strings 
to keep you from having to worry about buffer allocation and overflow 
attacks; of exceptions to take the tedious and error-prone plumbing around 
error handling out of your hands; of constructors and destructors to bring 
resource management under control; and even basic object-orientation 
to give you some extra reliability features that would be hard to get 
with most other database interfaces.

%package devel
Summary: Libraries, includes, etc. to develop PostgreSQL applications in C++.
Summary(ja): C++ で PostgreSQL アプリケーションを開発ためのライブラリ／ヘッダファイル等
Group: Development/Libraries
Requires: libpqxx = %{version}

%description devel
Libraries, include files, etc you can use to develop PostgreSQL applications
in C++.

%prep
%setup -q
%patch0 -p0 -b .gibc-headers

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_libdir}/*.so

%files devel
%defattr(-,root,root)
%doc doc/html/Reference doc/html/Tutorial
%{_bindir}/*
%{_includedir}/pqxx/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.9-3
- rebuilt with rpm-4.8.1 for pkg-config
- added libpqxx-2.6.9-glibc-headers.patch

* Wed Jul 08 2009 Shu KONNO <owa@bg.wakwak.com> 2.6.9-2
- rebuilt with postgresql-8.4.0

* Sat Jul 05 2008 Shu KONNO <owa@bg.wakwak.com> 2.6.9-1vl5
- rebuilt with postgresql-8.3.3
- applied new versioning policy, and spec in utf-8

* Tue Jan 08 2008 Shu KONNO <owa@bg.wakwak.com> 2.6.9-0vl3
- rebuilt with postgresql-8.2.6

* Wed Sep 19 2007 Shu KONNO <owa@bg.wakwak.com> 2.6.9-0vl2
- rebuilt with postgresql-8.2.5

* Tue May 22 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.6.9-0vl1
- new upstream release
- build with new toolchain

* Sun Oct 22 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.5.5-0vl2
- added --libdir=%%{_libdir} configure option

* Thu Jul  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.5.5-0vl1
- new upstream release
- add Japanese summary

* Wed Jun  1 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.5.3-0vl1
- new upstream release

* Wed Apr 27 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.5.0-0vl1
- new upstream release
- clean up this file

* Thu Jan 29 2004 Arjen Baart <arjen@andromeda.nl>
- Built release 2.1.3
