%define __libtoolize :

%define libxml2_version 2.7.7
%define gtk2_version 2.22.1
%define freetype_version 2.4.2
%define popt_version 1.14
%define libart_version 2.3.21
%define cairo_version 1.10.0
%define libgnomeui_version 2.24.4
%define gnome_vfs_version 2.24.4
%define dbus_version 1.4.0
%define dbus_glib_version 0.88
%define avahi_glib_version 0.6.23
%define libcroco_version 0.6.2
%define libgsf_version 1.14.19

Name:    librsvg2
Summary: An SVG library based on libart.
Summary(ja): libart ベースの SVG ライブラリ
Version: 2.32.1
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: librsvg-%{version}.tar.bz2

Requires(post,postun): gtk2 >= %{gtk2_version}
Requires(post): dbus-glib >= %{dbus_glib_version}
Requires(post): avahi-glib >= %{avahi_glib_devel}
Requires(post): libgsf, libcroco
Requires: gtk2 >= %{gtk2_version}
Requires: libxml2 >= %{libxml2_version}
Requires: popt >= %{popt_version}
Requires: freetype2 >= %{freetype_version}
Requires: libpng
BuildRequires: libpng-devel
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: freetype2-devel >= %{freetype_version}
BuildRequires: cairo-devel >= %{cairo_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_devel}
BuildRequires: avahi-glib-devel >= %{avahi_glib_devel}
BuildRequires: libcroco-devel >= %{libcroco_version}
BuildRequires: libgsf-devel >= %{libgsf_version}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
An SVG library based on libart.

%description -l ja
libart ベースの SVG ライブラリです


%package devel
Summary: Libraries and include files for developing with librsvg.
Summary(ja): librsvg の開発用ライブラリおよびヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: freetype2-devel >= %{freetype_version}
Requires: libgsf-devel, libcroco-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%prep
%setup -q -n librsvg-%{version}

%build
%configure --disable-gtk-doc \
	   --with-svgz \
	   --enable-gtk-theme \
	   --with-croco \
	   --disable-static
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/engines/libsvg.*a
rm -f $RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbuf*.*a
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ -x /usr/bin/gdk-pixbuf-query-loaders ]; then
  /usr/bin/gdk-pixbuf-query-loaders --update-cache || :
fi ||:

%postun
/sbin/ldconfig
if [ -x /usr/bin/gdk-pixbuf-query-loaders ]; then
  /usr/bin/gdk-pixbuf-query-loaders --update-cache || :
fi ||:

%files

%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/gtk-2.0/*/engines/*.so
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so
%{_mandir}/man1/*
%{_datadir}/pixmaps/*
%{_datadir}/themes/bubble/gtk-2.0/*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/librsvg-2.0/librsvg
%{_libdir}/pkgconfig/librsvg-2.0.pc
%{_datadir}/gtk-doc/html/rsvg-2.0

%changelog
* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- remove BuildRequires: popt, libart_lgpl, libgnomeui-devel, gnome-vfs2-devel
- remove Requires: libart_lgpl
- add configure option (--disable-static)
- remove unrecognized configure option (--enable-gnome-vfs, --disable-mozilla-plugins)
- fix %install, %files, %post and %postun

* Wed Sep 22 2010 IWAI, Masaharu <iwai@alib.jp> 2.26.3-1
- build with rpm-4.8.1-1 for pkg-config file

* Sun May 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.26.3-1
- new upstream release

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- remove static libs

* Sun Oct 26 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.3-1vl5
- new upstream release
- spec in UTF-8

* Wed Mar 26 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1vl5
- new upstream release

* Sat Mar  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.2-0vl2
- rebuilt with libgsf-1.14.8

* Sat Sep  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.2-0vl1
- new upstream release

* Sun May 20 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.1-0vl1
- new upstream release
- add BuildRequires: dbus-glib-devel, avahi-glib-devel
- add BuildRequires: libgsf-devel, libcroco-devel
- add Requires(post): dbus-glib, avahi-glib, libgsf, libcroco
- add Requires(post,postun): glib2

* Tue Apr 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.4-0vl5
- rebuild with gtk+-2.10

* Thu Aug 31 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.14.4-0vl4
- rebuilt without libgsf-devel

* Tue Jun 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.4-0vl3
- update %%post scripts to use %%{_sysconfdir}/gtk-2.0/%%{_arch}/gd-pixbuf.loaders
  for biarch support. (TODO: add compat32)

* Sat Jun 17 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.14.4-0vl2
- rebuild

* Mon May 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.4-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Wed Oct 12 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.7-0vl1
- new upstream release
- added --disable-gtk-doc option

* Sat Oct  8 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.6-0vl1
- new upstream release
- added gtk-doc to devel package

* Sun Oct  2 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.3-0vl1
- new upstream release
- added Japanese description
- added --without-svgz option (because it requires libgsf)

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Fri Jun 18 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.0-0vl4
- rebuilt to avoid unwanted dependency (libgsf)

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl3
- add gdk-pixbuf-query-loaders to post/postun script.

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl2
- rebuild with gtk+-2.4.0

* Wed Sep 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-0vl2
- fix kanji code of spec file
- fix file entry, add missing files

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-0vl1
- new upstream release

* Sat Jul 12 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.5-0vl2
- added --without-svgz and --without-gimp to %configure 

* Thu Jul 10 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.5-0vl1
- new upstream release
- added %{_bindir}/rsvg and %{_mandir}/man1/* to main package
- added %{_libdir}/gtk-2.0/* to devel package

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.3-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.2-0vl1
- build for Vine Linux
- new upstream release from gnome-2.1.4

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May 02 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 1.1.6

* Mon Feb 11 2002 Alex Larsson <alexl@redhat.com> 1.1.3-1
- Update to 1.1.3

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- new CVS snap 1.1.0.91
- remove automake/autoconf calls

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- convert to librsvg2 RPM

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 1.0.2

* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Add a patch that moves the includes to librsvg-1/librsvg
- in preparation for a later librsvg 2 library.

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- build requires gnome-libs-devel, #49509

* Thu Jul 19 2001 Havoc Pennington <hp@redhat.com>
- own /usr/include/librsvg

* Wed Jul 18 2001 Akira TAGOH <tagoh@redhat.com> 1.0.0-4
- fixed the linefeed problem in multibyte environment. (Bug#49310)

* Mon Jul 09 2001 Havoc Pennington <hp@redhat.com>
- put .la file back in package 

* Fri Jul  6 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- Put changelog at the end
- Move .so files to devel subpackage
- Don't mess with ld.so.conf
- Don't use %%{prefix}, this isn't a relocatable package
- Don't define a bad docdir
- Add BuildRequires
- Use %%{_tmppath}
- Don't define name, version etc. on top of the file (why do so many do that?)
- s/Copyright/License/

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- Put into Red Hat Build system

* Tue Oct 10 2000 Robin Slomkowski <rslomkow@eazel.com>
- removed obsoletes from sub packages and added mozilla and trilobite
subpackages

* Wed Apr 26 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing

