%{!?python_siteinc: %define python_siteinc %(%{__python} -c "from distutils.sysconfig import get_python_inc; print get_python_inc()")}

Summary:	A library of gtk+ widgets for SciGraphica
Summary(ja):    SciGraphica 用 gtk+-2.x ウィジェットライブラリ
Name:		libscigraphica
Version:	2.1.1
Release:	3%{?_dist_release}
License:	GPLv2+
Group:		System Environment/Libraries
Url:		http://scigraphica.sourceforge.net
Source:		http://dl.sourceforge.net/scigraphica/%{name}-%{version}.tar.gz
Patch0:		libscigraphica-configure-fix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk+extra-devel >= 2.0, libxml2-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	python-devel python-numeric-devel
BuildRequires:	gettext perl(XML::Parser)
 
%description
A library of gtk+ widgets for SciGraphica. SciGraphica is a free (GPL)
scientific application for data analysis and technical graphics


%package devel
Summary:	Development files for SciGraphica
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig automake
Requires:	gtk+extra-devel
                                                                                
%description devel
This package includes the library and header files for compiling programs
that use libscigraphica

                                                                               
%prep
%setup -q
%patch0 -p0 -b .fix


%build
%configure --disable-static --with-python-numeric-path=%{python_siteinc}/Numeric
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="%{__install} -c -p" install

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO
%{_libdir}/%{name}*.so.*
%{_libdir}/scigraphica/
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/*.xpm
%{_datadir}/pixmaps/%{name}/*.xpm


%files devel
%defattr(-,root,root,-)
%{_includedir}/scigraphica-2.0/
%{_libdir}/%{name}*.so
%{_datadir}/aclocal/%{name}-2.0.m4
%{_libdir}/pkgconfig/%{name}-2.0.pc
%{_datadir}/pixmaps/%{name}/*.h


%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.1-3
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Apr 19 2010 Shu KONNO <owa@bg.wakwak.com> 2.1.1-2
- rebuilt with python-2.6

* Fri Oct 10 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.1.1-1
- initial build for VineSeed

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 2.1.1-8
- Rebuild for gcc43

* Wed Aug 22 2007 Deji Akingunola <dakingun@gmail.com> - 2.1.1-7
- Update License tag and rebuild

* Mon Jan 02 2007 Deji Akingunola <dakingun@gmail.com> - 2.1.1-6
- Make the package own $(datadir)/pixmaps/$(name)

* Mon Jan 01 2007 Deji Akingunola <dakingun@gmail.com> - 2.1.1-5
- Patch out build flags that were actually meant for CVS builds
- Specify python-numeric path to avoid collisions with python-numarray

* Mon Jan 01 2007 Deji Akingunola <dakingun@gmail.com> - 2.1.1-4
- Make the -devel subpackage require gtk+extras
- Move the .m4 file to the -devel subpackage

* Fri Dec 29 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.1-3
- Fix sloppy editing in the release and require tags

* Fri Dec 29 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.1-2
- Require pkgconfig for the devel sub-package
- Properly requires the main package by the -devel subpackage

* Sat Dec 09 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.1-1
- Initial build for Fedora Extras
