%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

%define gcc_version 4.4.3

Summary: The GNU Portable Library Tool
Summary(ja): GNU ポータブルライブラリツール
Name:    libtool
Version: 2.2.6b
Release: 1%{?_dist_release}
License: GPLv2+ and LGPLv2+ and GFDL
Group:   Development/Tools
URL:     http://www.gnu.org/software/libtool/

Source:  http://ftp.gnu.org/gnu/libtool/libtool-%{version}.tar.gz
Patch0:  libtool-2.2.6a-rpath.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

BuildRequires: autoconf >= 2.59, automake >= 1.9.2, texinfo
Requires: autoconf >= 2.58, automake >= 1.4
# make sure we can configure all supported langs
BuildRequires: gcc, gcc-c++, libstdc++-devel, gcc-gfortran
#BuildRequires: gcc-java
# /usr/bin/libtool includes paths within gcc's versioned directories
# Libtool must be rebuilt whenever a new upstream gcc is built
Requires: gcc = %{gcc_version}

Requires: autoconf >= 2.50, automake >= 1.4p1, m4, perl
Requires: libtool-ltdl = %{version}-%{release}, mktemp


%description
GNU Libtool is a set of shell scripts which automatically configure UNIX and
UNIX-like systems to generically build shared libraries. Libtool provides a
consistent, portable interface which simplifies the process of using shared
libraries.

If you are developing programs which will use shared libraries, but do not use
the rest of the GNU Autotools (such as GNU Autoconf and GNU Automake), you
should install the libtool package.

The libtool package also includes all files needed to integrate the GNU 
Portable Library Tool (libtool) and the GNU Libtool Dynamic Module Loader
(ltdl) into a package built using the GNU Autotools (including GNU Autoconf
and GNU Automake).

This package includes a modification from the original GNU Libtool to allow
support for multi-architecture systems, such as the AMD64 Opteron and the Intel 
64-bit Xeon.

%description -l ja
GNU Libtoolは、UNIX及びUNIXライクなアーキテクチャで共有ライブラリを汎用的
にビルドするための設定を自動化するシェルスクリプトのセットです。libtoolは、
共有ライブラリを利用する工程を単純化する首尾一貫した移植可能なインターフェー
スを提供します。

もし、GNU Autotools (GNU Autoconf および GNU Automake) を使わずに共有ライ
ブラリを利用するプログラムを開発するなら、libtool パッケージをインストール
する必要があります。

このパッケージの Libtool は、AMD64 や Intel EM64T などのマルチアーキテクチャ
システムをサポートするために、オリジナルのGNU Libtoolから変更が施されています。


%package ltdl
Summary:  Runtime libraries for GNU Libtool Dynamic Module Loader
Summary(ja): GNU Libtool ダイナミックモジュールローダのランタイムライブラリ
Group:    System Environment/Libraries
Provides: libtool-libs = %{version}-%{release}
Obsoletes: libtool-libs < 1.5.20
License:  LGPL
Requires(post):  /sbin/ldconfig
Requires(postun):  /sbin/ldconfig


%description ltdl
The libtool-ltdl package contains the GNU Libtool Dynamic Module Loader, a
library that provides a consistent, portable interface which simplifies the
process of using dynamic modules.

These runtime libraries are needed by programs that link directly to the
system-installed ltdl libraries; they are not needed by software built using the
rest of the GNU Autotools (including GNU Autoconf and GNU Automake).

%description -l ja ltdl
libtool-ltdl パッケージにはGNU Libtool 動的モジュールローダのランタイムライ
ブラリが含まれています。GNU Libtool 動的モジュールローダは、動的モジュールを
利用する工程を単純化する首尾一貫した移植可能なインターフェースを提供します。


%package ltdl-devel
Summary: Tools needed for development using the GNU Libtool Dynamic Module Loader
Summary(ja): GNU Libtool ダイナミックモジュールローダを使った開発に必要なファイル群
Group:    Development/Libraries
Requires: libtool-ltdl = %{version}-%{release}
License:  LGPL


%description ltdl-devel
Static libraries and header files for development with ltdl.

%description -l ja ltdl-devel
ltdlを使った開発に必要なスタティックライブラリおよびヘッダファイル


## to build compat32 for x86_64 architecture support
%package -n compat32-%{name}-ltdl
Summary: Runtime libraries for GNU Libtool Dynamic Module Loader
Group: System Environment/Libraries
%description -n compat32-%{name}-ltdl
The libtool-ltdl package contains the GNU Libtool Dynamic Module Loader, a
library that provides a consistent, portable interface which simplifies the
process of using dynamic modules.

%package -n compat32-%{name}-ltdl-devel
Summary: Tools needed for development using the GNU Libtool Dynamic Module Loader
Group: Development/Libraries
Requires: compat32-%{name}-ltdl = %{version}-%{release}
%description -n compat32-%{name}-ltdl-devel
Static libraries and header files for development with ltdl.


%prep
%setup -n libtool-2.2.6b -q
%patch0 -p1 


%build

./bootstrap

export CC=gcc
export CXX=g++
export F77=gfortran
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
# dumb redhat-rpm-config replaces config.{sub,guess} with ancient ones in %%configure, use ./configure instead:
./configure --prefix=%{_prefix} --exec-prefix=%{_prefix} --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} --includedir=%{_includedir} --libdir=%{_libdir} --libexecdir=%{_libexecdir} --localstatedir=%{_localstatedir} --mandir=%{_mandir} --infodir=%{_infodir}
# build not smp safe:
make #%{?_smp_mflags}


%check
make check VERBOSE=yes > make_check.log 2>&1 || (cat make_check.log && false)



%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_libdir}/libltdl.{a,la}



%clean
rm -rf %{buildroot}



%post
/sbin/install-info %{_infodir}/libtool.info.gz %{_infodir}/dir || :

%post ltdl -p /sbin/ldconfig



%preun
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/libtool.info.gz %{_infodir}/dir || :
fi

%postun ltdl -p /sbin/ldconfig


%post -n compat32-%{name}-ltdl
/sbin/ldconfig

%postun -n compat32-%{name}-ltdl
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS TODO ChangeLog
%{_infodir}/libtool.info.gz
%{_bindir}/libtool
%{_bindir}/libtoolize
%{_datadir}/aclocal/*.m4
%{_datadir}/libtool
%{_infodir}/*


%files ltdl
%defattr(-,root,root)
%doc libltdl/COPYING.LIB libltdl/README
%{_libdir}/libltdl.so.*


%files ltdl-devel
%defattr(-,root,root)
%{_libdir}/libltdl.so
%{_includedir}/ltdl.h
%{_includedir}/libltdl/*


%if %{build_compat32}
## to build compat32 for x86_64 architecture support
%files -n compat32-%{name}-ltdl
%defattr(-,root,root)
%{_libdir}/libltdl.so.*

%files -n compat32-%{name}-ltdl-devel
%defattr(-,root,root)
%{_libdir}/libltdl.so
%endif


%changelog
* Sat Feb 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.2.6b-1
- new upstream release

* Mon Jan 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.6a-4
- rebuilt with gcc-4.4.3-1 (w/o gcc-java)

* Tue May 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.6a-3
- remove comment before compat32 scriptlet to avoid scriptlet failure.

* Sun May 10 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.2.6a-2
- removed %%if !%%{build_compat32} case condition

* Wed Apr 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.6a-1
- update to 2.2.6a
- remove libltdl static library

* Wed Jun 18 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.5.26-3
- updated to 1.5.26, importing changes from Fedora 1.5.26-2
- new versioning policy; spec in UTF-8
- define gcc_version to 4.1.2 for Vine

* Wed May 30 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.5.22-0vl4
- rebuilt with gcc-4.1.2-0vl10 (gcc -dumpversion begets 4.1.2, not 4.1.3)

* Tue May 22 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.22-0vl3
- remove BuildRequires: libstdc++3-devel
- add Requres: libtool-ltdl instead of libtool-libs

* Sun May 06 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.5.22-0vl2
- rebuilt with gcc4 (F77=gfortran now)
- import Patch2 and Patch3 from FC6 1.5.22-6.1

  - Thu Jun 29 2006 Karsten Hopp <karsten@redhat.de> 1.5.22-6
  - detect gcc path at runtime instead of requiring one specific version

  - Thu Jun 29 2006 Karsten Hopp <karsten@redhat.de> 1.5.22-5
  - miscellaneous upstream fixes

* Sat Sep 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.22-0vl1
- new upstream release

* Mon Feb 06 2006 Shu KONNO <owa@bg.wakwak.com> 1.5.20-0vl4
- moved macros (_lib, gcc -m32) to /usr/lib/rpm/rpmrc or macros files
- changed '%postun -p /sbin/ldconfig' to '%postun' and /sbin/ldconfig command 

* Thu Feb 02 2006 Shu KONNO <owa@bg.wakwak.com> 1.5.20-0vl3
- added compat32-* packages for x86_64 architecture support

* Mon Oct 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.20-0vl2
- add Japanese Summaries and descriptions

* Mon Oct 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.20-0vl1
- new upstream release

* Tue Aug 16 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.18-3vl1
- updated to 1.5.18 based on Fedora package
  * Sun Feb  6 2005 Daniel Reed <djr@redhat.com> 1.5.12.multilib2-3.4.3
  - update to the 1.5.12 bugfix release
  - Makes use of $datarootdir, which is necessary for Autoconf >= 2.60.
  - Correctly skip hppa, x86_64, and s390* in tests/demo-nopic.test.
  - Interpret `include' statements in toplevel ld.so.conf file.
  - While "parsing" /etc/ld.so.conf, skip comments.
  - add dependency on gcc version; /usr/bin/libtool hardcodes paths into 
    gcc's internal directories
  - replace "libtool-libs" with "libtool-ltdl" and "libtool-ltdl-devel"
  * Tue Oct 26 2004 Daniel Reed <djr@redhat.com> 1.5.10-1
  - update to the 1.5.10 bugfix release
    - obsoletes libtool-1.4-nonneg.patch
    - obsoletes libtool-1.5-libtool.m4-x86_64.patch
    - obsoletes libtool-1.4.2-multilib.patch
    - obsoletes libtool-1.4.2-demo.patch
    - obsoletes libtool-1.5-testfailure.patch
  * Thu May 13 2004 Thomas Woerner <twoerner@redhat.com> - 1.5.6-2
  - compile libltdl.a PIC

* Sun Mar 20 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.6-0vl2
- rebuild with gcc-3.3.5

* Sun May  2 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.6-0vl1
- new upstream release

* Fri Feb 20 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.5.2-2vl1
- merged with fedora-1.5.2-2
  * Mon Jan 26 2004 Jens Petersen <petersen@redhat.com> - 1.5.2-1
  - update to 1.5.2 bugfix release
  - update libtool-1.5-libtool.m4-x86_64.patch
  - nolonger need libtool-1.5-mktemp.patch, libtool-1.5-expsym-linux.patch,
    libtool-1.5-readonlysym.patch, libtool-1.5-relink-libdir-order-91110.patch,
    libtool-1.5-AC_PROG_LD_GNU-quote-v-97608.patch and libtool-1.5-nostdlib.patch

  * Tue Oct 28 2003 Jens Petersen <petersen@redhat.com> - 1.5-8
  - update libtool-1.4.2-multilib.patch to also deal with powerpc64 (#103316)
    [Joe Orton]

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-5vl1
- merged with rawhide 1.5-5
  * Mon Dec 09 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.4.3-2vl2
  - based on 1.4.3-2 from Rawhide and built for Vine Linux
  - added BuildPreReq: automake14

* Thu Jul 17 2003 Jens Petersen <petersen@redhat.com> - 1.5-5
- bring back libtool-1.4.2-demo.patch to disable nopic tests on amd64 
  and s390x again

* Tue Jul 15 2003 Owen Taylor <otaylor@redhat.com>
- Fix misapplied chunk for expsym-linux patch

* Tue Jul  8 2003 Jens Petersen <petersen@redhat.com> - 1.5-4
- remove the quotes around LD in AC_PROG_LD_GNU (#97608)
  [reported by twaugh]
- use -nostdlib also when linking with g++ and non-GNU ld in
  _LT_AC_LANG_CXX_CONFIG [reported by fnasser, patch by aoliva]
- use %%configure with CC and CXX set 

* Thu Jun 12 2003 Jens Petersen <petersen@redhat.com> - 1.5-3
- don't use %%configure since target options caused libtool to assume
  i386-redhat-linux-gcc instead of gcc for CC (reported by Joe Orton)
- add libtool-1.5-relink-libdir-order-91110.patch to fix order of lib dirs
  searched when relinking (#91110) [patch from Joe Orton]

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May  1 2003 Jens Petersen <petersen@redhat.com> - 1.5-1
- update to 1.5
- no longer override config.{guess,sub} for rpmbuild %%configure,
  redhat-rpm-config owns those now
- update and rename libtool-1.4.2-s390_x86_64.patch to
  libtool-1.5-libtool.m4-x86_64.patch since s390 now included
- buildrequire autoconf and automake, no longer automake14
- skip make check on s390 temporarily
- no longer skip demo-nopic.test on x86_64, s390 and s390x
- from Owen Taylor
  - add libtool-1.4.2-expsym-linux.patch (#55607) [from James Henstridge]
  - add quoting in mktemp patch
  - add libtool-1.5-readonlysym.patch
  - add libtool-1.5-testfailure.patch workaround
  - relink patch no longer needed

* Sat Feb 08 2003 Florian La Roche <Florian.LaRoche@redhat.de> - 1.4.3-5
- add config.guess and config.sub, otherwise old versions of
  these files can creep into /usr/share/libtool/

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Jens Petersen <petersen@redhat.com> 1.4.3-3
- fix mktemp to work when running mktemp fails (#76602)
  [reported by (Oron Peled)]
- remove info dir file, don't exclude it
- fix typo in -libs description (#79619)
- use buildroot instead of RPM_BUILD_ROOT

* Tue Jan 07 2003 Karsten Hopp <karsten@redhat.de> 1.4.3-2.2
- use lib64 on s390x, too.

* Thu Dec  5 2002 Jens Petersen <petersen@redhat.com>
- add comment to explain why we use an old Automake for building
- buildrequire automake14

* Sat Nov 23 2002 Jens Petersen <petersen@redhat.com>
- add --without check build option to allow disabling of "make check"
- exclude info dir file rather than removing

* Sat Nov 23 2002 Jens Petersen <petersen@redhat.com> 1.4.3-2
- define SED in ltmain.sh for historic ltconfig files
- define macro AUTOTOOLS to hold automake-1.4 and aclocal-1.4, and use it
- leave old missing file for now
- general spec file cleanup
  - don't copy install files to demo nor mess with installed ltdl files
  - don't need to run make in doc
  - force removal of info dir file
  - don't need to create install prefix dir
  - don't bother gzipping info files ourselves

* Mon Nov 18 2002 Jens Petersen <petersen@redhat.com> 1.4.3-1
- update to 1.4.3
- remove obsolete patches (test-quote, dup-deps, libtoolize-configure.ac)
- apply the multilib patch to just the original config files
- update x86_64/s390 patch and just apply to original config files
- use automake-1.4 in "make check" for demo-make.test to pass!
- remove info dir file that is not installed
- make autoreconf update missing

* Mon Oct 07 2002 Phil Knirsch <pknirsch@redhat.com>  1.4.2-12.2
- Added s390x and x64_64 support.

* Fri Oct  4 2002 Nalin Dahyabhai <nalin@redhat.com> 1.4.2-12.1
- rebuild

* Fri Sep 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- patch to find the proper libdir on multilib boxes
 
* Mon Aug 19 2002 Jens Petersen <petersen@redhat.com> 1.4.2-12
- don't include demo in doc, specially now that we "make check" (#71609)

* Tue Aug 13 2002 Jens Petersen <petersen@redhat.com> 1.4.2-11
- don't hardcode "configure.in" in libtoolize (#70864)
  [reported by bastiaan@webcriminals.com]
- make check, but not on ia64

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.4.2-10
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 1.4.2-9
- automated rebuild

* Fri Apr 26 2002 Jens Petersen <petersen@redhat.com> 1.4.2-8
- add old patch from aoliva to fix relinking when installing into a buildroot
- backport dup-deps fix from cvs stable branch

* Wed Mar 27 2002 Jens Petersen <petersen@redhat.com> 1.4.2-7
- run ldconfig in postin and postun

* Thu Feb 28 2002 Jens Petersen <petersen@redhat.com> 1.4.2-6
- rebuild in new environment

* Tue Feb 12 2002 Jens Petersen <petersen@redhat.com> 1.4.2-5
- revert filemagic and archive-shared patches following cvs (#54887)
- don't change "&& test" to "-a" in ltmain.in

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 1.4.2-4
- automated rebuild

* Mon Dec  3 2001 Jens Petersen <petersen@redhat.com> 1.4.2-3
- test quoting patch should be on ltmain.in not ltmain.sh (#53276)
- use file_magic for Linux ELF (#54887)
- allow link against an archive when building a shared library (#54887)
- include ltdl.m4 in manifest (#56671)

* Wed Oct 24 2001 Jens Petersen <petersen@redhat.com> 1.4.2-2
- added URL to spec

* Tue Sep 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.4.2-1
- 1.4.2 - sync up with autoconf...

* Thu Jul  5 2001 Bernhard Rosenkraenzer <bero@redhat.de> 1.4-8
- extend s390 patch to 2 more files
- s/Copyright/License/

* Wed Jul 04 2001 Karsten Hopp <karsten@redhat.de>
- add s390 patch for deplibs_check_method=pass_all

* Tue Jun 12 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add patches from Tim Waugh #42724

* Mon Jun 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add patches from cvs mainline

* Thu Jun 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- fix a "test" bug in ltmain.sh

* Sun Jun 03 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- disable the post commands to modify /usr/share/doc/

* Sat May 12 2001 Owen Taylor <otaylor@redhat.com>
- Require automake 1.4p1

* Wed May 09 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to libtool 1.4
- adjust or remove patches

* Thu Jul 13 2000 Elliot Lee <sopwith@redhat.com>
- Fix recognition of ^0[0-9]+$ as a non-negative integer.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- patch to use mktemp to create the tempdir
- use %%configure after defining __libtoolize to /bin/true

* Mon Jul  3 2000 Matt Wilson <msw@redhat.com>
- subpackage libltdl into libtool-libs

* Sun Jun 18 2000 Bill Nottingham <notting@redhat.com>
- running libtoolize on the libtool source tree ain't right :)

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.3.5.

* Fri Mar  3 2000 Jeff Johnson <jbj@redhat.com>
- add prereqs for m4 and perl inorder to run autoconf/automake.

* Mon Feb 28 2000 Jeff Johnson <jbj@redhat.com>
- functional /usr/doc/libtool-*/demo by end-user %post procedure (#9719).

* Wed Dec 22 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.4.

* Mon Dec  6 1999 Jeff Johnson <jbj@redhat.com>
- change from noarch to per-arch in order to package libltdl.a (#7493).

* Thu Jul 15 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.3.

* Mon Jun 14 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.2.

* Tue May 11 1999 Jeff Johnson <jbj@redhat.com>
- explicitly disable per-arch libraries (#2210)
- undo hard links and remove zero length file (#2689)

* Sat May  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- disable the --cache-file passing to ltconfig; this breaks the older
  ltconfig scripts found around.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2f

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- completed arm patch
- added patch to make it more arm-friendly
- upgrade to version 1.2d

* Thu May 07 1998 Donnie Barnes <djb@redhat.com>
- fixed busted group

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- Update to 1.0h
- added install-info support

* Tue Nov 25 1997 Elliot Lee <sopwith@redhat.com>
- Update to 1.0f
- BuildRoot it
- Make it a noarch package
