## don't replace ltmain.sh
%define __libtoolize :

%define glib2_version 2.26.1
%define gtk2_version 2.22.1
%define startup_notification_version 0.10

Summary: Window Navigator Construction Kit
Name: libwnck
Version: 2.30.6
Release: 1%{?_dist_release}
URL: ftp://ftp.gnome.org
Source0: http://ftp.gnome.org/pub/GNOME/sources/libwnck/2.30/%{name}-%{version}.tar.bz2
License: LGPLv2+
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

# follow 3lines was added 2.26.2-2
Vendor:		Project Vine	
Distribution:	Vine Linux
Packager:	inagaki,yasumichi

Requires: glib2 >= %{glib2_version}
Requires: gtk2 >= %{gtk2_version}
Requires: startup-notification >= %{startup_notification_version}
Requires: libXres

BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:  startup-notification-devel >= %{startup_notification_version}
BuildRequires:  perl-XML-Parser gettext
BuildRequires:	libXres-devel
BuildRequires:	gobject-introspection-devel

Patch1: libwnck-2.18.0-above.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=459984
Patch2: crash-on-shutdown.patch

%description

libwnck (pronounced "libwink") is used to implement pagers, tasklists, 
and other such things. It allows applications to monitor information 
about open windows, workspaces, their names/icons, and so forth.

%package devel
Summary: Libraries and headers for libwnck
Group: Development/Libraries
Requires: %{name} = %{version}

Requires: glib2-devel >= %{glib2_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: pkgconfig
# added 2.26.2-2
Requires: startup-notification-devel >= %{startup_notification_version}
Requires: libXres-devel

%description devel

libwnck (pronounced "libwink") is used to implement pagers, tasklists, 
and other such things. It allows applications to monitor information 
about open windows, workspaces, their names/icons, and so forth.

You should install the libwnck-devel package if you would like to
compile applications that use libwnck. You don't need libwnck-devel 
just to use precompiled applications.


%prep
%setup -q
#patch0 -p1 -b .appearance
%patch1 -p1 -b .above
%patch2 -p1 -b .crash-on-shutdown

%build
%configure --disable-static --enable-introspection=yes
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0

%files devel
%defattr(-,root,root)
#{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc
%{_datadir}/gir-1.0

%changelog
* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.6-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.5-1
- new upstream release
- add BuildRequires: gobject-introspection-devel
- add configure option (--enable-introspection=yes)

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.2-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.0-1
- new upstream release

* Fri Feb 26 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.28.0-2
- rebuilt with new toolchain

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release
- added --disable-static to %%configure

* Sat Aug 01 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.26.2-2
- update requires and BR(add libXres*)

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Mon Jun 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.3-1
- new upstream release

* Wed Apr  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Sun Mar 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Mon Dec 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.2-0vl1
- new upstream release
- added Patch0, 1 and 2 from Fedora
  * Tue Jul 24 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.5-2
  - Fix a crash on shutdown in the wnck-applet
  * Wed Mar 28 2007 Kristian Høgsberg <krh@redhat.com> - 2.18.0-2
  - Add compiz integration patches from GNOME #352383:
     - libwnck-2.18.0-appearance.patch
     - libwnck-2.18.0-viewport.patch
     - libwnck-2.18.0-above.patch

* Mon May 28 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.2-0vl1
- new upstream release

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release

* Sat Jun 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- new upstream release

* Sat Feb 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.3-0vl1
- new upstream release

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Sat Aug 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.91-0vl1
- new upstream release

* Wed Aug 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.4-0vl1
- new upstream release

* Sun Jul 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.3-0vl1
- new upstream release

* Sun Mar 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Mon Nov 08 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0.1-0vl1
- new upstream release

* Wed Sep 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Sat May 31 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-0vl1
- new upstream release

* Fri Apr 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Sat Jan 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl1
- new upstream release

* Wed Jan  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- fixed BuildRequires/Requires.

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- build for Vine Linux
- new upstream release from gnome-2.1.4

* Fri Nov  8 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3

* Thu Oct 31 2002 Havoc Pennington <hp@redhat.com>
- 0.18 that displays standalone dialogs in task list

* Sun Aug 25 2002 Havoc Pennington <hp@redhat.com>
- 0.17 allows clicking a task to minimize it, and DND over a task to
  switch to it, adds translations, and fixes a couple crash things in
  the accessibility stuff.

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 0.16 with some tasklist fixes and 
  pager fixes

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- remove empty NEWS

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 0.14

* Thu Jun 06 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 0.13
- add ldconfig to post/postun

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- 0.12

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 0.9

* Wed Apr 17 2002 Havoc Pennington <hp@redhat.com>
- 0.8

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.3

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild with new glib and gtk+

* Wed Jan 23 2002 Havoc Pennington <hp@redhat.com>
- Initial build

