Summary: an X11 based presentation tool
Summary(ja): X11 ベースのプレゼンテーションツール
Name: magicpoint
Version: 1.13a
Release: 2%{?_dist_release}
License: Copyright (C) 1997 and 1998 WIDE Project.  All rights reserved.
Group: Applications/Text
URL: http://www.mew.org/mgp/
Source0: ftp://sh.wide.ad.jp/WIDE/free-ware/mgp/magicpoint-%{version}.tar.gz
Patch0: magicpoint-1.07a-vine.patch
Patch1: magicpoint-1.09a-mgpnet.patch
Patch2: magicpoint-1.09a-mgp2html.patch
#Patch3: magicpoint-1.10a-parse.patch
#Patch4: magicpoint-1.10a-freetype217.patch
Patch5: magicpoint-1.13a-no-libmng.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: freetype-devel
BuildRequires: freetype2-devel
BuildRequires: libungif-devel
BuildRequires: expat-devel
BuildRequires: imlib-devel
BuildRequires: imake
Requires: sharutils

%description
MagicPoint is an X11 based presentation tool.  It is designed to make
simple presentations easy while to make complicated presentations
possible.  Its presentation file (whose suffix is typically .mgp) is
just text so that you can create presentation files quickly with your
favorite editor (e.g. Emacs).

%description -l ja
MagincPoint は X11 ベースのプレゼンテーションツールである。複雑なプレ
ゼンテーションを可能にする一方、簡単なプレゼンテーションを容易に行な
えるようにデザインされている。そのプレゼンテーションファイル(一般に
.mgp という拡張子が使われる)はただのテキストファイルなので、好きなエ
ディタ(例えば Emacs)ですぐに作成することができる。

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1
#%patch4 -p1
%patch5 -p0

%build
autoconf
%configure --disable-vflib --with-x \
	--enable-png --enable-gif --enable-freetype-charset16
xmkmf
make Makefiles CONFIGDIR=%{_datadir}/X11/config
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
make DESTDIR="%{buildroot}" MANPATH=%{_mandir} install install.man
install -p -m 0755 contrib/mgp2latex.pl %{buildroot}%{_bindir}/mgp2latex
install -p -m 0755 contrib/mgp2html.pl %{buildroot}%{_bindir}/mgp2html

# eliminate executable bit in %doc
find contrib/ -type f -perm +111 | xargs chmod -x

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT* FAQ README* RELNOTES SYNTAX TODO* USAGE* sample contrib
%dir %{_prefix}/lib/X11/mgp/
%config %{_prefix}/lib/X11/mgp/default.mgp
%{_prefix}/lib/X11/mgp/*.jpg
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Oct 18 2008 Shu KONNO <owa@bg.wakwak.com> 1.13a-2
- fixed X11 directories for x86_64

* Sat Oct 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.13a-1
- new upstream release
- applied new versioning policy
- spec in UTF-8
- updated Patch5
- added BuildRequires: imake, imlib-devel

* Wed Dec 20 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.11b-0vl2
- added Requires: sharutils <BTS:426>

* Tue Sep 28 2004 Satoshi MACHINO <machino@vinelinux.org> 1.11b-0vl1
- updated to magicpoint-1.11b
- changed ftp site's URL

* Sat Sep 18 2004 Satoshi MACHINO <machino@vinelinux.org> 1.11a-0vl1
- new upstream version
- dropped Patch3 and 4

* Sun Jan 11 2004 Tomoya TAKA <taka@vinelinux.org> 1.10a-0vl7
- fix Patch4

* Sat Nov 15 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.10a-0vl6
- added Patch5 to force disable using libmng

* Sat Nov 15 2003 Satoshi MACHINO <machino@vinelinux.org> 1.10a-0vl5
- rebuilt without libmng-devel
 
* Thu Nov 13 2003 Tomoya TAKA <taka@vinelinux.org> 1.10a-0vl4
- add freetype2 patch (patch4) to build with freetype2-2.1.7
- add Requires: freetype2 and BuildPreReq: freetype2-devel

* Fri Oct 31 2003 Satoshi MACHINO <machino@vinelinux.org> 1.10a-0vl3
- added disable-vflib in configure option

* Tue Sep 23 2003 Satoshi MACHINO <machino@vinelinux.org> 1.10a-0vl2
- Fixed in parse.c (added patch3)
	-- magicpoint-1.10a-parse.patch from [mgp-users-jp 01341]

* Sat Aug 09 2003 Satoshi MACHINO <machino@vinelinux.org> 1.10a-0vl1
- New upstream version
	-- dropped some patches
- Added XFree86-libs and glibc in Requires
- Added expat-devel-devel in BuildRequires

* Sun Aug 03 2003 Satoshi MACHINO <machino@vinelinux.org> 1.09a-0vl6
- fixed spec file

* Sat Aug 02 2003 Satoshi MACHINO <machino@vinelinux.org> 1.09a-0vl5
- rebuilt without libmng-devel

* Tue Apr 29 2003 Satoshi MACHINO <machino@vinelinux.org> 1.09a-0vl4
- added patches
	-- magicpoint-1.09a-reread.patch from [mgp-users-jp 00924]
	-- magicpoint-1.09a-freetype.patch from [mgp-users-jp 00923]
	-- magicpoint-1.09a-mgpembed.patch from [mgp-users-jp 00949]
	-- magicpoint-1.09a-mgp2html.patch from [mgp-users-jp 00948]
	-- magicpoint-1.09a-mgp2ps.patch from [mgp-users-jp 01171]
	-- magicpoint-1.09a-color-ps.patch [mgp-users-jp 01166]

* Sun Apr 27 2003 IWAI Masaharu <iwai@alib.jp> 1.09a-0vl3
- rebuild with new toolchain
- use rpmmacros
- add 'Requires: libungif' and 'BuildPreReq: libungif-devel'
- add magicpoint-1.09a-mgpnet.patch (Patch1) from Debian mgp_1.09a-5

* Sun Sep 30 2001 Satoshi MACHINO <machino@vinelinux.org> 1.09a-0vl2
- fixed dependency, sorry m(_._)m

* Thu Sep 27 2001 Satoshi MACHINO <machino@vinelinux.org> 1.09a-0vl1
- updated magicpoint-1.09a

* Wed Sep 05 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.08a-0vl5
- Sorry 0vl4.ppc.rpm was built with libmng. Rebuilt.

* Mon Sep 03 2001 Toru Sagami <sagami@vinelinux.org>
- 1.08a-0vl4: eliminate executable bit in %%doc

* Tue Jul 17 2001 <sagami@vinelinux.org>
- 1.08a-0vl3: corrected PreReq -> Requires and added BuildPreReq 

* Fri May 25 2001 <sagami@vinelinux.org>
- 1.08a-0vl2: minor spec fixes

* Fri May 25 2001 Satoshi MACHINO <machino@vinelinux.org> 1.08a-0vl1
- updated magicpoint-1.08a

* Fri Aug 04 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.07a-4
- modified vine patch (aliastt -> wadalab again)
- modified %files %doc section to include more doc files
- modified %build section to match recommended installation

* Mon Jul 10 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.07a-3
- modified %files section to handle compressed man pages

* Mon Jun 12 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added vine patch to avalie this with dynafont or TrueType-jpfonts both.
- /usr/X11R6/lib/X11/mgp ->  /etc/X11/mgp

* Fri Mar 10 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- updated to version 1.07a

* Wed Jan  5 2000 Jun Nishii <jun@vinelinux.org>
- change group

* Wed Jul 30 1999 Norihito Ohmori <ohmori@flatout.org>
- update to version 1.06a

* Thu Jun 24 1999 Norihito Ohmori <ohmori@flatout.org>
- update to version 1.05a

* Fri Mar  5 1999 MATSUMOTO Shoji <vine@flatout.org>
- use VFlib (for mgp2ps)
- replace freetype&vflib libs dir patch to vine.patch (configure)

* Thu Feb  4 1999 ZUKERAN, shin <shin@ryukyu.ad.jp>
- add patch for freetype & vflib library's directoty (/usr/lib/lib).

* Tue Oct 27 1998 ZUKERAN, shin <zukkun@opus.or.jp>
- change package name to 'magicpoint-<version>.rpm'.

