# Basic Information
Name:		man-db
Version:	2.5.8
Release:	1%{?_dist_release}
License:	GPL
Group:		System Environment/Base
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	the man-db manual pager suite
Summary(ja):	man-dbマニュアルページャスイート

# Dependency
# 以下に依存関係を記述してください。
Requires:     	groff >= 1.20.1
BuildRequires:	groff >= 1.20.1
Requires:	gdbm
BuildRequires:	gdbm-devel

Provides:	man

%description
This package provides the man command. This utility is the primary way of
examining the on-line help files (manual pages). Other utilities provided
include the whatis and apropos commands for searching the manual page
database, the manpath utility for determining the manual page search path,
and the maintenance utilities mandb, catman, and zsoelim. This package uses
the groff suite of programs to format and display the manual pages. 

#%%description -l ja

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}
%find_lang %{name}-gnulib

%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/man-db/libman.la
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/man-db/libmandb.la

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang -f %{name}-gnulib.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README
%{_sysconfdir}/man_db.conf
%{_bindir}/apropos
%{_bindir}/catman
%{_bindir}/lexgrog
%{_bindir}/man
%{_bindir}/mandb
%{_bindir}/manpath
%{_bindir}/whatis
%{_bindir}/zsoelim
%{_libdir}/man-db/libman-2.5.8.so
%{_libdir}/man-db/libman.so
%{_libdir}/man-db/libmandb-2.5.8.so
%{_libdir}/man-db/libmandb.so
%{_libexecdir}/man-db/globbing
%{_libexecdir}/man-db/manconv
%{_sbindir}/accessdb
%{_defaultdocdir}/man-db/man-db-manual.ps
%{_defaultdocdir}/man-db/man-db-manual.txt
%{_mandir}/de/man1/apropos.1.gz
%{_mandir}/de/man1/man.1.gz
%{_mandir}/de/man1/manpath.1.gz
%{_mandir}/de/man1/whatis.1.gz
%{_mandir}/de/man1/zsoelim.1.gz
%{_mandir}/de/man5/manpath.5.gz
%{_mandir}/de/man8/accessdb.8.gz
%{_mandir}/de/man8/catman.8.gz
%{_mandir}/de/man8/mandb.8.gz
%{_mandir}/es/man1/apropos.1.gz
%{_mandir}/es/man1/man.1.gz
%{_mandir}/es/man1/manpath.1.gz
%{_mandir}/es/man1/whatis.1.gz
%{_mandir}/es/man1/zsoelim.1.gz
%{_mandir}/es/man5/manpath.5.gz
%{_mandir}/es/man8/accessdb.8.gz
%{_mandir}/es/man8/catman.8.gz
%{_mandir}/es/man8/mandb.8.gz
%{_mandir}/it/man1/apropos.1.gz
%{_mandir}/it/man1/man.1.gz
%{_mandir}/it/man1/manpath.1.gz
%{_mandir}/it/man1/whatis.1.gz
%{_mandir}/it/man1/zsoelim.1.gz
%{_mandir}/it/man5/manpath.5.gz
%{_mandir}/it/man8/accessdb.8.gz
%{_mandir}/it/man8/catman.8.gz
%{_mandir}/it/man8/mandb.8.gz
%{_mandir}/ja/man1/apropos.1.gz
%{_mandir}/ja/man1/man.1.gz
%{_mandir}/ja/man1/manpath.1.gz
%{_mandir}/ja/man1/whatis.1.gz
%{_mandir}/ja/man1/zsoelim.1.gz
%{_mandir}/ja/man5/manpath.5.gz
%{_mandir}/ja/man8/accessdb.8.gz
%{_mandir}/ja/man8/catman.8.gz
%{_mandir}/ja/man8/mandb.8.gz
%{_mandir}/man1/apropos.1.gz
%{_mandir}/man1/lexgrog.1.gz
%{_mandir}/man1/man.1.gz
%{_mandir}/man1/manconv.1.gz
%{_mandir}/man1/manpath.1.gz
%{_mandir}/man1/whatis.1.gz
%{_mandir}/man1/zsoelim.1.gz
%{_mandir}/man5/manpath.5.gz
%{_mandir}/man8/accessdb.8.gz
%{_mandir}/man8/catman.8.gz
%{_mandir}/man8/mandb.8.gz


%changelog
* Tue Nov 16 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.5.8-1
- initial build for Vine Linux

