Summary:	Mana - Kana-Kanji conversion engine
Summary(ja):	真字 - 仮名漢字変換エンジン
Name:		mana
Version:	0.2.1
Release:	1%{?_dist_release}
License:	GPL
Group:		System Environment/Libraries
URL:		http://sourceforge.jp/projects/shinji/
Source:		mana-%{version}.tar.bz2
Patch0:		mana-0.2.1-gdbm-1.8.0.patch
Patch1:		mana-0.2.0-schoca-OCaml-mk.patch
Patch2:		mana-0.2.0-prelude.patch
#Patch3:		mana-0.2.0-Makefile-nc.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	ocaml, ocaml-camlp4, ocaml-findlib
BuildRequires:	gdbm-devel, automake14
Requires:	gdbm

Vendor:		Project Vine
Distribution:	Vine Linux

%description
Mana is Kana-Kanji conversion engine using Hidden Markov Model.

%description -l ja
真字は、隠れマルコフモデルを用いて、より自然な変換結果を実現する
仮名漢字変換エンジンです。

%prep
%setup -q

%patch0 -p1 -b .old-gdbm
%patch1 -p1 -b .OCaml-mk
%patch2 -p1 -b .prelude

%build
#%%configure --disable-debug --disable-profile
./configure \
	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--localstatedir=%{_localstatedir} \
	--sharedstatedir=%{_sharedstatedir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--disable-debug --disable-profile
%__make

%install
%__rm -rf %{buildroot}
%makeinstall

%__mkdir -p %{buildroot}%{_libdir}/mana/dic

%__mkdir_p %{buildroot}%{_datadir}/mana
%__install -p -m644 mana/mana-prelude.scm %{buildroot}%{_datadir}/mana

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS* COPYING* ChangeLog* NEWS* README*
%{_bindir}/mana
%{_bindir}/mana-config
%dir %{_libdir}/mana
%dir %{_libdir}/mana/dic
%{_libexecdir}/mana
%{_datadir}/mana

%changelog
* Fri Sep 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.1-1
- new upstream release
- updated Patch0
- applied new versioning

* Tue Dec 26 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.2.0-0vl3
- hold %%{_libdir}/mana, %%{_libdir}/mana/dic

* Sun May 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.2.0-0vl2
- add prelude.patch (patch2), Makefile-nc.patch (patch3)
- install mana-prelude.scm

* Sun May 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.2.0-0vl1
- initial build
