%define pkgname		mathabx

%define tex_destdir	%{_datadir}
%define texmf		%{tex_destdir}/texmf
%define texlive_src	%{tex_destdir}/texlive-sources
%define build_tex_destdir	%{buildroot}%{tex_destdir}
%define build_texmf	%{buildroot}%{texmf}

%define exec_mktexlsr  [ -x %{_bindir}/texconfig-sys ] && PATH=%{_bindir}:$PATH %{_bindir}/texconfig-sys rehash
%define exec_texhash  [ -x %{_bindir}/texhash ] && PATH=%{_bindir}:$PATH %{_bindir}/texhash
%define exec_updmap   [ -x %{_bindir}/updmap-sys ] && PATH=%{_bindir}:$PATH %{_bindir}/updmap-sys --nostop
%define exec_fmtutil  [ -x %{_bindir}/fmtutil-sys ] && PATH=%{_bindir}:$PATH %{_bindir}/fmtutil-sys --all >/dev/null 2>&1
%define exec_upddeffont    [ -x %{_sbindir}/update-defaultfont ] && %{_sbindir}/update-defaultfont 2> /dev/null
%define vartexfonts %{_var}/lib/texmf

%define mapdir		%{texmf}-dist/fonts/map/dvips/misc
%define mathabxdate	20050518

Summary: The mathabx font series: extended and extendable series of mathematical symbols for TeX
Summary(ja): mathabx: TeX 用の新しい数式フォント
Name: mathabx-type1
Version: 2005
Release: 2%{?_dist_release}
Source0: mathabx-%{mathabxdate}.tar.bz2
Source1: abxtype1-%{mathabxdate}.tar.bz2
Source2: mathabx_docs-%{mathabxdate}.tar.bz2
URL: http://auemath.aichi-edu.ac.jp/~khotta/ghost/mathabx.html
License: GPL
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Publishing
BuildArch: noarch
PreReq: sed, sh-utils

Requires: texlive-collection-fontsextra
Obsoletes: mathabx <= 2005-1

Vendor: Project Vine
Distribution: Vine Linux

%description
The mathabx font series is a high quality extended and extendable series of 
mathematical symbols.
To use this package, you describe \usepackage{mathabx} at preamble in your 
TeX document.

This package provides Type1 fonts of mathabx. 


%description -l ja
mathabx は CM + AMS の拡張であると考えられます。 全体的に色々な工夫が見られ,
例えば、積分記号 \int が CM より垂直に見え、不等号 ≦ は AMS のものより < と
 = がくっついているので、日本人が見慣れているものにより近いようです。

TeX 文書の最初の部分へ \usepackage{mathabx} と記述すれば、普通の数式モードに
て mathabx の利用が可能になります。

このパッケージは mathabx の Type1 を提供します。


%prep
%__rm -rf $RPM_BUILD_ROOT

%setup -q -a 1 -a 2 -n %{pkgname}

%build

%install
%__rm -rf $RPM_BUILD_ROOT
# mkdir -p            %{build_texmf}/fonts/source/public/mathabx
# cp -p source/*      %{build_texmf}/fonts/source/public/mathabx
# mkdir -p            %{build_texmf}/tex/latex/mathabx
# cp -p texinputs/*   %{build_texmf}/tex/latex/mathabx
%__mkdir_p            %{build_texmf}/fonts/type1/mathabx
%__cp -p abxtype1/pfb/*.pfb %{build_texmf}/fonts/type1/mathabx
%__mkdir_p	    %{buildroot}%{mapdir}
%__cp -p abxtype1/map/mathabx.map %{buildroot}%{mapdir}/mathabx.map

%post
%{exec_texhash}

[ -f %{texmf}/web2c/updmap.cfg ] || exit 0

echo -n "    " && \
    echo -n "Running updmap: enable mathabx.map ... " && \
    %{exec_updmap} --enable Map mathabx.map >/dev/null 2>&1 && \
    echo "done."

exit 0

%postun
if [ "$1" = "0" ]; then
    %{exec_texhash}

    [ -f %{texmf}/web2c/updmap.cfg ] || exit 0

    echo -n "    " && \
        echo -n "Running updmap: disable mathabx.map ... " && \
        %{exec_updmap} --disable mathabx.map >/dev/null 2>&1 && \
        echo "done."
fi

exit 0


%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# %{texmf}/fonts/source/public/mathabx/*
%{texmf}/fonts/type1/mathabx/*
# %{texmf}/tex/latex/mathabx/*
%{mapdir}/mathabx.map
# %doc mathtest.tex mathtest.dvi mathtest.pdf


%changelog
* Sun Aug 08 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2005-2
- renamed to mathabx-type1
- TeX Live 2009
- added Requires: texlive-collection-fontsextra
  - texlive-collection-fontsextra has mathabx package

* Fri Oct 03 2008 Shu KONNO <owa@bg.wakwak.com> 2005-1vl5
- applied new versioning policy, spec in utf-8

* Tue May 16 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 2005-0vl4
- fix exec_updmap: added --nostop option

* Fri Dec 02 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 2005-0vl3
- fix install dir of mathabx.mat

* Thu Nov 17 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 2005-0vl2
- fix exec_updmap

* Wed Nov 16 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 2005-0vl1
- source update
- modified for tetex-3.0

* Tue Feb 03 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2003-0vl3
- fix exec_updmap

* Thu Dec 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2003-0vl2
- source update

* Fri Aug 01 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2003-0vl1
- source update

* Wed Jun 12 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2002-1vl2
- update Type1 fonts

* Sun Jun 09 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2002-1vl1
- 1st release
