Summary:	customizable image viewer that specifically designed to handle comic books
Summary(ja): 	漫画向けに特化してデザインされたカスタム可能なイメージビューワ
Name:		mcomix
Version:	0.90.2
Release: 	2%{?_dist_release}
Source0:	MComix-%{version}.tar.bz2
Source1:	mcomix_ja.po

License:	Public Domain
Group:		Applications/Graphics
URL:		http://sourceforge.net/projects/mcomix/

Requires:	pygtk2 >= 2.12, python-imaging >= 1.1.5, libjpeg-turbo
Requires:	python >= 2.5

BuildRequires:	python  >= 2.5
BuildRequires:	pygtk2-devel python-imaging
BuildRequires:	gettext
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
MComix is a user-friendly, customizable image viewer. It is specifically 
designed to handle comic books, but also serves as a generic viewer. It 
reads images in ZIP, RAR or tar archives as well as plain image files.
It is written in Python and uses GTK+ through the PyGTK bindings.

%description -l ja
MComix はユーザーフレンドリでカスタマイズ可能なイメージビューワです。
このビューワは漫画を読むのに特化してデザインされていますが、一般的な画像
ビューワとしても利用できます。
通常のイメージファイルと同様に、ZIP、RAR または tar (gzip 及び bzip2 で圧縮
されたものも含む) アーカイブ中のイメージも読み込めます。
Python で書かれており、PyGTK バインディングを通じて GTK+ を使用しています。

%prep

%setup -qn MComix-%{version}
%{__cp} -f %{SOURCE1} messages/ja/LC_MESSAGES/mcomix.po
msgfmt -o messages/ja/LC_MESSAGES/mcomix.mo messages/ja/LC_MESSAGES/mcomix.po

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_prefix}
%{__python} install.py install --no-mime --dir ${RPM_BUILD_ROOT}%{_prefix}

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/%{name}/images/
%{_datadir}/%{name}/src/
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sun Nov 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.90.2-2
- updated source1
- probed %%post and %%postun
  - added %%posttrans

* Sat Oct 30 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.90.2-1
- initial build for VineSeed
