Name:		mcs
Summary:        A configuration file abstraction library
Summary(ja):    設定ファイル抽象化ライブラリ
Version:	0.7.1
Release:	4%{?_dist_release}

Group:		System Environment/Libraries
License:	BSD
URL:            http://atheme.org/projects/mcs.shtml

Source0:        http://distfiles.atheme.org/libmcs-%{version}.tgz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  GConf2-devel
BuildRequires:  libmowgli-devel

Vendor:		Project Vine
Distribution:	Vine Linux

%description
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package devel
Summary:	Development files for Modular Config System
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files required to develop applications
with Modular Config System.

%prep
%setup -q -n lib%{name}-%{version}

# The build generates a wrong SONAME, fix it.
perl -pi -e "s/-soname=.*'/-soname=\\\$\{LIB\}.\\\$\{LIB_MAJOR\}'/" configure

%build
%configure --enable-gconf --disable-kconfig --disable-dependency-tracking
%__make %{_smp_mflags}

%install
%__rm -rf %{buildroot}
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
echo "gconf" > $RPM_BUILD_ROOT%{_sysconfdir}/mcs-backend
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/mcs-backend

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%config(noreplace) %{_sysconfdir}/mcs-backend
%{_bindir}/mcs-*
%{_libdir}/libmcs.so.*
%dir %{_libdir}/mcs
%{_libdir}/mcs/*.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/libmcs
%{_libdir}/libmcs.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.7.1-4
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Apr 26 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.7.1-3
- rebuilt with libmowgli-0.7.0

* Sun Oct 12 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.7.1-2
- add Requires: libmowgli-devel to mcs-devel subpackage

* Thu Jul 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-1
- new upstream release

* Fri Mar 09 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.1-0vl1
- initial build
