%define prefix /usr

Summary: A clone of the Atari save-your-city-from-impending-nuclear-doom game.
Summary(ja): ミサイルで都市を防衛するゲーム
Name: missile
Prefix: %prefix
Version: 1.0.1
Release: 1%{?_dist_release}
License: GPL
Url: http://missile.sourceforge.net/
Group: Applications/Games
Source: missile-%{version}.tar.gz
Patch0: missile.userbuild.patch
Patch1: missile.desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: SDL-devel, SDL_image-devel, SDL_mixer-devel
Requires: SDL, SDL_image, SDL_mixer
Vendor: Project Vine
Distribution: Vine Linux
Packager: OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp>

%description
Protect your city from nuclear disaster by destroying incoming 
warheads with your anti-missile SAMs.

%description -l ja
地対空ミサイルを使って、飛来するミサイルから都市を防衛せよ。

%prep
%setup 
%patch0 -p1
%patch1 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" game_prefix=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
make install game_prefix=$RPM_BUILD_ROOT%{prefix}

#hackery to get the conf files in the right places
#make create_etc_conf game_prefix=%{prefix}
#mkdir -p $RPM_BUILD_ROOT/etc
#mv /etc/missilecommand.conf $RPM_BUILD_ROOT/etc/missilecommand.conf

# install desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -p -m0644  %{name}.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,games)
%doc README INSTALL COPYING.GPL missile.kdelnk
# %config /etc/missilecommand.conf

%{prefix}/bin/missile
%{prefix}/share/missile
%{prefix}/share/pixmaps/missile_icon_black.png
%{prefix}/share/pixmaps/missile_icon_blue.png
%{prefix}/share/pixmaps/missile_icon_green.png
%{prefix}/share/pixmaps/missile_icon_red.png
%{prefix}/share/pixmaps/missile_icon_white.png
%{prefix}/share/pixmaps/missile_icon_yellow.png
%{_datadir}/applications/


%changelog
* Sat Oct 04 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.1-1vl5
- applied new versioning policy, spec in utf-8

* Thu Oct 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0.1-0vl1
- updated to 1.0.1
- changed Group to Applications/Games

* Fri Feb 5 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp> - 1.0.0-1vl1
- based on orginal rpm
- userbuild
- add desktop category

* Thu Jun 29 2000 Julian Peterson <weaver@earthcorp.com> 
- first release as a rpm
