%define docroot			/home/httpd
%define apxs			/usr/sbin/apxs
%define apxs2			/usr/bin/apxs
%define httpdmoddir		%(%{apxs} -q LIBEXECDIR)
%define httpdconfdir		%(%{apxs} -q SYSCONFDIR)
%define apache2moddir		%(%{apxs2} -q LIBEXECDIR)
%define apache2confdir		%(%{apxs2} -q SYSCONFDIR)
%define httpdconfmodruby	httpd.conf.mod_ruby
%define apache2confmodruby	httpd.conf.mod_ruby
%define apachever		1.3.29
%define apache2ver		2.2.9

Summary: A Ruby interpreter for the Apache Web server.
Summary(ja): Apacheサーバ組み込みのRuby言語インタプリタ
Name: mod_ruby
Version: 1.2.6
Release: 1%{?_dist_release}
License: distributable
Group: System Environment/Daemons
Source0: http://www.modruby.net/archive/%{name}-%{version}.tar.gz
Source99: httpd.conf.mod_ruby
Source100: httpd.conf.mod_ruby-apache2
Patch10: mod_ruby-1.2.6-fix-xldflags.patch
URL: http://www.modruby.net/
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby, ruby-devel
BuildPreReq: apache, apache-devel >= %{apachever}
BuildPreReq: apache2, apache2-devel >= %{apache2ver}
Requires: apache >= %{apachever}, liberuby >= 1.0.5
Requires: ruby >= 1.8
Requires: mod_ruby-common = %{version}-%{release}

%description
mod_ruby embeds the Ruby interpreter into the Apache web server,
allowing Ruby CGI scripts to be executed natively. These scripts 
will start up much faster than without mod_ruby.

%description -l ja
mod_rubyはApacheウェブサーバにRubyインタプリタを組み込み、CGIスクリ
プトがネイティブに起動されることを許します。スクリプトはmod_rubyを利
用しない場合よりも速く起動するでしょう。


%package apache2
Summary: A Ruby interpreter for the Apache2 Web server.
Summary(ja): Apache2サーバ組み込みのRuby言語インタプリタ
Group: System Environment/Daemons
Requires: apache2 >= %{apache2ver}
Requires: ruby >= 1.8
Requires: mod_ruby-common = %{version}-%{release}

%description apache2
mod_ruby embeds the Ruby interpreter into the Apache web server,
allowing Ruby CGI scripts to be executed natively. These scripts 
will start up much faster than without mod_ruby.

%description apache2 -l ja
mod_rubyはApache2ウェブサーバにRubyインタプリタを組み込み、CGIスクリ
プトがネイティブに起動されることを許します。スクリプトはmod_rubyを利
用しない場合よりも速く起動するでしょう。


%package common
Summary: Ruby libraries for mod_ruby
Summary(ja): mod_ruby 用の Ruby ライブラリ
Group: System Environment/Daemons
Requires: ruby >= 1.8

%description common
Ruby libraries for mod_ruby

%description common -l ja
mod_ruby 用の Ruby ライブラリ


%prep
%setup -q -c
%patch10 -p0


%build
## for apache1
cd %{name}-%{version}
ruby configure.rb --with-apxs=%{apxs}
make
cd ..


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{httpdmoddir}
mkdir -p ${RPM_BUILD_ROOT}%{httpdconfdir}

# installing binaries ...
cd %{name}-%{version}
make install DESTDIR=${RPM_BUILD_ROOT}
cd ..

sed -e 's|@@DOCROOT@@|%{docroot}|g' < %{SOURCE99} \
  > ${RPM_BUILD_ROOT}/%{httpdconfdir}/%{httpdconfmodruby}
chmod 644 ${RPM_BUILD_ROOT}/%{httpdconfdir}/%{httpdconfmodruby}

## for apache2
cd %{name}-%{version}
make clean
ruby configure.rb --with-apxs=%{apxs2} --with-apr-includes=/usr/include/apr-1
make

mkdir -p ${RPM_BUILD_ROOT}%{apache2moddir}
mkdir -p ${RPM_BUILD_ROOT}%{apache2confdir}
make install DESTDIR=${RPM_BUILD_ROOT}

sed -e 's|@@DOCROOT@@|%{docroot}|g' < %{SOURCE100} \
  > ${RPM_BUILD_ROOT}/%{apache2confdir}/%{apache2confmodruby}
chmod 644 ${RPM_BUILD_ROOT}/%{apache2confdir}/%{apache2confmodruby}


%clean
rm -rf ${RPM_BUILD_ROOT}
rm -f *.files


%files
%defattr(-, root, root)
%doc %{name}-%{version}/README.en
%doc %{name}-%{version}/README.ja
%doc %{name}-%{version}/ChangeLog
%doc %{name}-%{version}/examples/
%config %{httpdconfdir}/%{httpdconfmodruby}
%{_libdir}/apache/*


%files apache2
%defattr(-, root, root)
%doc %{name}-%{version}/README.en
%doc %{name}-%{version}/README.ja
%doc %{name}-%{version}/ChangeLog
%doc %{name}-%{version}/examples/
%config %{apache2confdir}/%{apache2confmodruby}
%{_libdir}/apache2/*


%files common
%defattr(-, root, root)
%doc %{name}-%{version}/README.en
%doc %{name}-%{version}/README.ja
%doc %{name}-%{version}/ChangeLog
%{_libdir}/ruby/1.8/auto-reload.rb
%dir %{_libdir}/ruby/1.8/apache
%{_libdir}/ruby/1.8/apache/*


%changelog
* Mon Sep 22 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.2.6-1
- new upstream release
- add apache2/common subpackages

* Wed Aug 27 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.7-1vl5
- applied new versioning policy, spec in utf-8

* Mon Aug 27 2007 Shu KONNO <owa@bg.wakwak.com> 1.0.7-0vl2
- s/Copyright/License/

* Sat Feb 14 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.7-0vl1
- new upstream release
- rebuild on apache-1.3.29, ruby-1.8.1

* Thu Aug 22 2002 Satoshi MACHINO <machino@vinelinux.org> 1.0.0-0vl1
- new upstream version.

* Thu May 30 2002 akira yamada <akira@vinelinux.org> 0.9.8-0vl2
- updated URL of upstream sources.

* Thu May 30 2002 akira yamada <akira@vinelinux.org> 0.9.8-0vl1
- new upstream version.

* Fri Mar 08 2002 akira yamada <akira@vinelinux.org> 0.9.7-0vl1
- new upstream version.

* Mon Feb 11 2002 akira yamada <akira@vinelinux.org> 0.9.6-0vl1
- new upstream version.

* Mon Oct 17 2001 akira yamada <akira@vinelinux.org> 0.9.4-0vl1
- new upstream version.

* Mon Oct 17 2001 akira yamada <akira@vinelinux.org> 0.9.3-0vl2
- rebuild with apache-1.3.22. Requires: apache = 1.3.22.
- added apache to BuildRequires. (apxs checks /usr/bin/httpd.)

* Mon Sep 03 2001 akira yamada <akira@vinelinux.org> 0.9.3-0vl1
- new upstream release.

* Sat Aug 18 2001 akira yamada <akira@vinelinux.org>
- 0.9.2-0vl1
- new upstream version 0.9.2.

* Wed Aug 08 2001 akira yamada <akira@vinelinux.org>
- 0.9.1-0vl1
- new upstream version 0.9.1.

* Fri Jul 06 2001 akira yamada <akira@vinelinux.org>
- new upstream version 0.9.0.

* Thu Jul 03 2001 akira yamada <akira@vinelinux.org>
- remove liberuby-dev from BuildRequires.

* Thu Jun 28 2001 akira yamada <akira@vinelinux.org>
- new upstream version 0.8.5.

* Thu Jun 21 2001 akira yamada <akira@vinelinux.org>
- new upstream version 0.8.4.

* Mon Jun 06 2001 akira yamada <akira@vinelinux.org>
- new upstream version 0.8.3.

* Mon Jun 04 2001 akira yamada <akira@vinelinux.org>
- new upstream version 0.8.2.

* Thu May 23 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.0-0vl3
- rebuild with papche-1.3.20

* Thu Apr 13 2001 akira yamada <akira@vinelinux.org>
- new upstream version 0.8.0.

* Thu Mar 15 2001 akira yamada <akira@vinelinux.org>
- rebuild with apache-1.3.19.

* Fri Feb 09 2001 akira yamada <akira@vinelinux.org>
- rebuild with apache-1.3.17.

* Wed Dec 20 2000 akira yamada <akira@vinelinux.org>
- Updated to new upstream version 0.2.2.

* Sun Nov 05 2000 akira yamada <akira@vinelinux.org>
- excute Makefile.RB with --apxs option, because normal user's PATH dose not
  include /usr/sbin.

* Thu Oct 19 2000 akira yamada <akira@vinelinux.org>
- Updated to new upstream version 0.2.1.
- BuildPreReq: apache-devel, Requires: apache.
- Build with apache 1.3.14.

* Wed Oct 11 2000 akira yamada <akira@vinelinux.org>
- Removed mod_ruby-0.2.0-egcs-2.91.66.patch, because fixed this probrem in
  ruby.

* Thu Oct 03 2000 akira yamada <akira@vinelinux.org>
- Added mod_ruby-0.2.0-egcs-2.91.66.patch to work around for segv.

* Thu Oct 03 2000 akira yamada <akira@vinelinux.org>
- Initial packaging.
