Summary:        Nautilus context menu for sending files
Summary(ja):    "ファイルを送る"ための Nautilus コンテキストメニュー

Name:           nautilus-sendto
Version:        2.32.0
Release:        1%{?_dist_release}

Group:          User Interface/Desktops
License:        GPLv2+
URL:            ftp://ftp.gnome.org/pub/gnome/sources/%{name}
Source0:        http://download.gnome.org/sources/%{name}/2.32/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtk2-devel >= 2.22.0
BuildRequires:  libglade2-devel >= 2.6.0
BuildRequires:  evolution-data-server-devel >= 2.32.0
BuildRequires:	nautilus >= 2.32.0
BuildRequires:  pidgin-devel >= 2.5.0
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser intltool
BuildRequires:  dbus-glib-devel >= 0.88
BuildRequires:  nautilus-devel

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

# For compat with old nautilus-sendto packaging
Provides: nautilus-sendto-gaim
Obsoletes: nautilus-sendto-bluetooth
Provides: nautilus-sendto-bluetooth

%description
The nautilus-sendto package provides a Nautilus context menu for
sending files via other desktop applications.  These functions are
implemented as plugins, so nautilus-sendto can be extended with
additional features.

%description -l ja	
nautilus-sendto パッケージは他のデスクトップアプリケーションを介して
ファイルを送るためのコンテキストメニューを提供しています。
これらの機能はプラグインとして提供され、追加の機能を拡張することができます。

%package devel
Summary:	Development files for %{name}
Summary(ja):	%{name} の開発ファイル
Group:		Development/Libraries
License:	LGPLv2+
Requires:	%{name} = %{version}-%{release}
Requires:	gtk-doc pkgconfig

%description devel
This package contains the libraries amd header files that are needed
for writing plugins for nautilus-sendto.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT \( -name '*.a' -o -name '*.la' \) -exec rm -f {} \;
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
        glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog ChangeLog.pre-1.1.4.1 COPYING NEWS
%{_libdir}/nautilus/extensions-2.0/libnautilus-sendto.so
%dir %{_libdir}/nautilus-sendto
%dir %{_libdir}/nautilus-sendto/plugins
%{_libdir}/nautilus-sendto/plugins/*.so
%{_datadir}/nautilus-sendto
%{_bindir}/nautilus-sendto
%{_datadir}/glib-2.0/schemas/org.gnome.Nautilus.Sendto.gschema.xml
%{_datadir}/GConf/gsettings/nautilus-sendto-convert
%{_mandir}/man1/nautilus-sendto.1.gz

%files devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/nautilus-sendto/
%{_libdir}/pkgconfig/nautilus-sendto.pc
%{_includedir}/nautilus-sendto/nautilus-sendto-plugin.h

%changelog
* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.00-1
- new upstream release
- remove BuildRequires: libgnomeui-devel
- fix %files and scripts

* Mon Aug 23 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.28.5-1
- Update to 2.28.5

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.4-2
- rebuild with evolution-data-server-2.30.2
- remove BuildRequires: empathy-devel

* Tue May 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.28.4-1
- Update to 2.28.4

* Sun Mar 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.28.3-1
- Update to 2.28.3
- applied new naming polciy to spec

* Thu Nov 27 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.28.2-1
- Update to 2.28.2
- splitted -devel package
- Remove unneeded pidgin and gajim BRs

* Thu Sep 24 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.28.0-1
- Update to 2.28.0

* Sun Sep 6 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.1.7-1
- Update to 1.1.7

* Tue Aug 11 2009 Shu KONNO <owa@bg.wakwak.com> 1.1.6-2
- added BR: nautilus-devel

* Sun Aug 2 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.1.6-1
- Update to 1.1.6

* Sun Jun 14 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.1.5-2
- added Japanese description
- Disable the evolution plugin, it will be in Evolution itself
  prefer to http://bugzilla.gnome.org/show_bug.cgi?id=579099

* Sat May 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.1.5-1
- Update to 1.1.5

* Fri Apr 24 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.1.4-1
- Update to 1.1.4
- spec in UTF-8

* Wed Apr 15 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.1.3-1
- Update to 1.1.3
- dropt Patch0
- changed Summary(ja) 
- fixed BuildRoot

* Sat Apr 11 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.1.2-1
- Update to 1.1.2
- added Patch0 (import Fedora package)

* Fri Oct 03 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.0-1
- initial build for Vine Linux

* Tue Sep 23 2008 - Bastien Nocera <bnocera@redhat.com> - 1.1.0
- Update to 1.1.0

* Wed Jul 23 2008 - Bastien Nocera <bnocera@redhat.com> - 1.0.1
- Update to 1.0.1

* Thu Jun 12 2008 - Bastien Nocera <bnocera@redhat.com> - 1.0.0
- Update to 1.0.0

* Wed May 14 2008 Matthias Clasen <mclasen@redhat.com> - 0.14.0-4
- Rebuild again

* Tue May 13 2008 - Bastien Nocera <bnocera@redhat.com> - 0.14.0-3
- Rebuild

* Sun May  4 2008 Matthias Clasen <mclasen@redhat.com> - 0.14.0-2
- Fix source url

* Thu Mar 27 2008 - Bastien Nocera <bnocera@redhat.com> - 0.14.0-1
- Update to 0.14.0

* Thu Feb 07 2008 - Bastien Nocera <bnocera@redhat.com> - 0.13.2-1
- Update to 0.13.2

* Mon Jan 21 2008 - Bastien Nocera <bnocera@redhat.com> - 0.13.1-1
- Update to 0.13.1

* Sun Jan 20 2008 - Bastien Nocera <bnocera@redhat.com> - 0.13-1
- Update to 0.13

* Fri Dec 28 2007 Adel Gadllah <adel.gadllah@gmail.com> - 0.12-7
- Fix icq file transfers with pidgin RH #408511

* Wed Dec 26 2007 Matthias Clasen <mclasen@redhat.com> - 0.12-6
- Install the nautilus exension in the right spot

* Mon Nov 19 2007 Matthias Clasen <mclasen@redhat.com> - 0.12-5
- Fix the pidgin plugin to work with libpurple (#389121)

* Tue Oct 23 2007 Matthias Clasen <mclasen@redhat.com> - 0.12-4
- Rebuild against new dbus-glib

* Wed Oct 10 2007 Matthias Clasen <mclasen@redhat.com> - 0.12-3
- Rebuild

* Mon Aug 13 2007 - Bastien Nocera <bnocera@redhat.com> - 0.12-2
- Fix the Thunderbird patch to apply properly

* Mon Aug 13 2007 - Bastien Nocera <bnocera@redhat.com> - 0.12-1
- Update to 0.12 and drop obsolete patches

* Tue Aug  7 2007 Matthias Clasen <mclasen@redhat.com> - 0.10-5
- Update the license field

* Fri May 11 2007 Stu Tomlinson <stu@nosnilmot.com> - 0.10-4
- Update to work with pidgin

* Wed May  9 2007 Matthias Clasen <mclasen@redhat.com> - 0.10-3
- Fix a problem with dbus error handling  (#239588)

* Mon Apr 16 2007 Warren Togami <wtogami@redhat.com> - 0.10-2
- disable gaim dep temporarily during transition to pidgin

* Sun Mar 11 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10-1
- Update to 0.10, as 0.9 didn't compile

* Fri Mar 09 2007 - Bastien Nocera <bnocera@redhat.com> - 0.9-1
- Update to 0.9
- Remove the bluetooth subpackage, it only depends on
  gbus-glib now

* Tue Jan 23 2007 Alexander Larsson <alexl@redhat.com> - 0.8-4
- Rebuild against new gaim (#223765)

* Wed Nov 15 2006 Matthias Clasen <mclasen@redhat.com> - 0.8-3
- Rebuild against new libbtctl

* Fri Oct 27 2006 Matthew Barnes <mbarnes@redhat.com> - 0.8-2
- Update BuildRequires for evolution-data-server-devel.
- Rebuild against evolution-data-server-1.9.1.

* Fri Oct 20 2006 Matthias Clasen <mclasen@redhat.com> - 0.8-1
- Upgrade to 0.8

* Sat Sep 16 2006 Matthias Clasen <mclasen@redhat.com> - 0.7-5
- Include Thunderbird support and make it work
- Add missing BRs

* Mon Aug 14 2006 Alexander Larsson <alexl@redhat.com> - 0.7-4
- Buildrequire nautilus-devel

* Thu Aug 10 2006 Alexander Larsson <alexl@redhat.com> - 0.7-3
- Make nautilus-sendto-bluetooth require gnome-bluetooth (#201908)

* Sat Aug 05 2006 Caolan McNamara <caolanm@redhat.com> - 0.7-2
- rebuild against new e-d-s

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.7-1.1
- rebuild

* Tue Jul 11 2006 Matthias Clasen  <mclasen@redhat.com> - 0.7-1
- Update to 0.7

* Wed Jun 14 2006 Alexander Larsson <alexl@redhat.com> - 0.5-4
- Rebuild again, hopefully fixing libbluetooth issue

* Mon Jun 12 2006 Alexander Larsson <alexl@redhat.com> - 0.5-3
- Rebuild for new libbluetooth soname

* Sat Jun 10 2006 Matthias Clasen <mclasen@redhat.com> 0.5-2
- Add missing BuildRequires

* Mon May 22 2006 Alexander Larsson <alexl@redhat.com> 0.5-1
- Update to 0.5
- Add libgnomeui-devel buildreq

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.4-7.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.4-7.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 David Malcolm <dmalcolm@redhat.com> 0.4-7
- rebuild for new e-d-s

* Tue Dec 20 2005 Alexander Larsson <alexl@redhat.com> 0.4-6
- Rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  9 2005 Alexander Larsson <alexl@redhat.com> - 0.4-5
- Build in Core
- Move gaim plugin into main package
- Fix up some build requirements
- No bluetooth on s390*

* Sat Oct  8 2005 Paul W. Frields <stickster@gmail.com> - 0.4-4
- Eliminate superfluous Requires

* Sat Oct  8 2005 Paul W. Frields <stickster@gmail.com> - 0.4-3
- Rearrange Requires and BuildRequires for subpackages
- Include default Evolution plugin in main package

* Fri Oct  7 2005 Paul W. Frields <stickster@gmail.com> - 0.4-2
- Use appropriate BuildRequires for nautilus and gaim

* Fri Oct  7 2005 Paul W. Frields <stickster@gmail.com> - 0.4-1
- Initial version
