%define mono_dir %{_prefix}/lib/mono
%define pkgconfigdir %{_datadir}/pkgconfig

Summary:	C# implementation of D-Bus
Summary(ja): 	D-BUs の C# による実装
Name:		ndesk-dbus
Version:	0.6.0
Release: 	8%{?_dist_release}
Source0:	%{name}-%{version}.tar.gz
License:	MIT
Group:		System Environment/Libraries
URL:		http://www.ndesk.org/DBusSharp
Requires:	mono-core
BuildRequires:	mono-core, mono-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka

%description
ndesk-dbus is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

%description -l ja
ndesk-dbus は C# による D-Bus の実装です。 これは(libdbusのラッパーで
ある)既存のバインディングとの混乱を避けるために、"managed D-Bus"と呼
ばれることがあります。


%prep
%setup -q


%build
%configure --libdir=%{_prefix}/lib
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} pkgconfigdir=%{pkgconfigdir}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README examples
%{mono_dir}/gac/NDesk.DBus/*
%{mono_dir}/ndesk-dbus-1.0/NDesk.DBus.dll
%{pkgconfigdir}/ndesk-dbus-1.0.pc


%changelog
* Fri Oct 08 2010 Shu KONNO <owa@bg.wakwak.com> 0.6.0-8
- rebuilt with mono-2.8

* Wed Oct 06 2010 Shu KONNO <owa@bg.wakwak.com> 0.6.0-7
- rebuilt with rpm-4.8.1 for pkg-config

* Fri Jul 10 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.6.0-6
- rebuild with latest rpm to update mono-dependencies

* Sat Jul 04 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.6.0-5
- add Requires: mono-core

* Mon Nov 03 2008 Shu KONNO <owa@bg.wakwak.com> 0.6.0-4
- added macro %%mono_dir, %%pkgconfigdir
- added --libdir=%%{_prefix}/lib at %%configure

* Thu Oct 09 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.6.0-3
- rebuild with mono-2.0
- update BuildRequires:	mono -> mono-core 
- spec in UTF-8

* Tue Jul 08 2008 Shu KONNO <owa@bg.wakwak.com> 0.6.0-2
- fixed libdir in ndesk-dbus-1.0.pc.in

* Sun Apr 20 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.6.0-1
- initial build for Vine Linux

