%define locale_ja ja
%define sourcever 2.1.1
%define perl_vendorarch    %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary:      Network Kanji code conversion Filter.
Summary(ja):  ネットワーク用漢字コード変換フィルタ
Name:         nkf
Epoch:        1
Version:      %{sourcever}
Release:      1%{?_dist_release}
License:      BSD
Group:        Applications/Text
Url:	      http://sourceforge.jp/projects/nkf/
Source:       http://prdownloads.sourceforge.jp/nkf/26243/%{name}-%{version}.tar.gz

Buildroot:    %{_tmppath}/%{name}-%{version}-root
Requires:     perl >= 5.8.2
BuildRequires: perl >= 1:5.10.0

%description
Nkf is a yet another kanji code converter among networks, hosts and termi-
nals.  It converts input kanji code to designated kanji code such as 7-bit
JIS, MS-kanji (shifted-JIS) or EUC.

One of the most unique facicility of nkf is the guess of the input kanji
code.  It currently recognizes 7-bit JIS, MS-kanji (shifted-JIS) and EUC.
So users needn't the input kanji code specification.

By default X0201 kana is converted into X0208 kana. For X0201 kana, SO/SI,
SSO and ESC-(-I methods are supported. For automatic code detection, nkf
assumes no X0201 kana in MS-Kanji. To accept X0201 in MS-Kanji, use -X, -x
or -S.

#'
%description -l ja
nkf はネットワークでメールやニュースの読み書きをするために作られた、
漢字コードの変換フィルタです。

nkf の特徴としては、入力漢字コード系の統計的な自動認識機能です。
このため、利用者は、入力漢字コード系が何であるかを知らなくても、
出力漢字コード系のみ指定すれば良いことになります。この判定機構は、
理論的には完全ではありませんが、通常のニュースやメールのメッセージに
ついては確実に動作する安全なものにはなっています。

現在、nkf が認識できる入力の漢字コード系は、いわゆる「JISコード」(ISO-
2022-JPに基づくもの)、MS 漢字コード(シフトJIS)、日本語EUC(AT&Tコード)のい
ずれかです。出力する漢字コード系も、この3種類でです。

入力は、ファイルを指定しなければ、標準入力となります。出力は標準出力です。


%prep
%setup -q -n nkf-%{sourcever}

%build
make CC=gcc CFLAGS="$RPM_OPT_FLAGS" PERL=perl
./nkf -w8 nkf.1j > t
mv t nkf.1j

## for NKF.pm
pushd NKF.mod
perl Makefile.PL INSTALLDIRS="vendor"
make
make test
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/{man1,%{locale_ja}/man1}}
install -s -m 755 nkf $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 nkf.1 $RPM_BUILD_ROOT%{_mandir}/man1/nkf.1
install -p -m 644 nkf.1j $RPM_BUILD_ROOT%{_mandir}/%{locale_ja}/man1/nkf.1

## make NKF.pm
pushd NKF.mod;
make DESTDIR=%{buildroot} install
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc nkf.doc
%{_bindir}/nkf
%{perl_vendorarch}/NKF.pm
%{perl_vendorarch}/auto/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/%{locale_ja}/man1/*


%changelog
* Tue Dec 07 2010 Shu KONNO <owa@bg.wakwak.com> 2.1.1-1
- updated nkf to 2.1.1
- changed spec-name to vine style

* Mon Nov 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.0-1
- new upstream release
- now, nkf.1j converts to UTF-8

* Fri Apr 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.8b-3
- spec in utf-8

* Fri May 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.8b-2vl5
- rebuild with perl 5.10

* Fri Mar 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.8b-1vl5
- new upstream release
- added Epoch:1

* Thu Jul 06 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.07-0vl1
- source update
- s/Copyright/License/

* Sat Nov 12 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.05-0vl1
- source update
- installed perl module into vendor_perl

* Tue Jun 15 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.04-0vl1
- source update

* Sat Dec 13 2003 Satoshi MACHINO <machino@vinelinux.org> 2.02-0vl3
- built on perl-5.8.2

* Thu Nov 06 2003 Satoshi MACHINO <machino@vinelinux.org> 2.02-0vl2
- rebuilt on perl-5.8.1

* Wed Jun  4 2003 Jun NISHII <jun@vinelinux.org> 2.02-0vl1
- ver.up

* Tue Apr 22 2003 IWAI Masaharu <iwai@alib.jp> 1.92-0vl8
- rebuild with perl-5.8.0

* Fri Sep 20 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.92-0vl7
- added Patch10 to fix double-byte space problem
  (from http://www.namazu.org/ml/namazu-devel-ja/msg01599.html)

* Sat Jun 16 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.92-0vl6
- rebuilt with perl-5.6.1

* Sat Jun 16 2001 Yasuhide OMORI <dasen@icntv.ne.jp>
- 1.92-0vl5
- do not include %%{perl_sitearch}/auto/

* Wed Jun 13 2001 Jun Nishii <jun@vinelinux.org> 1.92-0vl4
- build with perl-5.6

* Sat Jan 13 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- use better macros
- added more docs

* Mon Jul  3 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- [1.92-0vl2]
- added defattr *after* files, not after doc
- a bit fixed: RPM_OPT_FLAGS and cp -p

* Sat May 27 2000 Jun Nishii <jun@vinelinux.org>
- mv from ja_JP.ujis to ja
- added documents

* Mon Dec 27 1999 Norihito Ohmori <nono@vinelinux.org>
- fix manpage

* Tue Nov 23 1999 Norihito Ohmori <ohmori@flatout.org>
- modify for Vine Linux.

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Nov 6 1999 Tenkou N. Hattori <tnh@kondara.org>
- convart nkf.1j to EUC-JP code.

* Tue Nov 2 1999 Norihito Ohmori <ohmori@flatout.org>
- update to nkf-1.90
