%define	_bindir	%{_prefix}/sbin

Summary: Synchronizes system time using the Network Time Protocol (NTP).
Name: ntp
Version: 4.2.4p7
Release: 3%{?_dist_release}
License: distributable
Group: System Environment/Daemons
URL: http://www.ntp.org/
Source0: ftp://ftp.udel.edu/pub/ntp/ntp4/ntp-%{version}.tar.gz
Source1: ntp.conf
Source2: ntp.keys
Source3: ntpd.init
Source4: ntpd.sysconfig
Source5: ntpd-NM-dispatch

# Don't depend on perl modules
Source999: filter-requires-ntp.sh

#Patch0: ntp-4.0.99j-glibc22.patch
#Patch1: ntp-4.1.2-vsnprintf.patch
Patch3: ntp-4.0.99k23-usegethost.patch
Patch4: ntp-4.2.0-config_crypto.patch
Patch5: ntp-4.2.4p7-md5.patch

# security
# Patch100: ntp-4.2.4_CVE-2009-0159.patch

PreReq: /sbin/chkconfig
BuildRequires: openssl-devel, readline-devel
BuildRequires: autoconf
#Conflicts: xntp3
Obsoletes: xntp3
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# Working around perl dependency problem
%define __find_requires %{SOURCE999}

%description
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source.  The ntp package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
The ntp package includes ntpdate (a program for retrieving the date
and time from remote machines via a network) and ntpd (a daemon which
continuously adjusts system time).

Install the ntp package if you need tools for keeping your system's
time synchronized via the NTP protocol.
#'

%prep 
%setup -q 

#%patch1 -p1 -b .vsnprintf
%patch3 -p1 -b .usegethost
%ifarch alpha
%patch4 -p1 -b .config_crypto
%endif
%patch5 -p1 -b .nomd5

# security
# %patch100 -p1 -b .CVE-2009-0159

%build
# autoconf
autoreconf -vfi

# XXX work around for anal ntp configure
%define	_target_platform	%{nil}
#%configure
CFLAGS="-g -DDEBUG" ./configure --prefix=/usr
%undefine	_target_platform

%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

{ cd $RPM_BUILD_ROOT

  mkdir -p .%{_sysconfdir}/{ntp,rc.d/init.d,sysconfig}
  mkdir -p .%{_sysconfdir}/NetworkManager/dispatcher.d
  install -m644 $RPM_SOURCE_DIR/ntp.conf .%{_sysconfdir}/ntp.conf
  touch .%{_sysconfdir}/ntp/drift
  install -m600 $RPM_SOURCE_DIR/ntp.keys .%{_sysconfdir}/ntp/keys
  touch .%{_sysconfdir}/ntp/step-tickers
  install -m755 $RPM_SOURCE_DIR/ntpd.init .%{_sysconfdir}/rc.d/init.d/ntpd
  install -m644 %{SOURCE4} .%{_sysconfdir}/sysconfig/ntpd
  install -m755 %{SOURCE5} .%{_sysconfdir}/NetworkManager/dispatcher.d/06-ntpd

  strip .%{_bindir}/* || :
}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ntpd

%preun
if [ $1 = 0 ]; then
    service ntpd stop > /dev/null 2>&1
    /sbin/chkconfig --del ntpd
fi

%postun
if [ "$1" -ge "1" ]; then
# service ntpd condrestart > /dev/null 2>&1
  service ntpd condrestart
fi

%files
%defattr(-,root,root)
%doc html/* NEWS TODO 
%{_bindir}/*
%config				%{_sysconfdir}/rc.d/init.d/ntpd
%config(noreplace)		%{_sysconfdir}/ntp.conf
%dir				%{_sysconfdir}/ntp/
%ghost %config(missingok)	%{_sysconfdir}/ntp/drift
%config(noreplace)		%{_sysconfdir}/ntp/keys
%ghost %config(missingok)	%{_sysconfdir}/ntp/step-tickers
%config(noreplace)		%{_sysconfdir}/sysconfig/ntpd
%{_sysconfdir}/NetworkManager/dispatcher.d/*
%{_mandir}/man1/*

%changelog
* Fri Aug 21 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.2.4p7-3
- add NetworkManager/dispatcher.d/06-ntpd for NM
- fix changelog typo...

* Wed May 20 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.2.4p7-2
- turn on daemon restart message

* Wed May 20 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.2.4p7-1
- new upstream release with security fix (CVE-2009-0159,1252)
- drop pacth100 (included in new release)
- update patch5 to fit p7 release

* Mon Apr 27 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.2.4p6-2
- add patch100 for fix CVE-2009-0159 (ntpq)
- run autoreconf instead of autoconf

* Sun Jan 11 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.2.4p6-1
- new upstream release with security fix (CVE-2009-0021)

* Mon Apr 28 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.2.4p4-1
- new upstream release

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.2.4p3-0vl2
- rebuilt

* Thu Jul 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.2.4p3-0vl1
- new upstream release
- updated Patch5

* Mon Nov 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 4.2.0-0vl7
- rebuild for Vine Seed

* Mon Nov 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 4.2.0-0vl6
- add Patch5 to skip checking md5.h

* Mon Nov 20 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.2.0-0vl5
- rebuilt without libelf-devel (ppc.rpm linked with libelf.so.0)

* Fri Aug 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.2.0-0vl4
- rebuild with readline-5.1
- add BuildRequires: openssl-devel, readline-devel

* Fri Apr 09 2004 Tomoya TAKA <taka@vinelinux.org> 4.2.0-0vl3
- rebuild with openssl-0.9.7d
- add config_crypto.patch for alpha (Patch4)

* Wed Mar  3 2004 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp> 4.2.0-0vl2
- ntp.conf (Source1): authenticate command has been disappeared.
- ntpd.init (Source3): remove RedHat's firewall-related codes.
- remove obsolete patches (Patch0, Patch1)

* Mon Feb 16 2004 IWAI, Masaharu <iwai@alib.jp> 4.2.0-0vl1
- update to 4.2.0
- update ntpd.init (Source3): from Fedora ntp-4.2.0-5
- add ntpd.sysconfig (Source4)
- stop patching vsnprintf patch (Patch1)

* Mon Sep  1 2003 IWAI, Masaharu <iwai@alib.jp> 4.1.2-0vl1
- update to 4.1.2
- update URL tag
- update vsnprintf.patch (Patch1)

* Tue May 06 2003 Tomoya TAKA <taka@vinelinux.org> 4.1.1-0vl2
- rebuild with new toolchain

* Fri Mar 01 2002 Toru Sagami <sagami@vinelinux.org> 4.1.1-0vl1
- update to 4.1.1

* Tue Sep 04 2001 Jiro Yamada <jiro@fd.catv.ne.jp>
- update to 4.1.0

* Mon Apr 09 2001 akira yamada <akira@vinelinux.org>
- new upstream version 4.0.99k23.

* Thu Apr 05 2001 akira yamada <akira@vinelinux.org>
- fixed buffer overrun (imported from debian).
- imported from rawhide.

* Mon Mar  5 2001 Preston Brown <pbrown@redhat.com>
- allow comments in /etc/ntp/step-tickers file (#28786).
- need patch0 (glibc patch) on ia64 too

* Tue Feb 13 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- also set prog=ntpd in initscript

* Tue Feb 13 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- use "$prog" instead of "$0" for the init script

* Thu Feb  8 2001 Preston Brown <pbrown@redhat.com>
- i18n-neutral .init script (#26525)

* Tue Feb  6 2001 Preston Brown <pbrown@redhat.com>
- use gethostbyname on addresses in /etc/ntp.conf for ntptime command (#26250)

* Mon Feb  5 2001 Preston Brown <pbrown@redhat.com>
- start earlier and stop later (#23530)

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- i18nize init script (#26078)

* Sat Jan  6 2001 Jeff Johnson <jbj@redhat.com>
- typo in ntp.conf (#23173).

* Mon Dec 11 2000 Karsten Hopp <karsten@redhat.de>
- rebuilt to fix permissions of /usr/share/doc/ntp-xxx

* Thu Nov  2 2000 Jeff Johnson <jbj@redhat.com>
- correct mis-spellings in ntpq.htm (#20007).

* Thu Oct 19 2000 Jeff Johnson <jbj@redhat.com>
- add %ghost /etc/ntp/drift (#15222).

* Wed Oct 18 2000 Jeff Johnson <jbj@redhat.com>
- comment out default values for keys, warn about starting with -A (#19316).
- take out -A from ntpd startup as well.
- update to 4.0.99k.

* Wed Aug 23 2000 Jeff Johnson <jbj@redhat.com>
- use vsnprintf rather than vsprintf (#16676).

* Mon Aug 14 2000 Jeff Johnson <jbj@redhat.com>
- remove Conflicts: so that the installer is happy.

* Tue Jul 25 2000 Jeff Johnson <jbj@redhat.com>
- workaround glibc-2.1.90 lossage for now.

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 26 2000 Preston Brown <pbrown@redhat.com>
- move and update init script, update post/preun/postun scripts

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- noreplace ntp.conf,keys files

* Mon Jun 12 2000 Jeff Johnson <jbj@redhat.com>
- Create 4.0.99j package.
- FHS packaging.
