%define pkgname ffmpeg-mh
%define name	self-build-%{pkgname}
%define version 0.33
%define svndate 051130
%define release	12%{?_dist_release}

%define ffmpeg_mh ffmpeg_%{svndate}

#%%define sourceurl http://www.nurs.or.jp/~calcium/3gpp/sources/ffmpeg-%{svndate}-%{version}.tar.gz

# %define amrnbver 7.1.0.2
# %define amrwbver 7.0.0.3
#% define _with_amr 1

%define _with_x264_mh 1
%define x264_mh x264_051028

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja):	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{pkgname}-vl.spec
#Source1:	http://mobilehackerz.jp/contents?plugin=attach&refer=3GPConv%2FSources&openfile=ffmpeg-%{svndate}-%{version}.tar.gz
Source1:	ffmpeg-%{svndate}-%{version}.tar.gz
# x264_051028.tar.gz: from http://mobilehackerz.jp/contents?plugin=attach&refer=3GPConv%2FSources&openfile=x264_051028.tar.gz
# on http://mobilehackerz.jp/contents/3GPConv/Sources
%if %{_with_x264_mh}
Source2:        x264_051028.tar.gz
%endif
Source10:       ffmpeg-mh-unix.patch
#Source11:       ffmpeg-mh-include-amr.patch
Source12:       ffmpeg-mh-0.33-disable-texi2html.patch 

License:	GPL
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

# (build)requies of target package.
Requires(post):		zlib-devel, SDL-devel, imlib2-devel
#Requires(post):	texi2html
Requires(post):		libogg-devel, libvorbis-devel, libtheora-devel
Requires(post):		self-build-xvidcore self-build-faac self-build-lame 
Requires(post):		self-build-libdca self-build-a52dec self-build-faad2
#Requires(post):		self-build-x264
##Requires(post):		xvidcore-devel, faac-devel, lame-devel
##Requires(post):		x264-devel, libdca-devel, a52dec-devel

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
FFMpeg is a complete and free Internet live audio and video
broadcasting solution for Linux/Unix. It also includes a digital
VCR. It can encode in real time in many formats including MPEG1 audio
and video, MPEG4, h263, ac3, asf, avi, real, mjpeg, and flash.

ffmpeg-mh is a 3GP Converter for UNIX. It is a FFmpeg Mobile Hack version 
under unix, is enoughly customized for many mobiles from original sources 
of ffmpeg. 

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
Before building this package, you need to install the following 
self-build packages: 
self-build-xvidcore self-build-faac self-build-lame self-build-x264 self-build-libdca self-build-a52dec

This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
FFMpeg は Linux/Unix に対する完全にフリーなインターネットライブ
オーティオ・ビデオブロードキャスティングソリューションです．
またデジタル VCR を含んでいます．MPEG1 オーディオ・ビデオ，
MPEG4, h263, ac3, asf, avi, real, mjpeg, flash を含む
多様なフォーマットをリアルタイムにエンコードすることができます．

ffmpeg-mh は Windows 用携帯動画変換君（3GP Converter）の UNIX 版です．
FFmpeg のモバイル端末向けに改良されたバージョンで，オリジナルのソースから
モバイル向けにたくさん調整されています．

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
このパッケージをビルドするより前に，以下の self-build パッケージを
インストールしておく必要があります．
self-build-xvidcore self-build-faac self-build-lame self-build-x264 self-build-libdca self-build-a52dec

コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%if %{_with_x264_mh}
%{__install} -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%endif
%{__install} -m 644 %{SOURCE10} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE12} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec 160000
#/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.33-12
- renamed %%{Source0} to ffmpeg-mh-vl.spec

* Thu Feb 18 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.33-11
- rebuild

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.33-10
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Wed May 13 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.33-9
- added BuildArch: noarch
- added ffmpeg-mh-0.33-disable-texi2html.patch
  - dropped PreReq: texi2html

* Sun Feb 8 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.33-8
- changed to PreReq:  self-build-faad2 >= 2.0 from faad2-devel

* Sun Feb 1 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.33-7
- fixed %%files section

* Sun Dec 14 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.33-6
- added x264_051028 for Mobile Hack version
- dropped PreReq: self-build-x264

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.33-5
- spec in utf8
- droppd BuildRequires: xvidcore-devel, faac-devel, lame-devel
  BuildRequires: x264-devel, libdca-devel, a52dec-devel
  (*-devel pacages provided by other self-build-*) in ffmpeg-mh.spec

* Thu Apr 10 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.33-1vl4
- build with new versioning policy

* Wed Apr 09 2008 Atsushi SHICHI <ats777@gmail.com> 0.33-0vl3
- add "Source1: ffmpeg-%{svndate}-%{version}.tar.gz",
  include Source1 in the binary package.

* Tue Mar 11 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.33-0vl2
- For all pre-required package that is provied by self-build,  
  changed to its self-build package

* Tue Mar 11 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.33-0vl1
- initial build for Vine Linux 4.2
  with ffmpeg-051130-0.33

### end of file
