%define gpac_postinstall     gpac_postinstall_sh=$(mktemp) && \
    rpm -q --scripts self-build-gpac | \
    /bin/sed -e 's|posttrans[[:blank:]].*|\#!/bin/bash|' > ${gpac_postinstall_sh} && \
    /bin/bash ${gpac_postinstall_sh} && /bin/rm -f ${gpac_postinstall_sh}

%define pkgname ffmpeg
%define name	self-build-%{pkgname}
%define version 0.5.3
#% define svndate	20090202
%define release	2%{?svndate:.%svndate}%{?_dist_release}

%define sourceurl0	http://ffmpeg.org/releases/%{pkgname}-%{version}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl5.spec
#Source1:	%{pkgname}-%{version}.tar.bz2
#Source1:	%{pkgname}-%{version}.r%{svnrev}.tar.bz2
#Source2:        %{pkgname}-snapshot.sh
Source90:	ffmpeg.1.gz
Source91:	ffplay.1.gz
Source92:	ffserver.1.gz
Source100:      %{pkgname}-textrel.patch
Source110:      ffmpeg-0.5-disable-texi2html.patch

License:	GPLv2+
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.8
#Requires(post):		subversion

# (build)requies of target package.
Requires(post):		bzip2-devel
Requires(post):		zlib-devel
Requires(post):		SDL-devel
Requires(post):		imlib2-devel
#Requires(post):		texi2html
Requires(post):		speex-devel
Requires(post):		libogg-devel
Requires(post):		libvorbis-devel
#Requires(post):		openjpeg-devel
Requires(post):		libtheora-devel
Requires(post):		gsm-devel
Requires(post):		libdc1394-devel
Requires(post):		libraw1394-devel
%ifarch %{ix86} x86_64
Requires(post):		yasm
%endif
Requires(post):		self-build-xvidcore
Requires(post):		self-build-faac
Requires(post):		self-build-lame 
Requires(post):		self-build-x264
Requires(post):		self-build-libdca
Requires(post):		self-build-a52dec
Requires(post):		self-build-faad2
%{?_with_amr:Requires(post):		amrnb-devel amrwb-devel}

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
FFMpeg is a complete and free Internet live audio and video
broadcasting solution for Linux/Unix. It also includes a 
digital VCR. It can encode in real time in many formats 
including MPEG1 audio and video, MPEG4, h263, ac3, asf, avi,
real, mjpeg, and flash.

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
target software. So it consume more disk space than usual.
Also installation takes longer time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
FFMpeg は Linux/Unix に対する完全にフリーなインターネットライ
ブオーティオ・ビデオブロードキャスティングソリューションです．
またデジタル VCR を含んでいます．MPEG1 オーディオ・ビデオ，
MPEG4, h263, ac3, asf, avi, real, mjpeg, flash を含む
多様なフォーマットをリアルタイムにエンコードすることができます．

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
#%{__install} -p -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
#%{__install} -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE90} %{SOURCE91} %{SOURCE92} \
    ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE100} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE110} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl5.spec "%{sourceurl0}" 640000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-libs-%{version}-%{release} \
                                 %{pkgname}-devel-%{version}-%{release}

## Rebuild gpac with ffmpeg-devel
# set locale
case $LANG in
    ja*)LOCALE=ja ;;
    *) LOCALE=C ;;
esac

Rebuild_gpac_C(){
    echo -n "     "
    echo "Rebuild gpac with ffmpeg-devel"
}

Rebuild_gpac_ja(){
    echo -n "     "
    echo "ffmpeg-devel で gpac をリビルドします。"
}

Rebuild_gpac_$LOCALE
%{gpac_postinstall}


%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sat Oct 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.5.3-2
- collected Source0: tag

* Sat Oct 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.5.3-1
- new upstream release

* Sat Jul 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.5.2-2
- unpacked source archives

* Thu Jun 03 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.5.2-1
- new upstream release

* Sun Apr 18 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.5.1-1
- new upstream release

* Sat Jun 06 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.5-6
- dropped BuildArch: noarch
- added ffmpeg.1, ffplay.1, ffserver.1

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.5-5
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Wed May 13 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.5-4
- added BuildArch: noarch
- added ffmpeg-0.5-disable-texi2html.patch
  - dropped PreReq: texi2html

* Thu Mar 12 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.5-3
- added %%{gpac_postinstall} in %%post

* Wed Mar 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.5-2
- corrected release number

* Wed Mar 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.5-1
- new upstream release
- added PreReq: 
  - speex-devel
  - bzip2-devel

* Tue Feb 24 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.9-20090202.7
- change release to sync with ffmpeg

* Sun Feb 08 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.9-20090202.6
- changed to PreReq:  self-build-faad2 >= 2.0 from faad2-devel

* Wed Feb 04 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.9-20090202.5
- 20090202 snapshot

* Sun Jan 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.9-20090110.4
- 20090110 snapshot
- dropped some patches

* Sun Dec 14 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.9-15488.1
- source updated (r15488)
- fixed License: GPLv2+
- added BuildRequires: gsm-devel libdc1394-devel libraw1394-devel
- added BuildRequires: yasm (only %%ix86)
- applied ffmpeg-cpu.patch (merged from RPM Fusion)

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.9-11662.3vl4
- spec in utf8

* Tue May 20 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.9-11662.2vl4
- run pre-allocate-rpm.sh in %%post
- set PreReq: self-build-setup >= 0.8
- change release number

* Wed Apr 16 2008 Atsushi SHICHI <ats777@gmail.com> 0.4.9-11662.1vl4
- add "Source1: %{pkgname}-%{version}.r%{svnrev}.tar.gz",
  include Source1 in the binary package.
- drop "Source100: ffmpeg-vine.patch".
- drop "PreReq: subversion".

* Mon Apr 7 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.9-0.20080128.1vl4
- build with new versioning policy
- change to use svn export from svn checkout on post install
- fix ffmpeg-vine.patch for libswscale/swscale.c.rej

* Thu Mar 13 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.9-0.20080128vl2
- For all pre-required package that is provied by self-build,  
  changed to its self-build package
  
* Sun Mar 9 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.9-0.20080128vl1
- initial build for Vine Linux 4.2
- snapshot 2008/01/28 + some Rev.11662 2008/01/29

### end of file
