%define projname mp4v2

%define pkgname libmp4v2
%define name	self-build-%{pkgname}
%define version 1.9.1
%define release	4%{?_dist_release}

#% define sourceurl0	http://resare.com/libmp4v2/dist/%{pkgname}-%{version}.tar.bz2
#% define sourceurl1	http://resare.com/libmp4v2/mklibmp4v2/mklibmp4v2-r51.tar.bz2
%define sourceurl0	http://mp4v2.googlecode.com/files/%{projname}-%{version}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package (with internal libmp4v2)
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec

License:	MPLv1.1
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

# (build)requies of target package.

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.


If you install this package, it automatically downloads 
source code, compile it with internal libmp4v2, and create
rpm packages of %{pkgname}-%{version} and libmp4v2-%{version}. 
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
libmp4v2 ライブラリは mp4 コンテナフォーマットを用いたファイ
ルで動作するものに対して抽象レイヤーを提供します．このライブ
ラリは mpeg4ip プロジェクトにより開発されており，mpeg4ip パッ
ケージに分散されているライブラリの完全なコピーです．

このパッケージをインストールすると、自動的にソースコードを
ダウンロードして、%{pkgname}-%{version} の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 75000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-devel-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.9.1-4
- - renamed %%{Source0} to libmp4v2-vl.spec

* Thu Mar 04 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.9.1-3
- fixed the permission of /usr/include/mp4v2 to access it by group, others

* Sat Feb 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.9.1-2
- added --disable-gch in configure options

* Thu Feb 18 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.9.1-1
- new upstream release 
- changed URL: to http://code.google.com/p/mp4v2/
  MP4v2 was originally bundled with mpeg4ip library, 
  but has been moved into its own maintained library 
  due to a combination of the cessation of support of mpeg4ip 
  and the usefulness of this library on its own.

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.5.0.1-2
- added BuildArch: noarch
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Sun Jan 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.5.0.1-1
- initial build

### end of file
