%define pkgname libquicktime
%define name	self-build-%{pkgname}
%define version 1.1.5
%define release	1%{?_dist_release}

%define sourceurl0	http://prdownloads.sourceforge.net/libquicktime/%{pkgname}-%{version}.tar.gz

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec

License:	LGPLv2+
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

Requires(post):		libvorbis-devel
Requires(post):		libpng-devel
Requires(post):		libjpeg-devel
Requires(post):		gtk2-devel 
Requires(post):		libdv-devel
Requires(post):		libraw1394-devel
Requires(post):		libavc1394-devel

Requires(post):		alsa-lib-devel
Requires(post):		zlib-devel
Requires(post):		gettext-devel
Requires(post):		mesa-libGL-devel
Requires(post):		libX11-devel
Requires(post):		libICE-devel
Requires(post):		libSM-devel
Requires(post):		libXext-devel
Requires(post):		libXmu-devel
Requires(post):		libXpm-devel
Requires(post):		libXt-devel
Requires(post):		libXaw-devel >= 1.0.5
Requires(post):		libXv-devel

Requires(post):		self-build-ffmpeg
Requires(post):		self-build-lame
Requires(post):		self-build-faad2
Requires(post):		self-build-faac
Requires(post):		self-build-x264

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.


If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
libquicktimeはUNIX 系のシステムでQuickTimeファイルを読み書きするための
ライブラリです．ビデオエンコード：OpenDivX、MJPA、JPEG Photo、PNG、RGB、
YUV 4:2:2、YUV 4:2:0、オーディオエンコード：Ogg Vorbis、IMA4、ulaw、そ
の他線型PCM形式をサポートします．


このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version} の rpm
パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 186000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-devel-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sun Jun 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.5-1
- new upstream release

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.4-2
- renamed %%{Source0} to libquicktime-vl.spec

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.4-1
- new upstream release

* Sun Jun 28 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.1.2-1
- initial bulid
