%define pkgname mjpegtools
%define name    self-build-%{pkgname}
%define version 1.9.0
%define release 1%{?_dist_release}

%define sourceurl0	http://prdownloads.sourceforge.net/mjpeg/%{pkgname}-%{version}.tar.gz

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}

Source0:	%{pkgname}-vl.spec
Source100:      mjpegtools-1.9.0rc1-anytovcd-ffmpegver.patch
Source101:      mjpegtools-1.9.0-gcc44.patch
Source102:      mjpegtools-1.9.0-png-memleak.patch

License:	GPLv2+
Group:		Restricted Software

# Requires(posttrans) not yet implemented. So we use (post) instead.
Requires(post):	self-build-setup >= 0.9.0

Requires(post):  libjpeg-devel
Requires(post):  nasm
Requires(post):  libdv-devel
Requires(post):  SDL-devel >= 1.1.3
Requires(post):  SDL_gfx-devel
Requires(post):  self-build-libquicktime >= 0.9.8
Requires(post):  libpng-devel
Requires(post):  gtk2-devel >= 2.4.0
Requires(post):  self-build-mplayer
Requires(post):  self-build-ffmpeg
#Requires(post):  y4mscaler
Requires:  which
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
The mjpeg programs are a set of tools that can do recording of videos
and playback, simple cut-and-paste editing and the MPEG compression of
audio and video under Linux. 


If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
mjpegtools は、Linux 上で
ビデオ録画や再生、
簡単なカット＆ペーストの編集、
オーディオやビデオの MPEG 圧縮
ができるツール集です。


このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 \
    %{SOURCE100} %{SOURCE101} %{SOURCE102} \
    ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 194000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-devel-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/%{name}/*


%changelog
* Fri Sep 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.9.0-1
- initial build

### end of file
