%define with_vaapi 1
%define with_libvpx 1

%define name	mplayer
%define version	1.0
%define extver	rc3
#% define release	4%{?extver:.%{extver}}%{?_dist_release}
%define svndate  20100709
%define release	39.%{svndate}%{?_dist_release}

%if %{?_dist_release} == "vl6" || %{?_dist_release} == "vl5"
%define ttfontdir   /usr/share/fonts
%define ttfontlist  TrueType-vlgothic/VL-PGothic-Regular \\\
                    TrueType-sazanami-gothic/sazanami-gothic
%endif

Summary:	The Movie Player
Summary(ja): 	動画プレイヤー
Name:		%{name}
Version:	%{version}
Release: 	%{release}
#Source0:	http://www.mplayerhq.hu/MPlayer/releases/MPlayer-%{version}%{extver}.tar.bz2
Source0:	mplayer-export-%{svndate}.tar.bz2
Source1:	http://www.mplayerhq.hu/MPlayer/skins/Blue-1.7.tar.bz2
Source10:       mplayer-snapshot-vine.sh
#Patch2:         %{name}-config.patch
Patch2:         %{name}-config-20100709-vine.patch
Patch8:         %{name}-manlinks.patch
Patch14:        %{name}-nodvdcss.patch

## Vine
Patch50:       mplayer-20100709-fixed-vo_x11_create_vo_window.patch

License:	GPLv2+
Group:		Applications/Multimedia
URL:		http://www.mplayerhq.hu/

BuildRequires:	gtk2-devel
BuildRequires:	freetype2-devel
BuildRequires:	SDL-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	cdparanoia-devel
BuildRequires:	libvorbis-devel
BuildRequires:  pulseaudio-lib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	giflib-devel
BuildRequires:	zlib-devel
BuildRequires:	libdvdread
BuildRequires:  libmpcdec-devel
BuildRequires:  twolame-devel
BuildRequires:  yasm
BuildRequires:  libvdpau-devel
%{?with_vaapi:BuildRequires:libva-devel}
%{?with_libvpx:BuildRequires:  libvpx-devel >= 0.9.1}
BuildRequires:  libXinerama-devel
BuildRequires:  libXScrnSaver-devel
# *-devel packages provided by other self-build-* should only be listed
# in self-build-%{name}.spec as PreReq.
##Requires:	self-build-mplayer-codecs
##BuildRequires:	self-build-libdvdcss
##BuildRequires:	self-build-libdvdnav
##BuildRequires:  self-build-faac
##BuildRequires:  self-build-lame
##BuildRequires:  self-build-libdca
##BuildRequires:  self-build-x264 >= 0.0.0-4.20090110
##BuildRequires:  self-build-xvidcore >= 0.9.2
##BuildRequires:  self-build-faad2 >= 2.6
##BuildRequires:  self-build-libmad
##BuildRequires:  self-build-libmpeg2
Requires:	TrueType-vlgothic
%if %{?_dist_release} == "vl6" || %{?_dist_release} == "vl5"
Requires:	mesa-libGL
BuildRequires:	xorg-x11-devel 
BuildRequires:	mesa-libGL-devel
%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
MPlayer can play most standard video formats out of the box and almost
all others with the help of external codecs. 
MPlayer currently works best from the command line, but visual feedback
for many functions is available from its onscreen status display (OSD),
which is also used for displaying subtitles.
MPlayer also has a GUI with skin support and several unofficial alternative
graphical frontends are available.

MEncoder is a command line video encoder for advanced users that can
be built from the MPlayer source tree. Unofficial graphical frontends
exist but arenot included.

MPlayer supports most common formats, like DVDs, MPEG-1/2/4, etc, but
support for some newer codecs are not yet inpmlemented.
You should install mplayer-codecs package if you want to play videos
using those new codecs.

%description -l ja
MPlayer は一般的なフォーマットの動画ならそのままですぐ再生できます。
またそれ以外のほとんど全てのフォーマットも外部 Codec を使用することで再生できます。
現在の MPlayer はコマンドラインから使うのが一番便利ですが、
多くの操作は字幕と同様に、
オンスクリーン・ディスプレイ (OSD) によりその結果が画面上で確認できます。
MPlayer には スキンを変更できる GUI も用意されていますし、
また複数の非公式なフロントエンドも利用できます。

MEncoder は上級者向けのコマンドラインの動画用エンコーダーです。
非公式な GUI フロントエンドもありますが、このパッケージには含まれていません。

MPlayer は何もしなくても DVD や MPEG-1/2/4 のように一般的なフォーマット
を再生できます。ただし一部の最新のフォーマットへの対応はまだ実装されて
いないので、そのような動画を再生したい場合は mplayer-codecs パッケージ
をインストールする必要があります。


%prep
#% setup -q -n MPlayer-%{version}%{extver}
%setup -q -n mplayer-export-%{svndate}

%patch2 -p1 -b .config
%patch8 -p1 -b .manlinks
%patch14 -p1 -b .nodvdcss

%patch50 -p1 -b .x11

%build
./configure \
    --prefix=%{_prefix} \
    --confdir=%{_sysconfdir}/mplayer \
    --enable-runtime-cpudetection \
    --extra-cflags="$RPM_OPT_FLAGS" \
    --disable-libdvdcss-internal \
    --disable-dvdread-internal \
    --enable-dvdread \
    --enable-dvdnav \
    \
    --disable-faac-lavc \
    --disable-mp3lame-lavc \
    --disable-x264-lavc \
    \
    --disable-faad-internal \
    \
    --disable-libopenjpeg \
    \
    --disable-bitmap-font \
    --disable-termcap \
    --enable-xvmc \
    --with-xvmclib=XvMCW \
    \
    --enable-largefiles \
    --enable-menu \
    --enable-gui \
    --language=ja,en \
    ;

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install INSTALLSTRIP= \
    prefix=${RPM_BUILD_ROOT}%{_prefix} \
    BINDIR=${RPM_BUILD_ROOT}%{_bindir} \
    DATADIR=${RPM_BUILD_ROOT}%{_datadir}/mplayer \
    CONFDIR=${RPM_BUILD_ROOT}%{_sysconfdir}/mplayer \
    LIBDIR=${RPM_BUILD_ROOT}%{_libdir} \
    MANDIR=${RPM_BUILD_ROOT}%{_mandir} \
    ;

## install some default config files
%{__install} -d -m 755 ${RPM_BUILD_ROOT}%{_sysconfdir}/mplayer
%{__install} -pm 644 etc/example.conf \
    ${RPM_BUILD_ROOT}%{_sysconfdir}/mplayer/mplayer.conf
%{__install} -pm 644 etc/{input,menu,codecs}.conf \
    ${RPM_BUILD_ROOT}%{_sysconfdir}/mplayer

# install default skin
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_datadir}/mplayer/skins
pushd ${RPM_BUILD_ROOT}%{_datadir}/mplayer/skins
%{__tar} xjf %{SOURCE1}
%{__ln_s} Blue default
popd

# make sybolic link to ttf font for subtitle
for i in %{ttfontlist}; do
    if [ -e %{ttfontdir}/$i.ttf ];then
	%__ln_s -f %{ttfontdir}/$i.ttf ${RPM_BUILD_ROOT}%{_datadir}/mplayer/subfont.ttf;
	break;
    fi;
done

## install TOOLS
for file in aconvert.sh divx2svcd.sh mencvcd.sh midentify.sh mpconsole.sh qepdvcd.sh subsearch.sh ; do
%__install -pm 755 TOOLS/$file $RPM_BUILD_ROOT%{_bindir}/`basename $file .sh`
done

for file in calcbpp.pl countquant.pl dvd2divxscript.pl ; do
%__install -pm 755 TOOLS/$file $RPM_BUILD_ROOT%{_bindir}/`basename $file .pl`
done

for file in vobshift.py ; do
%__install -pm 755 TOOLS/$file $RPM_BUILD_ROOT%{_bindir}/`basename $file .py`
done

%__mkdir -p $RPM_BUILD_ROOT%{_datadir}/mplayer
%__install -pm 644 TOOLS/*.fp $RPM_BUILD_ROOT%{_datadir}/mplayer/


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS Changelog Copyright LICENSE README
%config(noreplace) %{_sysconfdir}/mplayer/mplayer.conf
%config(noreplace) %{_sysconfdir}/mplayer/codecs.conf
%config(noreplace) %{_sysconfdir}/mplayer/input.conf
%config(noreplace) %{_sysconfdir}/mplayer/menu.conf
%{_bindir}/mplayer
%{_bindir}/gmplayer
%{_bindir}/mencoder
%{_datadir}/mplayer/skins/Blue
%{_datadir}/mplayer/skins/default
%{_datadir}/mplayer/subfont.ttf
%{_datadir}/applications/mplayer.desktop
%{_datadir}/pixmaps/mplayer.xpm
%{_mandir}/man1/mplayer.1*
%{_mandir}/man1/mencoder.1*
## TOOLS
%{_bindir}/aconvert
%{_bindir}/calcbpp
%{_bindir}/countquant
%{_bindir}/divx2svcd
%{_bindir}/dvd2divxscript
%{_bindir}/mencvcd
%{_bindir}/midentify
%{_bindir}/mpconsole
%{_bindir}/qepdvcd
%{_bindir}/subsearch
%{_bindir}/vobshift
%{_datadir}/mplayer/*.fp


%changelog
* Sun Jul 25 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-39.20100709
- updated fixed %{name}-config.patch
  - applied %{name}-config-20100709-vine.patch

* Sat Jul 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-38.20100709
- change release to sync with self-build-mplayer

* Sat Jul 10 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-37.20100709
- updated source snapshot 20100709
- renamed %%Source10 to mplayer-snapshot-vine.sh
- applied mplayer-20100709-fixed-vo_x11_create_vo_window.patch
- added BuildRequires: libvpx-devel >= 0.9.1

* Sun Jun 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-36.20100621
- updated source snapshot 20100621

* Sat Jun 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-35.20100615
- updated source snapshot 20100615
- added BuildRequires: libXinerama-devel
- dropped vl4 support

* Sun Apr 11 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-34.20100410
- updated source snapshot 20100410

* Fri Apr 02 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-33.20100401
- updated source snapshot 20100401

* Sat Mar 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-32.20100326
- updated source snapshot 20100326

* Thu Mar 18 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-31.20100317
- updated source snapshot 20100317

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-30.20100216
- updated source snapshot 20100216
- moved scripts from TOOLS
- added --disable-libopenjpeg in configure options

* Tue Feb 02 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-29.20100201
- updated source snapshot 20100201
- dropped obsolete patches
- added BuildRequires: 
  - libvdpau-devel
  - libXScrnSaver-devel

* Sat Dec 26 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-28.20091031
- update mplayer-config-20091215-vine.patch
- update mplayer-20091215-x86_32-compile.patch
- added --enable-runtime-cpudetection in configure options

* Sun Nov 01 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-27.20091031
- source snapshot 20091031
  - updated mplayer-20091031-x86_32-compile.patch

* Sun Oct 04 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-26.20091003
- source snapshot 20091003

* Sun Sep 13 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-25.20090905
- change release to sync with self-build-mplayer

* Sun Sep 06 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-24.20090905
- source snapshot 20090905
- added settings for vl6

* Thu Aug 22 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-23.20090821
- source snapshot 20090821
- replaced BR: libungif-devel with BR: giflib-devel

* Thu Jul 23 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-22.20090722
- source snapshot 20090722

* Fri Jul 03 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-21.20090702
- source snapshot 20090702

* Fri Jun 12 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-20.20090611
- source snapshot 20090611

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-19.20090522
- added Requires: TrueType-vlgothic

* Sat May 23 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-18.20090522
- source snapshot 20090522
  - build with x264 >= 0.0.0-9.20090522
  - updated mplayer-20090522-nodvdcss.patch

* Thu May 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-17.20090502
- change release to sync with self-build-mplayer

* Sun May 03 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-16.20090502
- source snapshot 20090502
- updated mplayer-20090503-x86_32-compile.patch
- updated mplayer-20090502-nodvdcss.patch

* Thu Apr 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-15.20090327
- applied mplayer-config-vine.patch

* Sat Mar 28 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-14.20090327
- source snapshot 20090327
- updated mplayer-20090327-x86_32-compile.patch
- updated mplayer-20090325-nodvdcss.patch
- dropped gmplayer-about-vine.patch
- install some default config files
- added configure options: 
  - --disable-termcap
  - --enable-xvmc
  - --with-xvmclib=XvMCW
- archived doc/mplayer-1.0/TOOLS directory to doc/TOOLS.tar.bz2
- fixed %%files for *.conf

* Fri Mar 06 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-13.20090305
- source snapshot 20090305

* Sat Feb 28 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-12.20090227
- source snapshot 20090227

* Tue Feb 17 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-11.20090216
- source snapshot 20090216

* Sun Feb 08 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-10.20090206
- source snapshot 20090206
- dropped mplayer-man-zh_CN.patch
- updated mplayer-20090206-nodvdcss.patch
- changed to PreReq:  self-build-faad2 from faad2-devel
- added PreReq:  self-build-libmad

* Sun Feb 01 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-9.20090131
- source snapshot 20090131

* Thu Jan 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-8.20090122
- change release to sync with self-build-mplayer

* Fri Jan 23 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-7.20090122
- source snapshot
- update mplayer-20090122-nodvdcss.patch
- added BuildRequires: 
  - faad2-devel
  - libmpcdec-devel
  - twolame-devel
  - yasm
  - faac-devel (as PreReq in self-build-%{name})
  - lame-devel (as PreReq in self-build-%{name})
  - libdca-devel (as PreReq in self-build-%{name})
  - x264-devel >= 0.0.0-4.20090110 (as PreReq in self-build-%{name})
  - xvidcore-devel >= 0.9.2 (as PreReq in self-build-%{name})

* Sat Jan 10 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-6.20090109
- source snapshot
- added --disable-faac-lavc --disable-mp3lame-lavc --disable-x264-lavc 
  --disable-faad-internal in configure options
- dropped gmplayer-add-flv-extension.patch

* Sun Dec 14 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-5.20081001
- source snapshot
- fixed License
- added some patches from RPM Fusion
- updated gmplayer-about-vine.patch for 20081001 snapshot
- added BuildRequires:	libdvdread
- added BuildRequires:	self-build-libdvdcss self-build-libdvdnav
- added --disable-dvdread-internal --enable-dvdread --enable-dvdnav
  in configure options
#- applied mplayer-avoid-Warning_MVs_not_available.patch for VineSeed

* Mon Nov 17 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-4.rc2
- fixed License
- added some devel packages to support OpenGL

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-3.rc2
- spec in utf8
- fix sybolic link of subfont for vl5

* Wed May 07 2008 Atsushi SHICHI <ats777@gmail.com> 1.0-2.rc2vl4
- add "Patch105: CVE-2008-1558.patch".

* Fri May 02 2008 Atsushi SHICHI <ats777@gmail.com> 1.0-1.rc2vl4
- build with new versioning policy.
- fix Source[01] URLs.
- add "Patch200: gmplayer-about-vine.patch".
- add "Patch201: gmplayer-add-flv-extension.patch".

* Sun Feb 17 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-0vl0.3rc2
- add four official security patches (CVE-2008-0485, CVE-2008-0486, 
  CVE-2008-0629, CVE-2008-0630)
- add mplayer-1.0rc2-20080211-stream_cddb.patch

* Tue Feb 12 2008 Kazutaka HARADA <Kazutaka HARADA> 1.0-0vl0.2rc2
- change source download URL. <BTS:VineLinux:603>

* Sun Jan 27 2008 Kazutaka HARADA <Kazutaka HARADA> 1.0-0vl0.1rc2
- fix CONFDIR for make install. <BTS:wishes:33>

* Fri Jan 18 2008 Kazutaka HARADA <Kazutaka HARADA> 1.0-0vl0.0rc2
- initial build for Vine Linux
