%define pkgname xvidcore
%define name	self-build-%{pkgname}
%define version 1.2.2
%define release	1%{?_dist_release}

%define sourceurl0	http://downloads.xvid.org/downloads/%{pkgname}-%{version}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec
Source100:      xvidcore-noexec-stack.patch

License:	GPLv2+
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

# (build)requies of target package.
Requires(post):		nasm >= 2.0

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
xvidcore is the free reimplementation of the OpenDivX video codec.

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
xvidcore は OpenDivX プロジェクトによるビデオコーデックを
オープンソースで開発継続されているものです。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version} の rpm
パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE100} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 34000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-devel-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sat Dec 25 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.2.2-1
- added BuildArch: noarch
- updated xvidcore-vl.spec
  - new upstream release
  - applied a rebase noexec-stack patch from RPM Fusion development

* Sun Mar 21 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.2.1-4
- renamed %%{Source0} to xvidcore-vl.spec

* Fri Jun 05 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.1-3
- dropped BuildArch: noarch
  (because if BuildArch: noarch, %%ifarch is invalid)

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.1-2
- added BuildArch: noarch
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Sun Jan 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.1-1
- new upstream release
- dropped xvidcore-1.1.3_bitstream.patch

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.1.3-3
- spec in utf8

* Sun May 18 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.1.3-2
- run pre-allocate-rpm.sh in %%post
- set PreReq: self-build-setup >= 0.8

* Fri Apr 11 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.1.3-1vl4
- build with new versioning policy
- apply xvidcore-1.1.3_bitstream.patch

* Tue Feb 19 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.1.3-0vl1
- initial build for Vine Linux 4.2

### end of file
