Name:		obex-data-server
Version:	0.4
Release:	2%{?_dist_release}
Summary:	D-Bus service for Obex access
Summary(ja): Obex アクセスのための D-Bus サービス 

Group:		System Environment/Daemons
License:	GPLv2+
URL:		http://tadas.dailyda.com/blog
Source0:	http://tadas.dailyda.com/software/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

#----------------------------------------------------------------------------
BuildRequires:	dbus-glib-devel
BuildRequires:	bluez-libs-devel
BuildRequires:	openobex-devel
BuildRequires:	glib2-devel
BuildRequires:	libtool

#----------------------------------------------------------------------------
%description
obex-data-server is a D-Bus service to allow sending and receiving files
using the ObexFTP and Obex Push protocols, common on mobile phones and
other Bluetooth-equipped devices.

%description -l ja
obex-data-server は ObexFTP や携帯電話などのBluetooth対応デバイスで
共通して用いられる Obex Push protocols を使用して送受信をできるよう
にする D-Bus サービスです。

#----------------------------------------------------------------------------
%prep
%setup -q

%build
%configure --enable-bip=gdk-pixbuf

make %{?_smp_mflags}

cat << EOF > README
Bug tracking system is at:
http://bugs.muiline.com/view_all_bug_page.php

Web page is at:
http://tadas.dailyda.com/blog/

SVN tree:
svn://svn.muiline.com/obex-data-server/trunk/

SVN browsing:
http://svn.muiline.com/cgi-bin/viewvc.cgi/obex-data-server/trunk/

EOF

#----------------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT
chmod a-x test/*.py
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README COPYING dbus-api.txt test/ods-dbus-test.c test/ods-server-test.py test/ods-session-test.py
%{_bindir}/obex-data-server
%{_sysconfdir}/obex-data-server/
%{_datadir}/dbus-1/services/obex-data-server.service
%{_mandir}/man1/obex-data-server.1.gz

#----------------------------------------------------------------------------
# Maintainers: babasaki@mindgear.org
#
#----------------------------------------------------------------------------
%changelog
* Thu Oct 23 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.4-2
- rebuild with bluez-libs-devel-4.15

* Fri Oct 22 2008 Seiichirou Babasaki 0.4-1
- up to 0.4
- added "# Maintainers: " comments.
- changed UTF-8 encode at obex-data-server.vs.spec
- Updated specfile
- FedoraCore LOGS
-- 0.3.99-2
-- Update to rev 1998
-- Use gdk-pixbuf instead of ImageMagick for BIP support
-- 0.3.99-1
-- Update to rev 1977
-- 0.3.4-8
-- Add ImageMagic BR
--- 0.3.4-7
-- Add missing patch
-- 0.3.4-6
-- Update to latest SVN trunk, with BlueZ 4 patch
-- 0.3.4-5
-- Another BlueZ 4.x patch update
-- 0.3.4-4
-- Update bluez 4.x patch for the latest D-Bus API
-- 0.3.4-3
-- Rebuild with BlueZ 4.x patch
-- 0.3.4-2
-- Rebuild
-- 0.3.4-1
-- Update to 0.3.4
-- Fixes a problem accessing Nokia phones (#456541)


* Fri Sep 26 2008 Seiichirou Babasaki 0.3.2-1
- Updated specfile

* Mon Jun 16 2008 Seiichirou Babasaki 0.3.1-2
- Import obex-data-server - Packager: Babasaki
- Updated specfile

#----------------------------------------------------------------------------
* Tue Apr 01 2008 - Bastien Nocera <bnocera@redhat.com> - 0.3.1-1
- Update to 0.3.1
- Fixes a number of crashers

* Thu Feb 21 2008 - Bastien Nocera <bnocera@redhat.com> - 0.3-1
- Update to 0.3

* Wed Feb 13 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2-1
- Update to 0.2
- Remove system-wide service file

* Thu Feb 07 2008 - Bastien Nocera <bnocera@redhat.com> - 0.1-1
- Update to release 0.1
- Up Epoch as version numbering sucks

* Mon Feb 04 2008 - Bastien Nocera <bnocera@redhat.com> - 0.01-6.04022008
- Update from SVN

* Sun Jan 20 2008 - Bastien Nocera <bnocera@redhat.com> - 0.01-5.16012007
- Fix rpmlint issues

* Fri Jan 18 2008 - Bastien Nocera <bnocera@redhat.com> - 0.01-4.16012007
- Add BR on libtool

* Thu Jan 17 2008 - Bastien Nocera <bnocera@redhat.com> - 0.01-3.16012007
- Remove exec bits on example apps

* Wed Jan 16 2008 - Bastien Nocera <bnocera@redhat.com> - 0.01-2.16012007
- Add COPYING, and add some data to the README

* Wed Jan 16 2008 - Bastien Nocera <bnocera@redhat.com> - 0.01-1.16012007
- First package

