Name:		obexd
Version:	0.38
Release:	1%{?_dist_release}
Summary:	D-Bus service for Obex Client access
Summary(ja):    Obex クライアントアクセスのための D-Bus サービス

Group:		System Environment/Daemons
License:	GPLv2+
Source0:	http://www.kernel.org/pub/linux/bluetooth/obexd-%{version}.tar.gz
Url:		http://www.bluez.org/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

#----------------------------------------------------------------------------

BuildRequires:	glib2-devel
BuildRequires:	dbus-devel
BuildRequires:	bluez-libs-devel >= 4.64
BuildRequires:	openobex-devel
BuildRequires:	libical-devel

#----------------------------------------------------------------------------

Vendor: Project Vine
Distribution: Vine Linux
Packager: babasaki, daisuke

#----------------------------------------------------------------------------
%description
obexd contains obex-client, a D-Bus service to allow sending files
using the Obex Push protocol, common on mobile phones and
other Bluetooth-equipped devices.

%description -l ja
obexd に含まれる obex-client は、携帯電話などのBluetooth対応デバイスで
共通して用いられる Obex Push protocols を使用して送信をできるよう
にする D-Bus サービスです。

※訳注:obex-data-server との違いは 送信 です。( --disable-server)

#----------------------------------------------------------------------------
%prep
%setup -q

%build
%configure --disable-server

make %{?_smp_mflags}

chmod -x test/send-files

#----------------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS doc/client-api.txt test/send-files
%{_libexecdir}/obex-client
%{_datadir}/dbus-1/services/obex-client.service


%changelog
* Sun Dec 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.38-1
- new upstream release

* Fri Dec 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.37-1
- new upstream release

* Tue Nov 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.36-1
- new upstream release

* Wed Nov 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.33-1
- new upstream release

* Mon Jul 19 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.29-1
- new upstream release

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.28-1
- new upstream release
- add BuildRequires: libical-devel

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.23-1
- new upstream release

* Sun Jun 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.13-1
- new upstream release
- remove "# Maintainers", add Packager: tag

* Fri Oct 24 2008 Seiichirou Babasaki 0.6-2
- Import obex-data-server - Packager: Babasaki
- added "# Maintainers: " comments.
- changed UTF-8 encode at obexd.vs.spec
- Updated specfile

#----------------------------------------------------------------------------
* Fri Oct 17 2008 - Bastien Nocera <bnocera@redhat.com> - 0.6-1
- Update to 0.6

* Mon Oct 06 2008 - Bastien Nocera <bnocera@redhat.com> - 0.5-2
- Fix problems mentioned in the review

* Mon Oct 06 2008 - Bastien Nocera <bnocera@redhat.com> - 0.5-1
- First package

