Summary:	A file archiver with very high compression ratio
Summary(ja):	非常に圧縮率の高いファイルアーカイバ
Name:		p7zip
Version:	9.13
Release:	1%{?_dist_release}
License:	LGPL
Group:		Applications/Archiving
URL:		http://p7zip.sourceforge.net/
Source0		http://prdownloads.sourceforge.net/p7zip/p7zip_%{version}_src_all.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	perl
Vendor:		Project Vine
Distribution:	Vine Linux

%description
p7zip is a port of 7-Zip for POSIX systems like Unix (Linux, Solaris,
OpenBSD, FreeBSD, Cygwin, ...), MacOS X and BeOS.
7-Zip is a file archiver with high compression ratio. The program
supports 7z, ZIP, CAB, RAR, ARJ, LZH, GZIP, BZIP2, Z, TAR, CPIO, RPM,
and DEB formats. Compression ratio in the new 7z format is 30-50% better
than ratio in ZIP format.

%description -l ja
p7zip は 7-Zip を UNIX (Linux, Solaris, OpenBSD, FreeBSD 等), MacOS X
や BeOS のような POSIX システムに移植したものです。
7-Zip は圧縮率の高いファイルアーカイバで、7z, ZIP, CAB, RAR, ARJ, LZH,
GZIP, BZIP2, Z, TAR, CPIO, RPM, DEB フォーマットをサポートしています。
新しい 7z フォーマットで圧縮すると、ZIP フォーマットで圧縮するよりも、
圧縮率が 30〜50% 向上します。

%package plugins
Summary:	Additional plugins for p7zip
Summary(ja):	p7zip の追加プラグイン
Group:		Applications/Archiving
Requires:	%{name} = %{version}

%description plugins
Additional plugins that can be used with 7z to extend its abilities.
This package contains also a virtual file system for Midnight Commander.

%description -l ja plugins
このパッケージには 7z の機能を拡張するための追加が含まれています。
また、Midnight Commander のための仮想ファイルシステムも含まれています。

%prep
%setup -q -n %{name}_%{version}

%ifarch %{ix86} ppc alpha
%__cp -f makefile.linux_x86_ppc_alpha makefile.machine
%endif
%ifarch x86_64
%__cp -f makefile.linux_amd64 makefile.machine
%endif

#%__perl -p -i -e 's/ -O2.*/ %{optflags} \\/' \
%__perl -p -i -e 's/(OPTFLAGS=).*/\1%{optflags}/' \
	makefile.machine

%build
%__make %{?_smp_mflags} all2

%check
%__make test

%install
%__rm -rf %{buildroot}

# create directories
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_libdir}/%{name}
%__mkdir_p %{buildroot}%{_mandir}

# install libraries
%__tar cfC - bin . | %__tar xfC - %{buildroot}%{_libdir}/%{name}

# install man pages
%__tar cf - man* | %__tar xfC - %{buildroot}%{_mandir}

# install wrapper script for 7z
%__cat << EOF > %{buildroot}%{_bindir}/7z
#!/bin/sh
exec %{_libdir}/%{name}/7z "\$@"
EOF
%__chmod 755 %{buildroot}%{_bindir}/7z

# install wrapper script for 7za
%__cat << EOF > %{buildroot}%{_bindir}/7za
#!/bin/sh
exec %{_libdir}/%{name}/7za "\$@"
EOF
%__chmod 755 %{buildroot}%{_bindir}/7za

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README TODO DOCS
%{_bindir}/7za
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/7za
%{_libdir}/%{name}/7zCon.sfx
%{_mandir}/man*/7za.*

%files plugins
%defattr(-,root,root)
%doc contrib
%{_bindir}/7z
%{_libdir}/%{name}/7z
%{_libdir}/%{name}/7z.so
%{_libdir}/%{name}/Codecs
#{_libdir}/%{name}/Formats
%{_mandir}/man*/*

%changelog
* Wed Jun 9 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 9.13-1
- new upstream release

* Sun Jun 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 9.04-1vl5
- new upstream release

* Sat Feb 28 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 4.65-1vl5
- new upstream release
- fixed %files plugins

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 4.58-1vl5
- new upstream release
- applied new versioning policy, spec in utf-8

* Mon Jul 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.51-0vl1
- rebuilt with new toolchain
- new upstream release

* Wed Feb 07 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.44-0vl1
- upstream release

* Sat Oct 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.43-0vl1
- upstream release

* Fri Jul 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.42-0vl1
- upstream release

* Sat Apr 15 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.39-0vl1
- upstream release

* Thu Apr 06 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.37-0vl1
- upstream release

* Mon Feb 27 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.33-0vl1
- upstream release

* Tue Jan 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.30-0vl1
- upstream release

* Mon Oct 24 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.29-0vl2
- separate plugins package like FC

* Wed Oct 19 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.29-0vl1
- upstream release

* Sat Sep 17 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.20-0vl1
- initial build
