Summary: PCMCIA utilities and initialization programs
Summary(ja): PCMCIA 用のユーティリティおよび初期化プログラム
Name: pcmciautils
Version: 014
Release: 1%{?_dist_release}
Group: System Environment/Base
License: GPL
Url: http://www.kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html

Source: http://www.kernel.org/pub/linux/utils/kernel/pcmcia/pcmciautils-%{version}.tar.bz2
# patch fomr fc to fix build failure
Patch0: pcmciautils-buildfix.patch
# replace deprecated format
Patch10: pcmciautils-012-modalias.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
BuildRequires: sysfsutils-devel >= 2.1.0
BuildRequires: byacc
Obsoletes: pcmcia-cs
Obsoletes: kernel-pcmcia-cs
Requires: udev >= 097, kernel >= 2.6.16

%description
The pcmciautils package contains utilities for initializing and
debugging PCMCIA and Cardbus sockets.

%description -l ja
pcmciautils パッケージは PCMCIA および Cardbus ソケットのための
初期化およびデバッグ用のユーティリティが含まれています。

%prep
%setup -q
%patch0 -p1 -b .buildfix
%patch10 -p1 -b .modalias

%build
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pcmcia/*.opts
%{_sysconfdir}/udev/rules.d/*
%{_syssbindir}/*
%{_mandir}/man*/*

%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 014-1vl5
- applied new versioning policy, spec in utf-8

* Tue Sep 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 014-0vl1
- new upstream release

* Fri Mar 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 013-0vl1
- new upstream release

* Sun Mar 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 012-0vl3
- add Patch10 to replace deprecated format from udev rules.

* Fri Mar 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 012-0vl2
- rebuilt

* Thu Mar 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 012-0vl1
- initial build for Vine Linux partially based on FC package
- new upstream release

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 011-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 011-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Dec 13 2005  Bill Nottingham <notting@redhat.com> 011-1
- update to 011, now ships with its own udev rules
- remove pcmcia-cs provide

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Jul 24 2005  Bill Nottingham <notting@redhat.com> 007-1
- further udev-related tweaks (#163311)

* Thu Jul 21 2005  Bill Nottingham <notting@redhat.com> 006-2
- udev patch - right idea, awful execution. fix that (#163311)
- add requirement for 2.6.13-rc1, basically

* Wed Jul 20 2005  Bill Nottingham <notting@redhat.com> 006-1
- update to 006
- link libsysfs statically

* Fri Jul 08 2005  Bill Nottingham <notting@redhat.com> 005-1
- initial packaging
