Name: pcre
Summary: Perl-compatible regular expression library
Summary(ja): Perl 互換の正規表現ライブラリ
Version: 8.10
Release: 2%{?_dist_release}

License: BSD
Group: System Environment/Libraries
URL: http://www.pcre.org/

Source:ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel
BuildRequires: bzip2-devel

Vendor: Project Vine
Distribution: Vine Linux

Packager: inagaki

%description
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

%package devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for %{name}.

%prep
%setup -q

%build
%configure --includedir=%{_includedir}/%{name} \
    --disable-static \
    --enable-utf8 \
    --enable-unicode-properties \
    --enable-pcregrep-libz \
    --enable-pcregrep-libbz2

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog LICENCE NEWS README
%{_bindir}/pcregrep
%{_libdir}/*.so.*
%{_mandir}/man1/pcregrep.*

%files devel
%defattr(-,root,root)
%doc doc/html/*
%{_bindir}/pcre-config
%{_bindir}/pcretest
%{_includedir}/*
%{_libdir}/*.so
#{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/pcre-config.*
%{_mandir}/man1/pcretest.*
%{_mandir}/man3/*

%changelog
* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 8.10-2
- rebuilt with rpm-4.8.1 for pkg-config

* Thu Aug 19 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.10-1
- new upstream release

* Mon May 10 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 8.02-1
- new upstream release with security fix

* Sat Feb  6 2010 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 8.01-1
- new upstream release

* Sat Jan 16 2010 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 8.00-1
- new upstream release

* Tue Jul 07 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.9-2
- add --enable-unicode-properties to configure option

* Wed Jun 10 2009 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 7.9-1
- new upstream release
- added BR: zlib-devel, bzip2-devel
- removed static libraries from devel package
- added Packager tag

* Sat Jan 24 2009 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 7.8-1vl5
- new upstream release
- spec in UTF-8

* Sun Jul  6 2008 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 7.7-1vl5
- new upstream release

* Tue May 13 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 7.6-1vl5
- use macro for Release

* Fri May 09 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 7.6-1vl5
- apply new virsioning policy.
- remove *.la

* Thu Feb  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 7.6-0vl1
- new upstream release

* Wed Nov  7 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 7.4-0vl1
- new upstream release

* Sun Aug 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 7.2-0vl1
- new upstream release

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 6.6-0vl2
- rebuild with new environment/toolchain

* Wed Feb 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.6-0vl1
- new upstream release

* Mon Sep  5 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.3-0vl2
- added --enable-utf8 option

* Sun Sep  4 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.3-0vl1
- new upstream release

* Thu Jan 27 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.0-0vl1
- new upstream release
- added Japanese summary

* Sun Apr 18 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5-0vl1
- new upstream release

* Mon Oct 13 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.4-0vl1
- new upstream release

* Mon May  5 2003 Tomoya TAKA <taka@vinelinux.org> 4.1-0vl3
- skip 'make check' on alpha

* Fri Mar 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.1-0vl2
- change install section
- change files section

* Fri Mar 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.1-0vl1
- update to 4.1
- add %{_bindir}/pcretest
- add %doc AUTHORS COPYING ChangeLog INSTALL LICENCE NEWS README

* Sun Dec 15 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.9-0vl2
- rebuild with new toolchains

* Sat Mar 16 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.9-0vl1
- Update to 3.9

* Wed Dec 26 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.7-0vl1
- Update to 3.7

* Sun Oct 14 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.5-0vl1
- Update to 3.5

* Wed Oct 10 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.4-2vl1
- Build for VineSeed

* Thu May 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.4-2
- Move libpcre to /lib, grep uses it these days (#41104)

* Wed Apr 18 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Move this to a separate package, used to be in kdesupport, but it's
  generally useful...
