Name:             pdftk
Summary:          pdftk - the pdf toolkit
Summary(ja):      PDF 操作ツールキット
Version:          1.41
Release:          2%{?_dist_release}

Group:            Applications/Publishing
License:          GPLv2+
URL:              http://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/

Source0:          %{name}-%{version}.tar.bz2

Patch0:           pdftk-1.41-build_with_gcc44.patch
Patch1:           pdftk-1.41-makefile.patch
Patch2:           pdftk-1.41-no_embedded_libs.patch
Patch3:           pdftk-1.41-calendar.patch

BuildRoot:        %{_tmppath}/%{name}-%{version}-root
BuildRequires:    gcc-java libgcj-devel
Requires:         libgcj

Vendor:           Project Vine
Distribution:     Vine Linux

%description
If PDF is electronic paper, then pdftk is an electronic staple-remover,
hole-punch, binder, secret-decoder-ring, and X-Ray-glasses. Pdftk is a simple
tool for doing everyday things with PDF documents. Keep one in the top drawer
of your desktop and use it to:

    * Merge PDF Documents
    * Split PDF Pages into a New Document
    * Decrypt Input as Necessary (Password Required)
    * Encrypt Output as Desired
    * Fill PDF Forms with FDF Data or XFDF Data and/or Flatten Forms
    * Apply a Background Watermark or a Foreground Stamp
    * Burst a PDF Document into Single Pages
    * Report on PDF Metrics, including Metadata and Bookmarks
    * Uncompress and Re-Compress Page Streams
    * Repair Corrupted PDF (Where Possible)

Pdftk is also an example of how to use a library of Java classes in a
stand-alone C++ program. Specifically, it demonstrates how GCJ and CNI allow
C++ code to use iText's (itext-paulo) Java classes.

%description -l ja
pdftk は PDF 文書を扱うツールであり、PDF文書の結合、分割、暗号化、復号化
（パスワードが必要）、PDF フォームへの穴埋め、背景への透かし挿入、ページ分解、
文書情報表示、ページストリームの展開・再圧縮機能を有し、壊れたPDF文書を可能な
限り修復する機能も備えています.

%prep
%setup -q
%patch0 -p1 -b .gcc44
%patch1 -p0 -b .dummy
%patch2 -p1 -b .no_embedded_libs
%patch3 -p1 -b .calendar


%build
cd pdftk
## don't use smp_mflags
%{__make} -f Makefile.RedHat
cd -

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
%{__install} -d $RPM_BUILD_ROOT/%{_bindir}
%{__install} -d $RPM_BUILD_ROOT/%{_mandir}/man1
%{__install} -m 0755 pdftk/pdftk $RPM_BUILD_ROOT/%{_bindir}/
%{__install} -m 0644 debian/pdftk.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc pdftk.1.html  pdftk.1.notes  pdftk.1.txt
%{_bindir}/*
%{_mandir}/man1/*

%changelog 
* Sun Aug 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.41-2
- built with new toolchain
- added Patch0, 1, 2 and 3 for building current toolchain
- updated description

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 1.41-1vl5
- applied new versioning policy, spec in utf-8

* Fri Feb 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.41-0vl2
- updated release number

* Sun Sep  2 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.41-0vl1
- new upstream release
- rebuilt with new toolchain and environment

* Thu Aug 17 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- rebuilt for VineSeed (4.0)

* Mon Jun  6 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Inital package for VineLinux3.1

