Summary:	a daily backup system similar to Plan9's dumpfs
Summary(ja):	Plan9 もどきのバックアップシステム
Name:		pdumpfs
Version:	1.3
Release:	1%{?_dist_release}
License:	GPL
Group:		Applications/Archiving
URL:		http://namazu.org/~satoru/%{name}/
Source:		http://namazu.org/~satoru/%{name}/%{name}-%{version}.tar.gz
Source1:	http://tach.arege.net/software/pdumpfs-clean/pdumpfs-clean
Prefix:		%{_prefix}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	ruby
BuildRequires:	tar sed

Vendor:		Project Vine
Distribution:	Vine Linux

%description
pdumpfs is a simple daily backup system similar to Plan9's dumpfs which
preserves every daily snapshot. pdumpfs is written in Ruby. You can access
the past snapshots at any time for retrieving a certain day's file. Let's
backup your home directory with pdumpfs!

%description -l ja
pdumpfs は Plan9 の dumpfs もどきの単純なバックアップシステムです。Ruby で
実装されています。毎日のスナップショットを保存するため、いつでも過去のファ
イルを取り戻すことができます。ホームディレクトリのバックアップに利用すると
便利です。

%prep
%setup -q

%build
%__make
( cd man/ja/man8 ; \
  %{_bindir}/iconv -f iso-2022-jp -t euc-jp pdumpfs.8 > pdumpfs.8.tmp ; \
  %__mv pdumpfs.8.tmp pdumpfs.8 )

%install
%__rm -rf %{buildroot}
%__install -d %{buildroot}%{_bindir}
%__install -d %{buildroot}%{_mandir}

# installing binaries ...
%__install -m 755 pdumpfs %{buildroot}%{_bindir}/

# installing pdumpfs-clean
%__install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/

# manpages
( cd man && %__tar cf - . ) | \
  ( cd %{buildroot}%{_mandir} && %__tar xvf - )

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING doc/*
%{_bindir}/pdumpfs
%{_bindir}/pdumpfs-clean
%{_mandir}/man8/*
%{_mandir}/ja/man8/*

%changelog
* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 1.3-1vl5
- applied new versioning policy, spec in utf-8

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3-0vl2
- changed Group to Applications/Archiving

* Sat Apr 16 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3-0vl1
- new upstream version
- update pdumpfs-clean
- re-add Prefix tag

* Sat Aug 28 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2-0vl1
- new upstream version

* Wed Jul 21 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1-0vl1
- new upstream version

* Sat Jun 26 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0-0vl1
- new upstream version

* Sun May 30 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9-0vl1
- new upstream version
- add README, COPYING
- convert man/ja/man8/pdumpfs.8 from iso-2022-jp to euc-jp

* Mon Apr 05 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8-0vl1
- new upstream version
- drop pdumpfs-man-ja.tar.gz
- drop Prefix tag

* Fri Aug 22 2003 KAZUKI SHIMURA <rito@pos.to> 0.6-0vl5
- add pdumpfs-man-ja.tar.gz from cvs
  - man/ja/man8/pdumpfs.8: Convert to EUC-JP.
- fix %%files
- s/Copyright/License/

* Mon Jun 23 2003 KAZUKI SHIMURA <rito@pos.to> 0.6-0vl4
- update pdumpfs-clean to 1.4

* Wed Jun 18 2003 KAZUKI SHIMURA <rito@pos.to> 0.6-0vl3
- update pdumpfs-clean to 1.3

* Sun Jun 15 2003 KAZUKI SHIMURA <rito@pos.to> 0.6-0vl2
- added pdumpfs-clean (Source1)

* Thu Aug  8 2002 Uechi Yasumasa <uh@u.dhis.portside.net> 0.6-0vl1
- new upstream version.

* Tue Feb 12 2002 akira yamada <akira@vinelinux.org> 0.5-0vl1
- new upstream version.
- added manpages.

* Tue Nov 06 2001 akira yamada <akira@vinelinux.org> 0.4-0vl2
- makes an excutable of /usr/bin/pdumpfs.

* Tue Nov 06 2001 akira yamada <akira@vinelinux.org> 0.4-0vl1
- Initial packaging.
