%define	module	Class-ErrorHandler
%define name	perl-%{module}
%define	version	0.01
%define	release	2%{_dist_release}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Base class for error handling
Summary(ja):	Perl 上でエラーを扱うための基本クラス
Group:		Development/Libraries
License:	GPL or Artistic
URL:		http://search.cpan.org/dist/%{module}/
Source:         http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Class::ErrorHandler provides an error-handling mechanism that's 
generic enough to be used as the base class for a variety of OO classes. 
Subclasses inherit its two error-handling methods, error and errstr, 
to communicate error messages back to the calling program.

#'
%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor"
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
# rm -rf %{buildroot}%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%check
%{__make} test

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man3*/*
%{perl_vendorlib}/Class/*

%changelog
* Thu Mar 12 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.01-2vl5
- changed Group to Development/Libraries
- added Japanese summary

* Fri May 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-1vl5
- rebuild with perl 5.10
- new versioning policy

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-0vl1
- rebuild for VineSeed

* Sun Mar 09 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-0vl0.43
- rebuild to release for VinePlus 4.2

* Tue Mar 04 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-0vl0.42
- built for Vine 4.2 (testing)

