%define	module	Crypt-DES_EDE3
%define name	perl-%{module}
%define	version	0.01
%define	release	1%{_dist_release}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Triple-DES EDE encryption/decryption
Group:		Development/Languages
License:	GPL or Artistic
Url:		http://search.cpan.org/dist/%{module}/
Source:         http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{module}-%{version}.tar.gz
Requires:       perl-Crypt-DES

Buildrequires:  perl-Crypt-DES
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Crypt::DES_EDE3 implements DES-EDE3 encryption. 
This is triple-DES encryption where an encrypt operation is 
encrypt-decrypt-encrypt, and decrypt is decrypt-encrypt-decrypt. 
This implementation uses Crypt::DES to do its dirty DES work, 
and simply provides a wrapper around that module: setting up 
the individual DES ciphers, initializing the keys, and performing 
the encryption/decryption steps.

DES-EDE3 encryption requires a key size of 24 bytes.

You're probably best off not using this module directly, 
as the encrypt and decrypt methods expect 8-octet blocks. 
You might want to use the module in conjunction with Crypt::CBC, 
for example. This would be DES-EDE3-CBC, or triple-DES in outer CBC mode.

#'
%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} 

# %check
# %{__make} test

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{perl_archlib}/perllocal.pod
# rm -rf %{buildroot}%{perl_vendorarch}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man3*/*
%{perl_vendorlib}/Crypt/*


%changelog
* Fri May 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-1vl5
- rebuild with perl 5.10
- new versioning policy

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-0vl1
- built for VineSeed

* Sat Mar 08 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-0vl0.43
- add Requires: and Buildrequires: perl-Crypt-DES

* Tue Mar 04 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-0vl0.42
- built for Vine 4.2 (testing)

