%define	module	Crypt-DSA
%define name	perl-%{module}
%define	version	0.14
%define	release	1%{_dist_release}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DSA Signatures and Key Generation
Group:		Development/Languages
License:	GPL or Artistic
Url:		http://search.cpan.org/dist/%{module}/
Source:         http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{module}-%{version}.tar.gz
Requires:       perl-Digest-SHA1, perl(Math::BigInt)
Requires:       perl-Convert-PEM
Requires:       perl-Data-Buffer

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  perl-Digest-SHA1, perl(Math::BigInt)
BuildRequires:  perl-Convert-PEM
BuildRequires:  perl-Data-Buffer

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Crypt::DSA is an implementation of the DSA (Digital Signature Algorithm) 
signature verification system. The implementation itself is pure Perl, 
although the heavy-duty mathematics underneath are provided by 
the Math::Pari library.

This package provides DSA signing, signature verification, 
and key generation.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} 

%check
echo " "
echo "Several Minutes is needed for test. Please wait."
echo " "
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall
# rm -f %{buildroot}%{perl_archlib}/perllocal.pod
# rm -rf %{buildroot}%{perl_vendorarch}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man3*/*
%{perl_vendorlib}/Crypt/*

%changelog
* Fri May 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.14-1vl5
- rebuild with perl 5.10
- new versioning policy

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.14-0vl1
- built for VineSeed

* Sat Mar 08 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.14-0vl0.43
- add Requires: perl-Convert-PEM/perl-Data-Buffer

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.14-0vl0.42
- built for Vine 4.2 (testing)
- 1st build for Vine


