%define version 1.604
%define release 3

Summary: A database access API for perl
Summary(ja): perl 用データベース接続 API
Name: perl-DBI
Version: %{version}
Release: %{release}%{?_dist_release}
License: Artistic
Group: Development/Libraries
Source: DBI-%{version}.tar.gz
Source2: filter-requires-dbi.sh
URL: http://dbi.perl.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.6.0
## BuildRequires: perl-Time-HiRes

%description 
DBI is a database access Application Programming Interface (API) for
the Perl Language. The DBI API Specification defines a set of
functions, variables and conventions that provide a consistent
database interface independent of the actual database being used.

%description -l ja
DBI は Perl でデータベースにアクセスするための API です．
DBI API では，実際に使われるデータベースに依存しない様に，
関数，変数などの取り決めが定義されています．


# Provide perl-specific find-{provides,requires}.
%define __find_provides %{_prefix}/lib/rpm/find-provides.perl
%define __find_requires %{SOURCE2}


%prep
%setup -q -n DBI-%{version} 


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
#make PREFIX=$RPM_BUILD_ROOT/usr \
#     INSTALLSITEARCH=%{buildroot}%{perl_sitearch} \
#     INSTALLSITEMAN3DIR=%{buildroot}%{_mandir}/man3  \
#     INSTALLSCRIPT=%{buildroot}%{_bindir} \
#     install
rm -f %{buildroot}%{perl_vendorarch}/perllocal.pod
rm -f %{buildroot}%{perl_vendorarch}/auto/DBI/.packlist
rm -f %{buildroot}%{perl_vendorarch}/auto/DBI/DBI.bs

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%check
make test

%files 
%defattr(-,root,root)
%doc Changes README 
%{perl_vendorarch}/*
%{_bindir}/*
%{_mandir}/*/*
##%{_libdir}/perl?/man/man3/*.3*

%changelog
* Wed Apr 08 2009 Shu KONNO <owa@bg.wakwak.com> 1.604-3
- spec in utf-8

* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 1.604-2
- rebuilt with perl-5.10.0.

* Wed Apr 23 2008 IWAI, Masaharu <iwaim@cc.mbn.or.jp> 1.604-1
- new upstream release

* Mon Aug 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.58-0vl1
- new upstream release

* Sun Jan 28 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.53-0vl1
- new upstream release

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.51-0vl1
- new upstream release
- changed Group to Development/Libraries
- installed module files to vendor_perl

* Sat Jul 22 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.46-0vl2
- use filter-requires-dbi.sh instead of find-requires.perl

* Sat Dec 04 2004 IWAI, Masaharu <iwai@alib.jp> 1.46-0vl1
- new upstream version
- build on perl-5.8.6-0vl1

* Sat May 22 2004 Satoshi MACHINO <machino@vinelinux.org> 1.40-0vl1
- new upstream version

* Sat May 24 2003 IWAI Masaharu <iwai@alib.jp> 1.37-0vl1
- update 1.37
- build with perl-5.8.0
- add make test	

* Sat Feb 23 2002 Satoshi MACHINO <machino@vinelinux.org> 1.21-0vl1
- updated 1.21

* Wed Dec 05 2001 Satoshi MACHINO <machino@vinelinux.org> 1.20-0vl1
- updated 1.20

* Sat Sep 15 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.19-0vl2
- the spec was in Shift-JIS. Fixed.

* Fri Aug 03 2001 Satoshi MACHINO <machino@vinelinux.org> 1.19-0vl1
- updated 1.19

* Sat Jun 15 2001 Satoshi MACHINO <machino@vinelinux.org> 1.15-1vl2
- rebuild on perl-5.6.0
- changed mandir to /usr/share/man
- removed version in Requires perl

* Sun May 27 2001 Satoshi MACHINO <machino@vinelinux.org> 1.15-1vl1
- updated perl-DBL-1.15

* Tue May 08 2001 Satoshi MACHINO <machino@vinelinux.org> 1.14-10vl1
- fixed Vine Linux

* Tue Feb 27 2001 Trond Eivind Glomsr <teg@redhat.com>
- Cleanups

* Thu Nov 30 2000 Trond Eivind Glomsr <teg@redhat.com>
- build for main distribution
- use %%{_tmppath}
- change name of specfile
- don't use a find script to generate file lists
- general cleanup
- add descriptive summary and description


* Mon Aug 14 2000 Tim Powers <timp@redhat.com>
- Spec file was autogenerated. 
