%define _use_internal_dependency_generator 0
%define perl_sitelib    %(eval "`perl -V:installsitelib`"; echo $installsitelib)
%define perl_vendorarch    %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary:      file command like perl5 module
Summary(ja):  file コマンド風 perl5 モジュール
Name:         perl-File-MMagic
Version:      1.27
Release:      2%{_dist_release}
Url:          http://search.cpan.org/~knok/File-MMagic/
License:      distributable
Group:        Development/Libraries
Source:       http://www.perl.com/CPAN/modules/by-module/File/File-MMagic-%{version}.tar.gz
Requires:     perl >= 1:5.8.6
Buildroot:    %{_tmppath}/%{name}-%{version}-root
BuildArch:    noarch

Vendor:       Project Vine
Distribution: Vine Linux

%description
This module is to guess file type from its contents like file(1)
command.

%description -l ja
このモジュールは、file(1)コマンドに相当する機能、すなわちファイルの内
容からその種類を推測するためのものです。


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n File-MMagic-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS="vendor"
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
        sed "s@^$RPM_BUILD_ROOT@@g" | 
        grep -v perllocal.pod | 
        grep -v "\.packlist" > File-MMagic-%{version}-filelist
if [ "$(cat File-MMagic-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f File-MMagic-%{version}-filelist
%defattr(-,root,root)
%doc COPYING README.en README.ja ChangeLog

%changelog
* Wed Apr 08 2009 Shu KONNO <owa@bg.wakwak.com> 1.27-2vl5
- spec in utf-8

* Mon Apr 28 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.27-1vl5
- rebuilt with perl 5.10.0
- applied new versioning policy

* Wed Sep 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.27-0vl2
- chaneged Group to Development/Libraries

* Sun May 28 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.27-0vl1
- new upstrean release
- chaneged Group to Development/Languages

* Mon Nov 29 2004 IWAI, Masaharu <iwai@alib.jp> 1.22-0vl2
- rebuild on perl-5.8.6-0vl1
- add many documents: COPYING, README.en, README.ja and ChangeLog
- add Url tag
- change build arch: noarch

* Fri Sep 17 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.22-0vl1
- updated to 1.22
- Requires: perl >= 1:5.8.2

* Tue May 11 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.21-1vl1
- updated to 1.21
- s/Copyright/License/
- changed Group:Applications/CPAN (based on Fedora)

* Wed Dec 10 2003 IWAI, Masaharu <iwai@alib.jp> 1.16-3vl2
- build with perl-5.8.2
- add %%{perl_sitelib}/File directory in %%files

* Fri May 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 1.16-3vl1: 
- synced with rawhide
  * Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
  - update to latest version from CPAN
  
  * Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
  - automated release bump and build
  
  * Tue Aug  6 2002 Chip Turner <cturner@localhost.localdomain>
  - update to 1.15
  
  * Fri Dec 7 2001 root <root@redhat.com>
  - Spec file was autogenerated. 

* Sat Jun 16 2001 <sagami@vinelinux.org>
- 1.12-0vl3: correct Group

* Sat Jun 16 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.12-0vl2
- rebuilt with perl-5.6.1

* Wed Jun 13 2001 Jun Nishii <jun@vinelinux.org> 1.12-0vl1
- ver.up
- modify for Vine
	
* Fri Dec 31 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Installed correctly directories.

* Sat Dec 11 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Rebuild for RHL-6.1.

* Thu Dec 02 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Specified Obsoletes: File-MMagic.

* Wed Dec 01 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Fixed package name (Added prefix `perl-').

* Thu Sep 09 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- First build.
