Name: perl-Net-DNS
Version: 0.65
Release: 1%{?_dist_release}
Summary: Net-DNS module for perl
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/search?query=Net%3A%3ADNS&mode=module
Requires: perl >= 0:5.8, perl(Digest::HMAC), perl(Net::IP)
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 0:5.8
BuildRequires: perl(Digest::HMAC), perl(Net::IP), perl(Test::Pod)
Source0: Net-DNS-%{version}.tar.gz
Vendor: Project Vine
Distribution: Vine Linux
Packager: Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>

%description
Net::DNS is a collection of Perl modules that act as a Domain Name
System (DNS) resolver. It allows the programmer to perform DNS queries
that are beyond the capabilities of gethostbyname and gethostbyaddr.

The programmer should be somewhat familiar with the format of a DNS
packet and its various sections. See RFC 1035 or DNS and BIND (Albitz
& Liu) for details.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Net-DNS-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor < /dev/null
make

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make DESTDIR=$RPM_BUILD_ROOT install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find ${RPM_BUILD_ROOT}%{_prefix} -type f -print |
	sed "s@^${RPM_BUILD_ROOT}@@g" |
	grep -v perllocal.pod |
	grep -v Win32 |
	grep -v "\.packlist" > Net-DNS-%{version}-filelist
if [ "$(cat Net-DNS-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%check
make test

%files -f Net-DNS-%{version}-filelist
%defattr(-,root,root)
%doc README TODO

%changelog
* Thu Mar 14 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.65-1
- new upstream release
- add BuildRequires perl(Test::Pod) which is needed for test process

* Mon May 05 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.63-3
- add BuildRequires perl(Net::IP) which is needed for test process

* Tue Apr 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.63-2
- rebuilt with perl-5.10.0

* Sat Mar 22 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.63-1
- new upstream release with security fix (CVE-2007-6341)
- build under new versioning policy

* Sat Aug 18 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.60-0vl3
- rebuild for VineSeed 

* Wed Aug 15 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.60-0vl2
- Build for Vine 4.x (0vl1 is for Vine 3.x)
- new upstream release with security fixes (CVE-2007-3377, 3409)

* Mon Oct 09 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.59-0vl2
- Build for VineSeed / Vine 4.0 
- changed Group to Development/Languages
- installs to vendor_arch directory

* Wed Oct 04 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.59-0vl1
- add require tag
- Build for Vine 3.2

* Thu Aug 16 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.53-0vl1
- Build for Vine 3.1 (was not put)

* Wed Jun 17 2004 Masaru Sato <masachan@mediaship.ne.jp> 0.47-0vl1
- 1st release for Vine
