Summary:        Perl interface for cyclic redundency check generation
Name:           perl-String-CRC32
Version:        1.4
Release:        1%{?_dist_release}

Group:          Development/Libraries
License:        Public Domain
URL:            http://search.cpan.org/dist/String-CRC32/
Source0:       	http://search.cpan.org/CPAN/authors/id/S/SO/SOENKE/String-CRC32-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  perl >= 1:5.6.1
Requires:  perl >= 1:%(eval "`%{__perl} -V:version`"; echo $version)

%description
This packages provides a perl module to generate checksums from strings
and from files.

The checksums are the same as those calculated by ZMODEM, PKZIP,
PICCHECK and many others.
There's another perl module called String::CRC which allows to calculate
not only 32 bit CRC numbers, but the generated sums differ from those of
the programs mentioned above.

%prep
%setup -q -n String-CRC32-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check || :
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorarch}/String/
%{perl_vendorarch}/auto/String
%{_mandir}/man3/*.3*

%changelog
* Wed Apr 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.4-1
- applied new versioning policy

* Mon Dec 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.4-0vl1
- new upstream release

* Sat Feb 18 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.3-3vl1
- rebuild for VineSeed

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.3-3.FC5.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.3-3.FC5.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 0:1.03-3.FC5
- rebuild for new perl-5.8.8

* Thu Jan 19 2006 Jason Vas Dias <jvdias@redhat.com> - 0:1.03-2.FC5
- bug 176175 addendum: license should be 'Public Domain'

* Fri Jan 13 2006 Jason Vas Dias <jvdias@redhat.com> - 0.1.03-1.4.FC5
- fix bug 177700: differentiate version from FE4, FE dev versions

* Fri Dec 16 2005 Jason Vas Dias <jvdias@redhat.com> - 0:1.03-1
- Initial build.
- Required by lftp-3.3.x+ 
- Imported to fix bug 176175
