%define pkgname Tk

Summary:	A perl module for Tk.
Name:		perl-%{pkgname}
Version:	804.028
Release:	3%{_dist_release}
Group:		Development/Libraries
License:	GPL or Artistic
URL:		http://perltk.org/
Source0:	%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libX11-devel libpng-devel

## bug fix
# fixed: http://rt.cpan.org/Public/Bug/Display.html?id=38746
Patch11:        perl-Tk-fix38746.patch

## security fix
Patch100:       Tk-804.027-suse-CVE-2006-4484.patch

Provides: perl(Tk::LabRadio) = 4.004
Provides: perl(Tk::TextReindex) = 4.004

Vendor: Project Vine
Distribution: Vine Linux

%description
Perl bindings to the Tk Graphical User Interface ToolKit. 

%prep
%setup -q -n %{pkgname}-%{version} 
%{__mkdir} pTk.docs
%{__cp} pTk/Tix.license pTk/license.terms pTk/license.html_lib pTk.docs

## bug fix
%patch11 -p0 -b .bug38746

## security fix
%patch100 -p0 -b .CVE-2006-4484

%build
find . -type f -exec %{__perl} -pi -e 's|^#!/.*bin/perl\S*|#!%{__perl}|i;' {} \;
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make %{?_smp_mflags}
# make test

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{pkgname}-%{version}-filelist
if [ "$(cat %{pkgname}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{pkgname}-%{version}-filelist
%defattr(-,root,root)
%doc README MANIFEST COPYING Change.log Changes README.linux pTk.docs

%changelog
* Sat Jan  9 2010 IWAI, Masaharu <iwai@alib.jp> 804.028-3
- add BuildRequires: libX11-devel libpng-devel : <BTS:VineLinux:866>
- drop X11LIBS argument for Makefile.PL on x86_64 architecture
- add documents

* Mon Jan  4 2010 IWAI, Masaharu <iwai@alib.jp> 804.028-2
- add patch11 for fix CPAN bug #38746: <BTS:VineLinux:866>
  - see http://rt.cpan.org/Public/Bug/Display.html?id=38746

* Sun Aug 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 804.028-1
- new upstream release
- build with perl-8.10.0

* Fri Mar 28 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 804.027-3
- add patch100 for fix CVE-2006-4484
- with new versioning policy
- add Vendor/Distribution tag

* Mon Dec 31 2007 Shu KONNO <owa@bg.wakwak.com> 804.027-0vl2
- added X11LIB to build (for x86_64)

* Sun Oct 22 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 804.027-0vl1
- updated to 804.027
- build with perl-5.8.6
- no noarch now (arch-dependent files/binaries are actually included)

* Sun Oct 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 804.026-0vl1
- initial build for Vine Linux

