%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Unicode-MapUTF8
Version:        1.11
Release:        2%{?_dist_release}

Summary:        Conversions to and from arbitrary character sets and UTF8
Summary(ja):    任意の文字コードと UTF8 を相互変換する perl モジュール

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Unicode-MapUTF8/
Source0:        http://www.cpan.org/authors/id/S/SN/SNOWHARE/Unicode-MapUTF8-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildArch:      noarch
BuildRequires:  perl-Jcode
BuildRequires:  perl-Unicode-String
BuildRequires:  perl-Unicode-Map
BuildRequires:  perl-Unicode-Map8

%description
Unicode::MapUTF8 Provides an adapter layer between core routines for
converting to and from UTF8 and other encodings. In essence, a way to
give multiple existing Unicode modules a single common interface so
you don't have to know the underlaying implementations to do simple
UTF8 to-from other character set string conversions. As such, it wraps
the Unicode::String, Unicode::Map8, Unicode::Map and Jcode modules in
a standardized and simple API.


%prep
%setup -q -n Unicode-MapUTF8-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check || :
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/Unicode
%{_mandir}/man3/*.3*

%changelog
* Wed Apr 08 2009 Shu KONNO <owa@bg.wakwak.com> 1.11-2vl5
- spec in utf-8

* Mon Apr 28 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.11-1vl5
- rebuilt with perl-5.10.0
- appiled new versioning policy

* Thu Aug  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.11-0vl2
- changed Group to Development/Libraries

* Mon Jul 17 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.11-0vl1
- initial build for Vine Linux

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.09-6
- rebuild for FC5
- ExcludeArch x86_64 because perl-Unicode-Map8 does not work on this arch

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Feb  2 2004 Ville Skytt辰 <ville.skytta at iki.fi> - 0:1.09-0.fdr.4
- Reduce directory ownership bloat.

* Sat Oct 11 2003 Ville Skytt辰 <ville.skytta at iki.fi> - 0:1.09-0.fdr.3
- Install into vendor dirs.
- Specfile cleanup.

* Mon Jul  7 2003 Ville Skytt辰 <ville.skytta at iki.fi> - 0:1.09-0.fdr.2
- Regenerate %%install section with cpanflute2.
- Improve %%description.

* Wed May  7 2003 Ville Skytt辰 <ville.skytta at iki.fi> - 0:1.09-0.fdr.1
- Update to current Fedora guidelines.

* Sun Mar  2 2003 Ville Skytt辰 <ville.skytta at iki.fi> - 1.09-1.fedora.1
- First Fedora release.
