%define _use_internal_dependency_generator 0

Summary: A collection of Perl modules for XML parsing and validation.
Name: perl-libxml-enno
Version: 1.02
Release: 30%{?_dist_release}
License: distributable
Group: Development/Libraries
Source0: libxml-enno-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root/
BuildRequires: perl >= 5.8.2
Requires: perl >= 5.8.2
Provides: perl(XML::Handler::DOM)
BuildRequires: perl-Parse-Yapp
BuildRequires: perl-libwww-perl
BuildRequires: perl-DateManip
BuildArch: noarch

%description
libxml-enno contains the modules XML::DOM, XML::XQL, XML::Checker and
several other packages used for parsing XML from Perl.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n libxml-enno-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > libxml-enno-%{version}-filelist
if [ "$(cat libxml-enno-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf $RPM_BUILD_ROOT

#check
#make test || /bin/true

%files -f libxml-enno-%{version}-filelist
%defattr(-,root,root)

%changelog
* Sat May 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.02-30
- applied new versioning policy
- rebuilt with perl-5.10.0-2

* Sun Sep  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.02-29vl6
- changed Group to Development/Libraries
- installed files to vendor_perl dir

* Sun Jan  2 2005 IWAI, Masaharu <iwai@alib.jp> 1.02-29vl5
- build on perl-5.8.6-0vl1

* Sat Dec 13 2003 Satoshi MACHINO <machino@vinelinux.org> 1.02-29vl4
- built on perl-5.8.2

* Thu Nov 06 2003 Satoshi MACHINO <machino@vinelinux.org> 1.02-29vl3
- built on perl-5.8.1

* Sun Apr 20 2003 Satoshi MACHINO <machino@vinelinux.org> 1.02-29vl2
- build on perl-5.8.0

* Sun Mar 02 2003 Satoshi MACHINO <machino@vinelinux.org> 1.02-29vl1
- build for VineLinux

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Mon Aug  5 2002 Chip Turner <cturner@redhat.com>
- updated description

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
