%define name	poedit
%define version	1.4.2
%define release	1%{?_dist_release}

Summary:	Gettext catalogs editor
Summary(ja): 	Gettext カタログの翻訳用エディタ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{name}-%{version}.tar.gz
License:	MIT
Group:		Applications/Development
URL:		http://www.poedit.net/

BuildRequires:	wx-gtk2-devel >= 2.6.0
BuildRequires:	gtkspell-devel >= 2.0, db4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
Poedit is cross-platform gettext catalogs (.po files) editor.
It is built with wxWidgets toolkit and can run on any platform
supported by it (although it was only tested on Unix with GTK+
and Windows).
It aims to provide more convenient approach to editing catalogs
than launching vi and editing the file by hand.

%description -l ja
Poedit はクロス・プラットフォームな gettext カタログ (.po ファイル)
用のエディタです。Toolkit に wxWidgets を使っており、この Toolkit
がサポートする環境であればどんなプラットフォームでも動作します。
(実際には GTK+ を使った Unix と Windows でしかテストされていませんが)
このプログラムは、vi を使ってファイルを編集するよりも、もっと簡単に
カタログを編集する方法を提供することを目指しています。


%prep

%setup -q


%build
%configure
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%makeinstall
%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/poedit
%{_datadir}/applications/poedit.desktop
%{_datadir}/icons/hicolor/16x16/apps/poedit.png
%{_datadir}/icons/hicolor/32x32/apps/poedit.png
%{_datadir}/icons/hicolor/48x48/apps/poedit.png
%{_datadir}/icons/hicolor/scalable/apps/poedit.svg
%{_datadir}/pixmaps/poedit.png
%{_datadir}/poedit/help
%{_datadir}/poedit/icons
%{_mandir}/man1/poedit.1.gz

%changelog
* Wed Apr 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.4.2-1
- new upstream release

* Sun Aug 24 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.3.9-1
- spec in UTF-8; new versioning policy

* Tue Jan  1 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3.9-0vl1
- rebuild for VineSeed.
  * Tue Jan  1 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3.9-0vl0
  - initial build for Vine Linux.

* Tue Jan  1 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3.9-0vl0
- initial build for Vine Linux.
