Summary: A tool for gathering and displaying system information.
Summary(ja): システム情報をまとめて表示するツール
Name: procinfo
Version: 18
Release: 15%{?_dist_release}
License: GPL
Group: Applications/System
Source: ftp://ftp.cistron.nl/pub/people/svm/%{name}-%{version}.tar.bz2
Patch0: procinfo-14-misc.patch
Patch3: procinfo-17-mandir.patch
Patch5: procinfo-17-uptime.patch
Patch6: procinfo-17-lsdev.patch
Patch7: procinfo-18-acct.patch
Patch8: procinfo-18-mharris-use-sysconf.patch
Patch9: procinfo-18-maxdev.patch
## Vine Patch(es)
Patch10: procinfo-17-bindir.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libtermcap-devel

%description
The procinfo command gets system data from the /proc directory (the
kernel filesystem), formats it and displays it on standard output.
You can use procinfo to acquire information about your system from the
kernel as it is running.

Install procinfo if you'd like to use it to gather and display system
data.

#'
%description -l ja
procinfo コマンドはシステムの情報を /proc ディレクトリ
(カーネルファイルシステム) から取得し，整形して標準出力に
表示します．procinfo を使うと現在動作しているカーネルから，
利用中のシステムの情報を得ることが出来ます．

システム情報をまとめて表示したい場合は procinfo をインストールして下さい．


%prep
%setup -q
%patch0 -p1 -b .misc
%patch3 -p1 -b .mandir
%patch5 -p1 -b .uptime
%patch6 -p1 -b .lsdev
%patch7 -p1 -b .acct
%patch8 -p1 -b .mharris-use-sysconf
%patch9 -p1 -b .maxdev

## Vine Patch(es)
%patch10 -p1 -b .bindir


%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8

make install prefix=$RPM_BUILD_ROOT/usr \
    bindir=$RPM_BUILD_ROOT/%{_bindir} \
    mandir=$RPM_BUILD_ROOT/%{_mandir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README CHANGES
%{_bindir}/procinfo
%{_bindir}/lsdev
%{_bindir}/socklist
%{_mandir}/man8/procinfo.8*
%{_mandir}/man8/lsdev.8*
%{_mandir}/man8/socklist.8*


%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 18-15vl5
- applied new versioning policy, spec in utf-8

* Tue May 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 18-15vl1
- based on 18-15 from Fedora development
  * Fri Dec 17 2004 Karel Zak <kzak@redhat.com> 18-14
  - fixed limit of devices (#89176)
  * Sat Jan 17 2004 Mike A. Harris <mharris@redhat.com> 18-11
  - Added procinfo-18-mharris-use-sysconf.patch to use sysconf for determining
    the number of processors online, as this is more portable between different
    CPU architectures than relying on particular /proc file entry contents and
    formatting.  We ship on 7 architectures (x86, ia64, AMD64, ppc, ppc64, 
    s390, s390x), and the current code only handled x86, alpha, sparc.
    sysconf will work on all processors.  Better fix for (#9497)

* Thu Jul  3 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 18-9vl1
- based on 18-9 from Rawhide
- s/Copyright/License/
- added BuildPrereq: libtermcap-devel

* Wed Jan 10 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 17-10vl1
- based on 17-10 from Rawhide
- use better macros (%%{_bindir}) and added Patch10 for that
- added Japanese summary and description

* Mon Dec 11 2000 Erik Troan <ewt@redhat.com>
- built on all archs

* Thu Nov 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up lsdev (Bug #10295 and a couple of unreported bugs) 
- fix up calculation of uptime milliseconds (introduced by gcc acting
  differently from previous releases, t/100*100 != t*100/100)
  (Bug #20741)

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix uptime calculation (Bug #18673)
  This problem was introduced by gcc acting differently from previous
  releases (t * 100 / HZ --> overflow; t / HZ * 100 ok).

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix CPU stats after very long uptimes (Bug #17391)

* Tue Aug  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix reported number of CPUs on sparc (Bug #9597)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- FHS man paths (patch3)
- buildable as non-root (patch3)

* Fri Feb 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up the CPU detection patch (Bug #9497)

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- handle compressed man pages

* Mon Oct 04 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix cpu detection on sparc and alpha

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- upgraded to r17, which incorporates several of our patches + smp fixes
- fix bug #1959

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- patched to work with kernels with LOTS of IRQs. (bug 1616)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Michael Maher <mike@redhat.com>
- updated to version 16
- closed bug 1349

* Fri Nov 20 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated to version 15 to fix bugzilla 70.

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- calculate time per-cent on non-{alpha,i386} correctly.

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 14
- fixed the spec file 

* Thu Apr 30 1998 Donnie Barnes <djb@redhat.com>
- updated from 0.11 to 13
- added socklist program

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- updated to version 0.11

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
