%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary:	Python framework to participate in DLNA/UPnP network.
Summary(ja):	DLNA や UPnP に参加するための python フレームワーク
Name:		python-Coherence
Version:	0.6.6.2
Release:	1%{?_dist_release}
License:	MIT
Group:		Development/Languages
URL:		https://coherence.beebits.net/
Source:		https://coherence.beebits.net/download/Coherence-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Buildarch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools

Requires:	python-setuptools
Requires:	python-configobj
Requires:	python-twisted
Requires:	dbus

%description
Coherence is a framework written in Python enabling applications to participate
in digital living networks, such as the UPnP universe.

%description -l ja
Coherence はアプリケーションをDLNA(Digital Living Network Alliance)やUPnPに
参加できるようにする Python で書かれたフレームワークです。


%prep
%setup -q -n Coherence-%{version}


%build
%{__python} setup.py build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install \
    --single-version-externally-managed \
    -O1 --skip-build --root %{buildroot}
# Install the D-Bus service file
%{__install} -D -m 0644 -p misc/org.Coherence.service \
    %{buildroot}/%{_datadir}/dbus-1/services/org.Coherence.service
# Install the man page
%{__install} -D -m 0644 -p docs/man/coherence.1 \
    %{buildroot}/%{_mandir}/man1/coherence.1


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc LICENCE README docs/*
%exclude %{_bindir}/applet-coherence
%{_bindir}/coherence
%{_datadir}/dbus-1/services/org.Coherence.service
%{python_sitelib}/Coherence-*.egg-info/
%{python_sitelib}/coherence/
# We don't want this in the package
%exclude %{python_sitelib}/misc/
%{_mandir}/man1/coherence.1*


%changelog
* Mon May 10 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.6.2-1
- new upstream release
- add Summary(ja):
- install D-Bus service file
- install man pages

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.5.8-2
- rebuild with python-2.6

* Wed Dec 24 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.8-1
- initial build for Vine Linux based on fedora package

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5.8-2
- Rebuild for Python 2.6

* Tue Jul 15 2008 Matthias Saou <http://freshrpms.net/> 0.5.8-1
- Update to 0.5.8.
- Don't include new "misc" directory, as its location is ugly!
- Don't include applet-coherence as it probably requires the "misc" directory.
- Remove all reqs but python-configobj, as it seems to be the only one left.

* Sun Feb  3 2008 Matthias Saou <http://freshrpms.net/> 0.5.0-1
- Update to 0.5.0.

* Wed Aug 29 2007 Matthias Saou <http://freshrpms.net/> 0.4.0-2
- Update python-setuptools build requirement to new python-setuptools-devel.

* Fri Aug  3 2007 Matthias Saou <http://freshrpms.net/> 0.4.0-1
- Update to 0.4.0.
- No need to update License field, MIT is already correct.

* Tue Jul 24 2007 Matthias Saou <http://freshrpms.net/> 0.3.0-1
- Update to 0.3.0.

* Tue May  8 2007 Matthias Saou <http://freshrpms.net/> 0.2.1-3
- Rename Coherence -> python-Coherence to match our python naming guidelines.

* Mon May  7 2007 Matthias Saou <http://freshrpms.net/> 0.2.1-2
- Rename coherence -> Coherence to match upstream and our naming guidelines.
- Obsolete coherence < 0.2.1-2 but don't provide it since elisa's requirement
  has been updated to match the name change and nothing else requires it.

* Fri Apr 20 2007 Matthias Saou <http://freshrpms.net/> 0.2.1-1
- Update to 0.2.1.

* Fri Mar 23 2007 Matthias Saou <http://freshrpms.net/> 0.1.0-1
- Update to 0.1.0 release.

* Wed Feb 14 2007 Matthias Saou <http://freshrpms.net/> 0.0-1.r303
- Switch to using the go-4-python-2.5 svn branch.

* Fri Feb  9 2007 Matthias Saou <http://freshrpms.net/> 0-0.1.r294
- Initial RPM release.

