%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary:	Cryptography library for Python
Summary(ja):	Python 用 Cryptography ライブラリ
Name:		python-crypto
Version:	2.3
Release:	2%{?_dist_release}
License:	Python License (CNRI Python License)
Group:		Development/Libraries
URL:		http://www.dlitz.net/software/pycrypto/
Source:		http://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/pycrypto-%{version}.tar.gz

#Patch0:         arc2-buffer-overflow.patch
Patch1:         no-usr-local.patch
#Patch2:         run-tests.patch
Patch3:         doc.patch

BuildRequires:	python >= 2.2
BuildRequires:	python-devel >= 2.2
BuildRequires:	gmp-devel >= 4.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Python-crypto is a collection of both secure hash functions 
(such as MD5 and SHA), and various encryption algorithms
(AES, DES, IDEA, RSA, ElGamal, etc.).

%prep
%setup -n pycrypto-%{version} -q
#%patch0 -p1
%patch1 -p1
#%patch2 -p1
%patch3 -p1

# Remove spurious shellbangs
%{__sed} -i -e '\|^#!/usr/local/bin/python| d' lib/Crypto/Util/RFC1751.py

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Remove group write permissions on shared objects
/usr/bin/find %{buildroot}%{python_sitearch} -name '*.so' \
	-exec %{__chmod} g-w {} \;

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README TODO ACKS ChangeLog LEGAL/ COPYRIGHT Doc/
#%{python_sitearch}/pycrypto-2.2-py2.6.egg-info
%{python_sitearch}/

%changelog
* Sun Oct 3 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.3-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Aug 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.3-1
- new upstream release
- changed %%files

* Sun Aug 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2-2
- fix %files (change directory from %{python_sitelib} to %{python_sitearch})

* Sun Aug 22 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.2-1
- new upstream release

* Wed Jul 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.1.0-1
- new upstream release
- changed URL and SOURCE to new upstream
- dropt patch0,2
- replaced patch1 from Debian newer
- added pacth3 from Debian
- changed document files dir in %%files

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 2.0.1-3
- rebuild with python-2.6

* Fri Oct 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0.1-2
- added Patch0,1,2 from Debian to fix some problem

* Wed Jul 29 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0.1-1
- initial build for VineSeed

* Mon Jun 04 2007 David Woodhouse <dwmw2@infradead.org> - 2.0.1-7.1
- Fix libdir handling so it works on more arches than x86_64

* Wed Apr 18 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.0.1-7
- Fix typo

* Wed Apr 18 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.0.1-6
- Remove dist
- rebuild, because the older version was much bigger, as it was build when
  distutils was doing static links of libpython

* Sat Dec 09 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.0.1-5
- Rebuild for python 2.5

* Thu Sep 07 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.0.1-4
- Don't ghost pyo files (#205408)

* Tue Aug 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.0.1-3
- Rebuild for Fedora Extras 6

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.0.1-2
- Rebuild for Fedora Extras 5

* Wed Aug 17 2005 Thorsten Leemhuis <fedora at leemhuis dot info> - 0:2.0.1-1
- Update to 2.0.1
- Use Dist
- Drop python-crypto-64bit-unclean.patch, similar patch was applied 
  upstream

* Thu May 05 2005 Thorsten Leemhuis <fedora at leemhuis dot info> - 0:2.0-4
- add python-crypto-64bit-unclean.patch (#156173)

* Mon Mar 21 2005 Seth Vidal <skvidal at phy.duke.edu> - 0:2.0-3
- iterate release for build on python 2.4 based systems

* Sat Dec 18 2004 Thorsten Leemhuis <fedora at leemhuis dot info> - 0:2.0-2
- Fix build on x86_64: use python_sitearch for files and patch source
  to find gmp

* Thu Aug 26 2004 Thorsten Leemhuis <fedora at leemhuis dot info> - 0:2.0-0.fdr.1
- Update to 2.00

* Fri Aug 13 2004 Ville Skytta <ville.skytta at iki.fi> - 0:1.9-0.fdr.6.a6
- Don't use get_python_version(), it's available in Python >= 2.3 only.

* Thu Aug 12 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:1.9-0.fdr.5.a6
- Own dir python_sitearch/Crypto/

* Wed Aug 11 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:1.9-0.fdr.4.a6
- Match python spec template more

* Sat Jul 17 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:1.9-0.fdr.3.a6
- Own _libdir/python/site-packages/Crypto/

* Wed Mar 24 2004 Panu Matilainen <pmatilai@welho.com> 0.3.2-0.fdr.2.a6
- generate .pyo files during install
- require exact version of python used to build the package
- include more docs + demos
- fix dependency on /usr/local/bin/python
- use fedora.us style buildroot
- buildrequires gmp-devel
- use description from README

* Sun Jan 11 2004 Ryan Boder <icanoop@bitwiser.org>  0.3.2-0.fdr.1.a6
- Initial build.

