%define name python-numeric
%define version 24.2
%define release 2%{?_dist_release}

Summary: Numerical Extension to Python
Name: %{name}
Version: %{version}
Release: %{release}
License: Python
URL: http://numpy.sourceforge.net
Group: Development/Languages
Source0: Numeric-%{version}.tar.gz
Source1: numpy.pdf.bz2
Patch: Numeric-23.7-blasfix.patch

Requires: python
BuildRequires: python-devel >= 2.6
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
A collection of extension modules to provide high-performance multidimensional
numeric arrays to the Python programming language.

%package devel
Summary: Development files for Python numerical facilities
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
A collection of extension modules to provide high-performance multidimensional
numeric arrays to the Python programming language.

Devel files

%prep
%setup -q -n Numeric-%{version}
#patch -p1 -b .blasfix
cp %{SOURCE1} .
bunzip2 numpy.pdf.bz2

%build
env CFLAGS="$RPM_OPT_FLAGS" /usr/bin/python setup.py build
#python setup.py build
#for Package in FFT LALITE MA RANLIB RNG; do
#    (cd Packages/$Package; python setup.py build)
#done


%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --root=$RPM_BUILD_ROOT
#for Package in FFT LALITE MA RANLIB RNG; do
#    (cd Packages/$Package; python setup.py install --root=%{buildroot})
#done

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc MANIFEST README Demo numpy.pdf
%{_libdir}/python*/site-packages/Numeric
%{_libdir}/python*/site-packages/Numeric.pth

%files devel
%defattr(-, root, root)
%{_includedir}/python*/Numeric

%changelog
* Tue Feb 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 24.2-2
- build for python-2.6

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 24.2-1vl5
- rebuilt with python-2.5.2
- applied new versioning policy

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 24.2-0vl2
- rebuilt for VineSeed

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 24.2-0vl1
- new upstream release

* Thu Nov 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 23.7-1vl3
- added Requires: %{name} = %{version}-%{release} to devel package

* Sun Jun 18 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 23.7-1vl2
- rebuild with python-2.4.3
- changed Group of devel package

* Thu Apr  7 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 23.7-1vl0.1
- rebuild for Vine Plus/3.0

* Mon Apr  4 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 23.7-1vl1
- build with python-2.4
- s/Copyright/License/
- updated URL:
- added Patch from Fedora Core

* Fri Feb  1 2002 Jun Nishii <jun@vinelinux.org> 17.2.0-0vl1
- downgrade to make with python-1.5.x

* Fri Jan 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 20.3-2mdk
- fix permission on source files

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 20.3-1mdk
- updated by RA <> 20.3-1mdk :
	- update
	- fixed doc file name

* Fri Sep 28 2001 RA  <ralf_ahlbrink@web.de> 20.2.1-1mdk
- Release 20.2.1
- new docs

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 20.1.0-1mdk
- Release 20.1.0

* Mon Jul 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-4mdk
- rebuild

* Tue Apr 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-3mdk
- remove patch condition if LAPACK/BLAS is present (thx G.Vermeulen)

* Sat Mar 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-2mdk
- split package

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-1mdk
- updated to 17.3.0
- used patches from Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.2.0-1mdk
- used srpm from Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
- updated to 17.2.0

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.0-1mdk
- new in contribs

* Fri Oct 27 2000 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 17.1.1-1gv
- CVS-source sucked on Oct 27 2000
- fix: depends on '#include "Numeric/arrayobject.h"' being installed
- fix: Fortran LAPACK/BLAS
- FIXME: Gist?

