%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define	pyver		%(python -c 'import sys;print(sys.version[0:3])')
Summary:	Event-driven networking engine in Python 
Summary(ja): 	Pythonで書かれたイベントドリブンなネットワークエンジン
Name:		python-twisted	
Version:	10.2.0
Release: 	1%{?_dist_release}
Source0:	http://tmrc.mit.edu/mirror/twisted/Twisted/8.1/Twisted-%{version}.tar.bz2
License:	MIT
Group:		Development/Languages
URL:		http://twistedmatrix.com/trac/

Requires:	python
Requires:	python-zope-interface
Requires:	pyOpenSSL
BuildRequires:	python, python-devel
BuildRequires:	python-zope-interface
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
Twisted is a networking engine written in Python, supporting
numerous protocols. It contains a web server, numerous chat
clients, chat servers, mail servers, and more.

Twisted is a platform for developing internet applications.

%description -l ja
Twisted は Python で書かれた、多くのプロトコルをサポートする
ネットワーク・エンジンです。このパッケージにはウェブサーバや
多種多様なチャット用クライアント、チャットサーバ、メールサーバ
等が含まれています。

Twisted はウェブアプリケーション開発用のプラットフォームです。


%package docs
Summary:	Documentation for Twisted
Summary(ja):	Twisted のドキュメント
Group:		Applications/Documentation
# workaround to prevent find-requires error
AutoReq: No

%description docs
This package contains various documents and examples for
Twisted.

%description docs -l ja
このパッケージには Twisted の各種ドキュメントやサンプルが
含まれています。


%prep

%setup -q -n Twisted-%{version}


%build
%{__python} setup.py build
# create plugins cache
python -c "from twisted.plugin import IPlugin, getPlugins;list(getPlugins(IPlugin))" >/dev/null 2>&1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root ${RPM_BUILD_ROOT}

# install man pages
%{__install} -d -m 755  "$RPM_BUILD_ROOT"/%{_mandir}/man1/
%{__install} -m 644 doc/core/man/*.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1/


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc INSTALL LICENSE NEWS README
#%{_bindir}/bookify
%{_bindir}/cftp
%{_bindir}/ckeygen
%{_bindir}/conch
#%{_bindir}/im
%{_bindir}/lore
%{_bindir}/mailmail
%{_bindir}/manhole
%{_bindir}/mktap
%{_bindir}/pyhtmlizer
#%{_bindir}/t-im
%{_bindir}/tap2deb
%{_bindir}/tap2rpm
%{_bindir}/tapconvert
%{_bindir}/tkconch
%{_bindir}/trial
%{_bindir}/twistd
%{python_sitearch}/twisted
%{python_sitearch}/Twisted-%{version}-py%{pyver}.egg-info
%{_mandir}/man1/*

%files docs
%defattr(-,root,root)
%doc doc/*


%changelog
* Wed Dec 01 2010 Shu KONNO <owa@bg.wakwak.com> 10.2.0-1
- updated twisted to 10.2.0

* Thu Feb 04 2010 Shu KONNO <owa@bg.wakwak.com> 8.1.0-2
- rebuilt with python-2.6.4-3

* Tue Dec 23 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 8.1.0-1
- initial build for Vine Linux
