%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:			python-twitter
Summary:		A python wrapper around the Twitter API
Summary(ja):		Twitter API の python ラッパー
Version:		0.6
Release:                1%{?_dist_release}
License:		ASL 2.0
Group:			System Environment/Libraries
Source0:		http://python-twitter.googlecode.com/files/%{name}-%{version}.tar.gz
URL:			http://code.google.com/p/python-twitter/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:		noarch
BuildRequires:		python-devel, python-setuptools, python-simplejson
Requires:		python-simplejson

%description
This library provides a pure python interface for the Twitter API. Twitter 
(http://twitter.com) provides a service that allows people to connect via the 
web, IM, and SMS. Twitter exposes a web services API 
(http://twitter.com/help/api) and this library is intended to make it even 
easier for python programmers to use. 

%prep
%setup -q
# Scrape out python versioning
for i in examples/twitter-to-xhtml.py examples/tweet.py setup.py twitter.py twitter_test.py; do
	sed -i 's|python2.4|python|g' $i
done


%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
chmod +x $RPM_BUILD_ROOT%{python_sitelib}/twitter.py

%check
export PYTHONPATH=$RPM_BUILD_ROOT/%{python_sitelib}
%{__python} setup.py test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README PKG-INFO
%{python_sitelib}/twitter.*
%{python_sitelib}/python_twitter-%{version}-py*.egg-info

%changelog
* Wed Apr 28 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6-1
- initial build for Vine Linux

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6-2
- fix files so they do not have hardcoded !#/usr/bin/python2.4

* Thu Jul  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6-1
- update to 0.6

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5-2
- Rebuild for Python 2.6

* Mon Oct 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-1
- Initial package for Fedora
