%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global	oname	Unipath

Summary:	Alternative to Python modules os, os.path and shutil
Name:		python-unipath
Version:	0.2.1
Release:	2%{?_dist_release}
License:	Python
Group:		Development/Tools
URL:		http://pypi.python.org/pypi/Unipath/
Source0:	http://pypi.python.org/packages/source/U/Unipath/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-setuptools python-nose nkf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Unipath is a package for doing pathname calculations and filesystem
access in an object-oriented manner, an alternative to functions in
os.path, shutil and glob, and even some functions in os.* It's based
on Jason Orendorff's path.py but does not adhere as strictly to the
underlying functions' syntax, in order to provide more user
convenience and higher-level functionality. For example:

 o p.mkdir() succeeds silently if the directory already exists, and
 o p.mkdir(True) creates intermediate directories a la os.makedirs.
 o p.rmtree(parents=True) combines shutil.rmtree, os.path.isdir,
   os.remove, and os.removedirs, to recursively remove whatever it is
   if it exists.
 o p.read_file("rb") returns the file's contents in binary mode.
 o p.needs_update([other_path1, ...]) returns True if p doesn't exist
   or has an older timestamp than any of the others.
 o extra convenience functions in the unipath.tools module. dict2dir
   creates a directory hierarchy described by a dict. dump_path displays
   an ASCII tree of a directory hierarchy.

%prep
%setup -q -n %{oname}-%{version}
for f in doc/reference/{test_,}path_nr.py ; do
    nkf --unix --overwrite $f
done
for f in README.txt doc/reference/path_355.py ; do
    iconv -f ISO-8859-1 -t UTF-8 -o $f.utf8 $f && \
    touch -r $f $f.utf8 && \
    %{__mv} $f.utf8 $f
done

# To avoid warning about script without execute bit set
%{__sed} -i -e '1d' unipath/test.py

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%check
%{__cp} unipath/test.py .
%{__python} test.py

%files
%defattr(-, root, root, -)
%doc BUGS.txt CHANGES doc/reference/ PKG-INFO README.html README.txt 
%{python_sitelib}/unipath/
%{python_sitelib}/%{oname}-%{version}-py*.*.egg-info

%changelog
* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.2.1-2
- rebuild with python-2.6.4

* Thu Oct 22 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.1-1
- initial build for Vine Linux based on fedora development

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.2.1-2
- Minor changes taken from review

* Sun Mar 29 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.2.1-1
- initial build
