%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:          python-urwid
Version:       0.9.9.1
Release:       2%{?_dist_release}
Summary:       Console user interface library
Summary(ja):   コンソールユーザーインターフェースライブラリ

Group:         Development/Libraries
License:       LGPLv2+
URL:           http://excess.org/urwid/
Source0:       http://excess.org/urwid/urwid-%{version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: ncurses-devel
BuildRequires: python-devel
BuildRequires: python-twisted
BuildRequires: pygobject

%description
Urwid is a Python library for making text console applications.  It has many
features including fluid interface resizing, support for UTF-8 and CJK
encodings, standard and custom text layout modes, simple markup for setting
text attributes, and a powerful, dynamic list box that handles a mix of widget
types.  It is flexible, modular, and leaves the developer in control.

%prep
%setup -q -n urwid-%{version}
find urwid -type f -name "*.py" -exec sed -i -e '/^#!\//, 1d' {} \;
find urwid -type f -name "*.py" -exec chmod 644 {} \;

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%check
./test_urwid.py

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --no-compile --root %{buildroot}
rm -f tmpl_tutorial.html
mkdir examples
cp -p *.py examples/
rm -f examples/test_urwid.py examples/docgen_*.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG *.html examples
%{python_sitearch}/urwid
%{python_sitearch}/urwid-%{version}*.egg-info

%changelog
* Wed Sep 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.9.1-2
- rebuilt with rpm-4.8.1 for pkg-config

* Fri May 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.9.1-1
- initial build for VineSeed

* Wed May 19 2010 David Cantrell <dcantrell@redhat.com> - 0.9.9.1-1
- Initial package
