%define _default_patch_fuzz 3 

%define phonon 0
%define MySQL 1
%define PostgreSQL 1 
%define ODBC 1
%define SQLite 1

%define type everywhere-opensource-src
%define qtdir %{_libdir}/qt-%{version}
%define _qt4_prefix %{_libdir}/qt-%{version}
%define _qt4_bindir %{_qt4_prefix}/bin
# _qt4_datadir is not multilib clean, and hacks to workaround that breaks stuff.
#define _qt4_datadir %{_datadir}/qt4
%define _qt4_datadir %{_qt4_prefix}
%define _qt4_demosdir %{_qt4_prefix}/demos
%define _qt4_docdir %{_docdir}/qt4
%define _qt4_examplesdir %{_qt4_prefix}/examples
%define _qt4_headerdir %{_qt4_prefix}/include 
%define _qt4_libdir %{_qt4_prefix}/lib
%define _qt4_plugindir %{_qt4_prefix}/plugins
%define _qt4_sysconfdir %{_sysconfdir}
%define _qt4_translationdir %{_datadir}/qt4/translations

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: Qt toolkit
Summary(ja): Qt ツールキット
Name: qt4
Version: 4.6.3
Release: 2%{?_dist_release}

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License: LGPLv2 with exceptions or GPLv3 with exceptions
Group: System Environment/Libraries
URL: http://www.qtsoftware.com/

Source: ftp://ftp.qtsoftware.com/qt/source/qt-%{type}-%{version}.tar.gz
Source4: Trolltech.conf
# See http://bugzilla.redhat.com/223663
%define multilib_archs x86_64 %{ix86} ppc64 ppc s390x s390 sparc64 sparcv9
Source5: qconfig-multilib.h

Source10: http://gstreamer.freedesktop.org/data/images/artwork/gstreamer-logo.svg
Source11: hi16-phonon-gstreamer.png
Source12: hi22-phonon-gstreamer.png
Source13: hi32-phonon-gstreamer.png
Source14: hi48-phonon-gstreamer.png
Source15: hi64-phonon-gstreamer.png
Source16: hi128-phonon-gstreamer.png

Source21: designer.desktop
Source22: linguist.desktop
# upstream qt4-logo, http://trolltech.com/images/products/qt/qt4-logo
Source30: hi128-app-qt4-logo.png
Source31: hi48-app-qt4-logo.png

# multilib hacks 
Patch2: qt-x11-opensource-src-4.2.2-multilib-optflags.patch
Patch3: qt-x11-opensource-src-4.2.2-multilib-QMAKEPATH.patch
Patch4: qt-everywhere-opensource-src-4.7.0-beta1-uic_multilib.patch
Patch5: qt-all-opensource-src-4.4.0-rc1-as_IN-437440.patch
# hack around gcc/ppc crasher, http://bugzilla.redhat.com/492185
Patch13: qt-x11-opensource-src-4.5.0-gcc_hack.patch
Patch15: qt-x11-opensource-src-4.5.1-enable_ft_lcdfilter.patch
# include kde4 plugin path, http://bugzilla.redhat.com/498809
Patch16: qt-x11-opensource-src-4.5.1-kde4_plugins.patch 
# make PulseAudio the default device in Phonon
Patch17: qt-x11-opensource-src-4.5.2-pulseaudio.patch
Patch19: qt-x11-opensource-src-4.5.1-phonon.patch
Patch21: qt-everywhere-opensource-src-4.6.0-gst-pulsaudio.patch
# may be upstreamable, not sure yet
# workaround for gdal/grass crashers wrt glib_eventloop null deref's
Patch23: qt-everywhere-opensource-src-4.6.3-glib_eventloop_nullcheck.patch

## upstreamable bits
# http://bugzilla.redhat.com/485677
Patch51: qt-everywhere-opensource-src-4.6.0-beta1-qdoc3.patch 
# fix invalid inline assembly in qatomic_{i386,x86_64}.h (de)ref implementations
Patch53: qt-x11-opensource-src-4.5.0-fix-qatomic-inline-asm.patch
# fix invalid assumptions about mysql_config --libs
# http://bugzilla.redhat.com/440673
Patch54: qt-x11-opensource-src-4.5.1-mysql_config.patch
# http://bugs.kde.org/show_bug.cgi?id=180051#c22
Patch55: qt-everywhere-opensource-src-4.6.2-cups.patch
# fix type cast issue on s390x
Patch56: qt-everywhere-opensource-src-4.6.2-webkit-s390x.patch
# fix type cast issue on sparc64
Patch57: qt-everywhere-opensource-src-4.6.2-webkit-sparc64.patch
# qtwebkit to search nspluginwrapper paths too
Patch58: qt-everywhere-opensource-src-4.7.0-beta1-qtwebkit_pluginpath.patch

# security patches
# https://bugs.webkit.org/show_bug.cgi?id=40567
Patch100: qt-everywhere-opensource-src-4.7.0-beta1-qtwebkit_gtk_init.patch
Patch104: qt-everywhere-opensource-src-4.6.2-cve-2010-0051-lax-css-parsing-cross-domain-theft.patch
Patch106: qt-everywhere-opensource-src-4.6.2-cve-2010-0656.patch
Patch108: qt-everywhere-opensource-src-4.6.2-cve-2010-0648.patch
Patch109: qt-everywhere-opensource-src-4.6.3-CVE-2010-1303_1304.patch
Patch110: qt-everywhere-opensource-src-4.6.3-CVE-2010-1392.patch
Patch111: qt-everywhere-opensource-src-4.6.3-CVE-2010-1396.patch
Patch112: qt-everywhere-opensource-src-4.6.3-CVE-2010-1397.patch
Patch113: qt-everywhere-opensource-src-4.6.3-CVE-2010-1398.patch
Patch114: qt-everywhere-opensource-src-4.6.3-CVE-2010-1400.patch
Patch115: qt-everywhere-opensource-src-4.6.3-CVE-2010-1412.patch
Patch116: qt-everywhere-opensource-src-4.6.3-CVE-2010-1770.patch
Patch117: qt-everywhere-opensource-src-4.6.3-CVE-2010-1773.patch
Patch118: qt-everywhere-opensource-src-4.6.3-CVE-2010-1774.patch
Patch119: qt-everywhere-opensource-src-4.6.3-CVE-2010-1119.patch
Patch120: qt-everywhere-opensource-src-4.6.3-CVE-2010-1778.patch

# kde-qt git patches
Patch201: 0001-This-patch-uses-object-name-as-a-fallback-for-window.patch
Patch202: 0002-This-patch-makes-override-redirect-windows-popup-men.patch
Patch203: 0003-This-patch-changes-QObjectPrivateVersion-thus-preven.patch
Patch204: 0004-This-patch-adds-support-for-using-isystem-to-allow-p.patch
Patch205: 0005-When-tabs-are-inserted-or-removed-in-a-QTabBar.patch
Patch206: 0006-Fix-configure.exe-to-do-an-out-of-source-build-on-wi.patch
Patch207: 0007-When-using-qmake-outside-qt-src-tree-it-sometimes-ge.patch
Patch208: 0008-This-patch-makes-the-raster-graphics-system-use-shar.patch
Patch209: 0009-Restore-a-section-of-the-file-that-got-removed-due-t.patch
Patch212: 0012-Add-context-to-tr-calls-in-QShortcut.patch
Patch217: http://qt.gitorious.org/+kde-developers/qt/kde-qt/commit/55ef01d93f8257b5927660290fc1ead0b2b74ec9.patch
# QTBUG-9793
Patch218: http://qt.gitorious.org/qt/qt/commit/0ebc9783d8ca0c4b27208bbc002c53c52c19ab4c.patch

# Vine Patches
# use system ca-bundle certs, http://bugzilla.redhat.com/521911
Patch1022: qt-x11-opensource-src-4.6.0-system_ca_certificates_vine.patch 

Buildroot: %{_tmppath}/%{name}-%{version}-root
%if %{?_dist_release} == "vl4"
BuildRequires: gcc4 gcc4-c++ XOrg-devel XOrg-gl-devel
%else
# Vine Linux 5+
BuildRequires: fontconfig-devel 
BuildRequires: libICE-devel libSM-devel libXcursor-devel 
BuildRequires: libXext-devel libXfixes-devel libXft-devel
BuildRequires: libXi-devel libXinerama-devel libXrandr-devel
BuildRequires: libXrender-devel libXt-devel libX11-devel
BuildRequires: libxkbfile-devel xorg-x11-proto-devel
BuildRequires: mesa-libGL-devel mesa-libGLU-devel
BuildRequires: WebKit-gtk-devel
%endif
BuildRequires: glib2-devel gtk2-devel
BuildRequires: libpng-devel >= 1.2.5
BuildRequires: libmng-devel libtiff-devel libjpeg-devel freetype2-devel
BuildRequires: zlib-devel libungif-devel openssl-devel
BuildRequires: cups-devel >= 1.1.9
BuildRequires: dbus-devel >= 0.62
BuildRequires: desktop-file-utils
%if %{phonon}
BuildRequires: gstreamer-devel gstreamer-plugins-base-devel
%endif
%if %{MySQL}
BuildRequires: MySQL-devel
%endif
%if %{PostgreSQL}
BuildRequires: postgresql-devel
%endif
%if %{ODBC}
BuildRequires: unixODBC-devel 
%endif
%if %{ODBC}
BuildRequires: sqlite3-devel 
%endif
Requires: libexpat
Requires: libpng >= 1.2.5

%if %{?_dist_release} != "vl4"
Provides: WebKit-qt
%endif

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications
for the X Window System.

Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run qt
applications, as well as the README files for qt.

%package devel
Summary: Development files for the Qt GUI toolkit.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libICE-devel libSM-devel libXcursor-devel 
Requires: libXext-devel libXfixes-devel libXft-devel
Requires: libXi-devel libXinerama-devel libXrandr-devel
Requires: libXrender-devel libXt-devel libX11-devel
Requires: libxkbfile-devel xorg-x11-proto-devel
Requires: mesa-libGL-devel mesa-libGLU-devel
Requires: libpng-devel
Requires: libjpeg-devel
Requires(post):   alternatives
Requires(postun): alternatives
Provides: WebKit-qt-devel

%description devel
The qt-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt meta
object compiler, the man pages, the HTML documentation and example
programs. See http://www.trolltech.com/products/qt.html for more
information about Qt, or look at
/usr/share/doc/qt-devel-%{version}/html/index.html, which provides Qt
documentation in HTML format.

Install qt-devel if you want to develop GUI applications using the Qt
toolkit.

%package doc
Summary: API documentation for %{name}
Summary(ja): Qt の API ドキュメント
Group: Documentation
Requires: %{name} = %{version}-%{release}
#Requires: %{name}-assistant
#Obsoletes: qt4-doc < %{version}-%{release}
#Provides:  qt4-doc = %{version}-%{release}
#BuildArch: noarch

%description doc
%{summary}.

%description doc -l ja
%{summary}.


%package -n phonon-backend-gstreamer
Summary: Gstreamer phonon backend
Group:   Applications/Multimedia
Requires: phonon >= 4.3.1 
#Provides: phonon-backend = 4.3.1-100%{?_dist_release}

%description -n phonon-backend-gstreamer
%{summary}.

%package MySQL
Summary: MySQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description MySQL
MySQL driver for Qt's SQL classes (QSQL)

%package PostgreSQL
Summary: PostgreSQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description PostgreSQL
PostgreSQL driver for Qt's SQL classes (QSQL)

%package ODBC
Summary: ODBC drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description ODBC
ODBC driver for Qt's SQL classes (QSQL)

%package sqlite
Summary: SQLite driver for Qt's SQL classes
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description sqlite
SQLite driver for Qt's SQL classes (QSQL)

%package designer
Summary: Interface designer (IDE) for the Qt toolkit
Group: Applications/Development
Requires: %{name}-devel = %{version}-%{release}
Requires(post):   alternatives
Requires(postun): alternatives

%description designer
The qt-designer package contains an User Interface designer tool
for the Qt toolkit.

# compat32
%package -n compat32-%{name}
Summary: The shared library for the Qt GUI toolkit.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications
for the X Window System.

Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run qt
applications, as well as the README files for qt.

%package -n compat32-%{name}-devel
Summary: Development files and documentation for the Qt GUI toolkit.
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-devel
The qt-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt meta
object compiler, the man pages, the HTML documentation and example
programs. See http://www.trolltech.com/products/qt.html for more
information about Qt, or look at
/usr/share/doc/qt-devel-%{version}/html/index.html, which provides Qt
documentation in HTML format.

Install qt-devel if you want to develop GUI applications using the Qt
toolkit.

%prep
%setup -q -n qt-everywhere-opensource-src-%{version}

# don't use -b on mkspec files, else they get installed too.
# multilib hacks no longer required
%patch2 -p1
#if "%{_qt4_datadir}" != "%{_qt4_prefix}"
#patch3 -p1 -b .multilib-QMAKEPATH
#endif
%patch4 -p1 -b .uic_multilib

%patch5 -p1 -b .bz#437440-as_IN-437440
%patch13 -p1 -b .gcc_hack
%patch15 -p1 -b .enable_ft_lcdfilter
%patch16 -p1 -b .kde4_plugins
%patch17 -p1 -b .phonon-pulseaudio
%patch19 -p1 -b .servicesfile
%patch21 -p1 -b .gst-pulsaudio
%patch23 -p1 -b .glib_eventloop_nullcheck
%patch51 -p1 -b .qdoc3
## TODO: still worth carrying?  if so, upstream it.
%patch53 -p1 -b .qatomic-inline-asm
## TODO: upstream me
%patch54 -p1 -b .mysql_config
%patch55 -p1 -b .cups-1
%patch56 -p1 -b .typecast_s390x
%patch57 -p1 -b .typecast_sparc64
%patch58 -p1 -b .qtwebkit_pluginpath

# upstream patches
%patch100 -p1 -b .qtwebkit_gtk_init

# security fixes
%patch104 -p1 -b .cve-2010-0051-lax-css-parsing-cross-domain-theft
%patch106 -p1 -b .cve-2010-0656
%patch108 -p1 -b .cve-2010-0648
%patch109 -p1 -b .CVE-2010-1303_1304
%patch110 -p1 -b .CVE-2010-1392
%patch111 -p1 -b .CVE-2010-1396
%patch112 -p1 -b .CVE-2010-1397
%patch113 -p1 -b .CVE-2010-1398
%patch114 -p1 -b .CVE-2010-1400
%patch115 -p1 -b .CVE-2010-1412
%patch116 -p1 -b .CVE-2010-1770
%patch117 -p1 -b .CVE-2010-1773
%patch118 -p1 -b .CVE-2010-1774
%patch119 -p1 -b .CVE-2010-1119
%patch120 -p1 -b .CVE-2010-1778


# kde-qt branch
%patch201 -p1 -b .kde-qt-0001
%patch202 -p1 -b .kde-qt-0002
%patch203 -p1 -b .kde-qt-0003
%patch204 -p1 -b .kde-qt-0004
%patch205 -p1 -b .kde-qt-0005
%patch206 -p1 -b .kde-qt-0006
%patch207 -p1 -b .kde-qt-0007
%patch212 -p1 -b .kde-qt-0012
%patch217 -p1 -b .QT_GRAPHICSSYSTEM
%patch218 -p1 -b .QTBUG-9793

# Patches for Vine
%patch1022 -p1 -b .system_ca_certificates

# drop -fexceptions from $RPM_OPT_FLAGS
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's|-fexceptions||g'`

%define platform linux-g++

# some 64bit platforms assume -64 suffix, https://bugzilla.redhat.com/569542
%if "%{?__isa_bits}"  == "64"
%define platform linux-g++-64                    
%endif

# https://bugzilla.redhat.com/478481
%ifarch x86_64
%define platform linux-g++
%endif

sed -i \
  -e "s|-O2|$RPM_OPT_FLAGS|g" \
  -e "s|g++.conf|g++-multilib.conf|g" mkspecs/%{platform}/qmake.conf

sed -e "s|^QMAKE_CFLAGS_RELEASE|#QMAKE_CFLAGS_RELEASE|g" \
  mkspecs/common/g++.conf > mkspecs/common/g++-multilib.conf

%if "%{_qt4_libdir}" == "%{_libdir}"
  sed -i -e "s|^QMAKE_LIBDIR_QT.*=.*|QMAKE_LIBDIR_QT       =|" mkspecs/common/linux.conf
%endif
  
# set correct lib path
if [ "%{_lib}" == "lib64" ] ; then
  sed -i -e "s,/usr/lib /lib,/usr/%{_lib} /%{_lib},g" config.tests/{unix,x11}/*.test
  sed -i -e "s,/lib /usr/lib,/%{_lib} /usr/%{_lib},g" config.tests/{unix,x11}/*.test
fi

# let makefile create missing .qm files, the .qm files should be included in qt upstream
#for f in translations/*.ts ; do
#  touch ${f%.ts}.qm
#done

%build
# build shared, threaded (default) libraries
./configure -v \
  -confirm-license \
  -opensource \
  -optimized-qmake \
  -prefix %{_qt4_prefix} \
  -bindir %{_qt4_bindir} \
  -datadir %{_qt4_datadir} \
  -demosdir %{_qt4_demosdir} \
  -docdir %{_qt4_docdir} \
  -examplesdir %{_qt4_examplesdir} \
  -headerdir %{_qt4_headerdir} \
  -libdir %{_qt4_libdir} \
  -plugindir %{_qt4_plugindir} \
  -sysconfdir %{_qt4_sysconfdir} \
  -translationdir %{_qt4_translationdir} \
  -platform %{platform} \
  -release \
  -shared \
  -cups \
  -fontconfig \
  -largefile \
  -gtkstyle \
  -qt-gif \
  -no-rpath \
  -reduce-relocations \
  -no-separate-debug-info \
%if %{phonon}
  -phonon \
  -phonon-backend \
%else
  -no-phonon \
%endif
  -pch \
  -no-javascript-jit \
  -sm \
  -stl \
  -system-libmng \
  -system-libpng \
  -system-libjpeg \
  -system-libtiff \
  -system-zlib \
  -xinput \
  -xcursor \
  -xfixes \
  -xinerama \
  -xshape \
  -xrandr \
  -xrender \
  -xkb \
  -glib \
  -openssl-linked \
  -xmlpatterns \
  -dbus-linked \
  -webkit \
  -no-nas-sound \
%if %{MySQL}
  -plugin-sql-mysql -I/usr/include/mysql \
%else
  -no-sql-mysql \
%endif
%if %{PostgreSQL}
  -plugin-sql-psql -I/usr/include/pgsql \
%else
  -no-sql-psql \
%endif
%if %{ODBC}
  -plugin-sql-odbc \
%else
  -no-sql-odbc \
%endif
  -system-sqlite \
  -nomake demos \
  -nomake examples

make %{?_smp_mflags}

# recreate .qm files
#LD_LIBRARY_PATH=`pwd`/lib bin/lrelease translations/*.ts

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

ln -s qt-%{version} $RPM_BUILD_ROOT%{_libdir}/qt4

# Add desktop file(s)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --vendor="" \
  %{SOURCE21} %{SOURCE22}

# nuke dangling reference(s) to %buildroot
sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" $RPM_BUILD_ROOT%{_qt4_libdir}/*.prl

# nuke QMAKE_PRL_LIBS, seems similar to static linking and .la files (#520323)
sed -i -e "s|^QMAKE_PRL_LIBS|#QMAKE_PRL_LIBS|" $RPM_BUILD_ROOT%{_qt4_libdir}/*.prl

# .la files, die, die, die.
rm -f $RPM_BUILD_ROOT%{_qt4_libdir}/lib*.la

%ifarch %{multilib_archs}
# multilib: qconfig.h
  mv $RPM_BUILD_ROOT%{_qt4_headerdir}/Qt/qconfig.h $RPM_BUILD_ROOT%{_qt4_headerdir}/QtCore/qconfig-%{_arch}.h
  install -p -m644 -D %{SOURCE5} $RPM_BUILD_ROOT%{_qt4_headerdir}/QtCore/qconfig-multilib.h
  ln -sf qconfig-multilib.h $RPM_BUILD_ROOT%{_qt4_headerdir}/QtCore/qconfig.h
  ln -sf ../QtCore/qconfig.h $RPM_BUILD_ROOT%{_qt4_headerdir}/Qt/qconfig.h

%if "%{_qt4_datadir}" != "%{_qt4_prefix}"
# multilib: mkspecs hacks, unfortunately, breaks some stuff
  mkdir $RPM_BUILD_ROOT%{_qt4_prefix}/mkspecs
  mv $RPM_BUILD_ROOT%{_qt4_datadir}/mkspecs/{default,linux-g++*,qconfig.pri} \
     $RPM_BUILD_ROOT%{_qt4_prefix}/mkspecs/
  ln -s %{_qt4_datadir}/mkspecs/common $RPM_BUILD_ROOT%{_qt4_prefix}/mkspecs/common
%endif
%endif

%if "%{_qt4_libdir}" != "%{_libdir}"
    mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
    echo "%{_qt4_libdir}" > $RPM_BUILD_ROOT/etc/ld.so.conf.d/qt4.conf
%if %{build_compat32}
    echo "%{_qt4_libdir}" > $RPM_BUILD_ROOT/etc/ld.so.conf.d/qt4-i386.conf
%endif
%endif

# Trolltech.conf
install -p -m644 -D %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/Trolltech.conf

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
# qt4-logo (generic) icons
install -p -m644 -D %{SOURCE30} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/qt4-logo.png
install -p -m644 -D %{SOURCE31} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/qt4-logo.png

# designer icons
install -p -m644 -D tools/designer/src/designer/images/designer.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/designer.png
# linguist icons
for icon in tools/linguist/linguist/images/icons/linguist-*-32.png ; do
  size=$(echo $(basename ${icon}) | cut -d- -f2)
  install -p -m644 -D ${icon} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${size}x${size}/apps/linguist4.png
done


mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cat > $RPM_BUILD_ROOT/etc/profile.d/qt4.sh <<EOF
# Qt initialization script (sh)
if [ -z "\$QTDIR" ] ; then
	QTDIR="%{_qt4_libdir}"
fi
export QTDIR
EOF

chmod 755 $RPM_BUILD_ROOT/etc/profile.d/qt4.sh

cat > $RPM_BUILD_ROOT/etc/profile.d/qt4.csh <<EOF
# Qt initialization script (csh)
if ( \$?QTDIR ) then
         exit
endif
setenv QTDIR %{_qt4_libdir}
EOF

chmod 755 $RPM_BUILD_ROOT/etc/profile.d/qt4.csh

mkdir -p $RPM_BUILD_ROOT%{_bindir}
for i in $RPM_BUILD_ROOT%{_qt4_bindir}/*; do
	#ln -s ../lib/qt-%{version}/bin/`basename $i` $RPM_BUILD_ROOT/%{_bindir}
	ln -s ../%{_lib}/qt-%{version}/bin/`basename $i` $RPM_BUILD_ROOT/%{_bindir}
done


# pkg-config files
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
cp $RPM_BUILD_ROOT%{_qt4_libdir}/pkgconfig/*.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig
rm -rf $RPM_BUILD_ROOT%{_qt4_libdir}/pkgconfig

# Qt.pc
cat >%{buildroot}%{_libdir}/pkgconfig/Qt.pc<<EOF
prefix=%{_qt4_prefix}
bindir=%{_qt4_bindir}
datadir=%{_qt4_datadir}
demosdir=%{_qt4_demosdir}
docdir=%{_qt4_docdir}
examplesdir=%{_qt4_examplesdir}
headerdir=%{_qt4_headerdir}
libdir=%{_qt4_libdir}
plugindir=%{_qt4_plugindir}
qmake=%{_qt4_bindir}/qmake
sysconfdir=%{_qt4_sysconfdir}
translationdir=%{_qt4_translationdir}

Name: Qt
Description: Qt Configuration
Version: %{version}
EOF

# create/own %%_qt4_plugindir/styles
mkdir %{buildroot}%{_qt4_plugindir}/styles
# create/own %%_qt4_plugindir/gui_platform
mkdir %{buildroot}%{_qt4_plugindir}/gui_platform

%if %{phonon}
# remove for phonon 4.3.1
rm -fv  $RPM_BUILD_ROOT%{qtdir}/lib/libphonon.so*
rm -rfv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/phonon.pc
# contents slightly different between phonon-4.3.1 and qt-4.5.0
rm -fv  $RPM_BUILD_ROOT%{_includedir}/phonon/phononnamespace.h
# contents dup'd but should remove just in case
rm -fv  $RPM_BUILD_ROOT%{_includedir}/phonon/*.h
rm -rfv $RPM_BUILD_ROOT%{qtdir}/include/phonon*
#rm -rfv %{buildroot}%{_qt4_headerdir}/Qt/phonon*
rm -fv $RPM_BUILD_ROOT%{_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml
rm -fv $RPM_BUILD_ROOT%{qtdir}/lib/libphonon.prl

install -D -m 0644 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/phonon-gstreamer.svg
install -D -m 0644 %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE13} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE14} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE15} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE16} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/phonon-gstreamer.png
%endif

# make symbolic link to qt docdir
#if echo %{_docdir} | grep  share >& /dev/null ; then
#  ln -s  ../../share/doc/%{name}-devel-%{version} $RPM_BUILD_ROOT%{_qt4_docdir}
#else
#  ln -s  ../../doc/%{name}-devel-%{version} $RPM_BUILD_ROOT%{_qt4_docdir}
#fi

# clean up
cd $RPM_BUILD_ROOT%{qtdir}
#rm -f lib/*.la
#rm -f lib/*.prl
rm -f `find ../../ -name *.debug`


# delete files to use alternatives
rm -f $RPM_BUILD_ROOT%{_bindir}/assistant
rm -f $RPM_BUILD_ROOT%{_bindir}/moc
rm -f $RPM_BUILD_ROOT%{_bindir}/qmake
rm -f $RPM_BUILD_ROOT%{_bindir}/qtconfig
rm -f $RPM_BUILD_ROOT%{_bindir}/uic
rm -f $RPM_BUILD_ROOT%{_bindir}/uic3
rm -f $RPM_BUILD_ROOT%{_bindir}/designer
rm -f $RPM_BUILD_ROOT%{_bindir}/linguist
rm -f $RPM_BUILD_ROOT%{_bindir}/lrelease
rm -f $RPM_BUILD_ROOT%{_bindir}/lupdate

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

# devel
%post devel
%{_syssbindir}/update-alternatives --install \
        %{_bindir}/qtconfig qtconfig %{_qt4_bindir}/qtconfig 20 \
        --slave %{_bindir}/assistant \
                assistant \
                %{_qt4_bindir}/assistant \
        --slave %{_bindir}/moc \
                moc \
                %{_qt4_bindir}/moc \
        --slave %{_bindir}/qmake \
                qmake \
                %{_qt4_bindir}/qmake \
        --slave %{_bindir}/uic \
                uic \
                %{_qt4_bindir}/uic \
        --slave %{_bindir}/uic3 \
                uic3 \
                %{_qt4_bindir}/uic3 \

%postun devel
if [ $1 -eq 0 ] ; then
    %{_syssbindir}/update-alternatives --remove qtconfig %{_qt4_bindir}/qtconfig
    [ -f "%{_bindir}/qtconfig" ] || %{_syssbindir}/update-alternatives --auto qtconfig
fi

# phonon-backend-gstreamer
%if %{phonon}
%post -n phonon-backend-gstreamer
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans -n phonon-backend-gstreamer
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun -n phonon-backend-gstreamer
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi
%endif

# qt4-designer
%post designer
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
%{_syssbindir}/update-alternatives --install \
        %{_bindir}/designer designer %{_qt4_bindir}/designer 20 \
        --slave %{_bindir}/linguist \
                linguist \
                %{_qt4_bindir}/linguist \
        --slave %{_bindir}/lrelease \
                lrelease \
                %{_qt4_bindir}/lrelease \
        --slave %{_bindir}/lupdate \
                lupdate \
                %{_qt4_bindir}/lupdate

[ -f "%{_bindir}/designer" ] || %{_syssbindir}/update-alternatives --auto designer

%posttrans designer
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun designer
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  %{_syssbindir}/update-alternatives --remove designer %{_qt4_bindir}/desiner
  [ -f "%{_bindir}/designer" ] || %{_syssbindir}/update-alternatives --auto designer
fi

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
#doc README README.kde-qt LGPL_EXCEPTION.txt LICENSE.LGPL LICENSE.GPL3
%doc README LGPL_EXCEPTION.txt LICENSE.LGPL LICENSE.GPL3
%config(noreplace) %{_sysconfdir}/Trolltech.conf
%if "%{_qt4_libdir}" != "%{_libdir}"
%config %{_sysconfdir}/ld.so.conf.d/qt4.conf
%endif
%{_bindir}/qdbus
%{_qt4_bindir}/qdbus
%{_libdir}/qt4
%dir %{_qt4_prefix}
%dir %{_qt4_libdir}
%{_qt4_libdir}/libQt*.so.*
%dir %{_qt4_plugindir}
%dir %{_qt4_plugindir}/accessible
%{_qt4_plugindir}/accessible/*
%dir %{_qt4_plugindir}/codecs
%{_qt4_plugindir}/codecs/*
%dir %{_qt4_plugindir}/graphicssystems
%{_qt4_plugindir}/graphicssystems/*
%dir %{_qt4_plugindir}/iconengines
%{_qt4_plugindir}/iconengines/*
%dir %{_qt4_plugindir}/imageformats
%{_qt4_plugindir}/imageformats/*
%dir %{_qt4_plugindir}/inputmethods
%{_qt4_plugindir}/inputmethods/*
%dir %{_qt4_plugindir}/script
%{_qt4_plugindir}/script/*
%dir %{_qt4_translationdir}
%{_qt4_translationdir}/*
%{_datadir}/icons/hicolor/*/apps/qt4-logo.*

%files devel
%defattr(-,root,root,-)
%attr(0755,root,root) %config /etc/profile.d/*
%{_bindir}/*
%{_qt4_bindir}/*
%exclude %{_bindir}/qdbus
%exclude %{_qt4_bindir}/qdbus
%exclude %{_qt4_bindir}/designer
%exclude %{_qt4_bindir}/linguist
%exclude %{_qt4_bindir}/lrelease
%exclude %{_qt4_bindir}/lupdate
%{_qt4_headerdir}
%{_qt4_libdir}/libQt*.so
%{_qt4_libdir}/libQtUiTools*.a
%{_qt4_libdir}/libQt*.prl
%{_qt4_datadir}/mkspecs
%{_qt4_datadir}/phrasebooks
%{_qt4_datadir}/q3porting.xml
%{_libdir}/pkgconfig/*.pc
#{_qt4_docdir}/*

%files doc
%defattr(-,root,root,-)
%{_qt4_docdir}/html
%{_qt4_docdir}/qch/*.qch
%exclude %{_qt4_docdir}/qch/designer.qch
%exclude %{_qt4_docdir}/qch/linguist.qch
%{_qt4_docdir}/src
# Qt Assistant (bin moved to -x11)
#{_datadir}/applications/*assistant.desktop
#{_datadir}/icons/hicolor/*/apps/assistant*

%if %{phonon}
%files -n phonon-backend-gstreamer
%defattr(-,root,root,-)
%{_qt4_plugindir}/phonon_backend/*_gstreamer.so
%{_datadir}/kde4/services/phononbackends/gstreamer.desktop
%{_datadir}/icons/hicolor/*/apps/phonon-gstreamer.*
%endif

%if %{MySQL}
%files MySQL
%defattr(-,root,root,-)
%{_qt4_plugindir}/sqldrivers/libqsqlmysql*
%endif

%if %{PostgreSQL}
%files PostgreSQL
%defattr(-,root,root,-)
%{_qt4_plugindir}/sqldrivers/libqsqlpsql*
%endif

%if %{ODBC}
%files ODBC
%defattr(-,root,root,-)
%{_qt4_plugindir}/sqldrivers/libqsqlodbc*
%endif

%if %{SQLite}
%files sqlite
%defattr(-,root,root,-)
%{_qt4_plugindir}/sqldrivers/libqsqlite*
%endif

%files designer
%defattr(-,root,root,-)
%{_qt4_bindir}/designer
%{_qt4_bindir}/linguist
%{_qt4_bindir}/lrelease
%{_qt4_bindir}/lupdate
%dir %{_qt4_plugindir}/designer
%{_qt4_plugindir}/designer/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/linguist*
%{_datadir}/icons/hicolor/*/apps/designer*
%{_qt4_docdir}/qch/designer.qch
%{_qt4_docdir}/qch/linguist.qch

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%if "%{_qt4_libdir}" != "%{_libdir}"
%config %{_sysconfdir}/ld.so.conf.d/qt4-i386.conf
%endif
%{_qt4_bindir}/qdbus
%{_libdir}/qt4
%dir %{_qt4_prefix}
%dir %{_qt4_libdir}
%{_qt4_libdir}/libQt*.so.*
%dir %{_qt4_plugindir}
%dir %{_qt4_plugindir}/accessible
%{_qt4_plugindir}/accessible/*
%dir %{_qt4_plugindir}/codecs
%{_qt4_plugindir}/codecs/*
%dir %{_qt4_plugindir}/graphicssystems
%{_qt4_plugindir}/graphicssystems/*
%dir %{_qt4_plugindir}/iconengines
%{_qt4_plugindir}/iconengines/*
%dir %{_qt4_plugindir}/imageformats
%{_qt4_plugindir}/imageformats/*
%dir %{_qt4_plugindir}/inputmethods
%{_qt4_plugindir}/inputmethods/*
%dir %{_qt4_plugindir}/script
%{_qt4_plugindir}/script/*
#dir %{_qt4_translationdir}
#{_qt4_translationdir}/*


%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%{_qt4_bindir}/*
%exclude %{_qt4_bindir}/qdbus
%exclude %{_qt4_bindir}/designer
%exclude %{_qt4_bindir}/linguist
%exclude %{_qt4_bindir}/lrelease
%exclude %{_qt4_bindir}/lupdate
#{_qt4_docdir}
%{_qt4_headerdir}
%{_qt4_libdir}/libQt*.so
%{_qt4_libdir}/libQtUiTools.a
%{_qt4_libdir}/libQt*.prl
%{_qt4_datadir}/mkspecs
%{_qt4_datadir}/phrasebooks
%{_qt4_datadir}/q3porting.xml
%{_libdir}/pkgconfig/*.pc
%endif

%changelog
* Mon Sep 20 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.3-2
- rebuilt with rpm-4.8.1

* Sat Jul 24 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.3-1
- new upstream release
- moved %{_bindir}/qdbus to main package

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 4.6.1-5
- rebuilt with gcc-4.4.3-3 on ppc

* Fri Feb  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-4
- rebuilt with new toolchains

* Sun Jan 31 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-3
- added BR: desktop-file-utils

* Sat Jan 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-2
- fixed devel %%files (forgot removing documents...)

* Thu Jan 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release
- moved documents to doc sub-package
- updated macros
- installed translation to %%{_datadir}/qt4/translations now

* Sun Nov 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.3-1
- new upstream release
- dropped Patch90 (merged into upstream)
- updated Patches from Fedora
- added sqlite subpackage

* Wed Sep 02 2009 NAKAMURA Kenta <kenta@vinelinux.org> 4.5.2-2
- added Patch90 for fix CVE-2009-2700

* Wed Aug 26 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.2-1
- new upstream release
- updated qt-copy patches
- added Qt.pc
- added BuildRequires: WebKit-gtk-devel

* Thu Jul 23 2009 NAKAMURA Kenta <kenta@vinelinux.org> 4.4.3-4
- added compat32 package for x86_64 arch support

* Sun Apr 26 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.3-3
- changed qt4-designer Group to Applications/Development
- updated URL
- remove Requires: XOrg-libs, XOrg-gl

* Wed Mar 24 2009 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.4.3-2
- update qt-copy patches

* Mon Nov 24 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.4.3-1
- new upstream release
- update qt-copy patches

* Tue Nov 11 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.4.2-2
- update qt-copy patches

* Mon Sep 22 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.4.2-1
- new upstream release
- update qt-copy patches

* Tue Sep 02 2008 Shu KONNO <owa@bg.wakwak.com> 4.4.1-2
- fixed symbolic-link path of %{_bindir}/* at %%install section (for lib64)

* Mon Aug  4 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.4.1-1
- new upstream release
- update qt-copy patches

* Sun Jul  6 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.4.0-1
- new upstream release
- update qt-copy patches
- add -no-phonon

* Mon Mar 24 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.3.4-1
- fix release ([VineSeed:1527])
- add BuildPrereq: gcc4 gcc4-c++ for Vine 4.x
- add Requires(post,postun): alternatives to -devel and -designer package

* Tue Mar  4 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.3.4-0vl1
- new upstream release
- update qt-copy patches

* Wed Feb  6 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.3.3-0vl2
- update qt-copy patches

* Thu Dec  6 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.3.3-0vl1
- new upstream release
- update and re-number qt-copy patches
- add BuildPrereq: glib2-devel
- update URL

* Fri Nov  2 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.3.2-0vl1
- new upstream release
- update qt-copy patches

* Tue Sep 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.3.1-0vl2
- update qt-copy patches (CVE-2007-4137)

* Wed Aug 15 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.3.1-0vl1
- new upstream release
- update qt-copy patches

* Thu Jun 28 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.3.0-0vl1
- new upstream release
- add qt-copy patches

* Wed May 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.3.0-0vl0.20070423
- new upstream release

* Mon Mar 12 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.2.3-0vl1
- new upstream release

* Tue Oct 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.2.1-0vl1
- new upstream release
- add ld.so.conf.d and qt4.conf
- BuildPrereq: dbus-devel >= 0.62

* Fri Oct  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.2.0-0vl1
- new upstream release
- remove static package

* Mon Sep 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.1.4-0vl1
- new upstream release
- update %%fiels
- remove Xt and styles package
- add BuildPrereq: postgresql-libs MySQL-shared
- remove all patches

* Mon Sep 19 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.5-0vl4
- move %%{_libdir}/qt3 from develop to main
- fix typo
- add patch503
 -- Thu Sep 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.3.5-0vl2.0imm.1
  - import qt-x11-immodule-unified-quiet.patch (patch503) from FC
- add patch500-502
 -- Thu Sep 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.3.5-0vl2.0imm
  - add immodule for Qt support (patch500-502)
    - patch500: revert some part of patch300,301 (conflict with patch501)
    - patch501: immodule for Qt patch
    - patch502: apply some part of patch300,301 again
    cf. http://immodule-qt.freedesktop.org/
        http://people.freedesktop.org/~daisuke/

* Sun Sep 10 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.3.5-0vl3
- added configure options for builing on 64-bit archs

* Tue Sep 13 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.5-0vl2
- rebuild for VineSeed

* Tue Sep 13 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.5-0vl1
- new upstream release
- stop building nonthreaded libs
- delete Obsoletes
- add Patch0

* Tue Jul  5 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl6
- rebuild for VineSeed

* Tue Jul  5 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl5
- build for Vine3.1
- add -v to configure option
- move three static libs to main package

* Wed Mar 16 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl4
- rebuild for VineSeed

* Sat Mar 12 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl3
- (security) stop using rpath
- cleanup this file

* Thu Feb 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl2
- rebuild for VineSeed

* Thu Feb 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl1
- new upstream release
- update Patch400

* Sat Dec 11 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.3-0vl3
- rebuld

* Wed Nov 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.3-0vl2
- add Obsoletes: qt32-*

* Sun Sep  5 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.3-0vl1
- source upgrade
- remove patch100
- update patch300 and remove patch302-303
- update patch400
- update BuildPrereq and Requires

* Wed Jul 28 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl3
- add patch302-303 from KuserML
- delete lines about vine26

* Sun Jun  6 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl2
- add patch100 from webcvs.kde.org/cgi-bin/cvsweb.cgi/qt-copy/patches/

* Fri Apr 30 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- source upgrade
- remove patch100 (it is needed only for 3.3.1)

* Sun Apr 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl3
- rebuild with XOrg

* Mon Mar 29 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl2
- rebuild

* Mon Mar  8 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade
- remove patch800
- add patch100 (only for qt-x11-free-3.3.1)

* Sun Feb  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl3
- enable cups support

* Sun Dec 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl2
- build for VineSeed with new toolchain
- disable cup support

* Wed Dec  3 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- source upgrade
- revised Patch402 and 403
- remove Patch100
- add patch800 to build against freetype2-2.1.7
- (VinePlus/2.6) BuildPrereq: autoconf258

* Sun Nov  9 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade
- revised Patch400
- remove Patch15

* Sun Nov  2 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl4
- enable cups support

* Sun Oct 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0.26vl3
- rebuild for Vine2.6

* Sun Oct 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl3
- revised Patch400 and Patch402
- clean up spec

* Sun Sep 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0.26vl2
- rebuild for Vine2.6

* Sun Sep 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl2
- revised Patch400-
- clean up spec

* Mon Sep 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0.26vl1
- rebuild for Vine2.6

* Mon Sep 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade
- add Patch100
- remove Patch302 (it is included in this source)
- stop using Patch400-
- build with gcc-3.2.3
- add export LANG=C
- add *.pc (pkg-config files) to qt-devel package

* Fri Aug 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0.26vl5
- rebuild for Vine2.6

* Wed Aug 13 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl5
- add Patch302 to fix performance of jmode
- change make option for SMP and add script

* Thu Jun 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl4
- update Patch400 and 401

* Wed Jun 18 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl3
- change spec to build with g++-2.95.3

* Mon Apr 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0.26vl2
- rebuild for Vine2.6

* Wed Apr 16 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.1.2-0vl2
- rebuilt with libpng >= 1.2.5 when %%{vine26} is set to 0 (ie VineSeedPlus)

* Fri Mar 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade
- remove all patches except patch15
- revised patch 300-
- stop building Xt package

* Mon Feb 24 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl3
- revised patch 301 and 302
- enable patch 301 and 302 to Vine2.5/2.6

* Sun Feb  9 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl2
- change spec to build both VineSeed and Vine2.5/2.6
- re-number patch300-
- delete patch4 (qt-3.1.1 does not need it)
- add patch13 and 14
 -- Thu Dec 19 2002 Than Ngo <than@redhat.com> 3.1.1-3
  - add monospace patch file from Leon Ho (bug #79949)
  - add small patch file from Sysoltsev Slawa (bug #79731)
- add patch15
 -- Mon Dec 30 2002 Florian La Roche <Florian.LaRoche@redhat.de>
  - Change qmlined.h to not include an attic header that is also not shipped
    with Red Hat Linux. This also fixes building unixODBC, that includes this
    header (apparently also without needing it).


* Sat Jan  4 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl1
- source upgrade
- cleanup spec
- revised Patch7, 301
- add Patch306, 307, 308 from kde.gr.jp

* Sun Dec 15 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.0-0vl1
- source upgrade
- stop using objprelink2, it does not work with gcc3
- add Patch304 and Patch305 from www.kde.gr.jp/~akito/xft/patch_xft.html
- add Patch1 - Patch12 from rawhide 3.1.0-1.3
- add BuildPrereq: openMotif-devel >= 2.2.2 for build qt-Xt
- cleanup spec for build x11 package only

* Mon Nov 11 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.5-0vl3
- add export PATH=`pwd`:$PATH to %build section

* Mon Oct 15 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.5-0vl2
- objprelink2 support only i386 (add %ifarch i386 ... again)
- delete BuildPrereq: libmng-static (it merged to libmng-devel)
- delete %doc ANNOUNCE
- Requires: XFree86-gl instead of Mesa

* Fri Oct  4 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.5-0vl1
- add BuildPrereq: objprelink2 instead of BuildPrereq: objprelink
- add BuildPrereq: autoconf253 automake15
- delete Patch199 (objprelink2 do not need this patch)
- source upgrade
- revised all patches [Kdeveloper:02404]
- add man files to qt-devel sub-package

* Tue Jul 16 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.3-1vl5
- add patch304 from kde.gr.jp [Kdeveloper:02368]

* Thu Jul  4 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.3-1vl4
- add patch303 from kde.gr.jp [Kdeveloper:02378]

* Wed Apr 17 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.3-1vl3
- add patch302 from kde.gr.jp

* Thu Apr  4 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.3-1vl2
- revised patch300 from kde.gr.jp and XIMInputStyle=Over The Spot in qtrc
- add patch301 from kde.gr.jp
- make unixODBC plugin (delete define odbcplugins 0 and if %{odbcplugins})

* Sat Mar 30 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.3-1vl1
- merged with rawhide 3.0.3-0.cvs20020314.1
- source update to 3.0.3
- add patch199 (objprelink)
- add patch300 and add defaultInputStyle=OverTheSpot in qtrc
- define cups 0 (Vine does not have cups)
- define odbcplugins 0 (unixODBC requires libqt-mt.so.2 of qt-2)
- cleanup spec
- There is Vine's previous changes, hacked for Vine 
 -- Sat Jan  5 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-6vl4
  - rebuild with -xft support (XFree86-4.1.99.4)
 -- Mon Dec 31 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.3.1-6vl3
  - rebuild with glibc-2.2.4
 -- Sun Nov 25 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.3.1-6vl2
  - add Source2 and Patch4 (use objprelink, i386 only)
 -- Sat Oct 13 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.3.1-6vl1
  - Build for VineSeed
  - Add qt.using_new_library.patch from Kondara
 -- Mon Jun 11 2001 net_hal <net_hal@cwa.bai.ne.jp>
  - First build for Vine2.1.5
 -- Thu Apr 12 2001 Rex Dieter <rdieter@unl.edu> 2.3.0-0.6x.3
  - redhat 6.x backport based on rawhide's qt-2.3.0-3
  - remove -xft support (because we're using XFree-3)    

* Thu Mar 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-0.cvs20020314.1
- Update to 3.0.3-pre, required for KDE3
- force -fPIC usage
- Remove conflict with qt2 < 2.3.2-1, the new qt2 2.3.1 is fixed and qt 2.3.2
  is broken
- Ship the qmake config files (so qmake works for building any 3rd party stuff,
  e.g. aethera)

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-2
- Add some fixes from KDE's qt-copy CVS
- Pluginize image formats

* Mon Feb 25 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-1
- 3.0.2 final

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020118.3
- Add GB18030 codec patch, #60034
- Force-build jpeg support, fixing #59775 and #59795

* Sat Jan 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020118.2
- Build with CUPS support

* Fri Jan 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020118.1
- Fix up /usr/bin/moc links, they should point to qt3

* Mon Jan 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020114.1
- Build styles directly into the main library for now, there's too much broken
  code out there depending on this ATM.

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020109.1
- Stop excluding alpha, gcc has been fixed

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020108.1
- Add fixes from CVS; this fixes the "Alt + F1, arrow up, arrow up doesn't work
  in KDE" bug

* Mon Dec 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-2
- Fix up settings search path
- Add default qtrc allowing to use KDE 3.x Qt plugins
- Make sure QLibrary uses RTLD_GLOBAL when dlopen()ing libraries

* Thu Dec 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.1.0-1
- Work around gcc bug #57467

* Wed Dec 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0.1 final

* Mon Dec 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-0.cvs20011210.1
- Update to current (needed by KDE 3.x)
- Rebuild with current libstdc++
- Temporarily disable building on alpha
- Fix build with PostgreSQL 7.2

* Mon Nov 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- Fix up glweak

* Mon Nov  5 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Give designer, uic, moc, etc. their real names - the qt2 versions
  have been renamed in qt2-2.3.2-1.
  Conflict with qt2 < 2.3.2-1.

* Thu Oct 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Add symlink /usr/lib/qt-3.0.0 -> /usr/lib/qt3 and set QTDIR to the
  symlink, allowing to update to 3.0.1 without breaking rpath'ed binaries

* Tue Oct 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final
- fix some minor specfile bugs
- Modularize some more (image format plugins)
- Build codecs

* Tue Sep 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta5.1
- beta5
- Share more code between qt-x11 and qt-embedded builds

* Wed Aug 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta4.1
- beta4
- build the Motif style directly into Qt rather than as a plugin - Qt should
  always have at least one style...
- replace the designer3 symlink with a shell script that sets QTDIR correctly
  before launching designer
- Add desktop file for designer

* Mon Aug  6 2001 Tim Powers <timp@redhat.com> 3.0.0-0.beta3.4
- explicitly include qm2ts, qmake, qtconfig in the devel package file list to avoid dangling symlinks

* Thu Aug  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta3.3
- Try yet another workaround for buildsystem breakages

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add another ugly workaround for build system problems, this should finally
  get rid of the dangling symlinks

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta3.2
- Rephrase parts of the spec file, hopefully pleasing the build system

* Sun Jul 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta3.1
- beta3
- Fix dangling symlinks

* Sun Jun 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta1.2
- Fix up QSQL Postgres classes for Postgres 7.1.x
- Fix various bugs:
  - QtMultilineEdit and QtTableView should actually compile
  - Link libqsqlpsql with libpq
  - Don't link the base library with libmysqlclient, linking the MySQL
    module with it is sufficient
- Add missing const qualifier
- move the SQL drivers to separate packages to avoid dependencies
- build and install designer plugins - converting glade files to Qt is fun. ;)
- handle RPM_OPT_FLAGS

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta1.1
- 3.0 beta 1

* Wed May 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20010516.1
- Update, remove conflicts with Qt 2.x

* Mon May 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20010514.1
- Initial build of 3.0 branch

* Fri Apr 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.3.0-6
- Fix crashes on ia64, Patch from Bill Nottingham <notting@redhat.com>
- Allow building qt-nox

* Fri Apr 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.3.0-5
- Make sure uic and designer use the libqui from the source tree, not
  a previously installed one.
  Linking uic-x11 against libqui-embedded is definitely not a feature. ;)
- The qclipboard fix is needed for qt-x11 only, don't apply it if we're
  building qt-embedded

* Sat Apr 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle LPRng specific constructs in printcap, Bug #35937

* Sun Mar 25 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add qfont patch from Trolltech

* Tue Mar 13 2001 Harald Hoyer <harald@redhat.de>
- added patch for '@euro' language settings

* Tue Mar  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.0 final
- BuildRequires XFree86-devel >= 4.0.2 (#30486)

* Mon Feb 26 2001 Than Ngo <than@redhat.com>
- fix check_env function, so that qt does not crash if QT_XFT is not set
- fix symlinks

* Mon Feb 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.0b1
- Add a patch to qpsprinter that handles TrueType fonts even if they come from xfs

* Tue Feb 13 2001 Preston Brown <pbrown@redhat.com>
- japanese input and clipboard fixes applied.  Changes have been sent upstream by patch authors.

* Fri Feb  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new Mesa to get rid of pthreads linkage
- Add Xft fix from KDE CVS

* Wed Feb  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add printing bugfix patch from Trolltech

* Sat Feb  3 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.4
- Qt Embedded: Add QVfb and VNC support

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't segfault when running Qt/Embedded applications as root
- Improve the Qt/Embedded sparc patch so we don't need the specfile hacks
  anymore
- Fix a bug in QPrintDialog (causing KDE Bug #18608)

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- bzip2 source to save space
- Qt/Embedded 2.2.3
- Fix qte build on sparc

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Run ldconfig in %%post and %%postun for qt-Xt

* Sun Dec 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build with the Xrender extension
  (Patch from Keith Packard <keithp@keithp.com>)

* Wed Dec 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.3

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to fix permissions on doc dir
- Don't exclude ia64 anymore

* Fri Nov 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up uic (Patch from trolltech) 

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build qt-embedded
  changes to base: fix build, fix ISO C99 compliance, fix 64bit support

* Mon Nov 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.2

* Tue Oct 24 2000 Than Ngo <than@redhat.com>
- call ldconfig for updating (Bug #19687)
- added patch from Trolltech, thanks to Rainer <rms@trolltech.com>

* Wed Oct 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing msg2qm, msgmerge, qconfig tools (Bug #18997), introduced
  by broken Makefiles in base
- fix up %%install so it works both with old-style and new-style fileutils
  (fileutils <= 4.0z don't know about -L)

* Fri Oct 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Disable exception handling; this speeds up KDE 2.x and reduces its
  memory footprint by 20 MB.

* Tue Oct 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- dereference symlinks in include

* Sun Oct  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix -devel
- update to the new version of 2.2.1 on trolltech.com; the initial tarball
  contained broken docs

* Thu Oct  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.1

* Mon Sep 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing uic

* Thu Sep 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move Qt designer to a different source RPM to get rid of a
  circular dependency (kdelibs2->qt, qt->kdelibs2)
- Enable MNG support
- Don't compile (just include) examples and tutorials
- move the static libraries to a separate package (qt-static).
  They're HUGE, and most people won't ever need them.
- clean up spec file
- fix up dependencies (-devel requires base, -static requires devel,
  Xt requires base)
- add BuildRequires line

* Tue Sep 12 2000 Than Ngo <than@redhat.com>
- update release 2.2.0
- changed copyright to GPL
- added missing static libraries
- made symbolic link for designer to load the help files correct
- made designer and designer-kde2 as sub packages
- added missing templates for designer
- remove jakub patch, since the release 2.2.0 already 
  contains this patch.
- fixed qt again to compile with gcc-2.96
- use make -j for building

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Work around compiler bugs (Patch from Jakub)
- Use relative symlinks (Bug #16750)

* Mon Aug 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta2

* Mon Aug 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new qt-copy from KDE2 CVS

* Wed Aug 9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- official beta 1

* Thu Aug 3 2000 Than Ngo <than@redhat.de>
- rebuilt against the libpng-1.0.8

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild (so we have it on all arches)

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move man pages to a more reasonable place (this fixes Bug #14126)
- exclude ia64 for now (compiler problems!!!)

* Mon Jul 24 2000 Harald Hoyer <harald@redhat.de>
- modified connect patch to fit qt 2.2.0 beta.

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current qt-copy; this is now a qt 2.2.0 beta.

* Mon Jul 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current qt-copy in kde CVS, required

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jul 11 2000 Harald Hoyer <harald@redhat.de>
- made patch smaller and binary compatible when recompiled with 6.2
- modified connect and moc to cope with the new g++ class layout

* Sun Jul 09 2000 Than Ngo <than@redhat.de>
- rebuilt qt with gcc-2.96-34

* Fri Jul 07 2000 Than Ngo <than@redhat.de>
- rebuilt qt with c++ 2.96

* Mon Jul  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix dependancies

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use egcs++ for now ** FIXME

* Wed Jun 28 2000 Preston Brown <pbrown@redhat.com>
- fix up qt.sh

* Sun Jun 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build in jpeg and threading support
- Fix a bug in clipboard pasting code

* Wed Jun 07 2000 Preston Brown <pbrown@redhat.com>
- fix qt.{sh,csh}
- use new rpm macro paths
- package man pages

* Fri Jun  2 2000 Bill Nottingham <notting@redhat.com>
- build without optimization on ia64

* Mon May 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1.1

* Thu May 18 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- recompile with correct libstdc++

* Thu Apr 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1.0 final

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta4
- depend on libGL.so.1 rather than Mesa - XFree86 4.0 provides that
  lib, too

* Wed Mar 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta3

* Tue Mar  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta2
- fix compilation of the NSPlugin add-on

* Fri Mar  3 2000 Bill Nottingham <notting@redhat.com>
- fix %postun script

* Fri Feb 18 2000 Bernhard Rosenkr?nzer <bero@redhat.com>
- beta1
- get rid of qt-ImageIO, the functionality is now in the main Qt library
- remove qt-Network, the functionality is now in the main Qt library
- add changes-2.1.0 to %doc

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- no refcount check on postun script, we want it to happen even on upgrades

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, should fix QWhatsThisButton
- remove executable permissions from *.pro files

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- strip binaries in examples, tutorial

* Mon Jan 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot - should fix the hotkey bug
- Fix up the Makefiles so it compiles

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot - we need those QVariant fixes

* Thu Jan 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- switch from glxMesa to Mesa for the GL addon

* Wed Jan 5 2000 Bernhard Rosenkr?nzer <bero@redhat.com>
- Fix up dependencies
- new snapshot

* Mon Jan 3 2000 Ngo Than <than@redhat.de>
- new snapshot for Red Hat Linux 6.2
- increase version number

* Mon Dec 20 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- handle RPM_OPT_FLAGS

* Mon Dec 13 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- -GL requires libGL.so.1 instead of Mesa (might as well be glxMesa
  or some commercial OpenGL)
- -GL BuildPrereqs /usr/X11R6/include/GL/gl.h instead of Mesa-devel
  (might as well be glxMesa or some commercial OpenGL)

* Sun Dec 05 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current RSYNC version
- remove compilation patch - it finally works out of the box

* Wed Oct 27 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current CVS snapshot
- build extensions
- add patch to fix QNetwork compilation

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- current CVS snapshot
- fix compilation with gcc 2.95.x
- use install -c rather than just install to make BSD install happy

* Mon Oct 11 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.1.0 snapshot (for KDE2)
- Fix typo in spec

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- don't ship tutorial or example binaries

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- substitution in tutorial and examples so that dependencies are correct and
  they can be successfully rebuilt.
- switched to completely using QTDIR.  trying to coexist with links into
  /usr/{include,lib} and still compile with qt 1.x is very hard for
  configure scripts to cope with.

* Thu Aug 19 1999 Preston Brown <pbrown@redhat.com>
- implemented QTDIR compatibility.

* Tue Jul 20 1999 Preston Brown <pbrown@redhat.com>
- qt 2.0.1 packaged.

* Wed Jul 14 1999 Preston Brown <pbrown@redhat.com>
- Qt 2.00 packaged.
- examples, html documentation, tutorial moved to /usr/doc

* Sat Apr 17 1999 Preston Brown <pbrown@redhat.com>
- static library supplied in dev package.

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- turn on internal GIF reading support

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Mar 15 1999 Preston Brown <pbrown@redhat.com>
- upgrade to qt 1.44.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- moved includes to /usr/include/qt

* Mon Jan 04 1999 Preston Brown <pbrown@redhat.com>
- made setup phase silent.

* Fri Dec 04 1998 Preston Brown <pbrown@redhat.com>
- upgraded to qt 1.42, released today.

* Tue Dec 01 1998 Preston Brown <pbrown@redhat.com>
- took Arnts RPM and made some minor changes for Red Hat.
