%define	pyver		%(python -c 'import sys;print(sys.version[0:3])')

Summary:	Integrated Subversion support for Nautilus
Summary(ja): 	Subversion サポートを Nautilus に追加する拡張
Name:		rabbitvcs
Version:	0.13.3
Release: 	1%{?_dist_release}
Source0:	http://rabbitvcs.googlecode.com/files/%{name}-%{version}.tar.gz
License:	GPL
Group:		Development/Tools
URL:		http://rabbitvcs.org/

Requires:	nautilus, pygtk2,  python-configobj
Requires:	pygobject, glade2, pygtk2-libglade
Requires:	subversion, pysvn
BuildRequires:	python-devel, gettext
Requires(post): gtk2
Requires(postun): gtk2
BuildArch:	noarch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka

%description
RabbitVCS is a set of graphical tools written to provide simple
and straightforward access to the version control systems you use.

This package containg core part of RabbitVCS and not connected
to to any file manager or text editor.

Front-ends or clients is privided separetely as  a Nautilus 
extention, Thunar extention and Gedit plugin, and a command line
utility.

%description -l ja
RabbitVCS はバージョン管理システムにシンプルかつ直感的にアクセス
できるよう設計された GUI のツールです。

このパッケージには RabbitVCS のコアとなる部分だけが含まれており、
特定のファイルマネージャやテキストエディタに依存しないようになっ
ています。

フロントエンドやクライアントは Nautilus 及び Thunar 用の拡張と、
Gedit 用のプラグイン、そしてコマンドラインのユーティリティが、
別パッケージとして提供されています。

%package nautilus
Summary:	Integrated Subversion support for Nautilus
Summary(ja): 	Subversion サポートを Nautilus に追加する拡張
Group:		Development/Tools
Requires:	nautilus >= 2.22.0
Requires:	nautilus-python >= 0.7.0
Requires:	dbus-python > 0.80
Requires:	rabbitvcs >= %{version}-%{release}
Obsoletes:	nautilussvn

%description nautilus
RabbitVCS is a set of graphical tools written to provide simple
and straightforward access to the version control systems you use.

With this package, You can acces to the version control systems
by Nautilus file manager.

%description nautilus -l ja
RabbitVCS はバージョン管理システムにシンプルかつ直感的にアクセス
できるよう設計された GUI のツールです。

このパッケージを利用することで、Nautilus ファイルマネージャに
統合された形でバージョン管理システムにアクセスできるようになり
ます。


%prep
%setup -q

%build
%{__python} setup.py build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --skip-build --root ${RPM_BUILD_ROOT}

# install japanese message catalog
#%{__mkdir} -p ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES
#msgfmt %{SOURCE1} -o ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES/NautilusSvn.mo

# install nautilus client
%{__install} -d -m755 ${RPM_BUILD_ROOT}/%{_datadir}/nautilus-python/extensions
%{__install} -m644 clients/nautilus/RabbitVCS.py ${RPM_BUILD_ROOT}/%{_datadir}/nautilus-python/extensions


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%files
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}/
%{_libdir}/python%{pyver}/site-packages/
%{_datadir}/icons/hicolor/scalable/actions/
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}-small.svg
%{_datadir}/icons/hicolor/scalable/emblems/
%{_datadir}/locale/
%{_datadir}/%{name}/configspec.ini
# only usefull for ubuntu (and debian??)
#%exclude %{_datadir}/%{name}/do-rabbitvcs-restart-nautilus
#%exclude %{_datadir}/%{name}/rabbitvcs-restart-required.update-notifier

%files nautilus
%defattr(-,root,root)
%doc clients/nautilus/README
%{_datadir}/nautilus-python/extensions/RabbitVCS.py


%changelog
* Fri Jul 23 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.13.3-1
- new upstream release
- merge rabbitvcs-nautilus package again (upstream source change)
- requires nautilus-python >= 0.7.0 for rabbitvcs-nautilus

* Sun Feb 14 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.13-1
- new upstream release
- now front-end for nautilus is provided separetely
  (as rabbitvcs-nautilus package)

* Wed Oct 07 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.12-1
- new upstream release with new name
- add Obsoletes: nautilussvn
- drop source1 (japanese translation)
- update description

* Fri Jun 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.12-3.beta1.2
- update japanese translation

* Sat May 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.12-2.beta1.2
- add japanese translation as Source1
- add BuildRequires: gettext

* Sat May 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.12-1.beta1.2
- initial build for Vine Linux
