Name:      raptor
Summary:   Raptor RDF Parser Toolkit for Redland
Version:   1.4.21
Release:   2%{?_dist_release}

Group:     System Environment/Libraries
License:   LGPL/Apache 2
URL:       http://librdf.org/raptor/

Source:    http://download.librdf.org/source/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libxml2-devel curl-devel libxslt-devel expat-devel
BuildRequires: openldap-devel

%description
Raptor is the RDF Parser Toolkit for Redland that provides a set of
Resource Description Framework (RDF) parsers and serializers,
generating RDF triples from the following syntaxes: RDF/XML,
N-Triples, Turtle, several XML RSS tag soup formats, Atom 0.3 and
Atom 1.0 and serializing RDF triples to syntaxes: RDF/XML, RSS 1.0,
Atom 1.0, N-Triples, Adobe XMP, Turtle and GraphViz DOT.

%package devel
Summary: Libraries, includes etc to develop with Raptor RDF parser library
Group: Development/Libraries
Requires: raptor = %{version}-%{release}

%description devel
Libraries, includes etc to develop with Raptor RDF parser and
serializer library.

%prep
%setup -q

%build
%configure --enable-release --disable-static

%{__make} OPTIMIZE="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%doc LICENSE-2.0.txt NOTICE
%doc *.html
%doc %{_datadir}/gtk-doc/html/raptor/*
%{_libdir}/libraptor*.so.*
%{_bindir}/rapper
%{_mandir}/man1/rapper.1*
%{_mandir}/man3/libraptor.3*

%files devel
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%doc LICENSE-2.0.txt NOTICE
%{_bindir}/raptor-config
%{_libdir}/libraptor*.so
%{_libdir}/pkgconfig/raptor.pc
%{_includedir}/*
%{_mandir}/man1/raptor-config.1*

%changelog
* Mon Sep 20 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.21-2
- rebuilt with rpm-4.8.1

* Sun Feb  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.21-1
- new upstream release
- built with new toolchain

* Thu Aug 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.19-1
- new upstream release

* Sat Apr 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.18-2
- rebuild with openldap-2.4.11
- add BR: openldap-devel

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.18-1
- new upstream release

* Sat Mar 29 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.16-1
- fix release
- drop .a

* Thu Feb 21 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.16-0vl2
- drop .la

* Fri Oct 11 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.16-0vl1
- new upstream release
- add BuildPrereq: expat-devel

* Fri May 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.15-0vl1
- initial release for VineSeed

* Fri Jan 5 2007  Dave Beckett <dave@dajobe.org>
- Document Turtle and DOT serializers

* Wed Feb 15 2006  Dave Beckett <dave@dajobe.org>
- Add libxslt and libxslt-devel for GRDDL

* Wed Dec 20 2005  Dave Beckett <dave@dajobe.org>
- Update description of parsers and serializers.

* Wed Nov 9 2005  Dave Beckett <dave@dajobe.org>
- Add gtk-doc documentation

* Wed Aug 11 2005  Dave Beckett <dave.beckett@bristol.ac.uk>
- Update Source:
- Use %makeinstall

* Wed Aug 10 2005  Dave Beckett <dave.beckett@bristol.ac.uk>
- Use %configure and %{_make}

* Thu Sep 9 2004 Dave Beckett <Dave.Beckett@bristol.ac.uk>
- License now LGPL/Apache 2
- Added LICENSE-2.0.txt and NOTICE

* Tue May 11 2004 Dave Beckett <Dave.Beckett@bristol.ac.uk>
- Added RELEASE.html

* Thu Apr 17 2003 Dave Beckett <Dave.Beckett@bristol.ac.uk>
- Added pkgconfig raptor.pc, raptor-config
- Requires curl

* Mon Jan 13 2003 Dave Beckett <Dave.Beckett@bristol.ac.uk>
- rdfdump now rapper

* Fri Dec 20 2002 Dave Beckett <Dave.Beckett@bristol.ac.uk>
- Updated to have two RPMs for raptor and raptor-devel.  Depend on
  libxml2 as XML parser.
