Name:      rasqal
Summary:   Rasqal RDF Query Library
Version:   0.9.20
Release:   1%{?_dist_release}

Group:     System Environment/Libraries
License:   LGPL/Apache 2.0
URL:       http://librdf.org/rasqal/

Source:    http://download.librdf.org/source/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: raptor-devel >= 1.4.18
BuildRequires: pcre-devel
BuildRequires: libxml2-devel
BuildRequires: mpfr-devel
Requires: raptor >= 1.4.18

%description
Rasqal is a library providing full support for querying Resource
Description Framework (RDF) including parsing query syntaxes, constructing
the queries, executing them and returning result formats.  It currently
handles the RDF Data Query Language (RDQL) and SPARQL Query language.

%package devel
Summary: Libraries, includes etc to develop with the Rasqal RDF query library
Group: Development/Libraries
Requires: rasqal = %{version}-%{release}
Requires: raptor-devel >= 1.4.18

%description devel
Libraries, includes etc to develop with the Rasqal RDF query language library.

%prep
%setup -q

%build
%configure --enable-release --with-raptor=system --disable-static

%{__make} OPTIMIZE="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%doc *.html
%{_libdir}/librasqal*.so.*
%{_bindir}/roqet
%{_mandir}/man1/roqet.1*
%{_mandir}/man3/librasqal.3*

%files devel
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%doc LICENSE-2.0.txt NOTICE
%doc docs/README.html
%doc %{_datadir}/gtk-doc/html
%{_bindir}/rasqal-config
%{_libdir}/librasqal*.so
%{_libdir}/pkgconfig/rasqal.pc
%{_includedir}/*
%{_mandir}/man1/rasqal-config.1*


%changelog
* Mon Sep 20 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.20-1
- new upstream release
- rebuilt with rpm-4.8.1

* Sun Mar 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.19-1
- new upstream release

* Sun Feb  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.17-1
- new upstream release
- built with new toolchain

* Wed Aug 26 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.16-1
- new upstream release

* Sat Mar 29 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.15-1
- fix release
- drop .a

* Thu Feb 21 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.15-0vl2
- drop .la

* Wed Dec 12 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.15-0vl1
- new upstream release

* Fri May 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.14-0vl1
- initial release for VineSeed

* Wed Aug 11 2005  Dave Beckett <dave.beckett@bristol.ac.uk>
- Update Source:
- Use %%makeinstall

* Wed Aug 10 2005  Dave Beckett <dave.beckett@bristol.ac.uk>
- Use %%configure.

* Fri Jul 28 2005  Dave Beckett <dave.beckett@bristol.ac.uk>
- Updated for gtk-doc locations

* Fri Oct 22 2004 <Dave.Beckett@bristol.ac.uk>
- License now LGPL/Apache 2
- Added LICENSE-2.0.txt and NOTICE

* Wed May 5 2004 <Dave.Beckett@bristol.ac.uk>
- Ship roqet and roqet.1

* Sat May 1 2004 <Dave.Beckett@bristol.ac.uk>
- Requires raptor 1.3.0

* Mon Feb 24 2004 <Dave.Beckett@bristol.ac.uk>
- Requires raptor

* Mon Aug 11 2003 <Dave.Beckett@bristol.ac.uk>
- Initial packaging
