Summary: Tool for getting the date/time from a remote machine.
Summary(ja): リモートマシンから日付/時刻を取得するツール
Name: rdate
Version: 1.4
Release: 2%{?_dist_release}
License: GPL
Group: Applications/System
Source: ftp://people.redhat.com/sopwith/rdate-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
The rdate utility retrieves the date and time from another machine on
your network, using the protocol described in RFC 868.  If you run
rdate as root, it will set local time of your machine to the time of
the machine that you queried.

%description -l ja
rdate はネットワーク上の他マシンから RFC 868 のプロトコルを使って
日付と時刻を取得するユーティリティです．
root 権限で rdate を実行すると，取得した時刻情報を元に実行マシンの
時刻を設定します．

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/rdate
%{_mandir}/man1/rdate.1*


%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.4-2vl5
- applied new versioning policy, spec in utf-8

* Sun Oct  3 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4-2vl1
- based on 1.4-2 from Fedora
  * Mon Mar 22 2004 Elliot Lee <sopwith@redhat.com> 1.4-1
  - Timeout (-t) patch from Johan Nilsson <joh-nils@dsv.su.se>

* Sun Jul 20 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3-3vl1
- based on 1.3-3 from Rawhide
- s/Copyright/License/

* Wed Jan 10 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.0-7vl1
- based on 1.0-7 from Rawhide
- added Japanese summary and description

* Thu Dec  7 2000 Crutcher Dunnavant <crutcher@redhat.com>
- rebuild for new tree

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Wed Aug 09 2000 Philipp Knirsch <pknirsch@redhat.com>
- Bugfix for missing /etc/services entry for time protocol (#15797)

* Mon Jul 31 2000 Crutcher Dunnavant <crutcher@redhat.com>
- tracked successful rdate attempts, so that failure returns 1

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Fri Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Rewrite the stinking thing due to license worries (bug #8619)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- fixed the url to the source

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
