%define date 20090501

Summary: The basic required files for the root user's directory.
Summary(ja): rootユーザのためのデフォルトファイル
Name: rootfiles
Version: 8.0
Release: 1%{?_dist_release}
License: Public Domain
Group: System Environment/Base
Source: rootfiles-vine-%{date}.tar.bz2
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
The rootfiles package contains basic required files that are placed
in the root user's account.  These files are basically the same
as the files found in the etcskel package, which are placed in regular
users' home directories.

%description -l ja
rootfiles パッケージは root ユーザアカウントに必要とされる基本的な
ファイルを含んでいます。これらのファイルは etcskel に含まれる通常の
ユーザ用のファイルと基本的に同じです。

%prep
%setup -q -n rootfiles-vine-%{date}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# we used to put .Xclients in this package -- back it up if it's been
# customized
cd /root
if [ -f .Xclients -a -x /bin/awk ]; then
    m=`md5sum .Xclients | awk '{ print $1 }'`
    if [ $m != "506b9496f2853fc9fee6c6b1c5f3ee48" ]; then
	mv .Xclients .Xclients.rpmsave
    fi
fi

%files
%defattr(640,root,root)
%attr(750,root,root) %dir /root/.xemacs
%attr(700,root,root) %dir /root/.gnupg
%config /root/.[A-z]*

%changelog
* Fri May 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.0-1
- synced with etcskel-4.0.0

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 7.8-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jan 28 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 7.8-0vl2
- fix typo in spec <BTS:VineLinux:425>
- add japanese description

* Thu Nov 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.8-0vl1
- remove .rpmmacros

* Thu Oct 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.7-0vl1
- synced with etcskel-3.4.0
- add .rpmmacros
- use License: tag

* Wed Aug 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 7.6-0vl1
- add .gnupg directory for first run of apt-get update
- synced with etcskel-3.0-0vl3

* Wed Jul 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 7.5-0vl1
- synced with etcskel-3.0-0vl2

* Tue Jun 29 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-0vl1
- synced with etcskel-2.9-0vl3

* Mon Jun 21 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-0vl1
- synced with etcskel-2.9-0vl2

* Tue Nov 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2-0vl1
- synced with etcskel-2.6-1vl1

* Sat Apr 21 2001 <sagami@vinelinux.org>
- 6.2-0vl1 from 5.2-5vl4: what comes from 5.2?? /etc/redhat-release !?
- imported some files from etcskel-2.3-1vl12 (Xdefaults, emacs.el ,canna...)

* Tue Jan 23 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- fixed "eng" alias (LC_ALL)
- defattr 640
- added Makefile to be lazy...

* Wed Mar 15 2000 Jun Nishii <jun@vinelinux.org>
- update .Xdefaults and inport .canna

* Sun Mar  5 2000 Jun Nishii <jun@vinelinux.org>
- inport dot-files from etcskel

* Thu Oct 21 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 5.2-5vl1
- add .emacs, .emacs.el, .xemacs.el and .canna onto 5.2-5

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- add %clean (#719)

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Wed Oct  9 1998 Bill Nottingham <notting@redhat.com>
- remove /root from %files (it's in filesystem)

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- portability fix for .cshrc (problem #235)
- change version to be same as release.

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Removed .Xclients and .Xsession from package, added %pre to back up old
  .Xclients if necessary.
