%define appsdir  %{_datadir}/rox-filer

Summary:        rox desk
Name:           rox-desk
Version:        0.9.9
Release:        1%{?_dist_release}
Source0:        %{name}-%{version}.tar.bz2
Source10:       %{name}-docs-0.5.5.tar.bz2
License:        GPL
Group:          User Interface/Desktops
URL:            http://add10.hp.infoseek.co.jp/rox/
Vendor:         Project Vine
Distribution:   Vine Linux
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildArch:      noarch
Requires:       rox-filer glib2 gtk2 glib2-devel gtk2-devel
Requires:       build-essential
#Requires:      gcc make tar coreutils libtool automake autoconf
Packager:       OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp>

%description
ROX Desk is tool of Desktop construction supporting.

%description -l ja
ROX Desk は ROX のデスクトップ構築を支援するツールです。

%prep
%setup -q -a 10

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{appsdir}
cp -a %{_builddir}/%{name}-%{version}/* %{buildroot}%{appsdir}/
# rox-desk command
%__mkdir -p %{buildroot}/%{_bindir}
cat<<EOF > %{buildroot}/%{_bindir}/%{name}
#!/bin/sh
exec %{appsdir}/ROX-Desk/AppRun
EOF
chmod 755 %{buildroot}/%{_bindir}/%{name}

%post
local_lang=`echo $LANG | grep ja_JP`
if ! [ -z "$local_lang" ]; then
    l_lang=`echo $LANG | grep ja_JP | cut -d '.' -f 2`
    case $l_lang in
        UTF-8)
            nkfopt="-w"
            ;;
        eucJP)
            nkfopt="-e"
            ;;
    esac
fi

cat << EOF | nkf $nkfopt

rox-desk がインストールされました。

$ rox-desk を実行、又は、/usr/share/rox-filer/ROX-Desk をクリックすると、
ユーザーごとのホームディレクトリ($HME/Apps 以下に)、RoxDesk という名前の
アイコン(AppDir)がインストールされ、ターミナル・ウィンドウが開き、RoxDesk
のコンパイルが始まります。
コンパイルが終了すると RoxDesk が起動します。

以降、$ rox-desk を実行、又は、$HME/Apps/RoxDesk をクリックすると、
RoxDesk が起動します。

使い方の詳細は、RoxDesk のヘルプをご覧下さい。
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{appsdir}/*
%{_bindir}/*

%changelog
* Sat Sep 12 2009 KATO Masashi <mkato@par.odn.ne.jp> 0.9.9-1
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- source update
- changed system directory to /usr/share/rox-filer

* Thu Jul 17 2008 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 0.9.8.1-2
- bug fix: ROX-Desk/AppRun
  - typo: makedir - mkdir
- rewrited "sample_gen" script(simplified)
- rewrited document html
  - (fix link error & retouch html )

* Sun Jul 13 2008 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 0.9.8.1-1
- initial package

