%define rarchdir %(ruby -r rbconfig -e 'print Config::CONFIG["archdir"]')
%define src_name rubyeb

Summary: Ruby extention library to use EB
Summary(ja): Ruby から EB を使うための拡張ライブラリ
Name: ruby-eb
Version: 2.6
Release: 2%{?_dist_release}
License: GPL
Group: Development/Libraries
Source: http://rubyeb.sourceforge.net/%{src_name}-%{version}.tar.gz
URL: http://rubyeb.sourceforge.net/index-ja.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: eb-devel >= 3.3
BuildRequires: ruby
BuildRequires: ruby-devel
Requires: ruby

%description
Ruby extention library to use EB for accessing CD-ROM books(EPWING/EB etc...)

%description -l ja
Ruby から EB を使うための拡張ライブラリです。

%prep
%setup -q -n %{src_name}-%{version}

%build
ruby extconf.rb
CFLAGS=${RPM_OPT_FLAGS} make

%install
rm -rf ${RPM_BUILD_ROOT}
#make DESTDIR=${RPM_BUILD_ROOT} install
make RUBYARCHDIR=${RPM_BUILD_ROOT}%{rarchdir} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{rarchdir}/eb.so
%doc COPYING ChangeLog eb.html hook2.rb test.rb

%changelog 
* Wed Jul 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6-2
- rebuilt with eb-4.4.1

* Sat Nov 15 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6-1vl5
- applied new versioning policy
- spec in UTF-8

* Sat Jan 12 2008 Shu KONNO <owa@bg.wakwak.com> 2.6-0vl2
- rebuilt with eb-4.3

* Fri Jul 28 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6-0vl1
- new upstream release
- build with ruby-1.8.4
- changed Group to Development/Languages

* Wed Oct 08 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 2.3-0vl1
- new upstream release
- build with ruby-1.8.0
- change 'DESTDIR' to 'RUBYARCHDIR' for directing install directory

* Mon Mar 24 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 2.2-0vl1
- version up to 2.2

* Sat Jul 13 2002 UECHI Yasumasa <uh@u.dhis.portside.net>
- 1.7-0vl1
- build with eb-devel-3.2.2-3vl2

* Thu Nov 15 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 1.6-0vl3
- build with eb-devel-3.1-3vl1

* Fri Jul 27 2001 UECHI Yasumasa <uh@u.dhis.portside.net>
- 1.6-0vl2
- add ruby and ruby-devl>=1.6.4-0vl3 to BuildPreReq
- use Config::CONFIG["archdir"] for eb.so path in files section

* Sat Jun 23 2001 Uechi Yasumasa <uh@u.dhis.portside.net>
- 1.5-0vl2
- Require: eb-devel --> BuildPreReq: eb-devel

* Fri Jun 22 2001 Uechi Yasumasa <uh@u.dhis.portside.net>
- 1.5-0vl1
- version up to 1.5
- patch for EB 3.0

* Fri Sep 29 2000 dellin <dellin_geo@geocities.co.jp>
- Re-make for 1.6.x.

* Mon Jun 26 2000 dellin <dellin_geo@geocities.co.jp>
- 1st release.
