%define pkg_version 2.3.8
%define pkg_release 1%{?_dist_release}

Summary: A terminal emulator based on libvte.
Summary(ja): libvteベースの端末エミュレータ
Name: sakura
Version: %{pkg_version}
Release: %{pkg_release}
Source0: http://pleyades.net/david/projects/sakura/%{name}-%{version}.tar.bz2
Patch0: sakura-2.3.7-pod2man.patch
License: GPLv2
Group: User Interface/X
URL: http://pleyades.net/david/sakura.php

Requires: glib2 >= 2.14.0
Requires: gtk2 >= 2.10.0
Requires: vte >= 0.16.15
BuildRequires: glib2-devel >= 2.14.0
BuildRequires: gtk2-devel >= 2.10.0
BuildRequires: vte-devel >= 0.16.15
BuildRequires: cmake
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Sakura is a terminal emulator based on GTK+ and VTE. It's a terminal emulator with few dependencies, so you don't need a full GNOME desktop installed to have a decent terminal emulator.

%description -l ja
Sakura は GTK+ 及び VTEベースの端末エミュレータです。依存性がわずかな端末エミュレータなので、きちんとした端末エミュレータを持つために完全なGNOMEデスクトップをインストールする必要はありません。

%prep
%setup -q
%patch0 -p1 -b .pod2man

%build
%cmake CMAKE_C_FLAGS=%{optflags} .
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS GPL
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/doc/*
%{_mandir}/man1/*


%changelog
* Sat Apr 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.8-1
- new upstream release

* Sat Mar 13 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.7-1
- new upstream release
- change Patch0 for sakura-2.3.7

* Sun Jan 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.6-1
- initial build for Vine Linux

