%{!?python_siteinc: %define python_siteinc %(%{__python} -c "from distutils.sysconfig import get_python_inc; print get_python_inc()")}

Summary:	Scientific application for data analysis and technical graphics
Summary(ja):	科学データ分析・視覚化に優れたアプリケーション
Name:		scigraphica
Version:	2.1.0
Release:	2%{?_dist_release}
License:	GPLv2+
Group:		Applications/Productivity
Url:		http://scigraphica.sourceforge.net
Source:		http://dl.sourceforge.net/scigraphica/%{name}-%{version}.tar.gz
Patch0:		scigraphica-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libxml2-devel imlib-devel
BuildRequires:	python-devel python-numeric
BuildRequires:	libscigraphica-devel
BuildRequires:	gettext perl(XML::Parser)
BuildRequires:	desktop-file-utils
Requires:	python-numarray

%description
SciGraphica is a free (GPL) scientific application for data analysis and
technical graphics. It pretends to be a clone of the popular commercial
(and expensive) application "Microcal Origin". It fully supplies plotting
features for 2D, 3D and polar charts 


%prep
%setup -q
%patch0 -p0 -b .desktop


%build
%configure --disable-static --with-python-numeric-path=%{python_siteinc}/Numeric
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="%{__install} -c -p" install

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

#Removing this pixmaps here as it is also packaged in libscigraphica 
rm -rf %{buildroot}%{_datadir}/pixmaps/sg_icon.xpm

desktop-file-install --delete-original			\
	--vendor fedora					\
	--dir=%{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/gnome/apps/Applications/sg.desktop
        

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO
%{_bindir}/%{name}
%{_libdir}/%{name}/%{version}/plugins/project/
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/pixmaps/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.gz


%changelog
* Mon Apr 19 2010 Shu KONNO <owa@bg.wakwak.com> 2.1.0-2
- rebuilt with python-2.6

* Fri Oct 10 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.1.0-1
- updated to 2.1.0 release
- previous Vine package was pretty old (version 0.8.0)

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 2.1.0-6
- Rebuild for gcc43

* Wed Aug 22 2007 Deji Akingunola <dakingun@gmail.com> - 2.1.0-5
- Update License tag and rebuild

* Mon Jan 01 2007 Deji Akingunola <dakingun@gmail.com> - 2.1.0-4
- Specify python-numeric path to avoid collisions with python-numarray

* Sun Dec 31 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.0-3
- Fix the BRs and remove the unnecessary post and postun sections

* Sun Dec 31 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.0-2
- Don't allow scigraphica to own $(libdir)/scigraphical, it is already
 owned by libscigraphica

* Sat Dec 09 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.0-1
- Initial build for Fedora Extras
