# Basic Information
Name:		seahorse-plugins
Version:	2.30.1
Release:	1%{?_dist_release}
License:	GPL-2
Group:		Applications/Accessories
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	plugins and utilities for encryption in GNOME
Summary(ja):	GNOMEにおける暗号化のためのプラグインとユーティリティ

# Dependency
Requires:	GConf2
Requires:	glib2
Requires:	gtk2 >= 2.18.0
Requires:	gnupg
Requires:	gpgme
Requires:	nautilus
Requires:	libgnome-keyring
Requires:	dbus-glib
#Requires:	epiphany
Requires:	gedit
Requires:	libbonoboui
Requires:	gnome-panel
Requires:	libnotify
Requires:	evolution-data-server

BuildRequires:	gnome-doc-utils
BuildRequires:	pkgconfig
BuildRequires:	GConf2-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel >= 2.18.0
BuildRequires:	gnupg
BuildRequires:	gpgme-devel
BuildRequires:	nautilus-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	seahorse-devel
BuildRequires:	epiphany
BuildRequires:	gedit-devel
BuildRequires:	libbonoboui-devel
BuildRequires:	gnome-panel
BuildRequires:	libnotify-devel
BuildRequires:	evolution-data-server

%description
Seahorse is integrated into the GNOME Desktop Environment and allows users to 
perform operations from their regular applications, like nautilus or gedit.

%description -l ja
SeahorseがGNOMEデスクトップ環境に統合され、NautilusやgEditといったユーザが
よく使うアプリケーションから操作を実行することができます。


%prep
%setup -q

%build
%configure --disable-update-mime-database --disable-epiphany
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
%{_bindir}/scrollkeeper-update -q ||:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas > /dev/null ||:
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas > /dev/null ||:
update-mime-database %{_datadir}/mime/

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas > /dev/null ||:
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas > /dev/null ||:
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas > /dev/null ||:
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas > /dev/null ||:
fi

%postun
/sbin/ldconfig
%{_bindir}/scrollkeeper-update -q ||:
update-mime-database %{_datadir}/mime/


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas
%{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas
%{_bindir}/seahorse-agent
%{_bindir}/seahorse-preferences
%{_bindir}/seahorse-tool
%{_libdir}/bonobo/servers/GNOME_SeahorseApplet.server
#%%{_libdir}/gedit-2/plugins/libseahorse-pgp.a
#%%{_libdir}/gedit-2/plugins/libseahorse-pgp.la
%{_libdir}/gedit-2/plugins/libseahorse-pgp.so
%{_libdir}/gedit-2/plugins/seahorse-pgp.gedit-plugin
#%%{_libdir}/nautilus/extensions-2.0/libnautilus-seahorse.a
#%%{_libdir}/nautilus/extensions-2.0/libnautilus-seahorse.la
%{_libdir}/nautilus/extensions-2.0/libnautilus-seahorse.so
%{_libdir}/seahorse/seahorse-applet
%{_datadir}/applications/seahorse-pgp-encrypted.desktop
%{_datadir}/applications/seahorse-pgp-keys.desktop
%{_datadir}/applications/seahorse-pgp-preferences.desktop
%{_datadir}/applications/seahorse-pgp-signature.desktop
%{_datadir}/gnome-2.0/ui/GNOME_SeahorseApplet.xml
%{_datadir}/gnome/help/seahorse-applet/C/legal.xml
%{_datadir}/gnome/help/seahorse-applet/C/seahorse-applet.xml
%{_datadir}/gnome/help/seahorse-applet/es/seahorse-applet.xml
%{_datadir}/gnome/help/seahorse-applet/fr/seahorse-applet.xml
%{_datadir}/gnome/help/seahorse-applet/it/seahorse-applet.xml
%{_datadir}/gnome/help/seahorse-applet/oc/seahorse-applet.xml
%{_datadir}/gnome/help/seahorse-applet/ru/seahorse-applet.xml
%{_datadir}/gnome/help/seahorse-applet/sv/seahorse-applet.xml
%{_datadir}/gnome/help/seahorse-applet/vi/seahorse-applet.xml
%{_datadir}/gnome/help/seahorse-plugins/C/legal.xml
%{_datadir}/gnome/help/seahorse-plugins/C/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/ca/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/cs/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/de/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/el/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/en_GB/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/es/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/fr/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/it/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/oc/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/ru/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/sv/seahorse-plugins.xml
%{_datadir}/gnome/help/seahorse-plugins/vi/seahorse-plugins.xml
%{_datadir}/icons/hicolor/48x48/apps/seahorse-applet.png
%{_datadir}/icons/hicolor/scalable/apps/seahorse-applet.svg
%{_datadir}/man/man1/seahorse-agent.1.gz
%{_datadir}/man/man1/seahorse-tool.1.gz
%{_datadir}/mime/packages/seahorse.xml
%{_datadir}/omf/seahorse-applet/seahorse-applet-C.omf
%{_datadir}/omf/seahorse-applet/seahorse-applet-es.omf
%{_datadir}/omf/seahorse-applet/seahorse-applet-fr.omf
%{_datadir}/omf/seahorse-applet/seahorse-applet-it.omf
%{_datadir}/omf/seahorse-applet/seahorse-applet-oc.omf
%{_datadir}/omf/seahorse-applet/seahorse-applet-ru.omf
%{_datadir}/omf/seahorse-applet/seahorse-applet-sv.omf
%{_datadir}/omf/seahorse-applet/seahorse-applet-vi.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-C.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-ca.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-cs.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-de.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-el.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-en_GB.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-es.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-fr.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-it.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-oc.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-ru.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-sv.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-vi.omf
%{_datadir}/pixmaps/seahorse-applet.svg
%{_datadir}/pixmaps/seahorse-plugins/22x22/seahorse-applet-encrypted.png
%{_datadir}/pixmaps/seahorse-plugins/22x22/seahorse-applet-key.png
%{_datadir}/pixmaps/seahorse-plugins/22x22/seahorse-applet-signed.png
%{_datadir}/pixmaps/seahorse-plugins/22x22/seahorse-applet-text.png
%{_datadir}/pixmaps/seahorse-plugins/22x22/seahorse-applet-unknown.png
%{_datadir}/pixmaps/seahorse-plugins/22x22/seahorse-key-personal.png
%{_datadir}/pixmaps/seahorse-plugins/22x22/seahorse-key.png
%{_datadir}/pixmaps/seahorse-plugins/22x22/seahorse-sign-bad.png
%{_datadir}/pixmaps/seahorse-plugins/22x22/seahorse-sign-ok.png
%{_datadir}/pixmaps/seahorse-plugins/22x22/seahorse-sign.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-applet-encrypted.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-applet-key.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-applet-signed.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-applet-text.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-applet-unknown.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-applet.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-key-personal.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-key.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-sign-bad.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-sign-ok.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-sign-unknown.png
%{_datadir}/pixmaps/seahorse-plugins/48x48/seahorse-sign.png
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-applet-encrypted.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-applet-key.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-applet-signed.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-applet-text.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-applet-unknown.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-applet.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-key-personal.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-key-ssh.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-key.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-person.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-share-keys.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-sign-bad.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-sign-ok.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-sign-unknown.svg
%{_datadir}/pixmaps/seahorse-plugins/scalable/seahorse-sign.svg
%{_datadir}/seahorse-plugins/ui/seahorse-agent-cache.xml
%{_datadir}/seahorse-plugins/ui/seahorse-applet-preferences.xml
%{_datadir}/seahorse-plugins/ui/seahorse-multi-encrypt.xml
%{_datadir}/seahorse-plugins/ui/seahorse-notify.xml
%{_datadir}/seahorse-plugins/ui/seahorse-prefs.xml
%{_datadir}/seahorse-plugins/ui/seahorse-progress.xml

%changelog
* Thu Jun 17 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.30.1-1
- initial build for Vine Linux

