Summary:	A GNOME2 frontend for GnuPG
Summary(ja):	GnuPG の GNOME2 フロントエンド
Name:		seahorse
Version:	2.32.0
Release:	1%{?_dist_release}
License:	GPL
Group:		User Interface/Desktops
URL:		http://seahorse.sourceforge.net/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/seahorse/2.32/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libgnome-devel >= 2.32.0
BuildRequires:	libgnomeui-devel
BuildRequires:	GConf2-devel
BuildRequires:	gtk2-devel >= 2.22.0
BuildRequires:	gnupg >= 1.2.4
BuildRequires:  gpgme-devel >= 1.0.0
BuildRequires:	openldap-devel
BuildRequires:  libsoup-devel >= 2.32.0
BuildRequires:	nautilus >= 2.32.0
BuildRequires:	libgnome-keyring-devel >= 2.32.0
BuildRequires:  avahi-glib-devel >= 0.6
BuildRequires:  dbus-glib-devel >= 0.88
BuildRequires:	libnotify-devel
BuildRequires:	openssh
BuildRequires:	openssh-clients
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libSM-devel
BuildRequires:	docbook-dtds
BuildRequires:	gobject-introspection-devel
Requires(post):   GConf2, scrollkeeper
Requires(pre):    GConf2
Requires(preun):  GConf2
Requires(postun): scrollkeeper

Obsoletes:	gnome-keyring-manager < 2.21
Provides:	gnome-keyring-manager < 2.21

# for Source1
BuildRequires:	autoconf

Vendor:		Project Vine
Distribution:	Vine Linux

%description
Seahorse is a GNOME2 front end for th GNU Privacy Guard (GnuPG).
It is a tool for secure communications and data storage. Data encryption
and digital signature creation can easily be performed through a GUI, and
Key Management operations also can be performed.

%description -l ja
Seahorse は GNU Privacy Guard (GnuPG) の GNOME2 フロントエンドです。
安全なコミュニケーションとデータ保管のためのツールです。データの暗号化や復号、
デジタル署名の作成・検証を GUI で容易に行うことができます。また、鍵の管理も行
うことができます。

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
# Remove next line when upstream adopt Source2
autoreconf
%configure \
    --disable-schemas-install \
    --disable-update-mime-database \
    --disable-static \
    --enable-introspection=yes
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig
%{_bindir}/scrollkeeper-update -q ||:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/seahorse.schemas > /dev/null ||:

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/seahorse.schemas > /dev/null ||:
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/seahorse.schemas > /dev/null ||:
fi

%postun
/sbin/ldconfig
%{_bindir}/scrollkeeper-update -q ||:

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
## %{_sysconfdir}/xdg/autostart/*.desktop
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/seahorse
%{_bindir}/seahorse-daemon
%{_libdir}/lib*.so.*
%{_libdir}/seahorse
%{_libdir}/girepository-1.0
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/*
%{_datadir}/gnome/help/*
%{_datadir}/omf/*
%{_datadir}/icons/*
%{_datadir}/seahorse
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/libcryptui
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/libcryptui
%{_datadir}/gtk-doc/html/libseahorse
%{_datadir}/gir-1.0

%changelog
* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- add BuildRequires: gobejct-introspection-devel
- remove BuildRequires: libglade2-devel
- remove SOURCE1 and SOURCE2
- add Obsoletes: gnome-keyring-manager < 2.21
- add Provides: gnome-keyring-manager < 2.21
- add configure option (--enable-introspection=yes)

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-5
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Aug 15 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.30.1-5
- update Source2
- fix URI of Source0

* Tue Aug 03 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.30.1-4
- update Source2

* Wed Jun 16 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.30.1-3
- add Source1-2 for japanese help.
- add autoconf to BR for japanese help.

* Sat Jun 12 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-2
- add BuildRequires: openssh-clients

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Thu Apr 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Mon Mar 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-1
- new upstream release
- add BuildRequires: gnome-doc-utils >= 0.3.2, libSM-devel, docbook-dtds

* Thu Apr  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.26.0-1
- new upstream release
- built with openldap-2.4.11
- spec in UTF-8
- made devel subpackage

* Sun Apr 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Tue Oct 24 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.2-0vl2
- rebuild with gnutls-1.4.1

* Sat Sep 30 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.2-0vl1
- new upstream release
- enable LDAP support
- add --disable-update-mime-database option to %%configure
- update Makefile.patch (patch0)
- update dependencies

* Tue Feb 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8-0vl1
- new upstream release
- drop obsolete gedit.patch (patch1)
- remove unneeded files

* Sun Sep 25 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.7.9-0vl1
- new upstream release
- dropped SOURCE1 (merged into source)
- added Patch1 for building with gedit 2.12
- rebuild with libsoup 2.2.6.1

* Fri May 13 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.7.8-0vl2
- add BuildRequires: libsoup >= 2.2 for HKP keyserver support

* Thu May 12 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.7.8-0vl1
- upstream release
- update ja.po, Makefile.patch
- update files list

* Sun Mar 06 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.7.6-0vl1
- initial build for Vine Linux
- update ja.po

* Wed Oct 26 2004 Nate Nielsen <nielsen@memberwebs.com>
- Remove *.a and *.la from RPM_BUILD_ROOT
- Remove updated mime database from RPM_BUILD_ROOT

* Wed Oct 13 2004 Nate Nielsen <nielsen@memberwebs.com>
- Added new mime info 

* Tue Oct 12 2004 Nate Nielsen <nielsen@memberwebs.com>
- Added the gedit plugin to the default manifest

* Fri May 02 2003 Yanko Kaneti <yaneti@declera.com>
- Add some new files to the manifest

* Wed Jan 15 2002 Jean Schurger <yshark@schurger.org>
- Scrollkeeper stuff
- locales install by %find_lang
- secure use of rm -rf

* Tue Jan 14 2002 Yanko Kaneti <yaneti@declera.com>
- First spec
