%define pkg_version 2.31.91
%define pkg_release 1%{?_dist_release}

Summary:	GObject JavaScriptCore bridge
Name:		seed
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/gnome/sources/seed/2.31/%{name}-%{version}.tar.bz2
License:	LGPL
Group:		System Environment/Libraries 
URL:		http://live.gnome.org/Seed/ 

Requires:	gobject-introspection 
BuildRequires:	gobject-introspection-devel
BuildRequires:	WebKit-gtk-devel
BuildRequires:	readline-devel
BuildRequires:	libffi-devel
BuildRequires:	gnome-js-common
BuildRequires:	sqlite3-devel
BuildRequires:	clutter-devel
BuildRequires:	clutter-gtk-devel
BuildRequires:	cairo-devel
BuildRequires:	gtk-doc
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	mpfr-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Seed is a library and interpreter, dynamically bridging (through GObjectIntrospection) 
the WebKit JavaScriptCore engine, with the GNOME platform. Seed serves as something
which enables you to write standalone applications in JavaScript, or easily enable your
application to be extensible in JavaScript. 

%package devel
Summary:	Development files for seed
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	WebKit-gtk-devel
Requires:	gobject-introspection-devel
Requires:	pkgconfig

%description devel
The devel-package contains header files to develop applications that use libseed.


%prep
%setup -q


%build
%configure --disable-static --with-webkit=1.0
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

## remove *.la
%{__rm} -f ${RPM_BUILD_ROOT}/%{_libdir}/*.la
%{__rm} -f ${RPM_BUILD_ROOT}/%{_libdir}/seed/*.la

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/seed
%{_libdir}/libseed.so.*
%{_libdir}/seed/*.so
%{_datadir}/doc/seed
%{_mandir}/man1/*
%{_datadir}/seed

%files devel
%defattr(-,root,root)
%{_includedir}/seed
%{_libdir}/libseed.so
%{_libdir}/pkgconfig/seed.pc
%{_datadir}/gtk-doc/html/seed


%changelog
* Thu Oct 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.31.91-1
- new upstream release
- remove BuildRequires: gir-repository-devel
- add configure option (--with-webkit=1.0)
- fix %files

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- initial build for Vine Linux

