%define _noVersionedDependencies        1
%define prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'PreReq:%%{NAME} >= %%{VERSION}' %1| grep -v "is not")
%define       origver       1.14.6
%define       origname      semi

Summary:      library to provide MIME feature for Emacsen
Summary(ja):  Emacsen 用の MIME の機能を提供するライブラリ
Name:         %{origname}
Version:      %{origver}
Release:      1%{?_dist_release}

Source0:      ftp://ftp.m17n.org/pub/mule/%{origname}/%{origname}-%{origver}.tar.gz
Source1:       %{origname}-install.sh
Source2:       %{origname}-remove.sh
Source3:       %{origname}-init.el
Patch10:       SEMI-CFG.emacs.patch
Patch20:       semi-info.patch
Patch21:       semi-1.14.3-makeinfo.patch

License:      1993-1999 Free Software Foundation, Inc., Dan Rich, Morioka Tomohiko, Kobayashi Shuhei
Group:        Applications/Editors/Emacs
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
BuildArch:    noarch

PreReq:       emacsen
BuildPreReq:  emacsen-common, flim
%prereq_ge    emacsen-common
%prereq_ge    flim
Obsoletes:    %{origname}-el
Obsoletes:    tm, wemi-xemacs

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>


%description
This package contains following .el files for emacsen:

  SEMI       %{origver}

SEMI is a library to provide MIME feature for GNU Emacs.
SEMI has such features as MIME message viewing and composing.

Note: in order to rebuild this SRPM package, you need emacsen,
emacsen-common and flim installed.


%description -l ja
このパッケージは Emacsen 上で使用する
以下の elisp を収めています.

  SEMI       %{origver}

SEMI は GNU Emacs に MIME の機能を提供するライブラリです．
MIME メッセージを読んだり，作成したり出来るようになります．

注意：この SRPM パッケージを rebuild するには、emacsen と emacsen-common，
そして flim がインストールされている必要があります．


%prep

rm -rf ${RPM_BUILD_DIR}/%{origname}-%{origver}


%setup  -n %{origname}-%{origver}

%patch10 -p1
%patch20 -p1
%patch21 -p1


%build
make info


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
[ "${RPM_BUILD_ROOT}" != "/" ] && mkdir -p ${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/emacsen-common/packages/install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/emacsen-common/packages/remove

#
# install el files
# 

cp Makefile SEMI-* *.el %{SOURCE3} \
   ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{origname}

#
# install  script( bytecompile el and install elc , remove )   
#

%_installemacsenscript %{origname} %{SOURCE1} 

%_removeemacsenscript  %{origname} %{SOURCE2}

#
# install info file
# 

mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
install -m 644 *.info ${RPM_BUILD_ROOT}%{_infodir}


%post 
#
# bytecompile and install 
#

if [ "$1" = 2 ]; then

%_emacsenPackageRemove %{origname}

fi


%_addemacsenlist %{origname}

%_emacsenPackageInstall %{origname}


/sbin/install-info %{_infodir}/mime-ui-ja.info.gz %{_infodir}/dir \
	--section="MIME Interface"
/sbin/install-info %{_infodir}/mime-ui-en.info.gz %{_infodir}/dir \
	--section="MIME Interface"


%preun

if [ "$1" = 0 ]; then

%_emacsenPackageRemove %{origname}

%_removeemacsenlist %{origname}


/sbin/install-info --delete %{_infodir}/mime-ui-ja.info %{_infodir}/dir \
	--section="MIME Interface"
/sbin/install-info --delete %{_infodir}/mime-ui-en.info %{_infodir}/dir \
	--section="MIME Interface"

fi


%triggerpostun -- semi-el

%_emacsenPackageInstall %{origname}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

rm -rf ${RPM_BUILD_DIR}/semi-%{origver}


%files
%defattr(-,root,root)
%doc ChangeLog NEWS README* TODO VERSION
%doc *.sgml *.texi
%{_infodir}/mime-ui*.info*
%{_datadir}/emacs/site-lisp/%{origname}/
%{_libdir}/emacsen-common/packages/install/%{origname}
%{_libdir}/emacsen-common/packages/remove/%{origname}
 

%changelog
* Sun Aug  3 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.6-1
- applied new versioning policy
- spec in UTF-8

* Fri Dec  7 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.14.6-0vl7
- rebuild

* Wed Jan 10 2007 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.14.6-0vl6
- rebuild

* Mon Sep 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.6-0vl5
- fixed Group name correctly... <BTS:VineLinux:163>

* Mon Sep 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.6-0vl4
- changed Group to Appliations/Editors/Emacs <BTS:VineLinux:163>
- s/Copyright/License/

* Mon Dec 13 2004 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.14.6-0vl3
- rebuild for flim-1.14.7
- add comment in semi-init.el(for use c-sig)

* Wed Dec 24 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.14.6-0vl1
- updated to new upstream release 1.14.6 (Maruoka)

* Mon Jun 09 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.14.5-0vl2
- increased release number for the new apel release

* Sat Dec 07 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.14.5-0vl1
- updated to new upstream release 1.14.5 (Awara-Onsen)

* Fri Jan 11 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.14.3-0vl9
- Obsoletes: semi-el now, instead of Conflicts:
- added %%triggerpostun -- semi-el

* Fri Dec 28 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.14.3-0vl8
- package name changed semi-el -> semi again
- added Source3 for forthcoming site-start mechanism

* Sun Dec 09 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.14.3-0vl7
- info patch merged again :)

* Fri Dec 07 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.14.3-0vl6
- modified/fixed spec file (BuildPreReq, Obsoletes and %%description)
- use better macros again :)
- info files and documentations available again :)

* Mon Jul 23 2001 Kazuhisa TAKEI <takei@vinelinux.org>
- requires: emacsen-common -> prereq 

* Wed Jul 18 2001 Kazuhisa TAKEI <takei@vinelinux.org>
- emacsenize 

* Wed Jul 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.14.3-0vl2
- back to Requires: emacs = 20.7 -> emacs >= 20.7 (for emacs-beta)

* Wed Jul 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.14.3-0vl1
- updated to apel-10.3, flim-1.14.3, semi-1.14.3, emh-1.14.1

* Fri Aug 25 2000 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-8
- added %define _noVersionedDependencies 1

* Fri Aug 25 2000 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-7
- modified %files section to handle compressed man page(s)

* Wed May 10 2000 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-6
- apel updated to 10.2

* Mon Jan 24 2000 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-5
- added patch (see emacs-mime-ja: 00303) to format texinfo correctly

* Thu Dec 24 1999 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-4
- updated in sync with apel-10.0 / clime-1.13.6 release

* Wed Dec  1 1999 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-3
- change Group to Applications/Editors/EmacsLisp

* Mon Nov 29 1999 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-2
- added patches (see emacs-mime-ja:00183, emacs-mime-ja:00184)
- now emh-1.10.1 and rmail-mime-1.13.0 are also included
- documentation files are properly stored under /usr/doc directory

* Wed Nov  3 1999 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-1
- updated to apel-9.23 / clime-1.13.5 / semi-1.13.7 release
- added Japanese / English info files to be installed
