Summary:	Common SGML catalog and DTD files.
Name:		sgml-common
Version:	0.6.3
Release:	33%{?_dist_release}
Group:		Applications/Text

License:	GPL+
URL:		http://www.iso.ch/cate/3524030.html

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libxml2 >= 2.4.8
BuildRequires:	automake14
Requires:	/bin/basename

Source0: ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tgz
#Source1: sgml-common-CHANGES
#Source2: sgml-common-automake.tar.gz
# From openjade:
Source1: xml.dcl
Source2: xml.soc
Source3: html.dcl
Source4: html.soc
Patch0: sgml-common-umask.patch
Patch1: sgml-common-xmldir.patch
Patch2: sgml-common-quotes.patch
Patch3: sgml-common-automake.patch
Patch4: sgml-common-0.6.3-docdir.patch

Vendor: Project Vine
Distribution: Vine Linux

%description
The sgml-common package contains a collection of entities and DTDs
that are useful for processing SGML, but that don't need to be
included in multiple packages.  Sgml-common also includes an
up-to-date Open Catalog file.

%package -n xml-common
Group: Applications/Text
Summary: Common XML catalog and DTD files.
License: GPL+

%description -n xml-common
The xml-common package contains a collection of entities and DTDs
that are useful for processing XML, but that don't need to be
included in multiple packages.

%prep
%setup -q
%patch0 -p1 -b .umask
%patch1 -p1 -b .xmldir
%patch2 -p1 -b .quotes

#rm install-sh missing mkinstalldirs
#tar zxf %{SOURCE2}
#%patch3 -p1 -b .automake
#%patch4 -p1 -b .docdir
#touch configure
#find -name '*.in' | xargs touch
#touch aclocal.m4

# replace bogus links with files
for file in COPYING INSTALL install-sh missing mkinstalldirs; do
   rm $file
   cp -p /usr/share/automake-1.4/$file .
done

%build
%configure

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT htmldir='%{_datadir}/doc' INSTALL='install -p'

#cp %{SOURCE1} CHANGES
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xml
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sgml/docbook
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sgml/docbook
# Touch SGML catalog
touch $RPM_BUILD_ROOT%{_sysconfdir}/sgml/catalog
# Create an empty XML catalog.
XMLCATALOG=$RPM_BUILD_ROOT%{_sysconfdir}/xml/catalog
%{_bindir}/xmlcatalog --noout --create $XMLCATALOG
# Now put the common DocBook entries in it
%{_bindir}/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//ENTITIES DocBook XML" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//DTD DocBook XML" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegatePublic" \
	"ISO 8879:1986" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegateSystem" \
	"http://www.oasis-open.org/docbook/" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegateURI" \
	"http://www.oasis-open.org/docbook/" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
# Also create the common DocBook catalog
%{_bindir}/xmlcatalog --noout --create \
	$RPM_BUILD_ROOT%{_sysconfdir}/sgml/docbook/xmlcatalog
ln -sf %{_sysconfdir}/sgml/docbook/xmlcatalog\
	$RPM_BUILD_ROOT%{_datadir}/sgml/docbook/xmlcatalog

rm -f $RPM_BUILD_ROOT%{_datadir}/sgml/xml.dcl
install -p -m0644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} \
	$RPM_BUILD_ROOT%{_datadir}/sgml
rm -rf $RPM_BUILD_ROOT%{_datadir}/xml/*

# remove installed doc file and prepare installation with %%doc
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/*.html
rm -rf __dist_doc/html/
mkdir -p __dist_doc/html/
cp -p doc/HTML/*.html __dist_doc/html/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc __dist_doc/html/ AUTHORS NEWS ChangeLog README
%dir %{_sysconfdir}/sgml
%config(noreplace) %{_sysconfdir}/sgml/sgml.conf
%ghost %verify(not md5 size mtime) %config(noreplace,missingok) %{_sysconfdir}/sgml/catalog
%dir %{_datadir}/sgml
%dir %{_datadir}/sgml/sgml-iso-entities-8879.1986
%{_datadir}/sgml/sgml-iso-entities-8879.1986/*
%{_datadir}/sgml/xml.dcl
%{_datadir}/sgml/xml.soc
%{_datadir}/sgml/html.dcl
%{_datadir}/sgml/html.soc
%{_bindir}/sgmlwhich
%{_bindir}/install-catalog
%{_mandir}/man8/install-catalog.8*

%files -n xml-common
%defattr (-,root,root)
%dir %{_sysconfdir}/xml
%dir %{_sysconfdir}/sgml/docbook
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/xml/catalog
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sgml/docbook/xmlcatalog
%dir %{_datadir}/sgml
%dir %{_datadir}/sgml/docbook
%{_datadir}/sgml/docbook/xmlcatalog
%dir %{_datadir}/xml

#post
#if [ -f %{_libdir}/sgml/CATALOG ]; then
#        rm %{_libdir}/sgml/CATALOG
#fi
#
#{_bindir}/install-catalog --add %{_sysconfdir}/sgml/sgml-iso-entities-8879.1986 %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog >/dev/null

#preun
#if [ "$1" = "0" ]; then
#	%{_bindir}/install-catalog --remove %{_sysconfdir}/sgml/sgml-iso-entities-8879.1986 %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog >/dev/null
#fi

%changelog
* Sat Mar  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.3-33
- updated based on FC 0.6.3-32 
  * Tue Jul 01 2008 Ondrej Vasik <ovasik@redhat.com> 0.6.3-25
  - mark xmlcatalog config(noreplace) to prevent overwriting
    of the content, move it to sysconfdir and make symlink for
    it to silence rpmlint
  * Mon Jun 30 2008 Ondrej Vasik <ovasik@redhat.com> 0.6.3-24
  - mark catalog files as (not md5 size mtime) for verify to
    prevent info about changed files
  * Thu Nov 15 2007 Ondrej Vasik <ovasik@redhat.com> 0.6.3-22
  - Merge Review(226415)
  - changed: License Tag, using RPM macros instead of hardcoded
    dirs, summary ended with dot, added URL, removed CHANGES
    file as obsolete, preserved timestamps and some other cosmetic
    changes
  - no longer shipping old automake tarball, fixed issue with man8_DATA,
    BuildRequire:Automake,Autoconf again(see MergeReview discussion)

* Sun Jun  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.3-22
- updated Requires: coreutils instead of sh-utils fileutils textutils
- applied new versioning policy

* Sun Jul  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.3-21vl1
- s/Copyright/License/
- rebuilt based on Fedora development package 0.6.3-21
  * Mon May 28 2007 Ondrej Vasik <ovasik@redhat.com> 0.6.3-21
  - Fixed broken URL (changed to XML entity declarations) (bug #237726) 
  * Tue May 15 2007 Tim Waugh <twaugh@redhat.com> 0.6.3-20
  - Added dist tag.
  - Fixed summary.
  - Removed build dependency on autoconf/automake.
  * Tue Oct 24 2006 Tim Waugh <twaugh@redhat.com> 0.6.3-19
  - Removed stale URL (bug #210848).

* Tue Jun  3 2003 Jun Nishii <jun@vinelinux.org> 0.6.3-14vl2
- added install-catalog process in post/preun scripts

* Sat Apr 12 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.6.3-14vl1
- sync Rawhide 0.6.3-14

* Thu Jan 31 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.6.3-8vl1
- sync Rawhide 0.6.3-8
  - added BuildRequires: libxml2 >= 2.4.8
  - Use (and handle) catalog files with quotes in install-catalog.
    (sgml-common-quotes.patch)
  - added sgml-common-xmldir.patch
  - use rpmmacros
- obsoleted sgml-common-oldsyntax.patch ( upstream merged )


* Thu Oct 11 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.5-7vl1
- Rebuild for Vine.
- Added a script to remove old catalog file.

* Wed May 23 2001 Tim Waugh <twaugh@redhat.com> 0.5-7
- Remove execute bit from data files.

* Mon May 21 2001 Tim Waugh <twaugh@redhat.com> 0.5-6
- install-catalog needs to make sure that it creates world-readable files
  (bug #41552).

* Wed Mar 14 2001 Tim Powers <timp@redhat.com> 0.5-5
- fixed license

* Wed Jan 24 2001 Tim Waugh <twaugh@redhat.com>
- Make install-catalog quieter during normal operation.

* Tue Jan 23 2001 Tim Waugh <twaugh@redhat.com>
- Require textutils, fileutils, grep (bug #24719).

* Wed Jan 17 2001 Tim Waugh <twaugh@redhat.com>
- Require sh-utils.

* Mon Jan 15 2001 Tim Waugh <twaugh@redhat.com>
- Don't play so many macro games.
- Fix typo in install-catalog patch.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- Install by hand (man/en/...).  Use %%{_mandir}.
- Use %%{_tmppath}.
- Make install-catalog fail silently if given the old syntax.
- Add CHANGES file.
- Change Copyright: to License:.
- Remove Packager: line.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.
