Name:           shotwell
Version:        0.7.2
Release:        2%{?_dist_release}
Summary:        A photo organizer for the GNOME desktop
Summary(ja):    GNOME デスクトップ向けの画像整理ソフト

Group:          Applications/Graphics
# LGPLv2+ for the code
# CC-BY-SA for some of the icons
License:        LGPLv2+ and CC-BY-SA
URL:            http://www.yorba.org/shotwell/
Source0:        http://www.yorba.org/download/shotwell/0.7/shotwell-%{version}.tar.bz2
# svn co svn://svn.yorba.org/shotwell/branches/shotwell-0.4, make dist
Patch0:         workaround_desktop.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  GConf2-devel
BuildRequires:  LibRaw-devel
BuildRequires:  WebKit-gtk-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gtk2-devel
BuildRequires:  hal-devel
BuildRequires:  libexif-devel
BuildRequires:  libgee-devel
BuildRequires:  libgphoto2-devel
BuildRequires:  libgudev1-devel
BuildRequires:  libgexiv2-devel >= 0.2.0
BuildRequires:  sqlite3-devel
BuildRequires:  unique-devel
BuildRequires:  vala-devel >= 0.9.5

%description
Shotwell is a new open source photo organizer designed for the GNOME desktop
environment. It allows you to import photos from your camera, view and edit
them, and share them with others.

%description -l ja
Shotwell は GNOME デスクトップ環境用に設計された新しいオープンソースの
画像整理ソフトです。
あなたのカメラから写真を取り込んだり、それらを表示・編集したり、
他の人々と共有するなどができます。

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=/usr --disable-schemas-install --assume-pkgs
sed -i -e 's/\\n/\n/g' configure.mk
sed -i -e 's/^CFLAGS=.*$/CFLAGS=%{optflags}/' Makefile
sed -i -e 's|LIB_DIRS=.*$|LIB_DIRS=%{_libdir}|' libraw-config
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export XDG_DISABLE_MAKEFILE_UPDATES=1
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/shotwell.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/shotwell-viewer.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/shotwell.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/shotwell.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/shotwell.schemas > /dev/null || :
fi

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING MAINTAINERS NEWS THANKS AUTHORS
%{_sysconfdir}/gconf/schemas/shotwell.schemas
%{_bindir}/shotwell
%{_datadir}/gnome/help/
%{_datadir}/shotwell
%{_datadir}/applications/shotwell.desktop
%{_datadir}/applications/shotwell-viewer.desktop
%{_datadir}/icons/hicolor/*


%changelog
* Tue Sep 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.2-2
- rebuilt with rpm-4.8.1 for pkg-config
- fixed %%changelog in Tue Sep 14 2010

* Tue Sep 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.2-1
- new upstream release
- changed source URL
- added Patch0 to work around desktop file incorrect comment
- changed BuildRequires: vala-devel >= 0.9.5

* Fri Aug 27 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.1-1
- new upstream release

* Sat Aug 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.0-1
- new upstream release
- changed BuildRequires: libgexiv2-devel >= 0.2.0

* Thu Jul 22 2010 Shu KONNO <owa@bg.wakwak.com> - 0.6.1-2
- fixed LIB_DIRS in libraw-config (for lib64)

* Wed Jul 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.1-1
- new upstream release
- added BuildRequires: LibRaw-devel, libgexiv2-devel

* Wed May 12 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.2-1
- new upstream release

* Sat Mar 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.0-1
- new upstream release
- added BuildRequires:  libgudev1-devel
- applied new naming policy to spec

* Wed Jan 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.3-1
- new upstream release
- proved Japanese description

* Thu Jan 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.2-1
- new upstrema release

* Wed Dec 30 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.1-1
- intial build for VineSeed

* Fri Dec 18 2009 Matthias Clasen <mclasen@redhat.com> - 0.4.0-0.1.20091218svn
* Thu Nov 12 2009 Matthias Clasen <mclasen@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Tue Nov  3 2009 Matthias Clasen <mclasen@redhat.com> - 0.3.0-1
- Version 0.3.0

* Thu Aug 20 2009 Michel Salim <salimma@fedoraproject.org> - 0.2.0-3
- Rebuild against new libgee

* Sun Aug 12 2009  Matthias Clasen <mclasen@redhat.com> - 0.2.0-2.fc12
- Bring icon cache handling in sync with current guidelines

* Sun Aug  9 2009  Matthias Clasen <mclasen@redhat.com> - 0.2.0-1.fc12
- Initial packaging
