Summary: SDL MPEG Library
Summary(ja): SDL MPEG ライブラリ
Name: smpeg
Version: 0.4.4
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.gz
Patch0: smpeg-0.4.0-broken.patch
Patch1: smpeg-0.4.4-gtvaudio.patch
Patch2: smpeg-0.4.4-gcc32.patch
Patch3: smpeg-0.4.4-fixes.patch
Patch4: smpeg-0.4.4-PIC.patch
Patch5: smpeg-0.4.4-gnu-stack.patch
Patch6: smpeg-0.4.4-m4.patch
Patch7: smpeg-0.4.4-gcc41.patch
URL: http://www.lokigames.com/development/smpeg.php3

BuildRequires: SDL-devel gtk+-devel
BuildRequires: automake14 automake
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

%description -l ja
SMPEG は UC Berkeley の MPEGデコーダ mpeg_play と，Woo-jae Jungによる 
MPEGオーディオデコーダ splay を元に開発されています．Linux OS 用の
汎用 MPEG video/audio プレーヤをつくるため，両者の統合を完了したところです．

%package devel
Summary: Libraries, includes and more to develop SMPEG applications.
Summary(ja): SMPEG アプリケーションを開発するためのライブラリやへッダファイル
Group: Development/Libraries
Requires: %{name}

%description devel
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

This is the libraries, include files and other resources you can use
to develop SMPEG applications.

%prep
%setup -q
%patch0 -p1 -b .broken
%patch1 -p1
%patch2 -p0 -b .gcc32
%patch3 -p0 -b .fixes
%patch4 -p0 -b .PIC
%patch5 -p1 -b .gnu-stack
%patch6 -p1 -b .m4
%patch7 -p1 -b .gcc41

%build
# for automake...
touch NEWS AUTHORS ChangeLog

automake -a || automake-1.4 -a 
autoconf -f 
%configure --disable-debug --disable-opengl-player
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p %{buildroot}/etc/X11/applnk/Multimedia
cat > %{buildroot}/etc/X11/applnk/Multimedia/gtv.desktop <<EOF
[Desktop Entry]
Name=GTV MPEG Player
Name[ja]=GTV MPEG プレーヤ
Type=Application
Comment=Simple player for MPEG Movies
Comment[ja]=MPEG ムービー プレーヤ
Exec=gtv
MimeType=video/mpeg
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGES COPYING README
%config(missingok) /etc/X11/applnk/Multimedia/gtv.desktop
%{_libdir}/lib*.so.*
%{_bindir}/plaympeg
%{_bindir}/gtv
%{_mandir}/*

%files devel
%defattr(-, root, root)
%{_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_datadir}/aclocal/*.m4

%changelog
* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 0.4.4-1vl5
- applied new versioning policy, spec in utf-8

* Sat Oct 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.4-0vl8
- added Patch4-7 from DAG package
  (http://dag.wieers.com/rpm/packages/smpeg/)
- rebuild with new toolchains

* Mon Oct 11 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.4.4-0vl7
- rebuild without alsa

* Sun May 09 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.4.4-0vl6
- rebuild

* Tue Dec  2 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.4-0vl5
- rebuild with new toolchains
- use legacy autoconf-2.13 and automake-1.4
- s/Copyright/License/
- Patch2 and 3 from http://dag.wieers.com/packages/smpeg/

* Tue Mar 26 2002 Shoji Matsumoto <shom@vinelinux.org> 0.4.4-0vl4
- add patch1 (gtv no audio patch)

* Tue Aug 28 2001 Jun Nishii <jun@vinelinux.org> 0.4.4-0vl1
- ver.up

* Fri Aug 17 2001 Shoji Matsumoto <shom@vinelinux.org>
- 0.4.2-0vl3
- rebuild on Seed (SDL-1.2)

* Wed Feb 21 2001 Jun Nishii <jun@vinelinux.org>
- 0.4.2-0vl2
- rebuild on Seed

* Wed Dec 20 2000 Jun Nishii <jun@vinelinux.org>
- 0.4.2-0vl1

* Tue Oct 2 2000 Than Ngo <than@redhat.com>
- update to 0.4.1
- clean up specfile

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- add swedish translation (Bug #15336)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- better .desktop entry

* Thu Jun 15 2000 Preston Brown <pbrown@redhat.com>
- fix up for Winston, use FHS paths

* Fri Mar  3 2000 Sam Lantinga <hercules@lokigames.com>
- Split package into development and runtime packages
