Name:           soundconverter
Version:        1.5.0
Release:        1%{?_dist_release}
Summary:        A simple sound converter application for GNOME
Summary(ja):   GNOME 向けのシンプルなオーディオファイルの変換ツール
Group:          Applications/Multimedia
License:        GPLv3
URL:            http://soundconverter.berlios.de/
Source0:        http://download.berlios.de/soundconverter/%{name}-%{version}.tar.gz
Source1:        soundconverter-1.5.0-ja.po
Patch0:         soundconverter-1.5.0-glade-label.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool gettext
BuildRequires:  pygtk2
BuildRequires:  gnome-python
Requires:       pygtk2
Requires:       gnome-python
Requires:       gstreamer-python
Requires:       gstreamer-plugins-base
Requires:       gstreamer-plugins-good

%description
A simple sound converter application for the GNOME environment.
It reads and writes anything the GStreamer library can.

You should install self-build-gstreamer-plugins-plugins-bad
or -ugly to handle some restricted format (ex. mp3, aac...).

%description -l ja
GNOME デスクトップ向けのシンプルなオーディオファイルの変換ツール
です。Gstreamer ライブラリが扱うことのできるオーディオフォーマット
であれば自由に変換できます。

mp3 や aac 等のプロプラエタリなフォーマットを利用する時は、
self-build-gstreamer-plugins-bad や -ugly を必要によりインス
トールしてください。

%prep
%setup -q

# make some menu items translatable
%patch0 -p1 -b .label

# install update ja.po
%{__cp} %{SOURCE1} po/ja.po

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg


%changelog
* Sat Jun 05 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.5.0-1
- initial build for Vine Linux based on fedora development
- souce update
- add japanese description and summary
- add patch0:  make some menu items translatable
- add source1: updated japanese translation

* Wed May 12 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.4.4-2
- Update .desktop file patch.
- Minor spec adjustments in explicit deps and files section.

* Sat Jan 23 2010 Xavier Lamien <laxathom@fedoraproject.org> - 1.4.4-1
- Update release.

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.3.2-4
- Update desktop file according to F-12 FedoraStudio feature

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 25 2008 Denis Leroy <denis@poolshark.org> - 1.3.2-1
- Update to upstream 1.3.2
- Fixed gnome-python2 BR

* Tue May 13 2008 Denis Leroy <denis@poolshark.org> - 1.2.0-1
- Update to upstream 1.2.0

* Fri Jan 11 2008 Denis Leroy <denis@poolshark.org> - 0.9.8-1
- Update to upstream 0.9.8, bugfix release

* Thu Aug 16 2007 Denis Leroy <denis@poolshark.org> - 0.9.7-1
- Update to 0.9.7
- Updated License tag
- Added patch to fix desktop file

* Sun Apr 29 2007 Denis Leroy <denis@poolshark.org> - 0.9.6-1
- Update to 0.9.6
- Removed some icon-related hacks, fixed upstream

* Thu Mar  1 2007 Denis Leroy <denis@poolshark.org> - 0.9.4-1
- Update to 0.9.4
- Removed taglib patch, is upstream
- Moved desktop icon into /usr/share/icons/

* Wed Nov  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.3-2
- Added patch to detect missing id3v2mux gst plugin

* Thu Oct 19 2006 Denis Leroy <denis@poolshark.org> - 0.9.3-1
- Update to 0.9.3

* Tue Oct 17 2006 Denis Leroy <denis@poolshark.org> - 0.9.2-1
- Update to 0.9.2

* Fri Sep  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.1-3
- Fixed desktop install

* Fri Sep  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.1-2
- Added intltool BRs

* Fri Sep  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.1-1
- Update to 0.9.1
- Uses gstreamer 1.0
- Some cleanup, use upstream configure and desktop

* Mon Sep  4 2006 Denis Leroy <denis@poolshark.org> - 0.8.3-2
- FE6 Rebuild

* Sun Feb 12 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.3-1
- Upstream update
- Updated to use gstreamer08

* Tue Nov 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.1-2
- Added gnome-python2-gconf to Requires (#173290)

* Mon Nov 14 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.1-1
- Upstream update

* Sun Oct  2 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.0-1
- Initial RPM release
