Summary: Simplified Wrapper and Interface Generator
Name: swig
Version: 1.3.40
Release: 2%{_dist_release}
URL: http://swig.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/swig/%{name}-%{version}.tar.gz
License: BSD
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#BuildPreReq: guile-devel
#BuildPreReq: python-devel
BuildRequires: guile-devel
BuildRequires: python-devel
Obsoletes: swig-runtime

%description
SWIG is a software development tool that connects programs written in C and C++
with a variety of high-level programming languages. SWIG is primarily used with
common scripting languages such as Perl, Python, Tcl/Tk, and Ruby, however the
list of supported languages also includes non-scripting languages such as Java,
OCAML and C#. Also several interpreted and compiled Scheme implementations
(Guile, MzScheme, Chicken) are supported. SWIG is most commonly used to create
high-level interpreted or compiled programming environments, user interfaces,
and as a tool for testing and prototyping C/C++ software. SWIG can also export
its parse tree in the form of XML and Lisp s-expressions. 


%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES FUTURE README LICENSE NEW TODO
%doc Doc/*
%{_bindir}/*
%{_datadir}/swig
%{_mandir}/man*/*


%changelog 
* Tue Mar 02 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.3.40-2
- add missing man file(s) to the filelist

* Mon Mar 01 2010 Shu KONNO <owa@bg.wakwak.com> 1.3.40-1
- new upstream release
- rebuild with new toolchain

* Fri Sep 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.35-1
- new upstream release

* Wed Mar 28 2007 NAKAMURA Kenta <kenta@vinelinux.org> 1.3.31-0vl1
- new upstream release
- removed php-devel and ruby-devel from BuildPreReq:.

* Sun May 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.29-0vl1
- new upstream release
- use %%configure
- remove runtime subpackage

* Sun Jan 23 2005 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 1.3.21-0vl2
- un-libtoolize (tarball have already been libtoolized).
- fix %%clean.
- add guile-devel, php-devel, python-devel and ruby-devel to BuildPreReq:.

* Wed Mar 03 2004 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp>
- 1.3.21-0vl1
- update version

* Sat Dec 27 2003 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp>
- 1.3.20-0vl1
- update version

* Mon Jun 03 2003 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp>
- update version

* Mon Mar 03 2002 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp>
- update version

* Mon Mar 26 2001 Kazuhisa TAKEI <takei@vinelinux.org>
- import to Vine Linux

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3a3-1mdk
- BM.
- Clean up specs.
- 1.3a3.

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1p5-5mdk
- Use makeinstall macros.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-4mdk

- Provides: swig

* Mon Apr  3 2000 Pixel <pixel@mandrakesoft.com> 1.1p5-3mdk
- rebuild with new perl
- cleanup

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-2mdk

- Rebuilt on kenobi
- Don't use prefix

* Fri Mar 10 2000 Francis Galiegue <francis@mandrakesoft.com> 1.1p5-1mdk

- First RPM for Mandrake

