%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define dbus_ver        1.4.0
%define dbus_glib_ver   0.88
%define tp_glib_ver     0.13.0
%define farsight2_ver   0.0.17

Name:           telepathy-farsight
Version:        0.0.15
Release:        1%{?_dist_release}
Summary:        Telepathy client to handle media streaming channels

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
# Workaround broken private require. https://bugzilla.redhat.com/show_bug.cgi?id=426106
# Patch0:         %{name}-broken-pkgconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  glib2-devel
BuildRequires:  dbus-devel >= %{dbus_ver}
BuildRequires:  dbus-glib-devel >= %{dbus_glib_ver}
BuildRequires:  telepathy-glib-devel >= %{tp_glib_ver}
BuildRequires:  farsight2-devel >= %{farsight2_ver}
BuildRequires:  gstreamer-python >= 0.10.10
# Needed to remove rpath
BuildRequires:  chrpath
BuildRequires:	python-devel
BuildRequires:	pygobject-devel

%description
%{name} is a Telepathy client that uses Farsight and GStreamer to
handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

%package        python
Summary:        Python binding for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    python
Python bindings for %{name}.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-python = %{version}-%{release}
Requires:       glib2-devel
Requires:       dbus-glib-devel >= %{dbus_glib_ver}
Requires:       farsight2-devel >= %{farsight2_ver}
Requires:       telepathy-filesystem
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
# %patch0 -p1 -b .pkgconfig

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# Remove rpath
chrpath --delete $RPM_BUILD_ROOT%{python_sitearch}/*.so

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_libdir}/*.so.*

%files python
%defattr(-,root,root,-)
%{python_sitearch}/*.so

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/telepathy-1.0/%{name}/
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.0.15-1
- new upstream release

* Sat Oct 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.0.13-3
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Feb  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.0.13-2
- add BuildRequires: python-devel, pygobject-devel

* Sat Feb  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.0.13-1
- new upstream release

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.0.12-3
- rebuild with python-2.6

* Sat Nov  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.0.12-2
- initial build for Vine Linux

* Mon Oct 19 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.12-1
- Update to 0.0.12.

* Thu Sep 10 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.11-1
- Update to 0.0.11.

* Tue Sep  8 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.10-1
- Update to 0.0.10.

* Tue Aug 25 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.9-1
- Update to 0.0.9.

* Thu Aug  6 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.8-1
- Update to 0.0.8.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May  7 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.7-1
- Update to 0.0.7.

* Tue Mar 17 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.6-1
- Update to 0.0.6.
- Bump min version of tp-glib needed.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.4-2
- Add devel requires on telepathy-filesystem.

* Sat Jan 17 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.4-1
- Initial spec.

