## -*- coding: utf-8-unix -*-
%define texlivesrcver   20091107
%define texlivever      20091107

%define texlivedir	%{_datadir}/texlive
%define build_texlive_src	%{buildroot}%{texlivedir}-sources

%define pkgname		texlive

%define __find_provides	%{nil}
%define __find_requires	%{nil}
%define __perl_provides %{nil}
%define __perl_requires %{nil}

Summary: A collection of sources for TeX Live packages
Summary(ja): TeX Live のソース集
Name: texlive-sources
Version: 2009
Release: 1%{?_dist_release}
License: distributable
Group: Applications/Publishing
URL: http://www.tug.org/texlive/

## original TeX Live sources
Source1: ftp://tug.org/historic/systems/texlive/2009/%{pkgname}-%{texlivesrcver}-source.tar.xz
Source2: ftp://tug.org/historic/systems/texlive/2009/%{pkgname}-%{texlivever}-texmf.tar.xz
Source3: ftp://tug.org/historic/systems/texlive/2009/%{pkgname}-%{texlivever}-extra.tar.xz
# Source4: ftp://tug.org/historic/systems/texlive/2009/%{name}-%{texlivever}-bin.tar.xz

# ## from texlive2009.iso:/tlpkg/texlive.tlpdb
# Source10: texlive2009.tlpdb

%{?nosrc:NoSource: 1}
%{?nosrc:NoSource: 2}
%{?nosrc:NoSource: 3}

BuildRequires: tar
%if %{?_dist_release} == "vl6"
BuildRequires: xz
%endif
%if %{?_dist_release} == "vl5"
BuildRequires: lzma
%endif

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     munepi

%description
This package is a collection of sources for TeX Live packages. 
It contains 
  %{pkgname}-%{texlivesrcver}-source.tar.xz, 
  %{pkgname}-%{texlivever}-texmf.tar.xz, 
  %{pkgname}-%{texlivever}-extra.tar.xz
on ftp://tug.org/historic/systems/texlive/2009/. 

This package is used to build texlive package and its related packages 
of Vine Linux. 


%description -l ja
このパッケージは TeX Live のソース集です。
ftp://tug.org/historic/systems/texlive/2009/ 上の
  %{pkgname}-%{texlivesrcver}-source.tar.xz, 
  %{pkgname}-%{texlivever}-texmf.tar.xz, 
  %{pkgname}-%{texlivever}-extra.tar.xz
を含んでいます。

このパッケージは Vine Linux の texlive パッケージやその関連パッケージを
ビルドするために使われます。


%prep
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && %__rm -rf %{buildroot}

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && %__rm -rf %{buildroot}

%__mkdir_p %{build_texlive_src}
(cd %{build_texlive_src}
    %__mkdir_p source || exit 1
    %__install -m0644 %{SOURCE1} source/ || exit 1

    %__tar Jxf %{SOURCE2} || exit 1
    %__mv %{pkgname}-%{texlivever}-texmf/* . || exit 1
    %__tar Jxf %{SOURCE3}  || exit 1
    %__mv %{pkgname}-%{texlivever}-extra/* . || exit 1

    # %__mkdir_p tlpkg || exit 1
    # %__install -m0644 %{SOURCE10} tlpkg/texlive.tlpdb || exit 1

    %__rm -r %{pkgname}-%{texlivever}-{texmf,extra} || exit 1
)

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{texlivedir}-sources

%changelog
* Sun May 09 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- TeX Live 2009

