Summary: A GNU utility for monitoring a program's use of system resources.
Summary(ja): プログラムのシステムリソース使用をモニタする GNU ユーティリティ
Name: time
Version: 1.7
Release: 22%{?_dist_release}
License: GPLv2+
Group: Applications/System
URL: http://www.gnu.org/software/time/
Source0: ftp://prep.ai.mit.edu/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0: time-1.7-destdir.patch
Patch1: time-1.7-verbose.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post,preun): /sbin/install-info

%description
The GNU time utility runs another program, collects information about
the resources used by that program while it is running, and displays
the results.

%description -l ja
GNU time ユーティリティは，他のプログラムを実行し，そのプログラムが
実行される際にシステムリソースをどの程度使用したかの情報を表示します．


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
echo "ac_cv_func_wait3=\${ac_cv_func_wait3='yes'}" >> config.cache
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/time.info.gz %{_infodir}/dir \
    --entry="* time: (time).        GNU time Utility" || :

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/time.info.gz %{_infodir}/dir \
    --entry="* time: (time).        GNU time Utility" || :
fi

%files
%defattr(-,root,root)
%doc NEWS README COPYING
%{_bindir}/time
%{_infodir}/time.info*

%changelog
* Thu Oct 23 2008 Shu KONNO <owa@bg.wakwak.com> 1.7-22
- spec in utf-8

* Tue Apr 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.7-21
- applied new versioning policy
- added Patches from Fedora
  * Tue Mar  4 2008 Roman Rakus <rrakus@redhat.cz> - 1.7-33
  - Added patch from JW (redhat@zacglen.com), less nonverbose output
  * Tue Feb 27 2007 Karsten Hopp <karsten@redhat.com> 1.7-29
  - use make install DESTDIR=

* Wed Jun 07 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.7-20vl2
- rebuilt with new toolchains
- updated source URL

* Wed Dec 04 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.7-20vl1
- based on 1.7-20 from Rawhide and built for Vine Linux
- added Japanese summary and description

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not strip apps, do not compress info page

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Feb 25 2002 Elliot Lee <sopwith@redhat.com>
- Remove HAVE_WAIT3 hack, tried to replace it with a requirement for an 
autoconf with the fixed test, didn't work, put in another less-bad hack 
instead.

* Wed Dec 05 2001 Tom Tromey <tromey@redhat.com>
- Bump release, force HAVE_WAIT3 to be defined at build time

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Jan 31 2001 Preston Brown <pbrown@redhat.com>
- prereq install-info (#24715)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Preston Brown <pbrown@redhat.com>
- using / as the file manifesto has weird results.

* Sun Jun  4 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Mon Aug 10 1998 Erik Troan <ewt@redhat.com>
- buildrooted and defattr'd

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 27 1997 Cristian Gafton <gafton@redhat.com>
- fixed info handling

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- updated the spec file; added info file handling

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
