%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	Command Line Interface to FreeDesktop.org Trash
Summary(ja): 	ゴミ箱を操作するコマンドライン用ツール
Name:		trash-cli
Version:	0.11.2
Release: 	2%{?_dist_release}
Source0:	http://trash-cli.googlecode.com/files/%{name}-%{version}.tar.gz
License:	GPL v2
Group:		Applications/System
URL:		http://code.google.com/p/trash-cli

Requires:	python, python-unipath
BuildRequires:	python
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Packager:	kazutaka

%description
trash-cli provides the following commands to manage the trash:
 * trash-put             trashes files and directories.
 * trash-empty           empty the trashcan(s).
 * trash-list            list trashed file.
 * trash-restore         restore a trashed file.

For each file the name, original path, deletion date, and permissions
are recorded. The trash command allow trash multiple files with the
same name. These command uses the same Trashcan of last versions of
KDE, GNOME and XFCE.

%description -l ja
trash-cli はゴミ箱を操作する、以下のコマンドを提供します:
 * trash-put             ファイルとディレクトリをゴミ箱に移動
 * trash-empty           ゴミ箱を空にする
 * trash-list            ゴミ箱の中の、ファイルの一覧を出力
 * trash-restore         ファイルをゴミ箱から元に戻す

各ファイルの名前や元のパス、削除した日時、アクセス権が記録され
ます。また trash コマンドは同名のファイルを複数扱えるようになっ
ています。これらのコマンドは、最新の KDE や GNOME、XFCE と同じ
ゴミ箱を使用します。


%prep
%setup


%build
%{__python} setup.py build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install \
            --root=${RPM_BUILD_ROOT} \
            --install-data=%{_datadir} \
            --single-version-externally-managed

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING HISTORY.txt INSTALL.txt README.txt THANKS
%doc docs/*
%{_bindir}/restore-trash
%{_bindir}/trash-empty
%{_bindir}/trash-list
%{_bindir}/trash-put
%{_bindir}/trash-restore
%{_bindir}/volume-of
%{python_sitelib}/trashcli
%{python_sitelib}/trash_cli*
%{_mandir}/man1/trash-empty.1*
%{_mandir}/man1/trash-list.1*
%{_mandir}/man1/trash-put.1*
%{_mandir}/man1/trash-restore.1*


%changelog
* Sun Apr 18 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.2-2
- rebuild with python-2.6.5 (Seed only)

* Thu Oct 22 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.11.2-1
- initial build for Vine Linux
