Name:           tuxpaint-stamps
Version:        2008.06.30
Release:        1%{?_dist_release}
Summary:        Extra stamp files for tuxpaint
Summary(ja):	tuxpaint 用の追加のスタンプファイル
Group:          Applications/Multimedia
License:        GPL+ and GFDL and CC-BY-SA and Public Domain
URL:            http://www.tuxpaint.org/
Source0:        http://dl.sourceforge.net/tuxpaint/tuxpaint-stamps-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python gettext
Requires:       tuxpaint
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka

%description
This package is a collection of 'rubber stamps' for Tux Paint's
"Stamp" tool.

%description -l ja
このパッケージは Tux Paint の"はんこ"ツール用の'ゴム製スタンプ'
のコレクションです。

%prep
%setup -q

%build
(cd po && ./createpo.sh)
(cd po && ./createtxt.sh)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/tuxpaint/stamps
make install-all PREFIX=$RPM_BUILD_ROOT%{_prefix}

pushd po
for file in *.po ; do
    loc=`echo $file | sed -e 's/tuxpaint-stamps-\(.*\).po/\1/'`
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/$loc/LC_MESSAGES
    msgfmt -o $RPM_BUILD_ROOT%{_datadir}/locale/$loc/LC_MESSAGES/tuxpaint-stamps.mo $file
done
popd

# License is bad on this file, Creative Commons Sampling Plus 1.0 is non-free.
rm -rf $RPM_BUILD_ROOT%{_datadir}/tuxpaint/stamps/vehicles/emergency/firetruck.ogg

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc docs/*.txt
%lang(el) %doc docs/el
%lang(es) %doc docs/es
%lang(fr) %doc docs/fr
%lang(hu) %doc docs/hu
%defattr(0644,root,root,0755)
%{_datadir}/tuxpaint/stamps/*

%changelog
* Thu May 21 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2008.06.30-1
- initial build for Vine Linux based of fedora development
- add japanese summary and description

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2008.06.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2008.06.30-1
- fix license tag
- update to 2008.06.30.

* Sat Jul 07 2007 Steven Pritchard <steve@kspei.com> 2007.07.01-1
- Update to 2007.07.01.

* Tue Oct 24 2006 Steven Pritchard <steve@kspei.com> 2006.10.21-1
- Update to 2006.10.21.
- Remove a little extra whitespace in the spec.
- Just include docs/*.txt.
- Use version macro in Source0 URL.
- Use "install-all" target.

* Mon Aug 28 2006 Wart <wart at kobold dot org> 2005.11.25-1
- Initial Fedora Extras package
