%define name     unionfs-utils
%define origname unionfs_utils

Summary:     Utilities for Unionfs a stackable unification file system.
Summary(ja): Unionfs (スタック可能な単一化ファイルシステム) 用ユーティリティ
Name:        %{name}

Version:     0.2.1
Release:     1%{?_dist_release}
Epoch:       1

License:     GPL
Group:       Applications/System
URL:         http://www.fsl.cs.sunysb.edu/project-unionfs.html
Source:      http://download.filesystems.org/unionfs/unionfs-utils-0.x/%{origname}-%{version}.tar.gz
BuildRoot:   %{_tmppath}/%{name}-%{version}-root


%description
Unionfs is a stackable unification file system, which can appear to
merge the contents of several directories (branches), while keeping
their physical content separate.  Unionfs is useful for unified source
tree management, merged contents of split CD-ROM, merged separate
software package directories, data grids, and more.  Unionfs allows
any mix of read-only and read-write branches, as well as insertion and
deletion of branches anywhere in the fan-out.


%package     devel
Summary:     Development tools for programs using Unionfs
Summary(ja): Unionfs を使うプログラム用開発ツール
Group:       Development/Libraries
Requires:    %{name} = %{epoch}:%{version}-%{release}

%description devel
Unionfs is a stackable unification file system.

This package contains the header files and libraries needed for
developing programs using the Unionfs utilities library.


%prep
%setup -q -n %{origname}-%{version}


%build
./bootstrap
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT
%__make clean


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man8/*


%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man3/*


%changelog
* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 1:0.2.1-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 22 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1:0.2.1-0vl1
- updated to unionfs_utils 0.2.1 (separated from unionfs kernel patch itself)
- add Epoch: 1
- add devel subpackage

* Sat Dec  9 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2-0vl2
- changed Group to Applications/System

* Thu Aug 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2-0vl1
- new upstream release

* Thu Aug 18 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.0.13-0vl1
- initial build

* Tue Jun 12 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.12a-0vl1
- initial build
