%define filippov_version 1.0.7pre22
%define fontdir %{_datadir}/fonts/default/Type1

# font manipulation macro
%define __mkfontscale	umask 133;%{_bindir}/mkfontscale
%define __mkfontdir	umask 133;%{_bindir}/mkfontdir
%define __fccache	umask 133;which fc-cache &> /dev/null && fc-cache

Summary: Free versions of the 35 standard PostScript fonts.
Summary(ja): 35書体のフリーな標準ポストスクリプトフォント
Name: urw-fonts
Version: 2.1
Release: 7%{?_dist_release}
Source0: ftp://ftp.gnome.ru/fonts/urw/release/urw-fonts-%{filippov_version}.tar.bz2
Source1: NimbusRomNo9L-Medi.pfb
Source2: NimbusRomNo9L-Medi.afm
Source3: NimbusRomNo9L-MediItal.pfb
SOurce4: NimbusRomNo9L-MediItal.afm
URL: ftp://ftp.gnome.ru/fonts/urw/release/
License: GPL, URW holds copyright
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Requires(post,postun): xorg-x11-font-utils, fontconfig


%description 
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

Install the urw-fonts package if you need free versions of standard
PostScript fonts.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.afm *.pfm *.pfb $RPM_BUILD_ROOT%{fontdir}/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{fontdir}/n021004l.pfb
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{fontdir}/n021004l.afm
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{fontdir}/n021024l.pfb
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{fontdir}/n021024l.afm

# Touch ghosted files
touch $RPM_BUILD_ROOT%{fontdir}/{fonts.{dir,scale,cache-1},encodings.dir}

%post
%{__mkfontscale} %{fontdir} ||:
%{__mkfontdir} %{fontdir} ||:
%{__fccache} %{_datadir}/fonts ||:

%postun
if [ "$1" = "0" ]; then
	%{__fccache} %{_datadir}/fonts ||:
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc COPYING README README.tweaks TODO
%dir %{fontdir}
%ghost %verify(not md5 size mtime) %{fontdir}/fonts.dir
%ghost %verify(not md5 size mtime) %{fontdir}/fonts.scale
%ghost %verify(not md5 size mtime) %{fontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{fontdir}/encodings.dir
%{fontdir}/*.afm
%{fontdir}/*.pfm
%{fontdir}/*.pfb

%changelog
* Wed Apr 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-7
- spec in utf-8

* Tue Apr 15 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-6
- update dependancies to xorg-x11-7.3
- drop chkfontpath deps

* Sun Feb  4 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1-5vl4
- updated Prereq: XOrg-font-utils XOrg-base-fonts

* Mon Jan 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-5vl3
- remove unneeded dependency

* Wed Dec 24 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.1-5vl2
- modified __fccache macro

* Sun Dec 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-5vl1
- merged with fedora 2.1-5.1
  * Sat Aug 18 2001 Toru Sagami <sagami@vinelinux.org>
  - 2.0-12vl1: was ported to Vine

* Fri Aug 29 2003 Owen Taylor <otaylor@redhat.com> 2.1-5.0
- Add MediItal variant with fixed weight and some of the
  missing baseline hints (for u,t)

* Mon Jul 21 2003 Owen Taylor <otaylor@redhat.com> 2.1-4.1
- Bump for rebuild

* Mon Jul 21 2003 Owen Taylor <otaylor@redhat.com> 2.1-4.0
- Replace the regular not italic bold font with the fixed copy

* Wed Jul  9 2003 Owen Taylor <otaylor@redhat.com> 2.1-3.1
- Bump for rebuild

* Wed Jul  9 2003 Owen Taylor <otaylor@redhat.com> 2.1-3
- Add some obvious missing hints that were resulting in 
  very uneven baselines (#97271)

* Fri Jun 20 2003 Than Ngo <than@redhat.com> 2.1-2
- fix Weight in Nimbus Roman No 9 L (bug #97683)

* Tue Jun 10 2003 Owen Taylor <otaylor@redhat.com> 2.1-1
- Upgrade to upstream version 1.0.7pre22
- Massive cleanups to fonts.dir/fonts.scale handling (use mkfontscale
  instead of fonts.scale from the package, etc.)

* Wed Jan 29 2003 Than Ngo 2.0-29
- rebuild

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 2.0-27
- rebuild 

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 2.0-26
- Call fc-cache from %%post, prereq fontconfig

* Fri Jul 12 2002 Owen Taylor <otaylor@redhat.com>
- Didn't revert back far enough to fix hints last time; try again.

* Wed Jul 10 2002 Owen Taylor <otaylor@redhat.com>
- Fix packaging error that lost most of the fonts

* Mon Jul  8 2002 Owen Taylor <otaylor@redhat.com>
- Go back to 1.0 URW/cyrillic version to avoid hinting problems

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Newer upstream version
- Fix accidental revert of urw-fontspecific => adobe-fontspecific change
- Tweak hints in "Nimbus Sans Regular L" a bit.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 12 2002 Than Ngo <than@redhat.com> 2.0-19
- update urw fonts
- add missing ZapfDingbats font (bug #65101, #65523)
- fixed metric troubles (bug #65522)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 2.0-17
- rebuild

* Tue Jan 22 2002 Preston Brown <pbrown@redhat.com>
- use adobe-fontspecific instead of urw-fontspecific encoding name for 
  symbol font.  Fixes some java issues.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Dec 13 2001 Than Ngo <than@redhat.com> 2.0-14
- fixed bug #57306

* Wed Sep 26 2001 Than Ngo <than@redhat.com> 2.0-13
- Added new fonts with cyrrilic glyphs
  from ftp://ftp.gnome.ru/fonts/urw/ (bug #52772)
 
* Thu Nov 16 2000 Than Ngo <than@redhat.com>
- zapf dingbats font works now, fixed (Bug #20352)

* Mon Oct 16 2000 Than Ngo <than@redhat.com>
- added font aliases (Bug #17586)
- added missing fonts.alias

* Wed Aug 30 2000 Preston Brown <pbrown@redhat.com>
- enable latin2 encoding
- alias the Nimbus/Courier font to be monospaced
- include a Fontmap

* Fri Jul 14 2000 Preston Brown <pbrown@redhat.com>
- renamed fonts from URW names to Adobe names for better compatibility

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jul 09 2000 Than Ngo <than@redhat.de>
- update gnu-gs-fonts-std-6.0
- fix Url

* Sat May 27 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0

* Wed Mar 08 2000 Preston Brown <pbrown@redhat.com> 
- argh! fonts.scale shouldn't have been symlinked to fonts.dir.  fixed.

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- noreplace the fonts.dir config file

* Wed Feb 16 2000 Bill Nottingham <notting@redhat.com>
- need .pfb files too

* Mon Feb 14 2000 Preston Brown <pbrown@redhat.com>
- new URW++ fonts that include extra glyphs.

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- remove vendor tag.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed up chkfontpath stuff

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added missing fonts.dir, fonts.scale, %post, %postun using chkfontpath
- changed foundary from Adobe (which was a lie) to URW.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts now live in /usr/share/fonts/default/Type1

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- eliminated section that adds to XF86Config
- changed fonts to reside in /usr/share/fonts/default/URW, so they can be
  shared between X and Ghostscript (and other, future programs/applications)

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- integrate adding fontdir to XF86Config

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- eliminate %post output

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- create from Stefan Waldherr <swa@cs.cmu.edu> contrib package.
