Name:		usbmanager
Version:	1.0.0
Release:	1%{?_dist_release}
Summary:	An USB storage management interface written in Python
Summary(ja):	Python で書かれた USB ストレージ管理インターフェイス

Group:		Applications/System
License:	LGPLv3
URL:		https://launchpad.net/usbmanager
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	desktop-file-utils

Requires:	python pygtk2
Requires:	mtools
Requires:	dbus hal

%description
USBManager is a simple and intuitive tool developed to help people
who have hard times managing theirs USB storage devices.

%description -l ja
USBManager は USB ストレージデバイスの管理に手を焼く人々を
助けるために開発されたシンプルで直感的なツールです。

%prep
%setup -q -n %{name}

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --skip-build --root %{buildroot}

# maybe disued file?
rm -rf %{buildroot}/root/

%find_lang %{name}

desktop-file-install \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications data/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database %{_datadir}/applications

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database %{_datadir}/applications

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/python2.*/site-packages/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/*

%changelog

* Sat Mar 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.0-1
- initial build for VineSeed
