Summary:        Run real-mode video BIOS code to alter hardware state

Name:           vbetool
Version:        1.2.2
Release:        1%{?_dist_release}

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.codon.org.uk/~mjg59/vbetool/
Source0:        http://www.codon.org.uk/~mjg59/vbetool/download/vbetool-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  zlib-devel, pciutils-devel, libx86-devel >= 1.1-2
BuildRequires:  libpciaccess-devel
# does not build on ppc and ppc64, see #285361 (RedHat Bugzilla)
# on ppc sys/io.h is missing, on ppc64 there are more complaints
# build.logs are attached in the bug report
ExcludeArch:    ppc ppc64


%description
vbetool uses lrmi in order to run code from the video BIOS. Currently, it is
able to alter DPMS states, save/restore video card state and attempt to
initialize the video card from scratch.


%prep
%setup -q

%build
%configure --with-x86emu
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 0644 -D udev-video-post-example.rules $RPM_BUILD_ROOT/etc/udev/rules.d/92-video-post.rules


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_sysconfdir}/udev/rules.d/92-video-post.rules
%{_sbindir}/vbetool
%{_mandir}/man1/vbetool.1.gz


%changelog
* Mon Mar 15 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-1
- new upstream release
- install udev rules
- add BR: libpciaccess-devel

* Sun Oct 12 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-1
- initial build for Vine Linux

* Mon May 19 2008 Matthew Garrett <mjg@redhat.com> - 1.1-1
- update to version 1.1

* Tue Mar 25 2008 Till Maas <opensource till name> - 0.7-6
- remove overriding of CFLAGS for x86emu

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7-5
- Autorebuild for GCC 4.3

* Sun Dec 02 2007 Till Maas <opensource till name> - 0.7-4
- libz.a is now in a -static subpackage, add to BR

* Tue Nov 13 2007 Adam Jackson <ajax@redhat.com> 0.7-3
- Build with x86emu everywhere for uniformity of bugs and consistency with X.

* Fri Sep 07 2007 Till Maas <opensource till name> 0.7-2
- ExcludeArch: ppc and ppc64 (does not build there)
- add Conflicts with old pm-utils package

* Fri Aug 31 2007 Till Maas <opensource till name> - 0.7-1
- initial release for Fedora with patches from the pm-utils package
