# We don't build with Gnome support by default to avoid a GConf dependency.
# If you would like to set the Gnome background image with Viewnior, rebuild 
# the srpm with:
#   rpmbuild --rebuild viewnior-*-src.rpm --with gnome 
# or use bcond_without to change the defaul
%bcond_with gnome

Name:           viewnior
Version:        1.1
Release:        1%{?_dist_release}
Summary:        Elegant image viewer
Summary(ja):    エレガントな画像ビューア

Group:          Applications/Graphics
License:        GPLv3+
URL:            http://xsisqox.github.com/Viewnior
Source0:        http://cloud.github.com/downloads/xsisqox/Viewnior/%{name}-%{version}.tar.gz
Patch0:         viewnior-0.7-dsofix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gdk-pixbuf2-devel >= 2.4.0
BuildRequires:  glib2-devel >= 2.24
BuildRequires:  gtk2-devel >= 2.20
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool >= 0.35.0
BuildRequires:  perl-XML-Parser
BuildRequires:  shared-mime-info >= 0.20
%if %{with gnome}
BuildRequires:  GConf2-devel
%endif


%description 
Viewnior is an image viewer program. Created to be simple, fast and elegant. 
It's minimalistic interface provides more screen space for your images. Among 
its features are:

* Fullscreen & Slideshow
* Rotate, flip, save, delete images
* Animation support
* Browse only selected images
* Navigation window
* Simple interface
* Configurable mouse actions


%prep
%setup -q
%patch0 -p1 -b .dsofix
# fix spurious executable perms
chmod 0644 AUTHORS ChangeLog COPYING NEWS README TODO src/*


%build
%configure \
%if %{with gnome}
   --enable-wallpaper
%endif

make %{?_smp_mflags} V=1


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_mandir}/man?/


%changelog
* Thu Dec 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1-1
- initial build for VineSeed

* Wed Mar 31 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.0-1
- Update to 1.0

* Tue Feb 16 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7-2
- Add patch to fix DSO linking (#565018)
- Switch to %%bcond macro

* Mon Sep 07 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.7-1
- Update to 0.7

* Sat Sep 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6-2
- Spec file cleanups from review.

* Mon Aug 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6-1
- Initial package
