Summary:	VNC client for the GNOME desktop
Summary(ja):	GNOME デスクトップ用 VNC クライアント

Name:		vinagre
Version:	2.30.3
Release:        2%{?_dist_release}

Group:		Applications/System
License:	GPLv2+
URL:		http://www.gnome.org/projects/vinagre/
Source0:	http://download.gnome.org/sources/%{name}/2.30/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk-vnc-devel >= 0.3.10
BuildRequires:	glib2-devel >= 2.26.0
BuildRequires:	gtk2-devel >= 2.22.0
BuildRequires:	GConf2-devel >= 2.32.0
BuildRequires:	avahi-ui-devel >= 0.6.22
BuildRequires:	avahi-gobject-devel >= 0.6.22
BuildRequires:	perl(XML::Parser) gettext intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils
BuildRequires:	libgnome-keyring-devel >= 2.32.0
BuildRequires:	gnome-panel-devel
BuildRequires:	libxml2-devel >= 2.6.31
BuildRequires:	vte-devel >= 0.26

%description
Vinagre is a VNC client for the GNOME desktop environment.

%package devel
Summary:        Development environment for vinagre
Summary(ja):    vinagreの開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
vinagre.


%prep
%setup -q

%build
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --disable-telepathy \
    --enable-avahi
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

# Remove text files installed by vinagre, we install them in a versioned
# directory in the files section
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/vinagre/

desktop-file-install 						\
	--remove-category=Application				\
	--add-category=GTK					\
	--delete-original					\
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
        $RPM_BUILD_ROOT%{_datadir}/applications/vinagre.desktop

%find_lang vinagre --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/vinagre.schemas > /dev/null || :
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi


%pre
if [ "$1" -gt 1 -a -f %{_sysconfdir}/gconf/schemas/vinagre.schemas ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/vinagre.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/vinagre.schemas > /dev/null || :
fi

%postun
update-desktop-database -q
update-mime-database %{_datadir}/mime >/dev/null
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi


%files -f vinagre.lang
%defattr(-,root,root,-)
%{_sysconfdir}/gconf/schemas/vinagre.schemas
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_VinagreApplet.server
%{_libdir}/vinagre-1
%{_libexecdir}/vinagre-applet
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/vinagre-mime.xml
%{_datadir}/%{name}/
%{_datadir}/%{name}-1/
%doc %{_mandir}/man1/vinagre.1.gz
%doc README NEWS COPYING AUTHORS

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0/
%{_libdir}/pkgconfig/%{name}-1.0.pc


%changelog
* Thu Dec 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.3-2
- create -devel sub package

* Tue Oct 05 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.3-1
- new upstream release
- change BuildRequires: gnome-panel-devel instead of gnome-panel

* Tue Sep 28 2010 Shu KONNO <owa@bg.wakwak.com> 2.30.2-2
- rebuilt with rpm-4.8.1 for pkg-config

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- change BuildRequires: gnome-keyring-devel -> libgnome-keyring-devel

* Sun Nov  8 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Mon Jan 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.2-1
- new upstream release
- build with gnutls-2.6.3

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sat Sep 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 	2.23.92-1
- initial build for Vine Linux

* Mon Sep  8 2008 Matthias Clasen <mclasen@redhat.com> - 2.23.92-1
- Update to 2.23.92

* Tue Sep  2 2008 Matthias Clasen <mclasen@redhat.com> - 2.23.91-1
- Update to 2.23.91

* Fri Aug 22 2008 Matthias Clasen <mclasen@redhat.com> - 2.23.90-1
- Update to 2.23.90

* Wed Jun 25 2008 - Bastien Nocera <bnocera@redhat.com> - 2.23.4-2
- Rebuild

* Tue Jun 17 2008 - Bastien Nocera <bnocera@redhat.com> - 2.23.4-1
- Update to 2.23.4
- Fix URL (#451746)

* Wed Jun  4 2008 Matthias Clasen <mclasen@redhat.com> - 2.23.3.1-1
- Update to 2.23.3.1

* Fri Apr 25 2008 Matthias Clasen <mclasen@redhat.com> - 2.23.1-1
- Update to 2.23.1

* Mon Apr  7 2008 Matthias Clasen <mclasen@redhat.com> - 0.5.1-1
- Update to 0.5.1

* Mon Mar 10 2008 Matthias Clasen <mclasen@redhat.com> - 0.5.0-1
- Update to 0.5.0

* Mon Feb 25 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.92-1
- Update to 0.4.92

* Mon Feb 18 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.91-2
- Spec file fixes

* Tue Feb 12 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.91-1
- Update to 0.4.91

* Tue Jan 29 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.90-1
- Update to 0.4.90

* Thu Dec 13 2007 - Bastien Nocera <bnocera@redhat.com> - 0.4-1
- Update to 0.4 and drop obsolete patches

* Fri Nov 23 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-3
- Fix crasher when passing broken options on the command-line (#394671)

* Thu Oct 25 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-2
- Fix crasher when setting a favourite with no password (#352371)

* Mon Sep 24 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-1
- Update to 0.3

* Wed Aug 22 2007 - Bastien Nocera <bnocera@redhat.com> - 0.2-1
- First version
- Fix plenty of comments from Ray Strode as per review
- Have work-around for BZ #253734

