%define with_flac 1
%define with_speex 0

Summary:	Several Ogg Vorbis Tools
Summary(ja):	各種 Ogg Vorvis 用ツール
Name:		vorbis-tools
Version:	1.2.0
Release:	4%{?_dist_release}
Group:		Applications/Multimedia
License:	GPLv2
URL:		http://www.xiph.org/
Source0:	http://downloads.xiph.org/releases/vorbis/vorbis-tools-%{version}.tar.gz
Source1:	vorbis-tools-ogg123rc
Patch1:		vorbis-tools-1.1.1-include-config.h.patch
Patch2:		vorbis-tools-ogg123-cfgfile_options.patch
# security fix
Patch100:       vorbis-tools-1.1.1-CVE-2008-1686.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libvorbis-devel >= 1.0
BuildRequires:  libao-devel >= 0.8.3
BuildRequires:	curl-devel
BuildRequires:	perl
Requires:	libogg >= 1.0
Requires:       libvorbis >= 1.0.1
Requires:       libao >= 0.8.3
Requires:	curl

Vendor:         Project Vine
Distribution:   Vine Linux

%if %{with_flac}
BuildRequires:	flac-devel >= 1.1.3
Requires:	flac >= 1.1.3
%endif

%if %{with_speex}
BuildRequires:	speex-devel
Requires:	speex
%endif

%description
vorbis-tools contains oggenc (an encoder) and ogg123 (a playback tool).
It also has vorbiscomment (to add comments to vorbis files), ogginfo (to
give all useful information about an ogg file, including streams in it),
and oggdec (a simple command line decoder).
#oggdec (a simple command line decoder), and vcut (which allows you to
#cut up vorbis files).

%description -l ja
vorbis-tools には、Ogg Vorbis のエンコーダ oggenc と再生ツール ogg123 が含
まれています。
また、以下のようなツールも含まれています。
 - vorbiscomment : vorbis ファイルのコメントを表示・編集
 - ogginfo       : ogg ファイルについてのあらゆる有用な情報 (コメント、ビッ
                   トレート、長さなど) を表示
 - oggdec        : シンプルなコマンドラインデコーダ
# - vcut          : vorbis ファイルを分割

%prep
%setup -q

#patch0 -p1 -b .oggflac10
%patch1 -p1 -b .config-h
%patch2 -p1 -b .cfgfile-options
%patch100 -p1 -b .CVE-2008-1686

%build
perl -p -i -e "s/-O20/%{optflags}/" configure
perl -p -i -e "s/-ffast-math//" configure
%configure \
%if ! %{with_flac}
	--without-flac \
%endif
%if ! %{with_speex}
	--without-speex
%endif

make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

%__install -D -p -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/ogg123rc

%clean 
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README ogg123/ogg123rc-example
%config %{_sysconfdir}/ogg123rc
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Sep 25 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.2.0-4
- rebuild with release +1 (forgot to add changelog of 1.2.0-3)

* Wed Sep 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.2.0-3
- add Patch2: fix random play config option (<BTS:VineLinux:709>)

* Sat May 16 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.0-2
- spec in UTF-8

* Mon May 19 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.0-1
- new upstream release (dropped Patch0, 3)
- rebuilt with curl-7.18.1

* Thu May 01 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.1-4
- add patch10 for fix CVE-2008-1686

* Tue Sep 04 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 1.1.1-0vl5
- rebuild with flac-1.2.0
- to support flac >= 1.1.3's new APIs
  - import flac-1.1.3.patch (patch3) from MDV
  - run autoreconf

* Mon May 14 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1.1-0vl4
- rebuild with curl-7.16.2
- add Patch2 to build against curl-7.16

* Mon Mar 27 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.1-0vl3
- rebuilt (for ppc)

* Sat Oct 29 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl2
- include config.h in share/{utf8,iconvert}.c (patch1)
- install ogg123rc to %%{_sysconfdir} (source1)

* Sat Jul 02 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl1
- source upgrade
- update source-URL
- remove vcut from description

* Sun Feb 13 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-0vl6
- rebuild with curl-7.13.0
  - {openssl,zlib,libidn}-devel are now required by curl-devel
- update ogg-flac-1.0.patch

* Sun Feb 06 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-0vl5
- rebuild with flac-1.1.2

* Sat Dec 18 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-0vl4
- rebuild with flac-1.1.1
- fix dependencies
  - add BuildPrereq: flac-devel, openssl-devel, zlib-devel
  - add Requires: flac, zlib
- add Japanese summary and description
- use %%find_lang macro
- add ogg-flac-1.0.patch to support Ogg FLAC >= 1.0 files

* Fri Mar 26 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.0.1-0vl3
- rebuild with openssl-0.9.7d

* Sat Nov 22 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.0.1-0vl2
- rebuild for VineSeedPlus

* Fri Nov 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.0.1-0vl1
- source upgrade
- build for VinePlus/2.6
- add --without-speex --without-flac to configure option

* Sat Oct  4 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.0-0vl3
- rebuild with new toolchain
- use License tag

* Sun Jan 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.0-0vl2
- rebuild with new toolchain

* Wed Jul 24 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.0-0vl1
- source upgrade
- BuildPrereq: libao-devel >= 0.8.3
- update %description
- add %{_datadir}/locale/*/LC_MESSAGES/* to %files section
- add Requires: openssl

* Sat Jan 12 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 0.99.3-2vl1
- build for VineSeed
- change version number to 0.99.3 (means 1.0rc3)

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  1 2002 Bill Nottingham <notting@redhat.com>
- update to 1.0rc3

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- update to 1.0rc2

* Fri Jul 20 2001 Bill Nottingham <notting@redhat.com>
- split libao, libvorbis out

* Tue Jul 10 2001 Bill Nottingham <notting@redhat.com>
- own %%{_libdir}/ao
- I love libtool

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add links from library major version numbers in rpms

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- update to rc1

* Fri May  4 2001 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- fixed perl line in spec file to set optims correctly

* Tue Mar 20 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64, again
- use optflags, not -O20 -ffast-math (especially on alpha...)

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix license tag

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- beta4

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64

* Thu Feb  8 2001 Bill Nottingham <notting@redhat.com>
- update CVS in prep for beta4

* Wed Feb 07 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #25391. ogg123 now usses the OSS driver by default if
  none was specified.

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- update CVS, grab aRts backend for libao

* Thu Dec 27 2000 Bill Nottingham <notting@redhat.com>
- update CVS

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- hack up specfile some, merge some packages

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
