%define __spec_install_post %{nil}

# Provide perl-specific find-{provides,requires}.
#%define __find_provides %{_libdir}/rpm/find-provides.perl
#%define __find_requires %{_libdir}/rpm/find-requires.perl

Summary: A web-based administration interface for Unix systems.
Summary(ja): Web ベースのシステム管理ツール
Name: webmin
Version: 1.470
Release: 1%{?_dist_release}
License: Freeware
Group: Applications/Administration
BuildRoot: %{_tmppath}/%{name}-%{version}-root
AutoReq: false
BuildArch: noarch
Provides: %{name}-%{version}
Requires: perl
PreReq: sed chkconfig findutils fileutils initscripts grep perl-Net_SSLeay

Source0: http://www.webmin.com/download/%{name}-%{version}.tar.gz
Patch0: webmin-1.470-vine.patch
# additional modules
Source10: http://www.niemueller.de/webmin/modules/ipchains/ipchains-0.83.1.wbm.gz
Source11: http://www.niemueller.de/webmin/modules/iptables/iptables-0.91.1.wbm.gz
Source12: http://prdownloads.sourceforge.net/netatalk/netatalk.wbm.gz
Patch7: netatalk-vine.diff
Patch10: ipchains-Japanese.patch.bz2

%description
A web-based administration interface for Unix systems. Using Webmin you can
configure DNS, Samba, NFS, local/remote filesystems and more using your
web browser.

After installation, enter the URL https://localhost:10000/ into your
browser and login as root with your root password.

NOTE THAT THIS VERSION NOW USES SECURE WEB TRANSACTIONS: YOU HAVE TO
LOGIN TO "https://localhost:10000/" AND NOT "http://localhost:10000/".

%description -l ja
Web ベースのシステム管理ツール。Webmin を用いると、DNS, Samba, NFS,
ローカルまたはリモートのファイルシステム, Apache, Postfix などの設
定を Web ブラウザにて行うことができます。

インストール後、ブラウザから https://localhost:10000/ にアクセスし、
root のパスワードを入力して root として入ってください。安全のため、
パスワードは定期的に変更するようにしましょう。

この rpm パッケージの場合、セキュリティ強化の為に、デフォルトでは
127.0.0.1 (localhost) からのみ接続できるように制限してあります。
また、perl-Net_SSLeay パッケージを用いて、デフォルトで SSL による
暗号化を行うように設定しています。

%prep
%setup -q -a 10 -a 11 -a 12
%patch0 -p1 -b .vine
%patch7 -p1
cd ipchains
%patch10 -p1

%build
(find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
rm -f mount/freebsd-mounts*
rm -f mount/openbsd-mounts*
rm -f mount/macos-mounts*
rm -f webmin-gentoo-init
chmod -R og-w .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/libexec/webmin
mkdir -p %{buildroot}/etc/sysconfig/daemons
mkdir -p %{buildroot}/etc/rc.d/{init.d,rc0.d,rc1.d,rc2.d,rc3.d,rc5.d,rc6.d}
mkdir -p %{buildroot}/etc/pam.d
cp -rp * %{buildroot}/usr/libexec/webmin
cp webmin-daemon %{buildroot}/etc/sysconfig/daemons/webmin
cp webmin-init %{buildroot}/etc/rc.d/init.d/webmin
cp webmin-pam %{buildroot}/etc/pam.d/webmin
echo rpm >%{buildroot}/usr/libexec/webmin/install-type

%clean
#%{rmDESTDIR}
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/libexec/webmin
/etc/sysconfig/daemons/webmin
/etc/rc.d/init.d/webmin
%config /etc/pam.d/webmin

%pre
grep -i openlinux /etc/.issue >/dev/null 2>&1
if [ -r /etc/webmin/config -a -r /var/log/webmin -a "$1" = 0 ]; then
	oldrpm=`rpm -q webmin 2>/dev/null`
	if [ "$oldrpm" != "" ]; then
		echo "The Caldera version of Webmin is currently installed on"
		echo "your system. You must remove it with the command"
		echo "   rpm -e webmin"
		echo "before installing this Webmin RPM."
		exit 1
	fi
fi
perl <<EOD;
# maketemp.pl
# Create the /tmp/.webmin directory if needed

\$tmp_dir = "/tmp/.webmin";

if (!-d \$tmp_dir) {
	mkdir(\$tmp_dir, 0755) || exit 1;
	}
chown(\$<, \$(, \$tmp_dir);
chmod(0755, \$tmp_dir);
@st = lstat(\$tmp_dir);
if (@st && \$st[4] == \$< && (-d _) &&
    (\$st[2] & 0777) == 0755) {
	exit 0;
	}
else {
	exit 1;
	}


EOD
if [ "$?" != "0" ]; then
	echo "Failed to create or check temp files directory /tmp/.webmin"
	exit 1
fi
perl >/tmp/.webmin/$$.check <<EOD;
if (-r "/etc/.issue") {
	\$etc_issue = \`cat /etc/.issue\`;
	}
elsif (-r "/etc/issue") {
	\$etc_issue = \`cat /etc/issue\`;
	}

\$uname = \`uname -a\`;

if (\$etc_issue =~ /Vine\\sLinux\\s2\\.1/i || \`cat /etc/vine-release 2>&1\` =~ /Vine\\s+Linux\\s+2\\.1/i) {
	print "oscheck='Vine Linux 2.1'\\n";
	}
if (\$etc_issue =~ /Vine\\sLinux\\s2\\.1\\.5/i || \`cat /etc/vine-release 2>&1\` =~ /Vine\\s+Linux\\s+2\\.1\\.5/i) {
	print "oscheck='Vine Linux 2.1.5'\\n";
	}
if (\$etc_issue =~ /Vine\\sLinux\\s2\\.5/i || \`cat /etc/vine-release 2>&1\` =~ /Vine\\s+Linux\\s+2\\.5\\s+/i) {
	print "oscheck='Vine Linux 2.5'\\n";
	}
if (\$etc_issue =~ /Vine\\sLinux\\s2\\.6/i || \`cat /etc/vine-release 2>&1\` =~ /Vine\\s+Linux\\s+2\\.6\\s+/i) {
	print "oscheck='Vine Linux 2.6'\\n";
	}
if (\$etc_issue =~ /Vine\\sLinux\\s3\\.0/i || \`cat /etc/vine-release 2>&1\` =~ /Vine\\s+Linux\\s+3\\.0\\s+/i) {
	print "oscheck='Vine Linux 3.0'\\n";
	}
if (\$etc_issue =~ /Vine\\sLinux\\s3\\.1/i || \`cat /etc/vine-release 2>&1\` =~ /Vine\\s+Linux\\s+3\\.1\\s+/i) {
	print "oscheck='Vine Linux 3.1'\\n";
	}
if (\$etc_issue =~ /Vine\\sLinux\\s3\\.2/i || \`cat /etc/vine-release 2>&1\` =~ /Vine\\s+Linux\\s+3\\.2\\s+/i) {
	print "oscheck='Vine Linux 3.2'\\n";
	}
if (\$etc_issue =~ /Vine\\sLinux\\s4\\.0/i || \`cat /etc/vine-release 2>&1\` =~ /Vine\\s+Linux\\s+4\\.0\\s+/i) {
	print "oscheck='Vine Linux 4.0'\\n";
	}
if (\$etc_issue =~ /Vine\\sLinux\\s4\\.1/i || \`cat /etc/vine-release 2>&1\` =~ /Vine\\s+Linux\\s+4\\.1\\s+/i) {
	print "oscheck='Vine Linux 4.1'\\n";
	}
if (\$etc_issue =~ /Vine\\sLinux\\s4\\.2/i || \`cat /etc/vine-release 2>&1\` =~ /Vine\\s+Linux\\s+4\\.2\\s+/i) {
	print "oscheck='Vine Linux 4.2'\\n";
	}
if (\$etc_issue =~ /Vine\\sLinux\\s5\\.0/i || \`cat /etc/vine-release 2>&1\` =~ /Vine\\s+Linux\\s+5\\.0\\s+/i) {
	print "oscheck='Vine Linux 5.0'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.5\\.1\\s/i) {
	print "oscheck='Sun Solaris 2.5.1'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.6\\s/i) {
	print "oscheck='Sun Solaris 2.6'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.7\\s/i) {
	print "oscheck='Sun Solaris 7'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.8\\s/i) {
	print "oscheck='Sun Solaris 8'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.9\\s/i) {
	print "oscheck='Sun Solaris 9'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.10\\s/i) {
	print "oscheck='Sun Solaris 10'\\n";
	}
if (\$etc_issue =~ /OpenLinux.*eServer.*\\n.*\\s2\\.3\\s/i) {
	print "oscheck='Caldera OpenLinux eServer 2.3'\\n";
	}
if (\$etc_issue =~ /OpenLinux.*\\n.*\\s2\\.3\\s/i) {
	print "oscheck='Caldera OpenLinux 2.3'\\n";
	}
if (\$etc_issue =~ /OpenLinux.*\\n.*\\s2\\.4\\s/i) {
	print "oscheck='Caldera OpenLinux 2.4'\\n";
	}
if (\$etc_issue =~ /OpenLinux.*\\n.*\\s2\\.5\\s/i || \$etc_issue =~ /Caldera.*2000/i) {
	print "oscheck='Caldera OpenLinux 2.5'\\n";
	}
if (\$etc_issue =~ /OpenLinux.*3\\.1/i) {
	print "oscheck='Caldera OpenLinux 3.1'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s5\\.0/i) {
	print "oscheck='Redhat Linux 5.0'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s5\\.1/i) {
	print "oscheck='Redhat Linux 5.1'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s5\\.2/i) {
	print "oscheck='Redhat Linux 5.2'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s6\\.0/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /6\\.0/) {
	print "oscheck='Redhat Linux 6.0'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s6\\.1/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /6\\.1/) {
	print "oscheck='Redhat Linux 6.1'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s6\\.2/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /6\\.2/) {
	print "oscheck='Redhat Linux 6.2'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s7\\.0/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /7\\.0/) {
	print "oscheck='Redhat Linux 7.0'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s7\\.1/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /7\\.1/) {
	print "oscheck='Redhat Linux 7.1'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s7\\.2/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /7\\.2/) {
	print "oscheck='Redhat Linux 7.2'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s7\\.3\\s/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /7\\.3\\s/ || \$etc_issue =~ /VMware\\s+ESX\\s+Server\\s+2\\.0/i) {
	print "oscheck='Redhat Linux 7.3'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s8\\.0\\s/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /\\s8\\.0\\s/) {
	print "oscheck='Redhat Linux 8.0'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s9(\\.0)?\\s/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /red\\s*hat.*\\s9(\\.0)?\\s/i) {
	print "oscheck='Redhat Linux 9.0'\\n";
	}
if ( \$etc_issue =~ /red\\s*hat.*\\s10(\\.0)?\\s/i || \`cat /etc/redhat-release /etc/fedora-release 2>/dev/null\` =~ /red\\s*hat.*\\s10(\\.0)?\\s/i || \`cat /etc/redhat-release /etc/fedora-release 2>/dev/null\` =~ /Fedora.*\\s1\\s/i) {
	print "oscheck='Redhat Linux Fedora 1'\\n";
	}
if ( \`cat /etc/redhat-release /etc/fedora-release 2>/dev/null\` =~ /Fedora.*(\\s2\\s)|(FC2)/i || \`cat /etc/redhat-release /etc/fedora-release 2>/dev/null\` =~ /X\\/OS.*release\\s2\\.0\\s/i || \`cat /etc/alphacore-release 2>/dev/null\` =~ /Alpha\\s*Core\\s+release\\s+0\\.9\\s/i) {
	print "oscheck='Redhat Linux Fedora 2'\\n";
	}
if ( \`cat /etc/redhat-release /etc/fedora-release 2>/dev/null\` =~ /Fedora.*(\\s3\\s)|(FC3)/i || \`cat /etc/redhat-release /etc/fedora-release 2>/dev/null\` =~ /X\\/OS.*release\\s3\\.0\\s/i) {
	print "oscheck='Redhat Linux Fedora 3'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /(Advanced\\s+Server.*2\\.1)|(AS.*2\\.1)/i) {
	print "oscheck='Redhat Linux 2.1AS'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /ES.*2\\.1/) {
	print "oscheck='Redhat Linux 2.1ES'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /WS.*2\\.1/) {
	print "oscheck='Redhat Linux 2.1WS'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /(3\\.0AS)|(2\\.9\\.5AS)|(AS\\s+release\\s+3)/i) {
	print "oscheck='Redhat Linux 3.0AS'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /ES\\s+release\\s+3/ || \`cat /etc/whitebox-release 2>/dev/null\` =~ /White\\s+Box\\s+Enterprise\\s+Linux\\s+release\\s+3/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /Tao\\s+Linux\\s+release\\s+1/ || \`cat /etc/redhat-release 2>/dev/null\` =~ /CentOS\\s+release\\s+3/ || \`cat /etc/redhat-release 2>/dev/null\` =~ /Scientific\\s+Linux.*\\s+release\\s+3/i) {
	print "oscheck='Redhat Linux 3.0ES'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /WS\\s+release\\s+3/) {
	print "oscheck='Redhat Linux 3.0WS'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /Desktop\\s+release\\s+3/i) {
	print "oscheck='Redhat Linux Desktop 3'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /7\\.0/) {
	print "oscheck='Slackware Linux 7.0'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /7\\.1/) {
	print "oscheck='Slackware Linux 7.1'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /8\\.0/) {
	print "oscheck='Slackware Linux 8.0'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /8\\.1/) {
	print "oscheck='Slackware Linux 8.1'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /9\\.0/) {
	print "oscheck='Slackware Linux 9.0'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /9\\.1/) {
	print "oscheck='Slackware Linux 9.1'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /10\\.0/) {
	print "oscheck='Slackware Linux 10.0'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /10\\.1/) {
	print "oscheck='Slackware Linux 10.1'\\n";
	}
if (\$etc_issue =~ /Debian.*\\s2\\.0\\s/i) {
	print "oscheck='Debian Linux 2.0'\\n";
	}
if (\$etc_issue =~ /Debian.*\\s2\\.1\\s/i) {
	print "oscheck='Debian Linux 2.1'\\n";
	}
if (\$etc_issue =~ /Debian.*\\s2\\.2\\s/i) {
	print "oscheck='Debian Linux 2.2'\\n";
	}
if (\$etc_issue =~ /Debian.*\\s3\\.0\\s/i) {
	print "oscheck='Debian Linux 3.0'\\n";
	}
if (\$etc_issue =~ /Debian.*\\s3\\.1\\s/i) {
	print "oscheck='Debian Linux 3.1'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /6\\.0/ || \$etc_issue =~ /SuSE\\s+Linux\\s+6\\.0\\s/i) {
	print "oscheck='SuSE Linux 6.0'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /6\\.1/ || \$etc_issue =~ /SuSE\\s+Linux\\s+6\\.1\\s/i) {
	print "oscheck='SuSE Linux 6.1'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /6\\.2/ || \$etc_issue =~ /SuSE\\s+Linux\\s+6\\.2\\s/i) {
	print "oscheck='SuSE Linux 6.2'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /6\\.3/ || \$etc_issue =~ /SuSE\\s+Linux\\s+6\\.3\\s/i) {
	print "oscheck='SuSE Linux 6.3'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /6\\.4/ || \$etc_issue =~ /SuSE\\s+Linux\\s+6\\.4\\s/i) {
	print "oscheck='SuSE Linux 6.4'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /7\\.0/ || \$etc_issue =~ /SuSE\\s+Linux\\s+7\\.0\\s/i || \$etc_issue =~ /SuSE\\s+eMail\\s+Server/i || \$etc_issue =~ /SuSE\\s+SLES-7/i) {
	print "oscheck='SuSE Linux 7.0'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /7\\.1/ || \$etc_issue =~ /SuSE\\s+Linux\\s+7\\.1\\s/i) {
	print "oscheck='SuSE Linux 7.1'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /7\\.2/ || \$etc_issue =~ /SuSE\\s+Linux\\s+7\\.2\\s/i) {
	print "oscheck='SuSE Linux 7.2'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /7\\.3/ || \$etc_issue =~ /SuSE\\s+Linux\\s+7\\.3\\s/i) {
	print "oscheck='SuSE Linux 7.3'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /8\\.0/ || \$etc_issue =~ /SuSE\\s+Linux\\s+8\\.0\\s/i) {
	print "oscheck='SuSE Linux 8.0'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /8\\.1/ || \$etc_issue =~ /SuSE\\s+Linux\\s+8\\.1\\s/i) {
	print "oscheck='SuSE Linux 8.1'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /8\\.2/ || \$etc_issue =~ /SuSE\\s+Linux\\s+8\\.2\\s/i) {
	print "oscheck='SuSE Linux 8.2'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /(9\\.0|\\s9\\s)/ || \$etc_issue =~ /SuSE\\s+Linux((\\s9\\.0\\s)|(\\s9\\s))/i || \$etc_issue =~ /SuSE\\s+SLES-9/i) {
	print "oscheck='SuSE Linux 9.0'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /9\\.1/ || \$etc_issue =~ /SuSE\\s+Linux\\s+9\\.1\\s/i) {
	print "oscheck='SuSE Linux 9.1'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /9\\.2/ || \$etc_issue =~ /SuSE\\s+Linux\\s+9\\.2\\s/i) {
	print "oscheck='SuSE Linux 9.2'\\n";
	}
if ( \`cat /etc/SLOX-release 2>/dev/null\` =~ /VERSION\\s+=\\s+4\\.0/i) {
	print "oscheck='SuSE Linux OpenExchange 4.0'\\n";
	}
if (\`cat /etc/UnitedLinux-release 2>/dev/null\` =~ /1\\.0/) {
	print "oscheck='United Linux 1.0'\\n";
	}
if (\$etc_issue =~ /Corel\\s+LINUX\\s+1\\.0/i) {
	print "oscheck='Corel Linux 1.0'\\n";
	}
if (\$etc_issue =~ /Corel\\s+LINUX\\s+1\\.1/i) {
	print "oscheck='Corel Linux 1.1'\\n";
	}
if (\$etc_issue =~ /Corel\\s+LINUX\\s+1\\.2/i) {
	print "oscheck='Corel Linux 1.2'\\n";
	}
if (\`cat /etc/turbolinux-release 2>/dev/null\` =~ /release\\s+4\\.0\\s+/i) {
	print "oscheck='TurboLinux 4.0'\\n";
	}
if (\`cat /etc/turbolinux-release 2>/dev/null\` =~ /release\\s+6\\.0\\s+/i || \`cat /etc/turbolinux-release 2>/dev/null\` =~ /release\\s+6\\s+advanced/i) {
	print "oscheck='TurboLinux 6.0'\\n";
	}
if (\`cat /etc/turbolinux-release 2>/dev/null\` =~ /release\\s+6\\.1\\s+/i) {
	print "oscheck='TurboLinux 6.1'\\n";
	}
if (\`cat /etc/turbolinux-release 2>/dev/null\` =~ /release\\s+6\\.5\\s+/i) {
	print "oscheck='TurboLinux 6.5'\\n";
	}
if (\`cat /etc/turbolinux-release 2>/dev/null\` =~ /7\\.0/i) {
	print "oscheck='TurboLinux 7.0'\\n";
	}
if (\$etc_issue =~ /Cobalt\\s+Linux\\s+release\\s+2.2/i || \`cat /etc/cobalt-release 2>/dev/null\` =~ /2\\.2/) {
	print "oscheck='Cobalt Linux 2.2'\\n";
	}
if (\$etc_issue =~ /Cobalt\\s+Linux\\s+release\\s+4.0/i || \`cat /etc/cobalt-release 2>/dev/null\` =~ /4\\.0/) {
	print "oscheck='Cobalt Linux 4.0'\\n";
	}
if (\$etc_issue =~ /Cobalt\\s+Linux\\s+release\\s+5.0/i || \`cat /etc/cobalt-release 2>/dev/null\` =~ /5\\.0/) {
	print "oscheck='Cobalt Linux 5.0'\\n";
	}
if (\$etc_issue =~ /Cobalt\\s+Linux\\s+release\\s+6.0/i || \`cat /etc/cobalt-release 2>/dev/null\` =~ /6\\.0/) {
	print "oscheck='Cobalt Linux 6.0'\\n";
	}
if (\`uname -r\` =~ /2.2.16/ && -r "/etc/cobalt-release") {
	print "oscheck='Cobalt Linux 6.4'\\n";
	}
if (\`cat /etc/cobalt-release 2>/dev/null\` =~ /7\\.0/) {
	print "oscheck='Cobalt Linux 7.0'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+5\\.3/i) {
	print "oscheck='Mandrake Linux 5.3'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+6\\.0/i) {
	print "oscheck='Mandrake Linux 6.0'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+6\\.1/i) {
	print "oscheck='Mandrake Linux 6.1'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+7\\.0/i) {
	print "oscheck='Mandrake Linux 7.0'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+7\\.1/i) {
	print "oscheck='Mandrake Linux 7.1'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+7\\.2/i) {
	print "oscheck='Mandrake Linux 7.2'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /8\\.0/ || \$etc_issue =~ /Mandrake\\s+release\\s+8\\.0/i) {
	print "oscheck='Mandrake Linux 8.0'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /8\\.1/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+8\\.1/i) {
	print "oscheck='Mandrake Linux 8.1'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /8\\.2/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+8\\.2/i) {
	print "oscheck='Mandrake Linux 8.2'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /9\\.0/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+9\\.0/i) {
	print "oscheck='Mandrake Linux 9.0'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /9\\.1/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+9\\.1/i) {
	print "oscheck='Mandrake Linux 9.1'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /9\\.2/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+9\\.2/i) {
	print "oscheck='Mandrake Linux 9.2'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /10\\.0/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+10\\.0/i) {
	print "oscheck='Mandrake Linux 10.0'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /10\\.1/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+10\\.1/i) {
	print "oscheck='Mandrake Linux 10.1'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+Corporate\\s+Server\\s+release\\s+1\\.0/i) {
	print "oscheck='Mandrake Linux Corporate Server 1.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*3\\.0/i) {
	print "oscheck='Conectiva Linux 3.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*4\\.0/i) {
	print "oscheck='Conectiva Linux 4.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*4\\.1/i) {
	print "oscheck='Conectiva Linux 4.1'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*4\\.2/i) {
	print "oscheck='Conectiva Linux 4.2'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*5\\.0/i) {
	print "oscheck='Conectiva Linux 5.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*5\\.1/i) {
	print "oscheck='Conectiva Linux 5.1'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*6\\.0/i) {
	print "oscheck='Conectiva Linux 6.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*7\\.0/i) {
	print "oscheck='Conectiva Linux 7.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*\\s8/i) {
	print "oscheck='Conectiva Linux 8'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*\\s9/i) {
	print "oscheck='Conectiva Linux 9'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*\\s10\\s/i) {
	print "oscheck='Conectiva Linux 10'\\n";
	}
if (\$etc_issue =~ /Thiz.*Linux.*\\s5\\.0/i) {
	print "oscheck='ThizLinux Desktop 5.0'\\n";
	}
if (\$etc_issue =~ /Thiz.*Linux.*\\s6\\.0/i) {
	print "oscheck='ThizLinux Desktop 6.0'\\n";
	}
if (\$etc_issue =~ /Thiz.*Linux.*\\s6\\.2/i) {
	print "oscheck='ThizLinux Desktop 6.2'\\n";
	}
if (\$etc_issue =~ /Thiz.*Linux.*\\s7\\.0/i) {
	print "oscheck='ThizLinux Desktop 7.0'\\n";
	}
if (\$etc_issue =~ /Thiz.*\\s?Server.*\\s4\\.3/i) {
	print "oscheck='ThizServer 4.3'\\n";
	}
if (\$etc_issue =~ /Thiz.*\\s?Server.*\\s6\\.0/i) {
	print "oscheck='ThizServer 6.0'\\n";
	}
if (\$etc_issue =~ /Thiz.*\\s?Server.*\\s7\\.0/i) {
	print "oscheck='ThizServer 7.0'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2001.*January/i || \$etc_issue =~ /2001.*January/i) {
	print "oscheck='MSC Linux January 2001'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2001.*February/i || \$etc_issue =~ /2001.*February/i) {
	print "oscheck='MSC Linux February 2001'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2001.*May/i || \$etc_issue =~ /2001.*May/i) {
	print "oscheck='MSC Linux May 2001'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2001.*June/i || \$etc_issue =~ /2001.*June/i) {
	print "oscheck='MSC Linux June 2001'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2001.*August/i || \$etc_issue =~ /2001.*August/i) {
	print "oscheck='MSC Linux August 2001'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2002.*February/i || \$etc_issue =~ /2002.*February/i) {
	print "oscheck='MSC Linux February 2002'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2002.*March/i || \$etc_issue =~ /2002.*March/i) {
	print "oscheck='MSC Linux March 2002'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2002.*May/i || \$etc_issue =~ /2002.*May/i) {
	print "oscheck='MSC Linux May 2002'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2002.*July/i || \$etc_issue =~ /2002.*July/i) {
	print "oscheck='MSC Linux July 2002'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2002.*Nov/i || \$etc_issue =~ /2002.*Nov/i) {
	print "oscheck='MSC Linux Nov 2002'\\n";
	}
if (\$etc_issue =~ /LinuxPPC\\s+2000/i) {
	print "oscheck='LinuxPPC 2000'\\n";
	}
if (\$etc_issue =~ /Trustix.*1\\.1/i) {
	print "oscheck='Trustix 1.1'\\n";
	}
if (\$etc_issue =~ /Trustix.*1\\.2/i) {
	print "oscheck='Trustix 1.2'\\n";
	}
if (\$etc_issue =~ /Trustix.*1\\.5/i) {
	print "oscheck='Trustix 1.5'\\n";
	}
if (\$etc_issue =~ /Trustix.*2\\.0/i || \$etc_issue =~ /Tawie\\s+Server\\s+Linux.*2\\.0/i || \$etc_issue =~ /tinysofa.*release\\s+1\\.0/i) {
	print "oscheck='Trustix 2.0'\\n";
	}
if (\$etc_issue =~ /Trustix.*2\\.1/i || \$etc_issue =~ /Tawie\\s+Server\\s+Linux.*2\\.1/i) {
	print "oscheck='Trustix 2.1'\\n";
	}
if (\$etc_issue =~ /Trustix.*2\\.2/i || \$etc_issue =~ /Tawie\\s+Server\\s+Linux.*2\\.2/i) {
	print "oscheck='Trustix 2.2'\\n";
	}
if (\$etc_issue =~ /Trustix.*Enterprise.*2\\)/i) {
	print "oscheck='Trustix SE 2'\\n";
	}
if (\$etc_issue =~ /Cendio\\s*LBS.*\\s3\\.1/i || \`cat /etc/lbs-release 2>/dev/null\` =~ /3\\.1/) {
	print "oscheck='Cendio LBS Linux 3.1'\\n";
	}
if (\$etc_issue =~ /Cendio\\s*LBS.*\\s3\\.2/i || \`cat /etc/lbs-release 2>/dev/null\` =~ /3\\.2/) {
	print "oscheck='Cendio LBS Linux 3.2'\\n";
	}
if (\$etc_issue =~ /Cendio\\s*LBS.*\\s3\\.3/i || \`cat /etc/lbs-release 2>/dev/null\` =~ /3\\.3/) {
	print "oscheck='Cendio LBS Linux 3.3'\\n";
	}
if (\$etc_issue =~ /Cendio\\s*LBS.*\\s4\\.0/i || \`cat /etc/lbs-release 2>/dev/null\` =~ /4\\.0/) {
	print "oscheck='Cendio LBS Linux 4.0'\\n";
	}
if (\$etc_issue =~ /Cendio\\s*LBS.*\\s4\\.1/i || \`cat /etc/lbs-release 2>/dev/null\` =~ /4\\.1/) {
	print "oscheck='Cendio LBS Linux 4.1'\\n";
	}
if (\`cat /etc/ute-release 2>/dev/null\` =~ /Ute\\s+Linux\\s+release\\s+1\\.0/i) {
	print "oscheck='Ute Linux 1.0'\\n";
	}
if (\$etc_issue =~ /Lanthan\\s+Linux\\s+release\\s+1\\.0/i || \`cat /etc/lanthan-release 2>/dev/null\` =~ /1\\.0/) {
	print "oscheck='Lanthan Linux 1.0'\\n";
	}
if (\$etc_issue =~ /Lanthan\\s+Linux\\s+release\\s+2\\.0/i || \`cat /etc/lanthan-release 2>/dev/null\` =~ /2\\.0/) {
	print "oscheck='Lanthan Linux 2.0'\\n";
	}
if (\$etc_issue =~ /Lanthan\\s+Linux\\s+release\\s+3\\.0/i || \`cat /etc/lanthan-release 2>/dev/null\` =~ /3\\.0/) {
	print "oscheck='Lanthan Linux 3.0'\\n";
	}
if (\$etc_issue =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.0\\s+/i || \`cat /etc/yellowdog-release 2>/dev/null\` =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.0\\s+/i) {
	print "oscheck='Yellow Dog Linux 2.0'\\n";
	}
if (\$etc_issue =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.1\\s+/i || \`cat /etc/yellowdog-release 2>/dev/null\` =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.1\\s+/i) {
	print "oscheck='Yellow Dog Linux 2.1'\\n";
	}
if (\$etc_issue =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.2\\s+/i || \`cat /etc/yellowdog-release 2>/dev/null\` =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.2\\s+/i) {
	print "oscheck='Yellow Dog Linux 2.2'\\n";
	}
if (\$etc_issue =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.3\\s+/i || \`cat /etc/yellowdog-release 2>/dev/null\` =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.3\\s+/i) {
	print "oscheck='Yellow Dog Linux 2.3'\\n";
	}
if (\$etc_issue =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+3\\.0\\s+/i || \`cat /etc/yellowdog-release 2>/dev/null\` =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+3\\.0\\s+/i) {
	print "oscheck='Yellow Dog Linux 3.0'\\n";
	}
if (\$etc_issue =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+4\\.0\\s+/i || \`cat /etc/yellowdog-release 2>/dev/null\` =~ /\\s4\\.0\\s/i) {
	print "oscheck='Yellow Dog Linux 4.0'\\n";
	}
if (\`cat /etc/latinux-release 2>/dev/null\` =~ /Latinux\\s+8\\s/i) {
	print "oscheck='Corvus Latinux 8.0'\\n";
	}
if (\$etc_issue =~ /Immunix.*\\s6\\.2/i || \`cat /etc/immunix-release 2>/dev/null\` =~ /6\\.2/) {
	print "oscheck='Immunix Linux 6.2'\\n";
	}
if (\$etc_issue =~ /Immunix.*\\s7\\.0/i || \`cat /etc/immunix-release 2>/dev/null\` =~ /7\\.0/) {
	print "oscheck='Immunix Linux 7.0'\\n";
	}
if (-d "/usr/portage") {
	print "oscheck='Gentoo Linux Any version'\\n";
	}
if (\$etc_issue =~ /Lycoris Desktop/i) {
	print "oscheck='Lycoris Desktop/LX 1.0'\\n";
	}
if (\`cat /etc/securelinux-release 2>/dev/null\` =~ /SecureLinux.*1\\.0/i) {
	print "oscheck='Secure Linux 1.0'\\n";
	}
if (\`cat /etc/openna-release 2>/dev/null\` =~ /release\\s+1\\.0\\s/i) {
	print "oscheck='OpenNA Linux 1.0'\\n";
	}
if (\`cat /tmp/wd/version 2>/dev/null\` =~ /2\\.1\\.0/) {
	print "oscheck='White Dwarf Linux 2.1.0'\\n";
	}
if (-r "/etc/antitachyon-distribution") {
	print "oscheck='SoL Linux 17.00'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s1\\.1/i || \`cat /etc/coherent-release 2>&1\` =~ /1\\.1/) {
	print "oscheck='Coherent Technology Linux 1.1'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s1\\.2/i || \`cat /etc/coherent-release 2>&1\` =~ /1\\.2/) {
	print "oscheck='Coherent Technology Linux 1.2'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s1\\.3/i || \`cat /etc/coherent-release 2>&1\` =~ /1\\.3/) {
	print "oscheck='Coherent Technology Linux 1.3'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s2\\.0/i || \`cat /etc/coherent-release 2>&1\` =~ /2\\.0/) {
	print "oscheck='Coherent Technology Linux 2.0'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s3\\.0/i || \`cat /etc/coherent-release 2>&1\` =~ /3\\.0/) {
	print "oscheck='Coherent Technology Linux 3.0'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s3\\.1/i || \`cat /etc/coherent-release 2>&1\` =~ /3\\.1/) {
	print "oscheck='Coherent Technology Linux 3.1'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s3\\.2/i || \`cat /etc/coherent-release 2>&1\` =~ /3\\.2/) {
	print "oscheck='Coherent Technology Linux 3.2'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s3\\.3/i || \`cat /etc/coherent-release 2>&1\` =~ /3\\.3/) {
	print "oscheck='Coherent Technology Linux 3.3'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s3\\.4/i || \`cat /etc/coherent-release 2>&1\` =~ /3\\.4/) {
	print "oscheck='Coherent Technology Linux 3.4'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s3\\.5/i || \`cat /etc/coherent-release 2>&1\` =~ /3\\.5/) {
	print "oscheck='Coherent Technology Linux 3.5'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s3\\.6/i || \`cat /etc/coherent-release 2>&1\` =~ /3\\.6/) {
	print "oscheck='Coherent Technology Linux 3.6'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s3\\.7/i || \`cat /etc/coherent-release 2>&1\` =~ /3\\.7/) {
	print "oscheck='Coherent Technology Linux 3.7'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s3\\.8/i || \`cat /etc/coherent-release 2>&1\` =~ /3\\.8/) {
	print "oscheck='Coherent Technology Linux 3.8'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s3\\.9/i || \`cat /etc/coherent-release 2>&1\` =~ /3\\.9/) {
	print "oscheck='Coherent Technology Linux 3.9'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s4\\.0/i || \`cat /etc/coherent-release 2>&1\` =~ /4\\.0/) {
	print "oscheck='Coherent Technology Linux 4.0'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s4\\.1/i || \`cat /etc/coherent-release 2>&1\` =~ /4\\.1/) {
	print "oscheck='Coherent Technology Linux 4.1'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s4\\.2/i || \`cat /etc/coherent-release 2>&1\` =~ /4\\.2/) {
	print "oscheck='Coherent Technology Linux 4.2'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s4\\.3/i || \`cat /etc/coherent-release 2>&1\` =~ /4\\.3/) {
	print "oscheck='Coherent Technology Linux 4.3'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s4\\.4/i || \`cat /etc/coherent-release 2>&1\` =~ /4\\.4/) {
	print "oscheck='Coherent Technology Linux 4.4'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s4\\.5/i || \`cat /etc/coherent-release 2>&1\` =~ /4\\.5/) {
	print "oscheck='Coherent Technology Linux 4.5'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s4\\.6/i || \`cat /etc/coherent-release 2>&1\` =~ /4\\.6/) {
	print "oscheck='Coherent Technology Linux 4.6'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s4\\.7/i || \`cat /etc/coherent-release 2>&1\` =~ /4\\.7/) {
	print "oscheck='Coherent Technology Linux 4.7'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s4\\.8/i || \`cat /etc/coherent-release 2>&1\` =~ /4\\.8/) {
	print "oscheck='Coherent Technology Linux 4.8'\\n";
	}
if (\$etc_issue =~ /coherent\\s*technology.*\\s4\\.9/i || \`cat /etc/coherent-release 2>&1\` =~ /4\\.9/) {
	print "oscheck='Coherent Technology Linux 4.9'\\n";
	}
if (\$etc_issue =~ /PS2\\s+Linux\\s+release\\s+1.0/i) {
	print "oscheck='Playstation Linux 1.0'\\n";
	}
if (\`cat /etc/tinysofa-release 2>/dev/null\` =~ /release\\s+2\\.0/i) {
	print "oscheck='TinySofa Linux 2.0'\\n";
	}
if (\`cat /etc/startcom-release 2>/dev/null\` =~ /3\\.0/) {
	print "oscheck='StartCom Linux 3.0'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s2\\.1/i) {
	print "oscheck='FreeBSD 2.1'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s2\\.2/i) {
	print "oscheck='FreeBSD 2.2'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.0/i) {
	print "oscheck='FreeBSD 3.0'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.1/i) {
	print "oscheck='FreeBSD 3.1'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.2/i) {
	print "oscheck='FreeBSD 3.2'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.3/i) {
	print "oscheck='FreeBSD 3.3'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.4/i) {
	print "oscheck='FreeBSD 3.4'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.5/i) {
	print "oscheck='FreeBSD 3.5'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.0/i) {
	print "oscheck='FreeBSD 4.0'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.1(\\s|\\-)/i) {
	print "oscheck='FreeBSD 4.1'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.2/i) {
	print "oscheck='FreeBSD 4.2'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.3/i) {
	print "oscheck='FreeBSD 4.3'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.4/i) {
	print "oscheck='FreeBSD 4.4'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.5/i) {
	print "oscheck='FreeBSD 4.5'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.6/i) {
	print "oscheck='FreeBSD 4.6'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.7/i) {
	print "oscheck='FreeBSD 4.7'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.8/i) {
	print "oscheck='FreeBSD 4.8'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.9/i) {
	print "oscheck='FreeBSD 4.9'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.10(\\s|\\-)/i) {
	print "oscheck='FreeBSD 4.10'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s5\\.0/i) {
	print "oscheck='FreeBSD 5.0'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s5\\.1/i) {
	print "oscheck='FreeBSD 5.1'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s5\\.2/i) {
	print "oscheck='FreeBSD 5.2'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s5\\.2/i) {
	print "oscheck='FreeBSD 5.3'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s2\\.5/i) {
	print "oscheck='OpenBSD 2.5'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s2\\.6/i) {
	print "oscheck='OpenBSD 2.6'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s2\\.7/i) {
	print "oscheck='OpenBSD 2.7'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s2\\.8/i) {
	print "oscheck='OpenBSD 2.8'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s2\\.9/i) {
	print "oscheck='OpenBSD 2.9'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.0/i) {
	print "oscheck='OpenBSD 3.0'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.1/i) {
	print "oscheck='OpenBSD 3.1'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.2/i) {
	print "oscheck='OpenBSD 3.2'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.3/i) {
	print "oscheck='OpenBSD 3.3'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.4/i) {
	print "oscheck='OpenBSD 3.4'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.5/i) {
	print "oscheck='OpenBSD 3.5'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.6/i) {
	print "oscheck='OpenBSD 3.6'\\n";
	}
if (\$uname =~ /NetBSD.*1\\.5/i) {
	print "oscheck='NetBSD 1.5'\\n";
	}
if (\$uname =~ /NetBSD.*1\\.6/i) {
	print "oscheck='NetBSD 1.6'\\n";
	}
if (\$uname =~ /NetBSD.*2\\.0/i) {
	print "oscheck='NetBSD 2.0'\\n";
	}
if (\$uname =~ /DragonFly.*\\s1\\.0A/i) {
	print "oscheck='DragonFly BSD 1.0'\\n";
	}
if (\$uname =~ /HP-UX.*10\\.01/) {
	print "oscheck='HP/UX 10.01'\\n";
	}
if (\$uname =~ /HP-UX.*10\\.10/) {
	print "oscheck='HP/UX 10.10'\\n";
	}
if (\$uname =~ /HP-UX.*10\\.20/) {
	print "oscheck='HP/UX 10.20'\\n";
	}
if (\$uname =~ /HP-UX.*10\\.30/) {
	print "oscheck='HP/UX 10.30'\\n";
	}
if (\$uname =~ /HP-UX.*11\\./) {
	print "oscheck='HP/UX 11'\\n";
	}
if (\$uname =~ /IRIX.*6\\.0/i) {
	print "oscheck='SGI Irix 6.0'\\n";
	}
if (\$uname =~ /IRIX.*6\\.1/i) {
	print "oscheck='SGI Irix 6.1'\\n";
	}
if (\$uname =~ /IRIX.*6\\.2/i) {
	print "oscheck='SGI Irix 6.2'\\n";
	}
if (\$uname =~ /IRIX.*6\\.3/i) {
	print "oscheck='SGI Irix 6.3'\\n";
	}
if (\$uname =~ /IRIX.*6\\.4/i) {
	print "oscheck='SGI Irix 6.4'\\n";
	}
if (\$uname =~ /IRIX.*6\\.5/i) {
	print "oscheck='SGI Irix 6.5'\\n";
	}
if (\$uname =~ /OSF1.*4\\.0/) {
	print "oscheck='DEC/Compaq OSF/1 4.0'\\n";
	}
if (\$uname =~ /OSF1.*V5.1/) {
	print "oscheck='DEC/Compaq OSF/1 5.1'\\n";
	}
if (\$uname =~ /\\sAIX\\s+2\\s+4\\s+/i) {
	print "oscheck='IBM AIX 4.2'\\n";
	}
if (\$uname =~ /\\sAIX\\s+3\\s+4\\s+/i) {
	print "oscheck='IBM AIX 4.3'\\n";
	}
if (\$uname =~ /\\sAIX\\s+0\\s+5\\s+/i) {
	print "oscheck='IBM AIX 5.0'\\n";
	}
if (\$uname =~ /\\sAIX\\s+1\\s+5\\s+/i) {
	print "oscheck='IBM AIX 5.1'\\n";
	}
if (\$uname =~ /\\sAIX\\s+2\\s+5\\s+/i) {
	print "oscheck='IBM AIX 5.2'\\n";
	}
if (\$uname =~ /SCO_SV.*\\s5\\./i) {
	print "oscheck='SCO OpenServer 5'\\n";
	}
if (\`sw_vers 2>/dev/null\` =~ /ProductVersion:\\s+10\\.0/i) {
	print "oscheck='Mac OS X / OS X Server 10.0'\\n";
	}
if (\`sw_vers 2>/dev/null\` =~ /ProductVersion:\\s+10\\.1/i) {
	print "oscheck='Mac OS X / OS X Server 10.1'\\n";
	}
if (\`sw_vers 2>/dev/null\` =~ /ProductVersion:\\s+10\\.2/i) {
	print "oscheck='Mac OS X / OS X Server 10.2'\\n";
	}
if (\`sw_vers 2>/dev/null\` =~ /ProductVersion:\\s+10\\.3/i) {
	print "oscheck='Mac OS X / OS X Server 10.3'\\n";
	}
if (\$uname =~ /Darwin.*\\s1\\.0/) {
	print "oscheck='Darwin 1.0'\\n";
	}
if (\$uname =~ /Darwin.*\\s1\\.2/) {
	print "oscheck='Darwin 1.2'\\n";
	}
if (\$uname =~ /Darwin.*\\s1\\.3/) {
	print "oscheck='Darwin 1.3'\\n";
	}
if (\$uname =~ /Darwin.*\\s1\\.4/) {
	print "oscheck='Darwin 1.4'\\n";
	}
if (\$uname =~ /Darwin.*\\s5\\.1/) {
	print "oscheck='Darwin 5.1'\\n";
	}
if (\$uname =~ /Darwin.*\\s5\\.2/) {
	print "oscheck='Darwin 5.2'\\n";
	}
if (\$uname =~ /Darwin.*\\s5\\.3/) {
	print "oscheck='Darwin 5.3'\\n";
	}
if (\$uname =~ /Darwin.*\\s5\\.4/) {
	print "oscheck='Darwin 5.4'\\n";
	}
if (\$uname =~ /Darwin.*\\s5\\.5/) {
	print "oscheck='Darwin 5.5'\\n";
	}
if (\$uname =~ /Darwin.*\\s6\\.0/) {
	print "oscheck='Darwin 6.0'\\n";
	}
if (\$uname =~ /Darwin.*\\s6\\.1/) {
	print "oscheck='Darwin 6.1'\\n";
	}
if (\$uname =~ /Darwin.*\\s6\\.2/) {
	print "oscheck='Darwin 6.2'\\n";
	}
if (\$uname =~ /Darwin.*\\s6\\.3/) {
	print "oscheck='Darwin 6.3'\\n";
	}
if (\$uname =~ /Darwin.*\\s6\\.4/) {
	print "oscheck='Darwin 6.4'\\n";
	}
if (\$uname =~ /Darwin.*\\s6\\.5/) {
	print "oscheck='Darwin 6.5'\\n";
	}
if (\$uname =~ /Darwin.*\\s6\\.6/) {
	print "oscheck='Darwin 6.6'\\n";
	}
if (\$uname =~ /Darwin.*\\s6\\.7/) {
	print "oscheck='Darwin 6.7'\\n";
	}
if (\$uname =~ /Darwin.*\\s6\\.8/) {
	print "oscheck='Darwin 6.8'\\n";
	}
if (\$uname =~ /Darwin.*\\s7\\.0/) {
	print "oscheck='Darwin 7.0'\\n";
	}
if (\$uname =~ /Darwin.*\\s7\\.1/) {
	print "oscheck='Darwin 7.1'\\n";
	}
if (\$uname =~ /Darwin.*\\s7\\.2/) {
	print "oscheck='Darwin 7.2'\\n";
	}
if (\$uname =~ /Darwin.*\\s7\\.3/) {
	print "oscheck='Darwin 7.3'\\n";
	}
if (\$uname =~ /Darwin.*\\s7\\.4/) {
	print "oscheck='Darwin 7.4'\\n";
	}
if (\$uname =~ /Darwin.*\\s7\\.5/) {
	print "oscheck='Darwin 7.5'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /Java Desktop System.*\\nVERSION = 1\\.0/i) {
	print "oscheck='Sun Java Desktop System 1.0 (Linux)'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /Java Desktop System.*\\nVERSION = 2\\.0/i) {
	print "oscheck='Sun Java Desktop System 2.0 (Linux)'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /Java Desktop System.*\\nVERSION = 3\\.0/i) {
	print "oscheck='Sun Java Desktop System 3.0 (Linux)'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.9\\s/i && \`cat /etc/sun-release 2>/dev/null\` =~ /Sun\\s+Java\\s+Desktop/) {
	print "oscheck='Sun Java Desktop System 2.0 (Solaris)'\\n";
	}

EOD
. /tmp/.webmin/$$.check
rm -f /tmp/.webmin/$$.check
if [ ! -r /etc/webmin/config ]; then
	if [ "$oscheck" = "" ]; then
		echo Unabled to identify operating system
		exit 2
	fi
	echo Operating system is $oscheck
	if [ "$WEBMIN_PORT" != "" ]; then
		port=$WEBMIN_PORT
	else
		port=10000
	fi
	perl -e 'use Socket; socket(FOO, PF_INET, SOCK_STREAM, getprotobyname("tcp")); setsockopt(FOO, SOL_SOCKET, SO_REUSEADDR, pack("l", 1)); bind(FOO, pack_sockaddr_in($ARGV[0], INADDR_ANY)) || exit(1); exit(0);' $port
	if [ "$?" != "0" ]; then
		echo Port $port is already in use
		exit 2
	fi
fi

%post
/sbin/chkconfig --add webmin
if [ "$1" != 1 ]; then
	# Upgrading the RPM, so stop the old webmin properly
	/etc/init.d/webmin stop
fi
cd /usr/libexec/webmin
config_dir=/etc/webmin
var_dir=/var/webmin
if [ -f $config_dir/config ]; then
  perl -pi -e 's/lang=ja\n/lang=ja_JP.euc\n/g' $config_dir/config
fi
perl=/usr/bin/perl
autoos=3
if [ "$WEBMIN_PORT" != "" ]; then
	port=$WEBMIN_PORT
else
	port=10000
fi
login=root
if [ -r /etc/shadow ]; then
	#crypt=`grep "^root:" /etc/shadow | cut -f 2 -d :`
	crypt=x
else
	crypt=`grep "^root:" /etc/passwd | cut -f 2 -d :`
fi
host=localhost
ssl=1
atboot=1
nochown=1
autothird=1
noperlpath=1
nouninstall=1
nostart=1
allow=127.0.0.1
CONF_LST_LANG=ja_JP.euc
export config_dir var_dir perl autoos port login crypt host ssl nochown autothird noperlpath nouninstall nostart allow CONF_LST_LANG
./setup.sh >/tmp/.webmin/webmin-setup.out 2>&1
rm -f /var/lock/subsys/webmin
/etc/init.d/webmin start
cat >/etc/webmin/uninstall.sh <<EOFF
#!/bin/sh
printf "Are you sure you want to uninstall Webmin? (y/n) : "
read answer
printf "\n"
if [ "\$answer" = "y" ]; then
	echo "Removing webmin RPM .."
	rpm -e --nodeps webmin
	echo "Done!"
fi
EOFF
chmod +x /etc/webmin/uninstall.sh
if [ -f $config_dir/miniserv.users ]; then
	perl -pi -e 's/root:XXUp2ozpdysrQ:0\n/root:$ENV{'crypt'}:0\n/g' $config_dir/miniserv.users
	perl -pi -e 's/root::0\n/root:$ENV{'crypt'}:0\n/g' $config_dir/miniserv.users
fi
%if %{?_dist_release}=="vl4"
if [ "$LANG" = "ja_JP.eucJP" ]; then
%else
if [ "$LANG" = "ja_JP.UTF-8" ]; then
%endif
    echo "Webminがインストールされました。mozillaなどのブラウザを開き、"
    echo "https://$host:10000/ にアクセスし、rootでログインしてください。"
else
    echo "Webmin install complete. You can now login to https://$host:10000/"
    echo "as root with your root password."
fi
%preun
if [ "$1" = 0 ]; then
	grep root=/usr/libexec/webmin /etc/webmin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of webmin
		# has taken it's place. Run uninstalls and stop the server
		echo "Running uninstall scripts .."
		(cd /usr/libexec/webmin ; WEBMIN_CONFIG=/etc/webmin WEBMIN_VAR=/var/webmin LANG= /usr/libexec/webmin/run-uninstalls.pl)
		/etc/rc.d/init.d/webmin stop
		/bin/true
	fi
	/sbin/chkconfig --del webmin
fi

%postun
if [ "$1" = 0 ]; then
	grep root=/usr/libexec/webmin /etc/webmin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of webmin
		# has taken it's place. Delete the config files
		rm -rf /etc/webmin /var/webmin
	fi
fi

%changelog
* Sat Jun  6 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.470-1
- applied new versioning policy, spec in UTF-8
- updated Patch0 and spec files for Vine Linux 5.0
- updated SOURCE11

* Thu Dec 27 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.290-0vl2
- updated Patch0 and spec files for Vine Linux 4.2
- don't redirect messages when start/stop webmin at %%post, %%preun and %%postun.

* Sat Sep 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.290-0vl1
- new upstream release
- changed Group to Applications/Administration
- updated Patch0 and spec files for Vine Linux 4.0

* Fri Jun 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.280-0vl1
- new upstream release

* Thu Sep  8 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.180-0vl3
- fixed Patch0 (restart section in /etc/rc.d/init.d/webmin)

* Thu Aug 25 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.180-0vl2
- updated for Vine 3.2 (Patch0, spec file)

* Wed Feb 16 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.180-0vl1
- new upstream release
- updated Patch0 for Vine3.1
- s/Copyright/License/
- changed Group:

* Tue Feb 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.070-0vl1
- new upstream release
- [SECURITY FIX]

* Wed Oct 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.000-1vl7
- change restart behavior in /etc/init.d/webmin.

* Wed Oct 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.000-1vl6
- fix /etc/init.d/webmin
  replace webmin root password as real password,
  when it is null(like root::0).

* Sun Oct 27 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.000-1vl5
- add allow=127.0.0.1 to miniserv.conf
- add some configuration check in /etc/init.d/webmin

* Sun Oct 27 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.000-1vl4
- fixed security bug.
  - add adhoc script to replace null root password in miniserv.users
    with real password.

* Tue Oct 08 2002 FUJIOKA Takeyuki <fuji@ftserve.net> 1.000-1vl3
- added some third party module. 
  (netatalk,iptables,ipchains and the patch.)

* Mon Oct 07 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.000-1vl2
- fix some patch bug.

* Mon Oct 07 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.000-1vl1
- replace lang name (ja -> ja_JP.euc) in config file at %%post script.

* Fri Oct 4 2002 FUJIOKA Takeyuki <fuji@ftserve.net> 1.00-0vl0
- updated to 1.00
- added Vine Linux patch
  (limit default access policy to 'allow=localhost' and SSL.)
  (Japanese login if LANG=ja_JP.eucJP)
  ("os_list.txt" to add the dectection of VineLinux)

* Sun Mar 31 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.92-0vl3
- added Source12 and Patch7 (netatalk webmin module 0.9)
- modified Patch4 for Vine 2.5 and 2.5CR

* Sun Mar 03 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.92-0vl2
- stop/start webmin service only if webmin is already running in %%post section

* Wed Feb 06 2002 Toru Sagami <sagami@vinelinux.org> 0.92-0vl1
- updated to 0.92 and added iptables module
- quit replacing quota bind8 sendmail file man modules

* Thu Jan  3 2002 Tomoya TAKA <taka@vinelinux.org> 0.91-0vl1
- update to 0.91
- add some updated modules to Webmin 0.91
  (cf. http://www.webmin.com/webmin/updates.html)
- update ipchains module to 0.83.1 and modify ipchains-Japanese.patch
- cleanup spec file

* Tue Nov 13 2001 Tomoya TAKA <taka@vinelinux.org> 0.88-0vl3
- remove /etc/webmin/ and /var/webmin/ from %%files

* Tue Oct 23 2001 Toru Sagami <sagami@vinelinux.org>
- 0.88-0vl3: fix for Insecure Temporary File Creation 

* Sat Sep 15 2001 Toru Sagami <sagami@vinelinux.org>
- fixed Group s/Application/Applications/ 

* Thu Sep 13 2001 Toru Sagami <sagami@vinelinux.org>
- 0.88-0vl1: updated to 0.88

* Fri Sep 07 2001 Toru Sagami <sagami@vinelinux.org>
- 0.87-0vl3: treatment to use LPRng by default instead of lp

* Fri Jul 27 2001 <sagami@vinelinux.org>
- 0.87-0vl2: webmin starts at 99 and stops at 00 (No reason!)
- eliminate noreplace attribute from initscript
  (NOTE: 'noreplace' may be marked to config file, not to initscript)

* Mon Jul 16 2001 <sagami@vinelinux.org>
- 0.87-0vl1: port to VineSeedPlus from VinePlus/2.1
- two of the patches are slightly modified for 0.87
- slightly modified initscript message

* Sat Mar 17 2001 KAJIKI Yoshihiro <kajiki@ylug.org> [0.84-0vl2]
- correct ja message of webminlog
- security fix on postinstall.sh

* Mon Feb 26 2001 KAJIKI Yoshihiro <kajiki@ylug.org> [0.84-0vl1]
- update to 0.84 based on the Mandrake 0.84-1mdk
- add requires Net::SSLeay
- split add-ja-info.sh from Japanese patch

* Tue Sep 19 2000 KAJIKI Yoshihiro <kajiki@ylug.org>
- update Japanese resource to match with webmin-0.81
- set several access control as default for security

* Thu Sep 14 2000 KAJIKI Yoshihiro <kajiki@ylug.org>
- change default protocol to SSL, if Net::SSLeay is found
- update to webmin-0.81

* Mon Sep 4 2000 KAJIKI Yoshihiro <kajiki@ylug.org>
- update Japanese resource (almost compleated except help)

* Thu Aug 30 2000 KAJIKI Yoshihiro <kajiki@ylug.org>
- update Japanese resource (not compleated yet)
- correct default script position of ipchains

* Mon Aug 28 2000 KAJIKI Yoshihiro <kajiki@ylug.org>
- update Japanese resource (not compleated yet)
- correct default language bug
- add ipchains module

* Thu Aug 24 2000 KAJIKI Yoshihiro <kajiki@ylug.org>
- update Japanese resource (not compleated yet)
- limit default access policy to 'allow=127.0.0.1'

* Mon Aug 21 2000 KAJIKI Yoshihiro <kajiki@ylug.org>
- add Japanese resource (not compleated)
- add a vine specific patch and remove mdk specific patches
- add an ad hoc patch against requiring /usr/local/bin/perl
- rebuild for Vine Linux

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-6mdk
- BM

* Tue Jun 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-5mdk
- now uses 0.80 final of Webmin

* Wed May 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-4mdk
- more bugfixes in postfix module, after bugreports by Charles

* Sat May 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-3mdk
- small bugfix in postfix module

* Thu May 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-2mdk
- patched "os_list.txt" to add the dectection of Linux Mandrake
  Corporate Server 1.0 and Linux Mandrake 7.1
- patched the post-install script which said "Mandrake 7.0" all
  the time if Webmin was installed during system install

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-1mdk
- upgrade to 0.80 beta with the kind help of Jamie, because of
  incompatibility between 0.79 and perl 5.6

* Wed May  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-5mdk
- updated postfix-mdkmodule so that it tests if postfix is running
  in a more portable way [uses kill -0 <pid>]
- updated install style so that it adds to the runlevel information
  at install time; thus it's okay now to select/deselect it in DrakX

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-4mdk
- fixed the hang of post install at boot time [grr]

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-3mdk
- fixed very bad security issue concerning exec of script during
  install
- added small executable to tell people that they have to connect
  through their web browser

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-2mdk
- fixed missing LICENCE file

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-1mdk
- 0.79
- updated postfix-mdkmodule with bugfixes and other stuff
- mdkicons now have a copyright

* Thu Apr  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.78-2mdk
- Updated Mandrake Icons
- Updated `PreRequires', and fixed the problem of /etc/issue,
  in order to not fail in install

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.78-1mdk
- Mandrake Icons

* Fri Mar 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.78-0.4mdk
- v0.78
- Postfix Module
- cleanup and debug of specfile with help of Chmouel :-)

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v0.77
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Feb 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.77
- updated specfile based on the webmin source RPM (newly released, nice
  changes!)
- included the 0.73 ocstheme again (does anyone know of an update to this?)

* Thu Jan 13 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.76

* Wed Dec 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Dec 5 1999 Vincent Danen <vdanen@linux-mandrake.com>
- built specfile for Mandrake contribs
- based loosely on Leon Breedt's <leon@obsidian.co.za> SRPM for 0.73
- webmin-install.sh is now a source package, not built from patch
- bzip sources
