Summary: A utility for retrieving files using the HTTP or FTP protocols.
Summary(ja): HTTP/FTP プロトコルによるファイル取得ユーティリティ
Name: wget
Version: 1.11.4
Release: 2%{?_dist_release}
License: GPL
Group: Applications/Internet
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2

## Vine Patch(es)
# Security Fix
# Patch100: wget-1.10.2_CVE-2006-6719.patch
Patch110: wget-1.11.4_openssl_null.patch

Provides: webclient
Prereq: install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: openssl-devel
%{?nosrc:NoSource: 0}

Vendor: Project Vine
Distribution: Vine Linux

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols.  Wget features include the ability to work in the
background while you're logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

Install wget if you need to retrieve large numbers of files with HTTP or
FTP, or if you need a utility for mirroring web sites or FTP directories.

#'
%description -l ja
GNU wget は HTTP や FTP プロトコルを使用してファイルを取得するユーティリ
ティです。wget には次のような特徴があります。

 - ログアウトしている間にバックグラウンドで実行可能
 - ディレクトリの再帰的取得
 - ファイル名のワイルドカードマッチング
 - ファイルのタイムスタンプの保存と比較
 - FTP サーバの Rest、HTTP サーバの Range を使用したダウンロードの再開
 - プロキシサーバへの対応
 - 設定の容易さ

もし HTTP か FTP で大量のファイルを取得する必要があったり、Web サイトや
FTP ディレクトリをミラーするユーティリティが必要なら wget をインストール
してください。

%prep
%setup -q

# Security Fix
# %patch100 -p1 -b .CVE-2006-6719
%patch110 -p1 -b .openssl_null

%build
%configure --with-ssl
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir
fi

%clean
%__rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS MAILING-LIST NEWS README INSTALL COPYING 
%config %{_sysconfdir}/wgetrc
%{_bindir}/wget
%{_infodir}/wget.info*
%{_mandir}/man1/wget.1*

%changelog
* Fri Sep 25 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.11.4-2
- patch110 for fix openssl null char issue

* Wed Oct 22 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.11.4-1
- new upstream release
- SPEC in UTF-8

* Wed Mar 26 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.11.1-1
- new upstream release
- drop patch100 which is in included in new release
- build under new versioning policy

* Wed May 30 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.10.2-0vl3
- rebuild with openssl-0.9.8

* Fri Jan 12 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.10.2-0vl2
- rebuilt for VineSeed
- fix changelog typo

* Fri Jan 12 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.10.2-0vl1.1
- add pacth100 for fix CVE-2006-6719 (SYST Unchecked Boundary Condition)

* Wed Oct 19 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.10.2-0vl1
- [SECURITY FIX] upstream release
  - Stack-based buffer overflow (CAN-2005-3185)

* Thu Jul 07 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.10-0vl1
- [SECURITY FIX] upstream release
  - overwrite certain files via a redirection URL (CAN-2004-1487)
  - execute arbitrary code (CAN-2004-1488)
  - overwrite arbitrary files via a symlink attack (CAN-2004-2014)
- %%doc
  - add COPYING, TODO
  - drop doc/ChangeLog
- not compress info at %%install (should be done by %%__install_spec_post)
- drop obsolete patches
- update Japanese description

* Wed Mar 31 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.9.1-0vl1
- source upgrade
- build with openssl-0.9.7d
- Prereq: install-info instead of /sbin/install-info
- remove all patches

* Sun Dec 15 2002 IWAI Masaharu <iwai@alib.jp> 1.8.1-0vl5
- rebuild on VineSeed

* Thu Dec 12 2002 IWAI Masaharu <iwai@alib.jp> 1.8.1-0vl4
- fix directory traversal bug
    add wget-1.8.2-filename.patch(Patch101) from RedHat updates 1.8.2-4.6x

* Wed Mar 13 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.8.1-0vl3
- revamped Patch10 to fit with 1.8.1 source. But disable it.

* Wed Mar 13 2002 Toru Sagami <sagami@vinelinux.org> 1.8.1-0vl2
- added patch from current CVS to fix broken recursive download.

* Tue Dec 25 2001 Toru Sagami <sagami@vinelinux.org>
- 1.8.1

* Mon Dec 10 2001 Toru Sagami <sagami@vinelinux.org>
- 1.8-0vl0: update to 1.8 with an ad-hoc patch for md5.h

* Thu Nov 22 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.7.1-0vl2
- added ppc patch derived from:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=109348

* Mon Nov 19 2001 Toru Sagami <sagami@vinelinux.org>
- 1.7.1-0vl1: use ja.po included in source

* Fri Aug 24 2001 Toru Sagami <sagami@vinelinux.org>
- 1.7-0vl2: configure --with-ssl

* Wed Jun 13 2001 <sagami@vinelinux.org>
- 1.7-0vl1: update to 1.7 with updated ja.po

* Tue May 29 2001 <sagami@vinelinux.org>
- 1.6-0vl2: use better macros

* Fri Jan 5 2001 Yoichi Imai <yoichi@silver-forest.com>
- removed getmore patch, ja.patch, ja.po
- removed gzip and strip
- used environment variable of rpm
- not used symlink patch

* Fri Sep 08 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.5.3_jp-6
- modified %files section to handle compressed man page(s)
- added Japanese summary

* Wed Jan 26 2000 Norihito Ohmori <nono@vinelinux.org>
- fix ja.po

* Thu Jan 20 2000 HIROSE, Masaaki <hirose31@t3.rim.or.jp>
- added getmore.patch. to get files like LINK HREF="XXX".

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Sep 18 1999 Norihito Ohmori <ohmori@flatout.org>
- add ja.po
- add Japanese Summary and Description

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- don't permit chmod 777 on symlinks (#4725).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree
- add Provides

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.5.3

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.5.2

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- modified group to Applications/Networking

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.0
- they removed the man page from the distribution (Duh!) and I added it back
  from 1.4.5. Hey, removing the man page is DUMB!

* Fri Nov 14 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc
