Name: wxMaxima
Version: 0.7.2
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Engineering
URL: http://wxmaxima.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: maxima >= 5.11
BuildPreReq: libxml2-devel, wx-gtk2-devel
Summary: Graphical user interface for Maxima

%description
wxMaxima is a cross platform GUI for the computer algebra system
maxima based on wxWidgets.

wxMaxima features include:
 * 2D formatted math display: wxMaxima implements its own math display
   engine to nicely display maxima output.
 * Menu system: most maxima commands are available through menus. Most
   used functions are also available through a button panel at below
   the input line.
 * Dialogs: commands which require more that one argument can be
   entered through dialogs so that there is no need to remember the
   exact syntax.
 * Command line history: the input line has command history and
   command completion based on previous input.
 * Create documents: text can be mixed with math calculations to
   create documents. See the howto for tips on how to use these
   features. Documents can be saved and edited again later.

%prep
%setup -q

%build
%configure --enable-dnd --enable-printing
make

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%{_bindir}/*
%{_datadir}/%{name}/*

%changelog
* Tue Oct 14 2008 Shu KONNO <owa@bg.wakwak.com> 1.2-1vl5
- applied new versioning policy, spec in utf-8

* Sun Dec 30 2007 Shu KONNO <owa@bg.wakwak.com> 1.2-0vl4
- rebuilt with wx-gtk2-2.8.7

* Thu May  3 2007 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 0.7.2-0vl1
- Initial build.

