Summary: 	Next generation panel for Xfce
Name: 		xfce4-panel
Version: 	4.6.4
Release: 	2%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+ and LGPLv2+
URL: 		http://www.xfce.org/

Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
#Patch0:	contents.xml.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	libxfce4util-devel >= 4.6.0
BuildRequires:	libxfcegui4-devel >= 4.6.0
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	libexo-devel >= 0.3.100
BuildRequires:	libwnck-devel >= 2.20
BuildRequires:	startup-notification-devel
BuildRequires:	gettext intltool

Obsoletes: xfce4-iconbox xfce4-systray xfce4-toys xfce4-trigger-launcher
Obsoletes: xfce4-showdesktop-plugin xfce4-taskbar-plugin
Obsoletes: xfce4-windowlist-plugin xfce4-xmms-plugin 

%description
xfce4-panel is the panel for the XFce desktop environment

%package devel
Summary: Development headers for xfce4-panel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxfce4util-devel >= 4.6.0
Requires: libxfcegui4-devel >= 4.6.0

%description devel
This package includes the header files you will need to build
plugins for xfce4-panel.

# These are all required to have a properly functioning panel, so they should 
# not be separate IMO -- Jasper

# %package themes
# Summary:	Icon themes for xfce4
# Group:		User Interface/Desktops
# Requires:	xfce4
# This should be really noarch, but if I set noarch here, even the arch
# dependent stuff is marked as noarch, so... no noarch.
# BuildArch:	noarch

# %description themes
# Various icon themes for xfce4.

# %package plugins
# Summary:	Panel plugins for xfce4
# Group:		User Interface/Desktops
# Requires:	xfce4

# %description plugins
# Various panel plugins for xfce4.

%prep
%setup -q
#%patch0 -p1 -b .orig

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%find_lang %{name}

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
#rm -rf $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/lib*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/xfce4/panel-plugins/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS COPYING AUTHORS
%dir %{_sysconfdir}/xdg/xfce4/panel/
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/*.rc
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/panels.xml
%{_bindir}/*
%{_libdir}/libxfce4panel.so.*
%{_libdir}/xfce4/panel-plugins
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/xfce4/doc
%{_datadir}/xfce4/panel-plugins

%files devel
%defattr(-, root,root,-)
%{_includedir}/xfce4/libxfce4panel
%{_libdir}/libxfce4panel.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/html/libxfce4panel

%changelog
* Thu Sep 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.4-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sun May 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.4-1
- new upstream release
- built with new toolchain

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release
- split devel subpackage

* Sun Sep 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-2vl5
- added BuildRequires: libxfce4util-devel

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 4.4.2-1vl5
- applied new versioning policy
- removed *.la

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
* Fri Jul 27 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl0.0.2
- new upstream verrsion
- drop patch0 (contents.xml.patch)
- Obsoletes: xfce4-iconbox xfce4-systray xfce4-toys xfce4-trigger-launcher

* Tue Oct 24 2006 UECHI Yasumasa <uechi@potaway.net> 4.2.3-0vl2
- revise contents.xml*

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3-0vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.5-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.4-0vl1
- new upstream release

* Thu Jan 08 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl1
- new upstream release

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.1-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.0-0vl1
- initial related

