Name:		xkeycaps
Summary: 	Graphical front end to xmodmap
Summary(ja): 	xmodmap のグラフィカルフロントエンド
Version:	2.46
Release:        3%{?_dist_release}
License:	MIT
Group:		Applications/System
Source0:	http://www.jwz.org/xkeycaps/%{name}-%{version}.tar.Z
Source1:	xkeycaps.desktop
Source2:	xkeycaps.png
URL:		http://www.jwz.org/xkeycaps/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	xorg-x11-xbitmaps, libICE-devel, libXmu-devel, libSM-devel
BuildRequires:	libXaw-devel >= 1.0.5
BuildRequires:  imake, libXt-devel, xorg-x11-proto-devel
BuildRequires:	desktop-file-utils, libXext-devel
Requires:	xorg-x11-server-utils

%description
xkeycaps is a graphical front-end to xmodmap. It opens a window that 
looks like a keyboard; moving the mouse over a key shows what KeySyms 
and Modifier bits that key generates. Clicking on a key simulates 
KeyPress/KeyRelease events on the window of your choice. It is possible 
to change the KeySyms and Modifiers generated by a key through a 
mouse-based interface. This program can also write an input file for 
xmodmap to recreate your changes in future sessions.

%prep
%setup -q 

%build
xmkmf
sed -i -e 's/^\(\s*CFLAGS\s*=.*\)/\1 $(RPM_OPT_FLAGS)/' Makefile
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m0644 xkeycaps.man $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps

desktop-file-install \
	--vendor "" \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
        %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README sgi-microsoft.txt
%{_bindir}/xkeycaps
%{_datadir}/applications/xkeycaps.desktop
%{_datadir}/pixmaps/xkeycaps.png
%{_mandir}/man1/*

%changelog
* Sun Nov 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.46-3
- rebuild with libXaw.so.7 (libXaw-1.0.5)

* Wed Jul 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.46-2
- remove vendor prefix from desktop file.

* Mon May 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> Version:	2.46-1
- initial build for Vine Linux

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.46-7.3
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.46-6.2
- rebuild for BuildID

* Mon Aug  6 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.46-6.1
- license cleanup

* Tue Apr 10 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.46-6
- fix bugzilla 227229

* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.46-5
- license isn't BSD-ish, its BSD
- bump for FC-6

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.46-4
- bump for FC-5

* Mon Jan 16 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.46-3
- fix FC-3/FC-4

* Mon Jan 16 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.46-2
- add missing BR
- fix missing desktop file

* Thu Dec 15 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.46-1
- Initial package for Fedora Extras
