Summary: X.Org X11 driver installation package
Summary(ja): X.Org X11 ドライバインストールパッケージ
Name: xorg-x11-drivers
Version: 7.4
Release: 5%{?_dist_release}
License: MIT
Group: User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# Xorg is not (yet) buildable for s390.  When it is, we'll probably only
# want dummy and void anyway.  Maybe evdev for uinput stuff?
ExcludeArch: s390 s390x

# This used to be machine generated.  That was a horrible unmaintainable idea.
# So instead we just build all drivers for all arches, except for the drivers
# where we really do know that it's arch-specific.  Those go at the end of
# this list.
#
# Notable things missing:
# - all the sun* drivers
# - imstt, likely ppc only
# - impact, since we don't have a mips port
# - vermilion, the hardware is fictional
# - poulsbo, likewise
# - ark/chips/s3/tseng/vga, here's a nickel.

Requires: xorg-x11-drv-acecad
Requires: xorg-x11-drv-aiptek
Requires: xorg-x11-drv-apm
Requires: xorg-x11-drv-ast
Requires: xorg-x11-drv-ati
Requires: xorg-x11-drv-avivo
Requires: xorg-x11-drv-cirrus
Requires: xorg-x11-drv-dummy
Requires: xorg-x11-drv-elographics
Requires: xorg-x11-drv-evdev
Requires: xorg-x11-drv-fbdev
Requires: xorg-x11-drv-fpit
Requires: xorg-x11-drv-glint
Requires: xorg-x11-drv-hyperpen
Requires: xorg-x11-drv-i128
Requires: xorg-x11-drv-i740
Requires: xorg-x11-drv-keyboard
Requires: xorg-x11-drv-mach64
Requires: xorg-x11-drv-mga
Requires: xorg-x11-drv-mouse
Requires: xorg-x11-drv-mutouch
Requires: xorg-x11-drv-nv
Requires: xorg-x11-drv-penmount
Requires: xorg-x11-drv-r128
Requires: xorg-x11-drv-rendition
Requires: xorg-x11-drv-s3virge
Requires: xorg-x11-drv-savage
Requires: xorg-x11-drv-siliconmotion
Requires: xorg-x11-drv-sis
Requires: xorg-x11-drv-sisusb
Requires: xorg-x11-drv-synaptics
Requires: xorg-x11-drv-tdfx
Requires: xorg-x11-drv-trident
Requires: xorg-x11-drv-v4l
Requires: xorg-x11-drv-vesa
Requires: xorg-x11-drv-void
Requires: xorg-x11-drv-voodoo

#Requires: xorg-x11-drv-ark
#Requires: xorg-x11-drv-chips
#Requires: xorg-x11-drv-ivtv
#Requires: xorg-x11-drv-s3
#Requires: xorg-x11-drv-tseng
#Requires: xorg-x11-drv-xgi
#Requires: xorg-x11-drv-xgixp

# cyrix and nsc used to be here too, but are deprecated upstream and
# should eventually get folded into -geode.
%ifarch %{ix86}
Requires: xorg-x11-drv-geode
%endif

# So far intel is onboard-only.
%ifarch %{ix86} x86_64 ia64
Requires: xorg-x11-drv-intel
%endif

# This chipset has long since been EOLd, and afaik was only ever in x86 laptops
%ifarch %{ix86}
Requires: xorg-x11-drv-neomagic
%endif

# Thus far via chips are only on x86 and amd64 motherboards.  This might be
# the driver that ends up supporting the S3 Chrome cards, so don't be
# surprised if this changes.
%ifarch %{ix86} x86_64
Requires: xorg-x11-drv-openchrome
%endif

# vmware soft drivers.  yes, vmmouse really isn't ia64-enabled yet.
%ifarch %{ix86} x86_64 ia64
Requires: xorg-x11-drv-vmware
%endif
%ifarch %{ix86} x86_64
Requires: xorg-x11-drv-vmmouse
%endif

Obsoletes: XOrg < 7.0

%description
The purpose of this package is to require all of the individual X.Org
driver rpms, to allow the OS installation software to install all drivers
all at once, without having to track which individual drivers are present
on each architecture.  By installing this package, it forces all of the
individual driver packages to be installed.

%prep
%build
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%changelog
* Sun May 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-5
- remove radeonhd

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-4
- remove diamondtouch, alcomp, citron, digitaledge, dmc, dynapro,
  jamstudio, magellan,  microtouch, palmax, spaceorb, summa, 
  tek4957, ur98.

* Thu Mar 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-3
- add Obsoletes: XOrg

* Thu Mar  5 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 7.4-2
- remove xgi, xgixp (not maintained anymore?)

* Fri Oct 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-1
- update driver list

* Sat Jul 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-2
- add mach64, r128, radeonhd, xgi, xgixp

* Tue May 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-1
- initial build for Vine Linux

* Fri Apr 04 2008 Adam Jackson <ajax@redhat.com> 7.3-4
- Remove -nsc and -cyrix.

* Mon Mar 03 2008 Adam Jackson <ajax@redhat.com> 7.3-3
- Drop magictouch, it can not work and can never have worked.

* Fri Feb 22 2008 Adam Jackson <ajax@redhat.com> 7.3-2
- xorg-x11-drv-diamondtouch.

* Mon Feb 18 2008 Adam Jackson <ajax@redhat.com> 7.3-1
- Superstition bump to 7.3.
- xorg-x11-drv-wiimote.
- Additional commentary about drivers that aren't included here.

* Wed Jan 09 2008 Adam Jackson <ajax@redhat.com> 7.2-11
- Drop avivo for being a dead end.
- Drop ark, chips, s3, and tseng for being unspeakably lame.

* Tue Nov 27 2007 Adam Jackson <ajax@redhat.com> 7.2-10
- :s/via/openchrome/

* Mon Oct 15 2007 Adam Jackson <ajax@redhat.com> 7.2-9
- Archify synaptics, it's not buildable most places.

* Fri Oct 12 2007 Jeremy Katz <katzj@redhat.com> 7.2-8
- Add avivo

* Fri Sep 07 2007 Adam Jackson <ajax@redhat.com> 7.2-7
- Add linuxwacom and synaptics to the default set.

* Fri May 11 2007 Adam Jackson <ajax@redhat.com> 7.2-6
- Add xorg-x11-drv-nouveau.  If this bothers you, uninstall the metapackage.

* Tue Mar 20 2007 Adam Jackson <ajax@redhat.com> 7.2-5
- Un-Require xorg-x11-drv-vga.

* Tue Feb 27 2007 Adam Jackson <ajax@redhat.com> 7.2-4
- Remove elo2300 and joystick for being utterly broken.

* Mon Feb 26 2007 Adam Jackson <ajax@redhat.com> 7.2-3
- Fix the i810 ifarch to include all the relevant arches.

* Mon Feb 19 2007 Adam Jackson <ajax@redhat.com> 7.2-2
- Package review feedback fixes: (#226573)
  - Remove URL, misleading
  - Remove the Obsoletes: xorg-x11
  - Fix License tag

* Sun Feb 18 2007 Adam Jackson <ajax@redhat.com> 7.2-1
- Superstition bump to 7.2
- ExcludeArch of s390{,x}
- Only ExclusiveArch those drivers that really are processor-specific
- Readd forgotten -tek4957

* Thu Oct 12 2006 Jeremy Katz <katzj@redhat.com> - 7.1-4
- mga not on ppc

* Mon Aug 21 2006 Adam Jackson <ajackson@redhat.com> 7.1-3
- Add cirrus to all arches
- Don't bother building this for s390{,x}

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 7.1-2.1
- rebuild

* Thu Jun 29 2006 Mike Harris <mharris@redhat.com> 7.1-2
- Regenerate driver list to match current rawhide X11R7.1 driver set.

* Wed Jun 21 2006 Mike Harris <mharris@redhat.com> 7.1-1
- Regenerate driver list to match current rawhide X11R7.1 driver set.

* Thu Feb 16 2006 Bill Nottingham <notting@redhat.com> 7.0-2
- uncomment (empty) file list so binary RPMs are built

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 7.0-1.1
- bump again for double-long bug on ppc(64)

* Thu Feb 09 2006 Mike Harris <mharris@redhat.com> 7.0-1
- Bumped version to 7.0-1
- Updated the driver list to match current rawhide, X11R7.0

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.99.2-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Nov 23 2005 Mike Harris <mharris@redhat.com> 0.99.2-4
- Add ur98 driver back, as it is part of X11R7 RC2

* Tue Nov 15 2005 Jeremy Katz <katzj@redhat.com> 0.99.2-3
- ur98 driver doesn't exist

* Tue Nov 15 2005 Jeremy Katz <katzj@redhat.com> 0.99.2-2
- add an obsoletes on xorg-x11 to get pulled in on upgrades

* Tue Nov 15 2005 Mike Harris <mharris@redhat.com> 0.99.2-1
- Initial build.
