%define _catalogue /etc/X11/fontpath.d

%define fontdir %{_datadir}/X11/fonts/japanese
%define b2p %{_bindir}/bdftopcf

Summary: Japanese fixed fonts for X11
Summary(ja): X用日本語固定長フォント
Name: xorg-x11-jpfonts
Version: 4.0
Release: 1%{_dist_release}
License: Distributable but knj10(Non-Free)
Group: User Interface/X
Requires: xorg-x11-fonts-75dpi
Obsoletes: XFree86-jpfonts
Obsoletes: XOrg-jpfonts < 4.0
Provides: XOrg-jpfonts = %{version}
# for bdftopcf and mkfontdir
BuildRequires: font-utils

# from XFree86-3.3.3
# 12x24 12x24rk 7x14 7x14rk 8x16 8x16rk jiskan16 jiskan24
Source0: xfonts_jp.tgz

# Kappa20 (20pxl)
# 10x20b 10x20m 10x20rkb 10x20rkm ipa-10x20b ipa-10x20m k20b k20m 
# http://kappa.allnet.ne.jp/20dot.fonts/
%define Kappa Kappa20-0.394
Source1: http://kappa.allnet.ne.jp/20dot.fonts/%{Kappa}.tar.bz2

# Shinonome Font Family
# http://openlab.ring.gr.jp/efont/shinonome/
#
# Shinonome
%define shinonome shinonome-0.9.10-src
Source3: http://openlab.ring.gr.jp/efont/dist/shinonome/%{shinonome}.tar.bz2

# Naga10 (10pxl)
# 5x10B 5x10a 5x10rk knj10 knj10B min10 maru10
# http://hp.vector.co.jp/authors/VA013391/fonts/#naga10
%define knj10 knj10-1.1
Source4: %{knj10}.tar.gz

# Marumoji
# maru14 maru16 maru18 7x14rkmr
# http://mlnews.com/marumoji/
Source6: marumoji.tgz

# Kanji32 (32pxl)
Source12: kanji32.bdf.bz2

# k14 invalid glyphs patch
# http://kappa.allnet.ne.jp/kanou/fonts/k14-patch.html
Patch0: http://kappa.allnet.ne.jp/kanou/fonts/k14.patch

# k14 to jisx0208.1990 patch
# http://www.brl.ntt.co.jp/people/takada/goodies/k14-1990/
# http://www.brl.ntt.co.jp/people/takada/goodies/k14-1990/patch.txt
Patch1: k14-1990.patch

# JIS X 0213-2000 fonts (14pxl, 16pxl)
# http://www.mars.sphere.ne.jp/imamura/jisx0213.html
# http://www.mars.sphere.ne.jp/imamura/K14-1.bdf.gz
# http://www.mars.sphere.ne.jp/imamura/K14-2.bdf.gz
# http://www.mars.sphere.ne.jp/imamura/jiskan16-2000-1.bdf.gz
# http://www.mars.sphere.ne.jp/imamura/jiskan16-2000-2.bdf.gz
Source15: imamura-jisx0213.tgz

# jiskan16 JIS X 0208:1990 by Yasuoka
# http://kanji.zinbun.kyoto-u.ac.jp/~yasuoka/ftp/fonts/
Source16: http://kanji.zinbun.kyoto-u.ac.jp/~yasuoka/ftp/fonts/jiskan16-1990.bdf.Z

# jiskan16 JIS X 0208:1997 Old Kanji
Source18: http://kanji.zinbun.kyoto-u.ac.jp/~yasuoka/ftp/fonts/jiskano16-1997.bdf.Z
# k14 Old-Kanji
Source19: http://www.hlla.is.tsukuba.ac.jp/~kourai/software/k14-oldkanji.tar.gz

# Warabi12 (12pxl) jisx0213
# http://www.gelgoog.org/warabi12/
%define warabi12 warabi12-0.12a
Source20: http://www.gelgoog.org/warabi12/archives/%{warabi12}.tar.gz


%define vft vine-fonttools-0.3
Source100: %{vft}.tgz

Vendor: Project Vine
Distribution: Vine Linux
Packager: Shoji Matsumoto <shom@vinelinux.org>
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
#Prereq: chkfontpath

%description
XFree86-jpfonts Package contains Japanese fixed fonts for X11.

%description -l ja
X上で用いる日本語固定長フォントです。
knj10, shinonome12,14,16, Kappa20, kanji32, marumoji, jiskan16, warabi12, etc が収録されています.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -c -a 1 -a 3 -a 4 -a 6 -a 15 -a 19 -a 20 -a 100

gunzip -dc %{SOURCE16} > jiskan16-1990.bdf
gunzip -dc %{SOURCE18} > jiskano16-1997.bdf

%build

:
: -- STAGE 1: preparation --
:

%define chxlfd /usr/bin/perl ${RPM_BUILD_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/%{vft}/chbdfxlfd.pl
%define mkalias /usr/bin/perl ${RPM_BUILD_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/%{vft}/mkalias.pl
%define mkshortalias /usr/bin/perl ${RPM_BUILD_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/%{vft}/mkshortalias.pl

# make knj10 (naga10) BDF and remove bold font
pushd %{knj10}
  rm *B.bdf
  patch -o maru10.bdf.org < maru10.bdf.diff
  patch -o min10.bdf.org < min10.bdf.diff
  for i in 5x10a.bdf ; do
    %{chxlfd} $i '-Naga10-Fixed-.-.-.-.-.-.-.-.-.-.-ISO8859-.' $i.new
    mv -f $i.new $i
  done
  for i in 5x10rk.bdf ; do
    %{chxlfd} $i '-Naga10-Fixed-.-.-.-.-.-.-.-.-.-.-JISX0201.1976-.' $i.new
    mv -f $i.new $i
  done
  for i in knj10.bdf ; do
    %{chxlfd} $i '-Naga10-Fixed-.-.-.-.-.-.-.-.-.-.-JISX0208.1983-.' $i.new
    mv -f $i.new $i
  done
  #rename_font Misc Marumoji < maru10.bdf.org > maru10.bdf
  #rename_font Misc Mincho < min10.bdf.org > min10.bdf
  %{chxlfd} maru10.bdf.org '-Naga10-Marumoji-.-.-.-.-.-.-.-.-.-.-JISX0208.1983-.' maru10.bdf
  %{chxlfd} min10.bdf.org '-Naga10-Mincho-.-.-.-.-.-.-.-.-.-.-JISX0208.1983-.' min10.bdf
popd

# make shinonome BDF
pushd %{shinonome}
  ./configure --disable-bold --disable-italic --disable-bold-italic \
     --with-fontdir=$RPM_BUILD_ROOT%{fontdir} 2>&1 > /dev/null
  make bdf
popd

# rename file name of Kappa and remove bold font
pushd %{Kappa}
  sed -e 's/Bold/Medium/g' < k20b.bdf > k20.bdf
  # mv k20m.bdf k20.bdf
  mv 10x20m.bdf 10x20a.bdf
  mv 10x20rkm.bdf 10x20rk.bdf 
  # rm k20b.bdf 10x20b.bdf 10x20rkb.bdf
  rm k20b.bdf k20m.bdf 10x20b.bdf 10x20rkb.bdf
  for i in *.bdf ; do
    %{chxlfd} $i '-Kappa-.-.-.-.-.-.-.-.-.-.-.-.-.' $i.new
    mv -f $i.new $i
  done
popd

# rename file name of xfonts_jp
mv 7x14.bdf 7x14a.bdf
mv 8x16.bdf 8x16a.bdf
mv 12x24.bdf 12x24a.bdf

# k14 invalid glyphs patch
patch k14.bdf < %{PATCH0}

# k14 JIS X 0218:1990 patch
cp k14.bdf k14-1990.bdf
patch k14-1990.bdf < %{PATCH1}

# Marumoji
pushd marumoji
  for i in *.bdf ; do
    %{chxlfd} $i '-Marumoji Club-Marumoji-.-.-.-.-.-.-.-.-.-.-.-.' $i.new
    mv -f $i.new $i
  done
popd

# imamura's jiskan16 JIS X 0213:2000 hacks
pushd imamura-jisx0213
  for i in *.bdf ; do
    %{chxlfd} $i '-Imamura-Fixed-.-.-.-.-.-.-.-.-.-.-.-.' $i.new
    mv -f $i.new $i
  done
  mv K14-1.bdf k14-2000-1.bdf
  mv K14-2.bdf k14-2000-2.bdf
popd

# k14 and k14-1990 is used as Mincho
%{chxlfd} k14.bdf '-Misc-Mincho-.-.-.-.-.-.-.-.-.-.-.-.' k14.bdf.new
mv -f k14.bdf.new k14.bdf
%{chxlfd} k14-1990.bdf '-Misc-Mincho-.-.-.-.-.-.-.-.-.-.-.-.' k14-1990.bdf.new
mv -f k14-1990.bdf.new k14-1990.bdf

# oldkanji's

rm k14-oldkanji.pcf*
for i in k14-oldkanji.bdf jiskano16-1997.bdf ; do
  %{chxlfd} $i '-Misc-.-.-.-.-Old Style-.-.-.-.-.-.-.-.' $i.new
  mv -f $i.new $i
done

# Warabi12 JIS X 0213:2000 12pxl
pushd %{warabi12}
  mv warabi12-1.bdf warabi12-2000-1.bdf
popd

# move bdf to topdir
mv */*/*/*.bdf */*.bdf ./

for i in */README */COPYRIGHT ; do
  mv $i `basename $i`-`dirname $i`
done

# set target font list for mkbold/mkitalic
ALL_MEDIUM_BDF_FONT="\
 maru10/ maru14/-L maru16/ \
 k14-oldkanji/ jiskano16-1997/ \
 k14-1990/-L  jiskan16-1990/ \
 warabi12-2000-1/ \
 k14-2000-1/-L     k14-2000-2/-L \
 jiskan16-2000-1/  jiskan16-2000-2/ \
 5x10a/           5x10rk/        knj10/                       min10/ \
 shnm6x12a/-r     shnm6x12r/-r   shnmk12/     shnmk12p/       shnmk12min/ \
 shnm7x14a/-r     shnm7x14r/-r   shnmk14/                     shnmk14min/ \
 shnm8x16a/-r     shnm8x16r/-r   shnmk16/                     shnmk16min/ \
 shnm9x18a/-r     shnm9x18r/-r   \
 8x16a/            8x16rk/       jiskan16/ 
10x20a/           10x20rk/       k20/ \
12x24a/           12x24rk/       jiskan24/ \
"

# copy filter scripts (for bold/italic)
#cp %{shinonome}/tools/mkitalic .
cp %{shinonome}/tools/mkbold .

gcc $RPM_OPT_FLAGS %{vft}/mkitalic.c -o mkitalic

:
: -- STAGE 2: making roman-bold fonts --
:
for src in $ALL_MEDIUM_BDF_FONT ; do
  #./mkbold ${src#*/} -V ${src%/*}.bdf > ${src%/*}b.bdf
  ./mkbold ${src#*/} ${src%/*}.bdf > ${src%/*}b.bdf
done

:
: -- STAGE 3: making italic-medium fonts --
:
for src in $ALL_MEDIUM_BDF_FONT ; do
  #./mkitalic -V ${src%/*}.bdf > ${src%/*}i.bdf
  ./mkitalic -s 0.2 ${src%/*}.bdf > ${src%/*}i.bdf
done

:
: -- STAGE 4: making italic-bold fonts --
:
for src in $ALL_MEDIUM_BDF_FONT ; do
  #./mkbold ${src#*/} -V ${src%/*}i.bdf > ${src%/*}bi.bdf
  ./mkitalic -s 0.2 ${src%/*}b.bdf > ${src%/*}bi.bdf
done

:
:
:
grep '^FONT ' *.bdf | sed -e 's/\.bdf:FONT//' > ALLFONTS.txt

##################################
# check duplicated xlfds

DUP="`cut -d' ' -f2- ALLFONTS.txt | sort | uniq -d`"
if [ ! -z "$DUP" ] ; then
  echo Duplicated XLFDs found. Please fix.
  echo ------------------------------------------
  echo "$DUP"
  exit 1
fi

cp ALLFONTS.txt mkalias.dat
# CHARSET PXL MISC FIXED MINCHO GOTHIC
# now, pixel 10 jisx0201 and pixel 20 gothic,
#      pixel 12 jisx0201 and pixel 24 gothic does not exist (fake)
# %{mkalias} Misc-Fixed Alias-Fixed Alias-Gothic Alias-Mincho Alias-Sans Alias-Serif - \
# ISO8859-1       10 5x10a           5x10a           5x10a           5x10a           5x10a           5x10a           \
# ISO8859-1       12 shnm6x12a       shnm6x12a       shnm6x12a       shnm6x12a       shnm6x12a       shnm6x12a       \
# ISO8859-1       14 shnm7x14a       shnm7x14a       shnm7x14a       shnm7x14a       shnm7x14a       shnm7x14a       \
# ISO8859-1       16 shnm8x16a       shnm8x16a       shnm8x16a       shnm8x16a       shnm8x16a       shnm8x16a       \
# ISO8859-1       20 10x20a          10x20a          -               10x20a          -               10x20a          \
# ISO8859-1       24 12x24a          12x24a          -               12x24a          -               12x24a          \
# JISX0201.1976-0 10 5x10rk          5x10rk          5x10rk          5x10rk          5x10rk          5x10rk          \
# JISX0201.1976-0 12 shnm6x12r       shnm6x12r       shnm6x12r       shnm6x12r       shnm6x12r       shnm6x12r       \
# JISX0201.1976-0 14 shnm7x14r       shnm7x14r       shnm7x14r       shnm7x14r       shnm7x14r       shnm7x14r       \
# JISX0201.1976-0 16 shnm8x16r       shnm8x16r       shnm8x16r       shnm8x16r       shnm8x16r       shnm8x16r       \
# JISX0201.1976-0 20 10x20rk         10x20rk         -               10x20rk         -               10x20rk         \
# JISX0201.1976-0 24 12x24rk         12x24rk         -               12x24rk         -               12x24rk         \
# JISX0208.1983-0 10 knj10           knj10           knj10           knj10           knj10           knj10           \
# JISX0208.1983-0 12 shnmk12         shnmk12         shnmk12         shnmk12min      shnmk12         shnmk12min      \
# JISX0208.1983-0 14 shnmk14         shnmk14         shnmk14         shnmk14min      shnmk14         shnmk14min      \
# JISX0208.1983-0 16 shnmk16         shnmk16         shnmk16         shnmk16min      shnmk16         shnmk16min      \
# JISX0208.1983-0 20 -               -               -               k20             -               k20             \
# JISX0208.1983-0 24 -               -               -               jiskan24        -               jiskan24        \
# JISX0213.2000-1 12 warabi12-2000-1 warabi12-2000-1 warabi12-2000-1 warabi12-2000-1 warabi12-2000-1 warabi12-2000-1 \
# JISX0213.2000-1 14 k14-2000-1      k14-2000-1      k14-2000-1      k14-2000-1      k14-2000-1      k14-2000-1      \
# JISX0213.2000-2 14 k14-2000-2      k14-2000-2      k14-2000-2      k14-2000-2      k14-2000-2      k14-2000-2      \
# JISX0213.2000-1 16 jiskan16-2000-1 jiskan16-2000-1 jiskan16-2000-1 jiskan16-2000-1 jiskan16-2000-1 jiskan16-2000-1 \
# JISX0213.2000-2 16 jiskan16-2000-2 jiskan16-2000-2 jiskan16-2000-2 jiskan16-2000-2 jiskan16-2000-2 jiskan16-2000-2 \
# > fonts.alias

%{mkalias} Misc-Fixed Alias-Fixed Alias-Gothic Alias-Mincho - \
ISO8859-1       10 5x10a           5x10a           5x10a           5x10a           \
ISO8859-1       12 shnm6x12a       shnm6x12a       shnm6x12a       shnm6x12a       \
ISO8859-1       14 shnm7x14a       shnm7x14a       shnm7x14a       shnm7x14a       \
ISO8859-1       16 shnm8x16a       shnm8x16a       shnm8x16a       shnm8x16a       \
ISO8859-1       20 10x20a          10x20a          -               10x20a          \
ISO8859-1       24 12x24a          12x24a          -               12x24a          \
JISX0201.1976-0 10 5x10rk          5x10rk          5x10rk          5x10rk          \
JISX0201.1976-0 12 shnm6x12r       shnm6x12r       shnm6x12r       shnm6x12r       \
JISX0201.1976-0 14 shnm7x14r       shnm7x14r       shnm7x14r       shnm7x14r       \
JISX0201.1976-0 16 shnm8x16r       shnm8x16r       shnm8x16r       shnm8x16r       \
JISX0201.1976-0 20 10x20rk         10x20rk         -               10x20rk         \
JISX0201.1976-0 24 12x24rk         12x24rk         -               12x24rk         \
JISX0208.1983-0 10 knj10           knj10           knj10           knj10           \
JISX0208.1983-0 12 shnmk12         shnmk12         shnmk12         shnmk12min      \
JISX0208.1983-0 14 shnmk14         shnmk14         shnmk14         shnmk14min      \
JISX0208.1983-0 16 shnmk16         shnmk16         shnmk16         shnmk16min      \
JISX0208.1983-0 20 -               -               -               k20             \
JISX0208.1983-0 24 -               -               -               jiskan24        \
JISX0213.2000-1 12 warabi12-2000-1 warabi12-2000-1 warabi12-2000-1 warabi12-2000-1 \
JISX0213.2000-1 14 k14-2000-1      k14-2000-1      k14-2000-1      k14-2000-1      \
JISX0213.2000-2 14 k14-2000-2      k14-2000-2      k14-2000-2      k14-2000-2      \
JISX0213.2000-1 16 jiskan16-2000-1 jiskan16-2000-1 jiskan16-2000-1 jiskan16-2000-1 \
JISX0213.2000-2 16 jiskan16-2000-2 jiskan16-2000-2 jiskan16-2000-2 jiskan16-2000-2 \
> fonts.alias


%{mkshortalias} \
a10 5x10a \
a12 shnm6x12a \
a14 shnm7x14a \
a16 shnm8x16a \
a20 10x20a \
a24 12x24a \
rk10 5x10rk \
rk12 shnm6x12r \
rk14 shnm7x14r \
rk16 shnm8x16r \
rk20 10x20rk \
rk24 12x24rk \
k10 knj10 \
k12 shnmk12 \
k14 shnmk14 \
k16 shnmk16 \
k20 k20 \
k24 jiskan24 >> fonts.alias

:
: -- STAGE 5: giving the finishing touches --
:
mkdir BDFS
for src in *.bdf ; do
  %{b2p} $src | gzip -9 > ${src%.bdf}.pcf.gz
  mv $src BDFS/
done

%install
mkdir -p $RPM_BUILD_ROOT%{fontdir}
pushd %{shinonome}
  make install
popd
cp *.pcf.gz $RPM_BUILD_ROOT%{fontdir}
%{_bindir}/mkfontdir $RPM_BUILD_ROOT%{fontdir}
cp fonts.alias $RPM_BUILD_ROOT%{fontdir}/fonts.alias

# Install catalogue symlinks
mkdir -p ${RPM_BUILD_ROOT}%{_catalogue}
ln -sf %{fontdir} ${RPM_BUILD_ROOT}%{_catalogue}/xorg-x11-jpfonts

%post
#%{_sbindir}/chkfontpath -q -a %{fontdir}

%postun
#if [ "$1" = "0" ]; then
#        %{_sbindir}/chkfontpath -q -r %{fontdir}
#fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,root)
%doc COPYRIGHT* README* ALLFONTS.txt
%{_catalogue}/xorg-x11-jpfonts
%{fontdir}/*

%changelog 
* Thu Jun 05 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0-1
- new versioning policy, spec in UTF-8

* Sun Mar 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-0vl1
- rename to XOrg-jpfonts
- Requires XOrg packages instead of XFree86 stuff

* Sun Oct 06 2002 Shoji Matsumoto <shom@vinelinux.org> 2.2-0vl1
- vine-fonttools-0.3 (add pointsize calculation)
- remove Requires: XFree86-100dpi-fonts
- replace old shinonome12/shinome16/k14goth package with shinonome-0.9.10

* Thu Jun 28 2001 Shoji Matsumoto <shom@vinelinux.org> 2.1-23
- vine-fonttools-0.2 (add mkshortalias.pl)
- add shortaliases (aXX, rkXX, kXX)
- create bi from b by mkitalic

* Thu May 17 2001 Shoji Matsumoto <shom@vinelinux.org> 2.1-22
- alias bug fixed

* Thu May 17 2001 Shoji Matsumoto <shom@vinelinux.org> 2.1-21
- remove kaname
- remove faked alias (for gothic)
- remove times, helvetica aliases (to other package)
- vine-fonttools 0.1

* Wed May 16 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-20
- add alias-{helvetica,times}-*-iso8859-1 as adobe-{helvetica,times}
- move kaname fonts to obsolete/

* Fri Apr 20 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-19
- updated shinonome font family
-  shinonome12-1.0.9
-  shinonome16-1.0.4
-  k14goth-1.6.10

* Fri Apr 20 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-18
- add alias-helvetica and alias-times for gtkhtml

* Fri Mar  2 2001 Shoji Matsumoto <shom@vinelinux.org> 2.1-17
- add warabi12 (12pxl JIS X 0213)

* Tue Jan 23 2001 Shoji Matsumoto <shom@vinelinux.org> 2.1-16
- add aliases for 12x24{a,rk} and jiskan24

* Wed Dec 27 2000 Shoji Matsumoto <shom@vinelinux.org> 2.1-15
- fixed duplicated xlfd k14-1990 and k14goth
- now the family of k14-1990 is Mincho
- check for duplicated xlfds

* Sat Dec 23 2000 Shoji Matsumoto <shom@vinelinux.org> 2.1-14
- change mkitalic.c in vine-fonttools-0.0
- remove fonts.alias.jp (now it is generated by mkalias.pl)

* Thu Dec 21 2000 Shoji Matsumoto <shom@vinelinux.org> 2.1-13
- change BDF XLFD names
- add URL for each fonts
- upgrade Kappa20 to 0.394
- add vine-fonttools-0.0 ( mkitalic.c, chbdfxlfd.pl mkalias.pl)
- change fonts.alias

* Thu Dec 16 2000 Shoji Matsumoto <shom@vinelinux.org> 2.1-12
- change slant algolism in mkitalic.c

* Thu Dec 14 2000 Shoji Matsumoto <shom@vinelinux.org> 2.1-11
- rebuild for SRPM

* Fri Dec  8 2000 Shoji Matsumoto <shom@vinelinux.org>
- change foundary of jiskan16-1990 (duplicated)
- add mkitalic.c and use
- Kappa20 XLFD bug fixed

* Mon Nov 27 2000 Shoji Matsumoto <shom@vinelinux.org>
- update shinonome12 to 1.0.7
- update k14goth to 1.6.8
- add shinonome16-1.0.2
- now use Kappa20Bold for 20dot medium

* Thu Jul 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- replace kaname-alter to shinonome12
- revival the orignal kaname12 font.
- fixed k14 alias (gothic->fixed).
- remove nagao's 6x12 (replcaed to shinonome latin1)

* Thu Jul 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- correct valiable -> variable in fonts.alias.
- updated kaname-alter to 2.9.6

* Thu Jul  3 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- fixed a little fonts.alias.jp
- modiefied SPEC to apply mkbold's option respectively for every fonts.
- updated naga10 to 1.1
- updated kaname-alter to 2.9.5

* Thu Jun  8 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added some font aliases from JISX-1990 to JISX1983.

* Tue May 30 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- use k14-1990/jiskan16-1990 instead of k14/jiskan16.

* Tue May 30 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- use k14-1990/jiskan16-1990 instead of k14/jiskan16.
- updated k14goth (JISX208-1983 ->JISX208-1990)
- added jiskano16-1997 

* Tue May 23 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified fonts.alias.jp for my stupid error.

* Fri May 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added JIS X 0213-2000 fonts about jiskanji16, k14.
- updated my poor k14goth and kaname-alter fonts.

* Mon Apr 10 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- 2.1-2
- fixed stupid Requires written by me...
- fixed bad aliases for a14bi, a16* and k32b.
- added better 18dot font setting used 16dot fonts to alias.
- cleanup fonts.alias.jp.
- use option "-r" for mkbold. It makes better small bold ASCII fonts.
- modified kanji32.bdf for mkfontdir, mkbold and mkitalic to work fine.

* Wed Apr  5 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- 2.1-1
- added -alias-valiable-.
- added `Requires' 75/100dpi fonts.

* Wed Mar  1 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- 2.0-7, 2.0-9, 2.0-10
- updated to kaname-alter-2.8.1, k14goth-1.5

* Tue Jan 18 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-6
- updated to kaname-alter-2.5

* Tue Jan 11 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-5
- change group
- bzip2 many sources
- updated to kaname-alter-2.4, k14goth-1.3

* Wed Dec 29 1999 Jun Nishii <jun@vinelinux.org>
- rebuild (last build seems to be failed...)

* Fri Dec 24 1999 Jun Nishii <jun@vinelinux.org>
- removed verbose files in /usr/doc

* Thu Dec 23 1999 Jun Nishii <jun@vinelinux.org>
- kaname-alter-2.3
- k14goth-1.2

* Thu Nov 11 1999 Jun Nishii <jun@vinelinux.org>
- 1.9-1.1 try Mr.Furukawa's mkitalic

* Thu Nov 11 1999 Jun Nishii <jun@vinelinux.org>
- 1.9-1.0
- bug fix in fonts.alias

* Tue Nov 9 1999 Jun Nishii <jun@vinelinux.org>
- update to kaname-alter-2.1

* Fri Oct 15 1999 MATSUMOTO Shoji <shom@flatout.org>
- change mkitalic
- change to kaname-alter-1.3
- change to k14goth-1.0
- add kanji32

* Tue Oct  5 1999 MATSUMOTO Shoji <shom@flatout.org>
- add mkitalic
- replace k14 to k14goth

* Tue Sep 14 1999 Norihito Ohmori <ohmori@flatout.org>
- change kaname-machi font to kaname-machi kai
 
* Wed Dec  9 1998 MATSUMOTO Shoji <pje@linux.or.jp>
- create spec
