Summary: Complete rewrite of the NASM assembler under the BSD License
Summary(ja): BSDライセンスの元で書き直されたNASMアセンブラ
Name: yasm
Version: 1.0.1
Release: 1%{?_dist_release}
License: BSD
Group: Development/Languages
URL: http://www.tortall.net/projects/yasm/
Source: http://www.tortall.net/projects/yasm/releases/yasm-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bison byacc

#%{!?_without_xmlto:BuildRequires:xmlto}
#%{!?_without_gettextdevel:BuildRequires: gettext-devel}
#%{?_without_gettextdevel:BuildRequires: gettext}

Vendor: Project Vine
Distribution: Vine Linux

%description
Yasm is a complete rewrite of the NASM assembler under the "new" BSD License. 
Yasm currently supports the x86 and AMD64 instruction sets, 
accepts NASM and GAS assembler syntaxes,
outputs binary, ELF32, ELF64, 32 and 64-bit Mach-O, RDOFF2, COFF, Win32, and 
Win64 object formats, and generates source debugging information 
in STABS, DWARF 2, and CodeView8 formats.

%description -l ja
Yasm は新しい BSD ライセンスの元で書き直されたNASMアセンブラです。
Yasm は x86 および AMD64 命令セットに対応しており
NASM や GAS assembler の構文を binary, ELF32, ELF64, 32 および 
64-bit Mach-O, RDOFF2, COFF, Win32, and Win64 
のオブジェクトフォーマットに変換でき、
STABS, DWARF 2, および CodeView8 フォーマット にて
デバッグ情報を出力します。

%package devel
Summary: Header files and static libraries for yasm
Summary(ja): yasm の ヘッダーファイルと 静的ライブラリー
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and static libraries for yasm.

%description  -l ja devel
Yasmのヘッダーファイルと 静的ライブラリーです。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc Artistic.txt AUTHORS BSD.txt COPYING GNU*
%{_bindir}/yasm
%{_bindir}/vsyasm
%{_bindir}/ytasm
%{_mandir}/man1/*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/libyasm/
%{_includedir}/libyasm-stdint.h
%{_includedir}/libyasm.h
%{_libdir}/libyasm.a
%{_mandir}/man7/*

%changelog
* Tue May 18 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com>  1.0.1-1
- new upstream release
- built with new toolchain

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.2-1
- new upstream release

* Fri Aug  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com>  0.7.1-1
- new upstream release
- applied new versioning policy

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com>  0.6.1-0vl1
- initial package for Vine <wishes:0120>

