%define po_package zenity

Summary: Zenity - GNOME port of dialog
Summary(ja): Zenity - dialog の GNOME 版
Name: zenity
Version: 2.32.1
Release: 1%{?_dist_release}
License: LGPL
Group: User Interface/Desktops
Source0: %{name}-%{version}.tar.bz2
Patch10: %{name}-2.14.2-i18n-help.patch
Patch20: %{name}-2.26.0-grab-focus.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk2-devel >= 2.15.1
BuildRequires:	libnotify-devel >= 0.4.1
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils >= 0.3.2
BuildRequires:  docbook-utils
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
This is zenity - a rewrite of gdialog, the GNOME port of dialog
which allows you to display dialog boxes from the commandline
and shell scripts. If you understand, things are just as they
are. If you don't understand, things are just as they are.


%prep
%setup -q
%patch10 -p1 -b .i18n-help
#patch20 -p1 -b .grab-focus

%build
%configure --disable-scrollkeeper
%__make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{po_package} --with-gnome

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update >& /dev/null ||:

%postun
scrollkeeper-update >& /dev/null ||:


%files -f %{po_package}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man?/*

%changelog
* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires gnome-doc-utils, docbook-utils

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release
- dropped Patch20

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Sat Oct 12 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-2
- add Patch20 to make zenity grab the window focus on startup.

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Fri Jun 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl2
- add Patch10 to fix corruption of help option message.

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Wed May 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Tue Jul 26 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- initial build for Vine Linux

