Summary: A barcode generator and library
Summary(ja): Zintバーコード作成プログラム
Name: zint
Version: 2.4.0
Release: 1%{?_dist_release}
License: GPLv3+
URL: http://www.zint.org.uk
Source: http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.src.tar.gz
Group: Applications/Engineering
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: cmake
BuildRequires: libpng-devel
BuildRequires: zlib-devel
Packager: owa

%description
Zint is a C library for encoding data in several barcode variants. The
bundled command-line utility provides a simple interface to the library.
Features of the library:
- Over 50 symbologies including all ISO/IEC standards, like QR codes.
- Unicode translation for symbologies which support Latin-1 and 
  Kanji character sets.
- Full GS1 support including data verification and automated insertion of 
  FNC1 characters.
- Support for encoding binary data including NULL (ASCII 0) characters.
- Health Industry Barcode (HIBC) encoding capabilities.
- Output in PNG, EPS and SVG formats with user adjustable sizes and colors.
- Verification stage for SBN, ISBN and ISBN-13 data.

%package devel
Summary: Library and header files for %{name}
Summary(ja): Zintバーコードの開発用ライブラリとヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel 
C library and header files needed to develop applications using %{name}.
The API documentation can be found ont the project website:
http://www.zint.org.uk/zintSite/Manual.aspx

%package qt
Summary: Zint Barcode Studio GUI and library
Summary(ja): Zintバーコード作成GUI(QT)とライブラリ
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}
BuildRequires: qt4-devel >= 4.4
BuildRequires: desktop-file-utils

%description qt
Zint Barcode Studio is a Qt-based GUI which allows desktop users to generate 
barcodes which can then be embedded in documents or HTML pages, and a library 
which can be used to incorporate barcode generation functionality into other 
software.

%package qt-devel
Summary: Library and header files for %{name}-qt
Summary(ja): ZintバーコードのGUI(QT)開発用ライブラリとヘッダファイル
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-qt = %{version}-%{release}

%description qt-devel 
C library and header files needed to develop applications using %{name}-qt.


%prep
%setup -q

# remove BSD-licensed file required for Windows only (just to ensure that this package is plain GPLv3+)
rm -f backend/ms_stdint.h
# remove bundled getopt sources (we use the corresponding Fedora package instead)
rm -f frontend/getopt*.*


%build
%cmake CMakeLists.txt
make VERBOSE=1 %{?_smp_mflags}

cat <<EOF >zint-qt.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Zint Barcode Studio
Name[ja]=Zintバーコードスタジオ
Comment=Zint Barcode Studio
Comment[ja]=バーコードを作成するツールです
GenericName=Zint Barcode Studio
Exec=zint-qt
Icon=zint
Terminal=false
Type=Application
Categories=Utility;
EOF


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT/%{_datadir}/cmake
install -D -p -m 644 %{name}-qt.desktop %{buildroot}%{_datadir}/applications/%{name}-qt.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-qt.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post -n %{name}-qt -p /sbin/ldconfig
%postun -n %{name}-qt -p /sbin/ldconfig
%files
%defattr(-,root,root,-)
%doc COPYING readme
%{_bindir}/%{name}
%{_libdir}/libzint.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_libdir}/libzint.so

%files qt
%defattr(-,root,root,-)
%{_bindir}/%{name}-qt
%{_libdir}/libQZint.so.*
%{_datadir}/applications/%{name}-qt.desktop

%files qt-devel
%defattr(-,root,root,-)
%{_includedir}/qzint.h
%{_libdir}/libQZint.so


%changelog
* Thu Oct 28 2010 Shu KONNO <owa@bg.wakwak.com> 2.4.0-1
- initial build for Vine

